drop database if exists `sys-triage`;


drop database if exists `sys-icss`;
CREATE DATABASE `sys-icss`  DEFAULT CHARSET utf8 COLLATE utf8_general_ci;
use `sys-icss`;

-- ----------------------------
-- Table structure for del_icss_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_dept_info`;
CREATE TABLE `del_icss_dept_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(32) NOT NULL COMMENT ''名称'',
  `remark` varchar(100) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT=''科室信息表'';

-- ----------------------------
-- Records of del_icss_dept_info
-- ----------------------------
INSERT INTO `del_icss_dept_info` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿免疫科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心血管内科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心胸外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心血管外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇产科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鼻喉科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌面外科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧伤科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急诊科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康复科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中医科'', null);
INSERT INTO `del_icss_dept_info` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤科'', null);

-- ----------------------------
-- Table structure for del_icss_dis_scale
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_dis_scale`;
CREATE TABLE `del_icss_dis_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `dis_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''诊断标签id'',
  `scale_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''量表标签id'',
  `order_no` smallint(6) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `remark` varchar(500) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`),
  KEY `dis_id` (`dis_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''诊断量表映射表'';

-- ----------------------------
-- Records of del_icss_dis_scale
-- ----------------------------
INSERT INTO `del_icss_dis_scale` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40731'', ''1'', null);
INSERT INTO `del_icss_dis_scale` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40732'', ''2'', null);
INSERT INTO `del_icss_dis_scale` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40733'', ''3'', null);
INSERT INTO `del_icss_dis_scale` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40734'', ''4'', null);
INSERT INTO `del_icss_dis_scale` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40735'', ''5'', null);
INSERT INTO `del_icss_dis_scale` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''40744'', ''0'', null);

-- ----------------------------
-- Table structure for del_icss_dis_type
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_dis_type`;
CREATE TABLE `del_icss_dis_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `dis_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''诊断标签id'',
  `parent_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''父级诊断id'',
  `type` tinyint(4) NOT NULL DEFAULT ''1'' COMMENT ''0：普通病，1：慢病，2：急诊'',
  `remark` varchar(500) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`),
  KEY `dis_id` (`dis_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''诊断类型表'';

-- ----------------------------
-- Records of del_icss_dis_type
-- ----------------------------
INSERT INTO `del_icss_dis_type` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''105'', ''105'', ''1'', ''高血压'');
INSERT INTO `del_icss_dis_type` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''21773'', ''1'', ''糖尿病'');
INSERT INTO `del_icss_dis_type` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20416'', ''20416'', ''1'', ''阿尔茨海默病'');
INSERT INTO `del_icss_dis_type` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21470'', ''21470'', ''1'', ''帕金森病'');
INSERT INTO `del_icss_dis_type` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20903'', ''20903'', ''1'', ''冠状动脉粥样硬化性心脏病'');
INSERT INTO `del_icss_dis_type` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21369'', ''21369'', ''1'', ''慢性肾衰竭(慢性肾脏病)'');
INSERT INTO `del_icss_dis_type` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''98'', ''98'', ''1'', ''支气管哮喘'');
INSERT INTO `del_icss_dis_type` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20718'', ''20718'', ''1'', ''肺结核'');
INSERT INTO `del_icss_dis_type` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''0'', ''1'', ''腹透'');
INSERT INTO `del_icss_dis_type` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21396'', ''21396'', ''1'', ''慢性阻塞性肺疾病'');
INSERT INTO `del_icss_dis_type` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21191'', ''21191'', ''1'', ''精神分裂症'');
INSERT INTO `del_icss_dis_type` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21557'', ''21557'', ''1'', ''情感性精神病'');
INSERT INTO `del_icss_dis_type` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21363'', ''21363'', ''1'', ''慢性前列腺炎(慢性前列腺增生)'');
INSERT INTO `del_icss_dis_type` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''413'', ''1'', ''高脂血症'');
INSERT INTO `del_icss_dis_type` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20898'', ''20898'', ''1'', ''骨质疏松症'');
INSERT INTO `del_icss_dis_type` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21338'', ''21338'', ''1'', ''慢性肝炎'');
INSERT INTO `del_icss_dis_type` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''94'', ''94'', ''2'', null);
INSERT INTO `del_icss_dis_type` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''95'', ''95'', ''0'', null);

-- ----------------------------
-- Table structure for del_icss_disclaimer_information
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_disclaimer_information`;
CREATE TABLE `del_icss_disclaimer_information` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `version_id` bigint(30) DEFAULT NULL COMMENT ''主表id'',
  `title` varchar(200) DEFAULT NULL COMMENT ''标题'',
  `description` text COMMENT ''描述'',
  `order_no` varchar(5) DEFAULT NULL COMMENT ''排序号'',
  `status` varchar(5) DEFAULT NULL COMMENT ''1：启动，0：不启用'',
  `disclaimer_code` varchar(20) DEFAULT NULL COMMENT ''免责申明编号'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT=''免责申明详情'';

-- ----------------------------
-- Records of del_icss_disclaimer_information
-- ----------------------------
INSERT INTO `del_icss_disclaimer_information` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''2018-12-12 09:56:23'', ''0'', ''1'', ''0'', ''诊断免责信息'', ''以上诊断依据根据诊疗指南以及专家临床经验整理，实际以医生临床判断为准'', ''1'', ''1'', ''MZ-001'', null);
INSERT INTO `del_icss_disclaimer_information` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''5'', ''0'', ''推送免责信息'', ''以上推送为常见诊断及问诊内容，实际以医生临床判断为准'', ''2'', ''1'', ''MZ-002'', null);
INSERT INTO `del_icss_disclaimer_information` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''5'', ''0'', ''免责申明'', ''尊敬的用户，欢迎您使用朗通智能辅助诊疗决策系统,使用此内容应接受免责声明!<br/>\r\n一、服务内容<br/>\r\n朗通智能辅助诊疗决策系统遵循询证医学方法论，将临床诊疗指南等医学知识进行分析、归纳、建模，构建成一个庞大<br/>\r\n而有序的临床医学知识库，根据患者提供问诊信息，通过智能推理引擎，实现快速、准确的智能综合分析与判断，在医<br/>\r\n生诊疗过程中的每一个节点提供智能支持和辅助，为医生提供规范、全面的智能问诊策略、鉴别检查策略、参考诊断策<br/>\r\n略以及治疗的临床路径，并自动推送结构化门诊电子病历，帮助医生为患者提供快速、高效、准确的医疗服务。<br/>\r\n<br/>\r\n二、患者信息<br/>\r\n朗通医疗将根据国家法律法规和行业标准严格对患者信息保密，未经您的同意我们不会将患者信息及与朗通智能辅助诊<br/>\r\n疗决策系统进行数据交互的非公开内容提供给第三方（公司或个人），但以下情况除外：<br/>\r\n1、相关法律法规或监管机构、司法机构要求提供用户的个人资料；<br/>\r\n2、国家司法机关符合法律规定并经法定程序的检查及其他操作；<br/>\r\n3、任何第三方盗用、冒用或未经许可擅自披露、使用或对外公开的情况。<br/>\r\n<br/>\r\n三、数据准确性<br/>\r\n朗通智能辅助诊疗决策系统提供的信息基于准确的患者数据，采集更详细和准确的患者病史信息有助于让朗通智能辅助<br/>\r\n诊疗决策系统更好的为您提供帮助。朗通智能辅助诊疗决策系统充分尊重医生在诊疗中的决定权，所提供的一切信息仅<br/>\r\n供医生在诊疗过程中参考使用，所有决定权属于医生。\r\n<br/>\r\n<br/>\r\n四、知识产权声明<br/>\r\n本系统所有内容均系杭州朗通信息技术有限公司（下称：杭州朗通）版权所有，或已得到相关权利方的有效授权。<br/>\r\n未经杭州朗通事先书面授权，任何单位及个人不得以任何方式或理由对上述内容的任何部分进行使用、转载、复制、修改、抄录、传播或与其他产品捆绑使用、销售。<br/>\r\n杭州朗通一贯尊重和保护知识产权，如果您发现本系统内容侵犯了您的版权，请发送电子邮件至pub@zjlantone.com， <br/>\r\n杭州朗通将及时、妥善进行处理。\r\n\r\n'', ''3'', ''1'', ''MZ-003'', null);

-- ----------------------------
-- Table structure for del_icss_evaluation_module_mapping
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_evaluation_module_mapping`;
CREATE TABLE `del_icss_evaluation_module_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `region_name` varchar(200) DEFAULT NULL COMMENT ''区域名'',
  `region_type` varchar(200) DEFAULT NULL COMMENT ''区域类型（0默认自定义，1大数据，2内部数据）'',
  `order_no` int(11) DEFAULT NULL COMMENT ''区域顺序'',
  `disease_id` bigint(20) DEFAULT NULL COMMENT ''疾病id'',
  `remark` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT=''管理与评估模板表'';

-- ----------------------------
-- Records of del_icss_evaluation_module_mapping
-- ----------------------------
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''1'', ''N'', ''1970-01-02 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''疗效评估'', ''1'', ''1'', ''21773'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''血糖控制情况'', ''10'', ''2'', ''21773'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''整体评估'', ''0'', ''3'', ''21773'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''糖尿病分级管理'', ''1'', ''4'', ''21773'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''5'', ''N'', ''1970-01-02 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''疗效评估820'', ''1'', ''1'', ''105'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''6'', ''N'', ''1970-01-03 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''11'', ''疗效评估520'', ''1'', ''1'', ''98'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''7'', ''N'', ''1970-01-04 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''疗效评估297'', ''1'', ''1'', ''297'', null);
INSERT INTO `del_icss_evaluation_module_mapping` VALUES (''8'', ''N'', ''1970-01-08 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''疗效评估800'', ''1'', ''1'', ''20718'', null);

-- ----------------------------
-- Table structure for del_icss_index_config
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_index_config`;
CREATE TABLE `del_icss_index_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `index_unique` varchar(200) DEFAULT NULL COMMENT ''指标公表名'',
  `disease_id` bigint(20) DEFAULT NULL COMMENT ''疾病id'',
  `index_desc` int(11) DEFAULT NULL COMMENT ''指标描述'',
  `order_no` int(11) DEFAULT NULL COMMENT ''显示顺序'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT=''指标配置'';

-- ----------------------------
-- Records of del_icss_index_config
-- ----------------------------
INSERT INTO `del_icss_index_config` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖-空腹血糖'', ''21773'', ''1'', ''1'', null);
INSERT INTO `del_icss_index_config` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''21773'', ''1'', ''2'', null);
INSERT INTO `del_icss_index_config` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''21773'', ''1'', ''3'', null);
INSERT INTO `del_icss_index_config` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''21773'', ''2'', ''1'', null);
INSERT INTO `del_icss_index_config` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压'', ''105'', ''1'', ''1'', null);

-- ----------------------------
-- Table structure for del_icss_index_data
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_index_data`;
CREATE TABLE `del_icss_index_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `index_unique` varchar(200) DEFAULT NULL COMMENT ''指标公表名'',
  `index_value` varchar(200) DEFAULT NULL COMMENT ''指标值'',
  `index_unit` varchar(200) DEFAULT NULL COMMENT ''指标单位'',
  `is_abnormal` int(11) DEFAULT NULL COMMENT ''是否异常'',
  `creat_time` datetime DEFAULT NULL COMMENT ''化验时间'',
  `patient_id` bigint(20) DEFAULT NULL COMMENT ''患者id'',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT ''就诊号'',
  `remark` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8 COMMENT=''指标数据表'';

-- ----------------------------
-- Records of del_icss_index_data
-- ----------------------------
INSERT INTO `del_icss_index_data` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖-空腹血糖'', ''10'', ''mo/L'', ''1'', ''2019-04-01 20:00:05'', ''1001'', ''2973'', null);
INSERT INTO `del_icss_index_data` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖-空腹血糖'', ''20'', ''mo/L'', ''1'', ''2019-04-02 20:01:15'', ''1001'', ''2979'', null);
INSERT INTO `del_icss_index_data` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''6'', ''mo/L'', ''0'', ''2019-04-01 20:00:05'', ''1001'', ''2973'', null);
INSERT INTO `del_icss_index_data` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''4'', ''mo/L'', ''1'', ''2019-03-05 20:17:32'', ''1001'', ''5454'', null);
INSERT INTO `del_icss_index_data` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''8'', ''mo/L'', ''1'', ''2019-03-01 20:17:36'', ''1001'', ''456764546798'', null);
INSERT INTO `del_icss_index_data` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''9'', ''mo/L'', ''1'', ''2019-03-11 20:17:39'', ''1001'', ''4565463'', null);
INSERT INTO `del_icss_index_data` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''5'', ''mo/L'', ''1'', ''2019-03-07 20:17:56'', ''1001'', ''436456456'', null);
INSERT INTO `del_icss_index_data` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''1'', ''mo/L'', ''1'', ''2019-04-01 20:00:05'', ''1001'', ''457896'', null);
INSERT INTO `del_icss_index_data` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''2'', ''mo/L'', ''1'', ''2019-04-02 20:01:15'', ''1001'', ''364'', null);
INSERT INTO `del_icss_index_data` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''3'', ''mo/L'', ''1'', ''2019-04-03 20:01:15'', ''1001'', ''45645'', null);
INSERT INTO `del_icss_index_data` VALUES (''11'', ''Y'', ''2019-03-12 15:22:42'', ''2019-03-12 15:58:43'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-04-03 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''12'', ''Y'', ''2019-03-12 15:24:02'', ''2019-03-12 15:58:43'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-04-04 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''13'', ''Y'', ''2019-03-12 15:24:02'', ''2019-03-12 15:58:43'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-04-04 20:01:15'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''14'', ''Y'', ''2019-03-12 15:24:02'', ''2019-03-12 15:58:43'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-04-05 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''15'', ''Y'', ''2019-03-12 15:58:43'', ''2019-03-12 15:59:16'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-04-05 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''16'', ''Y'', ''2019-03-12 15:58:43'', ''2019-03-12 15:59:16'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-04-06 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''17'', ''Y'', ''2019-03-12 15:58:43'', ''2019-03-12 15:59:16'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-04-07 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''18'', ''Y'', ''2019-03-12 15:59:16'', ''2019-04-10 11:23:17'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-04-06 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''19'', ''Y'', ''2019-03-12 15:59:16'', ''2019-04-10 11:23:17'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''20'', ''Y'', ''2019-03-12 15:59:16'', ''2019-04-10 11:23:17'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''21'', ''N'', ''2019-03-12 16:00:04'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-04-07 15:21:01'', ''1002'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''22'', ''N'', ''2019-03-12 16:00:04'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1002'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''23'', ''N'', ''2019-03-12 16:00:04'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1002'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''24'', ''Y'', ''2019-03-12 16:48:57'', ''2019-03-12 16:55:21'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''25'', ''Y'', ''2019-03-12 16:48:57'', ''2019-03-12 16:55:21'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''26'', ''Y'', ''2019-03-12 16:48:57'', ''2019-03-12 16:55:21'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''27'', ''N'', ''2019-03-12 16:55:21'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''28'', ''N'', ''2019-03-12 16:55:21'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''29'', ''N'', ''2019-03-12 16:55:21'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''糖代谢检查-随机血糖(Glu)'', ''18'', ''mmol/L'', ''1'', ''2019-03-12 15:21:01'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''19'', ''mmol/L'', ''1'', ''2019-03-03 20:16:48'', ''1001'', ''5297'', null);
INSERT INTO `del_icss_index_data` VALUES (''31'', ''Y'', ''2019-04-10 11:23:17'', ''2019-04-10 11:40:47'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''520'', ''string'', ''1'', ''2019-05-01 12:00:00'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''32'', ''N'', ''2019-04-10 11:40:58'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''空腹血糖-空腹血糖'', ''520'', ''string'', ''1'', ''2019-05-01 12:00:00'', ''1001'', ''297'', null);
INSERT INTO `del_icss_index_data` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''8'', ''mo/L'', ''1'', ''2019-04-02 16:06:00'', ''1001'', ''44545'', null);
INSERT INTO `del_icss_index_data` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''9'', ''mo/L'', ''1'', ''2019-04-03 16:06:06'', ''1001'', ''44545'', null);
INSERT INTO `del_icss_index_data` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''10'', ''mo/L'', ''1'', ''2019-04-04 16:06:08'', ''1001'', ''4545'', null);
INSERT INTO `del_icss_index_data` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''11'', ''mo/L'', ''1'', ''2019-04-05 16:06:10'', ''1001'', ''878'', null);
INSERT INTO `del_icss_index_data` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''15'', ''mo/L'', ''1'', ''2019-04-06 16:06:14'', ''1001'', ''4678'', null);
INSERT INTO `del_icss_index_data` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''5'', ''mo/L'', ''1'', ''2019-04-07 16:06:16'', ''1001'', ''1651'', null);
INSERT INTO `del_icss_index_data` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-餐后2h血糖(Glu)'', ''4'', ''mo/L'', ''1'', ''2019-04-08 16:06:18'', ''1001'', ''6541'', null);
INSERT INTO `del_icss_index_data` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''1'', ''mmol/L'', ''1'', ''2019-04-01 16:07:17'', ''1001'', ''4564'', null);
INSERT INTO `del_icss_index_data` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''2'', ''mmol/L'', ''1'', ''2019-04-02 16:07:20'', ''1001'', null, null);
INSERT INTO `del_icss_index_data` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''3'', ''mmol/L'', ''1'', ''2019-04-03 16:07:23'', ''1001'', ''874'', null);
INSERT INTO `del_icss_index_data` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''4'', ''mmol/L'', ''1'', ''2019-04-04 16:07:26'', ''1001'', ''1'', null);
INSERT INTO `del_icss_index_data` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''5'', ''mmol/L'', ''1'', ''2019-04-05 16:07:30'', ''1001'', ''1651'', null);
INSERT INTO `del_icss_index_data` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''6'', ''mmol/L'', ''1'', ''2019-04-06 16:07:32'', ''1001'', ''646'', null);
INSERT INTO `del_icss_index_data` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''7'', ''mmol/L'', ''1'', ''2019-04-07 16:07:35'', ''1001'', ''4561'', null);
INSERT INTO `del_icss_index_data` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''89'', ''mmol/L'', ''1'', ''2019-04-08 16:07:37'', ''1001'', ''7'', null);
INSERT INTO `del_icss_index_data` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''10'', ''mmol/L'', ''1'', ''2019-04-09 16:07:40'', ''1001'', ''456'', null);
INSERT INTO `del_icss_index_data` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查-糖化血清蛋白(GSP)'', ''12'', ''mmol/L'', ''1'', ''2019-04-10 16:07:42'', ''1001'', ''17'', null);

-- ----------------------------
-- Table structure for del_icss_introduce_detail
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_introduce_detail`;
CREATE TABLE `del_icss_introduce_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `introduce_id` bigint(20) NOT NULL COMMENT ''提示信息id'',
  `title` varchar(100) DEFAULT NULL COMMENT ''提示明细标题'',
  `content` mediumtext COMMENT ''提示明细内容'',
  `text` mediumtext COMMENT ''纯文本'',
  `order_no` int(11) DEFAULT NULL COMMENT ''提示明细序号'',
  `position` varchar(11) DEFAULT ''2'' COMMENT ''显示位置（多选）：1-推送展示，2-更多展示，3-一般治疗展示，4-手术治疗展示，5-药品说明书，6-不良反应'',
  `is_reason` int(11) DEFAULT ''0'' COMMENT ''是否诊断依据（1-是，0-否）'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46205 DEFAULT CHARSET=utf8 COMMENT=''提示信息明细'';

-- ----------------------------
-- Records of del_icss_introduce_detail
-- ----------------------------

-- ----------------------------
-- Table structure for del_icss_introduce_info
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_introduce_info`;
CREATE TABLE `del_icss_introduce_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(50) NOT NULL COMMENT ''名称'',
  `remark` varchar(50) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24958 DEFAULT CHARSET=utf8 COMMENT=''提示信息'';

-- ----------------------------
-- Records of del_icss_introduce_info
-- ----------------------------
INSERT INTO `del_icss_introduce_info` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''呼吸困难'', ''呼吸困难处理流程'');
INSERT INTO `del_icss_introduce_info` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气胸'', ''气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''55'', ''N'', ''2018-12-04 12:00:00'', ''2018-12-10 12:00:00'', ''1'', ''3'', ''肺炎'', ''肺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心绞痛'', ''心绞痛参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死'', ''心肌梗死参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''62'', ''N'', ''2018-12-04 12:00:00'', ''2018-12-03 12:00:00'', ''2'', ''2'', ''上呼吸道感染'', ''上呼吸道感染参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性气管支气管炎'', ''急性气管支气管炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺疾病'', ''慢性阻塞性肺疾病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''67'', ''N'', ''2018-12-04 12:00:00'', ''2018-12-10 12:00:00'', ''3'', ''1'', ''支气管哮喘'', ''支气管哮喘参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核'', ''肺结核参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺脓肿'', ''肺脓肿参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张'', ''支气管扩张指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尘肺'', ''尘肺参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心力衰竭'', ''心力衰竭参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉高压'', ''肺动脉高压指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热'', ''流行性出血热指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎'', ''慢性支气管炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液'', ''胸腔积液参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏瓣膜病'', ''心脏瓣膜病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎'', ''胆囊炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆管炎'', ''急性胆管炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎'', ''肝炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化'', ''肝硬化参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱结石'', ''膀胱结石指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路感染'', ''尿路感染指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾结核'', ''肾结核指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病'', ''糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿崩症'', ''尿崩症指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺炎'', ''前列腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性膀胱炎'', ''急性膀胱炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失眠症'', ''失眠症指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺癌'', ''胰腺癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝癌'', ''肝癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠癌'', ''结肠癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''152'', ''N'', ''2018-12-04 12:00:00'', ''2018-12-10 12:00:00'', ''4'', ''2'', ''慢性咽炎'', ''慢性咽炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃炎'', ''急性胃炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胃炎'', ''慢性胃炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠梗阻'', ''肠梗阻'');
INSERT INTO `del_icss_introduce_info` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胰腺炎'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病酮症酸中毒'', ''糖尿病酮症酸中毒参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性便秘'', ''功能性便秘指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮'', ''痔疮指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性结肠炎'', ''溃疡性结肠炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠扭转'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠套叠'', ''肠套叠指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肌瘤'', ''子宫肌瘤指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫'', ''癫痫参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸扭转'', ''睾丸扭转指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾炎'', ''阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管结石'', ''输尿管结石指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔炎'', ''盆腔炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃溃疡'', ''胃溃疡参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡'', ''十二指肠溃疡参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺炎'', ''胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心肌梗死'', ''急性心肌梗死指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退'', ''甲状腺功能减退指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贫血'', ''贫血指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血'', ''脑出血指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室传导阻滞'', ''房室传导阻滞指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''212'', ''N'', ''2018-12-04 12:00:00'', ''2018-12-01 12:00:00'', ''5'', ''5'', ''高血压'', ''基层高血压防治管理指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胰腺炎'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进'', ''甲状腺功能亢进指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺栓塞'', ''肺栓塞指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张力性气胸'', ''张力性气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心衰竭'', ''左心衰竭参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心衰竭'', ''右心衰竭参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道出血'', ''上消化道出血指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风'', ''痛风参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松'', ''骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病神经病变'', ''糖尿病神经病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病高渗性昏迷'', ''糖尿病高渗性昏迷参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病'', ''狂犬病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风'', ''破伤风指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性心内膜炎'', ''感染性心内膜炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒'', ''伤寒指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性脑病'', ''高血压性脑参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三叉神经痛'', ''三叉神经痛指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏头痛'', ''偏头痛参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺源性心脏病'', ''慢性肺源性心脏病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃癌'', ''胃癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆囊炎'', ''急性胆囊炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胆囊炎'', ''慢性胆囊炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗恩病'', ''克罗恩病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑梗塞'', ''脑梗塞指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣狭窄'', ''二尖瓣狭窄指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路结石'', ''尿路结石指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎'', ''急性阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阑尾炎'', ''慢性阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺水肿'', ''肺水肿指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心功能不全'', ''右心功能不全参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律失常'', ''心律失常指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚型心肌病'', ''肥厚型心肌病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性肾病'', ''糖尿病性肾病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性心动过速'', ''室性心动过速指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经痛'', ''坐骨神经痛指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠癌'', ''直肠癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾癌'', ''肾癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大叶性肺炎'', ''大叶性肺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''短暂性脑缺血发作'', ''短暂性脑缺血发作指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠状态'', ''妊娠状态参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扩张型心肌病'', ''扩张型心肌病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''限制型心肌病'', ''限制型心肌病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''预激综合征'', ''预激综合征指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺癌'', ''前列腺癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺增生'', ''前列腺增生指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄'', ''主动脉瓣狭窄指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹毒'', ''丹毒指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺癌'', ''乳腺癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性白血病'', ''急性白血病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳定型心绞痛'', ''不稳定型心绞痛指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓胸'', ''脓胸指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣关闭不全'', ''二尖瓣关闭不全指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱'', ''霍乱指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎'', ''病毒性肝炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾病综合征'', ''肾病综合征参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''败血症'', ''败血症指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠结核'', ''肠结核指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素瘤'', ''胃泌素瘤参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管癌'', ''胆管癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症肌无力'', ''重症肌无力指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1型糖尿病'', ''1型糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2型糖尿病'', ''2型糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠糖尿病'', ''妊娠糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪肝'', ''脂肪肝参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性脂肪肝'', ''酒精性脂肪肝参考治疗'');
INSERT INTO `del_icss_introduce_info` VALUES (''493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝病'', ''酒精性肝病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝硬化'', ''酒精性肝硬化参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症'', ''高脂血症指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通感冒'', ''普通感冒参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级(低危)'', ''高血压1级(低危)参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级(中危)'', ''高血压2级(中危参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级(高危)'', ''高血压3级(高危)参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯收缩期高血压'', ''单纯收缩期高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性高血压'', ''原发性高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性高血压'', ''继发性高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''库欣综合征'', ''库欣综合征指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉粥样硬化性心脏病'', ''冠状动脉粥样硬化性心脏病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳定型心绞痛'', ''稳定型心绞痛指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ST段抬高型心肌梗死'', ''ST段抬高型心肌梗死指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎'', ''鼻炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻炎'', ''急性鼻炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻炎'', ''慢性鼻炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性鼻炎'', ''过敏性鼻炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽癌'', ''鼻咽癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺炎'', ''甲状腺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性甲状腺炎'', ''亚急性甲状腺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性哮喘'', ''过敏性哮喘参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽变异性哮喘'', ''咳嗽变异性哮喘参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌性肺炎'', ''葡萄球菌性肺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体性肺炎'', ''肺炎支原体性肺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肺炎'', ''病毒性肺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入性肺炎'', ''吸入性肺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室上性心动过速'', ''室上性心动过速指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早搏'', ''早搏指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房颤动'', ''心房颤动指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌病'', ''心肌病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性心肌炎'', ''病毒性心肌炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高血压综合征'', ''妊娠高血压综合征参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H型高血压'', ''H型高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年高血压'', ''老年高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下消化道出血'', ''下消化道出血指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性单纯性阑尾炎'', ''急性单纯性阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性阑尾炎'', ''急性化脓性阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性穿孔性阑尾炎'', ''急性穿孔性阑尾炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外痔'', ''外痔指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内痔'', ''内痔指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性痢疾'', ''细菌性痢疾指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝肿瘤'', ''肝肿瘤参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊癌'', ''胆囊癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆源性胰腺炎'', ''胆源性胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰头癌'', ''胰头癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾病'', ''慢性肾病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾盂肾炎'', ''急性肾盂肾炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱癌'', ''膀胱癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道结石'', ''尿道结石指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性前列腺炎'', ''急性前列腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性前列腺炎'', ''慢性前列腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性细菌性前列腺炎'', ''慢性细菌性前列腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非细菌性前列腺炎'', ''慢性非细菌性前列腺炎-概述'');
INSERT INTO `del_icss_introduce_info` VALUES (''1005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺结石'', ''前列腺结石参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺囊肿'', ''前列腺囊肿参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥胖'', ''肥胖指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭经'', ''闭经参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性非典型肺炎'', ''传染性非典型肺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性胸膜炎'', ''结核性胸膜炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性支气管肺癌'', ''原发性支气管肺癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿尔茨海默病'', ''阿尔茨海默病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房传导阻滞'', ''窦房传导阻滞指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童糖尿病'', ''儿童糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非增殖性糖尿病性视网膜病变'', ''非增殖性糖尿病性视网膜病变参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增殖性糖尿病性视网膜病变'', ''增殖性糖尿病性视网膜病变参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1.5型糖尿病'', ''1.5型糖尿病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病合并妊娠'', ''糖尿病合并妊娠参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性视网膜病变'', ''糖尿病性视网膜病变参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性胃轻瘫'', ''糖尿病性胃轻瘫参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病乳酸性酸中毒'', ''糖尿病乳酸性酸中毒参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性水肿型胰腺炎'', ''急性水肿型胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血坏死型胰腺炎'', ''急性出血坏死型胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性胰腺炎'', ''自身免疫性胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森病'', ''帕金森病指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性哮喘'', ''心源性哮喘参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性上呼吸道感染'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡'', ''胃十二指肠溃疡参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结节'', ''甲状腺结节指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡急性穿孔'', ''胃十二指肠溃疡急性穿孔指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓毒症'', ''脓毒症指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠呼吸暂停低通气综合征'', ''睡眠呼吸暂停低通气综合征指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性气胸'', ''创伤性气胸指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭合性气胸'', ''闭合性气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开放性气胸'', ''开放性气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气胸'', ''血气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓气胸'', ''脓气胸参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性心脏病'', ''高血压性心脏病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急腹症'', ''急腹症参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胆囊炎'', ''感染性胆囊炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎伴胆石症'', ''胆囊炎伴胆石症参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石症'', ''胆石症参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肝炎'', ''急性肝炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肝炎'', ''慢性肝炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型病毒性肝炎'', ''乙型病毒性肝炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型病毒性肝炎'', ''丙型病毒性肝炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型病毒性肝炎'', ''戊型病毒性肝炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症性胰腺炎'', ''高脂血症性胰腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯舒张期高血压'', ''单纯舒张期高血压参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性足病'', ''糖尿病性足病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''初发型心绞痛'', ''初发型心绞痛参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶化劳力型心绞痛'', ''恶化劳力型心绞痛参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息型心绞痛'', ''静息型心绞痛参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛膜癌'', ''绒毛膜癌参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性前列腺炎'', ''急性细菌性前列腺炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤后骨质疏松'', ''创伤后骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后骨质疏松'', ''绝经后骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''废用性骨质疏松'', ''废用性骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性骨质疏松'', ''药物性骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性骨质疏松'', ''老年性骨质疏松参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌骨质疏松症'', ''内分泌骨质疏松症参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林哮喘'', ''阿司匹林哮喘参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性肾病'', ''高血压性肾病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性心肌病'', ''糖尿病性心肌病参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型病毒性肝炎'', ''甲型病毒性肝炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性脑血管病'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖症'', ''低血糖症'');
INSERT INTO `del_icss_introduce_info` VALUES (''1650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肝癌'', ''原发性肝癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肝癌'', ''继发性肝癌指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗高血糖综合征'', ''高渗高血糖综合征参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌肺炎'', ''肺炎链球菌肺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性脑膜炎'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂综合征'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细支气管炎'', ''急性细支气管炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾血管性高血压'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛛网膜下腔出血'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压脑病'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌肺炎'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性梗阻性化脓性胆管炎'', ''急性梗阻性化脓性胆管炎参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性结肠炎'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性胆汁性肝硬化'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠系膜上动脉闭塞'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜下动脉闭塞'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹指南'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性休克'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性肝脓肿'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴肝脓肿'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性肺炎'', ''念珠菌性肺炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假膜性肠炎'', ''假膜性肠炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒肠炎'', ''轮状病毒肠炎指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高原肺水肿的发病机制及防治'', ''高原肺水肿的发病机制及防治'');
INSERT INTO `del_icss_introduce_info` VALUES (''1674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾衰竭'', ''慢性肾衰竭指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏破裂'', ''肝脏破裂指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏破裂'', ''脾脏破裂指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾破裂'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管妊娠'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房扑动'', ''心房扑动指南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门梗阻'', ''幽门梗阻参考资料'');
INSERT INTO `del_icss_introduce_info` VALUES (''1688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱'', ''多索茶碱'');
INSERT INTO `del_icss_introduce_info` VALUES (''1689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张剂'', ''药品分类'');
INSERT INTO `del_icss_introduce_info` VALUES (''1690'', ''Y'', ''2019-01-03 13:54:14'', ''2019-01-03 14:01:09'', ''53'', ''53'', ''introduce1'', '''');
INSERT INTO `del_icss_introduce_info` VALUES (''1691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星注射液'', ''莫西沙星'');
INSERT INTO `del_icss_introduce_info` VALUES (''1692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸颗粒'', ''乙酰半胱氨酸'');
INSERT INTO `del_icss_introduce_info` VALUES (''1693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸瑞芬太尼'', ''瑞芬太尼'');
INSERT INTO `del_icss_introduce_info` VALUES (''1694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸加贝酯'', ''加贝酯'');
INSERT INTO `del_icss_introduce_info` VALUES (''1695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸消旋山莨菪碱注射液'', ''山莨菪碱'');
INSERT INTO `del_icss_introduce_info` VALUES (''1696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬片'', ''右美沙芬'');
INSERT INTO `del_icss_introduce_info` VALUES (''1697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸可待因片'', ''可待因'');
INSERT INTO `del_icss_introduce_info` VALUES (''1698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸奥曲肽注射液'', ''奥曲肽'');
INSERT INTO `del_icss_introduce_info` VALUES (''1699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌替啶注射液'', ''哌替啶'');
INSERT INTO `del_icss_introduce_info` VALUES (''1700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用生长抑素'', ''生长抑素'');
INSERT INTO `del_icss_introduce_info` VALUES (''1701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑镁肠溶片'', ''奥美拉唑'');
INSERT INTO `del_icss_introduce_info` VALUES (''1702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乌司他丁'', ''乌司他丁'');
INSERT INTO `del_icss_introduce_info` VALUES (''1703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸喷托维林片'', ''喷托维林'');
INSERT INTO `del_icss_introduce_info` VALUES (''1704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢他啶'', ''头孢他啶'');
INSERT INTO `del_icss_introduce_info` VALUES (''1705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢呋辛钠'', ''头孢呋辛'');
INSERT INTO `del_icss_introduce_info` VALUES (''1706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸东莨菪碱注射液'', ''东莨菪碱'');
INSERT INTO `del_icss_introduce_info` VALUES (''1707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用泮托拉唑钠'', ''泮托拉唑'');
INSERT INTO `del_icss_introduce_info` VALUES (''1708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸溴己新'', ''溴己新'');
INSERT INTO `del_icss_introduce_info` VALUES (''1709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻肟钠'', ''头孢噻肟'');
INSERT INTO `del_icss_introduce_info` VALUES (''1710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用厄他培南'', ''厄他培南'');
INSERT INTO `del_icss_introduce_info` VALUES (''1711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星片'', ''左氧氟沙星'');
INSERT INTO `del_icss_introduce_info` VALUES (''1712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑片'', ''兰索拉唑'');
INSERT INTO `del_icss_introduce_info` VALUES (''1713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢曲松钠 '', ''头孢曲松'');
INSERT INTO `del_icss_introduce_info` VALUES (''1714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索分散片'', ''氨溴索'');
INSERT INTO `del_icss_introduce_info` VALUES (''20000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社区获得性肺炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内感染'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓梗阻性胆管炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性腹泻'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血性肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰肌劳损'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围神经病变'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠息肉'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚性心肌病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肝脓肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴性肝脓肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白内障'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡伴出血'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管胃底静脉曲张破裂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂癌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青光眼'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠脉综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性期前收缩'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扩张性心肌病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室间隔缺损'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性期前收缩'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''限制性心肌病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣关闭不全'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣狭窄'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉导管未闭'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心动过速'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房间隔缺损'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高胆固醇血症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高甘油三酯血症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型高脂血症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低高密度脂蛋白血症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽结膜炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高型心肌梗死'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性乳腺炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管瘤'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃穿孔'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠痉挛'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎伴穿孔'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合痔'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附件炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脓胸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性喉癌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性停搏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性右心衰竭'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森氏病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性左心衰竭'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠梗阻'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖昏迷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎急性发作'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嵌顿性腹股沟斜疝'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性结肠炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒癌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾衰竭'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性脑膜炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病心血管病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎球菌性肺炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高原肺水肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性颤动'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性扑动'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦房结综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑卒中'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性硬脑膜下血肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脑膜外血肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性疱疹性咽峡炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽炎和喉炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽扁桃体炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎穿孔伴阑尾周围脓肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化腹水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管哮喘急性发作'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管静脉曲张'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性室上性心动过速'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肺动脉高压'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性二尖瓣狭窄'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻度抑郁发作'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑状态'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠障碍'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白塞病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''登革热'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性骨髓瘤'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊卵巢综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性血管炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿热'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干燥综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩端螺旋体病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性紫癜'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性脑膜炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛔虫病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性扁桃体炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺水肿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性附件炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性喉炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脊髓炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性痢疾'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性子宫内膜炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肾炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩周炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神分裂症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨幼细胞性贫血'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性关节炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性感冒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟疾'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强迫症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强直性脊柱炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺铁性贫血'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒副伤寒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足口病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管反流病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''席汉综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性红斑狼疮'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾小球肾炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏神经官能症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫病'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性皮炎'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性血小板减少性紫癜（ITP）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板增多症'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再生障碍性贫血'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''20142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''围绝经期综合征'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚磺乙胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麒麟丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智杞颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿米卡星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味肝胆清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桔贝合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸柔红霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康泡沫剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁泌泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿布洛芬栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非替尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛酮通络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方四维亚铁散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病人免疫球蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山香圆颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝必复胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六合氨基酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾干混悬剂（7'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子右旋糖酐氨基酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲羟孕酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱麻黄碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风热感冒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花黄色素氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草浙贝氯化铵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打万花油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸沙格雷酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消结安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液（19AA-Ⅰ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味鬼臼丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七化痔丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏二萜内酯葡胺注射液 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G1.5%)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季三黄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞巴派特片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解表颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿柴桂退热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨酚维C片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿茸精注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑口腔崩解片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡马西平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川百止痒洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸溴莫尼定滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄葵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸钠盐口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维葡钙口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹膝颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杜仲颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维亚油酸胶丸Ⅰ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痢痧胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荷丹片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰咳净散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咳平喘颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木瓜片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗人T细胞兔免疫球蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替吉奥胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美索噻吗洛尔滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲨肝醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2果糖酸钙注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇宁栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛酸钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松维B6乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b喷雾剂（假单胞菌）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳米炭混悬注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三乙醇胺乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素50注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸喹硫平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯乙酸搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕瑞昔布钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺熊去氧胆酸胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌结合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普济痔疮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷洛昔芬片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸酯酶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他达拉非片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重感灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎清脑颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸尼非卡兰'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸司来吉兰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬布芬胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬氨丁三醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸异烟肼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合注射液(30/70)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾片/替硝唑片/克拉霉素片组合包装'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安康欣胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心生脉颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙西泮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和注射液(25R)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迈之灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培坤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹伐他汀钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛血康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸齐拉西酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕罗西汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗布考片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哒帕胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(18AA－I)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦利托那韦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因胶浆(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠甾醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈复康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白苓健脾颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸高乌甲素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕三烯酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌布颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸噻吗洛尔滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素利多卡因凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花清肝十三味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''别嘌醇缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麦消渴片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托考昔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌利多注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心氏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屋尘螨变应原制剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正柴胡饮颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸左旋氨氯地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁氯己定硫软膏 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌苯美司胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人组织型纤溶酶原激酶衍生物'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝珠明目滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶补血口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用溃疡散(哈它各其-7)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸二乙胺乳胶剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝糖肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''和血明目片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌蛇止痒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙胺丁醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚右敏口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用穿琥宁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用左亚叶酸钙'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌提取物颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤康洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用两性霉素B脂质体'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋肾育胎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛脾提取物注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸舒芬太尼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌溶解产物'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用低分子量肝素钙'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B<sub>12颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磺必利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛内酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''河车大造胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托莫西汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(19 %)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用雷替曲塞'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏蜜环口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正骨水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸左旋氨氯地平分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''至灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液(C14-24)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄杨宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿巴卡韦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素注射液(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片(日片)/氨麻美敏片Ⅱ(夜片)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒(无蔗糖)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细辛脑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八味丸（额日赫木-8）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰止咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那格列奈片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘海胃康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸布托啡诺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇片/雌二醇环丙孕酮片复合包装'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿感宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香药胃安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依地酸钙钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕利哌酮缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用达卡巴嗪'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯霉素栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙凤宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲昔派特胶赛'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘀康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺嘧啶锌凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马多鞭丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来氟米特片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟糖甘滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲氧那明胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参桂鹿茸丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮宫内节育系统'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕止痒软化乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美甲麻敏糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲斑蝥素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴三硫胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌噻吨美利曲辛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布桂嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇可靖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心通口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿塞通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列本脲胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味双解口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多柔比星脂质体注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杏香兔耳风片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯雷伪麻缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫代硫酸钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林舒巴坦匹酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十七味定坤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞格列奈分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌肠球菌三联活菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可刹米注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定含漱液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利托君片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氟轻松乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素30注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二母宁嗽颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟甲唑啉滴鼻液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝清热解毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化食口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹布通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钠抗凝剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独圣活血片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方皂矾丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素（Ⅰ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀消石颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬太尼透皮贴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸红霉素凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾酥注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨肽素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯磷酸二钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘎日迪五味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻待因口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺五肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀保婴散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸镁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍菊降压片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科接骨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎灵泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚烷胺那敏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米多君片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方夏天无片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸阿托西班注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘普罗胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方米非司酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸咪达唑仑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪胶升白胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素注射液(4)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞曲司特片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋乃静片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨来闩悼谇惶片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼氨肽滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓜蒌皮注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫唑嘌呤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙氧苯柳胺软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比卡鲁胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活络油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当飞利肝宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂六君丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米氮平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E烟酸酯胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛定糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸戈舍瑞林缓释植入剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝洛尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人纤维蛋白原'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩茎叶解毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧氟尿苷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油磷酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替卡西林钠克拉维酸钾'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌氨肽苷注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫氧嘧啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红豆杉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥拉西坦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝雪梨膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安中片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风药酒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘克沙醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热止咳口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(浓缩丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑啉钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯解磷定注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴眼用利福平'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3</sub>片(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄清感胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽润喉丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢吡肟'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血必净注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒喘祖帕颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七氟烷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维U颠茄铋铝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丝裂霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒿甲醚注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参滴注液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚桂醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方八维甲睾酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸索拉非尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香通心滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人碱性成纤维细胞生长因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿罗洛尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊（成人装）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干酵母片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗雌烯乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通便胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢替唑钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血通脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珍珠丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鲜竹沥液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿多酸肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普罗帕酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跳骨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心达康滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸（18）注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风止痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合注射液(40/60)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚磺苯乙烯钠散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方骨肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酚咖伪麻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药创可贴'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄氏响声丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛兰心宁软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯丙嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素钠滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈韦拉平口服混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用高纯度尿促性素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达帕林凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅰ型）干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪喹莫特乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲唑酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿加曲班注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金振口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛片（糖衣片）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺内酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊木萨克片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普适泰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈心痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多粘菌素B软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦氢氯噻嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参益气滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血塞通(冻干)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘龙七片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴银口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸伐尼克兰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特片（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙酸氯倍他索软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排毒清脂片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金糖宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷酸肌酸钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''近视乐眼药水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狗皮膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钾注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换基础液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消乳散结胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用12种复合维生素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方泛影葡胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维磷葡钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西沙必利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸酚妥拉明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化锶[<sup>89Sr]注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿心莲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹芪偏瘫胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸阿帕替尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿金翘颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻疮膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美洛西林钠舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝敏伪麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛灵酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋甲唑胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳疾灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫龙金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C<sub>6-24)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草木犀流浸液片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌硫软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫酸新斯的明注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人尿激酶原'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸（柠檬酸）氢钾钠颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通舒口爽片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗扁桃腺炎合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴戟口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用水溶性维生素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏洁洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秦川通痹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋双多巴片、恩他卡朋双多巴片(Ⅱ)、恩他卡朋双多巴片(Ⅲ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蒲芩胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药艾条'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青柏洁身洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠盐酸利多卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸埃克替尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用比伐芦定'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸氟奋乃静注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆双胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科灵喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘佛醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五灵丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酪酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯酚贴膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚待因片(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸苯丙哌林胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多磺酸粘多糖乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈裂贴膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻贴'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛哌丁胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方草珊瑚含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血美安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松磷酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯硝西泮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿碳酸钙D3颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸福莫特罗片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢美唑钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依普黄酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬愈创甘油醚糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏生脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康口服液 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洋参雪哈口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氯唑西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气活血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感特灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹红注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苄星青霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿祛痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博莱霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃复春片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲普瑞林注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺力咳合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石利通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寿星补汁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药用炭片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌冰片软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七通舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服乳杆菌LB散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山金罗汉止痛涂膜剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸吉西他滨'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲f唑口服混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯法齐明软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替勃龙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左卡巴斯汀鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米索前列醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咽扁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿瓜多肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹维溴铵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代温灸膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通天口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚甲麻那敏糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''古汉养生精片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素混合注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔灵注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾生发丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭活埃希的松软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可喊缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环喷托酯滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸加兰他敏注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿那曲唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌罗匹隆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方土槿皮酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华佗再造丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科断红饮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹祺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛芬待因缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干重组人脑利钠肽'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托度酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦荟珍珠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙氨酰谷氨酰胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺消痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪甲利肺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荧光素钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地芬诺酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金银花颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢硫脒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆酸钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗氯化铵口服溶液 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神香苏合丸（庆余救心丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磺苄西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌洛托品溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸羟氯喹片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒宝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方三维B'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替扎尼定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硫酸氢钠甲萘醌注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘可治注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞集落刺激因子注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌库溴铵'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(18AA-Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫河车胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪骨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润燥止痒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美洛西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿折地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四磨汤口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理气舒心片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本益肠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿伐斯汀胶曩'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪胆素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸法舒地尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硝普钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利叔丁胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维铁缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸戊乙奎醚注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壬苯醇醚栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服水解蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杜仲健骨颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧孕烯炔雌醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸乳膏 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹香冠心注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服五维葡萄糖'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑震宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾益肾颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复合辅酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵孢多糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双黄连(冻干)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼片。'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方枣仁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德福莫特罗粉吸入剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠他唑巴坦钠(8:1)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方青黛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草锌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列奈钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙烯醇滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平氨苯蝶啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联磺甲氧苄啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氯芬酯胶囊         '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基丁酸维E胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包醛氧淀粉'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达克罗宁胶浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移因子注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草乌甲素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠胃安九'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托珠单抗注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心脑通软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芙朴感冒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用黄芪多糖'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氯乙酸二异丙胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宽胸气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方嗜酸乳杆菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用五水头孢唑林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米力农注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸新霉素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氢吗啡酮注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒退热糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用间苯三酚'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方紫荆皮水杨酸溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸酚苄明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮ⅡA磺酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莉芙敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布司他片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁咯地尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁匹林片(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁螺环酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸曲安奈德溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯膦酸二钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还少胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退障眼膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香化气胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸屈他维林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氯苯那敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻眩晕宁合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙卡特罗口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B<sub>12颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑灵素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2b注射剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美金刚片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''21999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸异帕米星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠伪麻黄碱缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀钙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛影葡胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利鲁唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地喹氯铵含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普瑞巴林胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味珍层冰硼滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝康宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用异丙托溴铵溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛消炎软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西瓜霜润喉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡增乳胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿哌沙班片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷莫司琼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摩罗丹（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''障眼明胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维片(6)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆贝葡胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉(200/0.5)氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疡气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛斑调经胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百草妇炎清栓 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气和胃胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔宁片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨苄西林钠舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟尿嘧啶植入剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用精氨酸阿司匹林'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青鹏软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑肟钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁肤净洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥替溴铵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用过氧化碳酰胺'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金参润喉合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用A群链球菌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄安宫片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙牡壮骨颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依巴斯汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨曲南'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸尼莫司汀'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠泰合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安多霖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肺活血胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酰明胶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用抗肿瘤免疫核糖核酸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痛贴膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓利咽胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃止痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''爱普列特片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝结芽孢杆菌活菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星滴耳液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替洛尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿善存片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达那唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神衰康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ω-3鱼油脂肪乳注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保儿安颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打七厘片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨酚烷胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石淋通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调胃舒肝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘组织液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复欣颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞来昔布胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝解郁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸枣仁合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体酒石酸铋胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布比卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促卵泡激素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生乳汁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参附注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α1b滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中风回春丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙茸壮阳片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酰胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科再造胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇片/雌二醇地屈孕酮片复合包装'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天丹通络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独活寄生合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方甘草酸苷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽立爽口含滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金骨莲胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天智颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脏连丸 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海狗丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消糖灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝咳宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦碟子注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百补增力丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星滴耳液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡维地洛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫鸟嘌呤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸镁缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸可的松滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童维D钙咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯巴布膏 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲公英颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方猴头胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸平阳霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2a栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油口服乳液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸四环素醋酸可的松眼膏。'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地榆升白片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q<sub>10胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润肺膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用呋苄西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泻速停颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液(C<sub>14~24)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地佐辛注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐Ⅲ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲胆消炎滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥昔布宁缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸地塞米松乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙哌立松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸非尼拉敏盐酸萘甲唑啉滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱氨酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗米通乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝浸膏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏芎氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地吡罗昔康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多拉司琼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气血双补丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏血通注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂利嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无比山药丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博性康药膜'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓肠溶胶囊[消栓胶囊(肠溶)]'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去乙酰毛花苷注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲安奈德乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠栓(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑静注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸氢黄连素软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁心宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸苹果酸钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿福音丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄口腔崩解片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打镇痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴特日七味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五氟利多片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸托氟沙星胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目蒺藜丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿莫罗芬搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗氯化钠羟乙基淀粉40注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿囊素铝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片Ⅱ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素喷鼻剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉莫三嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇消炎栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培元通脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络骨质宁膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸咖啡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢匹胺钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏内酯注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚那敏颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘减毒活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(水丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正红花油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克仑特罗栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸吡柔比星'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑舒通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人p53腺病毒注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘海醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫司汀注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香开胃贴'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳速停糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛瘀散结片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氧核苷酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素氨丁三醇散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比沙可啶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老鹳草软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草素钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲伏前列素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他夫定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解表追风丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京都念慈?蜜炼川贝枇杷膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢替安'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''递法明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方颠茄铋镁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司莫司汀胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体后叶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷托维林氯化铵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肝细胞生长素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参水杨酸散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸麻黄碱软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘化油注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑发用洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参黄养阴胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双醋瑞因胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫翁锌气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维格列汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶酶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片/米索前列醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参舒心胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲泼尼龙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用葡萄糖酸依诺沙星'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸长春新碱'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉益肾颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚甲蓝注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普拉克索缓释片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归元筋骨宁湿敷剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环索奈德气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气复脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白水解物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡托普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑立清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维B片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急支糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维他口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因胶浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸艾司洛尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利吲达帕胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安非他酮缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ACYW135群脑膜炎球菌多糖疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿夫唑嗪缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤疾洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依西美坦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用多种维生素(12)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五苓胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹田降脂丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉蔻五味丸（匝迪-5）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸伊马替尼胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>1注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内消瘰疬丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钠林格注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐40注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络舒通丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依固龈液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉祥安坤丸(乌力吉-18)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金龙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清感九味丸（呼和嘎日迪-9）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨酸碳酸钙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳舒糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米诺环素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡贝地尔缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎肠溶软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用吲哚菁绿'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸磷酸氢钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚甲硫氨酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可达灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普鲁卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释片（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸西曲瑞克'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋左慈丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸托特罗定缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸保胎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补血生乳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连蒲双清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方南星止痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄胶囊（珍黄丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠他唑巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝枇杷膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神州跌打丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金菊利咽口含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟伏沙明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸地氯雷他定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈螺酮炔雌醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用羟基喜树碱'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨麝香止痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南红药胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒（无蔗糖）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕司烟肼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬酮康唑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋通络颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚苯乙烯磺酸钙散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脂酸红霉素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤宁口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚葡锌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草分枝杆菌F.U.36注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美敏伪麻口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠（2'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘帕醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖散结片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎灭活疫苗(Vero细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味龙胆花颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸厄洛替尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁加铝咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美他环素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(3)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸托泊替康'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液(含糖型)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他卡西醇软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大败毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟米龙滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿普唑仑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪苈强心胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯溴马隆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用红花黄色素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖酚伪麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘敏维滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇月康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾麝救心丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布丙醇胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸比索洛尔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化毒散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-赖氨酸盐酸盐颗粒剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泻肺定喘片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五味麝香丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛庚啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养颜片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳桃花散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛巴布膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补心气口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸替加色罗片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚甲麻口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷二钠氯化镁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多沙普仑注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替莫唑胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙泊三醇倍他米松软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁二磺酸腺苷蛋氨酸肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿清解液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗汉果止咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾扶正片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞枣口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿咖酚胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美罗培南'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甘氨双唑钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳注射液（C<sub>6-24）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锡类散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消疲灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B阴道泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟考酮缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷丸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎康复片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原型谷胱甘肽滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲紫溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥洛他定滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格列汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四烯甲萘醌软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁溴东莨菪碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬待因片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿糖胞苷注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘精胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香痔疮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方芦丁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血停颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿二十五味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪斛楂颗粒(无糖型)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈西奈德溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒消炎水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾瑞昔布片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平阿托伐他汀钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾止泻宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑骨藤追风活络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄连素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿肤康搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用二丁酰环磷腺苷钙'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪肝康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂(儿童型)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊感冒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嗪酰胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡力孜然酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血滞通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素B片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方伤痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾普拉唑肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散结镇痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄栀花口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清喉利咽颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷他佐辛注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴降糖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨茶碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三唑仑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用辅酶A'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痒舒洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生肠溶微丸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益视颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力碘溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利脑心胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猪肺磷脂注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋多巴片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰螺旋霉素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘露醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氢钾钠颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子外用溶液（Ⅰ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桑菊感冒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托红霉素颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定洗剂（浓）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗致炎兔皮提取物注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原固精丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用环磷酰胺'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因气雾剂（II)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾附暖宫丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸亮丙瑞林微球'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环吡酮胺乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻头风灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方川芎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶冻干粉'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸利多卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''致康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁硼乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油果糖氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双花片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环酯红霉素干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯乳状注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钙口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香曲'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿石通丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙锌口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡培他滨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿维氨滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止咳糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓖麻油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肠胃康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾固齿丸 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻吩钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厚朴排气合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸樟柳碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬酯注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩泉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地芬尼多片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泽桂癃爽胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦甘桔颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附破伤风疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''砂连和胃胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚那敏三味浸膏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双虎清肝颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芍倍注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿生血糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪生脉饮'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列倍喜胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶银乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑阴道软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛贝林注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌乳杆菌三联活菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维A酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（水丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替比夫定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄通便颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意珍宝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻肟钠舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他扎罗汀凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔莫司胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙虎人丹'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氯米芬胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚愈敏口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用舒巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松粉吸入剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸林可霉素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦神开胃口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利叶酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六君子丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鳖甲软肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子衍生物滴眼剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻钩藤颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风油精'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠（2:1）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾强身片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释胶囊(II)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用福莫司汀'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻身减肥片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸氢钾注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氯喹片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸芦氟沙星胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酞丁安滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸胺碘酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿电解质补给注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸鱼精蛋白注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜灵泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴吡斯的明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟米松软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝白祛斑软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利多卡因乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基比林咖啡因片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒洛地特注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄清热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术宽中胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基己酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷露'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸卡替洛尔滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异烟肼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根芩连片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿激酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞溴红溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京万红'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌阴道胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氨蝶呤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿维生素咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉降糖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二乙酰氨乙酸乙二胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰硼散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼卡地平缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾胶囊（4:1）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝宝乐'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山蜡梅叶颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷霜软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(汉逊酵母)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸氯波必利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠单抗注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方福尔可定口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三拗片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蛤青注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸卡巴拉汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿白带丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚烷胺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味散(苏格木勒-7)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血解痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布拉氏酵母菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木香顺气丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芍调经片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消积止咳口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸去甲万古霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫匹罗星软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃疡胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠(2:1)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用N(2)-L-丙氨酰-L-谷氨酰胺'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿双清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸瑞波西汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治咳川贝枇杷露'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α-2b注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素注射液（CHO细胞）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝达康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒脑欣滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化?胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防己甲素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福喷丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定气雾剂（成模型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸吉米沙星片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸长春瑞滨注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃得安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁片（甲氰咪胍片）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗痨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲弗林注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山胃宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美西律片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨肽素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利塞膦酸钠胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳增宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方清带灌注液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生白合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恒古骨伤愈合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸丙帕他莫'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳唑气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘咳宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝糖肽胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乙酰水杨酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气肿片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟柳碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸西酞普兰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左归丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筋伤宁湿敷剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方北豆根氨酚那敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释胶囊(II)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养混悬剂(整蛋白型肠内营养剂)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾干混悬剂(7:1)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依非韦伦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用前列地尔干乳剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方赖氨酸颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓替硝唑含漱液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健宝灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠炎宁糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸多柔比星'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝母花流浸膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛾苓丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风舒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏天无滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味丸（苏格木勒-7）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欧龙马滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奈德乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用灯盏花素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列闭尔通栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚沙芬口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰灵口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿智力糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他多辛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壳脂胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[<sup>14C]呼气试验药盒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天一止咳糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝羚胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠／三唑巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓康复胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘甘油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西他赛注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方扶芳藤合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七止血咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白石清热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''b型流感嗜血杆菌结合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠（2:1）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉菌素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃硫胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肠止泻丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰珍清目滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡卡胺滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三子止咳胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒泌通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢西丁钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳枇杷颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止泻贴'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那屈肝素钙注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒秘胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多酶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸索利那新片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸哌嗪宝塔糖'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福酰胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美辛唑酮红古豆醇酯栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒必利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡硫醇片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味铁屑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神农镇痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钙注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络化纤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用达托霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方环磷酰胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦洛新缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素混合注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感清糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒冠颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶皂苷钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸强肾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''引阳索胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维制霉素栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖铁复合物胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促性素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山麦健脾口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉法酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸右美托咪定注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜酚胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素-β注射液（CHO细胞）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二硫化硒洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素枸橼酸二氢钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅱ型)干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿米替林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙乐雄胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加巴喷丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖电解质注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒风湿膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经宝颗粒 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔诺酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马栗种子提取物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用洛铂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血清去蛋白注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚叶酸钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新癀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸去甲肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾地苯醌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素胶囊(15) '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福昔明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呱西替柳干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸美托洛尔缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方次没食子酸铋栓Ⅱ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙甘氨酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三阳血傣合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味活血丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苁蓉益智胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维库溴铵'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方感冒灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂甘露醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特洛伪麻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蓝棕果片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖杉酯碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养血丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺吡嗪利福异烟片（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三氧化二砷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方愈创木酚磺酸钾口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15)双肽(2)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''22999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂可清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂络合碘片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海蛇痹宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美前列素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达沙替尼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锝[<sup>99Tc]亚甲基二膦酸盐注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄千金散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾拉莫德片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用硫酸沙丁胺醇溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组赖脯胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠维生素B6注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐孕宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓灰质炎灭活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈哌泊塞嗪注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风人免疫球蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲硝唑磷酸二钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大补阴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺气化痰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日舒安洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚肌胞注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用呋布西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达比加群酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸胞苷二钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒乐片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖钾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木丹颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘宁口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹莪妇康煎膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右归胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩当归丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方α-酮酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香罗勒口服混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子凝胶（酵母）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉痛消炎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸加尼瑞克注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒他西林干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙血竭胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬口服混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蔗糖铁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方公英片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利夫康洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用特利加压素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲哌卡因/肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石斛夜光丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白酵母散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用比阿培南'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用放线菌素D'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿泻停颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人血白蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软皂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心无忧片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲煎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白琥珀酸铁口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛霉安散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维铁口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍石烧伤膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳注射液(00)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香海马追风膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圣・约翰草提取物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺地尔酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌四联活菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双分伪麻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵胆平肝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭菌注射用水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用玻璃酸酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉40氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳心颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通滞苏润江胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫氨酸维B1注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦黄注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹鹿通督片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒宁糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢尼西钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧苯甲酰凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸长春地辛'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸镧咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲淀粉钠溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐70滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琼玉膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液（乳酸盐-G4.25%）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参首乌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通痹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化氢溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参莲胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左旋咪唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬黄敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色棕片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K<sub>1注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''北豆根胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛莫司汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野菊花注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿嘧啶替加氟片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人粒细胞巨噬细胞刺激因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布比卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人凝血酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2乳酸钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尤瑞克林'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸伊达比星'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通心络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖脉康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉泉颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸司维拉姆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸去氧肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎清栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用复方异丙托溴铵溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天佛参口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚美愈伪麻分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扶正化瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎四味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三味痔疮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸精氨酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消?益肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚砷酸氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23价肺炎球菌多糖疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨磷汀'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸托烷司琼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通分散片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素地塞米松滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草酸艾司西酞普兰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味天麻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷昔洛韦乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福布汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西罗莫司片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季青片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用糜蛋白酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脾养儿颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶结肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散风活络丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴丙胺太林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双环醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒林酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼麦角林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁卡因胶浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野马追糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荆肤止痒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄柏液涂剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比拜克胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸(浓缩水丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红核妇洁洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉菌素阴道栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸倍他司汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左羟丙哌嗪口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角鲨烯胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗库溴铵注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸盐'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵粉雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用牛肺表面活性剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通便灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑钠肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多动宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Jiangzhiling Jiaonang'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利舒康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙利度胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百宝丹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐杞黄颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用矛头蝮蛇血凝酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锯叶棕果实提取物软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿替普酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解感颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康复新液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八昧胶襄'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味能消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氟达拉滨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>6注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嘧司特钾滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃唑酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛胃安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足光散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大山楂丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝前列素钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜜炼川贝枇杷膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二妙丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通塞脉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宝泰康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方、低糖)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺肝素钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕歌斯片PagosidTablets'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马应龙麝香痔疮膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硼替佐米'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝镁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宣止咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用唑来膦酸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布诺洛尔滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎康栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方莪术油栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''协日嘎四味汤胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗通定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味松石丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治偏痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苓桂咳喘宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白百抗痨颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽口服冻干粉'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦索罗辛缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泄泻停颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰热清注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方可待因口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙胆泻肝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲苯咪唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全氟丙烷人血白蛋白微球注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸亮丙瑞林缓释微球'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波姆滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸钠滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雪莲烧伤膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人酸性成纤维细胞生长因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺妥布霉素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴胆碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴酚丁胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎氯铵溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪麝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2(<sup>125Ala)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚普瑞锌颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方海蛇胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗蛇毒血清'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉秦钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸大观霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博安霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方二氯醋酸二异丙胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨通贴膏（聚异丁烯型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸二氢麦角碱缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽胞杆菌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯磺顺阿曲库铵'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热暗疮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱式硝酸铋片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尖吻蝮蛇血凝酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经带宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥司明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散(微粉细粒型)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国公酒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟脑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清解颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方追风膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴丝肼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参多糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸占替诺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涩肠止泻散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒眠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热毒宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核黄素磷酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚黄那敏颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C<sub>8-24)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金玄痔科熏洗散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平片(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痤丸 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕尼培南倍他米隆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯唑西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液保存液(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克洛己新干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍他米松注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林旦乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用右丙亚胺'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸西索米星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食母生片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻片（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷红注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥布卡因滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金霉素眼膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑氯倍他索乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''?莶风湿片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参松养心胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葫芦素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金银花软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德尿素软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用利培酮微球'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用A型肉毒毒素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾葡甲胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦柑桔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马巴戟胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度他雄胺软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化症片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰黄肤乐软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆陈皮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白癜风胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替格瑞洛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香保心丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用万应膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化泼尼松注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消食健儿冲剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝浸膏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参柴肝康软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制狗皮膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2a注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补脾益肠丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葆宫止血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊通窍颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>2片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊立替康注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保利尔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝诺酯颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎溴铵溶液（新洁而灭溶液）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米安色林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海昆肾喜胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消旋山莨菪碱滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈伤灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三黄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯化钠滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春胺缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿豉翘清热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''考来烯胺散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宣肺止咳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗丸 [药典]'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露（含甘油）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠封管注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素膜'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸米力农注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替尼泊苷注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三分三浸膏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川黄口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠明目滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫氟片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托孕烯植入剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎盘多肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋卡多曲颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮胶囊(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宁丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸头孢匹'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌唑嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃舒胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔雌醇环丙孕酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘丁美酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓散结丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤舒止痒膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静注人免疫球蛋白(pH4)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑镁肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30/70混合重组人胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾迪注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双嘧达莫片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人凝血因子Ⅷ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达立通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素维E乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意金黄散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝清肺糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''温胃舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方虎杖氨敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆木浸膏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逐瘀通脉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆益宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非罗齐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘萘甲那敏鼻喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素注射液说明书'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方萘普生栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普伐他汀钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜黄消痤搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火栀麦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核糖核酸Ⅰ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天胡荽愈肝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊<p>'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瓜提取物注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解痉镇痛酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖愈敏溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氟脲苷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方玄驹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉隆注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼臼毒素酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘脂多糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿王消炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明薄荷脑糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心舒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疾洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒碱乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萆?分清丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人表皮生长因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酰胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟西汀分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁朱丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多维元素片(23)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金蝉止痒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后康膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方铝酸铋颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(I)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪扶正注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''东方活血膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲巯咪唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎芷痛瘀散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利伐沙班片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米托蒽醌注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸万古霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白花油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢肝养阴胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普萘洛尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟芬那酸丁酯软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升血小板胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参维冻干蜂王浆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸双氢麦角毒碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟甲胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸加压素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸间羟胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞舒伐他汀钙胶囊 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布林佐胺滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕲蛇酶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人生长激素（rhGH）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨碘肽滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉血康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''津力达颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(14:1)干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定气雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲美他嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素注射液(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通络软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫芦消痤膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]胶囊呼气试验药盒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方角菜酸酯乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚝贝钙片(咀嚼片)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆粉'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼索地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用因卡膦酸二钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托芬那酯凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氰沙星胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘解磷定注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用地西他滨'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''王氏保赤丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙哌维林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素棕榈酸酯分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用益气复脉(冻干)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎止咳片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红衣补血口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方斑蝥胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂附地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普噻吨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁叶酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心七味胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列回春胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白（F（ab’）2）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋镁豆蔻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脉康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血当归胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灰树花胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸托瑞米芬片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热宁颗粒（果味型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸甲砜霉素甘氨酸酯'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁尔阴洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶苯海明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中／长链脂肪乳注射液( C8-24Ve)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金葡素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乃近片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄达赖氨酸滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈腰康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌甲酯缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂精降脂片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氢氯吡格雷片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑补肾丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷钴胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑健胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁脑蛋白水解物注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽孢杆菌活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维三七桂利嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖麻敏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸冰醋酸溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用左卡尼汀'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消炎颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''榄香烯口服乳'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味肝泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢地嗪钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖那敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋麻滴鼻液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素甲硝唑搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇必舒阴道泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痤隐酮凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二巯丙磺钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西妥昔单抗注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金果饮'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科养荣胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万通筋骨片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝水解肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用鼠神经生长因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万灵五香膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿卡波糖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心巴迪然吉布亚颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯胺酮注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用拉氧头孢钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西孟旦注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠氟氯西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶囊（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用心肌肽'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合氨基酸胶囊(8-11)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方头孢克洛干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人Ⅱ型肿瘤坏死因子受体-抗体融合蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经促孕丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶养血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德益康唑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟氯西林钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啉胍滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血管内皮抑制素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七价肺炎球菌结合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奈达铂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾蠲痹丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方瓜子金颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月见草油胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶当归口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠林格注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科得生丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通用名:阿娜尔妇洁液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和注射液(50R)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀鼻喷剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方托吡卡胺滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丝氨酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列吡嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾多肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原酶软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺铂注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特拉唑嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结合雌激素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维葡钙颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇4000散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方沙棘籽油栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄痔清栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异甘草酸镁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒咳嗽颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲参胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑芬布芬胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸舒马普坦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体果胶铋胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛹虫草菌粉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小麦纤维素颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参蛾助阳合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦炎口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹可安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列素氨丁三醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾镁钙葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿囊素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益康倍松乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素磷酸二氢钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科十味片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐地那非片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎菊上清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健民咽喉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄豆苷元胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胰利胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸卡泊芬净'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸铝凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白芍总苷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心康泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新雪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氢化可的松琥珀酸钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用白眉蛇毒血凝酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊血安颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸舍他康唑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃炎康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸唑吡坦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痹通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方穿心莲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素注射液(Ⅱ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯米帕明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍雷肽酶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多拉米双夫定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''余甘子喉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欣力康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷米普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西甲硅油乳剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用母牛分枝杆菌'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑乳膏（II）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿娜尔妇洁液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄甲氧苄啶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿川活络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列平胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促黄体激素α'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味脾胃舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血因子Ⅷ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥卡西平口服混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依降钙素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪精'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉症丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-谷氨酰胺呱仑酸钠颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香清胃胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多廿烷醇片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参仙升脉口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白脉软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒丸（浓缩丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸阿格列汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生物合成人胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝爽颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连翘败毒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血饮口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香丹注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹地尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅱ型）干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芪颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄碳酸氢钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康他索乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠肠溶缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎清洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五加生化胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云退翳丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依达拉奉注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组改构人肿瘤坏死因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸伪麻黄碱缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白消安注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾安胎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳安咖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎人免疫球蛋白'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川蛭通络胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''点舌丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸去氨加压素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃铋镁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方藤果痔疮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳酚咖敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐冲洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳洛酮注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肾宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''松龄血脉康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''了哥王片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氯倍他索乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化痰止咳糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎清颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘干乳剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊曲康唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''23999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强骨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他胡萝卜素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百艾洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用辅酶Ⅰ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风寒感冒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', '' 消积洁白丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维B颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（异型小蜜丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸布洛芬颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫?缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白酶颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肝降压胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋雷尼替丁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋塞米片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丁酸氮芥片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地诺前列酮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归补血口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸(浓缩丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎琥宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用戈那瑞林'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳拉西泮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿德福韦酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血酶原复合物'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用绒促性素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用培美曲塞二钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克感额日敦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石利胆颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤灵丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清艾条 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀猴枣散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚胺培南西司他丁钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力天麻杜仲胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2磷葡钙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五淋化石丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃妥因肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄叶绿素铜钠胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(10%)/氨基酸(15)/葡萄糖(20%)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶莲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心宝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝胶囊（Ⅲ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿润烧伤膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经祛斑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶洋地黄双苷滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉20氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美芬那敏铵糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平贝那普利片(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素γ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迪诺康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲尼司特胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯苯海拉明喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟马西尼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾塞那肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲尼司特片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制银翘解毒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂平胃颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康乐鼻炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙溴化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵液体胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸西格列汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨林巴比妥注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻宁（泡腾颗粒）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素注射液(CHO细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁阳补肾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯磷脂酰胆碱胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑肽节苷脂注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯妥英钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇洁舒洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乐片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜炎平注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''品名:金刚藤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕茸柱天胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉叶清火胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰麦迪霉素干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢地秦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方电解质注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸噻氯匹定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志苓胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮菌甲素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美扑伪麻干混悬剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消食片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸依沙吖啶溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地屈孕酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸长春碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A棕榈酸酯眼用凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肺消炎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四物颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒酵母胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨咖黄敏颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷胱甘肽片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔炎喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉呋替丁分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄?虫丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替加环素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖蛋白片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香镇痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂清片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸伊索拉定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄松洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左甲状腺素钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗浮山风湿膏药'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹(水蜜丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参七乳泰片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脉泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺法新'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑斯汀缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸链霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八宝丹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味消痔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四妙丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氧明注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列甲酯栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用促皮质素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯汀伪麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉洛芬滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺苯磺阿曲库铵注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉尘螨滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝孢子粉胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸钠葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双扑伪麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸妥布霉素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加脑灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒心宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色腙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚布芬片 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胎丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质宁搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金天格胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸头孢噻利'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利拉注射液。'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦/利托那韦口服液体'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素贴片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''满山白糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥东莨菪碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊伐布雷定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯普鲁卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弹性酶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝加欣片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖脯胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用普鲁卡因青霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸非索非那定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七厘胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多塞平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗格列酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美利嗪胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替考拉宁'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴洛沙星片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''郁金银屑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可溶性止血纱布'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚匹林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅去氧胆酸胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那他霉素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌纯蛋白衍生物'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油乳注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美沙芬滴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐羟丙甲纤维素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养正消积胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸依匹斯汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚双氢可待因片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美明分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维亚铁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉130/0.4氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归腹痛宁滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多/普罗雌烯阴道片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠钾注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心泰滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬巴布膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方活脑舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏细辛注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味逍遥丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合乳酸菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安西龙片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸氟轻松酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秋水仙碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨松宝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸黄酮哌酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉替拉韦钾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸颗粒剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美司钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野木瓜注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左乙拉西坦口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏子养心丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地巴唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻那敏混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科调经片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳宁嗽胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液（乳酸盐-G2.5%）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃苏颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴特罗口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑再造胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金钱草颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚溴敏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑降钙素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸溴隐亭片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方麝香注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟他胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸氯己定含漱液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮芥注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝尼地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保泰松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿五维赖氨酸糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲必治注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸表柔比星注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒解毒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁酸氢化可的松乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒（无蔗糖）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦当乳通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹痛宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-2（<sup>125Ala）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑蛋白水解物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气养血口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷辅酶胰岛素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七血伤宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片Ⅱ/氨麻苯美片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸磺新啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五参芪苓丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胃黄连片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀二甲双胍片(I)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡美莫司乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华法林钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参(冻干)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸他莫昔芬片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依马打正红花油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博来霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布辛伐他汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸亚铁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肝宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸麻黄碱片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少林风湿跌打膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚中/长链脂肪乳注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治伤软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''侗越耗?/span>'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替普瑞酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸替诺福韦二吡呋酯片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐舒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠他唑巴坦钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平口崩片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪十一味颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素维B6乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸舍曲林分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁桂儿脐贴'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐珠达西'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氯芬片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼石脂软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢甲肟'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安坤胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉他霉素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙美卡因滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸(浓缩丸)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维妇康洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素片(29)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D<sub>3片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱甲氧苄啶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热祛湿颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露聚糖肽片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥洛特罗贴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂林西瓜霜'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏立康唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素钠尿囊素凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双骨三子胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多沙唑嗪缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪蓉润肠口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铁铵泡腾颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧沙林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促卵泡激素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁加混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿节风分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙灵骨葆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸锂缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸文拉法辛缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心神宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟尿嘧啶口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚羟考酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏达莫注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益血生胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝镁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟吡汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双氯芬酸钠利多卡因'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露(含甘油)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福多司坦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''朱砂安神丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤湿止痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小败毒膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木糖醇'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟丙甲纤维素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳果糖口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊舒口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素氨溴索分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>12滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西那卡塞片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿对乙酰氨基酚灌肠液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲烟胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多夫定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促卵泡素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸罗沙替丁醋酸酯'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薯蓣皂苷片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络开痹片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用异环磷酰胺'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解毒痤疮丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚明胶肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炉甘石洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软脉灵口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎生肌膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸卷曲霉素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三七胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乐卡地平片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香正骨酊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核糖核酸Ⅱ'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白细胞介素-11'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''启脾口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯咪唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德新霉素贴膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金刚烷胺氨基比林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人绒促性素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾复康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石黄抗菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平口腔崩解片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚磺酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻蜜环糖肽片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福霉素钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕洛诺司琼注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方一枝蒿颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸马普替林片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠石灰'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗栓再造丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢米诺钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血小板生成素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸妥舒沙星片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方阿嗪米特肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸硫必利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖黄烷胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安儿宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡贝缩宫素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉200/0.5氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪健胃颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴曲酶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味丁香片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳美芬注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛呋喃唑酮栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制冠心片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味补血胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨匹林散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氢化可的松片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯羟酸乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚氨咖敏片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈香露白露片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺达肝癸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列本脲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿消食口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方牛胎肝提取物片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米曲菌胰酶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参川芎嗪注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛芩颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定地塞米松膜'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐匹克隆胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨疏康颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驱白巴布期片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢孟多酯钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬酰胺酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西洛他唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀钠缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鹿茸健骨胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏片(Ⅰ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲睾酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸双肼屈嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司唑仑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六神丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏仁止咳糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依帕司他片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐耳颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲消痔胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血生发胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝混悬凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母草胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利胆排石颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐溶液(供灌注用)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用单磷酸阿糖腺苷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九合维生素丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化琥珀胆碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏混悬液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢溴酸右美沙芬糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛤蚧定喘丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安脑丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康力欣胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉萘酯乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸氯马斯汀片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓开音丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巯嘌呤片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化樟脑注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驴胶补血颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆香鼻炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸度洛西汀肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心舒通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜康栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏风解毒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍氯米松樟脑乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨金黄敏颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安替可胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗感颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-11'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右佐匹克隆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硒酸钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工牛黄甲硝唑胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨友灵搽剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷酸氟达拉滨'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血凝酶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方梅笠草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补天灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道用乳杆菌活菌胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚烷胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净咀嚼片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金乌骨通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆喷酸葡胺注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金丸 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦前列素滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参阴道泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸睾酮注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒乐康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云锭'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨替诺福韦片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏露糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹珍头痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆开明片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(IV) '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤宁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎地肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍宝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用转化糖'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸依美斯汀滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒血宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托尼萘酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲萘氢醌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸班布特罗胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海拉明注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参健脾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百安洗液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消食颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血用枸橼酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏露'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯酸乙酯软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胆通胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生精胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿角胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿黄清热胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五福化毒丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气维血胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯诺昔康片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕痛定胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用米卡芬净钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜益母草胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲咪新乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘含片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜竹沥'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸亚铁糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚维生素C泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷霉素钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫异烟胺肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康灵胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸奥司他韦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活力苏口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿强骨颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃尔宁片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利可君片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇平胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳静糖浆'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯丙那林溴己新片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸（水丸）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗止咳片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参三七伤药片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养阴清肺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银花泌炎灵片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠水合物滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用曲妥珠单抗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁丙诺啡透皮贴剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回生口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因肾上腺素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄荷喉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸雌莫司汀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童回春颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红痰咳液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝肝泰颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉通便口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因注射液（溶剂用）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯双酯滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速效心痛滴丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁黄补肾胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野苏胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸维拉帕米缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿维A胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清脑复神液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡铂注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾舒颗粒（无糖型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芎葡萄糖注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松/三氯生乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀惊风散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必妥片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痔清软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤泰胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''施保利通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸索他洛尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富血口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参丹散结胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速克感冒胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4片（磷酸氨基嘌呤片）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟喜树碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十三味红花丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼地平胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿米洛利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂（TPF-T)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤芩洗剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组牛碱性成纤维细胞生长因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑栓'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用转移因子'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸罗哌卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿替卡因注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培门冬酶注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多苷片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿桔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海索片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宣肺止嗽合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑沙宗片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方亚油酸乙酯胶丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐散（I）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸麦角新碱注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉鲁肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''季德胜蛇药片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基脲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石杉碱甲片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味木香胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静注人免疫球蛋白（pH4）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒退热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏肝益阳胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化滞柔肝颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍耳聋丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新福菌素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后逐瘀胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿拉坦五味丸（阿拉坦-5）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用紫杉醇脂质体'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡托普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双橘颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依麦孜彼子胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑含漱液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏子油软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲醇注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟胞嘧啶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾愈胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿定喘口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素乳膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿西美辛缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫分散片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方门冬维甘滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双氯芬酸钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸吗啡缓释片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗接种家兔炎症皮肤提取物注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肚痛健胃整肠丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐软胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿洛西林钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸桂哌齐特注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D<sub>3注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补心丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气合剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用紫杉醇（白蛋白结合型）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金胆片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片(Ⅲ)/氨麻美敏片(Ⅲ)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利钠片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来曲唑片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓清音丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿脾醒颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎冲十三味丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B<sub>12口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶肠溶胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰颗粒 '', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖卡木颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓子喉片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸可乐定片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇屈螺酮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消散'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌铁钙口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓缓释胶囊（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椿乳凝胶'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钾颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄止嗽胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方贝母片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核酪口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素分散片（21）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平胶囊（Ⅱ）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚美伪麻片与苯酚伪麻片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛丸'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄宁宫片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感咳双清胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利氢氯噻嗪片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化癓片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸坦度螺酮胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸喹那普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬凝胶贴膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地特胰岛素注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特缓释胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸咪达普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金口服液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石韦胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧氯普胺片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸含漱液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝胞内糖肽胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱氯化钠注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味镇心颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原酶肠溶片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛洛唑啉鼻用喷雾剂'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑苷肌肽注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇软膏'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可地尔片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝那普利片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破灭活脊髓灰质炎和b型流感嗜血杆菌（结合）联合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺醋酰钠滴眼液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒裂解疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异氟烷'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服轮状病毒活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风抗毒素'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺化痰泡腾片'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附白喉破伤风联合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(CHO细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道病毒71型灭活疫苗(Vero细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''整蛋白型肠内营养剂(粉剂)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒Vi多糖疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(Vero细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌多糖疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲泼尼龙琥珀酸钠'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎胶囊'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦甘颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(人二倍体细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', '' A群脑膜炎球菌多糖疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人粒细胞刺激因子(CHO细胞）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破联合疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(11%)注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核菌素纯蛋白衍生物'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人用狂犬病疫苗（Vero细胞）'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干甲型肝炎减毒活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎减毒活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养粉剂(TP)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水解蛋白口服溶液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干水痘减毒活疫苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(酿酒酵母)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌拉地尔注射液'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮内注射用卡介苗'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎灭活疫苗(人二倍体细胞)'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚乙胺颗粒'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能不全'', null);
INSERT INTO `del_icss_introduce_info` VALUES (''24956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖反应'', ''低血糖反应'');
INSERT INTO `del_icss_introduce_info` VALUES (''24957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道不良反应'', ''胃肠道不良反应'');

-- ----------------------------
-- Table structure for del_icss_introduce_map
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_introduce_map`;
CREATE TABLE `del_icss_introduce_map` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `question_id` bigint(20) NOT NULL COMMENT ''标签id'',
  `introduce_id` bigint(20) NOT NULL COMMENT ''提示信息id'',
  `type` int(11) DEFAULT NULL COMMENT ''类型（参照icss_question_info）'',
  `remark` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5107 DEFAULT CHARSET=utf8 COMMENT=''标签与提示信息映射表'';

-- ----------------------------
-- Records of del_icss_introduce_map
-- ----------------------------
INSERT INTO `del_icss_introduce_map` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''137'', ''1688'', ''8'', ''多索茶碱'');
INSERT INTO `del_icss_introduce_map` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''132'', ''1689'', ''9'', ''支气管扩张剂'');
INSERT INTO `del_icss_introduce_map` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''140'', ''1691'', ''8'', ''莫西沙星'');
INSERT INTO `del_icss_introduce_map` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''337'', ''1692'', ''8'', ''乙酰半胱氨酸'');
INSERT INTO `del_icss_introduce_map` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''395'', ''1693'', ''8'', ''瑞芬太尼'');
INSERT INTO `del_icss_introduce_map` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''351'', ''1694'', ''8'', ''加贝酯'');
INSERT INTO `del_icss_introduce_map` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''344'', ''1695'', ''8'', ''山莨菪碱'');
INSERT INTO `del_icss_introduce_map` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''338'', ''1696'', ''8'', ''右美沙芬'');
INSERT INTO `del_icss_introduce_map` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''340'', ''1697'', ''8'', ''可待因'');
INSERT INTO `del_icss_introduce_map` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''348'', ''1698'', ''8'', ''奥曲肽'');
INSERT INTO `del_icss_introduce_map` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''347'', ''1699'', ''8'', ''哌替啶'');
INSERT INTO `del_icss_introduce_map` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''349'', ''1700'', ''8'', ''生长抑素'');
INSERT INTO `del_icss_introduce_map` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''341'', ''1701'', ''8'', ''奥美拉唑'');
INSERT INTO `del_icss_introduce_map` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''350'', ''1702'', ''8'', ''乌司他丁'');
INSERT INTO `del_icss_introduce_map` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''339'', ''1703'', ''8'', ''喷托维林'');
INSERT INTO `del_icss_introduce_map` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''356'', ''1704'', ''8'', ''头孢他啶'');
INSERT INTO `del_icss_introduce_map` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''355'', ''1705'', ''8'', ''头孢呋辛'');
INSERT INTO `del_icss_introduce_map` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''345'', ''1706'', ''8'', ''东莨菪碱'');
INSERT INTO `del_icss_introduce_map` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''145'', ''1707'', ''8'', ''泮托拉唑'');
INSERT INTO `del_icss_introduce_map` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''336'', ''1708'', ''8'', ''溴己新'');
INSERT INTO `del_icss_introduce_map` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''330'', ''1709'', ''8'', ''头孢噻肟'');
INSERT INTO `del_icss_introduce_map` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''334'', ''1710'', ''8'', ''厄他培南'');
INSERT INTO `del_icss_introduce_map` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''139'', ''1711'', ''8'', ''左氧氟沙星'');
INSERT INTO `del_icss_introduce_map` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''342'', ''1712'', ''8'', ''兰索拉唑'');
INSERT INTO `del_icss_introduce_map` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''331'', ''1713'', ''8'', ''头孢曲松'');
INSERT INTO `del_icss_introduce_map` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''141'', ''1714'', ''8'', ''氨溴索'');
INSERT INTO `del_icss_introduce_map` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26246'', ''21142'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28300'', ''21143'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27969'', ''21144'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26309'', ''21145'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29497'', ''21146'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25402'', ''21147'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27949'', ''21148'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27154'', ''21149'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26709'', ''21150'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28158'', ''21151'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25658'', ''21152'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27799'', ''21153'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28912'', ''21154'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26972'', ''21155'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28349'', ''21156'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27706'', ''21157'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25599'', ''21158'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26707'', ''21159'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28931'', ''21160'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27559'', ''21161'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27129'', ''21162'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27313'', ''21163'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28270'', ''21164'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26654'', ''21165'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28867'', ''21166'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27499'', ''21167'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26580'', ''21168'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29325'', ''21169'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25412'', ''21170'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26033'', ''21171'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28588'', ''21172'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28593'', ''21173'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27003'', ''21174'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25856'', ''21175'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26258'', ''21176'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26845'', ''21177'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26439'', ''21178'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26085'', ''21179'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27861'', ''21180'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28257'', ''21181'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28852'', ''21182'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28928'', ''21183'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29304'', ''21184'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29124'', ''21185'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26200'', ''21186'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26887'', ''21187'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28233'', ''21188'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29295'', ''21189'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26034'', ''21190'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28452'', ''21191'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28203'', ''21192'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29416'', ''21193'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26793'', ''21194'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28940'', ''21195'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28913'', ''21196'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26596'', ''21197'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27540'', ''21198'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25396'', ''21199'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29235'', ''21200'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27195'', ''21201'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25892'', ''21202'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29047'', ''21203'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26907'', ''21204'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27459'', ''21205'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27271'', ''21206'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28763'', ''21207'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27980'', ''21208'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29404'', ''21209'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25994'', ''21210'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29393'', ''21211'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26121'', ''21212'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28770'', ''21213'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26539'', ''21214'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27273'', ''21215'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26837'', ''21216'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26007'', ''21217'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28281'', ''21218'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28311'', ''21219'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27777'', ''21220'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28487'', ''21221'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28057'', ''21222'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27724'', ''21223'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27243'', ''21224'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28516'', ''21225'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26431'', ''21226'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27230'', ''21227'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25677'', ''21228'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28266'', ''21229'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28679'', ''21230'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26350'', ''21231'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26219'', ''21232'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26320'', ''21233'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29538'', ''21234'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25600'', ''21235'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27733'', ''21236'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28245'', ''21237'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27677'', ''21238'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28399'', ''21239'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27314'', ''21240'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27434'', ''21241'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27844'', ''21242'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27821'', ''21243'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25360'', ''21244'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27929'', ''21245'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27643'', ''21246'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27371'', ''21247'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26618'', ''21248'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28479'', ''21249'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29507'', ''21250'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25903'', ''21251'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25642'', ''21252'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27771'', ''21253'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28831'', ''21254'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29148'', ''21255'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28439'', ''21256'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28275'', ''21257'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27136'', ''21258'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26243'', ''21259'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25439'', ''21260'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29347'', ''21261'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27237'', ''21262'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26140'', ''21263'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26130'', ''21264'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27137'', ''21265'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26734'', ''21266'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27603'', ''21267'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28342'', ''21268'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25471'', ''21269'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28900'', ''21270'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29117'', ''21271'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28619'', ''21272'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25578'', ''21273'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27132'', ''21274'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25962'', ''21275'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27633'', ''21276'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26480'', ''21277'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27867'', ''21278'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27084'', ''21279'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29114'', ''21280'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27893'', ''21281'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28589'', ''21282'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27958'', ''21283'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27839'', ''21284'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27817'', ''21285'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27939'', ''21286'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29312'', ''21287'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28927'', ''21288'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27573'', ''21289'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27388'', ''21290'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28367'', ''21291'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27227'', ''21292'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25378'', ''21293'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29186'', ''21294'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27144'', ''21295'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25614'', ''21296'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26690'', ''21297'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29394'', ''21298'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26572'', ''21299'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28215'', ''21300'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27446'', ''21301'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26846'', ''21302'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25754'', ''21303'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28541'', ''21304'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29191'', ''21305'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26317'', ''21306'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29118'', ''21307'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28750'', ''21308'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29440'', ''21309'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25701'', ''21310'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25942'', ''21311'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26807'', ''21312'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28050'', ''21313'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28737'', ''21314'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29558'', ''21315'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28302'', ''21316'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26005'', ''21317'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27011'', ''21318'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25387'', ''21319'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28664'', ''21320'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28418'', ''21321'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28406'', ''21322'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26288'', ''21323'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25653'', ''21324'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26835'', ''21325'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25469'', ''21326'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27525'', ''21327'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28749'', ''21328'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29205'', ''21329'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26306'', ''21330'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25529'', ''21331'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26856'', ''21332'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27317'', ''21333'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25905'', ''21334'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29618'', ''21335'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26862'', ''21336'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27887'', ''21337'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27439'', ''21338'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29588'', ''21339'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28979'', ''21340'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28365'', ''21341'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26811'', ''21342'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28813'', ''21343'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26032'', ''21344'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27346'', ''21345'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25530'', ''21346'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27910'', ''21347'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26836'', ''21348'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28646'', ''21349'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29457'', ''21350'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26669'', ''21351'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28055'', ''21352'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25932'', ''21353'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27376'', ''21354'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29298'', ''21355'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29441'', ''21356'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29615'', ''21357'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28226'', ''21358'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28997'', ''21359'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29482'', ''21360'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29072'', ''21361'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29452'', ''21362'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29282'', ''21363'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26927'', ''21364'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25369'', ''21365'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26162'', ''21366'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25522'', ''21367'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28401'', ''21368'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29038'', ''21369'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28814'', ''21370'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27508'', ''21371'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28062'', ''21372'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25714'', ''21373'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28095'', ''21374'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27728'', ''21375'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26645'', ''21376'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26169'', ''21377'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28727'', ''21378'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25817'', ''21379'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29417'', ''21380'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27396'', ''21381'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28775'', ''21382'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25547'', ''21383'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27788'', ''21384'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28841'', ''21385'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29103'', ''21386'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28603'', ''21387'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26956'', ''21388'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29167'', ''21389'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27838'', ''21390'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25940'', ''21391'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26508'', ''21392'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27518'', ''21393'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28116'', ''21394'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28880'', ''21395'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26460'', ''21396'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26829'', ''21397'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27337'', ''21398'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28021'', ''21399'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27912'', ''21400'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26464'', ''21401'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29614'', ''21402'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25822'', ''21403'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27239'', ''21404'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29612'', ''21405'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27569'', ''21406'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28566'', ''21407'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29371'', ''21409'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28119'', ''21410'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26939'', ''21411'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26318'', ''21412'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27232'', ''21413'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25808'', ''21414'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26346'', ''21415'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29010'', ''21416'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27680'', ''21417'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27806'', ''21418'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26603'', ''21419'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27792'', ''21420'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26189'', ''21421'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28815'', ''21422'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27152'', ''21423'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26145'', ''21424'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29104'', ''21425'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29384'', ''21426'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26575'', ''21427'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28181'', ''21428'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25507'', ''21429'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25501'', ''21430'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26720'', ''21431'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27476'', ''21432'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25583'', ''21433'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29291'', ''21434'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25414'', ''21435'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26199'', ''21436'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27933'', ''21437'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28206'', ''21438'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27357'', ''21439'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26339'', ''21440'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26861'', ''21441'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27773'', ''21442'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26506'', ''21443'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27418'', ''21444'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26319'', ''21445'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27675'', ''21446'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26195'', ''21447'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28018'', ''21448'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29206'', ''21449'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28938'', ''21450'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28112'', ''21451'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26740'', ''21452'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26113'', ''21453'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25470'', ''21454'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26609'', ''21455'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29464'', ''21456'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26870'', ''21457'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''346'', ''21458'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29232'', ''21459'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29029'', ''21460'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26175'', ''21461'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25863'', ''21462'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26380'', ''21463'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27600'', ''21464'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26633'', ''21465'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29368'', ''21466'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28633'', ''21467'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27213'', ''21468'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25537'', ''21469'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29035'', ''21470'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29563'', ''21471'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27992'', ''21472'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27463'', ''21473'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27485'', ''21474'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28629'', ''21475'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29429'', ''21476'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28276'', ''21477'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26355'', ''21478'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26950'', ''21479'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27094'', ''21480'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25383'', ''21481'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28767'', ''21482'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25517'', ''21483'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27692'', ''21484'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26567'', ''21485'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27658'', ''21486'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25435'', ''21487'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26083'', ''21488'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26512'', ''21489'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27683'', ''21490'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27964'', ''21491'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26561'', ''21492'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26027'', ''21493'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28212'', ''21494'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26256'', ''21495'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25544'', ''21496'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29112'', ''21497'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26780'', ''21498'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28123'', ''21499'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27492'', ''21500'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29219'', ''21501'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26739'', ''21502'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25720'', ''21503'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26943'', ''21504'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26018'', ''21505'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28834'', ''21506'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27691'', ''21507'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27595'', ''21508'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28712'', ''21509'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25492'', ''21510'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28634'', ''21511'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26693'', ''21512'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27322'', ''21513'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29524'', ''21514'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28151'', ''21515'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26919'', ''21516'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28455'', ''21517'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28126'', ''21518'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26652'', ''21519'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28520'', ''21520'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26961'', ''21521'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25763'', ''21522'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26071'', ''21523'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26451'', ''21524'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25566'', ''21525'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25896'', ''21526'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29345'', ''21527'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28985'', ''21528'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28184'', ''21529'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29271'', ''21530'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25495'', ''21531'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25586'', ''21532'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29587'', ''21533'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26081'', ''21534'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28081'', ''21535'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27222'', ''21536'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26816'', ''21537'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26875'', ''21538'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28950'', ''21539'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28844'', ''21540'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28630'', ''21541'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27596'', ''21542'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27403'', ''21543'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29150'', ''21544'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28495'', ''21545'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28287'', ''21546'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27812'', ''21547'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25728'', ''21548'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28078'', ''21549'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28592'', ''21550'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29058'', ''21551'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26831'', ''21552'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27946'', ''21553'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26560'', ''21554'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28446'', ''21555'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28471'', ''21556'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26833'', ''21557'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25970'', ''21558'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28372'', ''21559'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27162'', ''21560'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28830'', ''21561'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26382'', ''21562'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27327'', ''21563'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28296'', ''21564'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28668'', ''21565'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25400'', ''21566'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25750'', ''21567'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28833'', ''21568'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26680'', ''21569'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27940'', ''21570'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27049'', ''21571'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25571'', ''21572'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28627'', ''21573'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28583'', ''21574'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25747'', ''21575'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25866'', ''21576'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26945'', ''21577'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26204'', ''21578'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26568'', ''21579'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27787'', ''21580'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27942'', ''21581'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28557'', ''21582'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28991'', ''21583'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29458'', ''21584'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28301'', ''21585'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25725'', ''21586'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28317'', ''21587'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27138'', ''21588'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27163'', ''21589'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26447'', ''21590'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29286'', ''21591'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26423'', ''21592'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28747'', ''21593'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28981'', ''21594'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27086'', ''21595'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27412'', ''21596'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25990'', ''21597'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28368'', ''21598'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26126'', ''21599'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29382'', ''21600'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27976'', ''21601'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27190'', ''21602'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26920'', ''21603'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26706'', ''21604'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26791'', ''21605'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27582'', ''21606'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28069'', ''21607'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25420'', ''21608'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26930'', ''21609'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28467'', ''21610'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26959'', ''21611'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28801'', ''21612'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27741'', ''21613'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26850'', ''21614'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28863'', ''21615'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28331'', ''21616'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28504'', ''21617'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26409'', ''21618'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27256'', ''21619'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26684'', ''21620'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26704'', ''21621'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25375'', ''21622'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27482'', ''21623'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28598'', ''21624'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27686'', ''21625'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28117'', ''21626'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25385'', ''21627'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27117'', ''21628'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26578'', ''21629'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25883'', ''21630'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28186'', ''21631'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28842'', ''21632'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28092'', ''21633'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27554'', ''21634'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27855'', ''21635'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29159'', ''21636'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25816'', ''21637'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27945'', ''21638'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29373'', ''21639'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27521'', ''21640'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26424'', ''21641'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26419'', ''21642'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27953'', ''21643'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28525'', ''21644'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27960'', ''21645'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29028'', ''21646'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29577'', ''21647'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27860'', ''21648'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25861'', ''21649'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26211'', ''21650'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26702'', ''21651'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26393'', ''21652'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25538'', ''21653'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28234'', ''21654'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27848'', ''21655'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27112'', ''21656'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27455'', ''21657'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28063'', ''21658'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27156'', ''21659'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27120'', ''21660'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29220'', ''21661'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26730'', ''21662'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26746'', ''21663'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29079'', ''21664'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28860'', ''21665'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25351'', ''21666'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26422'', ''21667'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26715'', ''21668'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28692'', ''21669'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28798'', ''21670'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25596'', ''21671'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26254'', ''21672'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27594'', ''21673'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26354'', ''21674'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25908'', ''21675'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25793'', ''21676'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25992'', ''21677'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25417'', ''21678'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28769'', ''21679'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26664'', ''21680'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26949'', ''21681'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28942'', ''21682'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26104'', ''21683'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29224'', ''21684'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27654'', ''21685'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29020'', ''21686'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26754'', ''21687'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25678'', ''21688'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28996'', ''21689'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26772'', ''21690'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28610'', ''21691'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25729'', ''21692'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25931'', ''21693'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28171'', ''21694'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29593'', ''21695'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27095'', ''21696'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29498'', ''21697'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25850'', ''21698'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28005'', ''21699'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29133'', ''21700'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29022'', ''21701'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25768'', ''21702'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26952'', ''21703'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28531'', ''21704'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29547'', ''21705'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26741'', ''21706'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26947'', ''21707'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28073'', ''21708'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28571'', ''21709'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27228'', ''21710'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25601'', ''21711'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28431'', ''21712'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25637'', ''21713'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28028'', ''21714'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26176'', ''21715'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29066'', ''21716'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26522'', ''21717'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28564'', ''21718'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29137'', ''21719'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25900'', ''21720'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26860'', ''21721'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28029'', ''21722'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27998'', ''21723'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28408'', ''21724'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26726'', ''21725'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27146'', ''21726'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28252'', ''21727'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25448'', ''21728'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25719'', ''21729'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26052'', ''21730'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26801'', ''21731'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26120'', ''21732'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26636'', ''21733'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27678'', ''21734'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28277'', ''21735'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26076'', ''21736'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25706'', ''21737'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28758'', ''21738'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25545'', ''21739'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28433'', ''21740'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25503'', ''21741'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25693'', ''21742'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26137'', ''21743'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29369'', ''21744'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28933'', ''21745'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25539'', ''21746'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28137'', ''21747'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27571'', ''21748'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25477'', ''21749'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26394'', ''21750'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29065'', ''21751'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27301'', ''21752'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25688'', ''21753'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27613'', ''21754'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28952'', ''21755'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27715'', ''21756'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28958'', ''21757'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26326'', ''21758'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27430'', ''21759'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27886'', ''21760'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28920'', ''21761'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28605'', ''21762'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27046'', ''21763'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29181'', ''21764'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29337'', ''21765'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25634'', ''21766'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26029'', ''21767'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29064'', ''21768'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29113'', ''21769'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27616'', ''21770'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29257'', ''21771'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26990'', ''21772'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26679'', ''21773'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25982'', ''21774'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28177'', ''21775'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27092'', ''21776'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25746'', ''21777'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26265'', ''21778'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25891'', ''21779'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25784'', ''21780'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28724'', ''21781'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28114'', ''21782'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26236'', ''21783'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26008'', ''21784'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28360'', ''21785'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29138'', ''21786'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27882'', ''21787'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28237'', ''21788'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28590'', ''21789'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27294'', ''21790'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29056'', ''21791'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26975'', ''21792'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26459'', ''21793'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27474'', ''21794'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27899'', ''21795'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28180'', ''21796'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27584'', ''21797'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26591'', ''21798'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28514'', ''21799'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29608'', ''21800'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27905'', ''21801'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27704'', ''21802'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26936'', ''21803'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28968'', ''21804'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27538'', ''21805'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27894'', ''21806'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27619'', ''21807'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25968'', ''21808'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28572'', ''21809'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29366'', ''21810'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26744'', ''21811'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27134'', ''21812'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28882'', ''21813'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26779'', ''21814'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27709'', ''21815'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26978'', ''21816'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26902'', ''21817'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26983'', ''21818'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29284'', ''21819'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25415'', ''21820'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27858'', ''21821'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26558'', ''21822'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26884'', ''21823'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26337'', ''21824'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28350'', ''21825'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27526'', ''21826'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25743'', ''21827'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28307'', ''21828'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29536'', ''21829'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26993'', ''21830'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27565'', ''21831'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29546'', ''21832'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29188'', ''21833'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29199'', ''21834'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27530'', ''21835'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25758'', ''21836'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26761'', ''21837'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27963'', ''21838'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29330'', ''21839'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26408'', ''21840'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26468'', ''21841'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28604'', ''21842'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26011'', ''21843'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26469'', ''21844'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28305'', ''21845'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26932'', ''21846'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28748'', ''21847'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28020'', ''21848'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29008'', ''21849'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26538'', ''21850'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27591'', ''21851'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28547'', ''21852'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25648'', ''21853'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29087'', ''21854'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28533'', ''21855'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29090'', ''21856'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25910'', ''21857'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29544'', ''21858'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27852'', ''21859'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28925'', ''21860'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29592'', ''21861'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27961'', ''21862'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28209'', ''21863'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28582'', ''21864'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28336'', ''21865'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26359'', ''21866'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27653'', ''21867'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27478'', ''21868'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26749'', ''21869'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25447'', ''21870'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26026'', ''21871'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28454'', ''21872'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27379'', ''21873'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25977'', ''21874'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26776'', ''21875'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28183'', ''21876'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27045'', ''21877'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25377'', ''21878'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29055'', ''21879'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26218'', ''21880'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28888'', ''21881'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26315'', ''21882'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27863'', ''21883'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28828'', ''21884'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28716'', ''21885'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25588'', ''21886'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29200'', ''21887'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28776'', ''21888'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27574'', ''21889'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28154'', ''21890'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29197'', ''21891'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27295'', ''21892'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26416'', ''21893'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28128'', ''21894'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26535'', ''21895'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25995'', ''21896'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26316'', ''21897'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27296'', ''21898'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27768'', ''21899'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27035'', ''21900'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28943'', ''21901'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29105'', ''21902'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26222'', ''21903'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29356'', ''21904'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26616'', ''21905'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27464'', ''21906'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29576'', ''21907'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25814'', ''21908'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26608'', ''21909'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25807'', ''21910'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28616'', ''21911'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26523'', ''21912'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26644'', ''21913'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26708'', ''21914'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27277'', ''21915'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27698'', ''21916'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27176'', ''21917'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26488'', ''21918'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27435'', ''21919'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26998'', ''21920'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26375'', ''21921'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25647'', ''21922'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26349'', ''21923'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28172'', ''21924'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25922'', ''21925'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25941'', ''21926'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28857'', ''21927'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26149'', ''21928'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29203'', ''21929'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25852'', ''21930'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29433'', ''21931'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26733'', ''21932'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26271'', ''21933'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28654'', ''21934'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29278'', ''21935'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26292'', ''21936'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26985'', ''21937'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28853'', ''21938'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29575'', ''21939'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26193'', ''21940'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26053'', ''21941'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27312'', ''21942'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26547'', ''21943'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26072'', ''21944'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28760'', ''21945'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27700'', ''21946'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25893'', ''21947'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25713'', ''21948'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26494'', ''21949'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28043'', ''21950'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29075'', ''21951'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26331'', ''21952'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28936'', ''21953'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29174'', ''21954'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26643'', ''21955'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26352'', ''21956'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27023'', ''21957'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26613'', ''21958'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26245'', ''21959'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26604'', ''21960'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28097'', ''21961'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26954'', ''21962'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25976'', ''21963'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27841'', ''21964'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28739'', ''21965'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27422'', ''21966'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26170'', ''21967'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26272'', ''21968'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26226'', ''21969'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26092'', ''21970'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27411'', ''21971'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27578'', ''21972'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28523'', ''21973'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26747'', ''21974'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28472'', ''21975'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29569'', ''21976'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26095'', ''21977'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28773'', ''21978'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26402'', ''21979'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29309'', ''21980'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27601'', ''21981'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28032'', ''21982'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29100'', ''21983'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26823'', ''21984'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28638'', ''21985'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25886'', ''21986'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28089'', ''21987'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27581'', ''21988'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25899'', ''21989'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28540'', ''21990'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25762'', ''21991'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28083'', ''21992'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27760'', ''21993'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27174'', ''21994'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29002'', ''21995'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27651'', ''21996'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28091'', ''21997'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27039'', ''21998'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29229'', ''21999'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27748'', ''22000'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25438'', ''22001'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25432'', ''22002'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26239'', ''22003'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26268'', ''22004'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26221'', ''22005'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27410'', ''22006'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29143'', ''22007'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26055'', ''22008'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27944'', ''22009'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28458'', ''22010'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26659'', ''22011'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29222'', ''22012'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28054'', ''22013'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29475'', ''22014'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29265'', ''22015'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28784'', ''22016'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29106'', ''22017'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28743'', ''22018'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25418'', ''22019'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27373'', ''22020'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27717'', ''22021'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26672'', ''22022'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29359'', ''22023'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29421'', ''22024'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26152'', ''22025'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26634'', ''22026'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28023'', ''22027'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28344'', ''22028'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28090'', ''22029'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25625'', ''22030'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29256'', ''22031'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29496'', ''22032'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25500'', ''22033'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26534'', ''22034'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27278'', ''22035'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26240'', ''22036'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26313'', ''22037'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25812'', ''22038'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27127'', ''22039'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29428'', ''22040'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28034'', ''22041'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28631'', ''22042'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28721'', ''22043'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28947'', ''22044'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29060'', ''22045'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27065'', ''22046'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25580'', ''22047'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26820'', ''22048'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27078'', ''22049'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25361'', ''22050'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29426'', ''22051'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25833'', ''22052'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27522'', ''22053'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29165'', ''22054'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25552'', ''22055'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27779'', ''22056'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25882'', ''22057'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26274'', ''22058'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25465'', ''22059'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25786'', ''22060'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26869'', ''22061'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27249'', ''22062'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29395'', ''22063'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27621'', ''22064'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28869'', ''22065'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27108'', ''22066'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25494'', ''22067'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29144'', ''22068'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25464'', ''22069'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27757'', ''22070'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27801'', ''22071'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29129'', ''22072'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25430'', ''22073'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29586'', ''22074'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28953'', ''22075'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25560'', ''22076'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25945'', ''22077'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28304'', ''22078'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25368'', ''22079'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25656'', ''22080'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26084'', ''22081'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28924'', ''22082'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28355'', ''22083'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28556'', ''22084'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28150'', ''22085'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25867'', ''22086'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26914'', ''22087'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28211'', ''22088'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26425'', ''22089'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28429'', ''22090'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29377'', ''22091'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27424'', ''22092'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28366'', ''22093'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28465'', ''22094'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27431'', ''22095'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29513'', ''22096'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29383'', ''22097'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26544'', ''22098'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26119'', ''22099'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27054'', ''22100'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25805'', ''22101'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27784'', ''22102'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28334'', ''22103'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25821'', ''22104'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29534'', ''22105'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29500'', ''22106'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28821'', ''22107'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29099'', ''22108'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28077'', ''22109'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29136'', ''22110'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28169'', ''22111'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26909'', ''22112'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26343'', ''22113'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25917'', ''22114'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28534'', ''22115'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29435'', ''22116'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26112'', ''22117'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26438'', ''22118'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29095'', ''22119'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27089'', ''22120'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28546'', ''22121'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27814'', ''22122'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29397'', ''22123'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26826'', ''22124'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28868'', ''22125'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25655'', ''22126'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27309'', ''22127'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27778'', ''22128'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28456'', ''22129'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29062'', ''22130'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25624'', ''22131'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27567'', ''22132'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27204'', ''22133'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27477'', ''22134'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26358'', ''22135'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25773'', ''22136'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29034'', ''22137'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27381'', ''22138'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27262'', ''22139'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28682'', ''22140'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27555'', ''22141'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29386'', ''22142'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26550'', ''22143'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29267'', ''22144'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27927'', ''22145'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26453'', ''22146'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27010'', ''22147'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27900'', ''22148'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29535'', ''22149'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29084'', ''22150'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28448'', ''22151'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26067'', ''22152'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26579'', ''22153'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26330'', ''22154'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28450'', ''22155'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28208'', ''22156'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26276'', ''22157'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28966'', ''22158'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29454'', ''22159'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27659'', ''22160'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26728'', ''22161'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26068'', ''22162'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25798'', ''22163'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27853'', ''22164'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27429'', ''22165'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25581'', ''22166'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26399'', ''22167'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26948'', ''22168'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29208'', ''22169'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25967'', ''22170'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26230'', ''22171'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26789'', ''22172'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27283'', ''22173'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26441'', ''22174'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26357'', ''22175'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29030'', ''22176'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28779'', ''22177'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26138'', ''22178'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27974'', ''22179'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26360'', ''22180'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28387'', ''22181'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26804'', ''22182'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28752'', ''22183'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25785'', ''22185'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28862'', ''22186'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28129'', ''22187'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26531'', ''22188'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28410'', ''22189'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29024'', ''22190'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26491'', ''22191'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25666'', ''22192'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27800'', ''22193'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27901'', ''22194'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26261'', ''22195'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26070'', ''22196'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26086'', ''22197'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25607'', ''22198'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28754'', ''22199'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29268'', ''22200'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28644'', ''22201'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25748'', ''22202'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28875'', ''22203'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27716'', ''22204'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27983'', ''22205'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25628'', ''22206'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27767'', ''22207'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27494'', ''22208'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25405'', ''22209'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26689'', ''22210'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27791'', ''22211'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25523'', ''22212'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26799'', ''22213'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27326'', ''22214'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29245'', ''22215'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29405'', ''22216'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27219'', ''22217'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27870'', ''22218'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28561'', ''22219'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27044'', ''22220'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27179'', ''22221'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27610'', ''22222'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26235'', ''22223'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27106'', ''22224'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28975'', ''22225'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28617'', ''22226'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29299'', ''22227'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27071'', ''22228'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26370'', ''22229'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28426'', ''22230'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28357'', ''22231'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26344'', ''22232'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28846'', ''22233'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26481'', ''22234'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29442'', ''22235'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26264'', ''22236'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27281'', ''22237'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25518'', ''22238'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25738'', ''22239'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28865'', ''22240'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28279'', ''22241'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29003'', ''22242'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29515'', ''22243'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29101'', ''22244'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26078'', ''22245'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27197'', ''22246'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26775'', ''22247'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28554'', ''22248'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26414'', ''22249'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27257'', ''22250'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28096'', ''22251'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28655'', ''22252'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26911'', ''22253'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27449'', ''22254'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25721'', ''22255'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27356'', ''22256'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29355'', ''22257'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28102'', ''22258'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28442'', ''22259'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27075'', ''22260'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27121'', ''22261'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28626'', ''22262'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27509'', ''22263'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26069'', ''22264'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26412'', ''22265'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28440'', ''22266'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25913'', ''22267'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25712'', ''22268'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27873'', ''22269'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25928'', ''22270'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26478'', ''22271'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25979'', ''22272'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27622'', ''22273'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26585'', ''22274'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26079'', ''22275'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26556'', ''22276'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29231'', ''22277'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25823'', ''22278'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27105'', ''22279'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28391'', ''22280'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25731'', ''22281'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28892'', ''22282'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28689'', ''22283'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28822'', ''22284'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28874'', ''22285'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26417'', ''22286'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27695'', ''22287'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25975'', ''22288'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27085'', ''22289'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''143'', ''22290'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27922'', ''22291'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29418'', ''22292'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29270'', ''22293'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25927'', ''22294'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29089'', ''22295'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28993'', ''22296'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26345'', ''22297'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29004'', ''22298'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27930'', ''22299'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26796'', ''22300'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26904'', ''22301'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28640'', ''22302'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25911'', ''22303'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29255'', ''22304'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26851'', ''22305'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26388'', ''22306'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27203'', ''22307'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26433'', ''22308'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25557'', ''22309'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27759'', ''22310'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28240'', ''22311'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26977'', ''22312'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28764'', ''22313'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27387'', ''22314'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29519'', ''22315'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27830'', ''22316'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25460'', ''22317'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27864'', ''22318'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25468'', ''22319'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25358'', ''22320'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25380'', ''22321'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26283'', ''22322'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29196'', ''22323'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26165'', ''22324'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28759'', ''22325'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29506'', ''22326'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25993'', ''22327'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28162'', ''22328'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28007'', ''22329'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25591'', ''22330'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29157'', ''22331'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28699'', ''22332'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27769'', ''22333'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26182'', ''22334'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27736'', ''22335'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25865'', ''22336'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29445'', ''22337'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29293'', ''22338'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26601'', ''22339'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27642'', ''22340'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26128'', ''22342'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26976'', ''22343'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29602'', ''22344'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25613'', ''22345'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27099'', ''22346'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28048'', ''22347'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26641'', ''22348'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28576'', ''22349'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27620'', ''22350'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27255'', ''22351'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26202'', ''22353'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25724'', ''22354'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25496'', ''22355'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29316'', ''22356'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27344'', ''22357'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25826'', ''22358'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25504'', ''22359'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27260'', ''22360'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27935'', ''22361'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28338'', ''22362'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28601'', ''22363'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27655'', ''22364'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26809'', ''22365'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28797'', ''22366'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26183'', ''22367'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28649'', ''22368'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25839'', ''22369'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26957'', ''22370'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25797'', ''22371'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27426'', ''22372'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27259'', ''22373'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26515'', ''22374'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29427'', ''22375'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25838'', ''22376'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26212'', ''22377'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28615'', ''22378'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28286'', ''22379'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28306'', ''22380'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29185'', ''22381'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27091'', ''22382'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29241'', ''22383'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26303'', ''22384'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26731'', ''22385'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28157'', ''22386'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28088'', ''22387'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26874'', ''22388'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28015'', ''22389'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29584'', ''22390'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29387'', ''22391'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25484'', ''22392'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26853'', ''22393'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25593'', ''22394'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27845'', ''22395'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26266'', ''22396'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29252'', ''22397'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27750'', ''22398'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28373'', ''22399'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27160'', ''22400'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29331'', ''22401'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28999'', ''22402'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27345'', ''22403'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27319'', ''22404'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26371'', ''22405'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25849'', ''22406'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27656'', ''22407'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28613'', ''22408'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26082'', ''22409'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27307'', ''22410'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28179'', ''22411'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29109'', ''22412'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29218'', ''22413'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28348'', ''22414'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26172'', ''22415'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27667'', ''22416'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25690'', ''22417'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28718'', ''22418'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27663'', ''22419'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25894'', ''22420'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29460'', ''22421'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28004'', ''22422'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26562'', ''22423'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25735'', ''22424'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28641'', ''22425'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28470'', ''22426'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29415'', ''22427'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28481'', ''22428'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29342'', ''22429'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25949'', ''22430'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26312'', ''22431'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25419'', ''22432'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27965'', ''22433'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25705'', ''22434'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29574'', ''22435'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27180'', ''22436'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28768'', ''22437'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28611'', ''22438'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26595'', ''22439'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26232'', ''22440'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27744'', ''22441'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26924'', ''22442'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26361'', ''22443'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25862'', ''22444'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26225'', ''22445'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25722'', ''22446'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28937'', ''22447'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25366'', ''22448'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28553'', ''22449'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28989'', ''22450'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28765'', ''22451'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28217'', ''22452'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27155'', ''22453'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28356'', ''22454'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28552'', ''22455'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29469'', ''22456'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29317'', ''22457'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29037'', ''22458'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27083'', ''22459'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26237'', ''22460'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25796'', ''22461'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28519'', ''22462'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26369'', ''22463'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28230'', ''22464'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26147'', ''22465'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25668'', ''22466'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28526'', ''22467'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27321'', ''22468'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27308'', ''22469'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29021'', ''22470'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25687'', ''22471'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26638'', ''22472'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26091'', ''22473'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27028'', ''22474'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25660'', ''22475'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27374'', ''22476'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26502'', ''22477'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27214'', ''22478'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27972'', ''22479'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25393'', ''22480'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27652'', ''22481'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26639'', ''22482'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27067'', ''22483'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27240'', ''22484'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28808'', ''22485'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28194'', ''22486'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26437'', ''22487'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29068'', ''22488'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28859'', ''22489'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27438'', ''22490'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28019'', ''22491'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26769'', ''22492'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27226'', ''22493'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27377'', ''22494'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28322'', ''22495'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26825'', ''22496'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27021'', ''22497'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25567'', ''22498'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28258'', ''22499'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28460'', ''22500'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26098'', ''22501'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25916'', ''22502'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29239'', ''22503'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27585'', ''22504'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25427'', ''22505'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26646'', ''22506'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26663'', ''22507'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28299'', ''22508'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29261'', ''22509'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26499'', ''22510'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26723'', ''22511'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28065'', ''22512'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25811'', ''22513'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26901'', ''22514'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26260'', ''22515'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27534'', ''22516'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27962'', ''22517'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27557'', ''22518'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26821'', ''22519'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26118'', ''22520'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29479'', ''22521'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25456'', ''22522'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25386'', ''22523'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25548'', ''22524'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28006'', ''22525'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27036'', ''22526'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29360'', ''22527'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26760'', ''22528'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26842'', ''22529'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26457'', ''22530'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26178'', ''22531'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27995'', ''22532'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26184'', ''22533'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26270'', ''22534'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25831'', ''22535'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27207'', ''22536'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26876'', ''22537'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27469'', ''22538'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25737'', ''22539'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26473'', ''22540'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29083'', ''22541'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26621'', ''22542'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26541'', ''22543'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25455'', ''22544'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29424'', ''22545'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28249'', ''22546'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26928'', ''22547'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28049'', ''22548'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27872'', ''22549'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28856'', ''22550'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26368'', ''22551'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28247'', ''22552'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26329'', ''22553'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27286'', ''22554'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29147'', ''22555'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27746'', ''22556'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29262'', ''22557'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28288'', ''22558'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28003'', ''22559'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28066'', ''22560'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27413'', ''22561'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29566'', ''22562'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29616'', ''22563'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28624'', ''22564'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28849'', ''22565'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29213'', ''22566'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26440'', ''22567'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28039'', ''22568'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29525'', ''22569'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25769'', ''22570'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28250'', ''22571'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29190'', ''22572'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27012'', ''22573'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28686'', ''22574'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27804'', ''22575'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27847'', ''22576'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26958'', ''22577'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26711'', ''22578'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26569'', ''22579'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26824'', ''22580'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25972'', ''22581'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26896'', ''22582'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27389'', ''22583'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25453'', ''22584'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26718'', ''22585'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27441'', ''22586'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26894'', ''22587'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26171'', ''22588'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25667'', ''22589'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29477'', ''22590'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28539'', ''22591'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25597'', ''22592'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26395'', ''22593'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25481'', ''22594'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27802'', ''22595'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27822'', ''22596'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26642'', ''22597'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28500'', ''22598'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27072'', ''22599'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29490'', ''22600'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25556'', ''22601'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26096'', ''22602'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26651'', ''22603'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26548'', ''22604'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26905'', ''22605'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29192'', ''22606'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29437'', ''22607'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26698'', ''22608'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28182'', ''22609'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25887'', ''22610'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27834'', ''22611'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26143'', ''22612'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28510'', ''22613'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27793'', ''22614'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25632'', ''22615'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27918'', ''22616'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27199'', ''22617'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26519'', ''22618'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28970'', ''22619'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25953'', ''22620'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25825'', ''22621'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25742'', ''22622'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28871'', ''22623'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28914'', ''22624'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25789'', ''22625'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26724'', ''22626'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28620'', ''22627'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26863'', ''22628'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28934'', ''22629'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29410'', ''22630'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26297'', ''22631'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28473'', ''22632'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26050'', ''22633'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25398'', ''22634'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29402'', ''22635'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29052'', ''22636'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28804'', ''22637'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28265'', ''22638'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25511'', ''22639'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28396'', ''22640'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28280'', ''22641'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28324'', ''22642'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28954'', ''22643'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26916'', ''22644'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27917'', ''22645'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27981'', ''22646'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26931'', ''22647'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26220'', ''22648'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26882'', ''22649'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27684'', ''22650'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27561'', ''22651'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28417'', ''22652'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29385'', ''22653'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28675'', ''22654'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29237'', ''22655'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28847'', ''22656'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25711'', ''22657'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28337'', ''22658'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28513'', ''22659'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25956'', ''22660'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29446'', ''22661'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29378'', ''22662'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28164'', ''22663'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29111'', ''22664'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27880'', ''22665'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26305'', ''22666'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28011'', ''22667'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28622'', ''22668'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28484'', ''22669'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25442'', ''22670'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27519'', ''22671'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29350'', ''22672'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27604'', ''22673'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26374'', ''22674'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28361'', ''22675'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28263'', ''22676'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27445'', ''22677'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27638'', ''22678'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29175'', ''22679'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28229'', ''22680'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27501'', ''22681'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28318'', ''22682'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26390'', ''22683'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25535'', ''22684'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29527'', ''22685'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28537'', ''22686'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26269'', ''22687'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28138'', ''22688'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27856'', ''22689'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25790'', ''22690'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28676'', ''22691'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28741'', ''22692'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26623'', ''22693'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25855'', ''22694'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26325'', ''22695'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27364'', ''22696'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28035'', ''22697'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28696'', ''22698'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26617'', ''22699'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27458'', ''22700'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27529'', ''22701'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27997'', ''22702'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28486'', ''22703'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26653'', ''22704'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25559'', ''22705'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28916'', ''22706'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29352'', ''22707'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29487'', ''22708'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29041'', ''22709'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26428'', ''22710'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28445'', ''22711'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26486'', ''22712'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29247'', ''22713'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25531'', ''22714'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28376'', ''22715'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29131'', ''22716'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25860'', ''22717'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29120'', ''22718'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27971'', ''22719'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29481'', ''22720'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27384'', ''22721'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26763'', ''22722'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25532'', ''22723'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28008'', ''22724'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27202'', ''22725'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29233'', ''22726'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26703'', ''22727'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27192'', ''22728'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27789'', ''22729'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26729'', ''22730'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28903'', ''22731'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28843'', ''22732'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26158'', ''22733'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27122'', ''22734'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28185'', ''22735'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27756'', ''22736'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26988'', ''22737'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28959'', ''22738'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28563'', ''22739'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29301'', ''22740'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26209'', ''22741'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28403'', ''22742'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25756'', ''22743'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27772'', ''22744'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25411'', ''22745'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25654'', ''22746'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26852'', ''22747'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28267'', ''22748'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26969'', ''22749'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29560'', ''22750'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27902'', ''22751'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25828'', ''22752'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25672'', ''22753'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26430'', ''22754'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27735'', ''22755'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28232'', ''22756'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26449'', ''22757'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27182'', ''22758'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25973'', ''22759'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25889'', ''22760'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27697'', ''22761'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28416'', ''22762'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26722'', ''22763'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28908'', ''22764'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27827'', ''22765'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26944'', ''22766'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25809'', ''22767'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29399'', ''22768'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27726'', ''22769'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27103'', ''22770'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27579'', ''22771'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28945'', ''22772'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26795'', ''22773'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28963'', ''22774'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28121'', ''22775'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27718'', ''22776'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25493'', ''22777'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26405'', ''22778'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28612'', ''22779'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25367'', ''22780'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28955'', ''22781'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26335'', ''22782'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26912'', ''22783'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28204'', ''22784'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29485'', ''22785'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29537'', ''22786'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29529'', ''22787'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26655'', ''22788'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28381'', ''22789'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28951'', ''22790'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29473'', ''22791'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25663'', ''22792'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26832'', ''22793'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27402'', ''22794'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29589'', ''22795'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27393'', ''22796'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26973'', ''22797'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29414'', ''22798'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28722'', ''22799'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27362'', ''22800'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28791'', ''22801'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27242'', ''22802'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26186'', ''22803'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29057'', ''22804'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27665'', ''22805'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27809'', ''22806'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25553'', ''22807'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27416'', ''22808'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28199'', ''22809'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26527'', ''22810'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27849'', ''22811'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28327'', ''22812'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26843'', ''22813'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27081'', ''22814'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25766'', ''22815'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26498'', ''22816'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25909'', ''22817'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28790'', ''22818'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29390'', ''22819'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26588'', ''22820'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27270'', ''22821'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28132'', ''22822'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28320'', ''22823'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26241'', ''22824'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26610'', ''22825'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28800'', ''22826'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29606'', ''22827'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26492'', ''22828'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27119'', ''22829'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28635'', ''22830'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27258'', ''22831'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26384'', ''22832'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29314'', ''22833'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26599'', ''22834'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25413'', ''22835'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26917'', ''22836'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26790'', ''22837'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29168'', ''22838'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25988'', ''22839'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27984'', ''22840'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29246'', ''22841'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28930'', ''22842'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27825'', ''22843'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27026'', ''22844'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25885'', ''22845'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26144'', ''22846'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25679'', ''22847'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26657'', ''22848'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25964'', ''22849'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25384'', ''22850'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26168'', ''22851'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28586'', ''22852'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27560'', ''22853'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28818'', ''22854'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27828'', ''22855'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28976'', ''22856'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27835'', ''22857'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25598'', ''22858'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26058'', ''22859'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26024'', ''22860'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26897'', ''22861'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27982'', ''22862'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25515'', ''22863'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28094'', ''22864'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25794'', ''22865'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28972'', ''22866'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26908'', ''22867'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27662'', ''22868'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27252'', ''22869'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26010'', ''22870'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27797'', ''22871'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28545'', ''22872'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26700'', ''22873'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25674'', ''22874'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27854'', ''22875'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27762'', ''22876'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26077'', ''22877'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26159'', ''22878'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26427'', ''22879'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28239'', ''22880'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25619'', ''22881'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25364'', ''22882'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28614'', ''22883'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29484'', ''22884'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29236'', ''22885'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26279'', ''22886'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25827'', ''22887'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26777'', ''22888'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25757'', ''22889'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29495'', ''22890'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28639'', ''22891'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28246'', ''22892'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28378'', ''22893'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28628'', ''22894'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26307'', ''22895'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29468'', ''22896'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28971'', ''22897'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27729'', ''22898'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28379'', ''22899'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28785'', ''22900'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26139'', ''22901'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28475'', ''22902'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27460'', ''22903'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29226'', ''22904'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27666'', ''22905'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28362'', ''22906'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25730'', ''22907'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27950'', ''22908'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27932'', ''22909'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26848'', ''22910'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28303'', ''22911'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27093'', ''22912'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26031'', ''22913'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28067'', ''22914'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25643'', ''22915'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25476'', ''22916'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25948'', ''22917'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29480'', ''22918'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27178'', ''22919'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28407'', ''22920'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26455'', ''22921'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28490'', ''22922'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29557'', ''22923'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26785'', ''22924'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27911'', ''22925'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27363'', ''22926'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26678'', ''22927'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28370'', ''22928'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27955'', ''22929'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25840'', ''22930'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29311'', ''22931'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28241'', ''22932'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26151'', ''22933'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26725'', ''22934'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28594'', ''22935'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27786'', ''22936'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28269'', ''22937'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26970'', ''22938'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29338'', ''22939'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27041'', ''22940'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29530'', ''22941'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26192'', ''22942'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25421'', ''22943'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27481'', ''22944'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25595'', ''22945'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28501'', ''22946'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25404'', ''22947'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28819'', ''22948'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26982'', ''22949'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29580'', ''22950'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28200'', ''22951'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27335'', ''22952'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28587'', ''22953'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27987'', ''22954'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28134'', ''22955'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27623'', ''22956'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27562'', ''22957'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29376'', ''22958'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27520'', ''22959'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27693'', ''22960'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28980'', ''22961'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26889'', ''22962'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29094'', ''22963'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29017'', ''22964'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28120'', ''22965'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25452'', ''22966'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26154'', ''22967'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27405'', ''22968'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28511'', ''22969'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26545'', ''22970'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26781'', ''22971'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27664'', ''22972'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26397'', ''22973'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28496'', ''22974'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28243'', ''22975'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28595'', ''22976'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28347'', ''22977'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28845'', ''22978'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28883'', ''22979'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26398'', ''22980'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27747'', ''22981'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28690'', ''22982'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26444'', ''22983'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25576'', ''22984'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26479'', ''22985'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26598'', ''22986'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28509'', ''22987'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26484'', ''22988'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26786'', ''22989'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26088'', ''22990'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28224'', ''22991'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28551'', ''22992'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29204'', ''22993'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26979'', ''22994'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27102'', ''22995'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28244'', ''22996'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26607'', ''22997'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26377'', ''22998'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29461'', ''22999'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27544'', ''23000'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29266'', ''23001'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29438'', ''23002'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26065'', ''23003'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26830'', ''23004'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28173'', ''23005'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25675'', ''23006'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25947'', ''23007'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26023'', ''23008'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25441'', ''23009'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27811'', ''23010'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25636'', ''23011'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25454'', ''23012'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25646'', ''23013'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28001'', ''23014'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25446'', ''23015'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27486'', ''23016'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29511'', ''23017'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25641'', ''23018'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27365'', ''23019'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26980'', ''23020'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29597'', ''23021'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28283'', ''23022'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29289'', ''23023'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27908'', ''23024'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29212'', ''23025'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27009'', ''23026'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29121'', ''23027'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25950'', ''23028'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28438'', ''23029'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28155'', ''23030'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27164'', ''23031'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25983'', ''23032'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26605'', ''23033'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26277'', ''23034'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25935'', ''23035'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28228'', ''23036'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29082'', ''23037'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29009'', ''23038'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25534'', ''23039'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27276'', ''23040'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28817'', ''23041'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26308'', ''23042'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27723'', ''23043'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25952'', ''23044'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27253'', ''23045'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25981'', ''23046'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29335'', ''23047'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27865'', ''23048'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26756'', ''23049'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28427'', ''23050'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27824'', ''23051'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26099'', ''23052'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25787'', ''23054'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28031'', ''23055'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26415'', ''23056'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29526'', ''23057'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26857'', ''23058'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26984'', ''23059'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28382'', ''23060'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25961'', ''23061'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29396'', ''23062'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27523'', ''23063'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29339'', ''23064'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29422'', ''23065'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26445'', ''23066'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29313'', ''23067'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25349'', ''23068'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27398'', ''23069'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28508'', ''23070'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27001'', ''23071'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28352'', ''23072'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29444'', ''23073'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28840'', ''23074'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25542'', ''23075'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28160'', ''23076'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25717'', ''23077'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26224'', ''23078'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28469'', ''23079'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28651'', ''23080'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26181'', ''23081'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27058'', ''23082'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28152'', ''23083'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28235'', ''23084'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28202'', ''23085'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29011'', ''23086'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26628'', ''23087'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25752'', ''23088'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26015'', ''23089'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28220'', ''23090'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26153'', ''23091'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29431'', ''23092'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29420'', ''23093'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28293'', ''23094'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28339'', ''23095'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27701'', ''23096'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26185'', ''23097'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28419'', ''23098'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26364'', ''23099'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28394'', ''23100'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26647'', ''23101'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28236'', ''23102'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29275'', ''23103'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''1999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27710'', ''23104'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25778'', ''23105'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26925'', ''23106'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26683'', ''23107'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28027'', ''23108'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29585'', ''23109'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28256'', ''23110'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27807'', ''23111'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28734'', ''23112'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28578'', ''23113'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26997'', ''23114'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27311'', ''23115'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25985'', ''23116'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28935'', ''23117'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29436'', ''23118'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28609'', ''23119'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27360'', ''23120'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26818'', ''23121'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27211'', ''23122'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29505'', ''23123'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29412'', ''23124'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28498'', ''23125'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27304'', ''23126'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28466'', ''23127'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25980'', ''23128'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26602'', ''23129'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28084'', ''23130'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27970'', ''23131'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26632'', ''23132'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25890'', ''23133'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28142'', ''23134'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28559'', ''23135'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25577'', ''23136'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26682'', ''23137'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26819'', ''23138'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26766'', ''23139'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28064'', ''23140'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25589'', ''23141'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25824'', ''23142'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28321'', ''23143'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25434'', ''23144'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29617'', ''23145'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28584'', ''23146'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29552'', ''23147'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25937'', ''23148'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27229'', ''23149'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27586'', ''23150'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25924'', ''23151'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28313'', ''23152'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28982'', ''23153'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28713'', ''23154'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25732'', ''23155'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25671'', ''23156'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27570'', ''23157'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27206'', ''23158'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29139'', ''23159'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27790'', ''23160'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26025'', ''23161'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29545'', ''23162'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26866'', ''23163'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29604'', ''23164'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28660'', ''23165'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26955'', ''23166'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28681'', ''23167'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29333'', ''23168'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29154'', ''23169'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29478'', ''23170'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28573'', ''23171'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28503'', ''23172'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29361'', ''23173'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28502'', ''23174'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28127'', ''23175'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27236'', ''23176'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26899'', ''23177'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27879'', ''23178'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25437'', ''23179'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26589'', ''23180'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28535'', ''23181'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29149'', ''23182'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26114'', ''23183'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26252'', ''23184'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26291'', ''23185'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27130'', ''23186'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29591'', ''23187'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28325'', ''23188'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27070'', ''23189'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28242'', ''23190'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27126'', ''23191'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28881'', ''23192'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29091'', ''23193'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28921'', ''23194'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25352'', ''23195'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25546'', ''23196'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28650'', ''23197'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29069'', ''23198'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26196'', ''23199'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29443'', ''23200'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26757'', ''23201'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28866'', ''23202'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28657'', ''23203'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27040'', ''23204'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25461'', ''23205'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26986'', ''23206'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26719'', ''23207'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27874'', ''23208'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27400'', ''23209'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28788'', ''23210'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28838'', ''23211'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28451'', ''23212'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27689'', ''23213'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29026'', ''23214'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27495'', ''23215'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26436'', ''23216'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28248'', ''23217'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26699'', ''23218'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29042'', ''23219'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28397'', ''23220'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28375'', ''23221'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25966'', ''23222'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28995'', ''23223'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27048'', ''23224'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27592'', ''23225'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27776'', ''23226'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26094'', ''23227'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26681'', ''23228'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29310'', ''23229'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26410'', ''23230'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26625'', ''23231'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27831'', ''23232'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29349'', ''23233'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29140'', ''23234'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27541'', ''23235'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27125'', ''23236'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26456'', ''23237'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29277'', ''23238'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25718'', ''23239'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26812'', ''23240'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25960'', ''23241'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29400'', ''23242'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26844'', ''23243'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26215'', ''23244'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28887'', ''23245'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25689'', ''23246'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29610'', ''23247'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26115'', ''23248'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27056'', ''23249'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27765'', ''23250'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27549'', ''23251'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28393'', ''23252'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25806'', ''23253'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29572'', ''23254'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28216'', ''23255'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27805'', ''23256'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29288'', ''23257'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28560'', ''23258'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27367'', ''23259'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26136'', ''23260'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26960'', ''23261'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27047'', ''23262'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27417'', ''23263'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28262'', ''23264'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25623'', ''23265'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26892'', ''23266'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26606'', ''23267'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27648'', ''23268'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28890'', ''23269'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26686'', ''23270'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27220'', ''23271'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27159'', ''23272'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28131'', ''23273'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25431'', ''23274'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29407'', ''23275'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28941'', ''23276'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29492'', ''23277'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27221'', ''23278'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28061'', ''23279'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29211'', ''23280'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27515'', ''23281'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27454'', ''23282'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28704'', ''23283'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25734'', ''23284'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26281'', ''23285'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29107'', ''23286'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28894'', ''23287'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''138'', ''23288'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28221'', ''23289'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29292'', ''23290'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29599'', ''23291'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25963'', ''23292'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25684'', ''23293'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29209'', ''23294'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27780'', ''23295'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29303'', ''23296'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29370'', ''23297'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25661'', ''23298'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27306'', ''23299'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27708'', ''23300'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28708'', ''23301'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25389'', ''23302'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26194'', ''23303'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28837'', ''23304'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28570'', ''23305'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28910'', ''23306'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28332'', ''23307'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29177'', ''23308'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27836'', ''23309'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26695'', ''23310'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28315'', ''23311'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27382'', ''23312'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27628'', ''23313'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27884'', ''23314'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28684'', ''23315'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29447'', ''23316'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28076'', ''23317'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29626'', ''23318'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29605'', ''23319'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26716'', ''23320'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26420'', ''23321'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28983'', ''23322'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27553'', ''23323'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26203'', ''23324'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27875'', ''23325'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29488'', ''23326'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27468'', ''23327'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29145'', ''23328'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25609'', ''23329'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27889'', ''23330'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28491'', ''23331'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28965'', ''23332'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28488'', ''23333'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27813'', ''23334'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29542'', ''23335'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26475'', ''23336'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28711'', ''23337'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27517'', ''23338'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27051'', ''23339'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26462'', ''23340'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28130'', ''23341'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29093'', ''23342'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27440'', ''23343'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28736'', ''23344'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27184'', ''23345'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25779'', ''23346'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26577'', ''23347'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28663'', ''23348'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27612'', ''23349'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25509'', ''23350'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28000'', ''23351'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27181'', ''23352'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26250'', ''23353'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26134'', ''23354'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26552'', ''23355'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25707'', ''23356'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27967'', ''23357'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29523'', ''23358'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27194'', ''23359'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27167'', ''23360'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26450'', ''23361'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27254'', ''23362'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25406'', ''23363'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26131'', ''23364'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27244'', ''23365'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25573'', ''23366'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25951'', ''23367'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25782'', ''23368'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28330'', ''23369'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26421'', ''23370'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26771'', ''23371'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26197'', ''23372'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27334'', ''23373'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25423'', ''23374'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26784'', ''23375'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28060'', ''23376'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27025'', ''23377'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29108'', ''23378'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26362'', ''23379'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27640'', ''23380'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28072'', ''23381'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27022'', ''23382'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27123'', ''23383'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26043'', ''23384'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26109'', ''23385'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29326'', ''23386'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26813'', ''23387'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26611'', ''23388'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28948'', ''23389'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26612'', ''23390'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26815'', ''23391'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26135'', ''23392'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27671'', ''23393'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28139'', ''23394'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29098'', ''23395'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28254'', ''23396'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28380'', ''23397'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28135'', ''23398'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26838'', ''23399'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28906'', ''23400'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29499'', ''23401'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27115'', ''23402'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27358'', ''23403'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27397'', ''23404'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28986'', ''23405'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28850'', ''23406'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27843'', ''23407'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25525'', ''23408'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25709'', ''23409'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25681'', ''23410'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29077'', ''23411'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26867'', ''23412'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27284'', ''23413'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26590'', ''23414'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26387'', ''23415'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28600'', ''23416'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26214'', ''23417'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27444'', ''23418'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25410'', ''23419'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29392'', ''23420'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29334'', ''23421'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28799'', ''23422'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28359'', ''23423'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25519'', ''23424'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26752'', ''23425'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25563'', ''23426'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27100'', ''23427'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27685'', ''23428'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28316'', ''23429'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28809'', ''23430'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28196'', ''23431'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25842'', ''23432'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26864'', ''23433'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27116'', ''23434'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28098'', ''23435'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29172'', ''23436'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27415'', ''23437'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27215'', ''23438'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25984'', ''23439'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28889'', ''23440'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25363'', ''23441'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26489'', ''23442'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27238'', ''23443'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28428'', ''23444'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29053'', ''23445'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29151'', ''23446'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26828'', ''23447'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27568'', ''23448'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27527'', ''23449'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29251'', ''23450'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28994'', ''23451'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29556'', ''23452'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26124'', ''23453'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27020'', ''23454'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28295'', ''23455'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28848'', ''23456'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28885'', ''23457'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29474'', ''23458'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25428'', ''23459'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26873'', ''23460'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25755'', ''23461'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28107'', ''23462'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26759'', ''23463'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28285'', ''23464'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26849'', ''23465'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25611'', ''23466'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28515'', ''23467'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26764'', ''23468'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26893'', ''23469'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28292'', ''23470'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28449'', ''23471'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28665'', ''23472'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28038'', ''23473'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28861'', ''23474'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27467'', ''23475'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25818'', ''23476'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27141'', ''23477'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27172'', ''23478'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25788'', ''23479'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25670'', ''23480'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25716'', ''23481'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28701'', ''23482'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29156'', ''23483'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25664'', ''23484'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25683'', ''23485'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25708'', ''23486'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27690'', ''23487'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26827'', ''23488'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28323'', ''23489'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26814'', ''23490'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26571'', ''23491'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29372'', ''23492'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28223'', ''23493'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26505'', ''23494'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29411'', ''23495'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28915'', ''23496'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27250'', ''23497'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26765'', ''23498'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28967'', ''23499'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28771'', ''23500'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27209'', ''23501'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26665'', ''23502'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26528'', ''23503'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25630'', ''23504'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28187'', ''23505'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28527'', ''23506'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28222'', ''23507'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25897'', ''23508'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29432'', ''23509'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28174'', ''23510'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27196'', ''23511'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29194'', ''23512'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28485'', ''23513'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28870'', ''23514'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25554'', ''23515'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25540'', ''23516'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28575'', ''23517'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25482'', ''23518'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27694'', ''23519'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28059'', ''23520'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27061'', ''23521'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28618'', ''23522'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27859'', ''23523'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25884'', ''23524'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28133'', ''23525'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27742'', ''23526'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27110'', ''23527'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26285'', ''23528'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28144'', ''23529'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25458'', ''23530'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25353'', ''23531'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25451'', ''23532'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28414'', ''23533'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29549'', ''23534'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25944'', ''23535'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29013'', ''23536'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29000'', ''23537'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27798'', ''23538'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28163'', ''23539'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25665'', ''23540'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25895'', ''23541'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28732'', ''23542'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26454'', ''23543'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26006'', ''23544'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29570'', ''23545'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26013'', ''23546'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26971'', ''23547'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27471'', ''23548'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28432'', ''23549'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26662'', ''23550'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28251'', ''23551'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25357'', ''23552'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26514'', ''23553'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27928'', ''23554'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27042'', ''23555'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28051'', ''23556'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26840'', ''23557'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29221'', ''23558'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28536'', ''23559'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29071'', ''23560'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26762'', ''23561'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27077'', ''23562'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25543'', ''23563'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25965'', ''23564'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26314'', ''23565'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26406'', ''23566'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28974'', ''23567'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26576'', ''23568'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28175'', ''23569'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28998'', ''23570'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26800'', ''23571'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28149'', ''23572'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25907'', ''23573'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29081'', ''23574'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26223'', ''23575'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29050'', ''23576'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25696'', ''23577'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27766'', ''23578'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29493'', ''23579'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27336'', ''23580'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28124'', ''23581'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28544'', ''23582'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25741'', ''23583'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28574'', ''23584'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28662'', ''23585'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25775'', ''23586'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25584'', ''23587'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26323'', ''23588'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25915'', ''23589'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26509'', ''23590'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26021'', ''23591'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26418'', ''23592'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27079'', ''23593'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25868'', ''23594'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26503'', ''23595'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28411'', ''23596'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26885'', ''23597'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25830'', ''23598'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26101'', ''23599'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27004'', ''23600'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28864'', ''23601'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27380'', ''23602'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29032'', ''23603'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26133'', ''23604'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25499'', ''23605'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26046'', ''23606'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27394'', ''23607'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27705'', ''23608'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26263'', ''23609'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26446'', ''23610'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26116'', ''23611'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26910'', ''23612'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28670'', ''23613'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27632'', ''23614'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28080'', ''23615'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25612'', ''23616'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25650'', ''23617'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29132'', ''23618'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29434'', ''23619'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27647'', ''23620'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27943'', ''23621'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27511'', ''23622'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28543'', ''23623'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26238'', ''23624'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27352'', ''23625'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26301'', ''23626'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28326'', ''23627'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25843'', ''23628'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28886'', ''23629'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28422'', ''23630'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26797'', ''23631'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28161'', ''23632'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27302'', ''23633'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27024'', ''23634'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28207'', ''23635'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25810'', ''23636'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27968'', ''23637'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27673'', ''23638'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29074'', ''23639'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25759'', ''23640'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27150'', ''23641'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28702'', ''23642'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29553'', ''23643'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25502'', ''23644'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28774'', ''23645'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27644'', ''23646'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27269'', ''23647'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27118'', ''23648'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28879'', ''23649'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29594'', ''23650'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25408'', ''23651'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27392'', ''23652'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26529'', ''23653'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28109'', ''23654'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26163'', ''23655'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27050'', ''23656'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27649'', ''23657'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25657'', ''23658'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27795'', ''23659'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27186'', ''23660'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26465'', ''23661'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27754'', ''23662'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27223'', ''23663'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29491'', ''23664'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26834'', ''23665'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29036'', ''23666'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27781'', ''23667'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29273'', ''23668'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29189'', ''23669'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29620'', ''23670'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27104'', ''23671'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27425'', ''23672'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26080'', ''23673'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28053'', ''23674'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28645'', ''23675'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26064'', ''23676'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26921'', ''23677'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26242'', ''23678'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27862'', ''23679'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28674'', ''23680'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25767'', ''23681'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27280'', ''23682'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25652'', ''23683'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25483'', ''23684'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29578'', ''23685'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28877'', ''23686'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26452'', ''23687'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26383'', ''23688'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26803'', ''23689'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28777'', ''23690'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27608'', ''23691'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26783'', ''23692'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26496'', ''23693'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28532'', ''23694'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27145'', ''23695'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26787'', ''23696'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27985'', ''23697'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28493'', ''23698'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27626'', ''23699'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29590'', ''23700'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25740'', ''23701'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26656'', ''23702'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29244'', ''23703'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29122'', ''23704'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27898'', ''23705'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26934'', ''23706'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29476'', ''23707'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28648'', ''23708'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28772'', ''23709'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28949'', ''23710'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26994'', ''23711'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29202'', ''23712'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25857'', ''23713'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27064'', ''23714'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27808'', ''23715'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25853'', ''23716'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26991'', ''23717'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29503'', ''23718'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27101'', ''23719'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25479'', ''23720'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25745'', ''23721'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27147'', ''23722'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27851'', ''23723'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28271'', ''23724'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28041'', ''23725'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27031'', ''23726'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27558'', ''23727'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28825'', ''23728'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28482'', ''23729'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29001'', ''23730'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28105'', ''23731'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27952'', ''23732'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27231'', ''23733'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27818'', ''23734'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27333'', ''23735'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26206'', ''23736'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26248'', ''23737'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28435'', ''23738'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26886'', ''23739'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27043'', ''23740'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29609'', ''23741'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25774'', ''23742'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27038'', ''23743'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29354'', ''23744'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27354'', ''23745'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28168'', ''23746'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26111'', ''23747'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27149'', ''23748'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25445'', ''23749'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27325'', ''23750'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28597'', ''23751'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26304'', ''23752'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25506'', ''23753'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26278'', ''23754'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27275'', ''23755'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26332'', ''23756'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27266'', ''23757'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26198'', ''23758'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28802'', ''23759'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27090'', ''23760'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26342'', ''23761'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28672'', ''23762'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29287'', ''23763'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26661'', ''23764'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27764'', ''23765'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29308'', ''23766'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27707'', ''23767'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26001'', ''23768'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27752'', ''23769'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28389'', ''23770'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28671'', ''23771'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25394'', ''23772'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28652'', ''23773'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27470'', ''23774'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29263'', ''23775'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29449'', ''23776'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27580'', ''23777'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27332'', ''23778'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29613'', ''23779'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25407'', ''23780'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26233'', ''23781'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29374'', ''23782'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28530'', ''23783'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28992'', ''23784'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26615'', ''23785'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26557'', ''23786'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29514'', ''23787'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28549'', ''23788'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26918'', ''23789'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26089'', ''23790'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27993'', ''23791'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25390'', ''23792'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28100'', ''23793'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28108'', ''23794'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28832'', ''23795'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27097'', ''23796'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26310'', ''23797'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25594'', ''23798'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27630'', ''23799'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27979'', ''23800'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29554'', ''23801'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27947'', ''23802'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27738'', ''23803'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29260'', ''23804'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26448'', ''23805'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29379'', ''23806'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28567'', ''23807'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26338'', ''23808'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25388'', ''23809'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28189'', ''23810'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29115'', ''23811'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26336'', ''23812'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28577'', ''23813'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27133'', ''23814'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26017'', ''23815'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28074'', ''23816'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26559'', ''23817'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26903'', ''23818'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29375'', ''23819'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26190'', ''23820'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26075'', ''23821'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27891'', ''23822'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27055'', ''23823'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28437'', ''23824'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28506'', ''23825'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29045'', ''23826'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26895'', ''23827'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27068'', ''23828'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28957'', ''23829'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27170'', ''23830'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26540'', ''23831'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27819'', ''23832'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27298'', ''23833'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29227'', ''23834'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26671'', ''23835'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28136'', ''23836'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25659'', ''23837'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27923'', ''23838'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26273'', ''23839'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27007'', ''23840'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28735'', ''23841'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29040'', ''23842'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29450'', ''23843'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28377'', ''23844'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27053'', ''23845'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29332'', ''23846'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28978'', ''23847'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25820'', ''23848'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25710'', ''23849'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26627'', ''23850'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27201'', ''23851'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27734'', ''23852'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26878'', ''23853'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26518'', ''23854'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29243'', ''23855'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27885'', ''23856'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25570'', ''23857'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27599'', ''23858'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28227'', ''23859'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25933'', ''23860'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29249'', ''23861'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25422'', ''23862'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27353'', ''23863'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26340'', ''23864'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29601'', ''23865'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27588'', ''23866'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26210'', ''23867'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26888'', ''23868'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29031'', ''23869'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27030'', ''23870'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26996'', ''23871'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26935'', ''23872'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26906'', ''23873'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26009'', ''23874'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25587'', ''23875'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28079'', ''23876'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29240'', ''23877'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26712'', ''23878'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27185'', ''23879'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26057'', ''23880'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27457'', ''23881'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25618'', ''23882'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29264'', ''23883'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28858'', ''23884'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29023'', ''23885'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27487'', ''23886'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28037'', ''23887'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25616'', ''23888'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29164'', ''23889'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27348'', ''23890'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27343'', ''23891'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28893'', ''23892'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25691'', ''23893'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28731'', ''23894'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29625'', ''23895'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29135'', ''23896'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26396'', ''23897'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29465'', ''23898'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27605'', ''23899'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29187'', ''23900'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28290'', ''23901'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27957'', ''23902'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29351'', ''23903'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29015'', ''23904'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27372'', ''23905'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28787'', ''23906'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27285'', ''23907'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29367'', ''23908'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27472'', ''23909'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29073'', ''23910'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27721'', ''23911'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26477'', ''23912'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25416'', ''23913'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28591'', ''23914'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27537'', ''23915'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27988'', ''23916'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29619'', ''23917'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29531'', ''23918'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28457'', ''23919'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27920'', ''23920'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26694'', ''23921'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28147'', ''23922'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25565'', ''23923'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28565'', ''23924'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27996'', ''23925'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29169'', ''23926'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26913'', ''23927'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25662'', ''23928'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26858'', ''23929'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25959'', ''23930'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26872'', ''23931'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25365'', ''23932'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27999'', ''23933'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26953'', ''23934'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26142'', ''23935'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25844'', ''23936'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26061'', ''23937'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25615'', ''23938'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28905'', ''23939'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25649'', ''23940'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27124'', ''23941'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27233'', ''23942'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28505'', ''23943'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25382'', ''23944'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28335'', ''23945'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26334'', ''23946'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26660'', ''23947'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28423'', ''23948'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27427'', ''23949'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29126'', ''23950'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28363'', ''23951'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28826'', ''23952'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28113'', ''23953'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27483'', ''23954'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25592'', ''23955'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26794'', ''23956'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25955'', ''23957'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28581'', ''23958'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28409'', ''23959'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26356'', ''23960'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28756'', ''23961'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25777'', ''23962'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29166'', ''23963'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29509'', ''23964'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26586'', ''23965'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25620'', ''23966'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26778'', ''23967'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26497'', ''23968'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29216'', ''23969'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25904'', ''23970'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25978'', ''23971'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28210'', ''23972'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29324'', ''23973'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26073'', ''23974'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28118'', ''23975'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28719'', ''23976'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27506'', ''23977'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26553'', ''23978'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26847'', ''23979'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27496'', ''23980'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27896'', ''23981'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27731'', ''23982'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26624'', ''23983'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27491'', ''23984'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28585'', ''23985'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27877'', ''23986'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27892'', ''23987'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28461'', ''23988'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27366'', ''23989'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28341'', ''23990'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25772'', ''23991'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27210'', ''23992'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28939'', ''23993'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27299'', ''23994'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28259'', ''23995'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29160'', ''23996'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28178'', ''23997'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27564'', ''23998'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28002'', ''23999'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25685'', ''24000'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25621'', ''24001'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27542'', ''24002'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26328'', ''24003'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29070'', ''24004'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26257'', ''24005'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28851'', ''24006'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26376'', ''24007'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28988'', ''24008'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27670'', ''24009'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26247'', ''24010'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28761'', ''24011'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27512'', ''24012'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28836'', ''24013'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26267'', ''24014'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27128'', ''24015'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26404'', ''24016'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26048'', ''24017'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26102'', ''24018'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26565'', ''24019'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28047'', ''24020'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25739'', ''24021'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28274'', ''24022'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26282'', ''24023'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29061'', ''24024'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28580'', ''24025'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25694'', ''24026'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26059'', ''24027'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26019'', ''24028'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27510'', ''24029'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29102'', ''24030'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28717'', ''24031'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27989'', ''24032'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28225'', ''24033'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27331'', ''24034'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26692'', ''24035'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27355'', ''24036'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25376'', ''24037'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28146'', ''24038'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25635'', ''24039'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28156'', ''24040'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28568'', ''24041'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27868'', ''24042'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27268'', ''24043'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27850'', ''24044'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29391'', ''24045'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27318'', ''24046'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26004'', ''24047'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28045'', ''24048'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26877'', ''24049'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29564'', ''24050'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29088'', ''24051'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28009'', ''24052'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28680'', ''24053'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28555'', ''24054'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28757'', ''24055'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26280'', ''24056'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25957'', ''24057'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29453'', ''24058'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27951'', ''24059'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28990'', ''24060'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28683'', ''24061'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28343'', ''24062'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28550'', ''24063'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27954'', ''24064'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28026'', ''24065'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27650'', ''24066'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25549'', ''24067'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29540'', ''24068'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26042'', ''24069'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28333'', ''24070'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28111'', ''24071'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28891'', ''24072'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26551'', ''24073'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26311'', ''24074'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27462'', ''24075'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28632'', ''24076'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29054'', ''24077'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25457'', ''24078'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26533'', ''24079'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28878'', ''24080'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27143'', ''24081'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29328'', ''24082'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28835'', ''24083'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26817'', ''24084'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27224'', ''24085'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27589'', ''24086'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29242'', ''24087'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27461'', ''24088'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26379'', ''24089'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28932'', ''24090'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29528'', ''24091'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28827'', ''24092'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28478'', ''24093'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25575'', ''24094'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26160'', ''24095'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26517'', ''24096'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27432'', ''24097'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27994'', ''24098'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25703'', ''24099'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25864'', ''24100'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26333'', ''24101'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25473'', ''24102'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28811'', ''24103'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''2999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27895'', ''24104'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25846'', ''24105'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27033'', ''24106'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29362'', ''24107'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27073'', ''24108'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29214'', ''24109'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28596'', ''24110'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26413'', ''24111'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26964'', ''24112'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28214'', ''24113'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25998'', ''24114'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28705'', ''24115'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29483'', ''24116'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29302'', ''24117'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27442'', ''24118'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29285'', ''24119'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27657'', ''24120'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27037'', ''24121'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25792'', ''24122'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28192'', ''24123'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27878'', ''24124'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26060'', ''24125'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29343'', ''24126'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29413'', ''24127'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28698'', ''24128'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28046'', ''24129'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28459'', ''24130'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28807'', ''24131'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26253'', ''24132'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28909'', ''24133'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27013'', ''24134'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26673'', ''24135'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26751'', ''24136'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27297'', ''24137'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27323'', ''24138'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25954'', ''24139'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28518'', ''24140'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26150'', ''24141'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29096'', ''24142'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28193'', ''24143'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28297'', ''24144'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29462'', ''24145'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29162'', ''24146'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26458'', ''24147'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29607'', ''24148'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27545'', ''24149'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26100'', ''24150'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25829'', ''24151'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27761'', ''24152'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29033'', ''24153'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27688'', ''24154'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27437'', ''24155'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25590'', ''24156'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26347'', ''24157'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27165'', ''24158'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27516'', ''24159'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28453'', ''24160'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27018'', ''24161'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27200'', ''24162'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27755'', ''24163'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25929'', ''24164'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28402'', ''24165'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26696'', ''24166'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29146'', ''24167'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26782'', ''24168'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27205'', ''24169'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25508'', ''24170'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27931'', ''24171'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27303'', ''24172'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28884'', ''24173'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28436'', ''24174'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25449'', ''24175'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28944'', ''24176'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26255'', ''24177'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27465'', ''24178'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26536'', ''24179'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28415'', ''24180'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28656'', ''24181'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27370'', ''24182'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25923'', ''24183'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27846'', ''24184'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25974'', ''24185'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28383'', ''24186'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28922'', ''24187'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28314'', ''24188'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29315'', ''24189'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25487'', ''24190'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26774'', ''24191'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26758'', ''24192'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27113'', ''24193'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28621'', ''24194'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29173'', ''24195'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27572'', ''24196'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26691'', ''24197'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27645'', ''24198'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25692'', ''24199'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25912'', ''24200'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29155'', ''24201'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28902'', ''24202'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27607'', ''24203'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26014'', ''24204'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25800'', ''24205'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26658'', ''24206'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27350'', ''24207'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28512'', ''24208'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27936'', ''24209'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28398'', ''24210'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26234'', ''24211'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27948'', ''24212'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26146'', ''24213'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27546'', ''24214'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27566'', ''24215'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28521'', ''24216'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26938'', ''24217'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25604'', ''24218'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29363'', ''24219'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26103'', ''24220'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27265'', ''24221'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28907'', ''24222'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26167'', ''24223'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28294'', ''24224'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25847'', ''24225'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27730'', ''24226'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27189'', ''24227'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29086'', ''24228'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28961'', ''24229'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29344'', ''24230'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27641'', ''24231'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29128'', ''24232'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29180'', ''24233'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27082'', ''24234'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25516'', ''24235'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27753'', ''24236'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25551'', ''24237'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26207'', ''24238'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28024'', ''24239'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26020'', ''24240'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26229'', ''24241'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25533'', ''24242'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26365'', ''24243'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27598'', ''24244'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25848'', ''24245'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27096'', ''24246'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27916'', ''24247'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29279'', ''24248'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26295'', ''24249'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29012'', ''24250'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26461'', ''24251'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25371'', ''24252'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26030'', ''24253'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28400'', ''24254'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28709'', ''24255'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26987'', ''24256'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26619'', ''24257'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28101'', ''24258'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26400'', ''24259'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28085'', ''24260'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26768'', ''24261'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26926'', ''24262'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27330'', ''24263'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27034'', ''24264'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27978'', ''24265'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27672'', ''24266'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27660'', ''24267'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29141'', ''24268'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26721'', ''24269'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29463'', ''24270'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29621'', ''24271'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25638'', ''24272'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26047'', ''24273'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25813'', ''24274'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28973'', ''24275'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26341'', ''24276'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29163'', ''24277'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29467'', ''24278'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26631'', ''24279'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28729'', ''24280'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25558'', ''24281'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29025'', ''24282'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26467'', ''24283'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28042'', ''24284'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26373'', ''24285'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27524'', ''24286'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26798'', ''24287'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29048'', ''24288'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26542'', ''24289'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26321'', ''24290'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27919'', ''24291'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26016'', ''24292'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25682'', ''24293'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27745'', ''24294'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25669'', ''24295'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28962'', ''24296'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26353'', ''24297'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27217'', ''24298'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27428'', ''24299'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25751'', ''24300'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27751'', ''24301'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26670'', ''24302'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26097'', ''24303'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26187'', ''24304'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28904'', ''24305'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27151'', ''24306'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27634'', ''24307'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25633'', ''24308'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25744'', ''24309'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29238'', ''24310'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29520'', ''24311'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26516'', ''24312'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29259'', ''24313'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28231'', ''24314'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28238'', ''24315'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29358'', ''24316'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25524'', ''24317'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26915'', ''24318'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26732'', ''24319'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28753'', ''24320'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27098'', ''24321'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28075'', ''24322'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28783'', ''24323'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26859'', ''24324'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27466'', ''24325'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25733'', ''24326'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26883'', ''24327'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29327'', ''24328'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29571'', ''24329'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28483'', ''24330'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29170'', ''24331'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29116'', ''24332'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25783'', ''24333'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29198'', ''24334'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26868'', ''24335'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26806'', ''24336'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26022'', ''24337'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26614'', ''24338'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27617'', ''24339'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25871'', ''24340'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28284'', ''24341'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27342'', ''24342'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25760'', ''24343'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29489'', ''24344'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27139'', ''24345'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28673'', ''24346'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25791'', ''24347'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28529'', ''24348'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28528'', ''24349'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28728'', ''24350'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27857'', ''24351'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26472'', ''24352'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25859'', ''24353'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25564'', ''24354'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27915'', ''24355'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25836'', ''24356'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26403'', ''24357'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27169'', ''24358'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27447'', ''24359'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28291'', ''24360'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26093'', ''24361'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29568'', ''24362'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29624'', ''24363'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25605'', ''24364'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29353'', ''24365'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26620'', ''24366'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28766'', ''24367'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27274'', ''24368'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27414'', ''24369'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26348'', ''24370'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28517'', ''24371'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28599'', ''24372'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25472'', ''24373'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26974'', ''24374'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25765'', ''24375'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25803'', ''24376'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27300'', ''24377'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28688'', ''24378'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29063'', ''24379'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26117'', ''24380'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29005'', ''24381'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26157'', ''24382'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25399'', ''24383'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28901'', ''24384'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28068'', ''24385'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26648'', ''24386'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28658'', ''24387'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26805'', ''24388'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26289'', ''24389'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26442'', ''24390'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28395'', ''24391'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26041'', ''24392'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26148'', ''24393'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27966'', ''24394'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26742'', ''24395'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27019'', ''24396'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29533'', ''24397'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27577'', ''24398'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29504'', ''24399'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28820'', ''24400'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26177'', ''24401'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26201'', ''24402'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28499'', ''24403'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28733'', ''24404'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26963'', ''24405'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29007'', ''24406'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26429'', ''24407'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26487'', ''24408'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25512'', ''24409'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28170'', ''24410'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29294'', ''24411'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29470'', ''24412'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29272'', ''24413'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26526'', ''24414'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26298'', ''24415'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28413'', ''24416'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29448'', ''24417'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27208'', ''24418'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26324'', ''24419'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27815'', ''24420'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29562'', ''24421'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28854'', ''24422'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28278'', ''24423'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28898'', ''24424'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27725'', ''24425'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28013'', ''24426'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28167'', ''24427'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28176'', ''24428'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25715'', ''24429'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26597'', ''24430'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29049'', ''24431'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27548'', ''24432'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27168'', ''24433'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26879'', ''24434'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26286'', ''24435'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27032'', ''24436'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28700'', ''24437'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28792'', ''24438'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28918'', ''24439'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28017'', ''24440'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27990'', ''24441'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27956'', ''24442'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25834'', ''24443'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27785'', ''24444'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26592'', ''24445'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27552'', ''24446'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28390'', ''24447'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28562'', ''24448'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25631'', ''24449'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28786'', ''24450'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29228'', ''24451'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27076'', ''24452'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27166'', ''24453'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26372'', ''24454'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28873'', ''24455'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27533'', ''24456'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28201'', ''24457'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28855'', ''24458'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28876'', ''24459'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28538'', ''24460'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27177'', ''24461'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27763'', ''24462'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28052'', ''24463'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27924'', ''24464'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26537'', ''24465'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29346'', ''24466'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26363'', ''24467'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27361'', ''24468'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28298'', ''24469'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26841'', ''24470'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28685'', ''24471'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29521'', ''24472'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29076'', ''24473'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25513'', ''24474'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27833'', ''24475'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25801'', ''24476'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27973'', ''24477'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26989'', ''24478'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27062'', ''24479'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28099'', ''24480'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26466'', ''24481'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29551'', ''24482'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28308'', ''24483'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28353'', ''24484'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27583'', ''24485'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26495'', ''24486'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25987'', ''24487'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25802'', ''24488'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27305'', ''24489'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26554'', ''24490'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27401'', ''24491'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28282'', ''24492'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27840'', ''24493'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26587'', ''24494'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27627'', ''24495'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27737'', ''24496'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27245'', ''24497'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28608'', ''24498'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29555'', ''24499'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28659'', ''24500'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26792'', ''24501'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26367'', ''24502'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29254'', ''24503'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27475'', ''24504'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25505'', ''24505'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25467'', ''24506'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27925'', ''24507'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27183'', ''24508'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28025'', ''24509'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25832'', ''24510'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25606'', ''24511'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27513'', ''24512'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27732'', ''24513'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29319'', ''24514'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26525'', ''24515'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26674'', ''24516'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27142'', ''24517'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27505'', ''24518'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25989'', ''24519'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27341'', ''24520'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28036'', ''24521'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29269'', ''24522'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26087'', ''24523'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27906'', ''24524'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28310'', ''24525'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26244'', ''24526'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25888'', ''24527'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25610'', ''24528'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28730'', ''24529'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26933'', ''24530'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26697'', ''24531'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26045'', ''24532'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27029'', ''24533'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26520'', ''24534'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26951'', ''24535'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27703'', ''24536'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25969'', ''24537'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29014'', ''24538'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26810'', ''24539'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26676'', ''24540'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26507'', ''24541'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29623'', ''24542'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26767'', ''24543'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28816'', ''24544'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25986'', ''24545'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29381'', ''24546'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27060'', ''24547'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28087'', ''24548'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27722'', ''24549'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28602'', ''24550'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27926'', ''24551'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28606'', ''24552'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27674'', ''24553'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28789'', ''24554'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26555'', ''24555'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26770'', ''24556'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29290'', ''24557'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26300'', ''24558'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26500'', ''24559'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25526'', ''24560'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26995'', ''24561'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26493'', ''24562'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25462'', ''24563'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27502'', ''24564'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27479'', ''24565'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29611'', ''24566'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29027'', ''24567'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29179'', ''24568'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26727'', ''24569'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26891'', ''24570'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27507'', ''24571'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25753'', ''24572'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29125'', ''24573'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26227'', ''24574'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27490'', ''24575'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26594'', ''24576'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27820'', ''24577'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26705'', ''24578'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27385'', ''24579'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27897'', ''24580'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25999'', ''24581'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27148'', ''24582'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27590'', ''24583'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29253'', ''24584'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26028'', ''24585'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26251'', ''24586'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26524'', ''24587'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26822'', ''24588'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25480'', ''24589'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25898'', ''24590'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27158'', ''24591'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27225'', ''24592'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27409'', ''24593'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29281'', ''24594'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27503'', ''24595'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27602'', ''24596'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27107'', ''24597'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28086'', ''24598'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27816'', ''24599'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27547'', ''24600'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29134'', ''24601'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28548'', ''24602'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28720'', ''24603'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29276'', ''24604'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27576'', ''24605'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26923'', ''24606'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25854'', ''24607'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26012'', ''24608'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26922'', ''24609'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26123'', ''24610'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26788'', ''24611'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29486'', ''24612'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28385'', ''24613'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29403'', ''24614'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26386'', ''24615'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25541'', ''24616'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25489'', ''24617'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27235'', ''24618'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29517'', ''24619'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29348'', ''24620'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25835'', ''24621'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29092'', ''24622'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28143'', ''24623'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26773'', ''24624'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26299'', ''24625'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29067'', ''24626'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26510'', ''24627'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28494'', ''24628'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29119'', ''24629'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25795'', ''24630'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28166'', ''24631'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27087'', ''24632'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26048'', ''24633'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27959'', ''24634'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27842'', ''24635'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27876'', ''24636'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27114'', ''24637'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29283'', ''24638'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26635'', ''24639'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28977'', ''24640'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27328'', ''24641'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27005'', ''24642'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25770'', ''24643'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28374'', ''24644'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25776'', ''24645'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26174'', ''24646'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25645'', ''24647'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25996'', ''24648'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25858'', ''24649'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25837'', ''24650'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29039'', ''24651'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28839'', ''24652'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28412'', ''24653'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26717'', ''24654'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26710'', ''24655'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26865'', ''24656'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29423'', ''24657'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29425'', ''24658'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29579'', ''24659'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29171'', ''24660'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28384'', ''24661'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28647'', ''24662'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25991'', ''24663'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26593'', ''24664'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26999'', ''24665'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25639'', ''24666'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26040'', ''24667'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25695'', ''24668'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28141'', ''24669'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25622'', ''24670'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28964'', ''24671'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28388'', ''24672'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29297'', ''24673'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26110'', ''24674'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26161'', ''24675'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26407'', ''24676'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28328'', ''24677'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27539'', ''24678'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26259'', ''24679'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25906'', ''24680'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28755'', ''24681'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28899'', ''24682'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29258'', ''24683'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28071'', ''24684'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25426'', ''24685'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27606'', ''24686'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26434'', ''24687'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29380'', ''24688'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28191'', ''24689'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27699'', ''24690'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28823'', ''24691'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26622'', ''24692'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28110'', ''24693'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28780'', ''24694'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29250'', ''24695'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28824'', ''24696'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26854'', ''24697'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27921'', ''24698'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26132'', ''24699'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27448'', ''24700'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25764'', ''24701'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28726'', ''24702'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25579'', ''24703'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28371'', ''24704'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26125'', ''24705'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26942'', ''24706'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29080'', ''24707'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25627'', ''24708'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29097'', ''24709'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27027'', ''24710'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25561'', ''24711'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28723'', ''24712'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27609'', ''24713'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27407'', ''24714'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26351'', ''24715'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25629'', ''24716'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26855'', ''24717'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26504'', ''24718'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25804'', ''24719'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28070'', ''24720'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26871'', ''24721'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26471'', ''24722'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25841'', ''24723'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29127'', ''24724'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29280'', ''24725'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29044'', ''24726'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28115'', ''24727'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28272'', ''24728'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28030'', ''24729'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26090'', ''24730'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26937'', ''24731'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25723'', ''24732'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27937'', ''24733'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25651'', ''24734'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28872'', ''24735'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26946'', ''24736'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25920'', ''24737'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26180'', ''24738'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27157'', ''24739'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28351'', ''24740'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29389'', ''24741'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28745'', ''24742'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25926'', ''24743'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27390'', ''24744'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28579'', ''24745'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26900'', ''24746'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27433'', ''24747'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28464'', ''24748'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25925'', ''24749'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29142'', ''24750'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28691'', ''24751'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25436'', ''24752'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28058'', ''24753'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27188'', ''24754'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28319'', ''24755'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28056'', ''24756'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27977'', ''24757'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28524'', ''24758'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25845'', ''24759'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26713'', ''24760'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27063'', ''24761'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27535'', ''24762'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29565'', ''24763'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29451'', ''24764'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26287'', ''24765'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27320'', ''24766'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28340'', ''24767'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28477'', ''24768'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29494'', ''24769'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26626'', ''24770'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25819'', ''24771'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28463'', ''24772'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28703'', ''24773'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28022'', ''24774'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28345'', ''24775'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26188'', ''24776'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28794'', ''24777'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26582'', ''24778'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25879'', ''24779'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26284'', ''24780'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28666'', ''24781'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28897'', ''24782'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29581'', ''24783'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27550'', ''24784'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26968'', ''24785'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26583'', ''24786'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27869'', ''24787'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27368'', ''24788'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25391'', ''24789'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25697'', ''24790'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28725'', ''24791'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25478'', ''24792'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29051'', ''24793'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27615'', ''24794'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26581'', ''24795'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28188'', ''24796'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27291'', ''24797'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27636'', ''24798'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29059'', ''24799'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27408'', ''24800'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28010'', ''24801'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28364'', ''24802'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27140'', ''24803'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26981'', ''24804'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28014'', ''24805'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28358'', ''24806'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27514'', ''24807'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28145'', ''24808'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26677'', ''24809'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28386'', ''24810'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26890'', ''24811'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29248'', ''24812'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27316'', ''24813'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26000'', ''24814'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28569'', ''24815'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28695'', ''24816'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29016'', ''24817'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25869'', ''24818'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25395'', ''24819'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29596'', ''24820'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26474'', ''24821'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29622'', ''24822'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28404'', ''24823'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28687'', ''24824'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28796'', ''24825'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27006'', ''24826'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28462'', ''24827'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25971'', ''24828'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25702'', ''24829'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26293'', ''24830'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25463'', ''24831'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28917'', ''24832'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27794'', ''24833'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25440'', ''24834'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27661'', ''24835'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26511'', ''24836'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29582'', ''24837'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29398'', ''24838'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26549'', ''24839'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27629'', ''24840'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27803'', ''24841'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26122'', ''24842'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27991'', ''24843'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28762'', ''24844'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25401'', ''24845'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26808'', ''24846'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27059'', ''24847'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28710'', ''24848'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25485'', ''24849'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28522'', ''24850'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25799'', ''24851'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29595'', ''24852'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27080'', ''24853'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25997'', ''24854'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25521'', ''24855'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26327'', ''24856'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27339'', ''24857'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27975'', ''24858'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27109'', ''24859'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26179'', ''24860'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29406'', ''24861'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27340'', ''24862'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28392'', ''24863'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29320'', ''24864'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29471'', ''24865'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29600'', ''24866'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27111'', ''24867'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27264'', ''24868'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25919'', ''24869'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29583'', ''24870'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27504'', ''24871'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27720'', ''24872'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26573'', ''24873'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28309'', ''24874'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26049'', ''24875'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26426'', ''24876'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25914'', ''24877'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26737'', ''24878'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27618'', ''24879'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29123'', ''24880'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26385'', ''24881'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26839'', ''24882'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26156'', ''24883'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27404'', ''24884'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25510'', ''24885'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28093'', ''24886'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26063'', ''24887'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26262'', ''24888'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27810'', ''24889'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26668'', ''24890'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27349'', ''24891'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29472'', ''24892'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28489'', ''24893'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27315'', ''24894'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26294'', ''24895'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26062'', ''24896'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26701'', ''24897'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27682'', ''24898'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27639'', ''24899'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25626'', ''24900'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27074'', ''24901'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27986'', ''24902'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26546'', ''24903'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26127'', ''24904'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27017'', ''24905'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28405'', ''24906'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27829'', ''24907'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29388'', ''24908'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26687'', ''24909'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27153'', ''24910'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29201'', ''24911'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28219'', ''24912'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25582'', ''24913'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26675'', ''24914'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27758'', ''24915'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27218'', ''24916'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27774'', ''24917'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25680'', ''24918'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28806'', ''24919'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26929'', ''24920'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29300'', ''24921'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27473'', ''24922'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29223'', ''24923'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27293'', ''24924'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27907'', ''24925'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28946'', ''24926'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28803'', ''24927'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29559'', ''24928'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25870'', ''24929'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26650'', ''24930'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29439'', ''24931'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28273'', ''24932'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26106'', ''24933'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25359'', ''24934'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27002'', ''24935'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26482'', ''24936'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27310'', ''24937'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26107'', ''24938'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25362'', ''24939'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29543'', ''24940'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28805'', ''24941'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29456'', ''24942'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27069'', ''24943'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28153'', ''24944'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26105'', ''24945'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29217'', ''24946'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25872'', ''24947'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28430'', ''24948'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26108'', ''24949'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29561'', ''24950'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28746'', ''24951'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27888'', ''24952'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27015'', ''24953'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27088'', ''24954'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25608'', ''21408'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28742'', ''22184'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28795'', ''22341'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27702'', ''22352'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''3855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26366'', ''23053'', ''8'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22198'', ''54'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''104'', ''55'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21941'', ''56'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21938'', ''57'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21631'', ''62'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21083'', ''63'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21396'', ''66'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''98'', ''67'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20718'', ''68'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20720'', ''69'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22146'', ''70'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20543'', ''73'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21942'', ''74'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20717'', ''77'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21675'', ''81'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21389'', ''82'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21964'', ''83'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21949'', ''85'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20612'', ''86'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20998'', ''88'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20789'', ''90'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20791'', ''94'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21474'', ''97'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21453'', ''98'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21658'', ''102'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''109'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21448'', ''110'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21536'', ''112'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21045'', ''113'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21688'', ''145'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22045'', ''148'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20767'', ''149'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21158'', ''150'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''103'', ''152'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21065'', ''153'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''169'', ''154'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20519'', ''155'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''280'', ''156'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21783'', ''160'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20851'', ''162'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22170'', ''164'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21246'', ''170'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20524'', ''173'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20525'', ''174'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22223'', ''175'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20638'', ''177'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20843'', ''180'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21251'', ''181'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21749'', ''183'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21491'', ''184'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21843'', ''186'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21693'', ''187'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22046'', ''188'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21073'', ''191'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21115'', ''195'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21518'', ''200'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21421'', ''207'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20693'', ''209'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''105'', ''212'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21384'', ''216'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21117'', ''218'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20723'', ''223'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22135'', ''224'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22274'', ''225'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22094'', ''226'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21634'', ''229'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180'', ''246'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20898'', ''247'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21781'', ''251'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20825'', ''252'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21243'', ''256'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21519'', ''257'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20805'', ''259'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21625'', ''261'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20834'', ''270'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21614'', ''271'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21516'', ''279'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21335'', ''282'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21840'', ''283'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20999'', ''285'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21327'', ''286'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21231'', ''288'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21427'', ''289'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20685'', ''290'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21411'', ''294'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21038'', ''299'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21354'', ''300'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20724'', ''307'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22094'', ''314'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21943'', ''316'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20709'', ''317'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21777'', ''321'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21729'', ''322'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22277'', ''325'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22157'', ''348'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21650'', ''355'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20574'', ''357'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20654'', ''371'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21581'', ''396'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21248'', ''400'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21912'', ''403'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22099'', ''404'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21532'', ''407'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21539'', ''408'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22196'', ''419'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20582'', ''423'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21592'', ''447'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20981'', ''451'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20506'', ''452'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21463'', ''453'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20679'', ''464'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20966'', ''467'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20483'', ''468'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21651'', ''472'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20437'', ''474'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20521'', ''475'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21846'', ''477'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20592'', ''478'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22183'', ''484'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20406'', ''488'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20407'', ''489'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21580'', ''490'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22152'', ''491'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21215'', ''492'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21213'', ''493'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21214'', ''494'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20837'', ''495'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21522'', ''500'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20828'', ''503'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20830'', ''504'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20832'', ''505'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20584'', ''506'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22106'', ''507'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21099'', ''508'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21240'', ''509'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20903'', ''510'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21859'', ''511'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20980'', ''512'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20460'', ''567'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20984'', ''568'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21320'', ''569'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20909'', ''570'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20458'', ''600'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21124'', ''663'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22000'', ''664'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20914'', ''701'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21229'', ''702'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21520'', ''713'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20731'', ''714'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20481'', ''716'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21861'', ''717'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22140'', ''731'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22126'', ''734'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21935'', ''737'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21939'', ''742'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20493'', ''743'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21574'', ''777'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20412'', ''778'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21256'', ''800'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21884'', ''807'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20997'', ''824'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21027'', ''825'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20996'', ''826'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21825'', ''838'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21444'', ''839'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''175'', ''851'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20799'', ''863'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20598'', ''869'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20615'', ''873'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22044'', ''874'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21368'', ''875'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21057'', ''884'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21472'', ''892'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21449'', ''897'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21048'', ''998'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21363'', ''999'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21377'', ''1002'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21330'', ''1004'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21534'', ''1005'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21535'', ''1006'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20710'', ''1297'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20465'', ''1339'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20554'', ''1403'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21174'', ''1409'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20711'', ''1424'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20416'', ''1427'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20647'', ''1455'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20674'', ''1469'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20707'', ''1470'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22131'', ''1471'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20405'', ''1472'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21580'', ''1473'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21782'', ''1474'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21784'', ''1475'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21776'', ''1476'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21059'', ''1477'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20994'', ''1478'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22266'', ''1479'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21470'', ''1480'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21947'', ''1491'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21051'', ''1502'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21848'', ''1520'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21121'', ''1535'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21851'', ''1550'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21460'', ''1551'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22271'', ''1573'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20559'', ''1585'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20463'', ''1586'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21225'', ''1587'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21976'', ''1590'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21462'', ''1591'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20836'', ''1597'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20979'', ''1605'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20802'', ''1608'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20613'', ''1609'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20590'', ''1610'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21013'', ''1612'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21338'', ''1613'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22055'', ''1614'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20478'', ''1615'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21860'', ''1616'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20840'', ''1617'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20585'', ''1619'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21789'', ''1626'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20552'', ''1627'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20669'', ''1628'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21212'', ''1629'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21584'', ''1630'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21068'', ''1631'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20556'', ''1632'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21222'', ''1633'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20736'', ''1634'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22037'', ''1635'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21257'', ''1636'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21443'', ''1637'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20421'', ''1641'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20835'', ''1642'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21785'', ''1643'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21109'', ''1647'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21780'', ''1648'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20634'', ''1649'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22104'', ''1650'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21097'', ''1651'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20825'', ''1652'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20728'', ''1653'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21173'', ''1654'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20684'', ''1655'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21069'', ''1656'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21669'', ''1657'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22192'', ''1658'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20834'', ''1659'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21223'', ''1660'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21017'', ''1661'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21567'', ''1662'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22101'', ''1663'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20535'', ''1664'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20536'', ''1665'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21989'', ''1666'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21948'', ''1667'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20946'', ''1668'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20420'', ''1669'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21445'', ''1670'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21126'', ''1671'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21309'', ''1672'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20839'', ''1673'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21369'', ''1674'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20797'', ''1675'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21515'', ''1676'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20783'', ''1677'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21745'', ''1678'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21936'', ''1680'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22089'', ''1681'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21644'', ''20000'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21290'', ''20001'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21023'', ''20002'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20803'', ''20003'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20995'', ''20004'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22020'', ''20005'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21788'', ''20006'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22161'', ''20007'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22065'', ''20008'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21072'', ''20009'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20709'', ''20010'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21875'', ''20011'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20420'', ''20012'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20429'', ''20013'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21849'', ''20014'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21707'', ''20015'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21671'', ''20016'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21555'', ''20017'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21019'', ''20018'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20697'', ''20019'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21248'', ''20020'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21725'', ''20021'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21728'', ''20022'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21912'', ''20023'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22193'', ''20024'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21147'', ''20025'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20716'', ''20026'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21080'', ''20027'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20641'', ''20028'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20651'', ''20029'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20692'', ''20030'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20819'', ''20031'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20821'', ''20032'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20960'', ''20033'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20627'', ''20034'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21079'', ''20035'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21002'', ''20036'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21049'', ''20037'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21929'', ''20038'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21440'', ''20039'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21841'', ''20040'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21062'', ''20041'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21842'', ''20042'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20992'', ''20043'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20520'', ''20044'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21698'', ''20045'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21165'', ''20046'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20996'', ''20047'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20964'', ''20048'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20858'', ''20049'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20748'', ''20050'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21044'', ''20051'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22107'', ''20052'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20649'', ''20053'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21388'', ''20054'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21470'', ''20055'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21087'', ''20056'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20991'', ''20057'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20633'', ''20058'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20597'', ''20059'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21391'', ''20060'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21548'', ''20061'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21353'', ''20062'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21584'', ''20063'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21989'', ''20064'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21053'', ''20065'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20487'', ''20066'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21778'', ''20067'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20728'', ''20068'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21128'', ''20069'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20839'', ''20070'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21944'', ''20071'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21945'', ''20072'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20496'', ''20073'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21427'', ''20074'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21081'', ''20075'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22088'', ''20076'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21046'', ''20077'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20989'', ''20078'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21077'', ''20079'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21040'', ''20080'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20796'', ''20081'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22148'', ''20082'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21853'', ''20083'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22140'', ''20084'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22102'', ''20085'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20742'', ''20086'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21556'', ''20087'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21146'', ''20088'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21760'', ''20089'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20423'', ''20090'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20430'', ''20091'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20578'', ''20092'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20624'', ''20093'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20659'', ''20094'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20664'', ''20095'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21872'', ''20096'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20741'', ''20097'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20808'', ''20098'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20876'', ''20099'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20886'', ''20100'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20915'', ''20101'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20947'', ''20102'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20957'', ''20103'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20986'', ''20104'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21006'', ''20105'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21010'', ''20106'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21020'', ''20107'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21034'', ''20108'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21067'', ''20109'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21086'', ''20110'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21130'', ''20111'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21136'', ''20112'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21191'', ''20113'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21203'', ''20114'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21220'', ''20115'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21267'', ''20116'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21278'', ''20117'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21285'', ''20118'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21288'', ''20119'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21403'', ''20120'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21464'', ''20121'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21550'', ''20122'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21551'', ''20123'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21566'', ''20124'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21553'', ''20125'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21626'', ''20126'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21735'', ''20127'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21757'', ''20128'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21852'', ''20129'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21870'', ''20130'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21871'', ''20131'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21881'', ''20132'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21916'', ''20133'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21055'', ''20134'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21951'', ''20135'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21979'', ''20136'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22032'', ''20137'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22038'', ''20138'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21795'', ''20139'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22113'', ''20140'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''4685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22125'', ''20141'', ''7'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''5101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''62'', ''5'', ''血常规'');
INSERT INTO `del_icss_introduce_map` VALUES (''5102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35800'', ''63'', ''5'', ''白细胞计数(WBC)'');
INSERT INTO `del_icss_introduce_map` VALUES (''5103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23488'', ''54'', ''6'', ''心电图'');
INSERT INTO `del_icss_introduce_map` VALUES (''5104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40738'', ''24955'', ''22'', null);
INSERT INTO `del_icss_introduce_map` VALUES (''5105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40772'', ''24956'', ''10'', ''低血糖反应'');
INSERT INTO `del_icss_introduce_map` VALUES (''5106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40773'', ''24957'', ''10'', ''胃肠道不良反应'');

-- ----------------------------
-- Table structure for del_icss_question_usual
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_question_usual`;
CREATE TABLE `del_icss_question_usual` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `question_id` bigint(20) NOT NULL COMMENT ''标签id'',
  `dept_id` bigint(20) NOT NULL COMMENT ''科室id'',
  `order_no` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `remark` varchar(100) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=201 DEFAULT CHARSET=utf8 COMMENT=''常用标签表'';

-- ----------------------------
-- Records of del_icss_question_usual
-- ----------------------------
INSERT INTO `del_icss_question_usual` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''1'', ''1'', ''全科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''1'', ''2'', ''全科-咳嗽'');
INSERT INTO `del_icss_question_usual` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''1'', ''3'', ''全科-腹泻'');
INSERT INTO `del_icss_question_usual` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''1'', ''4'', ''全科-头痛'');
INSERT INTO `del_icss_question_usual` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''1'', ''5'', ''全科-腹痛'');
INSERT INTO `del_icss_question_usual` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''1'', ''6'', ''全科-胸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''1'', ''7'', ''全科-胸闷'');
INSERT INTO `del_icss_question_usual` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''1'', ''8'', ''全科-咽喉痛'');
INSERT INTO `del_icss_question_usual` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''1'', ''9'', ''全科-心悸'');
INSERT INTO `del_icss_question_usual` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''1'', ''10'', ''全科-鼻塞'');
INSERT INTO `del_icss_question_usual` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''1'', ''11'', ''全科-呕吐'');
INSERT INTO `del_icss_question_usual` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''1'', ''12'', ''全科-头晕'');
INSERT INTO `del_icss_question_usual` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''4'', ''13'', ''呼吸内科-咳嗽'');
INSERT INTO `del_icss_question_usual` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''4'', ''14'', ''呼吸内科-咳痰'');
INSERT INTO `del_icss_question_usual` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''4'', ''15'', ''呼吸内科-咯血'');
INSERT INTO `del_icss_question_usual` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''4'', ''16'', ''呼吸内科-呼吸困难'');
INSERT INTO `del_icss_question_usual` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''4'', ''17'', ''呼吸内科-胸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''4'', ''18'', ''呼吸内科-胸闷'');
INSERT INTO `del_icss_question_usual` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''4'', ''19'', ''呼吸内科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''4'', ''20'', ''呼吸内科-咽痛'');
INSERT INTO `del_icss_question_usual` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''4'', ''21'', ''呼吸内科-咽喉痛'');
INSERT INTO `del_icss_question_usual` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''4'', ''22'', ''呼吸内科-鼻塞'');
INSERT INTO `del_icss_question_usual` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''4'', ''23'', ''呼吸内科-流涕'');
INSERT INTO `del_icss_question_usual` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''4'', ''24'', ''呼吸内科-干咳'');
INSERT INTO `del_icss_question_usual` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''10'', ''25'', ''消化内科-腹痛'');
INSERT INTO `del_icss_question_usual` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''10'', ''26'', ''消化内科-腹泻'');
INSERT INTO `del_icss_question_usual` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''10'', ''27'', ''消化内科-腹胀'');
INSERT INTO `del_icss_question_usual` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''10'', ''28'', ''消化内科-黄疸'');
INSERT INTO `del_icss_question_usual` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''10'', ''29'', ''消化内科-恶心'');
INSERT INTO `del_icss_question_usual` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''10'', ''30'', ''消化内科-呕吐'');
INSERT INTO `del_icss_question_usual` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''10'', ''31'', ''消化内科-呕血'');
INSERT INTO `del_icss_question_usual` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''10'', ''32'', ''消化内科-反酸'');
INSERT INTO `del_icss_question_usual` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''10'', ''33'', ''消化内科-烧心'');
INSERT INTO `del_icss_question_usual` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''10'', ''34'', ''消化内科-嗳气'');
INSERT INTO `del_icss_question_usual` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''10'', ''35'', ''消化内科-便血'');
INSERT INTO `del_icss_question_usual` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''10'', ''36'', ''消化内科-黑便'');
INSERT INTO `del_icss_question_usual` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''10'', ''37'', ''消化内科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24408'', ''10'', ''38'', ''消化内科-腹水'');
INSERT INTO `del_icss_question_usual` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''10'', ''39'', ''消化内科-腹部包块'');
INSERT INTO `del_icss_question_usual` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24235'', ''10'', ''40'', ''消化内科-便秘'');
INSERT INTO `del_icss_question_usual` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''10'', ''41'', ''消化内科-皮肤发黄'');
INSERT INTO `del_icss_question_usual` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''11'', ''42'', ''心血管内科-胸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''11'', ''43'', ''心血管内科-胸闷'');
INSERT INTO `del_icss_question_usual` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''11'', ''44'', ''心血管内科-心悸'');
INSERT INTO `del_icss_question_usual` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''11'', ''45'', ''心血管内科-呼吸困难'');
INSERT INTO `del_icss_question_usual` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''11'', ''46'', ''心血管内科-水肿'');
INSERT INTO `del_icss_question_usual` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''11'', ''47'', ''心血管内科-头晕'');
INSERT INTO `del_icss_question_usual` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''11'', ''48'', ''心血管内科-晕厥'');
INSERT INTO `del_icss_question_usual` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''11'', ''49'', ''心血管内科-黑矇'');
INSERT INTO `del_icss_question_usual` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24306'', ''11'', ''50'', ''心血管内科-发绀'');
INSERT INTO `del_icss_question_usual` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''11'', ''51'', ''心血管内科-背痛'');
INSERT INTO `del_icss_question_usual` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25126'', ''11'', ''52'', ''心血管内科-心律失常'');
INSERT INTO `del_icss_question_usual` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''11'', ''53'', ''心血管内科-乏力'');
INSERT INTO `del_icss_question_usual` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''6'', ''54'', ''内分泌科-口干'');
INSERT INTO `del_icss_question_usual` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''6'', ''55'', ''内分泌科-烦渴'');
INSERT INTO `del_icss_question_usual` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24274'', ''6'', ''56'', ''内分泌科-多饮'');
INSERT INTO `del_icss_question_usual` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''6'', ''57'', ''内分泌科-多尿'');
INSERT INTO `del_icss_question_usual` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''6'', ''58'', ''内分泌科-少尿'');
INSERT INTO `del_icss_question_usual` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25117'', ''6'', ''59'', ''内分泌科-消瘦'');
INSERT INTO `del_icss_question_usual` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25009'', ''6'', ''60'', ''内分泌科-体重下降'');
INSERT INTO `del_icss_question_usual` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''196'', ''6'', ''61'', ''内分泌科-畏寒'');
INSERT INTO `del_icss_question_usual` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24778'', ''6'', ''62'', ''内分泌科-怕热'');
INSERT INTO `del_icss_question_usual` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''6'', ''63'', ''内分泌科-多汗'');
INSERT INTO `del_icss_question_usual` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24184'', ''6'', ''64'', ''内分泌科-少汗'');
INSERT INTO `del_icss_question_usual` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24983'', ''6'', ''65'', ''内分泌科-食欲亢进'');
INSERT INTO `del_icss_question_usual` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''6'', ''66'', ''内分泌科-水肿'');
INSERT INTO `del_icss_question_usual` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25010'', ''6'', ''67'', ''内分泌科-体重增加'');
INSERT INTO `del_icss_question_usual` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''6'', ''68'', ''内分泌科-毛发异常'');
INSERT INTO `del_icss_question_usual` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''6'', ''69'', ''内分泌科-食欲减退'');
INSERT INTO `del_icss_question_usual` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24169'', ''6'', ''70'', ''内分泌科-潮热'');
INSERT INTO `del_icss_question_usual` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''9'', ''71'', ''肾内科-水肿'');
INSERT INTO `del_icss_question_usual` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''9'', ''72'', ''肾内科-血尿'');
INSERT INTO `del_icss_question_usual` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''9'', ''73'', ''肾内科-腰痛'');
INSERT INTO `del_icss_question_usual` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''9'', ''74'', ''肾内科-尿频'');
INSERT INTO `del_icss_question_usual` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24800'', ''9'', ''75'', ''肾内科-尿急'');
INSERT INTO `del_icss_question_usual` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''9'', ''76'', ''肾内科-尿痛'');
INSERT INTO `del_icss_question_usual` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''9'', ''77'', ''肾内科-排尿困难'');
INSERT INTO `del_icss_question_usual` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''9'', ''78'', ''肾内科-排尿中断'');
INSERT INTO `del_icss_question_usual` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''9'', ''79'', ''肾内科-少尿'');
INSERT INTO `del_icss_question_usual` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24759'', ''9'', ''80'', ''肾内科-无尿'');
INSERT INTO `del_icss_question_usual` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25119'', ''9'', ''81'', ''肾内科-小便次数少'');
INSERT INTO `del_icss_question_usual` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24809'', ''9'', ''82'', ''肾内科-夜尿频'');
INSERT INTO `del_icss_question_usual` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''9'', ''83'', ''肾内科-乏力'');
INSERT INTO `del_icss_question_usual` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''16'', ''84'', ''泌尿外科-尿痛'');
INSERT INTO `del_icss_question_usual` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''16'', ''85'', ''泌尿外科-血尿'');
INSERT INTO `del_icss_question_usual` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''16'', ''86'', ''泌尿外科-腰痛'');
INSERT INTO `del_icss_question_usual` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''16'', ''87'', ''泌尿外科-尿频'');
INSERT INTO `del_icss_question_usual` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24800'', ''16'', ''88'', ''泌尿外科-尿急'');
INSERT INTO `del_icss_question_usual` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''16'', ''89'', ''泌尿外科-排尿困难'');
INSERT INTO `del_icss_question_usual` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''16'', ''90'', ''泌尿外科-排尿中断'');
INSERT INTO `del_icss_question_usual` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''16'', ''91'', ''泌尿外科-少尿'');
INSERT INTO `del_icss_question_usual` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24789'', ''16'', ''92'', ''泌尿外科-尿潴留'');
INSERT INTO `del_icss_question_usual` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24717'', ''16'', ''93'', ''泌尿外科-尿失禁'');
INSERT INTO `del_icss_question_usual` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24759'', ''16'', ''94'', ''泌尿外科-无尿'');
INSERT INTO `del_icss_question_usual` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''16'', ''95'', ''泌尿外科-多尿'');
INSERT INTO `del_icss_question_usual` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24766'', ''16'', ''96'', ''泌尿外科-尿液混浊'');
INSERT INTO `del_icss_question_usual` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24773'', ''16'', ''97'', ''泌尿外科-小便浑浊色白'');
INSERT INTO `del_icss_question_usual` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''16'', ''98'', ''泌尿外科-水肿'');
INSERT INTO `del_icss_question_usual` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''12'', ''99'', ''血液科-头晕'');
INSERT INTO `del_icss_question_usual` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''12'', ''100'', ''血液科-乏力'');
INSERT INTO `del_icss_question_usual` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24191'', ''12'', ''101'', ''血液科-出血'');
INSERT INTO `del_icss_question_usual` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24852'', ''12'', ''102'', ''血液科-皮下出血'');
INSERT INTO `del_icss_question_usual` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''12'', ''103'', ''血液科-鼻出血'');
INSERT INTO `del_icss_question_usual` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''12'', ''104'', ''血液科-牙龈出血'');
INSERT INTO `del_icss_question_usual` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''12'', ''105'', ''血液科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25284'', ''12'', ''106'', ''血液科-腰背痛'');
INSERT INTO `del_icss_question_usual` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''12'', ''107'', ''血液科-骨痛'');
INSERT INTO `del_icss_question_usual` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''12'', ''108'', ''血液科-食欲减退'');
INSERT INTO `del_icss_question_usual` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''12'', ''109'', ''血液科-气促'');
INSERT INTO `del_icss_question_usual` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''12'', ''110'', ''血液科-血尿'');
INSERT INTO `del_icss_question_usual` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''12'', ''111'', ''血液科-黑便'');
INSERT INTO `del_icss_question_usual` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''8'', ''112'', ''神经内科-头痛'');
INSERT INTO `del_icss_question_usual` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''8'', ''113'', ''神经内科-头晕'');
INSERT INTO `del_icss_question_usual` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24936'', ''8'', ''114'', ''神经内科-麻木'');
INSERT INTO `del_icss_question_usual` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''8'', ''115'', ''神经内科-手脚麻木'');
INSERT INTO `del_icss_question_usual` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25338'', ''8'', ''116'', ''神经内科-四肢麻木'');
INSERT INTO `del_icss_question_usual` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''8'', ''117'', ''神经内科-肢体麻木'');
INSERT INTO `del_icss_question_usual` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25340'', ''8'', ''118'', ''神经内科-肢体麻木无力'');
INSERT INTO `del_icss_question_usual` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''8'', ''119'', ''神经内科-抽搐'');
INSERT INTO `del_icss_question_usual` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24953'', ''8'', ''120'', ''神经内科-瘫痪'');
INSERT INTO `del_icss_question_usual` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''8'', ''121'', ''神经内科-偏瘫'');
INSERT INTO `del_icss_question_usual` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24414'', ''8'', ''122'', ''神经内科-感觉障碍'');
INSERT INTO `del_icss_question_usual` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25327'', ''8'', ''123'', ''神经内科-肢体活动障碍'');
INSERT INTO `del_icss_question_usual` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''8'', ''124'', ''神经内科-昏迷'');
INSERT INTO `del_icss_question_usual` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''8'', ''125'', ''神经内科-眩晕'');
INSERT INTO `del_icss_question_usual` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24264'', ''8'', ''126'', ''神经内科-大小便失禁'');
INSERT INTO `del_icss_question_usual` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24075'', ''8'', ''127'', ''神经内科-意识丧失'');
INSERT INTO `del_icss_question_usual` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24070'', ''8'', ''128'', ''神经内科-神志不清'');
INSERT INTO `del_icss_question_usual` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25303'', ''8'', ''129'', ''神经内科-失语'');
INSERT INTO `del_icss_question_usual` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''32'', ''130'', ''急诊科-抽搐'');
INSERT INTO `del_icss_question_usual` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''32'', ''131'', ''急诊科-腹痛'');
INSERT INTO `del_icss_question_usual` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''32'', ''132'', ''急诊科-呼吸困难'');
INSERT INTO `del_icss_question_usual` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''32'', ''133'', ''急诊科-昏迷'');
INSERT INTO `del_icss_question_usual` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24070'', ''32'', ''134'', ''急诊科-神志不清'');
INSERT INTO `del_icss_question_usual` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''32'', ''135'', ''急诊科-头痛'');
INSERT INTO `del_icss_question_usual` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''32'', ''136'', ''急诊科-胸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24075'', ''32'', ''137'', ''急诊科-意识丧失'');
INSERT INTO `del_icss_question_usual` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''32'', ''138'', ''急诊科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24489'', ''32'', ''139'', ''急诊科-寒战'');
INSERT INTO `del_icss_question_usual` VALUES (''140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24191'', ''32'', ''140'', ''急诊科-出血'');
INSERT INTO `del_icss_question_usual` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''32'', ''141'', ''急诊科-呕吐'');
INSERT INTO `del_icss_question_usual` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''32'', ''142'', ''急诊科-腹泻'');
INSERT INTO `del_icss_question_usual` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24475'', ''32'', ''143'', ''急诊科-关节扭伤'');
INSERT INTO `del_icss_question_usual` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24453'', ''32'', ''144'', ''急诊科-关节挫伤'');
INSERT INTO `del_icss_question_usual` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25070'', ''32'', ''145'', ''急诊科-外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24262'', ''32'', ''146'', ''急诊科-大腿外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25069'', ''32'', ''147'', ''急诊科-头皮外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25029'', ''32'', ''148'', ''急诊科-头皮挫伤'');
INSERT INTO `del_icss_question_usual` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25068'', ''32'', ''149'', ''急诊科-头皮损伤'');
INSERT INTO `del_icss_question_usual` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25035'', ''32'', ''150'', ''急诊科-头皮撕脱伤'');
INSERT INTO `del_icss_question_usual` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25032'', ''32'', ''151'', ''急诊科-头皮裂伤'');
INSERT INTO `del_icss_question_usual` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25067'', ''32'', ''152'', ''急诊科-头部外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24994'', ''32'', ''153'', ''急诊科-手外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25066'', ''32'', ''154'', ''急诊科-摔伤'');
INSERT INTO `del_icss_question_usual` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24166'', ''32'', ''155'', ''急诊科-擦伤'');
INSERT INTO `del_icss_question_usual` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25064'', ''32'', ''156'', ''急诊科-枪弹伤'');
INSERT INTO `del_icss_question_usual` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''32'', ''157'', ''急诊科-烫伤'');
INSERT INTO `del_icss_question_usual` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24838'', ''32'', ''158'', ''急诊科-皮肤烫伤'');
INSERT INTO `del_icss_question_usual` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25330'', ''32'', ''159'', ''急诊科-肢体外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25092'', ''32'', ''160'', ''急诊科-腿外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24911'', ''32'', ''161'', ''急诊科-舌咬伤'');
INSERT INTO `del_icss_question_usual` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24699'', ''32'', ''162'', ''急诊科-裂伤'');
INSERT INTO `del_icss_question_usual` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24170'', ''32'', ''163'', ''急诊科-车祸伤'');
INSERT INTO `del_icss_question_usual` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24935'', ''32'', ''164'', ''急诊科-颅脑外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24140'', ''32'', ''165'', ''急诊科-鼻外伤'');
INSERT INTO `del_icss_question_usual` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''3'', ''166'', ''感染科-发热'');
INSERT INTO `del_icss_question_usual` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''3'', ''167'', ''感染科-皮疹'');
INSERT INTO `del_icss_question_usual` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''196'', ''3'', ''168'', ''感染科-畏寒'');
INSERT INTO `del_icss_question_usual` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24489'', ''3'', ''169'', ''感染科-寒战'');
INSERT INTO `del_icss_question_usual` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''3'', ''170'', ''感染科-头痛'');
INSERT INTO `del_icss_question_usual` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24540'', ''3'', ''171'', ''感染科-肌肉疼痛'');
INSERT INTO `del_icss_question_usual` VALUES (''172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''3'', ''172'', ''感染科-关节疼痛'');
INSERT INTO `del_icss_question_usual` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24545'', ''3'', ''173'', ''感染科-酸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24539'', ''3'', ''174'', ''感染科-肌肉酸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''199'', ''3'', ''175'', ''感染科-全身酸痛'');
INSERT INTO `del_icss_question_usual` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''3'', ''176'', ''感染科-抽搐'');
INSERT INTO `del_icss_question_usual` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''3'', ''177'', ''感染科-黄疸'');
INSERT INTO `del_icss_question_usual` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''3'', ''178'', ''感染科-乏力'');
INSERT INTO `del_icss_question_usual` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''3'', ''179'', ''感染科-食欲减退'');
INSERT INTO `del_icss_question_usual` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''3'', ''180'', ''感染科-呕血'');
INSERT INTO `del_icss_question_usual` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''3'', ''181'', ''感染科-黑便'');
INSERT INTO `del_icss_question_usual` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''3'', ''182'', ''感染科-恶心'');
INSERT INTO `del_icss_question_usual` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''3'', ''183'', ''感染科-呕吐'');
INSERT INTO `del_icss_question_usual` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24176'', ''3'', ''184'', ''感染科-出汗'');
INSERT INTO `del_icss_question_usual` VALUES (''185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''3'', ''185'', ''感染科-腹痛'');
INSERT INTO `del_icss_question_usual` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''3'', ''186'', ''感染科-腹泻'');
INSERT INTO `del_icss_question_usual` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''3'', ''187'', ''感染科-咳嗽'');
INSERT INTO `del_icss_question_usual` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''3'', ''188'', ''感染科-流涕'');
INSERT INTO `del_icss_question_usual` VALUES (''189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''3'', ''189'', ''感染科-咽痛'');
INSERT INTO `del_icss_question_usual` VALUES (''190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''1'', ''13'', ''全科'');
INSERT INTO `del_icss_question_usual` VALUES (''191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''1'', ''14'', ''全科-尿常规'');
INSERT INTO `del_icss_question_usual` VALUES (''192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''112'', ''1'', ''15'', ''全科-腹部B超'');
INSERT INTO `del_icss_question_usual` VALUES (''193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''157'', ''1'', ''16'', ''全科-正位胸片'');
INSERT INTO `del_icss_question_usual` VALUES (''194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''158'', ''1'', ''17'', ''全科-支气管扩张试验'');
INSERT INTO `del_icss_question_usual` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''159'', ''1'', ''18'', ''全科-肺功能检查'');
INSERT INTO `del_icss_question_usual` VALUES (''196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''160'', ''1'', ''19'', ''全科-常规十二导心电图检测'');
INSERT INTO `del_icss_question_usual` VALUES (''197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''161'', ''1'', ''20'', ''全科-肝胆胰脾彩超检查'');
INSERT INTO `del_icss_question_usual` VALUES (''198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''148'', ''1'', ''21'', ''全科-肾功能常规检查'');
INSERT INTO `del_icss_question_usual` VALUES (''199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''149'', ''1'', ''22'', ''全科-血葡萄糖测定'');
INSERT INTO `del_icss_question_usual` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''150'', ''1'', ''23'', ''全科-心肌酶谱常规检查'');

-- ----------------------------
-- Table structure for del_icss_retrieval
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_retrieval`;
CREATE TABLE `del_icss_retrieval` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(100) DEFAULT NULL COMMENT ''名称'',
  `spell` varchar(100) DEFAULT NULL COMMENT ''拼音'',
  `remark` varchar(500) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=42584 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''同义词检索表'';

-- ----------------------------
-- Records of del_icss_retrieval
-- ----------------------------
INSERT INTO `del_icss_retrieval` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''2019-01-04 17:12:36'', ''0'', ''1'', ''咳嗽'', ''ks'', null);
INSERT INTO `del_icss_retrieval` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛'', ''YHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝恶性肿瘤'', ''GEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''2019-01-04 15:34:55'', ''0'', ''1'', ''咳痰'', ''KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管哮喘'', ''ZQGXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压'', ''GXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺部感染'', ''FBGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性咽炎'', ''MXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结节'', ''FJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''XCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数'', ''BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超敏C反应蛋白'', ''CMCFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部B超'', ''FBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''NCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20'', ''N'', ''2018-12-17 13:32:44'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''血白细胞'', ''xbxb'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏病'', ''XZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胃炎'', ''MXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发热'', ''FR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压'', ''XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杂音'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛'', ''TT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒'', ''WH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕'', ''TY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力'', ''FL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身酸痛'', ''QSST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促'', ''QC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷'', ''XM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞'', ''BS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''既往史'', ''JWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞计数'', ''HXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血'', ''YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''WBC'', ''WBC'', ''红细胞计数（英文）'');
INSERT INTO `del_icss_retrieval` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖'', ''KFXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血糖'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸'', ''NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有无治疗2'', ''YWZL2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛'', ''FT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐'', ''OT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉搏'', ''MB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸'', ''HX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胰腺炎'', ''JXYXY'', ''诊断'');
INSERT INTO `del_icss_retrieval` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血'', ''JMWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽无充血'', ''YWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大'', ''BTTWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部CT'', ''FBCT'', ''腹部CT'');
INSERT INTO `del_icss_retrieval` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺CT'', ''YXCT'', ''胰腺CT'');
INSERT INTO `del_icss_retrieval` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部CT'', ''XBCT'', ''胸部CT'');
INSERT INTO `del_icss_retrieval` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线'', ''XBXX'', ''胸部X线'');
INSERT INTO `del_icss_retrieval` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部平片'', ''XBPP'', ''胸部平片'');
INSERT INTO `del_icss_retrieval` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺B超'', ''YXBC'', ''胰腺B超'');
INSERT INTO `del_icss_retrieval` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部MRI'', ''FBMRI'', ''腹部MRI'');
INSERT INTO `del_icss_retrieval` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白'', ''CFYDB'', ''C-反应蛋白'');
INSERT INTO `del_icss_retrieval` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清淀粉酶'', ''XQDFM'', ''血清淀粉酶'');
INSERT INTO `del_icss_retrieval` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液淀粉酶'', ''NYDFM'', ''尿液淀粉酶'');
INSERT INTO `del_icss_retrieval` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C反应蛋白'', ''CFYDB'', ''C-反应蛋白'');
INSERT INTO `del_icss_retrieval` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-淀粉酶'', ''DFM'', ''血清-淀粉酶'');
INSERT INTO `del_icss_retrieval` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-淀粉酶'', ''DFM'', ''尿液-淀粉酶'');
INSERT INTO `del_icss_retrieval` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔'', ''TK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张，肝颈静脉回流征阴性'', ''JJMWNZ,GJJMHLZYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶测定'', ''ZFMCD'', ''脂肪酶测定'');
INSERT INTO `del_icss_retrieval` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶(LPS)'', ''ZFM'', ''脂肪酶测定'');
INSERT INTO `del_icss_retrieval` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育正常'', ''FYZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养中等'', ''YYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志清'', ''SZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自主体位'', ''ZZTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面容正常'', ''MRZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情安静'', ''BQAJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''查体合作'', ''CTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粘膜无黄染'', ''PFNMWHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及'', ''QSQBLBJWCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅五官无畸形'', ''TLWGWJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜无黄染'', ''GMWHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜透明'', ''JMTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形，外耳道无溢液'', ''EKWJXWEDWYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形'', ''WBWJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀'', ''KCWFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈软'', ''JR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管居中'', ''QGJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大'', ''JZXWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形'', ''XKDCWJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致'', ''SCHXYDDYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未触及胸膜摩擦感'', ''WCJXMMCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩呈清音'', ''KCQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未闻及明显干湿啰音'', ''WWJMXGSLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起'', ''XQQWYCLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心界无扩大'', ''XJWKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率（##）次/分，律齐'', ''XLLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各瓣膜区未闻及病理性杂音'', ''GMBQWWJBLXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦'', ''FBPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软，无压痛、反跳痛及肌紧张'', ''QFRWYTFTFJJJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及'', ''GPLXWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛'', ''SQWKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移动性浊音阴性'', ''YDXZYYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣音正常'', ''CMYZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门及外生殖器未查'', ''GMJWSZQWC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形，活动自如'', ''JZWJXHDZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形，关节无红肿热痛'', ''SZWJXGJWHZRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢无水肿'', ''SXZWSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肌力肌张力正常'', ''SZJLJZLZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在，病理反射未引出'', ''SLFSCZBLFSWYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻'', ''FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳气'', ''AQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反酸'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便血'', ''BX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''个人史'', ''GRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏史'', ''GMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经史'', ''YJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''既往体质'', ''JWTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''预防接种'', ''YFJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手术史'', ''SSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血史'', ''SXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1.5型糖尿病'', ''1.5XTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1型糖尿病'', ''1XTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2型糖尿病'', ''2XTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型呼吸衰竭'', ''ⅠXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅱ型呼吸衰竭'', ''ⅡXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Barrett食管'', ''BarrettSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒性肠炎'', ''EBBDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H型高血压'', ''HXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''lgA肾病'', ''lgASB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Q-T间期延长综合征'', ''Q-TJQYCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''T幼稚淋巴细胞白血病'', ''TYZLBXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿尔茨海默病'', ''AECHMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴非痢疾性肠炎'', ''AMBFLJXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴结肠炎'', ''AMBJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴痢疾'', ''AMBLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴性肝脓肿'', ''AMBXGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林哮喘'', ''ASPLXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾森曼格综合征'', ''ASMGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病'', ''AZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安装子宫内节育器'', ''AZZGNJYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区肿物'', ''AQZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕疙瘩'', ''BHGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白癜风'', ''BZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉'', ''BH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白内障'', ''BNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白塞病'', ''BSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色糠疹'', ''BSKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞疾患'', ''BXBJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞减少症'', ''BXBJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞异常'', ''BXBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病'', ''BXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳'', ''BRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''败血症'', ''BXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑秃'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕'', ''ZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕子宫'', ''ZHZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半身水肿'', ''BSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半月板损伤'', ''BYBSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包茎'', ''BJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包皮过长'', ''BPGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包皮炎'', ''BPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲍温病'', ''BWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门癌'', ''ZMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门失弛缓症'', ''ZMSCHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻癌'', ''BA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻白喉'', ''BBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血'', ''BCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦炎'', ''BZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨骨折'', ''BGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻前庭炎'', ''BQTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔囊肿'', ''BQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔肿物'', ''BQZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻息肉'', ''BXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽癌'', ''BYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽炎'', ''BYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎'', ''BY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻中隔偏曲'', ''BZGPQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻肿物'', ''BZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭合性气胸'', ''BHXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭角型青光眼'', ''BJXQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭经'', ''BJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁平苔癣'', ''BPTX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁平疣'', ''BPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体恶性肿瘤'', ''BTTEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体肥大'', ''BTTFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体疾病'', ''BTTJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体炎'', ''BTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体肿物'', ''BTTZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变形杆菌肠炎'', ''BXGJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变异型心绞痛'', ''BYXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应性皮肤血管炎'', ''BYXPFXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘'', ''BM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型病毒性肝炎'', ''BXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒感染'', ''BDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肠炎'', ''BDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肺炎'', ''BDXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性腹泻'', ''BDXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎'', ''BDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性呼吸道感染'', ''BDXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性角膜炎'', ''BDXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性颅内感染'', ''BDXLNGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性脑膜炎'', ''BDXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性脑炎'', ''BDXNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性皮疹'', ''BDXPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性食管炎'', ''BDXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性胃肠炎'', ''BDXWCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性心包炎'', ''BDXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性心肌炎'', ''BDXXJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性咽喉炎'', ''BDXYHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理性骨折'', ''BLXGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦房结综合征'', ''BTZFJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦房结综合症'', ''BTZFJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体出血'', ''BLTCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体浑浊'', ''BLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起功能障碍'', ''BQGNZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哺乳疾病'', ''BRJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不安腿综合征'', ''BATZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不典型慢性粒细胞白血病（aCML）'', ''BDXMXLXBBXB（aCML）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不适和疲劳'', ''BSHPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不完全性肠梗阻'', ''BWQXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳定型心绞痛（UA）'', ''BWDXXJT（UA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不育由于男方无精症'', ''BYYYNFWJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不育由于输卵管不畅'', ''BYYYSLGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不孕症'', ''BYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布加综合征'', ''BJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌病'', ''BSGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''擦伤'', ''CS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''残胃癌'', ''CWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕蚀性角膜溃疡'', ''CSXJMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后病'', ''CHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后即刻医疗照顾和检查'', ''CHJKYLZGHJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后贫血'', ''CHPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠穿孔'', ''CCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠梗阻'', ''CGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠绞痛'', ''CJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠结核'', ''CJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠溃疡'', ''CKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠瘘'', ''CZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠扭转'', ''CNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠套叠'', ''CTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠息肉'', ''CXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉夹层'', ''CXMDMJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉栓塞'', ''CXMDMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉栓塞伴肠坏死'', ''CXMDMSSBCHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜恶性肿瘤'', ''CXMEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜静脉血栓形成'', ''CXMJMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜静脉血栓形成伴肠坏死'', ''CXMJMXSXCBCHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结炎'', ''CXMLBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜囊肿'', ''CXMNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜上动脉闭塞'', ''CXMSDMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜下动脉闭塞'', ''CXMXDMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜肿瘤'', ''CXMZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠炎'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠易激综合征'', ''CYJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠粘连'', ''CZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠肿物'', ''CZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''车祸伤'', ''CHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尘肺'', ''CF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性肺结核'', ''CJXFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性脑梗死'', ''CJXNGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性心肌梗塞'', ''CJXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性心肌梗死'', ''CJXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成年型多囊肾'', ''CNXDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成人斯蒂尔病'', ''CRSDEB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痴呆'', ''CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臭汗症'', ''CHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''初发型心绞痛'', ''CFXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性单核细胞增多症'', ''CRXDHXBZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性非典型肺炎'', ''CRXFDXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘息性支气管肺炎'', ''CXXZQGFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤后骨质疏松'', ''CSHGZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤后应激障碍'', ''CSHYJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性肝破裂'', ''CSXGPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性气胸'', ''CSXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性心包炎'', ''CSXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体功能减退症'', ''CTGNJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体瘤'', ''CTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体前叶功能减退症'', ''CTQYGNJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇炎'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丛集性头痛'', ''CJXTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猝死'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痤疮'', ''ZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打伤'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便潜血'', ''DBQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠癌'', ''DCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大动脉炎'', ''DDMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大疱性表皮松解症'', ''DZXBPSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大疱性类天疱疮'', ''DZXLTZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大叶性肺炎'', ''DYXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉曲张'', ''DYJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉曲张伴溃疡'', ''DYJMQZBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代谢综合征'', ''DXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹'', ''DZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹脑炎'', ''DZZZNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹性神经根炎'', ''DZZZXSJGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹性坐骨神经痛'', ''DZZZXZGSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹毒'', ''DD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹'', ''DCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯收缩期高血压'', ''DCSSQGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯舒张期高血压'', ''DCSZQGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性甲状腺肿'', ''DCXJZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性肾囊肿'', ''DCXSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单胎活产'', ''DTHC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道疾病'', ''DDJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道结石'', ''DDJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道术后残留结石'', ''DDSHCLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管癌'', ''DGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管梗阻'', ''DGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石'', ''DGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石伴急性胆囊炎'', ''DGJSBJXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石合并胆管炎'', ''DGJSHBDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管炎'', ''DGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊癌'', ''DNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊穿孔'', ''DNCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊管结石'', ''DNGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊疾病'', ''DNJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石'', ''DNJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴坏疽性胆囊炎'', ''DNJSBHJXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴急性胆囊炎'', ''DNJSBJXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴急性化脓性胆囊炎'', ''DNJSBJXHNXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴慢性胆囊炎'', ''DNJSBMXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石合并胆囊炎'', ''DNJSHBDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石嵌顿'', ''DNJSQD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊颈部结石嵌顿'', ''DNJBJSQD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊息肉'', ''DNXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊腺肌症'', ''DNXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎'', ''DNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎伴胆石症'', ''DNYBDSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊占位性病变'', ''DNZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆源性胰腺炎'', ''DYXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石'', ''DZGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴胆管炎'', ''DZGJSBDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴急性胆管炎'', ''DZGJSBJXDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴急性胆囊炎'', ''DZGJSBJXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴慢性胆囊炎'', ''DZGJSBMXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白尿'', ''DBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质-能量营养不良症'', ''DBZ-NLYYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒睫'', ''DJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''登革热'', ''DGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低促性腺激素性腺功能减退症'', ''DCXXJSXXGNJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙血症'', ''DGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低高密度脂蛋白血症'', ''DGMDZDBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾型周期性瘫痪'', ''DJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾血症'', ''DJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低颅压综合征'', ''DLYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低色素性贫血'', ''DSSXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低位肠梗阻'', ''DWCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖昏迷'', ''DXTHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖症'', ''DXTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血压'', ''DXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫性阴道炎'', ''DCXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地中海贫血'', ''DZHPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫病'', ''ZZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌伤'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耵聍栓塞'', ''ZZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉导管未闭'', ''DMDGWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉瘤'', ''DML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉型肺动脉高压'', ''DMXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉硬化'', ''DMYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉硬化闭塞症'', ''DMYHBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻疮'', ''DC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房传导阻滞'', ''ZFCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房折返性心动过速'', ''ZFZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性停搏'', ''ZXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心动过缓'', ''ZXXDGH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心动过速'', ''ZXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心律失常'', ''ZXXLSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''短肠综合征'', ''DCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''短暂性脑缺血发作'', ''DZXNQXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多瓣膜病'', ''DBMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多部位神经痛'', ''DBWSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多部位性呼吸道感染'', ''DBWXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性大动脉炎'', ''DFXDDMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性骨髓瘤'', ''DFXGSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性末梢神经炎'', ''DFXMSSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性周围神经炎'', ''DFXZWSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗症'', ''DHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多毛细胞白血病'', ''DMXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊卵巢综合征'', ''DNLCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊肾'', ''DNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多胎妊娠'', ''DTRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多形红斑'', ''DXHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多形性日光疹'', ''DXXRGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶化型劳力性心绞痛'', ''EHXLLXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶劣心境障碍'', ''ELXJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性骨肿瘤'', ''EXGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性淋巴瘤'', ''EXLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性胸腔积液'', ''EXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童期糖尿病'', ''ETQTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部疾病'', ''EBJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋'', ''EL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣'', ''EM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳外伤'', ''EWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣关闭不全'', ''EJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣后叶脱垂'', ''EJBHYTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣疾病'', ''EJBJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂'', ''EJBTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂伴闭锁不全'', ''EJBTCBBSBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂综合征'', ''EJBTCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣狭窄'', ''EJBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣狭窄伴三尖瓣关闭不全'', ''EJBXZBSJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法洛四联症'', ''FLSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性食管炎'', ''FLXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性胃炎'', ''FLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性咽炎'', ''FLXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房间隔缺损'', ''FJGQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室传导阻滞'', ''FSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界性心律失常'', ''FSJJXXLSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结折返性心动过速（AVNRT）'', ''FSJZFXXDGS（AVNRT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室折返性心动过速（AVRT）'', ''FSZFXXDGS（AVRT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性期前收缩'', ''FXQQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性心动过速'', ''FXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性心律失常'', ''FXXLSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射性皮炎'', ''FSXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高性急性冠状动脉综合征'', ''FSTDTGXJXGZDMZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非梗阻性肥厚型心肌病'', ''FGZXFHXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非霍奇金淋巴瘤'', ''FHQJLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非糜烂性反流病'', ''FMLXFLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非肾性蛋白尿'', ''FSXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非心源性猝死'', ''FXYXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非增殖性糖尿病性视网膜病变'', ''FZZXTNBXSWMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥大性咽炎'', ''FDXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚型心肌病'', ''FHXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥胖症'', ''FPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌'', ''FA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌晚期'', ''FAWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌转移'', ''FAZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺大泡'', ''FDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣关闭不全'', ''FDMBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣狭窄'', ''FDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉高压'', ''FDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核'', ''FJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结节病'', ''FJJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺脓肿'', ''FNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺泡蛋白沉积症'', ''FPDBCJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气肿'', ''FQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺栓塞'', ''FSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺水肿'', ''FSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺外结节病'', ''FWJJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺腺癌'', ''FXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷白杆菌肺炎'', ''FYKLBGJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌肺炎'', ''FYLQJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎球菌感染'', ''FYQJGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎衣原体肺炎'', ''FYYYTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体性肺炎'', ''FYZYTXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺源性心脏病'', ''FYXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺占位性病变'', ''FZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺真菌感染'', ''FZJGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺肿物'', ''FZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''废用性骨质疏松'', ''FYXGZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痱子'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分离性障碍'', ''FLXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分裂情感性障碍'', ''FLQGXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分泌性中耳炎'', ''FMXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿热'', ''FSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性二尖瓣狭窄'', ''FSXEJBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性心脏病'', ''FSXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风团'', ''FT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜂窝织炎'', ''FWZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾炎'', ''FZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附件炎'', ''FJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性呼吸道感染'', ''FFXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性视网膜脱离'', ''FFXSWMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性心包炎'', ''FFXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦炎'', ''FBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副伤寒'', ''FSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁软组织感染'', ''FBRZZGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁疝'', ''FBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部感染'', ''FBGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部肿物'', ''FBZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟疝'', ''FGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟斜疝'', ''FGGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟直疝'', ''FGGZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜型子宫内膜异位症'', ''FMXZGNMYWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔感染'', ''FQGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔脓肿'', ''FQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹外疝'', ''FWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝癌'', ''GA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝挫裂伤'', ''GCLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石'', ''GDGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴胆管炎'', ''GDGJSBDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴胆囊炎'', ''GDGJSBDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴慢性胆囊炎'', ''GDGJSBMXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能不全'', ''GGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能衰竭'', ''GGNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能紊乱'', ''GGNWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能异常'', ''GGNYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝囊肿'', ''GNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管癌'', ''GNDGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管结石'', ''GNDGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管结石伴胆管炎'', ''GNDGJSBDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内占位性病变'', ''GNZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脓肿'', ''GNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾破裂'', ''GPPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝损伤'', ''GSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝细胞癌'', ''GXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''GXWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝性脑病'', ''GXNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝血管瘤'', ''GXGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎'', ''GY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎后肝硬化'', ''GYHGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化'', ''GYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食道胃底静脉曲张破裂'', ''GYHBSDWDJMQZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食管静脉曲张'', ''GYHBSGJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食管静脉曲张破裂出血'', ''GYHBSGJMQZPLCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴胃底静脉曲张'', ''GYHBWDJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化腹水'', ''GYHFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏破裂'', ''GZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝占位性病变'', ''GZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝肿瘤'', ''GZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝肿物'', ''GZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒'', ''GM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胆囊炎'', ''GRXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性腹泻'', ''GRXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胃肠炎'', ''GRXWCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性心内膜炎'', ''GRXXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感音神经性耳聋'', ''GYSJXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干眼症'', ''GYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干燥综合征'', ''GZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冈上肌肌腱炎'', ''GSJJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠病'', ''GCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛管炎'', ''GGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛裂'', ''GL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛瘘'', ''GZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门搔痒症'', ''GMSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门瘙痒症'', ''GMZYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛乳头肥大'', ''GRTFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周感染'', ''GZGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周脓肿'', ''GZNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高胆固醇血症'', ''GDGCXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高低密度脂蛋白血症'', ''GDMDZDBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高甘油三酯血症'', ''GGYSZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高钾型周期性瘫痪'', ''GJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高泌乳素血症'', ''GMRSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高尿酸血症'', ''GNSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗高血糖状态'', ''GSGXTZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高位肠梗阻'', ''GWCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血糖'', ''GXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级'', ''GXY1J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级(高危)'', ''GXY1J(GW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级'', ''GXY2J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级(高危)'', ''GXY2J(GW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级'', ''GXY3J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级(极高危)'', ''GXY3J(JGW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性脑病'', ''GXYXNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性肾病'', ''GXYXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性心脏病'', ''GXYXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血脂'', ''GXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高胰岛素血症'', ''GYDSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高原肺水肿'', ''GYFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症性胰腺炎'', ''GZXZXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸癌'', ''ZWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸附睾炎'', ''ZWFZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸扭转'', ''ZWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸鞘膜积液'', ''ZWQMJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''割伤'', ''GS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨骨折'', ''GGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟腱炎'', ''GZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗阻性黄疸'', ''GZXHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更换子宫内节育器'', ''GHZGNJYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能失调性子宫出血'', ''GNSDXZGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性便秘'', ''GNXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性腹痛综合征'', ''GNXFTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性腹胀'', ''GNXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性胃肠病'', ''GNXWCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性消化不良'', ''GNXXHBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨外上髁炎'', ''ZGWSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌'', ''GJA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈肥大'', ''GJFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈机能不全'', ''GJJNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈糜烂'', ''GJML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈内膜炎'', ''GJNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈上皮内瘤样病变'', ''GJSPNLYBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈上皮内肿瘤'', ''GJSPNZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈息肉'', ''GJXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈腺体囊肿'', ''GJXTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎'', ''GJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎性疾病'', ''GJYXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈原位癌'', ''GJYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈增生'', ''GJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈肿瘤'', ''GJZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫内节育器'', ''GNJYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔粘连'', ''GQZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜炎'', ''GMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩虫病'', ''GCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩端螺旋体病'', ''GDLXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨粗隆间骨折'', ''GGCLJGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨骨折'', ''GGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨颈骨折'', ''GGJGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨头坏死'', ''GGTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨头无菌性坏死'', ''GGTWJXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股外侧皮神经卡压综合征'', ''GWCPSJKYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股外侧皮神经综合症'', ''GWCPSJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股癣'', ''GX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节疾病'', ''GGJJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节炎'', ''GGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨巨细胞瘤'', ''GJXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瘤'', ''GL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆骨折'', ''GPGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肉瘤'', ''GRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨软骨瘤'', ''GRGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓增生异常综合征'', ''GSZSYCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛'', ''GT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨纤维肉瘤'', ''GXWRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨尤文肉瘤'', ''GYWRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨折'', ''GZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松伴骨折'', ''GZSSBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松症'', ''GZSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼓膜穿孔'', ''GMCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤'', ''GJNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节脱位'', ''GJTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉栓塞'', ''GZDMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉粥样硬化性心脏病'', ''GZDMZYYHXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头包皮炎'', ''GTBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头炎'', ''GTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘窝囊肿'', ''MWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过度通气综合征'', ''GDTQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏反应'', ''GMFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性鼻炎'', ''GMXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性鼻炎伴哮喘'', ''GMXBYBXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性肺炎'', ''GMXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性皮炎'', ''GMXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性皮疹'', ''GMXPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性哮喘'', ''GMXXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性紫癜'', ''GMXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过期妊娠'', ''GQRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼾症'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下肿物'', ''ZXZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑变病'', ''HBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑布拉痒疹'', ''HBLYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑棘皮病'', ''HJPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色素瘤'', ''HSSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色素痣'', ''HSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亨特氏综合征'', ''HTSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红皮病'', ''HPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虹膜睫状体炎'', ''HMJZTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉癌'', ''HA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉白喉'', ''HBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉气管狭窄'', ''HQGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉炎'', ''HY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉肿物'', ''HZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜血肿'', ''HFMXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后循环缺血'', ''HXHQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸窘迫综合征'', ''HXJPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难'', ''HXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸衰竭'', ''HXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胡桃夹综合征'', ''HTJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹部癌'', ''HFBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹部肿瘤'', ''HFBZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹周围恶性肿瘤'', ''HFZWEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花斑糠疹'', ''HBKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''划伤'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜炎'', ''HMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑囊炎'', ''HNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性扁桃体炎'', ''HNXBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性肝脓肿'', ''HNXGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性脑膜炎'', ''HNXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性心包炎'', ''HNXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性中耳炎'', ''HNXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化学性胃炎'', ''HXXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节骨折'', ''ZGJGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节痛'', ''ZGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄斑裂孔'', ''HBLK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄褐斑'', ''HHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体破裂'', ''HTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠溃疡'', ''HCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛔虫病'', ''HCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会厌囊肿'', ''HYNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型肝硬化'', ''HHXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型高脂血症'', ''HHXGZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性蛋白尿'', ''HHXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性结缔组织病'', ''HHXJDZZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性心绞痛'', ''HHXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合痔'', ''HHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性大疱性表皮松懈症'', ''HDXDZXBPSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱'', ''HL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍纳综合征'', ''HNZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍奇金淋巴瘤'', ''HQJLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''机械性肠梗阻'', ''JXXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌腱炎'', ''JZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌筋膜炎'', ''JJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉劳损'', ''JRLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌痛'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌营养不良症'', ''JYYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌张力障碍'', ''JZLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸡眼'', ''JY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基底细胞瘤'', ''JDXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉兰巴雷综合征'', ''JLBLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急腹症'', ''JFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性ST段抬高性心肌梗死'', ''JXSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性白血病'', ''JXBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻窦炎'', ''JXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻咽炎'', ''JXBYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻炎'', ''JXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性闭角型青光眼'', ''JXBJXQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性扁桃体炎'', ''JXBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性肝炎'', ''JXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性喉炎'', ''JXBDXHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽喉炎'', ''JXBDXYHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽炎'', ''JXBDXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠梗阻'', ''JXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠炎'', ''JXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性充血性扁桃体炎'', ''JXCXXBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血坏死型胰腺炎'', ''JXCXHSXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血坏死性肠炎'', ''JXCXHSXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性穿孔性阑尾炎'', ''JXCKXLWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性单纯性阑尾炎'', ''JXDCXLWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆管炎'', ''JXDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆囊炎'', ''JXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆源型胰腺炎'', ''JXDYXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性低血压'', ''JXDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性非ST段抬高型心肌梗死'', ''JXFSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性非ST段抬高型心肌梗死非ST段抬高型心肌梗死'', ''JXFSTDTGXXJGSFSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺脓肿'', ''JXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺栓塞'', ''JXFSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺水肿'', ''JXFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺炎'', ''JXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性风湿热'', ''JXFSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腐蚀性食管炎'', ''JXFSXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性附件炎'', ''JXFJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腹膜炎'', ''JXFMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腹泻'', ''JXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肝炎'', ''JXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性感染性胃炎'', ''JXGRXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性感染性支气管炎'', ''JXGRXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性根尖周炎'', ''JXGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性梗阻性化脓性胆管炎'', ''JXGZXHNXDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性宫颈炎'', ''JXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠状动脉综合征（ACS）'', ''JXGZDMZHZ（ACS）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性喉炎'', ''JXHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性呼吸窘迫综合征'', ''JXHXJPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性呼吸衰竭'', ''JXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓梗阻性胆管炎'', ''JXHNGZXDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性扁桃体炎'', ''JXHNXBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性骨髓炎'', ''JXHNXGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性关节炎'', ''JXHNXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性阑尾炎'', ''JXHNXLWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性弥漫性腹膜炎'', ''JXHNXMMXFMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性支气管炎'', ''JXHNXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性中耳炎'', ''JXHNXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏疽性阑尾炎伴阑尾周围炎'', ''JXHJXLWYBLWZWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏死性肠炎'', ''JXHSXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性会厌炎'', ''JXHYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脊髓炎'', ''JXJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性间质性肾炎'', ''JXJZXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑发作'', ''JXJLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性溃疡性口腔炎'', ''JXKYXKQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎'', ''JXLWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎伴腹膜炎'', ''JXLWYBFMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎穿孔伴阑尾周围脓肿'', ''JXLWYCKBLWZWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎及阑尾周围炎'', ''JXLWYJLWZWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性泪囊炎'', ''JXLNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性糜烂性胃炎'', ''JXMLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脓胸'', ''JXNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性膀胱炎'', ''JXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性疱疹性咽峡炎'', ''JXZZXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性盆腔炎'', ''JXPQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性前列腺炎'', ''JXQLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性乳腺炎'', ''JXRXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腮腺炎'', ''JXSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性上呼吸道感染'', ''JXSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾功能不全'', ''JXSGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾衰竭'', ''JXSSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾损伤'', ''JXSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾小球肾炎'', ''JXSXQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾炎'', ''JXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾盂肾炎'', ''JXSYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性视网膜坏死综合征'', ''JXSWMHSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性水肿型胰腺炎'', ''JXSZXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性特发性血小板减少性紫癜'', ''JXTFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃肠穿孔'', ''JXWCCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃肠炎'', ''JXWCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃扩张'', ''JXWKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃扭转'', ''JXWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃炎'', ''JXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性吸入性肺脓肿'', ''JXXRXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性痢疾'', ''JXXJXLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性前列腺炎'', ''JXXJXQLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细支气管炎'', ''JXXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包积液'', ''JXXBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包填塞'', ''JXXBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包炎'', ''JXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心肌梗死'', ''JXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心力衰竭'', ''JXXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性血气胸'', ''JXXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性牙周炎'', ''JXYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽扁桃体炎'', ''JXYBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽喉炎'', ''JXYHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽结膜炎'', ''JXYJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽炎'', ''JXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性硬膜下血肿'', ''JXYMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性右心衰竭'', ''JXYXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性支气管炎'', ''JXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性中耳炎'', ''JXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性重症胰腺炎'', ''JXZZYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性子宫内膜炎'', ''JXZGNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性左心衰竭'', ''JXZXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓灰质炎'', ''JSHZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓损伤'', ''JSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱侧弯'', ''JZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱炎'', ''JZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎疾病'', ''JZJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎前移'', ''JZQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发型肺结核'', ''JFXFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性低血压'', ''JFXDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肺脓肿'', ''JFXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肝癌'', ''JFXGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性干燥综合征'', ''JFXGZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性高血压'', ''JFXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性气胸'', ''JFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性营养不良'', ''JFXYYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性自发性气胸'', ''JFXZFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫性呼吸道感染'', ''JSCXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性慢性良性天疱疮'', ''JZXMXLXTZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性息肉病'', ''JZXXRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲沟炎'', ''JGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型H1N1流感'', ''JXH1N1LG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型H1N2流感'', ''JXH1N2LG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型病毒性肝炎'', ''JXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲癣'', ''JX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能减退症'', ''JZPXGNJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能亢进症'', ''JZPXGNKJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺癌'', ''JZXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能疾病'', ''JZXGNJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退'', ''JZXGNJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退性肌病'', ''JZXGNJTXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进'', ''JZXGNKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进性心脏病'', ''JZXGNKJXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能异常'', ''JZXGNYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺疾病'', ''JZXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结节'', ''JZXJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺囊肿'', ''JZXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺腺瘤'', ''JZXXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺炎'', ''JZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺肿物'', ''JZXZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假膜性肠炎'', ''JMXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖锐湿疣'', ''JRSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺疾病'', ''JZXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺炎'', ''JZXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肾炎'', ''JZXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩峰下滑囊炎'', ''JFXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节痛'', ''JGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节炎'', ''JGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩痛'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩袖损伤'', ''JXSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩周炎'', ''JZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑板腺囊肿'', ''ZBXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑腺炎'', ''ZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腱鞘囊肿'', ''ZQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆膜下子宫肌瘤'', ''JMXZGJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞白血病'', ''JXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞瘤'', ''JXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降结肠息肉'', ''JJCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交界性早搏'', ''JJXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原性疾病'', ''JYXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑'', ''JL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑症'', ''JLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜变性'', ''JMBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜穿孔'', ''JMCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜溃疡'', ''JMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜溃疡性穿孔'', ''JMKYXCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜内皮炎'', ''JMNPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜上皮脱落'', ''JMSPTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜炎'', ''JMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜异物'', ''JMYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞窄性肠梗阻'', ''JZXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接触性皮炎'', ''JCXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠癌'', ''JCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠恶性肿瘤个人史'', ''JCEXZLGRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠梗阻'', ''JCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠扭转'', ''JCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠憩室'', ''JCZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠憩室炎'', ''JCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠息肉'', ''JCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠炎'', ''JCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠肿瘤'', ''JCZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠肿物'', ''JCZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结缔组织病'', ''JDZZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性肠炎'', ''JHXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性肺炎'', ''JHXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性腹膜炎'', ''JHXFMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性颅内感染'', ''JHXLNGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性脑膜炎'', ''JHXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性胸膜炎'', ''JHXXMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性胸腔积液'', ''JHXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节病'', ''JJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节性多动脉炎'', ''JJXDDMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节性红斑'', ''JJXHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜出血'', ''JMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜炎'', ''JMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜异物'', ''JMYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疥疮'', ''JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筋膜炎'', ''JMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紧张型头痛'', ''JZXTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''近视'', ''JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浸润型肺结核'', ''JRXFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突综合征'', ''JTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经前紧张综合症'', ''JQJZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经前期综合征'', ''JQQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊炎'', ''JNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神分裂症'', ''JSFLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神障碍'', ''JSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉曲张'', ''JSJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部肿块'', ''JBZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞'', ''JDMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞和狭窄'', ''JDMBSHXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞综合征'', ''JDMBSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉夹层'', ''JDMJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉体肿瘤'', ''JDMTZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉狭窄'', ''JDMXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉硬化'', ''JDMYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈肩综合征'', ''JJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎病'', ''JZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎骨折'', ''JZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎骨折伴截瘫'', ''JZGZBJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨骨折'', ''ZZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前黏液性水肿'', ''ZQZYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉曲张性皮炎'', ''JMQZXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉曲张综合症'', ''JMQZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息型甲状腺炎'', ''JXXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息性心绞痛'', ''JXXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝病'', ''JJXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝硬化'', ''JJXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性脂肪肝'', ''JJXZFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精依赖综合征'', ''JJYLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒渣鼻'', ''JZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨大胎儿'', ''JDTE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒感染'', ''JXBBDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨幼细胞性贫血'', ''JYXBXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后出血'', ''JJHCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后骨质疏松'', ''JJHGZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌肺炎'', ''JTJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波西肉瘤'', ''KBXRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开放性气胸'', ''KFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开角型青光眼'', ''KJXQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗磷脂抗体综合征'', ''KLZKTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体综合征'', ''KXLZKTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽变异性哮喘'', ''KSBYXXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽晕厥综合征'', ''KSYZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗恩病'', ''KLEB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠溃疡'', ''KCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孔源性视网膜脱离'', ''KYXSWMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇疱疹'', ''KCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干症'', ''KGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔阿弗他溃疡'', ''KQAFTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔溃疡'', ''KQKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疣'', ''KQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎'', ''KY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''库欣综合征'', ''KXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节痛'', ''ZGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节炎'', ''ZGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病'', ''KQB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶上神经痛'', ''KSSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡型肠结核'', ''KYXCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性结肠炎'', ''KYXJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性口炎'', ''KYXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扩张型心肌病'', ''KZXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾残株炎'', ''LWCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾脓肿'', ''LWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾炎'', ''LWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾周围脓肿'', ''LWZWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狼疮性肾炎'', ''LCXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''朗格汉斯细胞组织增生症'', ''LGHSXBZZZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳力性心绞痛'', ''LLXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性高血压'', ''LNXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性骨质疏松'', ''LNXGZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性黄斑变性'', ''LNXHBBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性阴道炎'', ''LNXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老视'', ''LS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺综合征'', ''LNZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨骨折'', ''LGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋间神经痛'', ''LJSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪道阻塞'', ''LDZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪囊炎'', ''LNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类癌综合症'', ''LAZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性关节炎'', ''LFSXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梨状肌综合征'', ''LZJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梨状窝癌'', ''LZWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粒细胞减少症'', ''LXBJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粒细胞缺乏症'', ''LXBQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性发作性位置性眩晕'', ''LXFZXWZXXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性骨肿瘤'', ''LXGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴管炎'', ''LBGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结肿大'', ''LBJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴瘤'', ''LBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞性脑膜炎'', ''LBXBXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋病'', ''LB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌'', ''LZXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流产'', ''LC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流产后感染'', ''LCHGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌肺炎'', ''LGSXGJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感性呼吸道感染'', ''LGXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性斑疹伤寒'', ''LXXBZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性感冒'', ''LXXGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性脑膜炎'', ''LXXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性腮腺炎'', ''LXXSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎'', ''LXXYXNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨缺损修补'', ''LGQSXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内感染'', ''LNGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内占位性病变'', ''LNZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢恶性肿瘤'', ''LCEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢过度刺激综合症'', ''LCGDCJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢黄体囊肿'', ''LCHTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢畸胎瘤'', ''LCJTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢交界恶性浆液性囊腺瘤'', ''LCJJEXJYXNXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢滤泡囊肿'', ''LCLPNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢囊肿'', ''LCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢囊肿蒂扭转'', ''LCNZDNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢扭转'', ''LCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢脓肿'', ''LCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢巧克力样囊肿'', ''LCQKLYNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢炎'', ''LCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢早衰'', ''LCZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢粘液性囊肿'', ''LCZYXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢肿瘤'', ''LCZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢子宫内膜异位'', ''LCZGNMYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢子宫内膜异位囊肿'', ''LCZGNMYWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒肠炎'', ''LZBDCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绿脓杆菌肠炎'', ''LNGJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻痹性肠梗阻'', ''MBXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹'', ''MZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马凡综合症'', ''MFZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦克尔憩室'', ''MKEZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络膜视网膜炎'', ''MLMSWMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螨皮炎'', ''ZPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性白血病'', ''MXBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻窦炎'', ''MXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻咽炎'', ''MXBYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻炎'', ''MXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性扁桃体炎'', ''MXBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性扁桃体炎急性发作'', ''MXBTTYJXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性丙型病毒性肝炎'', ''MXBXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肠炎'', ''MXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性喘息性支气管炎'', ''MXCXXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胆管炎'', ''MXDGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胆囊炎'', ''MXDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性低血压'', ''MXDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非化脓性关节炎'', ''MXFHNXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非细菌性前列腺炎'', ''MXFXJXQLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肥厚性鼻炎'', ''MXFHXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺脓肿'', ''MXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺栓塞'', ''MXFSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺炎'', ''MXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺源性心脏病'', ''MXFYXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性附件炎'', ''MXFJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性腹泻'', ''MXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肝炎'', ''MXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性格林巴利氏综合征'', ''MXGLBLSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性根尖周炎'', ''MXGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性宫颈炎'', ''MXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性喉炎'', ''MXHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性呼吸衰竭'', ''MXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性化脓性骨髓炎'', ''MXHNXGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性化脓性中耳炎'', ''MXHNXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性活动型丙型病毒性肝炎'', ''MXHDXBXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性活动型乙型病毒性肝炎'', ''MXHDXYXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性吉兰巴雷综合征'', ''MXJLBLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肺疾病'', ''MXJZXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肝炎'', ''MXJZXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肾炎'', ''MXJZXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性焦虑'', ''MXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性结肠炎'', ''MXJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阑尾炎'', ''MXLWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性泪囊炎'', ''MXLNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒-单核细胞白血病（CMML）'', ''MXL-DHXBBXB（CMML）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒细胞白血病（CML）'', ''MXLXBBXB（CML）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性淋巴细胞白血病（CLL）'', ''MXLBXBBXB（CLL）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性脑膜炎'', ''MXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性尿道炎'', ''MXNDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性膀胱炎'', ''MXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性盆腔炎'', ''MXPQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性前列腺炎'', ''MXQLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性浅表性胃炎'', ''MXQBXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性缺血性脑血管病'', ''MXQXXNXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性腮腺炎'', ''MXSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性上颌窦炎'', ''MXSZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾病'', ''MXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾衰竭'', ''MXSSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾小球肾炎'', ''MXSXQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾炎'', ''MXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾盂肾炎'', ''MXSYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性髓系白血病'', ''MXSXBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性缩窄性心包炎'', ''MXSZXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性特发性血小板减少性紫癜'', ''MXTFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性萎缩性胃炎'', ''MXWSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性细菌性前列腺炎'', ''MXXJXQLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性心力衰竭'', ''MXXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性血吸虫性肝病'', ''MXXXCXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙髓炎'', ''MXYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙龈炎'', ''MXYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙周炎'', ''MXYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性咽喉炎'', ''MXYHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胰腺炎'', ''MXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性乙型病毒性肝炎'', ''MXYXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阴道炎'', ''MXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性硬膜下血肿'', ''MXYMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性右心衰竭'', ''MXYXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎'', ''MXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎伴肺气肿'', ''MXZQGYBFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎急性发作'', ''MXZQGYJXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性中耳炎'', ''MXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性中性粒细胞白血病'', ''MXZXLXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性子宫内膜炎'', ''MXZGNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺病伴急性加重'', ''MXZSXFBBJXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺疾病'', ''MXZSXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠溃疡'', ''MCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠息肉'', ''MCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠炎'', ''MCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猫抓病'', ''MZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛囊炎'', ''MNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫瑰糠疹'', ''MGKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒'', ''MD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''20999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅尼埃病'', ''MNAB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门静脉高压'', ''MJMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉性肝硬化'', ''MMXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弥漫性甲状腺肿'', ''MMXJZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜烂性唇炎'', ''MLXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜烂性胃炎'', ''MLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿道狭窄'', ''MNDXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系结石'', ''MNXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫低下宿主肺炎'', ''MYDXSZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面神经炎'', ''MSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膜性肾病'', ''MXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林金黄色葡萄球菌感染'', ''NJYXLJHSPTQJGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性不育症'', ''NXBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性乳房发育'', ''NXRFFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''难免流产'', ''NMLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''难免早产'', ''NMZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛲虫病'', ''ZCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血'', ''NCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血后遗症'', ''NCXHYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑挫伤'', ''NCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑动脉瘤'', ''NDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑动脉瘤破裂'', ''NDMLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干梗塞'', ''NGGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑梗死'', ''NGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑积水'', ''NJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑胶质瘤'', ''NJZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑鸣'', ''NM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜瘤'', ''NML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜瘤（大脑）'', ''NML（DN）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎'', ''NMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脓肿'', ''NNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑缺血灶'', ''NQXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑外伤后综合征'', ''NWSHZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑萎缩'', ''NWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管病'', ''NXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管供血不足'', ''NXGGXBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管瘤'', ''NXGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血栓形成'', ''NXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑占位性病变'', ''NZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌骨质疏松症'', ''NFMGZSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内痔'', ''NZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性肺炎'', ''NZJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性食管炎'', ''NZJXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性阴道炎'', ''NZJXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿崩症'', ''NBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道结石'', ''NDJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道狭窄'', ''NDXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道炎'', ''NDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道综合症'', ''NDZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路感染'', ''NLGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿失禁'', ''NSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿潴留'', ''NZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节不正'', ''ZZGJBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节紊乱综合征'', ''ZXZGJWLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛皮癣'', ''NPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扭伤'', ''NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓毒症'', ''NDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓疱疮'', ''NZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓气胸'', ''NQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓性胸腔积液'', ''NXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟疾'', ''NJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺如病毒肠炎'', ''NRBDCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性不孕症'', ''NXBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性继发性不孕'', ''NXJFXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性慢性盆腔炎'', ''NXMXPQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性原发性不孕'', ''NXYFXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森病'', ''PJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排卵期出血'', ''PLQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱癌'', ''BZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱过度活动症'', ''BZGDHDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱结石'', ''BZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱颈梗阻'', ''BZJGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱息肉'', ''BZXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱炎'', ''BZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱肿瘤'', ''BZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱肿物'', ''BZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡性结膜炎'', ''PXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹病毒感染'', ''ZZBDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹病毒性脑炎'', ''ZZBDXNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹性咽炎'', ''ZZXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎发育不良'', ''PTFYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎停止发育'', ''PTTZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎移植术后'', ''PTYZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎移植术前'', ''PTYZSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆底肌痉挛综合征'', ''PDJJLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔囊肿'', ''PQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔炎'', ''PQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔炎后遗症'', ''PQYHYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淤血综合症'', ''PQYXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔肿物'', ''PQZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤T细胞淋巴瘤'', ''PFTXBLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病'', ''PFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤淀粉样变性'', ''PFDFYBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤恶性黑色素瘤'', ''PFEXHSSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤恶性肿瘤'', ''PFEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤及软组织感染'', ''PFJRZZGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤溃疡'', ''PFKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤鳞状细胞癌'', ''PFLZXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤疱疹'', ''PFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤肿物'', ''PFZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肌炎'', ''PJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下结节'', ''PXJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下肿物'', ''PXZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮癣'', ''PX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮炎'', ''PY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹'', ''PZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮脂腺囊肿'', ''PZXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾挫裂伤'', ''PCLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾梗死'', ''PGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾功能亢进'', ''PGNKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏破裂'', ''PZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏头痛'', ''PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胼胝'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贫血'', ''PX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风'', ''PSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌性肺炎'', ''PTQJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄胎'', ''PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通感冒'', ''PTGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他弥漫性实质性肺疾病'', ''QTMMXSZXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐疝'', ''QZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管白喉'', ''QGBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管狭窄'', ''QGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管炎'', ''QGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管支气管疾病'', ''QGZQGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气胸'', ''QX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂静脉压迫综合征'', ''ZJMYPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前房角狭窄'', ''QFJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺恶性肿瘤'', ''QLXEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺疾病'', ''QLXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺结石'', ''QLXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺囊肿'', ''QLXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺炎'', ''QLXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺炎性疾病'', ''QLXYXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺原位癌'', ''QLXYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺增生'', ''QLXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺肿瘤'', ''QLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺肿瘤特殊筛查'', ''QLXZLTSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺囊肿'', ''QTDXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺脓肿'', ''QTDXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺炎'', ''QTDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭神经元炎'', ''QTSJYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前置胎盘'', ''QZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嵌顿疝'', ''QDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嵌顿性腹股沟斜疝'', ''QDXFGGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腔隙性脑梗死'', ''QXXNGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强迫症'', ''QPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强直性脊柱炎'', ''QZXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桥本氏甲状腺炎'', ''QBSJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感'', ''QLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感性呼吸道感染'', ''QLGXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青光眼'', ''QGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻度抑郁发作'', ''QDYYFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情感性精神障碍'', ''QGXJSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疹性荨麻疹'', ''QZXZMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈光不正'', ''QGBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''躯体形式障碍'', ''QTXSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''取除子宫内节育器'', ''QCZGNJYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''取卵术后'', ''QLSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龋齿'', ''QC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身黏液性水肿'', ''QSZYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全心衰竭'', ''QXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺铁性贫血'', ''QTXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性结肠炎'', ''QXXJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性心肌病'', ''QXXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性心脏病'', ''QXXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工流产'', ''RGLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人流后'', ''RLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''韧带疾患'', ''RDJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高血压综合征'', ''RSGXYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺结核'', ''RSHBFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺囊性纤维化'', ''RSHBFNXXWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺炎'', ''RSHBFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并哮喘'', ''RSHBXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠剧吐'', ''RSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期糖尿病'', ''RSQTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠状态'', ''RSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日晒斑'', ''RSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日照性皮炎'', ''RZXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛膜癌'', ''RMMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶血性贫血'', ''RXXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉芽肿性血管炎'', ''RYZXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房包块'', ''RFBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房疾患'', ''RFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房结节'', ''RFJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房肿物'', ''RFZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳痛症'', ''RTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺癌'', ''RXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管内乳头状瘤'', ''RXDGNRTZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管原位癌'', ''RXDGYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺囊性增生病'', ''RXNXZSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺囊肿'', ''RXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺脓肿'', ''RXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维囊性增生'', ''RXXWNXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维腺瘤'', ''RXXWXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维腺囊肿'', ''RXXWXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺腺病'', ''RXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺炎'', ''RXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺硬化性腺病'', ''RXYHXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺原位癌'', ''RXYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺增生'', ''RXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺增生病'', ''RXZSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺肿瘤'', ''RXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软骨肉瘤'', ''RGRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软下疳'', ''RXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软组织挫伤'', ''RZZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弱精症'', ''RJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺区肿物'', ''SXQZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺肿瘤'', ''SXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三叉神经痛'', ''SCSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三度房室传导阻滞'', ''SDFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣病变'', ''SJBBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣关闭不全'', ''SJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣脱垂'', ''SJBTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''搔痒症'', ''SYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘙痒症'', ''ZYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙门氏菌肠炎'', ''SMSJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛前神经痛'', ''SQSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疝气'', ''ZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒'', ''SH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒副伤寒'', ''SHFSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦恶性肿瘤'', ''SZZEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦炎'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨恶性肿瘤'', ''SZGEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨骨折'', ''SZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上呼吸道感染'', ''SHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上睑下垂'', ''SZXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腔静脉综合征'', ''SQJMZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道出血'', ''SXHDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉栓塞'', ''SZDMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉栓塞和血栓形成'', ''SZDMSSHXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉血栓形成'', ''SZDMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢深静脉血栓形成'', ''SZSJMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢损伤'', ''SZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧伤'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌恶性肿瘤'', ''SEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨大角综合征'', ''SGDJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌咽神经痛'', ''SYSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社区获得性肺炎'', ''SQHDXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''深部浸润型子宫内膜异位症'', ''SBJRXZGNMYWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经官能症'', ''SJGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经介导性晕厥'', ''SJJDXYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经痛'', ''SJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性皮炎'', ''SJXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾癌'', ''SA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾病综合征'', ''SBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾错构瘤'', ''SCGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾动脉硬化'', ''SDMYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能异常'', ''SGNYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水'', ''SJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水伴肾结石'', ''SJSBSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水伴输尿管结石'', ''SJSBSNGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾结核'', ''SJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾结石'', ''SJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾囊肿'', ''SNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺肿块'', ''SSXZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺肿瘤'', ''SSXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾实质性高血压'', ''SSZXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾透明细胞癌'', ''STMXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾细胞癌'', ''SXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾腺癌'', ''SXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾性蛋白尿'', ''SXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾性高血压'', ''SXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾血管性高血压'', ''SXGXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂癌'', ''SYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂肾炎'', ''SYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾肿瘤'', ''SZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾肿物'', ''SZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾综合征出血热'', ''SZHZCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗出性胸腔积液'', ''SCXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升结肠息肉'', ''SJCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生育咨询'', ''SYZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖器疱疹'', ''SZQZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带癌'', ''SDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带白斑'', ''SDBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带麻痹'', ''SDMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带囊肿'', ''SDNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带息肉'', ''SDXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带小结'', ''SDXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带原位癌'', ''SDYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带肿物'', ''SDZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失眠症'', ''SMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疹'', ''SZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疹性唇炎'', ''SZXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠癌'', ''SEZCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠梗阻'', ''SEZCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡'', ''SEZCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡伴出血'', ''SEZCKYBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡伴穿孔'', ''SEZCKYBCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠球部溃疡'', ''SEZCQBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠息肉'', ''SEZCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠炎'', ''SEZCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠肿物'', ''SEZCZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道中上段恶性肿瘤'', ''SDZSDEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道中下段恶性肿瘤'', ''SDZXDEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管癌'', ''SGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管贲门粘膜撕裂综合征'', ''SGZMZMSLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管穿孔'', ''SGCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管良性肿瘤'', ''SGLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管裂孔疝'', ''SGLKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管胃底静脉曲张破裂'', ''SGWDJMQZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管炎'', ''SGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物'', ''SGYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物穿孔'', ''SGYWCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管肿物'', ''SGZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物过敏'', ''SWGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物中毒'', ''SWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力异常'', ''SLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜部分性静脉阻塞'', ''SWMBFXJMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜动脉阻塞'', ''SWMDMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜分支静脉阻塞'', ''SWMFZJMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜静脉阻塞'', ''SWMJMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜裂孔'', ''SWMLK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜劈裂症'', ''SWMPLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜色素变性'', ''SWMSSBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜脱离'', ''SWMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜中央动脉阻塞'', ''SWMZYDMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜中央静脉阻塞'', ''SWMZYJMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室间隔缺损'', ''SJGQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室内传导阻滞'', ''SNCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室上性心动过速'', ''SSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性期前收缩'', ''SXQQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性心动过速'', ''SXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性心律失常'', ''SXXLSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜铬细胞瘤'', ''SGXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噬血细胞综合征'', ''SXXBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手损伤'', ''SSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手癣'', ''SX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足口病'', ''SZKB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管梗阻'', ''SJGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管闭锁'', ''SLGBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管不全梗阻（双侧）'', ''SLGBQGZ（SC）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管不全梗阻（左侧）'', ''SLGBQGZ（ZC）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管堵塞不孕'', ''SLGDSBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻'', ''SLGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻（双侧）'', ''SLGGZ（SC）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻（右侧）'', ''SLGGZ（YC）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管积水'', ''SLGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管妊娠'', ''SLGRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管通而不畅'', ''SLGTEBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管炎'', ''SLGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管梗阻'', ''SNGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管结石'', ''SNGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管狭窄'', ''SNGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后呼吸道感染'', ''SHHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摔伤'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双踝骨折'', ''SZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双角子宫'', ''SJZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双胎妊娠'', ''STRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双相情感障碍'', ''SXQGZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘'', ''SD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿'', ''SZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠呼吸暂停综合征'', ''SMHXZTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠障碍'', ''SMZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝虫病'', ''SCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''损伤'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''损伤史'', ''SSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩窄性心包炎'', ''SZXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨骨折'', ''SGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿发育异常'', ''TEFYYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿宫内窘迫'', ''TEGNJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿畸形'', ''TEJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿生长受限'', ''TESCSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎膜早破'', ''TMZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炭疽病'', ''TJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖耐量异常'', ''TNLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病'', ''TNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病母婴综合征'', ''TNBMYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病前期'', ''TNBQQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病乳酸性酸中毒'', ''TNBRSXSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病肾病'', ''TNBSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病心血管病'', ''TNBXXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性白内障'', ''TNBXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性脑血管病'', ''TNBXNXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性神经病变'', ''TNBXSJBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性视网膜病'', ''TNBXSWMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病酮症酸中毒'', ''TNBTZSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性胃轻瘫'', ''TNBXWQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性心肌病'', ''TNBXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性心脏病'', ''TNBXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围血管病变'', ''TNBZWXGBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围神经病变'', ''TNBZWSJBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性足病'', ''TNBXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性肺动脉高压'', ''TFXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性肺纤维化'', ''TFXFXWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性脊柱侧弯'', ''TFXJZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性间质性肺炎'', ''TFXJZXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性血小板减少性紫癜（ITP）'', ''TFXXXBJSXZD（ITP）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性震颤'', ''TFXZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特殊类型胃炎'', ''TSLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特应性皮炎'', ''TYXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特指肩损害'', ''TZJSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体位性低血压'', ''TWXDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体位性晕厥'', ''TWXYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体癣'', ''TX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体质性低血压'', ''TZXDXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天疱疮'', ''TZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌肺炎'', ''TLJDBJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风石'', ''TFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风性关节炎'', ''TFXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风性滑囊炎'', ''TFXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经'', ''TJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤'', ''TBWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮肿物'', ''TPZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头癣'', ''TX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突发性耳聋'', ''TFXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀位分娩'', ''TWFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱屑性唇炎'', ''TXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道胆脂瘤'', ''WEDDZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道疖'', ''WEDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道炎'', ''WEDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤'', ''WS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤证'', ''WSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴白癜风'', ''WYBZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴瘙痒症'', ''WYZYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴炎'', ''WYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外痔'', ''WZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周动脉疾病'', ''WZDMJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弯曲菌肠炎'', ''WQJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节痛'', ''WGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节周围炎'', ''WGJZWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕管综合征'', ''WGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网球肘'', ''WQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''围绝经期综合征'', ''WJJQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A缺乏病'', ''WSSAQFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12缺乏性贫血'', ''WSSB12QFXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12缺乏症'', ''WSSB12QFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C缺乏症'', ''WSSCQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D缺乏病'', ''WSSDQFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素缺乏病'', ''WSSQFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎缩性鼻炎'', ''WSXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃癌'', ''WA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠炎'', ''WCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃穿孔'', ''WCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃溃疡'', ''WKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃溃疡合并出血'', ''WKYHBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃淋巴瘤'', ''WLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素瘤'', ''WMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃平滑肌肉瘤'', ''WPHJRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡'', ''WSEZCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡伴出血'', ''WSEZCKYBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡伴穿孔'', ''WSEZCKYBCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡急性穿孔'', ''WSEZCKYJXCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管反流病'', ''WSGFLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管静脉曲张'', ''WSGJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛'', ''WT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃息肉'', ''WXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃炎'', ''WY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃占位性病变'', ''WZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肿物'', ''WZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳定型心绞痛'', ''WDXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型病毒性肝炎'', ''WXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入性肺炎'', ''XRXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矽肺'', ''XF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矽肺性肺纤维化'', ''XFXFXWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝骨关节病'', ''XGGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节半月板撕裂'', ''XGJBYBSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节病'', ''XGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节损伤'', ''XGJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节炎'', ''XGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''习惯性流产'', ''XGXLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''席汉综合征'', ''XHZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性红斑狼疮'', ''XTXHBLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性血管炎'', ''XTXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性硬化症'', ''XTXYHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肺炎'', ''XJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肝脓肿'', ''XJXGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性呼吸道感染'', ''XJXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性角膜炎'', ''XJXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性颅内感染'', ''XJXLNGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性脑膜炎'', ''XJXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性食物中毒'', ''XJXSWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎'', ''XJXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细支气管炎'', ''XZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狭窄性腱鞘炎'', ''XZXZQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下消化道出血'', ''XXHDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉栓塞'', ''XZDMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉栓塞和血栓形成'', ''XZDMSSHXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉狭窄'', ''XZDMXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉血栓'', ''XZDMXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉硬化闭塞症'', ''XZDMYHBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉粥样硬化'', ''XZDMZYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉粥样硬化闭塞症'', ''XZDMZYYHBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉回流障碍'', ''XZJMHLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉机能不全'', ''XZJMJNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张'', ''XZJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴静脉炎'', ''XZJMQZBJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴溃疡'', ''XZJMQZBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴溃疡感染'', ''XZJMQZBKYGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴皮炎'', ''XZJMQZBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张合并静脉炎'', ''XZJMQZHBJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉血栓形成'', ''XZJMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉炎'', ''XZJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉血栓形成'', ''XZSJMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢神经痛'', ''XZSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢损伤'', ''XZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢血栓性静脉炎'', ''XZXSXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢肿胀'', ''XZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性胆道闭锁'', ''XTXDDBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性心脏病'', ''XTXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆临产'', ''XZLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆流产'', ''XZLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆早产'', ''XZZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''限制型心肌病'', ''XZXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒性肠炎'', ''XBDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道出血'', ''XHDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道穿孔'', ''XHDCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡'', ''XHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡伴出血'', ''XHXKYBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡伴穿孔'', ''XHXKYBCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦'', ''XS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠梗阻'', ''XCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠溃疡'', ''XCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠扭转'', ''XCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠息肉'', ''XCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠肿物'', ''XCZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻'', ''XEFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿急性呼吸窘迫综合征'', ''XEJXHXJPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑梗死'', ''XNGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小细胞肺癌'', ''XXBFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液'', ''XBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包疾病'', ''XBJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包填塞'', ''XBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包炎'', ''XBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电图异常'', ''XDTYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过缓'', ''XDGH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房颤动'', ''XFCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房扑动'', ''XFPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗塞'', ''XJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死'', ''XJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌疾病'', ''XJJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌炎'', ''XJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心绞痛'', ''XJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心力衰竭'', ''XLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律失常'', ''XLSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心室颤动'', ''XSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心室扑动'', ''XSPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性猝死'', ''XYXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性哮喘'', ''XYXXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性休克'', ''XYXXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏瓣膜病'', ''XZBMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏传导阻滞'', ''XZCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏神经官能症'', ''XZSJGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏性晕厥'', ''XZXYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿持续性肺动脉高压'', ''XSECXXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿呼吸窘迫综合征'', ''XSEHXJPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿黄疸'', ''XSEHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿贫血'', ''XSEPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猩红热'', ''XHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性病性淋巴肉芽肿'', ''XBXLBRYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性功能障碍'', ''XGNZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓出口综合症'', ''XKCKZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓畸形合并妊娠'', ''XKJXHBRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸膜疾病'', ''XMJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液'', ''XQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺恶性肿瘤'', ''XXEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肿瘤'', ''XXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎骨折'', ''XZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''休克'', ''XK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕'', ''XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕征'', ''XYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕综合征'', ''XYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管闭塞性脉管炎'', ''XGBSXMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管瘤'', ''XGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管神经性水肿'', ''XGSJXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血行播散型肺结核'', ''XXBSXFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气胸'', ''XQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓闭塞性脉管炎'', ''XSBSXMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓性静脉炎'', ''XSXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫病'', ''XXCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫性肝硬化'', ''XXCXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板减少症'', ''XXBJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板增多'', ''XXBZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板增多症'', ''XXBZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血胸'', ''XX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血友病'', ''XYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血源性肺脓肿'', ''XYXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寻常型天疱疮'', ''XCXTZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寻常疣'', ''XCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹'', ''ZMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹性血管炎'', ''ZMZXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕈样肉芽肿'', ''ZYRYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压疮'', ''YC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力性尿失禁'', ''YLXNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压伤'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙列不齐'', ''YLBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙髓炎'', ''YSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈炎'', ''YZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙周炎'', ''YZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性肺炎'', ''YJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性甲状腺炎'', ''YJXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚临床甲状腺功能亢进症'', ''YLCJZXGNKJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚临床流产'', ''YLCLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽白喉'', ''YBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽扁桃体炎'', ''YBTTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部异物'', ''YBYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部肿物'', ''YBZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽鼓管阻塞'', ''YGGZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉炎'', ''YHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉异物'', ''YHYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉疣'', ''YHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟草依赖综合征'', ''YCYLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部疾病'', ''YBJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底出血'', ''YDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑痉挛'', ''YZJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼角抽搐'', ''YJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌肠炎'', ''YYJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌感染'', ''YYJGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊水过少'', ''YSGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背肌筋膜炎'', ''YBJJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰肌劳损'', ''YJLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛病'', ''YTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎病'', ''YZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨关节炎'', ''YZGGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨折'', ''YZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨质增生'', ''YZGZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎关节强硬'', ''YZGJQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎管狭窄'', ''YZGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎管狭窄症'', ''YZGXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎滑脱'', ''YZHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘变性'', ''YZJPBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出伴脊髓病'', ''YZJPTCBJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出症'', ''YZJPTCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘退行性病变'', ''YZJPTXXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘脱出伴脊髓炎'', ''YZJPTCBJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘脱出伴坐骨神经痛'', ''YZJPTCBZGSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬伤'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性骨质疏松'', ''YWXGZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性皮炎'', ''YWXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物中毒'', ''YWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋臭'', ''YC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化碳中毒'', ''YYHTZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''医源性气胸'', ''YYXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''医院获得性肺炎'', ''YYHDXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰头癌'', ''YTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺癌'', ''YXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺炎'', ''YXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺占位性病变'', ''YXZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺肿瘤'', ''YXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺肿物'', ''YXZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性大疱性表皮松懈症'', ''YCXDZXBPSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性心肌病'', ''YCXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙醇中毒'', ''YCZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原携带者'', ''YGBMKYXDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝病毒携带者'', ''YGBDXDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型病毒性肝炎'', ''YXBDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎小三阳'', ''YXGYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠癌'', ''YZJCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠扭转'', ''YZJCNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠息肉'', ''YZJCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常体重减轻'', ''YCTZJQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常子宫出血'', ''YCZGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异位妊娠'', ''YWRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异位妊娠伴出血'', ''YWRSBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁发作'', ''YYFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁症'', ''YYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁状态'', ''YYZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识丧失'', ''YSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢出性蛋白尿'', ''YCXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翼状胬肉'', ''YZZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道炎'', ''YDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎癌'', ''YJA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊湿疹'', ''YNSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿物'', ''YNZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑病'', ''YXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐翅虫皮炎'', ''YCCPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐匿性肾小球肾炎'', ''YNXSXQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌肺炎'', ''YQJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌性肺炎'', ''YQJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌性脑膜炎'', ''YQJXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿型多囊肾'', ''YEXDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养不良'', ''YYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性巨幼细胞性贫血'', ''YYXJYXBXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性贫血'', ''YYXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性消瘦'', ''YYXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜外血肿'', ''YMWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜下出血'', ''YMXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜下血肿'', ''YMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脑膜外血肿'', ''YNMWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门梗阻'', ''YMGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门管溃疡'', ''YMGKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺旋杆菌感染'', ''YMLXGJGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疣'', ''Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疣状表皮发育不良'', ''ZZBPFYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心衰竭'', ''YXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幼年型粒单核细胞白血病'', ''YNXLDHXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幼女性阴道炎'', ''YNXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淤积性皮炎'', ''YJXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼鳞病'', ''YLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''预激综合征'', ''YJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发型肺结核'', ''YFXFJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性胆汁性肝硬化'', ''YFXDZXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肺动脉高压'', ''YFXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肺脓肿'', ''YFXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肝癌'', ''YFXGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性干燥综合征'', ''YFXGZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性高血压'', ''YFXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性喉癌'', ''YFXHA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性甲状旁腺功能亢进症'', ''YFXJZPXGNKJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性气胸'', ''YFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性醛固酮增多症'', ''YFXQGTZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性三叉神经痛'', ''YFXSCSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板减少症'', ''YFXXXBJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板增多症'', ''YFXXXBZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性营养不良'', ''YFXYYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性自发性气胸'', ''YFXZFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原位黑色素瘤'', ''YWHSSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圆锥角膜'', ''YZJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''院内获得性呼吸道感染'', ''YNHDXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调'', ''YJSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕期胆汁淤积症'', ''YQDZYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动神经元病'', ''YDSJYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动性哮喘'', ''YDXXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''砸伤'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再生障碍性贫血'', ''ZSZAXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早搏'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产'', ''ZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产儿'', ''ZCE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产临产'', ''ZCLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增生型肠结核'', ''ZSXCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增殖性糖尿病性视网膜病变'', ''ZZXTNBXSWMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘连性肠梗阻'', ''ZLXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘连性肩关节囊炎'', ''ZLXJGJNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液性水肿'', ''ZYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张力性气胸'', ''ZLXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌跖角化病'', ''ZZJHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性肺炎'', ''ZJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性呼吸道感染'', ''ZJXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性室上性心动过速'', ''ZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性心房颤动'', ''ZFXXFCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''震颤'', ''ZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正钾型周期性瘫痪'', ''ZJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张伴感染'', ''ZQGKZBGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张伴咯血'', ''ZQGKZBKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张症'', ''ZQGKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管狭窄'', ''ZQGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管哮喘急性发作'', ''ZQGXCJXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体感染'', ''ZYTGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体震颤'', ''ZTZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体肿物'', ''ZTZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪肝'', ''ZFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪瘤'', ''ZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性角化病'', ''ZYXJHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性皮炎'', ''ZYXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性脱发'', ''ZYXTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠癌'', ''ZCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠癌术后'', ''ZCASH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠静脉曲张破裂'', ''ZCJMQZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠溃疡'', ''ZCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠息肉'', ''ZCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠炎'', ''ZCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠乙状结肠炎'', ''ZCYZJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠肿瘤'', ''ZCZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠肿物'', ''ZCZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物神经功能紊乱'', ''ZWSJGNWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖疣'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨骨折'', ''ZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮'', ''ZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智齿异常'', ''ZCYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中毒'', ''ZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中毒性肠炎'', ''ZDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳炎'', ''ZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中浆病'', ''ZJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中暑'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中心性浆液性脉络膜视网膜病变'', ''ZXXJYXMLMSWMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中心性浆液性视网膜病'', ''ZXXJYXSWMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤'', ''ZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤待排'', ''ZLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤特殊筛查'', ''ZLTSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重复肾'', ''ZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症肌无力'', ''ZZJWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症中暑'', ''ZZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性瘫痪'', ''ZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经病'', ''ZWSJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经损伤'', ''ZWSJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围型肺癌'', ''ZWXFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围性面神经麻痹'', ''ZWXMSJMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节痛'', ''ZGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘管综合征'', ''ZGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛛网膜下腔出血'', ''ZWMXQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣关闭不全'', ''ZDMBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣及三尖瓣关闭不全'', ''ZDMBJSJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣疾病'', ''ZDMBJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄'', ''ZDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄合并关闭不全'', ''ZDMBXZHBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层'', ''ZDMJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层壁间血肿'', ''ZDMJCBJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层动脉瘤'', ''ZDMJCDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层动脉瘤破裂'', ''ZDMJCDMLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉口狭窄'', ''ZDMKXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉溃疡'', ''ZDMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瘤'', ''ZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉缩窄'', ''ZDMSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉狭窄'', ''ZDMXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抓伤'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移性肝癌'', ''ZYXGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''撞伤'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉狭窄'', ''ZDMXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉压迫综合征'', ''ZDMYPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎管内占位性病变'', ''ZGNZWXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎管狭窄'', ''ZGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎基底动脉供血不足'', ''ZJDDMGXBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘疾患'', ''ZJPJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘疾患性腰痛伴坐骨神经痛'', ''ZJPJHXYTBZGSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘移位性脊髓神经根压迫'', ''ZJPYWXJSSJGYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锥体外系综合征'', ''ZTWXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫瘢痕妊娠'', ''ZGZHRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫出血'', ''ZGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫恶性肿瘤'', ''ZGEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫复旧不全'', ''ZGFJBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肌瘤'', ''ZGJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫疾病'', ''ZGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫角妊娠'', ''ZGJRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮不典型增生'', ''ZGJLZSPBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮增生'', ''ZGJLZSPZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈赘生物'', ''ZGJZSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫良性肿瘤'', ''ZGLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫囊肿'', ''ZGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器残留'', ''ZGNJYQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器断裂'', ''ZGNJYQDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器嵌顿'', ''ZGNJYQQD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器脱落'', ''ZGNJYQTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器移位'', ''ZGNJYQYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜癌'', ''ZGNMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜薄'', ''ZGNMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜不典型增生'', ''ZGNMBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜非典型增生'', ''ZGNMFDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜复杂性增生'', ''ZGNMFZXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜瘤'', ''ZGNML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜囊肿'', ''ZGNMNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜息肉'', ''ZGNMXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜腺性增生'', ''ZGNMXXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜炎'', ''ZGNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜异位症'', ''ZGNMYWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜增生'', ''ZGNMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫憩室'', ''ZGZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫脱垂'', ''ZGTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫息肉'', ''ZGXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腺肌病'', ''ZGXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腺肌瘤'', ''ZGXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫粘连'', ''ZGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫粘膜下平滑肌瘤'', ''ZGZMXPHJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肿瘤'', ''ZGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肿物'', ''ZGZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫纵隔'', ''ZGZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宮腺肌病'', ''Z宮XJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子痫前期'', ''ZZQQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性颅内低压'', ''ZFXLNDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性气胸'', ''ZFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自然流产'', ''ZRLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性肝病'', ''ZSMYXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性肝硬化'', ''ZSMYXGYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性甲状腺炎'', ''ZSMYXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性胰腺炎'', ''ZSMYXYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵隔肿瘤'', ''ZGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵隔肿物'', ''ZGZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足癣'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性肺气肿'', ''ZSXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性睡眠呼吸暂停综合征'', ''ZSXSMHXZTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻生牙'', ''ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左房粘液瘤'', ''ZFZYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心衰竭'', ''ZXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨结节囊肿'', ''ZGJJNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经损伤'', ''ZGSJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经痛'', ''ZGSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12导联心电图'', ''12DLXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18导联心电图'', ''18DLXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时动态血压'', ''24XSDTXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区X线计算机体层(CT)平扫'', ''AQXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区X线计算机体层(CT)增强扫描'', ''AQXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区磁共振成像'', ''AQCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区磁共振增强成像'', ''AQCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部B超'', ''BBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部CT'', ''BBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部MRI'', ''BBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部X线'', ''BBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部鼻窦X线计算机体层(CT)平扫'', ''BBBZXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部鼻窦X线计算机体层(CT)增强扫描'', ''BBBZXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部彩超'', ''BBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部内镜'', ''BBNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部造影检查'', ''BBZYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻彩超'', ''BCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦磁共振成像'', ''BZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦磁共振增强成像'', ''BZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦镜'', ''BZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨B超'', ''BGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨CT'', ''BGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨MRI'', ''BGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨侧位X线摄影'', ''BGCWXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨侧位片'', ''BGCWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨正位片'', ''BGZWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻平片'', ''BPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔B超'', ''BQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔CT'', ''BQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔MRI'', ''BQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔镜'', ''BQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部CT'', ''BYBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部MRI'', ''BYBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽侧位X线摄影'', ''BYCWXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽磁共振成像'', ''BYCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽磁共振增强成像'', ''BYCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽镜'', ''BYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体MRI'', ''BLTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''彩色多普勒超声药物血管功能试验'', ''CSDPLCSYWXGGNSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''彩色室壁动力学检查'', ''CSSBDLXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''残余尿测定'', ''CYNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠B超'', ''CBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠CT'', ''CCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠MRI'', ''CMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠钡餐造影'', ''CBCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠彩超(CDFI)'', ''CCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道镜'', ''CDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道镜（电子肠镜）'', ''CDJ（DZCJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠动静脉造影'', ''CDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠动脉造影'', ''CDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠套叠充气造影及整复'', ''CTDCQZYJZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜CT'', ''CXMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉造影'', ''CXMDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结B超'', ''CXMLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结MRI'', ''CXMLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结彩超(CDFI)'', ''CXMLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结造影'', ''CXMLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜上下动脉彩色多普勒超声检查'', ''CXMSXDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜血管造影'', ''CXMXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠造影'', ''CZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声斑点跟踪成像'', ''CSBDGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声图象计算机三维重建技术(3DE)'', ''CSTXJSJSWZJJS(3DE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声心动图'', ''CSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超选择脑血管造影术'', ''CXZNXGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续心电监测'', ''CXXDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉MRI'', ''CDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉彩超(CDFI)'', ''CDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉造影'', ''CDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉MRI'', ''CJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉彩超(CDFI)'', ''CJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉造影'', ''CJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨CT'', ''CZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨MRI'', ''CZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨X线摄影'', ''CZGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科X线计算机体层(CT)平扫'', ''CKXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科X线计算机体层(CT)增强扫描'', ''CKXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁B超检查'', ''CPBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁X线摄影'', ''CPXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁彩色多普勒超声检查'', ''CPCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁透视'', ''CPTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纯音听阈测定'', ''CYTZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振单脏器磁敏感加权成像'', ''CGZDZQCMGJQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振单脏器弥散加权成像'', ''CGZDZQMSJQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振弥散张量成像'', ''CGZMSZLCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振器官体积测量'', ''CGZQGTJCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振全身弥散加权成像'', ''CGZQSMSJQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振三维导航定位'', ''CGZSWDHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振心脏功能评价'', ''CGZXZGNPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振增强三维导航定位'', ''CGZZQSWDHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠灌肠造影B超检查'', ''DCGCZYBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑B超'', ''DNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑MRI'', ''DNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑TCD'', ''DNTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑彩超'', ''DNCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑脑磁图'', ''DNNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑脑电图'', ''DNNDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑平片'', ''DNPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑睡眠脑电图'', ''DNSMNDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑造影'', ''DNZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿CT'', ''DTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿MRI'', ''DTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿X线计算机体层(CT)平扫'', ''DTXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿X线计算机体层(CT)增强扫描'', ''DTXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿磁共振成像'', ''DTCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿磁共振增强成像'', ''DTCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉MRI'', ''DYJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉彩超(CDFI)'', ''DYJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉造影'', ''DYJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器薄层扫描'', ''DZQBCSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器磁共振动态增强成像'', ''DZQCGZDTZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器单体素磁共振波谱分析'', ''DZQDTSCGZBPFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器多体素磁共振波谱分析'', ''DZQDTSCGZBPFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灌注成像'', ''DZQGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灌注磁共振成像'', ''DZQGZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灰阶立体成像'', ''DZQHJLTCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道MRI'', ''DDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道MRICP'', ''DDMRICP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道彩超'', ''DDCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道平片'', ''DDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道造影'', ''DDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管B超'', ''DGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管CT'', ''DGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊B超'', ''DNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊CT'', ''DNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''21999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊MRI'', ''DNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊彩超(CDFI)'', ''DNCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊超声造影'', ''DNCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊胆道收缩功能B超检查'', ''DNDDSSGNBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管B超'', ''DYGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管CT'', ''DYGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管MRI'', ''DYGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管彩超(CDFI)'', ''DYGCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管超声造影'', ''DYGCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节CT'', ''ZZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节MRI'', ''ZZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线计算机体层(CT)平扫'', ''ZZGJXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线计算机体层(CT)增强扫描'', ''ZZGJXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线摄影'', ''ZZGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节磁共振成像'', ''ZZGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节磁共振增强成像'', ''ZZGJCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节关节镜'', ''ZZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部X线计算机体层(CT)平扫'', ''ZWBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部X线计算机体层(CT)增强扫描'', ''ZWBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶椎CT'', ''ZZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶椎MRI'', ''ZZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电测听'', ''DCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电子小肠镜'', ''DZXCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电子直肠镜'', ''DZZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍B超'', ''DABC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍CT'', ''DACT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍MRI'', ''DAMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍TCD'', ''DATCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍彩超'', ''DACC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍平片'', ''DAPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍造影'', ''DAZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦B超'', ''DZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦MRI'', ''DZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦彩超'', ''DZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦平片'', ''DZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦造影'', ''DZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动静脉造影'', ''DJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动态心电图'', ''DTXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦道瘘管X线造影'', ''ZDZGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒踝臂指数测定'', ''DPLZBZSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒脑血流图'', ''DPLNXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒胎心记数'', ''DPLTXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒小儿血压检测'', ''DPLXEXYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒眼部血流图'', ''DPLYBXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦B超'', ''EZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦MRI'', ''EZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部CT'', ''EBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部MRI'', ''EBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部x线'', ''EBxX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部X线计算机体层(CT)平扫'', ''EBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部X线计算机体层(CT)增强扫描'', ''EBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内镜'', ''ENJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳声发射'', ''ESFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房水MRI'', ''FSMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉MRI'', ''ZJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉彩超(CDFI)'', ''ZJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉造影'', ''ZJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺B超'', ''FBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺MRI'', ''FMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺彩超'', ''FCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动静脉造影'', ''FDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉CT三维成像'', ''FDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉磁共振血管增强成像'', ''FDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉漂浮导管'', ''FDMPFDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉造影'', ''FDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺功能'', ''FGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺静脉CT三维成像'', ''FJMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺静脉造影'', ''FJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气管镜'', ''FQGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺小结节CT三维成像'', ''FXJJCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺造影'', ''FZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''负荷超声心动图'', ''FHCSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''负荷心电图'', ''FHXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科内镜'', ''FKNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾B超'', ''FZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾CT'', ''FZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾MRI'', ''FZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾彩超(CDFI)'', ''FZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦B超'', ''FBZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦CT'', ''FBZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦MRI'', ''FBZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦X线摄影'', ''FBZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁B超'', ''FBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁CT'', ''FBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁MRI'', ''FBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁彩超'', ''FBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁平片'', ''FBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁造影'', ''FBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部X线'', ''FBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部X线摄影'', ''FBXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部彩超'', ''FBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部穿刺'', ''FBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部动静脉造影'', ''FBDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部静脉尿路造影'', ''FBJMNLZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部尿路X线摄影(KUB)'', ''FBNLXXSY(KUB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平片'', ''FBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部透视'', ''FBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管B超'', ''FBXGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管CT'', ''FBXGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管MRI'', ''FBXGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管彩超'', ''FBXGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管造影'', ''FBXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部造影'', ''FBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟B超'', ''FGGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟CT'', ''FGGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟MRI'', ''FGGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟彩超'', ''FGGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟彩超(CDFI)'', ''FGGCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟超声造影'', ''FGGCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结B超'', ''FGGLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结B超检查'', ''FGGLBJBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结MRI'', ''FGGLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结彩超(CDFI)'', ''FGGLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结彩色多普勒超声检查'', ''FGGLBJCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结造影'', ''FGGLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后B超'', ''FMHBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后B超检查'', ''FMHBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后CT'', ''FMHCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后MRI'', ''FMHMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后彩超(CDFI)'', ''FMHCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后彩色多普勒超声检查'', ''FMHCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔B超'', ''FQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔MRI'', ''FQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔彩超'', ''FQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔穿刺'', ''FQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔动脉彩色多普勒超声检查'', ''FQDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液B超检查'', ''FQJYBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液彩超'', ''FQJYCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔镜'', ''FQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔造影'', ''FQZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉彩色多普勒超声检查'', ''FZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉磁共振血管增强成像'', ''FZDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆胰脾B超检查'', ''GDYPBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆胰脾彩色多普勒超声检查'', ''GDYPCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉彩色多普勒超声检查'', ''GJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏B超'', ''GZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏CT'', ''GZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏MRI'', ''GZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏彩超(CDFI)'', ''GZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏超声造影'', ''GZCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏穿刺'', ''GZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏动静脉造影'', ''GZDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏动脉造影'', ''GZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠B超'', ''GCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠CT'', ''GCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠MRI'', ''GCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠彩超'', ''GCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠平片'', ''GCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠造影'', ''GCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸B超'', ''ZWBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸CT'', ''ZWCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸MRI'', ''ZWMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸彩超(CDFI)'', ''ZWCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨CT'', ''GGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨MRI'', ''GGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨X线摄影'', ''GGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉MRI'', ''ZDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉彩超(CDFI)'', ''ZDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉造影'', ''ZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨X线摄影'', ''ZGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉MRI'', ''ZJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉彩超(CDFI)'', ''ZJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉造影'', ''ZJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈CT'', ''GJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈MRI'', ''GJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔彩色多普勒声学造影检查'', ''GQCSDPLSXZYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔输卵管B超造影检查'', ''GQSLGBCZYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉MRI'', ''GDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉彩超(CDFI)'', ''GDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉造影'', ''GDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨CT'', ''GGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨MRI'', ''GGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨X线摄影'', ''GGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉MRI'', ''GJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉彩超(CDFI)'', ''GJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉造影'', ''GJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨龄相X线摄影'', ''GLXXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆CT'', ''GPCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆MRI'', ''GPMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆X线摄影'', ''GPXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆部X线计算机体层(CT)平扫'', ''GPBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆部X线计算机体层(CT)增强扫描'', ''GPBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆平片'', ''GPPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆造影'', ''GPZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓穿刺'', ''GSCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节B超检查'', ''GJBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节彩色多普勒超声检查'', ''GJCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节镜'', ''GJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节造影'', ''GJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉CT'', ''GMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉MRI'', ''GMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉磁共振成像'', ''GMCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉光学相干成像'', ''GMGXXGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉造影'', ''GMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉CT三维成像'', ''GZDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉MRI'', ''GYJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉彩超(CDFI)'', ''GYJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉造影'', ''GYJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉MRI'', ''MDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉彩超(CDFI)'', ''MDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉造影'', ''MDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉MRI'', ''MJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉彩超(CDFI)'', ''MJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉造影'', ''MJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马磁共振成像'', ''HMCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦磁共振成像'', ''HMZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦磁共振增强成像'', ''HMZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核素肺显像'', ''HSFXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核素心肌显像'', ''HSXJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌面部造影'', ''ZMBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺B超'', ''ZXXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺CT'', ''ZXXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺MRI'', ''ZXXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺彩超(CDFI)'', ''ZXXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉CT'', ''HCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉MRI'', ''HMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉电图'', ''HDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉镜'', ''HJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉声图'', ''HST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结B超'', ''HFMLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结MRI'', ''HFMLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结彩超(CDFI)'', ''HFMLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结造影'', ''HFMLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝部CT'', ''ZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝部MRI'', ''ZBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节MRI'', ''ZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节X线摄影'', ''ZGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节磁共振成像'', ''ZGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节磁共振增强成像'', ''ZGJCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节关节镜'', ''ZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠B超'', ''HCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠CT'', ''HCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠MRI'', ''HCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠彩超'', ''HCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠平片'', ''HCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠造影'', ''HCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌电图'', ''JDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊神经神经电图'', ''JSJSJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓B超'', ''JSBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓CT'', ''JSCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓MRI'', ''JSMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓彩超'', ''JSCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓磁共振水成像(MRM)'', ''JSCGZSCX(MRM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓平片'', ''JSPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓造影'', ''JSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱B超'', ''JZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱CT'', ''JZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱MRI'', ''JZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱X线'', ''JZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱彩超'', ''JZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎穿刺'', ''JZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺B超'', ''JZPXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺CT'', ''JZPXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺MRI'', ''JZPXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺彩超(CDFI)'', ''JZPXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能显像'', ''JZPXGNXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺B超'', ''JZXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺B超检查'', ''JZXBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺CT'', ''JZXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺MRI'', ''JZXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺彩超(CDFI)'', ''JZXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺彩色多普勒超声检查'', ''JZXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺超声造影'', ''JZXCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能显像'', ''JZXGNXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺吸碘功能试验'', ''JZXXDGNSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部CT'', ''JBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部MRI'', ''JBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节CT'', ''JGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节MRI'', ''JGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节X线摄影'', ''JGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节磁共振成像'', ''JGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节磁共振增强成像'', ''JGJCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节关节镜'', ''JGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨CT'', ''JZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨MRI'', ''JZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨X线摄影'', ''JZGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩锁关节X线摄影'', ''JSGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜MRI'', ''JMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠B超'', ''JCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠CT'', ''JCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠CT三维成像'', ''JCCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠MRI'', ''JCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠X线造影'', ''JCXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠钡剂灌肠'', ''JCBJGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠彩超'', ''JCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠彩超(CDFI)'', ''JCCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠镜'', ''JCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠镜（电子结肠镜）'', ''JCJ（DZJCJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠平片'', ''JCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠造影'', ''JCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突B超'', ''JTBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突CT'', ''JTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突MRI'', ''JTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突X线摄影'', ''JTXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突彩超'', ''JTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突平片'', ''JTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突造影'', ''JTZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经T管胆道X线造影'', ''JTGDDXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经电子内镜逆行胰胆管造影术(ERCP)'', ''JDZNJNXYDGZYS(ERCP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部妇科B超检查'', ''JFBFKBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部妇科彩色多普勒超声检查'', ''JFBFKCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部胎儿常规B超检查'', ''JFBTECGBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅彩色多普勒超声'', ''JLCSDPLCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒CO2吸入试验'', ''JLDPLCO2XRSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声动脉栓子监测'', ''JLDPLCSDMSZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声动脉压迫试验'', ''JLDPLCSDMYPSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声发泡试验'', ''JLDPLCSFPSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声检查'', ''JLDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒法卵圆孔未闭鉴别检查'', ''JLDPLFLYKWBJBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒卧立位试验'', ''JLDPLWLWSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管超选择性肝动脉造影术'', ''JPCCCGCXZXGDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管冠状动脉造影术'', ''JPCCCGGZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管间接门静脉造影术'', ''JPCCCGJJMJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管脑血管造影术'', ''JPCCCGNXGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管上腔静脉造影术'', ''JPCCCGSQJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管上肢静脉造影术'', ''JPCCCGSZJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管下腔静脉造影术'', ''JPCCCGXQJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管性腺静脉造影术'', ''JPCCCGXXJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肠系膜上动脉造影术'', ''JPCCCGXZXCXMSDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肠系膜下动脉造影术'', ''JPCCCGXZXCXMXDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性腹腔动脉干造影术'', ''JPCCCGXZXFQDMGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肝动脉造影术'', ''JPCCCGXZXGDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肝静脉造影术'', ''JPCCCGXZXGJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肋间动脉造影术'', ''JPCCCGXZXLJDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性脾动脉造影术'', ''JPCCCGXZXPDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性髂内动脉造影术'', ''JPCCCGXZXZNDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性上肢动脉造影术'', ''JPCCCGXZXSZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾动脉造影术'', ''JPCCCGXZXSDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾静脉造影术'', ''JPCCCGXZXSJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾上腺动脉造影术'', ''JPCCCGXZXSSXDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性锁骨下动脉造影术'', ''JPCCCGXZXSGXDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胃十二指肠动脉造影术'', ''JPCCCGXZXWSEZCDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胃左动脉造影术'', ''JPCCCGXZXWZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性下肢动脉造影术'', ''JPCCCGXZXXZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胸廓内动脉造影术'', ''JPCCCGXZXXKNDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性支气管动脉造影术'', ''JPCCCGXZXZQGDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性子宫动脉造影术'', ''JPCCCGXZXZGDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管右心室造影术'', ''JPCCCGYXSZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管主动脉造影术'', ''JPCCCGZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管左心室造影术'', ''JPCCCGZXSZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺股动脉插管全脑血管造影术'', ''JPCCGDMCGQNXGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺桡动脉插管全脑血管造影术'', ''JPCCZDMCGQNXGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺输精管X线造影'', ''JPCCSJGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺下肢静脉造影术'', ''JPCCXZJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经肝穿刺胆管造影术'', ''JPJGCCDGZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经肝穿刺门静脉造影术'', ''JPJGCCMJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经脾穿刺门静脉造影术'', ''JPJPCCMJMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮选择性腰动脉造影术'', ''JPXZXYDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮选择性主动脉造影术'', ''JPXZXZDMZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食道超声心动图'', ''JSDCSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食管彩色超声心动图检查'', ''JSGCSCSXDTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食管实时三维超声心动图检查'', ''JSGSSSWCSXDTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经纤维内镜逆行胰胆管造影术(ERCP)'', ''JXWNJNXYDGZYS(ERCP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经胸实时三维超声心动图检查'', ''JXSSSWCSXDTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道彩色多普勒超声检查'', ''JYDCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道妇科B超检查'', ''JYDFKBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道子宫输卵管造影'', ''JYDZGSLGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经直肠B超常规检查'', ''JZCBCCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经直肠彩色多普勒超声检查'', ''JZCCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晶状体MRI'', ''JZTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺B超'', ''JNXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺CT'', ''JNXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺MRI'', ''JNXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺彩超(CDFI)'', ''JNXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺造影'', ''JNXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉B超'', ''JSJMBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉CT'', ''JSJMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉MRI'', ''JSJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉彩超(CDFI)'', ''JSJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部B超'', ''JBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部CT'', ''JBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MRI'', ''JBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MRIA'', ''JBMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线'', ''JBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线计算机体层(CT)平扫'', ''JBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线计算机体层(CT)增强扫描'', ''JBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部彩超'', ''JBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部彩超(CDFI)'', ''JBCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部磁共振成像'', ''JBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部磁共振增强成像'', ''JBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部动静脉造影'', ''JBDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结B超'', ''JBLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结MRI'', ''JBLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结彩超(CDFI)'', ''JBLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结造影'', ''JBLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管CT'', ''JBQGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管MRI'', ''JBQGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管碘游造影'', ''JBQGDYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管气管镜'', ''JBQGQGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织B超'', ''JBRZZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织MRI'', ''JBRZZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织彩超'', ''JBRZZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织平片'', ''JBRZZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织造影'', ''JBRZZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部透视'', ''JBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管B超'', ''JBXGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管CT'', ''JBXGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管MRI'', ''JBXGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管彩超'', ''JBXGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管平片'', ''JBXGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管造影'', ''JBXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部造影'', ''JBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动静脉MRI'', ''JDJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动静脉彩超'', ''JDJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉CT三维成像'', ''JDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉MRI'', ''JDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉彩超(CDFI)'', ''JDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉彩色多普勒超声检查'', ''JDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉磁共振血管增强成像'', ''JDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉造影'', ''JDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉MRI'', ''JJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉彩超(CDFI)'', ''JJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉彩色多普勒超声检查'', ''JJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉造影'', ''JJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉B超'', ''JNJMBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉MRI'', ''JNJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉彩超'', ''JNJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉造影'', ''JNJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉B超'', ''JWJMBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉MRI'', ''JWJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉彩超'', ''JWJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉造影'', ''JWJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎CT'', ''JZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎MRI'', ''JZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线计算机体层(CT)平扫'', ''JZXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线计算机体层(CT)增强扫描'', ''JZXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线摄影'', ''JZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎穿刺脊髓X线造影'', ''JZCCJSXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎磁共振成像'', ''JZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎磁共振增强成像'', ''JZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎间盘X线造影'', ''JZJPXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎神经根X线造影'', ''JZSJGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨CT'', ''ZZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨MRI'', ''ZZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨X线摄影'', ''ZZGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉MRI'', ''ZHDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉彩超(CDFI)'', ''ZHDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉造影'', ''ZHDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉MRI'', ''ZHJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉彩超(CDFI)'', ''ZHJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉造影'', ''ZHJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉MRI'', ''ZQDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉彩超(CDFI)'', ''ZQDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉造影'', ''ZQDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉MRI'', ''ZQJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉彩超(CDFI)'', ''ZQJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉造影'', ''ZQJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉肾盂X线造影'', ''JMSYXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉肾盂造影'', ''JMSYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可疑胎儿异常的产前彩色多普勒超声诊断'', ''KYTEYCDCQCSDPLCSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠B超'', ''KCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠CT'', ''KCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠MRI'', ''KCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠彩超'', ''KCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠平片'', ''KCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠造影'', ''KCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔B超'', ''KQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔CT'', ''KQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔MRI'', ''KQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔彩超'', ''KQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔平片'', ''KQPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔曲面体层摄影'', ''KQQMTCSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔造影'', ''KQZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口咽部MRI'', ''KYBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部CT'', ''ZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部MRI'', ''ZBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部X线计算机体层(CT)平扫'', ''ZBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部X线计算机体层(CT)平扫增强扫描'', ''ZBXXJSJTC(CT)PSZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节CT'', ''ZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节MRI'', ''ZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节X线摄影'', ''ZGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节关节镜'', ''ZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶磁共振成像'', ''KCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶磁共振增强成像'', ''KCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾B超'', ''LWBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾CT'', ''LWCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾MRI'', ''LWMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾彩超(CDFI)'', ''LWCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾平片'', ''LWPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾造影'', ''LWZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨CT'', ''LGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨MRI'', ''LGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨X线摄影'', ''LGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪道X线造影'', ''LDXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作C/U形臂引导'', ''LCCZC/UXBYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作X线透视引导'', ''LCCZXXTSYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作磁共振引导'', ''LCCZCGZYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作数字减影(DSA)引导'', ''LCCZSZJY(DSA)YD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结造影'', ''LBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底B超'', ''LDBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底MRI'', ''LDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底TCD'', ''LDTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底部CT'', ''LDBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底彩超'', ''LDCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底磁共振成像'', ''LDCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底磁共振增强成像'', ''LDCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底平片'', ''LDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底造影'', ''LDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨CT'', ''LDGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MRI'', ''LDGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MRIA'', ''LDGMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨透视'', ''LDGTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨B超'', ''LGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨CT'', ''LGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨MRI'', ''LGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨彩超'', ''LGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨平片'', ''LGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨造影'', ''LGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑CT'', ''LNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑DSA'', ''LNDSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑MRI'', ''LNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑MRIA'', ''LNMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑磁共振成像'', ''LNCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑造影'', ''LNZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内动脉CT三维成像'', ''LNDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢B超'', ''LCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢CT'', ''LCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢MRI'', ''LCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢彩超'', ''LCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢造影'', ''LCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠B超'', ''MCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠MRI'', ''MCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠彩超'', ''MCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠造影'', ''MCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统CT三维成像'', ''MMXTCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统彩色多普勒超声检查'', ''MMXTCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系B超检查'', ''MNXBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系彩色多普勒超声检查'', ''MNXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系内镜'', ''MNXNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系逆行X线造影'', ''MNXNXXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统B超'', ''MNXTBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统CT'', ''MNXTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统MRI'', ''MNXTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统彩超'', ''MNXTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统磁共振水成像(MRU)'', ''MNXTCGZSCX(MRU)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统造影'', ''MNXTZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部B超'', ''MLBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部CT'', ''MLBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部MRI'', ''MLBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部X线'', ''MLBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部彩超'', ''MLBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨B超'', ''MLGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨CT'', ''MLGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨MRI'', ''MLGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨X线'', ''MLGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨彩超'', ''MLGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨平片'', ''MLGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨造影'', ''MLGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官B超'', ''NXQGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官CT'', ''NXQGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官MRI'', ''NXQGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官X线'', ''NXQGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官彩超'', ''NXQGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官平片'', ''NXQGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官造影'', ''NXQGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性生殖系统彩色多普勒超声检查'', ''NXSZXTCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体B超'', ''NCTBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体CT'', ''NCTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体MRI'', ''NCTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体TCD'', ''NCTTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体彩超'', ''NCTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体平片'', ''NCTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体造影'', ''NCTZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑磁图'', ''NCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑电图'', ''NDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干B超'', ''NGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干CT'', ''NGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干MRI'', ''NGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干TCD'', ''NGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干彩超'', ''NGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干平片'', ''NGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干造影'', ''NGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑功能磁共振成像'', ''NGNCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑静脉+静脉窦造影术'', ''NJM+JMZZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑神经脑磁图'', ''NSJNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑神经神经电图'', ''NSJSJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑室引流通畅性彩色多普勒超声检查'', ''NSYLTCXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管B超'', ''NXGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管CT'', ''NXGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管DSA'', ''NXGDSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管MRI'', ''NXGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管TCD'', ''NXGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管彩超'', ''NXGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管平片'', ''NXGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管造影'', ''NXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳内镜'', ''NENJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌器官造影'', ''NFMQGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道CT'', ''NTDCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道MRI'', ''NTDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道x线'', ''NTDxX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道磁共振成像'', ''NTDCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道磁共振增强成像'', ''NTDCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道内镜'', ''NTDNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道B超'', ''NDBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道CT'', ''NDCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道MRI'', ''NDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道彩超(CDFI)'', ''NDCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道镜'', ''NDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道逆行X线造影'', ''NDNXXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道造影'', ''NDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路CT'', ''NLCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路平片'', ''NLPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨B超'', ''ZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨TCD'', ''ZGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨彩超'', ''ZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨平片'', ''ZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨造影'', ''ZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节B超'', ''ZZGJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节CT'', ''ZZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节MRI'', ''ZZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节X线摄影'', ''ZZGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节彩超'', ''ZZGJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节平片'', ''ZZGJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节造影'', ''ZZGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节X线造影'', ''ZXZGJXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节磁共振成像'', ''ZXZGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官MRI'', ''NXQGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官彩超'', ''NXQGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官平片'', ''NXQGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官造影'', ''NXQGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统B超'', ''NXSZXTBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统CT'', ''NXSZXTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统MRI'', ''NXSZXTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统X线'', ''NXSZXTXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统彩超'', ''NXSZXTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排泄性尿道X线造影'', ''PXXNDXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱B超'', ''BZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱CT'', ''BZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱MRI'', ''BZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱彩超(CDFI)'', ''BZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱残余尿量B超测定'', ''BZCYNLBCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱静脉肾盂造影'', ''BZJMSYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱镜'', ''BZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱逆行X线造影'', ''BZNXXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱造影'', ''BZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎B超'', ''PTBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎彩超(CDFI)'', ''PTCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部B超'', ''PBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部CT'', ''PBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部MRI'', ''PBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部彩超'', ''PBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部平片'', ''PBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部透视'', ''PBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部造影'', ''PBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔B超'', ''PQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔CT'', ''PQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔MRI'', ''PQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔X线计算机体层(CT)平扫'', ''PQXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔X线计算机体层(CT)增强扫描'', ''PQXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔彩超(CDFI)'', ''PQCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔磁共振成像'', ''PQCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔磁共振增强成像'', ''PQCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔动脉CT三维成像'', ''PQDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔镜'', ''PQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结B超'', ''PQLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结MRI'', ''PQLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结彩超(CDFI)'', ''PQLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结造影'', ''PQLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔造影'', ''PQZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏B超'', ''PZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏CT'', ''PZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏MRI'', ''PZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏彩超(CDFI)'', ''PZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏超声造影'', ''PZCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通二维超声心动图'', ''PTEWCSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通心脏M型超声检查'', ''PTXZMXCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管B超'', ''QGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管CT'', ''QGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管MRI'', ''QGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管内镜'', ''QGNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管平片'', ''QGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管树CT三维成像'', ''QGSCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管相X线摄影'', ''QGXXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管支气管镜'', ''QGZQGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂动脉彩色多普勒超声检查'', ''ZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂静脉彩色多普勒超声检查'', ''ZJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂CT'', ''QBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂MRI'', ''QBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂X线计算机体层(CT)平扫'', ''QBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂X线计算机体层(CT)增强扫描'', ''QBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂磁共振成像'', ''QBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂磁共振增强成像'', ''QBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺B超'', ''QLXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺CT'', ''QLXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺MRI'', ''QLXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺彩超(CDFI)'', ''QLXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺磁共振成像'', ''QLXCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺造影'', ''QLXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''球后血管彩色多普勒超声检查'', ''QHXGCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全方位心脏M型超声检查'', ''QFWXZMXCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全脊柱X线计算机体层(CT)平扫'', ''QJZXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全脊柱X线计算机体层(CT)增强扫描'', ''QJZXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全消化道造影'', ''QXHDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓CT'', ''QGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MRI'', ''QGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MRIA'', ''QGMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓X线摄影'', ''QGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉MRI'', ''ZDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉彩超(CDFI)'', ''ZDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉造影'', ''ZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉MRI'', ''ZJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉彩超(CDFI)'', ''ZJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉造影'', ''ZJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突CT'', ''RTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突MRI'', ''RTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突X线摄影'', ''RTXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突平片'', ''RTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺B超'', ''RXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺B超检查'', ''RXBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺CT'', ''RXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺MRI'', ''RXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺X线摄影'', ''RXXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺彩超(CDFI)'', ''RXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺彩色多普勒超声检查'', ''RXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺磁共振成像'', ''RXCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管X线造影'', ''RXDGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺钼靶'', ''RXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结B超'', ''RXQSLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结CT'', ''RXQSLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结MRI'', ''RXQSLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结彩超(CDFI)'', ''RXQSLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结造影'', ''RXQSLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺造影'', ''RXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺B超'', ''SXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺CT'', ''SXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺MRI'', ''SXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺彩超(CDFI)'', ''SXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦B超'', ''SZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦MRI'', ''SZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦彩超'', ''SZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦平片'', ''SZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦造影'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂CT'', ''SBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂MRI'', ''SBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂X线计算机体层(CT)平扫'', ''SBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂X线计算机体层(CT)增强扫描'', ''SBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂磁共振成像'', ''SBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂磁共振增强成像'', ''SBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上额窦MRI'', ''SEZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部X线计算机体层(CT)平扫'', ''SFBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部X线计算机体层(CT)增强扫描'', ''SFBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部磁共振成像'', ''SFBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部磁共振增强成像'', ''SFBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部动脉CT三维成像'', ''SFBDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部X线计算机体层(CT)平扫'', ''SZBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部X线计算机体层(CT)增强扫描'', ''SZBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦B超'', ''SZZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨B超'', ''SZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨CT'', ''SZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨MRI'', ''SZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨彩超'', ''SZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨平片'', ''SZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨造影'', ''SZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部B超'', ''SJBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MRI'', ''SJBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MRIA'', ''SJBMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部彩超(CDFI)'', ''SJBCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道X线造影'', ''SXHDXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢B超'', ''SZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢CT'', ''SZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢MRI'', ''SZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢X线'', ''SZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢彩超'', ''SZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉CT三维成像'', ''SZDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉彩色多普勒超声检查'', ''SZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢多普勒血流图'', ''SZDPLXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨B超'', ''SZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨MRI'', ''SZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨彩超'', ''SZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨平片'', ''SZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨造影'', ''SZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节B超'', ''SZGJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节CT'', ''SZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节MRI'', ''SZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节彩超'', ''SZGJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节平片'', ''SZGJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节造影'', ''SZGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢肌肉肌电图'', ''SZJRJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢静脉切开造影术'', ''SZJMQKZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢平片'', ''SZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢浅静脉彩色多普勒超声检查'', ''SZQJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢深静脉彩色多普勒超声检查'', ''SZSJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢造影'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨B超'', ''SGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨CT'', ''SGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨MRI'', ''SGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨彩超'', ''SGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨平片'', ''SGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨造影'', ''SGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下神经孔X线摄影'', ''SXSJKXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺B超'', ''SXXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺CT'', ''SXXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺MRI'', ''SXXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺彩超'', ''SXXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺平片'', ''SXXPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺造影'', ''SXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经电图'', ''SJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾穿刺'', ''SCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺B超'', ''SSXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺B超检查'', ''SSXBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺CT'', ''SSXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺MRI'', ''SSXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺X线计算机体层(CT)平扫'', ''SSXXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺X线计算机体层(CT)增强扫描'', ''SSXXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺彩超(CDFI)'', ''SSXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺彩色多普勒超声检查'', ''SSXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺超声造影'', ''SSXCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺磁共振成像'', ''SSXCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺磁共振增强成像'', ''SSXCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂造影'', ''SYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏B超'', ''SZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏CT'', ''SZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏MRI'', ''SZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏彩超(CDFI)'', ''SZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏超声造影'', ''SZCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏静脉肾盂造影'', ''SZJMSYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏肾镜'', ''SZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏造影'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声导抗测听'', ''SDKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠B超'', ''SEZCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠CT'', ''SEZCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠MRI'', ''SEZCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠钡餐造影'', ''SEZCBCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠彩超'', ''SEZCCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠肠镜'', ''SEZCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠平片'', ''SEZCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠胃镜'', ''SEZCWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠血管造影'', ''SEZCXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠造影'', ''SEZCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道CT'', ''SDCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道MRI'', ''SDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道食管镜'', ''SDSGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管X线造影'', ''SGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管镜'', ''SGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物X线造影'', ''SGYWXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管B超'', ''SSJGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管CT'', ''SSJGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管MRI'', ''SSJGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管TCD'', ''SSJGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管彩超'', ''SSJGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管平片'', ''SSJGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管造影'', ''SSJGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经孔X线摄影'', ''SSJKXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜CT'', ''SWMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜MRI'', ''SWMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜平片'', ''SWMPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜眼底镜'', ''SWMYDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手CT'', ''SCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手MRI'', ''SMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部X线计算机体层(CT)平扫'', ''SBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部X线计算机体层(CT)增强扫描'', ''SBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手磁共振成像'', ''SCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手腕关节X线摄影'', ''SWGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管B超'', ''SJGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管CT'', ''SJGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管MRI'', ''SJGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管彩超(CDFI)'', ''SJGCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管造影'', ''SJGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管B超'', ''SLGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管MRI'', ''SLGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管彩超'', ''SLGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管平片'', ''SLGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管造影'', ''SLGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管B超'', ''SNGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管CT'', ''SNGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管MRI'', ''SNGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管彩超(CDFI)'', ''SNGCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管静脉肾盂造影'', ''SNGJMSYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管镜'', ''SNGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管造影'', ''SNGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中B超检查'', ''SZBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中彩色多普勒超声检查'', ''SZCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中经食管彩色超声心动图监测'', ''SZJSGCSCSXDTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中经心外膜超声心动图'', ''SZJXWMCSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中透视'', ''SZTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧精索静脉彩色多普勒超声检查'', ''SCJSJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双髋关节磁共振成像'', ''SZGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾动脉彩色多普勒超声检查'', ''SSDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾静脉彩色多普勒超声检查'', ''SSJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手磁共振增强成像'', ''SSCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢负重位X线摄影'', ''SXZFZWXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼B超检查'', ''SYBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼彩色多普勒超声检查'', ''SYCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双足磁共振增强成像'', ''SZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠图'', ''SMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉MRI'', ''SZDJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉彩超'', ''SZDJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉造影'', ''SZDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢多普勒血流图'', ''SZDPLXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节X线造影'', ''SZGJXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节透视'', ''SZGJTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢间接淋巴管X线造影'', ''SZJJLBGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢造影'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢直接淋巴管X线造影'', ''SZZJLBGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨CT'', ''SGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨MRI'', ''SGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结B超'', ''SGSLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结CT'', ''SGSLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结MRI'', ''SGSLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结彩超(CDFI)'', ''SGSLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结造影'', ''SGSLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉MRI'', ''SGXDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉彩超(CDFI)'', ''SGXDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉造影'', ''SGXDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉MRI'', ''SGXJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉彩超(CDFI)'', ''SGXJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉造影'', ''SGXJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结B超'', ''SGXLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结CT'', ''SGXLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结MRI'', ''SGXLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结彩超'', ''SGXLBJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结平片'', ''SGXLBJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结造影'', ''SGXLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿彩色多普勒超声检查'', ''TECSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿二维超声心动图'', ''TEEWCSXDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿颈后透明层彩色多普勒超声测定'', ''TEJHTMCCSDPLCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿三维超声成像'', ''TESWCSCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿生物物理相评分'', ''TESWWLXPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿系统性彩色多普勒超声筛查'', ''TEXTXCSDPLCSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿心脏彩色多普勒超声检查'', ''TEXZCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表血管彩色多普勒超声标记'', ''TBXGCSDPLCSBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表肿物B超检查'', ''TBZWBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表肿物彩色多普勒超声检查'', ''TBZWCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听性脑干反应'', ''TXNGFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部X线计算机体层(CT)平扫'', ''TBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部X线计算机体层(CT)增强扫描'', ''TBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部磁共振增强成像'', ''TBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部透视'', ''TBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉MRI'', ''TJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉彩超(CDFI)'', ''TJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉造影'', ''TJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅B超'', ''TLBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅CT'', ''TLCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MRI'', ''TLMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MRIA'', ''TLMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅X线'', ''TLXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅X线摄影'', ''TLXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅彩超'', ''TLCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅动脉磁共振血管增强成像'', ''TLDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅多导睡眠图'', ''TLDDSMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅非增强磁共振动脉血管成像'', ''TLFZQCGZDMXGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅非增强磁共振静脉血管成像'', ''TLFZQCGZJMXGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅透视'', ''TLTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透析内瘘彩色多普勒超声检查'', ''TXNZCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透析造瘘术前上肢血管评价及标记'', ''TXZZSQSZXGPJJBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部CT'', ''TKZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部MRI'', ''TKZBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部X线'', ''TKZBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺B超'', ''TYXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺CT'', ''TYXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺MRI'', ''TYXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺X线造影'', ''TYXXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺彩超'', ''TYXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺平片'', ''TYXPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺造影'', ''TYXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道CT'', ''WEDCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道MRI'', ''WEDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道x线'', ''WEDxX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道内镜'', ''WEDNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕部CT'', ''WBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕部MRI'', ''WBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕骨MRI'', ''WGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节MRI'', ''WGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节关节镜'', ''WGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾骨X线摄影'', ''WGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾椎CT'', ''WZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾椎MRI'', ''WZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃B超'', ''WBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃CT'', ''WCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃MRI'', ''WMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃钡餐造影'', ''WBCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃彩超(CDFI)'', ''WCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠充盈造影B超检查'', ''WCCYZYBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道B超检查'', ''WCDBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道彩色多普勒超声检查'', ''WCDCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠排空试验-钡餐透视法'', ''WCPKSY-BCTSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃充盈排空功能B超检查'', ''WCYPKGNBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃镜'', ''WJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃血管造影'', ''WXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃造影'', ''WZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝部CT'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝部MRI'', ''XBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节CT'', ''XGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节MRI'', ''XGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节X线摄影'', ''XGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节磁共振成像'', ''XGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节关节镜'', ''XGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部X线计算机体层(CT)平扫'', ''XFBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部X线计算机体层(CT)增强扫描'', ''XFBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部磁共振成像'', ''XFBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部磁共振增强成像'', ''XFBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部动脉CT三维成像'', ''XFBDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部X线计算机体层(CT)平扫'', ''XZBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部X线计算机体层(CT)增强扫描'', ''XZBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨B超'', ''XZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨CT'', ''XZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''22999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨MRI'', ''XZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨X线摄影'', ''XZGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨彩超'', ''XZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨平片'', ''XZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨造影'', ''XZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部B超'', ''XJBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MRI'', ''XJBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MRIA'', ''XJBMRIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部彩超(CDFI)'', ''XJBCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉CT三维成像'', ''XQJMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉彩色多普勒超声检查'', ''XQJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉磁共振血管增强成像'', ''XQJMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下咽X线造影'', ''XYXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢B超'', ''XZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢CT'', ''XZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢MRI'', ''XZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢X线'', ''XZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢彩超'', ''XZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉CT三维成像'', ''XZDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉彩色多普勒超声检查'', ''XZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉磁共振血管增强成像'', ''XZDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢多普勒彩超'', ''XZDPLCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢多普勒血流图'', ''XZDPLXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨B超'', ''XZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨CT'', ''XZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨MRI'', ''XZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨彩超'', ''XZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨平片'', ''XZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨造影'', ''XZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节B超'', ''XZGJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节CT'', ''XZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节MRI'', ''XZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节彩超'', ''XZGJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节平片'', ''XZGJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节造影'', ''XZGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢肌肉肌电图'', ''XZJRJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉切开造影术'', ''XZJMQKZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢平片'', ''XZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢浅静脉彩色多普勒超声检查'', ''XZQJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉CT三维成像'', ''XZSJMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉彩色多普勒超声检查'', ''XZSJMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉超声'', ''XZSJMCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢造影'', ''XZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺B超检查'', ''XXBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺彩色多普勒超声检查'', ''XXCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道MRI'', ''XHDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道彩超'', ''XHDCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道平片'', ''XHDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道造影'', ''XHDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠B超'', ''XCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠CT'', ''XCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠MRI'', ''XCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠X线造影'', ''XCXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠彩超(CDFI)'', ''XCCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠插管X线造影'', ''XCCGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠充盈排空功能B超检查'', ''XCCYPKGNBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠镜'', ''XCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠平片'', ''XCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠造影'', ''XCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颅脑B超检查'', ''XELNBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颅脑彩色多普勒超声检查'', ''XELNCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑B超'', ''XNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑CT'', ''XNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑MRI'', ''XNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑TCD'', ''XNTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑彩超'', ''XNCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑平片'', ''XNPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑造影'', ''XNZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿CT'', ''XTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿MRI'', ''XTMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿X线计算机体层(CT)平扫'', ''XTXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿X线计算机体层(CT)增强扫描'', ''XTXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿磁共振成像'', ''XTCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿磁共振增强成像'', ''XTCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉MRI'', ''XYJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉彩超(CDFI)'', ''XYJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉造影'', ''XYJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包B超'', ''XBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包CT'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包MRI'', ''XBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包彩超(CDFI)'', ''XBCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包超声造影'', ''XBCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心导管检查'', ''XDGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电监测'', ''XDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电图'', ''XDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌灌注超声造影'', ''XJGZCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏B超'', ''XZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏CT'', ''XZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏CT成像'', ''XZCTCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏MRI'', ''XZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏X线摄影'', ''XZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏彩超(CDFI)'', ''XZCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏彩色多普勒超声'', ''XZCSDPLCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏超声声学定量'', ''XZCSSXDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏超声造影'', ''XZCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏磁共振平扫成像'', ''XZCGZPSCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏磁共振增强成像'', ''XZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏光学相干成像'', ''XZGXXGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏机械运动同步功能超声检测'', ''XZJXYDTBGNCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏右心漂浮导管'', ''XZYXPFDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏运动平板'', ''XZYDPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏造影'', ''XZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁B超'', ''XBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁CT'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁MRI'', ''XBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁彩超'', ''XBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁平片'', ''XBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁造影'', ''XBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部B超'', ''XBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部MRI'', ''XBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线计算机体层(CT)平扫'', ''XBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线计算机体层(CT)增强扫描'', ''XBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线摄影'', ''XBXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部彩超'', ''XBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部超声'', ''XBCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部穿刺'', ''XBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部磁共振成像'', ''XBCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部磁共振增强成像'', ''XBCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管B超'', ''XBDXGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管CT'', ''XBDXGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管MRI'', ''XBDXGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管彩超'', ''XBDXGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管平片'', ''XBDXGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管造影'', ''XBDXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部动静脉造影'', ''XBDJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结B超'', ''XBLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结CT'', ''XBLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结MRI'', ''XBLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结彩超'', ''XBLBJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结平片'', ''XBLBJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结造影'', ''XBLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部透视'', ''XBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部胸腔积液B超'', ''XBXQJYBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部造影'', ''XBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨CT'', ''XGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨MRI'', ''XGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨X线摄影'', ''XGXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔B超'', ''XQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔B超检查'', ''XQBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔MRI'', ''XQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔彩超(CDFI)'', ''XQCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔彩色多普勒超声检查'', ''XQCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔穿刺'', ''XQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节CT'', ''XSGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节MRI'', ''XSGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节关节镜'', ''XSGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺B超'', ''XXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺CT'', ''XXCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺MRI'', ''XXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺彩超(CDFI)'', ''XXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腰段X线摄影'', ''XYDXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸主动脉磁共振血管增强成像'', ''XZDMCGZXGZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎CT'', ''XZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎MRI'', ''XZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎X线摄影'', ''XZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎磁共振成像'', ''XZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎磁共振增强成像'', ''XZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''选择性冠脉造影'', ''XZXGMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管PICCO'', ''XGPICCO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管斑块成像'', ''XGBKCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管斑块增强成像'', ''XGBKZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管超声造影'', ''XGCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压监测'', ''XYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙片X线摄影'', ''YPXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙片X线一次成像(RVG)'', ''YPXXYCCX(RVG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙平片'', ''YPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽MRI'', ''YMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部CT'', ''YBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉B超'', ''YHBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉MRI'', ''YHMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部B超'', ''YHBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部CT'', ''YHBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部MRI'', ''YHBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部X线'', ''YHBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部彩超'', ''YHBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部平片'', ''YHBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部造影'', ''YHBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉彩超'', ''YHCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉造影'', ''YHZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽造影'', ''YZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部A超'', ''YBAC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部B超'', ''YBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部CT'', ''YBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部MRI'', ''YBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线'', ''YBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线计算机体层(CT)平扫'', ''YBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线计算机体层(CT)增强扫描'', ''YBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部彩超'', ''YBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部造影'', ''YBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底镜'', ''YDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底血管荧光造影'', ''YDXGYGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底照相'', ''YDZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶B超'', ''YKBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶CT'', ''YKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶MRI'', ''YKMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶TCD'', ''YKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶X线摄影'', ''YKXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶彩超'', ''YKCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶平片'', ''YKPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶造影'', ''YKZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球A超'', ''YQAC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球B超'', ''YQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球CT'', ''YQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球MRI'', ''YQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球彩超'', ''YQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球平片'', ''YQPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼造影'', ''YZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰骶椎MRI'', ''YZZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎CT'', ''YZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎MRI'', ''YZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线计算机体层(CT)平扫'', ''YZXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线计算机体层(CT)增强扫描'', ''YZXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线摄影'', ''YZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎穿刺'', ''YZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎穿刺脊髓X线造影'', ''YZCCJSXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎磁共振成像'', ''YZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎磁共振增强成像'', ''YZCGZZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘X线造影'', ''YZJPXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬合片X线摄影'', ''YHPXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉MRI'', ''YDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉彩超(CDFI)'', ''YDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉造影'', ''YDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉MRI'', ''YJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉彩超(CDFI)'', ''YJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉造影'', ''YJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结B超检查'', ''YWLBJBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结彩色多普勒超声检查'', ''YWLBJCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结B超'', ''YXLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结CT'', ''YXLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结MRI'', ''YXLBJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结彩超(CDFI)'', ''YXLBJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结造影'', ''YXLBJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰胆管系统磁共振水成像(MRCP)'', ''YDGXTCGZSCX(MRCP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺MRI'', ''YXMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺彩超(CDFI)'', ''YXCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺超声造影'', ''YXCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺穿刺'', ''YXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道B超'', ''YDBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道MRI'', ''YDMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道彩超(CDFI)'', ''YDCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道镜'', ''YDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道平片'', ''YDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道造影'', ''YDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体动脉X线造影'', ''YJHMTDMXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体静脉X线造影'', ''YJHMTJMXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊B超'', ''YNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊CT'', ''YNCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊MRI'', ''YNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊彩超(CDFI)'', ''YNCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊切开输精管X线造影'', ''YNQKSJGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹B超检查'', ''YXFBCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹彩色多普勒超声检查'', ''YXFCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心超声造影'', ''YXCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心导管检查'', ''YXDGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心室造影'', ''YXSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕妇-胎儿血流动力学彩超检测'', ''YF-TEXLDLXCCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脏器超声造影检查'', ''ZQCSZYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节CT'', ''ZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节MRI'', ''ZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节关节镜'', ''ZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管激发试验'', ''ZQGJFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管镜'', ''ZQGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管舒张试验'', ''ZQGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨骨骼计算机体层(CT)平扫'', ''ZDGGZJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨骨骼计算机体层(CT)增强扫描'', ''ZDGGZJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠B超'', ''ZCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠CT'', ''ZCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠MRI'', ''ZCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠钡剂灌肠'', ''ZCBJGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠彩超(CDFI)'', ''ZCCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠磁共振成像'', ''ZCCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠镜'', ''ZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠平片'', ''ZCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠造影'', ''ZCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物神经神经电图'', ''ZWSJSJDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节CT'', ''ZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节MRI'', ''ZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节关节镜'', ''ZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''趾骨CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''趾骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳内镜'', ''ZENJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经造影'', ''ZWSJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部CT'', ''ZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部MRI'', ''ZBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节MRI'', ''ZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节X线摄影'', ''ZGJXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节磁共振成像'', ''ZGJCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节关节镜'', ''ZGJGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉B超'', ''ZDMBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CT'', ''ZDMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CTA'', ''ZDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CT三维成像'', ''ZDMCTSWCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉MRI'', ''ZDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉彩超(CDFI)'', ''ZDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉超声'', ''ZDMCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉血管内超声'', ''ZDMXGNCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉造影'', ''ZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉彩色多普勒超声检查'', ''ZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨B超'', ''ZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨彩超'', ''ZGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨平片'', ''ZGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨造影'', ''ZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘MRI'', ''ZJPMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫B超'', ''ZGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫CT'', ''ZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫MRI'', ''ZGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫彩超(CDFI)'', ''ZGCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫超声造影'', ''ZGCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件B超'', ''ZGFJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件CT'', ''ZGFJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件MRI'', ''ZGFJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件彩超(CDFI)'', ''ZGFJCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件超声造影'', ''ZGFJCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件宫腔镜'', ''ZGFJGQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫宫腔镜'', ''ZGGQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈B超'', ''ZZBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈CT'', ''ZZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈MRI'', ''ZZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈彩超'', ''ZZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈平片'', ''ZZPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管CT'', ''ZZQGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管MRI'', ''ZZQGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管气管镜'', ''ZZQGQGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈造影'', ''ZZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足CT'', ''ZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足MRI'', ''ZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足X线摄影'', ''ZXXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉MRI'', ''ZBDMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉彩超(CDFI)'', ''ZBDMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉造影'', ''ZBDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉MRI'', ''ZBJMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉彩超(CDFI)'', ''ZBJMCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉造影'', ''ZBJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足磁共振成像'', ''ZCGZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足动脉彩色多普勒超声检查'', ''ZDMCSDPLCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足多普勒彩超'', ''ZDPLCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部X线计算机体层(CT)平扫'', ''ZZBXXJSJTC(CT)PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部X线计算机体层(CT)增强扫描'', ''ZZBXXJSJTC(CT)ZQSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''组织多普勒显像(TDI)'', ''ZZDPLXX(TDI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心超声造影'', ''ZXCSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室收缩功能超声测定'', ''ZXSSSGNCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室舒张功能超声测定'', ''ZXSSZGNCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室造影'', ''ZXSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮'', ''17α-ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-羟皮质类固醇'', ''17-ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-酮皮质类固醇'', ''17-TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿比重渗透压试验'', ''24XSNBZSTYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽'', ''ⅠXJYZJDQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子测定'', ''BYZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Coombs试验'', ''CoombsSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EBBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''ENAKTPLXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''ND-BXNNZQT(NT-ProBNP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O—129试验'', ''O—129SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-胶原特殊系列'', ''β-JYTSXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''βRRMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片'', ''BHBZGJTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)测定'', ''BTTBFNXHMSJ(KPTT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', ''BXBRHJYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙氨酸'', ''BBAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙酮酸'', ''BBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''BYYTYXIgECD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''BGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''BLKNYZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''BTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌测定'', ''BSGJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间'', ''CXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''CMFMWPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇'', ''CSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮测定'', ''CTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素'', ''CHXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''CJZXSFJSXFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素'', ''CSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''CSSXPZJSSFJS(CRF)XFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验1'', ''CSSXPZJSXFSY1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''CSSXPZJSXFSY2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体测定'', ''DCZZBDIIXKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体测定'', ''DCZZBDIXKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素'', ''DNSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫直接涂片镜检'', ''DCZJTPJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''DFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白'', ''DFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝测定'', ''DGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', ''FFKTLXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''FDSFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体免疫学试验'', ''FYZYTMYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''FBCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''FBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便隐血'', ''FBYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素检查'', ''FDSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', ''FKTLXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验'', ''FMPHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''FMTXYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''FQJYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''FSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸'', ''GDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''GGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''GXYSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', ''GZCCYYLYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝测定'', ''GGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈涂片'', ''GJTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素'', ''GGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''GSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶'', ''GXJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''GJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''GYDSMSYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞(LEC)检查'', ''HBLCXB(LEC)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞丙酮酸激酶(PK)检测'', ''HXBBTSJM(PK)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''HMYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗(APCR)试验'', ''HHDBCDK(APCR)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌直接涂片镜检'', ''HLHJZJTPJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶活性测定'', ''JSJMTGMHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝测定'', ''JGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素'', ''JZPXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能'', ''JZXGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''JZXGN（5X）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验'', ''JZXSDSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''JZXZSKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原'', ''JGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核检查'', ''JHJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''JZZYTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''JYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''JYSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', ''JZQTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', ''JXBBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体测定'', ''Kβ2-TDB1KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''KHKTPCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体测定'', ''KHXBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)测定'', ''KHGASZKT(KCCP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素'', ''KLNJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶抗体'', ''KLQJJMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O'', ''KLQJRXSO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶'', ''KLQJTMZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体试验'', ''KLBXBKTSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体测定'', ''KNZZKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体'', ''KPHJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定'', ''KSJJZZKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺抗体测定'', ''KSSXKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体测定'', ''KSXQJDMKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶'', ''KTYHTHSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体检测'', ''KWBXBKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体(AMA)测定'', ''KXLTKT(AMA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', ''KXLZKT(ACA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体'', ''KYZDJSTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)测定'', ''KZZXBHKYKT(KPCNA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体'', ''KZGNMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒'', ''KSQBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''KFPTTNLSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体测定'', ''KQBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉网细胞学检查与诊断'', ''LWXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''LFSYZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子'', ''LYDSYSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体免疫学试验'', ''LKCTMYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''LBXBYQJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片'', ''LQJTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒核糖核酸检测'', ''LGBDHTHSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热抗体测定'', ''LXXCXRKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定'', ''LXXYXNYBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒检测'', ''LZBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒'', ''MZBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''MTCTNLSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''MDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''MYQDBYLDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫组织化学染色诊断'', ''MYZZHXRSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''墨汁染色'', ''MZRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠尿肽'', ''NNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''NJYXLPTQJJC(DLSY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''NJYCG+SH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''NJYMYQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''NJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定量试验'', ''NDSZDLSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定性试验'', ''NDSZDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NAG'', ''NNAG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉检测'', ''NZZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''NCZJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', ''NDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''NDBDYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺测定'', ''NECFACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定(24h)'', ''NGCD(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿高香草酸'', ''NGXCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿含铁血黄素定性试验'', ''NHTXHSDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', ''NHXBXTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定'', ''NJZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性试验'', ''NJHDBDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基去甲肾上腺素(NMN)(24h)'', ''NJYJQJSSXS(NMN)(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基肾上腺素(MN)(24h)'', ''NJYJSSXS(MN)(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾测定'', ''NJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''NJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松定量(24h)'', ''NKDSDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定'', ''NLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯测定'', ''NLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁测定'', ''NMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿免疫固定电泳'', ''NMYGDDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠测定'', ''NNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量'', ''NNSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定'', ''NQLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', ''NQJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮定量(24h)'', ''NQGTDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(24h)'', ''NSSXS(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖测定'', ''NTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白测定'', ''NWLBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白定量(24h)'', ''NWLBDBDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液总钙测定'', ''NYZGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''NXGNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''NXYZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌'', ''NSJJKSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''NYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫检查'', ''NYCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', ''PYXJJLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇'', ''PZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白'', ''QBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''QLXYCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白测定'', ''QXXSBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析'', ''RSTFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体荧光原位杂交分析'', ''RSTYGYWZJFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人附睾蛋白'', ''RFZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''RLMYQXBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''RRTLBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠相关蛋白A(PAPP)测定'', ''RSXGDBA(PAPP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''RMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''SGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素'', ''SSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''SSWLWSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', ''STYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''SLKNYZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素'', ''SCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白'', ''SHCJHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查'', ''SDHRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''TPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片'', ''TTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''TYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''TDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁染色检查'', ''TRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸'', ''TXBZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白CER'', ''TLDBCER'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周血细胞形态学分析'', ''WZXXBXTXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''WLYSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A(VitA)测定'', ''WSSA(VitA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1'', ''WSSB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12'', ''WSSB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C'', ''WSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', ''WSSDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', ''WDBMYJC(PG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素测定'', ''WMSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''WSFMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''WYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''WJTYXJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''WGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''XJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗原检测'', ''XJKYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''XJXYDYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''XRXTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定'', ''XBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草扁桃酸'', ''XCBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''XBJYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''XBJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''XBJYSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''XJGSBZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''XJMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿溶血病检测'', ''XSERXBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)'', ''XJSJHQDB(SHBG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''XJSLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''XQJYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''XQJYSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''XSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''XXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α2巨球蛋白'', ''Xα2JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨测定'', ''XACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血沉'', ''XC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)'', ''XGJZSZHM(ACE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''XPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''XQFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血轻链测定'', ''XQLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙氨酸'', ''XQBBAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙酮酸'', ''XQBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''XQDBDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''XQYWNDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸'', ''XQYLZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清粘蛋白'', ''XQZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验'', ''XSDLTSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体'', ''XTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫检查'', ''XXCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板功能及抗体检测'', ''XXBGNJKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', ''XX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''XYMYXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', ''XYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮分析'', ''XYYHDFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化碳分析'', ''XYYHTFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''YSZPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', ''YBXJPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查'', ''YBXJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''YYTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物检查'', ''YDSJDXWJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''YDSJDXWXGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''YDSSFSY1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''YDSSFSY2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰多肽'', ''YDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素'', ''YGXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''YGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''YDFMWCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', ''YXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''YSYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''YMLGJKYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇'', ''YLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌D-葡聚糖检测'', ''ZJD-PJTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌直接涂片镜检'', ''ZJZJTPJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''ZYTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''ZYTYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接涂片抗酸染色镜检'', ''ZJTPKSRSJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查'', ''ZMRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色检查'', ''ZXLXBJXLSMRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''ZLBZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主要组织相容性抗原测定'', ''ZYZZXRXKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白'', ''ZTDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE'', ''ZIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体(CH50)测定'', ''ZBT(CH50)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体质'', ''TZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治疗情况'', ''ZLQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治疗效果'', ''ZLXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接种'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后情况'', ''SHQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤史'', ''WSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏介质'', ''GMJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出生地'', ''CSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疫区居留'', ''YQJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饮酒'', ''YJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸烟'', ''XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''职业情况'', ''ZYQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毒物接触史'', ''DWJCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冶游史'', ''YYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结婚年龄'', ''JHNL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''配偶健康情况'', ''POJKQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫妻生活'', ''FQSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带'', ''BD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直系亲属健康情况'', ''ZXQSJKQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直系亲属'', ''ZXQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族遗传病史'', ''JZYCBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传病'', ''YCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性传染病史'', ''JZXCRBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染病'', ''CRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单位'', ''DW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼之不应'', ''HZBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼之能应'', ''HZNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷'', ''HM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏睡'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神错乱'', ''JSCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神恍惚'', ''JSHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅昏迷'', ''QHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清'', ''SZBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志错乱'', ''SZCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜睡'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识不清'', ''YSBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识淡漠'', ''YSDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识紊乱'', ''YSWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识障碍'', ''YSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谵妄'', ''ZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠过度'', ''SMGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''思睡'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贪睡'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜睡'', ''XS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白天思睡'', ''BTSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多梦'', ''DM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多醒'', ''DX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噩梦'', ''ZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经失眠'', ''JJSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速动眼睡眠行为障碍'', ''KSDYSMXWZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦魇'', ''MZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦呓'', ''MZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦游'', ''MY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失眠'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡不实'', ''SBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠差'', ''SMC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠时间减少'', ''SMSJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠瘫痪症'', ''SMTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠异常'', ''SMYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''续睡困难'', ''XSKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜寐欠佳'', ''YMQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜睡不安'', ''YSBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易惊醒'', ''YJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易醒'', ''YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早醒'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠行为异常'', ''SMXWYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异相睡眠'', ''YXSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻触'', ''HC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻觉'', ''HJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻视'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻听'', ''HT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻味'', ''HW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻嗅'', ''HX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内脏幻觉'', ''NZHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳腐'', ''ZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带豆腐渣状'', ''BDDFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带过多'', ''BDGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带褐色'', ''BDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带异常'', ''BDYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓性白带'', ''NXBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血性白带'', ''XXBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带臭'', ''BDC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带异味'', ''BDYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摆痛'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白斑'', ''BB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑疮'', ''BC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑块'', ''BK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫斑'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑疹'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包块'', ''BK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包块痛'', ''BKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涕中带血'', ''TZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻裂'', ''BL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔不适'', ''BQBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔干燥'', ''BQGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔异物'', ''BQYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻痛'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻外伤'', ''BWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻痒'', ''BY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻肿'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷嚏'', ''PT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右鼻痛'', ''YBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻溢液'', ''BYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流脓涕'', ''LNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流清涕'', ''LQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕'', ''LT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长期流涕'', ''CQLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻翼煽动'', ''BYSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭眼运动'', ''BYYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情痴呆'', ''BQCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情呆板'', ''BQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情呆滞'', ''BQDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''濒死感'', ''BSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跛行'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不畅'', ''BC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不适感'', ''BSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不自主运动'', ''BZZYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚抖动'', ''JDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身抽搐'', ''QSCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身体抽动'', ''STCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手抖动'', ''SDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚不灵活'', ''SJBLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手震颤'', ''SZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后恶露不尽'', ''CHELBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹鸣'', ''FM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮热'', ''CR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉重感'', ''CZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨僵'', ''CJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耻骨痛'', ''CGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐'', ''CC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮热出汗'', ''CRCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗'', ''CH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗异常'', ''CHYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大汗淋漓'', ''DHLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盗汗'', ''DH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗'', ''DH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发汗'', ''FH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发冷'', ''FL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷汗'', ''LH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少汗'', ''SH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少津'', ''SJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少津液'', ''SJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无汗'', ''WH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无明显出汗'', ''WMXCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗'', ''XH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚脱'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血'', ''CX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血反复不止'', ''CXFFBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大出血'', ''DCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接触性出血'', ''JCXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杵状指'', ''ZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇红'', ''CH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇溃疡'', ''CKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇疱疹'', ''CZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇肿痛'', ''CZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺痛'', ''CT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猝倒'', ''ZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窜动'', ''CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窜麻'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打哈欠'', ''DHQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打鼾'', ''DZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便变细'', ''DBBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便形状异常'', ''DBXZYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏油样便'', ''BYYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便中带血'', ''BZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便带血'', ''DBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便发黑'', ''DBFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便黑'', ''DBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便拉血'', ''DBLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便色黑'', ''DBSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便色黑如柏油'', ''DBSHRBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便血性'', ''DBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便颜色异常'', ''DBYSYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便有血丝'', ''DBYXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋花汤样便'', ''DHTYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果酱样便'', ''GJYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色大便'', ''HSDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄便'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假膜便'', ''JMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解黑便'', ''JHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡样便'', ''KFYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米泔样便'', ''MZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓血便'', ''NXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陶土样便'', ''TTYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洗肉水样便'', ''XRSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜红色血便'', ''XHSXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜血样便'', ''XXYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕褐色便'', ''ZHSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便后肛门滴血'', ''BHGMDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便溏'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便不成形'', ''DBBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便次数减少'', ''DBCSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干燥'', ''DBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便失禁'', ''DBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便疼痛'', ''DBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便习惯改变'', ''DBXGGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便异常'', ''DBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便如羊粪状'', ''FBRYFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色糊状便'', ''HSHZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糊状粘液便'', ''HZZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄色水样便'', ''HSSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便次数减少'', ''PBCSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便次数增多'', ''PBCSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便后肛门出血'', ''PBHGMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便后肛门滴血'', ''PBHGMDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便困难'', ''PBKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便异常'', ''PBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''数天大便一次'', ''STDBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''数天未大便'', ''STWDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水样便'', ''SYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊屎粒样便'', ''YSLYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液便'', ''ZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪泻'', ''ZFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便正常'', ''DBZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大量脓性分泌物'', ''DLNXFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿外伤'', ''DTWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大象腿'', ''DXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大小便失禁'', ''DXBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大小便习惯改变'', ''DXBXGGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒刺'', ''DC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻指'', ''DZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毒疮'', ''DC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钝痛'', ''DT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多泪'', ''DL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多疑'', ''DY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮'', ''DY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅口疮'', ''EKC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呃逆'', ''ZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶病质'', ''EBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶风'', ''EF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨起恶心'', ''CQEX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心'', ''EX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心想吐'', ''EXXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道痛'', ''EDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道肿胀'', ''EDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓水肿'', ''EKSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内痛'', ''ENT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳痛'', ''ET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳肿块'', ''EZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳肿胀'', ''EZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳肿块'', ''NEZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右耳闷'', ''YEM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右耳鸣'', ''YEM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左耳闷'', ''ZEM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左耳鸣'', ''ZEM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳出血'', ''ECX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流血'', ''EDLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流脓'', ''EDLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流液'', ''EDLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道溢脓'', ''EDYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳朵流脓'', ''EDLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳溢脓'', ''EYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳痒'', ''EY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道异物感'', ''EDYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内异物感'', ''ENYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳异物感'', ''EYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便正常'', ''EBZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发麻'', ''FM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''波状热'', ''BZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弛张热'', ''CZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续性发热'', ''CXXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低热'', ''DR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地中海弛张热'', ''DZHCZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额头发烫'', ''ETFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''忽冷忽热'', ''HLHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''忽热'', ''HR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稽留热'', ''JLR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间歇热'', ''JXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两手两足心发热'', ''LSLZXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马尔他热'', ''METR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒发热'', ''WHFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏热'', ''WR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性发热'', ''ZFXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性发热'', ''ZQXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育不良'', ''FYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦热'', ''FR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦躁'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反跳痛'', ''FTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射痛'', ''FST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''飞蚊症'', ''FWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥胖'', ''FP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''见红'', ''JH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后阴道出血'', ''JJHYDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停经'', ''TJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴白斑'', ''WYBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴包块'', ''WYBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴发红'', ''WYFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴溃疡'', ''WYKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴皮疹'', ''WYPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴瘙痒'', ''WYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴水肿'', ''WYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴痛'', ''WYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴肿胀'', ''WYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴灼热感'', ''WYZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无月经初潮'', ''WYJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道不规则流血'', ''YDBGZLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道出血'', ''YDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道恶露'', ''YDEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道恶露未净'', ''YDELWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道干涩'', ''YDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道流血淋漓不尽'', ''YDLXLLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道流液'', ''YDLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道瘙痒'', ''YDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道少量流血'', ''YDSLLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道少许流血'', ''YDSXLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道痛'', ''YDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块'', ''FBBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道痛'', ''CDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠痉挛'', ''CJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠痛'', ''CT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠子痛'', ''CZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部不适'', ''FBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘肠气痛'', ''PCQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹胀'', ''QFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹饱胀'', ''SFBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部不适'', ''SFBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹堵塞'', ''SFDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹闷胀'', ''SFMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹胀'', ''SFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脘腹满闷不舒'', ''ZFMMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹坠胀感'', ''XFZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胀气'', ''ZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟包块'', ''FGGBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟痛'', ''FGGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟异物'', ''FGGYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部坠痛'', ''FBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹钝痛'', ''FDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹隐痛'', ''FYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀痛'', ''FZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹坠痛'', ''FZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝区痛'', ''GQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝区隐痛'', ''GQYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹痛'', ''KFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性下体坠痛'', ''NXXTZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐周痛'', ''QZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐周隐痛'', ''QZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹痛'', ''QFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹痛'', ''SFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹胀痛'', ''SFZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃胀'', ''WZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃灼热'', ''WZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹痛'', ''XFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹坠痛'', ''XFZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间腹痛'', ''YJFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右肋弓下疼痛'', ''YLGXTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右上腹痛'', ''YSFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右上腹隐痛'', ''YSFYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹痛'', ''YXFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中上腹痛'', ''ZSFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中下腹痛'', ''ZXFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移性右下腹疼痛'', ''ZYXYXFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''23999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坠痛'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坠胀感'', ''ZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左上腹痛'', ''ZSFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左下腹痛'', ''ZXFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹围增大'', ''FWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨泻'', ''CX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五更泄泻'', ''WGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''触觉异常'', ''CJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感觉异常'', ''GJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感觉障碍'', ''GJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛觉异常'', ''TJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''温觉异常'', ''WJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干呕'', ''GO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干涩'', ''GS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干涩感'', ''GSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿物脱出'', ''GMZWTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门出血'', ''GMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛'', ''GMTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门脱出'', ''GMTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿痛'', ''GMZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿胀'', ''GMZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠胀感'', ''GMZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠胀痛'', ''GMZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛旁肿块'', ''GPZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周潮湿'', ''GZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周排便'', ''GZPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周排气'', ''GZPQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周瘙痒'', ''GZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸痛'', ''ZWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸肿大'', ''ZWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯血'', ''KX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''步态摇晃'', ''BTYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颤抖步态'', ''CDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动作不灵活'', ''DZBLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''共济失调'', ''GJSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''共济失调步态'', ''GJSDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森步态'', ''PJSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蹒跚步态'', ''ZZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑共济失调步态'', ''XNGJSDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摇晃步态'', ''YHBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''站立不稳'', ''ZLBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''震颤步态'', ''ZCBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨擦感'', ''GCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松'', ''GZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驼背'', ''TB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节不利'', ''GJBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节挫伤'', ''GJCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节弹响'', ''GJDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节浮肿'', ''GJFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动时弹响'', ''GJHDSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动时弹响'', ''HDSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动时膝关节交锁感'', ''HDSXGJJSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''久站后屈膝困难'', ''JZHQXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''久坐后伸膝困难'', ''JZHSXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈膝困难'', ''QXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伸膝困难'', ''SXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节交锁感'', ''XGJJSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度变小'', ''GJHDDBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度变窄'', ''GJHDDBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度减小'', ''GJHDDJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度下降'', ''GJHDDXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度小'', ''GJHDDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围变小'', ''GJHDFWBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围变窄'', ''GJHDFWBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围减小'', ''GJHDFWJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动障碍'', ''GJHDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节畸形'', ''GJJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节僵硬'', ''GJJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节强直'', ''GJQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节水肿'', ''GJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节肿胀'', ''GJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节酸痛'', ''GJST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛'', ''GJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节肿痛'', ''GJZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节疼痛'', ''XGJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部胀'', ''ZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节疼痛'', ''ZGJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''光过敏'', ''GGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头红肿'', ''GTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头皮疹'', ''GTPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头破损'', ''GTPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒战'', ''HZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑眼圈'', ''HYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部不适'', ''HBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部梗阻感'', ''HBGZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部异物感'', ''HBYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙发紧'', ''HLFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉鸣'', ''HM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉痛'', ''HT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉异物感'', ''HYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''端坐呼吸'', ''DZHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼气困难'', ''HQKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸浅快'', ''HXQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸深重'', ''HXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气喘'', ''QC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气短'', ''QD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''深大呼吸'', ''SDHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸气困难'', ''XQKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间端坐呼吸'', ''YJDZHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间多动'', ''YJDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间睡眠不能平躺'', ''YJSMBNPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间睡眠时不能平躺'', ''YJSMSBNPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间阵发性呼吸困难'', ''YJZFXHXKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口呼吸'', ''ZKHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘鸣'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸减弱'', ''HXJR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸浅'', ''HXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸时快时慢'', ''HXSKSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸衰弱'', ''HXSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸异常'', ''HXYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘'', ''KC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哮喘'', ''XC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸骤停'', ''HXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠窒息'', ''SMZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间呼吸暂停'', ''YJHXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝疼痛'', ''ZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝肿痛'', ''ZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸'', ''HZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄染'', ''HR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼黄尿黄'', ''YHNH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴部瘙痒'', ''HYBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴部疼痛'', ''HYBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴处发红'', ''HYCFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴红'', ''HYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴瘙痒'', ''HYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴痛'', ''HYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动障碍'', ''HDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉抽搐'', ''JRCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉痉挛'', ''JRJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉酸痛'', ''JRST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉疼痛'', ''JRTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉萎缩'', ''JRWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌卫'', ''JW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌无力'', ''JWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸软'', ''SR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸痛'', ''ST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸胀'', ''SZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畸形'', ''JX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''挤压痛'', ''JYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆功能丧失'', ''JYGNSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力下降'', ''JYLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆丧失'', ''JYSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健忘'', ''JW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗忘'', ''YW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲改变'', ''JGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假肢痛'', ''JZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖锐痛'', ''JRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩峰痛'', ''JFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛痛'', ''JZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右肩痛'', ''YJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左肩痛'', ''ZJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下不适'', ''JTXBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下疼痛'', ''JTXTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下隐痛'', ''JTXYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下胀'', ''JTXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下胀痛'', ''JTXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞痛'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''悲观厌世'', ''BGYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冲动毁物'', ''CDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定向力障碍'', ''DXLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对答切题'', ''DDQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应迟钝'', ''FYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孤僻懒散'', ''GPLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行为异常'', ''XWYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胡言乱语'', ''HYLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑症'', ''JXJLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急燥'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''讲话无逻辑'', ''JHWLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦躁'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊恐'', ''JK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊吓'', ''JX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精力不足'', ''JLBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神差'', ''JSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神紧张'', ''JSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神紊乱'', ''JSWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神运动性不安'', ''JSYDXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逻辑混乱'', ''LJHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闷闷不乐'', ''MMBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内疚感'', ''NJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪低落'', ''QXDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪改变'', ''QXGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪激动'', ''QXJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤人毁物'', ''SRHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社交障碍'', ''SJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妄想'', ''WX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎靡不振'', ''WMBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兴奋话多'', ''XFHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兴趣丧失'', ''XQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性格改变'', ''XGGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性格急躁易怒'', ''XGJZYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羞愧感'', ''XKG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压抑感'', ''YYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间惊叫'', ''YJJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间恐惧'', ''YJKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜惊'', ''YJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁'', ''YY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑制状态'', ''YZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易憋醒'', ''YBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易激动'', ''YJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性嗜睡'', ''ZQXSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注意力差'', ''ZYLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自卑'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自杀行为'', ''ZSXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自杀企图'', ''ZSQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自语自笑'', ''ZYZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部包块'', ''JBBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部不适'', ''JBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部活动障碍'', ''JBHDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部僵硬感'', ''JBJYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部疼痛'', ''JBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部异物'', ''JBYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部异物感'', ''JBYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部肿胀'', ''JBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈项强直'', ''JXQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部增粗'', ''JBZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳'', ''GK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喝水呛咳'', ''HSQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食呛咳'', ''JSQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呛咳'', ''QK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻咳'', ''QK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少痰'', ''ST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿咳'', ''SK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量甚少'', ''TLSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰鸣'', ''TM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰少'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无痰'', ''WT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饮水呛咳'', ''YSQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色粘液痰'', ''BSZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白痰'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稠痰'', ''CT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉红色泡沫痰'', ''FHSPMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯白色粘液痰'', ''KBSZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄色粘液痰'', ''HSZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄痰'', ''HT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回吸血涕'', ''HXXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳白色粘液痰'', ''KBSZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏脓性痰'', ''ZNXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓痰'', ''NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫痰'', ''PMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰不易咳出'', ''TBYKC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰多'', ''TD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰干不易咳出'', ''TGBYKC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘稠痰'', ''ZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘痰'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''啃手指'', ''KSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦渴'', ''FK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反复口渴'', ''FFKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口渴'', ''KK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口渴喜饮'', ''KKXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猖獗龋齿'', ''CZQC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口臭'', ''KC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇干裂'', ''KCGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇干燥'', ''KCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇畸形'', ''KCJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇麻木'', ''KCMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干'', ''KG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角皲裂'', ''KJZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角溃烂'', ''KJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角裂痛'', ''KJLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口苦'', ''KK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疱疹'', ''KQZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疼痛'', ''KQTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔异味'', ''KQYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔粘膜白斑'', ''KQZMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口舌干燥'', ''KSGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口舌生疮'', ''KSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口酸'', ''KS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涎'', ''LX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磨牙'', ''MY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫唾液'', ''PMTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兔唇'', ''TC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液粘稠'', ''TYZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌痛'', ''XZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿流涎'', ''XELX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙缺损'', ''YQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙痛'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血'', ''YZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈疼痛'', ''YZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈肿痛'', ''YZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴角干裂'', ''ZJGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩击痛'', ''ZJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胯肿'', ''KZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部肿胀'', ''LBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸肿胀'', ''LZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裂伤'', ''LS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴水肿'', ''LBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常'', ''MFYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤多毛'', ''PFDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤少毛'', ''PFSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿不尽'', ''NBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿臭'', ''NC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿床'', ''NC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道出血'', ''NDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道滴白'', ''NDDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道分泌物增多'', ''NDFMWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道口瘙痒'', ''NDKZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道损伤'', ''NDSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道溢脓'', ''NDYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道灼热感'', ''NDZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿滴血'', ''NDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿精'', ''NJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气尿'', ''QN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精痛'', ''SJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精障碍'', ''SJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手淫'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血精'', ''XJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗尿'', ''YN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部表情呆板'', ''MBBQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部表情肌无力'', ''MBBQJWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部不适'', ''MBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部抽搐'', ''MBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部呆板'', ''MBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部呆滞'', ''MBDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部僵硬'', ''MBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部麻木'', ''MBMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部神经麻木'', ''MBSJMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部疼痛'', ''MBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肿痛'', ''MBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肿胀'', ''MBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌痉挛'', ''MJJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面具脸'', ''MJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面容淡漠'', ''MRDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面瘫'', ''MT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色苍白'', ''MSCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色潮红'', ''MSCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色晦暗'', ''MSHA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色黧黑'', ''MSZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色萎黄'', ''MSWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精浊'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎痛'', ''YJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎肿块'', ''YJZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎肿胀'', ''YJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊潮湿'', ''YNCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊瘙痒'', ''YNZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊痛'', ''YNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿大'', ''YNZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿块'', ''YNZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊坠痛'', ''YNZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊坠胀感'', ''YNZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多尿'', ''DN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿量异常'', ''NLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿'', ''SN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无尿'', ''WN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酱油色尿'', ''JYSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿白'', ''NB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红'', ''NH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿黄'', ''NH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色黄'', ''NSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色深'', ''NSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊'', ''NYHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿质异常'', ''NZYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓茶色尿'', ''NCSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫尿'', ''PMN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉眼血尿'', ''RYXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石灰水样尿'', ''SHSYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淘米水样尿'', ''TMSYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便浑浊色白'', ''XBHZSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿'', ''XN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动后呕吐'', ''HDHOT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剧烈呕吐'', ''JLOT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血'', ''OX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕热'', ''PR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜冷怕热'', ''XLPR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便不畅'', ''DBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''里急后重'', ''LJHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便不尽感'', ''PBBJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便费力'', ''PBFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便时间延长'', ''PBSJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便阻塞感'', ''PBZSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛'', ''NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿外渗'', ''NWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿中排石'', ''NZPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿不适'', ''PNBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便刺痛'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便隐痛'', ''XBYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿无力'', ''NWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难'', ''PNKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''憋尿困难'', ''BNKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽后有尿液流出'', ''KSHYNYLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快步走有尿液流出'', ''KBZYNYLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''漏尿'', ''LN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿急'', ''NJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流变细'', ''NLBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿频'', ''NP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色发红'', ''NSFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液溢出'', ''NYYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿不畅'', ''PNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿等待'', ''PNDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿异常'', ''PNYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断'', ''PNZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿频'', ''YNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排气排便减少'', ''PQPBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排气增多'', ''PQZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疖肿'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓头'', ''NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发热感'', ''PFFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮温正常'', ''PWZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油性皮肤'', ''YXPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手指膜样脱皮'', ''SZMYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤苍白'', ''PFCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤出血点'', ''PFCXD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粗糙'', ''PFCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发红'', ''PFFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄'', ''PFFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发麻'', ''PFFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常'', ''PFGJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤干燥'', ''PFGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤巩膜黄染'', ''PFGMHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤过敏'', ''PFGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤红肿'', ''PFHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤结节'', ''PFJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤皲裂'', ''PFZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤皮疹瘙痒'', ''PFPZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤青紫'', ''PFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘙痒'', ''PFZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤色素沉着'', ''PFSSCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤湿冷'', ''PFSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤水肿'', ''PFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤烫伤'', ''PFTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤疼痛'', ''PFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤脱皮'', ''PFTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤脱屑'', ''PFTX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤萎缩'', ''PFWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤硬化'', ''PFYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点'', ''PFZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤增厚'', ''PFZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤紫斑'', ''PFZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮损'', ''PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮损疼痛'', ''PSTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡协调障碍'', ''PHXDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血点'', ''CXD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下出血'', ''PXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下出血点'', ''PXCXD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑'', ''PXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀斑'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀点'', ''ZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜'', ''ZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑丘疹'', ''BQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌疱疹'', ''ZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡疹瘙痒'', ''PZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疱疹'', ''QZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疹'', ''QZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱'', ''SZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱瘙痒'', ''SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牵拉痛'', ''QLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牵涉痛'', ''QST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身不适'', ''QSBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身酸胀'', ''QSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房过大'', ''RFGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房过小'', ''RFGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房橘皮样变'', ''RFZPYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房两侧不对称'', ''RFLCBDC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房皮肤溃疡'', ''RFPFKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房痛'', ''RFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房下垂'', ''RFXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房胀痛'', ''RFZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房肿胀'', ''RFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头凹陷'', ''RTAX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头皲裂'', ''RTZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头内陷'', ''RTNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头疱疹'', ''RTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头湿疹'', ''RTSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头痛'', ''RTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头溢血'', ''RTYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头溢液'', ''RTYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳硬结'', ''RYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳汁淤积'', ''RZYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢乳'', ''YR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕瘙痒'', ''ZHZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘙痒'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臂痛'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上髁骨折'', ''SZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢上抬费力'', ''SZSTFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢肿胀'', ''SZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌两边紫暗'', ''SLBZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌麻木'', ''SMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌糜烂'', ''SML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌破损'', ''SPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔暗紫'', ''STAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔发黑'', ''STFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔黄腻'', ''STHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌瘫'', ''ST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌疼痛'', ''STT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌咬伤'', ''SYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌质红'', ''SZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌肿胀'', ''SZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌灼热'', ''SZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬舌'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身高过矮'', ''SGGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身高过高'', ''SGGG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不痛不痒'', ''BTBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踩棉花感'', ''CMHG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扶物行走'', ''FWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄绿视'', ''HLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间歇性跛行'', ''JXXZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角弓反张'', ''JGFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''截瘫'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食漏口'', ''JSLK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噤声'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐惧'', ''KJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐水'', ''KS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角歪斜'', ''KJWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口吐白沫'', ''KTBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口吐血沫'', ''KTXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口眼歪斜'', ''KYWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺现象'', ''LNXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑外伤'', ''LNWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻木'', ''MM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻痛'', ''MT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木僵'', ''MJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕热多汗'', ''PRDH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫'', ''PT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软瘫'', ''RT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丧失兴趣'', ''SSXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物重影'', ''SWZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物昏花'', ''SWHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手不可持物'', ''SBKCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手抖'', ''SD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足抽搐'', ''SZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手抖动'', ''SSDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手震颤'', ''SSZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡觉抽搐'', ''SJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠抽搐'', ''SMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢瘫痪'', ''SZTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘫痪'', ''TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天旋地转'', ''TXDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''位置性眩晕'', ''WZXXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卧床不起'', ''WCBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五软'', ''WR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸吮无力'', ''XSWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩光'', ''XG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙齿松动'', ''YCSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙关紧闭'', ''YGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼白上翻'', ''YBSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部抽搐'', ''YBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬瘫'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口困难'', ''ZKKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口睡觉'', ''ZKSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睁眼无力'', ''ZYWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抓握无力'', ''ZWWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路不稳'', ''ZLBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路发飘感'', ''ZLFPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路摇晃'', ''ZLYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路摇晃感'', ''ZLYHG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻力感'', ''ZLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醉酒步态'', ''ZJBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经放射痛'', ''ZGSJFST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经牵拉痛'', ''ZGSJQLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流食物'', ''FLSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咀嚼障碍'', ''JJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拒食'', ''JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲减退'', ''SYJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲亢进'', ''SYKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲异常'', ''SYYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜盐'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏食'', ''WS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无食欲'', ''WSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌食'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌油'', ''YY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏盲'', ''PM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视野缺损'', ''SYQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手疱疹'', ''SZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脱皮'', ''STP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手外伤'', ''SWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足厚大'', ''SZHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部浮肿'', ''MBFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑晨起浮肿'', ''YZCQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体水肿'', ''ZTSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠肌阵挛'', ''SMJZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠尚可'', ''SMSK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒后不适感'', ''XHBSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''撕裂样疼痛'', ''SLYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红色痰'', ''HST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓血痰'', ''NXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰中带血'', ''TZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体型异常'', ''TXYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降'', ''TZXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重增加'', ''TZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳闷'', ''EM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内闭塞感'', ''ENBSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内堵塞感'', ''ENDSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性耳聋'', ''LNXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕声音'', ''PSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉过敏'', ''TJGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉受损'', ''TJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉异常'', ''TJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉障碍'', ''TJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降'', ''TLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听音失真'', ''TYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏声'', ''WS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噪声性耳聋'', ''ZSXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重听'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头闷'', ''TM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮包块'', ''TPBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮挫伤'', ''TPCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮发麻'', ''TPFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮干'', ''TPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮裂伤'', ''TPLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮平整'', ''TPPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮瘙痒'', ''TPZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮撕脱伤'', ''TPSTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发白'', ''TFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发干枯'', ''TFGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发稀'', ''TFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秃发'', ''TF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱发'', ''TF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顶枕部胀痛'', ''DZBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额部胀痛'', ''EBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后脑部胀痛'', ''HNBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后枕部胀痛'', ''HZBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞枕部胀痛'', ''ZZBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部胀痛'', ''TBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部肿块'', ''TBZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头沉重感'', ''TCZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮痛'', ''TPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头枕部胀痛'', ''TZBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枕部胀痛'', ''ZBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头胀'', ''TZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哽咽感'', ''ZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食哽咽'', ''JSZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食哽咽感'', ''JSZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食后呕吐'', ''JSHOT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食疼痛感'', ''JSTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物哽咽感'', ''SWZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽哽噎感'', ''TYZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽梗阻'', ''TYGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽痛'', ''TYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍'', ''TYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀部疼痛'', ''TBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枪弹伤'', ''QDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤处痛'', ''SCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮损伤'', ''TPSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮外伤'', ''TPWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉减退'', ''WJJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉消失'', ''WJXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉异常'', ''WJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉障碍'', ''WJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄绿色胆汁样液体'', ''HLSDZYYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饥饿痛'', ''JET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳亢易饥'', ''NKYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心'', ''SX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧灼痛'', ''SZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排便'', ''TZPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排气'', ''TZPQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排气排便'', ''TZPQPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通气不畅'', ''TQBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异食癖'', ''YSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异物感'', ''YWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饥'', ''YJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚酸'', ''JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚肿'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿麻'', ''TM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿酸'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿痛'', ''TT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿外伤'', ''TWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下蹲屈曲起立受限'', ''XDQQQLSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下蹲屈曲受限'', ''XDQQSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部肿块'', ''XFBZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢乏力'', ''XZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢活动受限'', ''XZHDSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢活动障碍'', ''XZHDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢麻木无力'', ''XZMMWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢水肿'', ''XZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢酸胀感'', ''XZSZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢抬举费力'', ''XZTJFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢瘫痪'', ''XZTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢疼痛'', ''XZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢无力'', ''XZWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿酸'', ''XTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿痛'', ''XTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左膝下蹲屈曲起立受限'', ''ZXXDQQQLSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后饱胀'', ''CHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饭后饱胀'', ''FHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部饱胀'', ''FBBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏食'', ''PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾泻'', ''SX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化不良'', ''XHBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早饱'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便白而浊'', ''XBBEZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少'', ''XBCSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便异常'', ''XBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便正常'', ''XBZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过速'', ''XDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸'', ''XJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律不齐'', ''XLBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏骤停'', ''XZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起痛'', ''BQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起异常'', ''BQYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性幻想'', ''XHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性交出血'', ''XJCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性交疼痛'', ''XJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性冷淡'', ''XLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性情急躁'', ''XQJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲亢奋'', ''XYKF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阳痿'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗精'', ''YJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早泄'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动后胸闷'', ''HDHXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷'', ''XQQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷胀感'', ''XQQMZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压迫感'', ''XQQYPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自觉胸中堵塞'', ''ZJXZDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岔气'', ''CQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胸肋痛'', ''JXXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋下隐痛'', ''LXYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区刺痛'', ''XQQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷痛'', ''XQQMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区疼痛'', ''XQQTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压榨痛'', ''XQQYZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区隐痛'', ''XQQYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区胀痛'', ''XQQZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区针刺样不适'', ''XQQZCYBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区针刺样痛'', ''XQQZCYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区灼热感'', ''XQQZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部不适感'', ''XBBSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部刺痛'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨后疼痛'', ''XGHTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸肋痛'', ''XLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸胀'', ''XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉倒错'', ''XJDC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉过敏'', ''XJGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉灵敏'', ''XJLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉丧失'', ''XJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉下降'', ''XJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉异常'', ''XJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉障碍'', ''XJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅表静脉迂曲'', ''QBJMYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管蚯蚓状凸起'', ''XGZZZTQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全程血尿'', ''QCXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无痛性血尿'', ''WTXXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洗肉水样尿'', ''XRSYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''终末血尿'', ''ZMXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血肿'', ''XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽异物感'', ''TYYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部不适'', ''YBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部干'', ''YBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部干燥'', ''YBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部僵硬感'', ''YBJYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部紧缩感'', ''YBJSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部疼痛'', ''YBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部压迫感'', ''YBYPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部异物感'', ''YBYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部鱼刺'', ''YBYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部灼热'', ''YBZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽干'', ''YG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部干燥'', ''YHBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉反流'', ''YHFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痒'', ''YHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉异物感'', ''YHYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛不适'', ''YTBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痒'', ''YY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽异物感'', ''YYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑'', ''SYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失控感'', ''SKG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失声'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜充血'', ''JMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜干燥'', ''JMGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜下出血'', ''JMXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪点外翻'', ''LDWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪液分泌过少'', ''LYFMGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流泪'', ''LL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失明'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视觉漂浮物'', ''SJPFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视觉异常'', ''SJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力下降'', ''SLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力障碍'', ''SLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力逐渐下降'', ''SLZJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视盲'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视疲劳'', ''SPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物变形'', ''SWBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物成双'', ''SWCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊'', ''SWMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物闪光'', ''SWSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物旋转'', ''SWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼红'', ''SYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼溢泪'', ''SYYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼直视'', ''SYZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏光'', ''WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下睑外翻'', ''XZWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斜视'', ''XS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部分泌物多'', ''YBFMWD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部烧灼感'', ''YBSZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部异物感'', ''YBYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼充血'', ''YCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼充血不适'', ''YCXBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼出血'', ''YCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼干涩'', ''YGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼巩膜红'', ''YGMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼红'', ''YH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼花感'', ''YHG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼黄'', ''YH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑出血'', ''YZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑红'', ''YZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑结膜充血'', ''YZJMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑水肿'', ''YZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑外翻'', ''YZWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜充血'', ''YJMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜干燥'', ''YJMGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜水肿'', ''YJMSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜下出血'', ''YJMXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶抽紧感'', ''YKCJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶痛'', ''YKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼内异物'', ''YNYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼皮下垂'', ''YPXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前黑影'', ''YQHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球充血'', ''YQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球发红'', ''YQFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球发黄'', ''YQFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球浮肿'', ''YQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球内陷'', ''YQNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球水肿'', ''YQSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球突出'', ''YQTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球震颤'', ''YQZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼痛'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼痒'', ''YY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼胀'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼胀痛'', ''YZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼肿'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼肿痛'', ''YZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼周疼痛'', ''YZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜盲'', ''YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢泪'', ''YL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢脓'', ''YN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迎风流泪'', ''YFLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''用眼不能持久'', ''YYBNCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右眼红'', ''YYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘膜苍白出血'', ''ZMCBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左眼红'', ''ZYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白眼球水肿'', ''BYQSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑浮肿'', ''ZFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不断眨眼'', ''BDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虹视'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背僵硬'', ''YBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛'', ''YBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部叩击痛'', ''YBZJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部隐痛'', ''YBYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰胯疼痛'', ''YKTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部麻木'', ''YBMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰酸'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰腿痛'', ''YTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰胀'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐痛'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能说话'', ''BNSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音障碍'', ''FYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沟通障碍'', ''GTZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''构音障碍'', ''GYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寡言'', ''GY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿不清'', ''KCBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿清楚'', ''KCQC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失语'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突然不能说话'', ''TRBNSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''语言障碍'', ''YYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量减少'', ''JLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量增多'', ''JLZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期缩短'', ''JQSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期延长'', ''JQYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经淋漓不尽'', ''YJLLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动量下降'', ''YDLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动失调'', ''YDSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动协调障碍'', ''YDXDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胀痛'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走不便'', ''XZBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走不利'', ''XZBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走困难'', ''XZKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走障碍'', ''XZZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂不能旋转'', ''QBBNXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐'', ''ZTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽筋'', ''ZTCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽痛'', ''ZTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抖动'', ''ZTDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体发白'', ''ZTFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体发冷'', ''ZTFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体活动障碍'', ''ZTHDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体酸痛'', ''ZTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体疼痛'', ''ZTTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体外伤'', ''ZTWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体无力'', ''ZTWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘不能内收'', ''ZBNNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚麻'', ''JM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木'', ''SJMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手麻'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢粗短'', ''SZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢麻木'', ''SZMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木'', ''ZTMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木无力'', ''ZTMMWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窒息感'', ''ZXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力减退'', ''ZLJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力缺陷'', ''ZLQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力障碍'', ''ZLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马蹄内翻足'', ''MTNFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双足内翻'', ''SZNF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足溃疡'', ''ZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0.9%氯化钠注射液'', ''0.9%LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10%葡萄糖注射液'', ''10%PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12种复合维生素'', ''12ZFHWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23价肺炎球菌多糖疫苗'', ''23JFYQJDTYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30/70混合重组人胰岛素'', ''30/70HHZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖氯化钠注射液'', ''5%PTTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖注射液'', ''5%PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50%葡萄糖注射液'', ''50%PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素'', ''50/50HHZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ACYW135群脑膜炎球菌多糖疫苗'', ''ACYW135QNMYQJDTYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌多糖疫苗'', ''AQCQNMYQJDTYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌结合疫苗'', ''AQCQNMYQJJHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌'', ''AQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群脑膜炎球菌多糖疫苗'', ''AQNMYQJDTYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A型肉毒毒素'', ''AXRDDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''b型流感嗜血杆菌结合疫苗'', ''bXLGSXGJJHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-谷氨酰胺呱仑酸钠'', ''L-GAZAZLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-赖氨酸盐酸盐'', ''L-LASYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N(2)-L-丙氨酰-L-谷氨酰胺'', ''N(2)-L-BAZ-L-GAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ω-3鱼油脂肪乳'', ''ω-3YYZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿巴卡韦'', ''ABKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿柏西普'', ''ABXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑'', ''ABDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿比多尔'', ''ABDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿比特龙'', ''ABTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达木单抗'', ''ADMDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达帕林'', ''ADPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿德福韦酯'', ''ADFWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿伐斯汀'', ''AFST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇'', ''AFGHC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法替尼'', ''AFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿夫唑嗪'', ''AFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿戈美拉汀'', ''AGMLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿格列汀'', ''AGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血颗粒'', ''AGYXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血糖浆'', ''AGYXTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿加曲班'', ''AJQB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶'', ''AJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶补血口服液'', ''AJBXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶当归口服液'', ''AJDGKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶胶囊'', ''AJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶养血颗粒'', ''AJYXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿桔'', ''AJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿桔片'', ''AJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿咖酚'', ''AKF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿卡波糖'', ''AKBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿拉坦五味丸'', ''ALTWWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑'', ''ALZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿利沙坦酯'', ''ALSTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠'', ''ALZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D3'', ''ALZSNWD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿罗洛尔'', ''ALLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿洛西林'', ''ALXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米卡星'', ''AMKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米洛利'', ''AMLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''24999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米替林'', ''AMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫罗芬'', ''AMLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林'', ''AMXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林氟氯西林'', ''AMXLFLXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾'', ''AMXLKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(14:1)'', ''AMXLKLWSJ(14:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4'', ''AMXLKLWSJ(4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)'', ''AMXLKLWSJ(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7'', ''AMXLKLWSJ(7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)'', ''AMXLKLWSJ(7:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林舒巴坦'', ''AMXLSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿那曲唑'', ''ANQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿娜尔妇洁液'', ''ANEFJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿帕替尼'', ''APTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿哌沙班'', ''AZSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿普唑仑'', ''APZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素'', ''AQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素枸橼酸二氢钠'', ''AQMSZZSEQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素磷酸二氢钠'', ''AQMSLSEQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿曲库铵'', ''AQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿瑞匹坦'', ''ARPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿舒瑞韦'', ''ASRW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林'', ''ASPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿糖胞苷'', ''ATBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因'', ''ATKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因肾上腺素'', ''ATKYSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替洛尔'', ''ATLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替普酶'', ''ATPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀'', ''ATFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀钙'', ''ATFTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托品'', ''ATP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托西班'', ''ATXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿维A'', ''AWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠'', ''AWSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠葡萄糖'', ''AWSNPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪'', ''AWSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿西美辛'', ''AXMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦'', ''AXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔莫司'', ''AXMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔替尼'', ''AXTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎胞苷'', ''AZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎司琼'', ''AZSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎司琼氯化钠'', ''AZSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿折地平'', ''AZDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃克替尼'', ''AKTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑'', ''ASMLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑镁'', ''ASMLZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾迪注射液'', ''ADZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾地苯醌'', ''ADBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾附暖宫丸'', ''AFNGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾拉莫德'', ''ALMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾普拉唑'', ''APLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾瑞昔布'', ''ARXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾塞那肽'', ''ASNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑'', ''ASAMLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑镁'', ''ASAMLZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司洛尔'', ''ASLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司西酞普兰'', ''ASXTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司唑仑'', ''ASZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾愈胶囊'', ''AYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''爱普列特'', ''APLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安多霖'', ''ADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安多霖胶囊'', ''ADLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安儿宁颗粒'', ''AENKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安非他酮'', ''AFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄片'', ''AGNHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄丸'', ''AGNHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安康欣胶囊'', ''AKXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安坤胶囊'', ''AKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乐片'', ''ALP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安立生坦'', ''ALST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安罗替尼'', ''ALTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络化纤丸'', ''ALHXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛胶囊'', ''ALTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛片'', ''ALTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乃近'', ''ANJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安脑丸'', ''ANW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑胶囊'', ''ASBNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑颗粒'', ''ASBNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑片'', ''ASBNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑液'', ''ASBNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补心丸'', ''ASBXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安他唑啉'', ''ATZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胎丸'', ''ATW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安体舒通'', ''ATST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安替可'', ''ATK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安替可胶囊'', ''ATKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安妥沙星'', ''ATSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃片'', ''AWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃疡胶囊'', ''AWYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃止痛胶囊'', ''AWZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安中片'', ''AZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎'', ''ZNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶'', ''ABDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶氢氯噻嗪'', ''ABDZQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林'', ''AZXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林舒巴坦'', ''AZXLSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱'', ''ACJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨碘肽'', ''ADZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚待因(Ⅰ)'', ''AFDY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚甲硫氨酸'', ''AFJLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖黄烷胺'', ''AFKHWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖那敏'', ''AFKNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯雷伪麻'', ''AFLLWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯汀伪麻'', ''AFLTWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美'', ''AFMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚美伪麻片与苯酚伪麻'', ''AFMWMPYBFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚那敏三味浸膏'', ''AFNMSWJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚羟考酮'', ''AFZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲'', ''AFQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲马多'', ''AFQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚沙芬'', ''AFSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚双氢可待因'', ''AFSQKDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚烷胺那敏'', ''AFWANM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻'', ''AFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻(Ⅱ)'', ''AFWM(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬'', ''AFWMMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬(Ⅲ)/氨麻美敏(Ⅲ)'', ''AFWMMF(Ⅲ)/AMMM(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬/氨麻美敏Ⅱ'', ''AFWMMF/AMMMⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬Ⅱ'', ''AFWMMFⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬Ⅱ/氨麻苯美'', ''AFWMMFⅡ/AMBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏'', ''AFWMNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅰ)'', ''AFWMNM(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅱ)'', ''AFWMNM(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅲ)'', ''AFWMNM(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚右敏'', ''AFYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磺必利'', ''AHBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基比林'', ''AJBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基己酸'', ''AJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基葡萄糖'', ''AJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基葡萄糖钾'', ''AJPTTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸'', ''AJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸葡萄糖'', ''AJSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸'', ''AJBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸氯化钠'', ''AJBSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸'', ''AJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸氯化钠'', ''AJHSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨金黄敏'', ''AJHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏'', ''AKHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖愈敏'', ''AKYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨来闩悼谇惶片'', ''ALZDZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酪酸'', ''ALS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磷汀'', ''ALT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平'', ''ALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平阿托伐他汀钙'', ''ALDPATFTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平贝那普利'', ''ALDPBNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美敏'', ''AMMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美明'', ''AMMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨曲南'', ''AQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨肽素'', ''AZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛'', ''ATMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酮戊酸'', ''ATWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索氯化钠'', ''AZSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索葡萄糖'', ''AZSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴特罗'', ''AZTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胺碘酮'', ''ADT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼'', ''ADSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼氯化钠'', ''ADSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼葡萄糖'', ''ADSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥布卡因'', ''ABKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平'', ''ADP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥卡西平'', ''AKXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥拉西坦'', ''ALXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥洛他定'', ''ALTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥马珠单抗'', ''AMZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑镁'', ''AMLZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯'', ''AMSTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯氢氯噻嗪'', ''AMSTZQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥普力农'', ''APLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉秦'', ''ASLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉嗪'', ''ASLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂'', ''ASLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂甘露醇'', ''ASLBGLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦'', ''ASPQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙西泮'', ''ASXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥司他韦'', ''ASTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥替溴铵'', ''ATZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥昔布宁'', ''AXBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝'', ''AX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑'', ''AXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑氯化钠'', ''AXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑葡萄糖'', ''AXZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷'', ''AZGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠氯化钠'', ''AZGLNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐胶囊'', ''ATLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐颗粒'', ''ATLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八宝丹胶囊'', ''BBDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍胶囊'', ''BZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒'', ''BZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒（无蔗糖）'', ''BZKL（WZT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍片'', ''BZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母胶囊'', ''BZYMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母片'', ''BZYMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母丸'', ''BZYMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正胶囊'', ''BZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正颗粒'', ''BZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正片'', ''BZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴戟口服液'', ''BZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴利昔单抗'', ''BLXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴柳氮钠'', ''BLDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴洛沙星'', ''BLSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氯芬'', ''BLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴曲酶'', ''BQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴特日七味丸'', ''BTRQWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕止痒软化乳膏'', ''BHZYRHRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白百抗痨颗粒'', ''BBKZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带丸'', ''BDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白癜风胶囊'', ''BZFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白花油'', ''BHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白灵片'', ''BLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白苓健脾颗粒'', ''BZJPKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白脉软膏'', ''BMRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白眉蛇毒血凝酶'', ''BMSDXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白葡奈氏菌'', ''BPNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白芍总苷'', ''BSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白石清热颗粒'', ''BSQRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白消安'', ''BXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百艾洗液'', ''BAXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百安洗液'', ''BAXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百宝丹胶囊'', ''BBDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百补增力丸'', ''BBZLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百草妇炎清栓'', ''BCFYQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金口服液'', ''BHGJKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金片'', ''BHGJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金丸'', ''BHGJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳静糖浆'', ''BKJTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳宁颗粒'', ''BKNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令胶囊'', ''BLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令片'', ''BLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊颗粒'', ''BRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊片'', ''BRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热胶囊'', ''BXXTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热片'', ''BXXTRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏洁洗剂'', ''BJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏子养心丸'', ''BZYXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''班布特罗'', ''BBTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥素'', ''BZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠'', ''BZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根颗粒'', ''BLGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根注射液'', ''BLGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半水合雌二醇'', ''BSHCEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏露糖浆'', ''BXLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏糖浆'', ''BXTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包醛氧淀粉'', ''BQYDF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱'', ''BLDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠氯化钠'', ''BLDJNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱葡萄糖'', ''BLDJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄荷喉片'', ''BHHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝片'', ''BZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝糖肽'', ''BZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝宝乐'', ''BBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝咳宁颗粒'', ''BKNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保儿安颗粒'', ''BEAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康凝胶'', ''BFKNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康泡沫剂'', ''BFKPMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康栓'', ''BFKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和颗粒'', ''BHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和丸'', ''BHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济口服液'', ''BJKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济丸'', ''BJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保利尔胶囊'', ''BLEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵'', ''BTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵胶囊'', ''BTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧片'', ''BTWYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧散'', ''BTWYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保泰松'', ''BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葆宫止血颗粒'', ''ZGZXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''北豆根胶囊'', ''BDGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠'', ''BFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠单抗'', ''BFZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝羚胶囊'', ''BLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美前列素'', ''BMQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美素噻吗洛尔'', ''BMSZMLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美索噻吗洛尔'', ''BMSZMLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝敏伪麻'', ''BMWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝母花流浸膏'', ''BMHLJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利'', ''BNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利氢氯噻嗪'', ''BNPLQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝尼地平'', ''BNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝诺酯'', ''BNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝前列素'', ''BQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他胡萝卜素'', ''BTHLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他洛尔'', ''BTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松'', ''BTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松磷酸钠'', ''BTMSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他司汀'', ''BTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他司汀氯化钠'', ''BTSTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥'', ''BBBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥东莨菪碱'', ''BBBTDZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙哌林'', ''BBZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丁酸氮芥'', ''BDSDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明'', ''BHLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明薄荷脑'', ''BHLMBHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海索'', ''BHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺顺阿曲库铵'', ''BHSAQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸阿曲库铵'', ''BHSAQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平'', ''BHSALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸左旋氨氯地平'', ''BHSZXALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲醇'', ''BJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯妥英钠'', ''BTYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯酰甲硝唑'', ''BZJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯溴马隆'', ''BZML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特'', ''BZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎氯铵'', ''BZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎溴铵'', ''BZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯唑西林'', ''BZXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦炎口服液'', ''BZYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻康片'', ''BKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎康片'', ''BYKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎片'', ''BYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊片'', ''BYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊舒口服液'', ''BYSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊通窍颗粒'', ''BYTQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比阿培南'', ''BAPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比拜克胶囊'', ''BBKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比伐芦定'', ''BFLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比卡鲁胺'', ''BKLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比沙可啶'', ''BSKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔'', ''BSLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔氢氯噻嗪'', ''BSLEQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡贝地尔'', ''ZBDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡格列酮'', ''ZGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡格列酮二甲双胍'', ''ZGLTEJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡喹酮'', ''ZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦'', ''ZLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦氯化钠'', ''ZLXTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫醇'', ''ZLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫翁锌'', ''ZLWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康'', ''ZLXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡美莫司'', ''ZMMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嘧司特钾'', ''ZZSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛'', ''ZNKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡哌酸'', ''ZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嗪酰胺'', ''ZZZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡柔比星'', ''ZRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋雷尼替丁'', ''ZLNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋镁豆蔻'', ''ZMDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萆薢分清丸'', ''ZSFQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓖麻油'', ''BMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹祺胶囊'', ''BZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹痛宁胶囊'', ''BTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄达赖氨酸'', ''ZDLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄星青霉素'', ''ZXQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通胶囊'', ''BTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通片'', ''BTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油'', ''BZTJNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊'', ''BZTJNYCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表柔比星'', ''BRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲煎丸'', ''BJJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲消痔胶囊'', ''BJXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''别嘌醇'', ''BZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰黄肤乐软膏'', ''BHFLRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰硼散'', ''BPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰珍清目滴眼液'', ''BZQMDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙氨酰谷氨酰胺'', ''BAZGAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚'', ''BBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚脂肪乳'', ''BBFZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚中/长链脂肪乳'', ''BBFZ/CLZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙卡特罗'', ''BKTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫氧嘧啶'', ''BLYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫异烟胺'', ''BLYYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙美卡因'', ''BMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙帕他莫'', ''BPTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙哌维林'', ''BZWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松'', ''BSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松'', ''BSFTKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸睾酮'', ''BSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸交沙霉素'', ''BSJSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氯倍他索'', ''BSLBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸镁'', ''BWSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠'', ''BWSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酰胺'', ''BWZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云锭'', ''BYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云退翳丸'', ''BYTZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸酶'', ''BLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸钠'', ''BLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''菠萝蛋白酶'', ''BLDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泊沙康唑'', ''BSKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博安霉素'', ''BAMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博来霉素'', ''BLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博莱霉素'', ''BLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博性康药膜'', ''BXKYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肺活血胶囊'', ''BFHXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补金片'', ''BJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补脾益肠丸'', ''BPYCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾固齿丸'', ''BSGCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾强身片'', ''BSQSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑胶囊'', ''BSYNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑丸'', ''BSYNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿胶囊'', ''BSYSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿片'', ''BSYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补天灵片'', ''BTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补心气口服液'', ''BXQKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补血生乳颗粒'', ''BXSRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补液盐'', ''BYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气合剂'', ''BZYQHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气颗粒'', ''BZYQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气口服液'', ''BZYQKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸'', ''BZYQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸(浓缩丸)'', ''BZYQW(NSW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸（水丸）'', ''BZYQW（SW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布比卡因'', ''BBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德'', ''BDND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德福莫特罗'', ''BDNDFMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布桂嗪'', ''BGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布拉氏酵母菌'', ''BLSJMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布林佐胺'', ''BLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬'', ''BLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻'', ''BLWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻那敏'', ''BLWMNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼'', ''BMTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布南色林'', ''BNSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布替萘芬'', ''BTZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布托啡诺'', ''BTFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参柴肝康软胶囊'', ''CCGKRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参丹散结胶囊'', ''CDSJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参蛾助阳合剂'', ''CEZYHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参附注射液'', ''CFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参桂鹿茸丸'', ''CGLRW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参黄养阴胶囊'', ''CHYYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参莲胶囊'', ''CLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术颗粒'', ''CZBSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术散'', ''CZBSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦地黄丸'', ''CMDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦注射液'', ''CMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参七乳泰片'', ''CQRTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪扶正注射液'', ''CZFZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪肝康片'', ''CZGKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪健胃颗粒'', ''CZJWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖胶囊'', ''CZJTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖颗粒'', ''CZJTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖片'', ''CZJTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪十一味颗粒'', ''CZSYWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子胶囊'', ''CZWWZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子片'', ''CZWWZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸保胎丸'', ''CRBTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸强肾片'', ''CRQSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参三七伤药片'', ''CSQSYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参松养心胶囊'', ''CSYXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参维冻干蜂王浆片'', ''CWDGFWJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参仙升脉口服液'', ''CXSMKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芎葡萄糖'', ''CZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕茸柱天胶囊'', ''CRZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎滴丸'', ''CEZBYDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎胶囊'', ''CEZBYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草分枝杆菌F.U.36'', ''CFZGJF.U.36'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草木犀流浸液'', ''CMXLJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草酸艾司西酞普兰'', ''CSASXTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草乌甲素'', ''CWJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶苯海明'', ''CBHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱'', ''CJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释'', ''CJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱麻黄碱'', ''CJMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡滴丸'', ''CHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡注射液'', ''CHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄颗粒'', ''CHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄清热颗粒'', ''CHQRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴银口服液'', ''CYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾麝救心丸'', ''ZZJXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾酥注射液'', ''ZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安胶囊'', ''CFAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安颗粒'', ''CFAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复康颗粒'', ''CFKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复欣颗粒'', ''CFXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后康膏'', ''CHKG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后逐瘀胶囊'', ''CHZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道病毒71型灭活疫苗(Vero细胞)'', ''CDBD71XMHYM(VeroXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠康片'', ''CKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养'', ''CNYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(SP)'', ''CNYY(SP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP)'', ''CNYY(TP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF)'', ''CNYY(TPF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-D)'', ''CNYY(TPF-D)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-DM)'', ''CNYY(TPF-DM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-FOS)'', ''CNYY(TPF-FOS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-T)'', ''CNYY(TPF-T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP-HE)'', ''CNYY(TP-HE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP-MCT)'', ''CNYY(TP-MCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠泰合剂'', ''CTHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃散'', ''CWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃舒胶囊'', ''CWSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠炎宁糖浆'', ''CYNTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香化气胶囊'', ''CXHQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香曲'', ''CXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈香露白露片'', ''CXLBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿白带丸'', ''CSBDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒软膏'', ''CSZYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒洗液'', ''CSZYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川百止痒洗剂'', ''CBZYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷胶囊'', ''CBZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷糖浆'', ''CBZZTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝清肺糖浆'', ''CBQFTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝雪梨膏'', ''CBXLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川黄口服液'', ''CHKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调颗粒'', ''CZCDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调片'', ''CZCDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪'', ''CZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪氯化钠'', ''CZZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪葡萄糖'', ''CZZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎清脑颗粒'', ''CZQNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川蛭通络胶囊'', ''CZTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿琥宁'', ''CZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿黄清热胶囊'', ''CHQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿王消炎片'', ''CWXYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿心莲片'', ''CXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘咳宁片'', ''CKNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘可治注射液'', ''CKZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草颗粒'', ''CPCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草片'', ''CPCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体后叶'', ''CTHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椿乳凝胶'', ''CRNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁朱丸'', ''CZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇'', ''CEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇/雌二醇地屈孕酮'', ''CEC/CECDQYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇地屈孕酮'', ''CECDQYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇屈螺酮'', ''CECQLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌莫司汀'', ''CMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''次氯酸钠'', ''CLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加胶囊'', ''CWJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加脑灵胶囊'', ''CWJNLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加注射液'', ''CWJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁黄补肾胶囊'', ''ZHBSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉通便口服液'', ''ZRTBKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉益肾颗粒'', ''ZRYSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肝细胞生长素'', ''CGXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促皮质素'', ''CPZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氨己酸锌'', ''CAJSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋甲唑胺'', ''CJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸'', ''CLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙'', ''CSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸亮丙瑞林'', ''CSLBRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达比加群酯'', ''DBJQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达泊西汀'', ''DBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素'', ''DGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素钠'', ''DGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达格列净'', ''DGLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达卡巴嗪'', ''DKBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁'', ''DKLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁氯己定硫'', ''DKLNLJDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达拉他韦'', ''DLTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达立通颗粒'', ''DLTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达那唑'', ''DNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达诺瑞韦'', ''DNRW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达沙替尼'', ''DSTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达托霉素'', ''DTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大败毒胶囊'', ''DBDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大补阴丸'', ''DBYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大观霉素'', ''DGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆胶囊'', ''DHLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆片'', ''DHLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄庶虫丸'', ''DHSCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄碳酸氢钠'', ''DHTSQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄通便颗粒'', ''DHTBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄叶绿素铜钠'', ''DHYLSTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蜇虫丸'', ''DHZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫胶囊'', ''DHZCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫片'', ''DHZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络胶囊'', ''DHLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络丸'', ''DHLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大山楂丸'', ''DSZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素'', ''DSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天胶囊'', ''DZHJTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天注射液'', ''DZHJTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代温灸膏'', ''DWJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参川芎嗪'', ''DCCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参滴注液'', ''DCDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参多酚酸'', ''DCDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参胶囊'', ''DCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参片'', ''DCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参软胶囊'', ''DCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参舒心胶囊'', ''DCSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮ⅡA磺酸钠'', ''DCTⅡAHSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮胶囊'', ''DCTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参注射液'', ''DCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑胶囊'', ''DDTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑片'', ''DDTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹莪妇康煎膏'', ''DZFKJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹红注射液'', ''DHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀胶囊'', ''DHZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀片'', ''DHZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹鹿通督片'', ''DLTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚'', ''DPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚磺酸钠'', ''DPFHSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚软膏'', ''DPFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七胶囊'', ''DQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七片'', ''DQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七软胶囊'', ''DQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹芪偏瘫胶囊'', ''DZPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹田降脂丸'', ''DTJZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹膝颗粒'', ''DXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹香冠心注射液'', ''DXGXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹珍头痛胶囊'', ''DZTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥胶囊'', ''DZZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥片'', ''DZZYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单磷酸阿糖腺苷'', ''DLSATXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂'', ''DTYSSJTSJJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯'', ''DXSYSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯氯化钠'', ''DXSYSLZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯葡萄糖'', ''DXSYSLZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆康片'', ''DKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆乐胶囊'', ''DLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆木浸膏片'', ''DMJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆宁片'', ''DNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石利通片'', ''DSLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石片'', ''DSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆舒胶囊'', ''DSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆酸钠'', ''DSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆香鼻炎胶囊'', ''DXBYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆益宁片'', ''DYNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弹性酶'', ''DXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白琥珀酸铁'', ''DBZZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氮芥'', ''DJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氮卓斯汀'', ''DZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当飞利肝宁胶囊'', ''DFLGNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归补血口服液'', ''DGBXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归腹痛宁滴丸'', ''DGFTNDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟胶囊'', ''DGLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟丸'', ''DGLZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锝[99Tc]亚甲基二膦酸盐'', ''Z[99Tc]YJJEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素'', ''DZHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素滴丸'', ''DZHSDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素分散片'', ''DZHSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素片'', ''DZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素注射液'', ''DZHSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏生脉胶囊'', ''DZSMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏细辛注射液'', ''DZXXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素'', ''DFZGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钙'', ''DFZGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子右旋糖酐氨基酸'', ''DFZYXTZAJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液'', ''DGFMTXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G1.5%)'', ''DGFMTXY(RSY-G1.5%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G2.5%)'', ''DGFMTXY(RSY-G2.5%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G4.25%)'', ''DGFMTXY(RSY-G4.25%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白锌胰岛素'', ''DJDBXYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白重组人胰岛素'', ''DJDBZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水'', ''DTBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水喷雾剂'', ''DTBYSPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迪诺康胶囊'', ''DNKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥司明'', ''DASM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康'', ''DAXXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康胶囊'', ''DAXXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康软胶囊'', ''DAXXKRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地巴唑'', ''DBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地尔硫卓'', ''DELZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地尔硫卓(Ⅱ)'', ''DELZ(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地芬尼多'', ''DFND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氟烷'', ''DFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛'', ''DGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素'', ''DHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠'', ''DHMSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地喹氯铵'', ''DZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地拉罗司'', ''DLLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定'', ''DLLTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奈德'', ''DND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地诺前列酮'', ''DNQLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地屈孕酮'', ''DQYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地塞米松'', ''DSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地特胰岛素'', ''DTYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮'', ''DXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西他滨'', ''DXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌'', ''DYYZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌活菌'', ''DYYZGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地榆升白片'', ''DYSBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地佐辛'', ''DZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''递法明'', ''DFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄'', ''DQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄片'', ''DQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫康胶囊'', ''ZZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''点舌丸'', ''DSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘比醇'', ''DBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘酊'', ''DZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘佛醇'', ''DFC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘甘油'', ''DGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘海醇'', ''DHC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘化油'', ''DHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘解磷定'', ''DJLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘克沙醇'', ''DKSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘帕醇'', ''DPC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘普罗胺'', ''DPLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打七厘片'', ''DDQLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打万花油'', ''DDWHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打镇痛膏'', ''DDZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯羟酸'', ''DBZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞'', ''DBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞氯化钠'', ''DBTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁丙诺啡'', ''DBNF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁二磺酸腺苷蛋氨酸'', ''DEHSXZDAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁咯地尔'', ''DKDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁桂儿脐贴'', ''DGEQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁卡因'', ''DKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁螺环酮'', ''DLHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁硼'', ''DP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁酸氢化可的松'', ''DSQHKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁溴东莨菪碱'', ''DZDZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹'', ''DKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹(水蜜丸)'', ''DKD(SMW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''东方活血膏'', ''DFHXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草胶囊'', ''DLCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草片'', ''DLCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻疮膏'', ''DCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干甲型肝炎减毒活疫苗'', ''DGJXGYJDHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(Vero细胞)'', ''DGRYKQBYM(VeroXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(人二倍体细胞)'', ''DGRYKQBYM(REBTXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干水痘减毒活疫苗'', ''DGSDJDHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁滴丸'', ''DLDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁软胶囊'', ''DLRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁丸'', ''DLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独活寄生合剂'', ''DHJSHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独圣活血片'', ''DSHXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味滴丸'', ''DYWDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味分散片'', ''DYWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味胶囊'', ''DYWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味颗粒'', ''DYWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味片'', ''DYWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味软胶囊'', ''DYWRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味丸'', ''DYWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杜仲颗粒'', ''DZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肚痛健胃整肠丸'', ''DTJWZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度洛西汀'', ''DLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度他雄胺'', ''DTXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流分散片'', ''DXLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流胶囊'', ''DXLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流泡腾片'', ''DXLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流片'', ''DXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸钠'', ''DAJSYSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸异烟肼'', ''DAJSYSYYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚'', ''DYZAJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚维生素C'', ''DYZAJFWSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴胺'', ''DBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴酚丁胺'', ''DBFDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴丝肼'', ''DBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多动宁胶囊'', ''DDNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多磺酸粘多糖'', ''DHSZDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多拉司琼'', ''DLSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多酶片'', ''DMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多奈哌齐'', ''DNZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多黏菌素B'', ''DZJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多廿烷醇'', ''DZWC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮'', ''DPLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多柔比星'', ''DRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多柔比星脂质体'', ''DRBXZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多塞平'', ''DSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多沙普仑'', ''DSPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多沙唑嗪'', ''DSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖'', ''DSCJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖蛋白'', ''DTDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖铁复合物'', ''DTTFHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维(6)'', ''DW(6)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维铁'', ''DWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素'', ''DWYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(15)'', ''DWYS(15)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(21)'', ''DWYS(21)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(29)'', ''DWYS(29)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西环素'', ''DXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西他赛'', ''DXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯磷脂酰胆碱'', ''DXLZZDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯酸乙酯'', ''DXSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素'', ''DZWLYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素(Ⅰ)'', ''DZWLYS(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素(Ⅱ)'', ''DZWLYS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种维生素(12)'', ''DZWSS(12)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种油脂肪乳'', ''DZYZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅去氧胆酸'', ''EQYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛾苓丸'', ''EZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦'', ''EBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪'', ''EBSTQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦'', ''EDST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄洛替尼'', ''ELTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨'', ''EQTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨替诺福韦'', ''EQTBTNFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋'', ''ETKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋双多巴'', ''ETKPSDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦'', ''ETKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿肤康搽剂'', ''EFKCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿脾醒颗粒'', ''EPXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童回春颗粒'', ''ETHCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿泻停颗粒'', ''EXTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋胶囊'', ''ELJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋左慈丸'', ''ELZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二丁酰环磷腺苷钙'', ''EDZHLXZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳'', ''EFNL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲弗林'', ''EJFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油'', ''EJGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍'', ''EJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列本脲'', ''EJSZGLBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列吡嗪'', ''EJSZGLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列齐特'', ''EJSZGLQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二硫化硒'', ''ELHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氯乙酸二异丙胺'', ''ELYSEYBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二妙丸'', ''EMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二母宁嗽颗粒'', ''EMNSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱氯化钠'', ''EZBCJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氢麦角碱'', ''EQMJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二巯丙磺'', ''EZBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十七味定坤丸'', ''ESQWDKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味鬼臼丸'', ''ESWWGJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚胶囊'', ''ESWWSHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚丸'', ''ESWWSHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味松石丸'', ''ESWWSSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珍珠丸'', ''ESWWZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维葡醛内酯'', ''EWPQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维三七桂利嗪'', ''EWSQGLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维亚铁'', ''EWYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧丙嗪'', ''EYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二乙酰氨乙酸乙二胺'', ''EYZAYSYEA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐地那非'', ''FDNF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐尼克兰'', ''FNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐昔洛韦'', ''FXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法可林'', ''FKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南'', ''FLPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁'', ''FMTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁钙镁'', ''FMTDGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁氯化钠'', ''FMTDLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法舒地尔'', ''FSDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛酸钙片'', ''FSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦'', ''FXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛影葡胺'', ''FYPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣颗粒'', ''FFTSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣丸'', ''FFTSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放线菌素D'', ''FXJSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布丙醇'', ''FBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布司他'', ''FBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平'', ''FLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平(Ⅱ)'', ''FLDP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺'', ''FNXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非尼拉敏萘甲唑啉'', ''FNLMZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非尼拉敏盐酸萘甲唑啉'', ''FNLMYSZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特'', ''FNBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特(Ⅱ)'', ''FNBT(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非索非那定'', ''FSFND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核丸'', ''FJHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺力咳合剂'', ''FLKHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁胶囊'', ''FNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁颗粒'', ''FNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁口服液'', ''FNKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁片'', ''FNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气肿片'', ''FQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺泰胶囊'', ''FTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬布芬'', ''FBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚氨咖敏'', ''FAKM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚苄明'', ''FZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚磺乙胺'', ''FHYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖'', ''FK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖麻敏'', ''FKMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖片'', ''FKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美'', ''FMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏'', ''FMMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚美愈伪麻'', ''FMYWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞'', ''FT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚妥拉明'', ''FTLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉尘螨'', ''FCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋乃静'', ''FNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风寒感冒颗粒'', ''FHGMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风热感冒颗粒'', ''FRGMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿定胶囊'', ''FSDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿二十五味丸'', ''FSESWWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿福音丸'', ''FSFYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛胶囊'', ''FSGTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛片'', ''FSGTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿喷雾剂'', ''FSPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿祛痛胶囊'', ''FSZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿液'', ''FSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛安胶囊'', ''FTAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛片'', ''FTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风油精'', ''FYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康分散片'', ''FZCWKFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康胶囊'', ''FZCWKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康颗粒'', ''FZCWKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康片'', ''FZCWKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸'', ''FXDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸钠'', ''FXDSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋苄西林'', ''ZZXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋布西林'', ''ZBXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋麻'', ''ZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃硫胺'', ''ZZLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃妥因'', ''ZZTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃唑酮'', ''ZZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋塞米'', ''ZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤疾洗剂'', ''FJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤芩洗剂'', ''FZXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤舒止痒膏'', ''FSZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痒颗粒'', ''FYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痔清软膏'', ''FZQRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖'', ''FGLBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏立康唑'', ''FLKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏硫西汀'', ''FLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扶正化瘀胶囊'', ''FZHZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芙朴感冒颗粒'', ''ZPGMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟胞嘧啶'', ''FBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬'', ''FBLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬巴布'', ''FBLFBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬凝胶'', ''FBLFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬酯'', ''FBLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟吡汀'', ''FZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟达拉滨'', ''FDLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀'', ''FFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟芬那酸丁酯'', ''FFNSDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟奋乃静'', ''FFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伏沙明'', ''FFSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟桂利嗪'', ''FGLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑'', ''FKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑氯化钠'', ''FKZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑葡萄糖'', ''FKZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星'', ''FLSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星葡萄糖'', ''FLSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟氯西林'', ''FLXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟马西尼'', ''FMXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟米龙'', ''FML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟尿嘧啶'', ''FNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟脲苷'', ''FZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶'', ''FZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇'', ''FZZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌利多'', ''FZLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌噻吨美利曲辛'', ''FZZDMLQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松'', ''FQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松维B6'', ''FQSWB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟他胺'', ''FTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟维司群'', ''FWSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟西汀'', ''FXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福多司坦'', ''FDST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福莫司汀'', ''FMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福莫特罗'', ''FMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利'', ''FXPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Ⅰ'', ''FMⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶A'', ''FMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10'', ''FMQ10'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10氯化钠'', ''FMQ10LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇必舒阴道泡腾片'', ''FBSYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇洁舒洗液'', ''FJSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康口服液'', ''FKKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康宁片'', ''FKNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科得生丸'', ''FKDSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科断红饮胶囊'', ''FKDHYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金胶囊'', ''FKQJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金片'', ''FKQJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科十味片'', ''FKSWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科调经片'', ''FKDJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科养荣胶囊'', ''FKYRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科再造胶囊'', ''FKZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带胶囊'', ''FKZDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带片'', ''FKZDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇可靖胶囊'', ''FKJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐胶囊'', ''FLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐颗粒'', ''FLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐片'', ''FLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇宁栓'', ''FNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇平胶囊'', ''FPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复胶囊'', ''FYKFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复片'', ''FYKFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康片'', ''FYKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎灵泡腾片'', ''FYLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎清洗剂'', ''FYQXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒胶囊'', ''FYSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒片'', ''FYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消胶囊'', ''FYXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消泡腾片'', ''FYXPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇月康胶囊'', ''FYKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛胶囊'', ''FGGTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛颗粒'', ''FGGTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中片'', ''FZLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中丸'', ''FZLZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方α-酮酸'', ''FFα-TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方阿嗪米特'', ''FFAZMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨茶碱'', ''FFACJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚甲麻'', ''FFAFJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚那敏'', ''FFAFNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚葡锌'', ''FFAFPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺'', ''FFAFWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚溴敏'', ''FFAFZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚愈敏'', ''FFAFYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基丁酸维E'', ''FFAJDSWE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸'', ''FFAJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15)双肽(2)'', ''FFAJS(15)SZ(2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸双肽'', ''FFAJSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨林巴比妥'', ''FFALBBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨肽素'', ''FFAZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨维'', ''FFAW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方八维甲睾酮'', ''FFBWJZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方斑蝥胶囊'', ''FFBZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方北豆根氨酚那敏'', ''FFBDGAFNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方贝母片'', ''FFBMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍氯米松樟脑'', ''FFBLMSZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍他米松'', ''FFBTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白'', ''FFZLXTNDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白水解物'', ''FFZLXTNDBSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鳖甲软肝片'', ''FFBJRGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方别嘌醇'', ''FFBZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙谷胺西咪替丁'', ''FFBGAXZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙酸氯倍他索'', ''FFBSLBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方草珊瑚含片'', ''FFCSHHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方川芎胶囊'', ''FFCZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方穿心莲片'', ''FFCXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方次没食子酸铋Ⅱ'', ''FFCMSZSZⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苁蓉益智胶囊'', ''FFZRYZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸地塞米松'', ''FFCSDSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸氟轻松'', ''FFCSFQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸棉酚'', ''FFCSMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸曲安奈德'', ''FFCSQAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参滴丸'', ''FFDCDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''25999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参胶囊'', ''FFDCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参片'', ''FFDCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参丸'', ''FFDCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胆通胶囊'', ''FFDTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地芬诺酯'', ''FFDFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙胶囊'', ''FFDLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙片'', ''FFDLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地西泮'', ''FFDXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方颠茄铋镁'', ''FFDQZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方电解质'', ''FFDJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香开胃贴'', ''FFDXKWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香罗勒'', ''FFDXLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杜仲健骨颗粒'', ''FFDZJGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚'', ''FFDYZAJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多维元素(23)'', ''FFDWYS(23)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多粘菌素B'', ''FFDZJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方莪术油'', ''FFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方二氯醋酸二异丙胺'', ''FFELCSEYBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方泛影葡胺'', ''FFFYPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酚咖伪麻'', ''FFFKWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁胶囊'', ''FFFSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁片'', ''FFFSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁注射液'', ''FFFSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方扶芳藤合剂'', ''FFFFTHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟米松'', ''FFFMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟尿嘧啶'', ''FFFNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方福尔可定'', ''FFFEKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草'', ''FFGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草片'', ''FFGCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵'', ''FFGCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵苷'', ''FFGCSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵'', ''FFGCSDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S'', ''FFGCSDZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S氯化钠'', ''FFGCSDZSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷'', ''FFGCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草浙贝氯化铵'', ''FFGCZBLHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘露醇'', ''FFGLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝浸膏'', ''FFGJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素钠尿囊素'', ''FFGSNNNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素尿囊素'', ''FFGSNNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方感冒灵颗粒'', ''FFGMLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方公英片'', ''FFGYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺'', ''FFGAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方骨肽'', ''FFGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方瓜子金颗粒'', ''FFGZJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蛤青注射液'', ''FFGQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方海蛇胶囊'', ''FFHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红豆杉胶囊'', ''FFHDSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红衣补血口服液'', ''FFHYBXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方猴头胶囊'', ''FFHTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方虎杖氨敏'', ''FFHZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方环磷酰胺'', ''FFHLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄柏液涂剂'', ''FFHBYTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄连素片'', ''FFHLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄松洗液'', ''FFHSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲恶唑'', ''FFHAJEZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺嘧啶锌'', ''FFHAZZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方活脑舒胶囊'', ''FFHNSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲苯咪唑'', ''FFJBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲硝唑'', ''FFJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲氧那明'', ''FFJYNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方角菜酸酯'', ''FFJCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金刚烷胺氨基比林'', ''FFJGWAAJBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金钱草颗粒'', ''FFJQCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金银花颗粒'', ''FFJYHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗氯化铵'', ''FFJGLHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗麻黄碱'', ''FFJGMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗止咳片'', ''FFJGZKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质'', ''FFJYECDJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡力孜然'', ''FFKLZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡托普利'', ''FFKTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方可待因'', ''FFKDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑'', ''FFKMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑(Ⅱ)'', ''FFKMZ(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参水杨酸'', ''FFKCSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参洗剂'', ''FFKCXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参注射液'', ''FFKCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎分散片'', ''FFKMXYFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎胶囊'', ''FFKMXYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方赖氨酸'', ''FFLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蓝棕果'', ''FFLZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雷尼替丁'', ''FFLNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利多卡因'', ''FFLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平'', ''FFLXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平氨苯蝶啶'', ''FFLXPABDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因'', ''FFLSKDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫黄'', ''FFLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸氢黄连素'', ''FFLSQHLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素'', ''FFLSRGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸双肼屈嗪'', ''FFLSSZQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸新霉素'', ''FFLSXMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁'', ''FFLSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁叶酸'', ''FFLSYTYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳安咖'', ''FFLAK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳唑'', ''FFLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方芦丁'', ''FFLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鹿茸健骨胶囊'', ''FFLRJGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗布麻'', ''FFLBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗汉果止咳颗粒'', ''FFLHGZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方铝酸铋'', ''FFLSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯丙那林溴己新'', ''FFLBNLZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯化钠'', ''FFLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定'', ''FFLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定地塞米松'', ''FFLJDDSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯霉素'', ''FFLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗'', ''FFLZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方梅笠草片'', ''FFMZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方门冬维甘'', ''FFMDWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方米非司酮'', ''FFMFST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方木尼孜其'', ''FFMNZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方萘普生'', ''FFZPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方南星止痛膏'', ''FFNXZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑蛋白水解物'', ''FFNDBSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑肽节苷脂'', ''FFNZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿囊素'', ''FFNNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿维氨'', ''FFNWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方牛胎肝提取物'', ''FFNTGTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胚肝铁铵'', ''FFPGTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蒲芩胶囊'', ''FFPZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方青黛胶囊'', ''FFQZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢溴酸右美沙芬'', ''FFQZSYMSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝'', ''FFQYHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝镁'', ''FFQYHLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方清带灌注液'', ''FFQDGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素'', ''FFQDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因'', ''FFQDMSPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因维B12'', ''FFQDMSPLKYWB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲安奈德'', ''FFQAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲马多'', ''FFQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲尼司特'', ''FFQNST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲肽'', ''FFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸'', ''FFRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸钠葡萄糖'', ''FFRSNPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三七胶囊'', ''FFSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维B'', ''FFSWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维亚油酸'', ''FFSWYYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方沙棘籽油栓'', ''FFSJZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方伤痛胶囊'', ''FFSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方麝香注射液'', ''FFZXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方十一烯酸锌曲安奈德'', ''FFSYXSXQAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通胶囊'', ''FFSLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通片'', ''FFSLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石韦胶囊'', ''FFSWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方嗜酸乳杆菌'', ''FFSSRGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双花片'', ''FFSHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双氯芬酸钠'', ''FFSLFSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯巴布'', ''FFSYSJZBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯苯海拉明'', ''FFSYSJZBHLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙'', ''FFTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方藤果痔疮栓'', ''FFTGZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻蜜环糖肽'', ''FFTMMHTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻片'', ''FFTMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑'', ''FFTKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方头孢克洛'', ''FFTZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方土槿皮酊'', ''FFTZPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方托吡卡胺'', ''FFTZKA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维U颠茄铋铝'', ''FFWUDQZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素'', ''FFWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(3)'', ''FFWSS(3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(4)'', ''FFWSS(4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素B12'', ''FFWSSB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白'', ''FFWDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白酶'', ''FFWDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方夏天无片'', ''FFXTWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鲜竹沥液'', ''FFXZLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶'', ''FFXHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶(Ⅱ)'', ''FFXHM(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消旋山莨菪碱'', ''FFXXSZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌布'', ''FFXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌铁钙'', ''FFXTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方新霉素多粘菌素'', ''FFXMSDZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杏香兔耳风片'', ''FFXXTEFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方玄驹胶囊'', ''FFXJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雪莲烧伤膏'', ''FFXLSSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通胶囊'', ''FFXSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通片'', ''FFXSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通软胶囊'', ''FFXSTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方亚油酸乙酯'', ''FFYYSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿米洛利'', ''FFYSAMLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿替卡因'', ''FFYSATKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸利多卡因'', ''FFYSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸麻黄碱'', ''FFYSMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸伪麻黄碱'', ''FFYSWMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方一枝蒿颗粒'', ''FFYZZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乙酰水杨酸'', ''FFYZSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方异丙托溴铵'', ''FFYBTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵胶囊'', ''FFYGLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵片'', ''FFYGLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵软胶囊'', ''FFYGLRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝丸'', ''FFYGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母草胶囊'', ''FFYMCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母胶囊'', ''FFYMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨酚维C'', ''FFYQAFWC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏'', ''FFYQAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养'', ''FFYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养(整蛋白型肠内营养)'', ''FFYY(ZDBXCNYY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养混悬剂'', ''FFYYHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐40'', ''FFYXTZ40'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐70'', ''FFYXTZ70'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草滴丸'', ''FFYXCDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草合剂'', ''FFYXCHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草颗粒'', ''FFYXCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草片'', ''FFYXCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方愈创木酚磺酸钾'', ''FFYCMFHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方枣仁胶囊'', ''FFZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方皂矾丸'', ''FFZFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟柳碱'', ''FFZLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟脑'', ''FFZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方追风膏'', ''FFZFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方紫荆皮水杨酸'', ''FFZJPSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肝宁片'', ''FGNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合氨基酸(8-11)'', ''FHAJS(8-11)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合辅酶'', ''FHFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸氢钾'', ''FHLSQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸酯酶'', ''FHLSZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合乳酸菌'', ''FHRSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素'', ''FHWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素B'', ''FHWSSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明胶囊'', ''FMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明片'', ''FMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肾宁胶囊'', ''FSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁'', ''FMSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富血口服液'', ''FXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹可安片'', ''FKAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液'', ''FMTXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐)'', ''FMTXY(RSY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G1.5%)'', ''FMTXY(RSY-G1.5%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G2.5%)'', ''FMTXY(RSY-G2.5%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G4.25%)'', ''FMTXY(RSY-G4.25%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘎日迪五味丸'', ''GRDWWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆贝葡胺'', ''ZBPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆喷酸葡胺'', ''ZPSPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆双胺'', ''ZSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆特酸葡胺'', ''ZTSPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙泊三醇倍他米松'', ''GBSCBTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨双唑'', ''GASZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨双唑钠'', ''GASZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨酸碳酸钙'', ''GASTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵'', ''GCSEZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵氯化钠'', ''GCSEZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草锌'', ''GCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘海胃康胶囊'', ''GHWKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘精胰岛素'', ''GJYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露醇'', ''GLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露聚糖肽'', ''GLJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘羟铝'', ''GZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油'', ''GY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油果糖氯化钠'', ''GYGTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油磷酸钠'', ''GYLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油氯化钠'', ''GYLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝必复胶囊'', ''GBFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝达康颗粒'', ''GDKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐胶囊'', ''GFLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐片'', ''GFLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝加欣片'', ''GJXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝康宁片'', ''GKNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝爽颗粒'', ''GSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝水解肽'', ''GSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏胶囊'', ''GSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏片'', ''GSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏软胶囊'', ''GSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素'', ''GS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素封管'', ''GSFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钙'', ''GSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感咳双清胶囊'', ''GKSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒安片'', ''GMAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒解毒颗粒'', ''GMJDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒咳嗽颗粒'', ''GMKSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵胶囊'', ''GMLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵颗粒'', ''GMLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热胶囊'', ''GMQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热颗粒'', ''GMQRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热片'', ''GMQRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒退热颗粒'', ''GMTRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感清糖浆'', ''GQTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感特灵胶囊'', ''GTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干酵母'', ''GJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰'', ''GT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰软膏'', ''GTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰栓'', ''GTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高纯度尿促性素'', ''GCDNCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高锰酸钾'', ''GMSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱'', ''GSJSZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱氯化钠'', ''GSJSZJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗枸橼酸盐嘌呤'', ''GSZZSYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗氯化钠羟乙基淀粉40'', ''GSLHNZYJDF40'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素'', ''GWJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素贴'', ''GWJST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戈那瑞林'', ''GNRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戈舍瑞林'', ''GSRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼'', ''GLSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼氯化钠'', ''GLSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼葡萄糖'', ''GLSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列本脲'', ''GLBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪'', ''GLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮'', ''GLZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲'', ''GLMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特'', ''GLQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特(Ⅱ)'', ''GLQT(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根芩连片'', ''GGZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素'', ''GGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素葡萄糖'', ''GGSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛兰心宁软胶囊'', ''GLXNRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛酮通络胶囊'', ''GTTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平胶囊'', ''GTPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平颗粒'', ''GTPKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平丸'', ''GTPW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安胶囊'', ''GNAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安片'', ''GNAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦'', ''GXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦葡萄糖'', ''GXLWPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌栓'', ''GJAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎康栓'', ''GJYKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤宁胶囊'', ''GLNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清胶囊'', ''GLQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清颗粒'', ''GLQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清片'', ''GLQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤消胶囊'', ''GLXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血宁胶囊'', ''GXNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血停颗粒'', ''GXTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康胶囊'', ''GYKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康颗粒'', ''GYKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平分散片'', ''GYPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平胶囊'', ''GYPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平片'', ''GYPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞溴红'', ''GZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狗皮膏'', ''GPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸地氯雷他定'', ''ZDLLTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸磺新啶'', ''ZHXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾'', ''ZZSZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾/替硝唑/克拉霉素'', ''ZZSZJ/TXZ/KLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋雷尼替丁'', ''ZZSZLNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钙'', ''ZZSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钾'', ''ZZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙比利'', ''ZZSMSBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利'', ''ZZSMSBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钠抗凝剂'', ''ZZSNKNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氢钾钠'', ''ZZSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铁铵'', ''ZZSTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸锌'', ''ZZSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''古汉养生精片'', ''GHYSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸'', ''GAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钾'', ''GASJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钠'', ''GASN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸诺氟沙星'', ''GASNFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺'', ''GAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺呱仑酸钠'', ''GAZAZLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷胱甘肽'', ''GZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷红'', ''GH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷赖胰岛素'', ''GLYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素'', ''GWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素双维B'', ''GWSSWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺胶囊'', ''GCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁胶囊'', ''GCNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁片'', ''GCNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺片'', ''GCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺平片'', ''GCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺消痛胶囊'', ''GCXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瓜提取物'', ''GGTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇'', ''GHSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸胶囊'', ''GJWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸片'', ''GJWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨康胶囊'', ''GKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨疏康颗粒（无糖型）'', ''GSKKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨松宝胶囊'', ''GSBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽'', ''GZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽氯化钠'', ''GZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨通贴膏（聚异丁烯型）'', ''GTTG（JYDXX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛灵酊'', ''GTLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨友灵搽剂'', ''GYLCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质宁'', ''GZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本丸'', ''GBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本益肠片'', ''GBYCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肠止泻丸'', ''GCZXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾安胎丸'', ''GSATW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾生发丸'', ''GSSFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓜蒌皮注射液'', ''GZPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呱西替柳'', ''ZXTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁胶囊'', ''GMNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁片'', ''GMNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参滴丸'', ''GXDCDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参胶囊'', ''GXDCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心宁注射液'', ''GXNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心七味胶囊'', ''GXQWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心舒通胶囊'', ''GXSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱氨酸'', ''ZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾合剂'', ''GPHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾胶囊'', ''GPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸'', ''GPW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸（浓缩丸）'', ''GPW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芪颗粒'', ''GZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芍调经片'', ''GSDJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归元筋骨宁湿敷剂'', ''GYJGNSFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟甲胶'', ''GJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑降钙素'', ''ZJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素'', ''ZYJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼臼毒素'', ''GJDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸氟奋乃静'', ''GFFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸酸氟哌啶醇'', ''GSFZZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂附地黄丸'', ''GFDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂利嗪'', ''GLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂林西瓜霜'', ''GLXGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁胶囊'', ''GLKCNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁片'', ''GLKCNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂哌齐特'', ''GZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓胶囊'', ''GZZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓片'', ''GZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸'', ''GZZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸(浓缩水丸)'', ''GZZZW(NSSW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国公酒'', ''GGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖'', ''GT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钙'', ''GTELSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠'', ''GTELSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖氯化钠'', ''GTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧苯甲酰'', ''GYBJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化氢'', ''GYHQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化碳酰胺'', ''GYHTZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈西奈德'', ''HXND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛤蚧定喘丸'', ''GZDCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还少胶囊'', ''HSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原固精丸'', ''HYGJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原型谷胱甘肽'', ''HYXGZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海狗丸'', ''HGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海昆肾喜胶囊'', ''HKSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马巴戟胶囊'', ''HMBZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马多鞭丸'', ''HMDBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海蛇痹宁胶囊'', ''HSBNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒喘祖帕颗粒'', ''HCZPKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防己甲素'', ''HFJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒿甲醚'', ''ZJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚝贝钙片咀嚼片'', ''ZBGPJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''和血明目片'', ''HXMMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''河车大造胶囊'', ''HCDZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荷丹片'', ''HDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核黄素磷酸钠'', ''HHSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核酪'', ''HL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核糖核酸Ⅰ'', ''HTHSⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核糖核酸Ⅱ'', ''HTHSⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑骨藤追风活络胶囊'', ''HGTZFHLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恒古骨伤愈合剂'', ''HGGSYHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红核妇洁洗液'', ''HHFJXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花黄色素氯化钠注射液'', ''HHHSSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花清肝十三味丸'', ''HHQGSSWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥胶囊'', ''HHZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥颗粒'', ''HHZYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥片'', ''HHZYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花油'', ''HHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花注射液'', ''HHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结胶囊'', ''HJXJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结片'', ''HJXJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素'', ''HMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药胶囊'', ''HYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药片'', ''HYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉痛消炎丸'', ''HTXYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉症丸'', ''HZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎颗粒'', ''HEHXYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎片'', ''HEHXYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌片'', ''HTJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌提取物'', ''HTJTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厚朴排气合剂'', ''HPPQHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葫芦素片'', ''HLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎地肠溶胶囊'', ''HDCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散胶囊'', ''HLSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散片'', ''HLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸亚铁'', ''ZZSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酰明胶'', ''ZZZMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀消石(无糖型)'', ''ZZXS(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素'', ''ZYHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝胶囊'', ''HGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁胶囊'', ''HGNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁片'', ''HGNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝片'', ''HGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红胶囊'', ''HHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红颗粒'', ''HHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红片'', ''HHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素'', ''HZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素胶囊'', ''HZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素片'', ''HZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素注射液'', ''HZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华法林'', ''HFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华佗再造丸'', ''HZZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积颗粒'', ''HJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积口服液'', ''HJKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔胶囊'', ''HZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔片'', ''HZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔栓'', ''HZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化滞柔肝颗粒'', ''HZRGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐耳颗粒'', ''HEKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐杞黄颗粒'', ''HZHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素'', ''HZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环吡酮胺'', ''HZTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丙沙星'', ''HBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷酰胺'', ''HLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷'', ''HLXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷氯化钠'', ''HLXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺'', ''HLXZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺葡萄糖'', ''HLXZPAPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡萄糖'', ''HLXZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环喷托酯'', ''HPTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丝氨酸'', ''HSAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环索奈德'', ''HSND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环酯红霉素'', ''HZHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄豆苷元'', ''HDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄葵胶囊'', ''HKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连胶囊'', ''HLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清胶囊'', ''HLSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清颗粒'', ''HLSQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清片'', ''HLSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清丸'', ''HLSQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪精'', ''HZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪颗粒'', ''HZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪片'', ''HZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪生脉饮'', ''HZSMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪注射液'', ''HZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩胶囊'', ''HZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩茎叶解毒胶囊'', ''HZJYJDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄氏响声丸'', ''HSXSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素分散片'', ''HTSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素胶囊'', ''HTSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素片'', ''HTSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素软胶囊'', ''HTSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮'', ''HTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄酮哌酯'', ''HTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄杨宁片'', ''HYNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄栀花口服液'', ''HZHKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺醋酰'', ''HACZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶'', ''HAZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶银'', ''HAZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺苄西林'', ''HZXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺达肝癸钠'', ''HDGGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灰树花胶囊'', ''HSHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春胶囊'', ''HCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春散'', ''HCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回生口服液'', ''HSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦'', ''ZLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴三硫'', ''ZSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合糖电解质'', ''HHTDJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合重组人胰岛素'', ''HHZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活力苏口服液'', ''HLSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活络油'', ''HLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血解痛膏'', ''HXJTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血通脉胶囊'', ''HXTMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛膏'', ''HXZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛胶囊'', ''HXZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛片'', ''HXZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛软胶囊'', ''HXZTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆滴丸'', ''ZDDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆片'', ''ZDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆丸'', ''ZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香清胃胶囊'', ''ZXQWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气滴丸'', ''ZXZQDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气胶囊'', ''ZXZQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气口服液'', ''ZXZQKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气软胶囊'', ''ZXZQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气水'', ''ZXZQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸'', ''ZXZQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸（浓缩丸）'', ''ZXZQW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌氨肽苷'', ''JAZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌醇烟酸酯'', ''JCYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷氯化钠'', ''JZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷片'', ''JZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷葡萄糖'', ''JZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷注射液'', ''JZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷片'', ''JXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷霜软膏'', ''JXZSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉法酯'', ''JFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非罗齐'', ''JFLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非替尼'', ''JFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉米沙星'', ''JMSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉他霉素'', ''JTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉西他滨'', ''JXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉祥安坤丸'', ''JXAKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急支糖浆'', ''JZTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可喊'', ''JTKKH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可碱'', ''JTKKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓灰质炎灭活疫苗'', ''JSHZYMHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''季德胜蛇药片'', ''JDSSYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加巴喷丁'', ''JBPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加兰他敏'', ''JLTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加尼瑞克'', ''JNRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星'', ''JTSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味天麻胶囊'', ''JWTMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味逍遥丸'', ''JWZYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氨蝶呤'', ''JADZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯咪唑'', ''JBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲地孕酮'', ''JDYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸'', ''JFNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲酚皂'', ''JFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素'', ''JZMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素甘氨酸酯'', ''JZMSGASZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲睾酮'', ''JZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺'', ''JZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫氨酸维B1'', ''JLASWB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氯芬酯'', ''JLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲萘氢醌'', ''JZQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲哌卡因'', ''JZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲哌卡因/肾上腺素'', ''JZKY/SSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲泼尼龙琥珀酸钠'', ''JPNLZZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲羟孕酮'', ''JZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲巯咪唑'', ''JZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参'', ''JXWC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑'', ''JXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑芬布芬'', ''JXZFBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑呋喃唑酮'', ''JXZZZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑磷酸二钠'', ''JXZLSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯化钠'', ''JXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定'', ''JXZLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定(浓)'', ''JXZLJD(N)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑葡萄糖'', ''JXZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑维B6'', ''JXZWB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎灭活疫苗(人二倍体细胞)'', ''JXGYMHYM(REBTXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧苄啶'', ''JYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧氯普胺'', ''JYLPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧明'', ''JYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧沙林'', ''JYSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺'', ''JZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲紫'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖吻蝮蛇血凝酶'', ''JWZSXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间苯三酚'', ''JBSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间羟胺'', ''JZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱式硝酸铋'', ''JSXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健宝灵颗粒'', ''JBLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿强骨颗粒'', ''JEQGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿清解液'', ''JEQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿消食口服液'', ''JEXSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健民咽喉片'', ''JMYHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑补肾丸'', ''JNBSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑胶囊'', ''JNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血颗粒'', ''JPSXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血片'', ''JPSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾益肾颗粒'', ''JPYSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾止泻宁颗粒'', ''JPZXNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消食片'', ''JWXSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消炎颗粒'', ''JWXYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡颗粒'', ''JWYYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡片'', ''JWYYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜酚'', ''JF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜黄消痤搽剂'', ''JHXZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖宁胶囊'', ''JTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒胶囊'', ''JTSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒丸'', ''JTSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵分散片'', ''JZLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵胶囊'', ''JZLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂宁颗粒'', ''JZNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通便胶囊'', ''JZTBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通络软胶囊'', ''JZTLRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通脉胶囊'', ''JZTMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交联玻璃酸钠'', ''JLBLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体果胶铋'', ''JTGJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体酒石酸铋'', ''JTJSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原酶'', ''JYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角鲨烯'', ''JZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞股蓝总苷'', ''JGLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘胶囊'', ''JGQLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘片'', ''JGQLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘散'', ''JGQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘丸'', ''JGQLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白胶囊'', ''JBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白丸'', ''JBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁尔阴洗液'', ''JEYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁肤净洗剂'', ''JFJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳'', ''JGZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳(C6-24)'', ''JGZFR(C6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结合雌激素'', ''JHCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核菌素纯蛋白衍生物'', ''JHJSCDBYSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核灵片'', ''JHLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核丸'', ''JHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石康胶囊'', ''JSKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通胶囊'', ''JSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通片'', ''JSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解表追风丸'', ''JBZFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解毒痤疮丸'', ''JDZCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解痉镇痛酊'', ''JJZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金参润喉合剂'', ''JCRHHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金蝉止痒胶囊'', ''JCZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金胆片'', ''JDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚胶囊'', ''JGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤胶囊'', ''JGTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤咀嚼片'', ''JGTJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤颗粒'', ''JGTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤软胶囊'', ''JGTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤丸'', ''JGTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚烷胺'', ''JGWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚乙胺'', ''JGYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金骨莲胶囊'', ''JGLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金果饮'', ''JGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金菊利咽口含片'', ''JJLYKHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气片'', ''JZSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气丸'', ''JZSQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花分散片'', ''JLHFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花胶囊'', ''JLHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花颗粒'', ''JLHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热胶囊'', ''JLQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热泡腾片'', ''JLQRPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金龙胶囊'', ''JLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金霉素'', ''JMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金葡素'', ''JPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草胶囊'', ''JQCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草颗粒'', ''JQCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草片'', ''JQCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦胶囊'', ''JZMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦片'', ''JZMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓开音丸'', ''JSKYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓利咽胶囊'', ''JSLYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓清音丸'', ''JSQYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓散结丸'', ''JSSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓子喉片'', ''JSZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金糖宁胶囊'', ''JTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金天格胶囊'', ''JTGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金乌骨通胶囊'', ''JWGTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金玄痔科熏洗散'', ''JXZKXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金银花软胶囊'', ''JYHRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金振口服液'', ''JZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''津力达颗粒'', ''JLDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筋伤宁湿敷剂'', ''JSNSFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''近视乐眼药水'', ''JSLYYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京都念慈庵蜜炼川贝枇杷膏'', ''JDNCZMLCBZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京万红'', ''JWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经带宁胶囊'', ''JDNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经舒颗粒'', ''JSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荆肤止痒颗粒'', ''JFZYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸'', ''JAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸阿司匹林'', ''JASASPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸布洛芬'', ''JASBLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素'', ''JDBSWHCRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌胰岛素'', ''JDBXYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素'', ''JDBXZZLFYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和(25R)'', ''JDBXZZLFYDSHH(25R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和(50R)'', ''JDBXZZLFYDSHH(50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素'', ''JDBXZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素混合'', ''JDBXZZRYDSHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素'', ''JDBZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合(30/70)'', ''JDBZZRYDSHH(30/70)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合(40/60)'', ''JDBZZRYDSHH(40/60)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌胶囊'', ''JWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌片'', ''JWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制狗皮膏'', ''JZGPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制冠心片'', ''JZGXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制银翘解毒片'', ''JZYQJDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈复康颗粒'', ''JFKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈康胶囊'', ''JKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈舒颗粒'', ''JSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈腰康胶囊'', ''JYKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九合维生素'', ''JHWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味肝泰胶囊'', ''JWGTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活颗粒'', ''JWQHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活片'', ''JWQHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味双解口服液'', ''JWSJKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味镇心颗粒'', ''JWZXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桔贝合剂'', ''JBHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红胶囊'', ''ZHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红颗粒'', ''ZHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红痰咳液'', ''ZHTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红丸'', ''ZHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锯叶棕果实提取物'', ''JYZGSTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚苯乙烯磺酸钙'', ''JBYXHSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚多卡醇'', ''JDKC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚桂醇'', ''JGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚磺苯乙烯'', ''JHBYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚肌胞'', ''JJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛'', ''JJFHQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚明胶肽'', ''JMJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚普瑞锌'', ''JPRX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘'', ''JWTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇'', ''JYEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇4000'', ''JYEC4000'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素'', ''JYECGRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2a'', ''JYECGRSα-2a'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α2b'', ''JYECGRSα2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2b'', ''JYECGRSα-2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇化重组人粒细胞刺激因子'', ''JYECHZZRLXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙烯醇'', ''JYXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卷曲霉素'', ''JQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡酸'', ''KFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡因'', ''KFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖酚伪麻'', ''KFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴胆碱'', ''KBDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴拉汀'', ''KBLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡贝缩宫素'', ''KBSGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波姆'', ''KBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊芬净'', ''KBFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇'', ''KBSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇倍他米松'', ''KBSCBTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡铂'', ''KB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌纯蛋白衍生物'', ''KJJCDBYSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核'', ''KJJDTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核酸'', ''KJJDTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺'', ''KLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠'', ''KLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠氯化钠'', ''KLHNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡马西平'', ''KMXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫氟'', ''KMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫司汀'', ''KMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡那霉素'', ''KNMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡培他滨'', ''KPTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列甲酯'', ''KQLJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列素氨丁三醇'', ''KQLSADSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡替洛尔'', ''KTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡托普利'', ''KTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡维地洛'', ''KWDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴'', ''KZSDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂'', ''KHJPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂(儿童型)'', ''KHJPWJ(ETX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露'', ''KSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露(含甘油)'', ''KSL(HGY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气胶囊'', ''KXSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气丸'', ''KXSQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦西酯'', ''KDSTXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯'', ''KDSTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾扶正片'', ''KAFZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾注射液'', ''KAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康柏西普'', ''KBXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇灵胶囊'', ''KFLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇软膏'', ''KFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇消炎栓'', ''KFXYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇炎胶囊'', ''KFYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康复新液'', ''KFXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特软胶囊'', ''KLTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特注射液'', ''KLTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康乐鼻炎片'', ''KLBYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康力欣胶囊'', ''KLXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松'', ''KSMMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠甾醇'', ''KZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗扁桃腺炎合剂'', ''KBTXYHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒胶囊'', ''KBDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒颗粒'', ''KBDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒口服液'', ''KBDKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒糖浆'', ''KBDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒丸（浓缩丸）'', ''KBDW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗蝮蛇毒血清'', ''KZSDXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗感颗粒'', ''KGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎分散片'', ''KGYFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎胶囊'', ''KGYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎片'', ''KGYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生胶囊'', ''KGZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生片'', ''KGZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗狂犬病血清'', ''KKQBXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗痨胶囊'', ''KZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗人T细胞兔免疫球蛋白'', ''KRTXBTMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗蛇毒血清'', ''KSDXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗栓再造丸'', ''KSZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗五步蛇毒血清'', ''KWBSDXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗眼镜蛇毒血清'', ''KYJSDXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗银环蛇毒血清'', ''KYHSDXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肿瘤免疫核糖核酸'', ''KZLMYHTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''考来烯胺'', ''KLXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''考来烯胺散'', ''KLXAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壳脂胶囊'', ''KZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘宁口服液'', ''KCNKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘清片'', ''KCQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳舒糖浆'', ''KSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽糖浆'', ''KSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳速停糖浆'', ''KSTTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵胶囊'', ''KTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵片'', ''KTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可达灵片'', ''KDLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可待因桔梗'', ''KDYJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可的松'', ''KDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可可钙糖'', ''KKGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可乐定'', ''KLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可溶性止血纱布'', ''KRXZXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痤隐酮'', ''KZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痤隐酮凝胶'', ''KZYTNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克感额日敦片'', ''KGERDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳胶囊'', ''KKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳片'', ''KKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素'', ''KLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉屈滨'', ''KLQB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痢痧胶囊'', ''KLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素'', ''KLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素甲硝唑'', ''KLMSJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯'', ''KLMSLSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯氯化钠'', ''KLMSLSZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素氯化钠'', ''KLMSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素葡萄糖'', ''KLMSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素棕榈酸酯'', ''KLMSZZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克仑特罗'', ''KLTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克仑特罗栓'', ''KLTLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗米通'', ''KLMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克洛己新'', ''KLJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑'', ''KMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痒舒洗液'', ''KYSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克唑替尼'', ''KZTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐'', ''KFBYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(Ⅰ)'', ''KFBYY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(Ⅱ)'', ''KFBYY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(I)'', ''KFBYY(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐Ⅲ'', ''KFBYYⅢ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服轮状病毒活疫苗'', ''KFLZBDHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服乳杆菌LB'', ''KFRGJLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服水解蛋白'', ''KFSJDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服五维葡萄糖'', ''KFWWPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔炎喷雾剂'', ''KQYPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎颗粒'', ''KYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎清颗粒'', ''KYQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌'', ''KCGJELHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱'', ''KCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱氯化钠'', ''KCJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱葡萄糖'', ''KCJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参凝胶'', ''KCNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参软膏'', ''KCRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素'', ''KCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素氯化钠'', ''KCSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素葡萄糖'', ''KCSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦碟子注射液'', ''KDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦甘颗粒'', ''KGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦黄注射液'', ''KHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宽胸气雾剂'', ''KXQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病人免疫球蛋白'', ''KQBRMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喹硫平'', ''ZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喹那普利'', ''ZNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康胶囊'', ''KFKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康片'', ''KFKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤灵丸'', ''KLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤宁口服液'', ''KNKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤泰胶囊'', ''KTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉贝尔'', ''LBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉贝洛尔'', ''LBLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉呋替丁'', ''LZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉克替醇'', ''LKTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定'', ''LMFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉莫三嗪'', ''LMSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉帕替尼'', ''LPTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦前列素'', ''LTQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦噻吗'', ''LTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉替拉韦钾'', ''LTLWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平'', ''LXDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉氧头孢'', ''LYTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽孢杆菌活菌'', ''LYYZGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽胞杆菌'', ''LYYBGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒风湿膏'', ''LJFSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒碱'', ''LJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来氟米特'', ''LFMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来那度胺'', ''LNDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来曲唑'', ''LQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B12'', ''LAJCWB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨匹林'', ''LAPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌'', ''LAPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸'', ''LAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸磷酸氢钙'', ''LASLSQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸氯化钠'', ''LASLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B12'', ''LASWB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸盐酸盐'', ''LASYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利'', ''LNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利氢氯噻嗪'', ''LNPLQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖脯胰岛素'', ''LFYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰瑞肽'', ''LRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩颗粒'', ''LZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩口服液'', ''LZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''榄香烯'', ''ZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳拉西泮'', ''LLXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老鹳草软膏'', ''LZCRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌肠球菌三联活菌'', ''LSSJCQJSLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌'', ''LSSJELHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌散'', ''LSSJELHJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌'', ''LSSJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐卡地平'', ''LKDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉胶囊'', ''LMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉颗粒'', ''LMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉丸'', ''LMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐孕宁颗粒'', ''LYNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''了哥王片'', ''LGWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑'', ''LBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多苷片'', ''LGTDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤内酯'', ''LGTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤片'', ''LGTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷洛昔芬'', ''LLXF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷米普利'', ''LMPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷莫司琼'', ''LMSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷尼替丁'', ''LNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷沙吉兰'', ''LSJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷替曲塞'', ''LTQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷丸片'', ''LWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷珠单抗'', ''LZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理气舒心片'', ''LQSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中片'', ''LZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中丸'', ''LZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林'', ''LBWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林氯化钠'', ''LBWLLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林葡萄糖'', ''LBWLPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利胆排石颗粒'', ''LDPSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多布比卡因'', ''LDBBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因'', ''LDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(Ⅰ)'', ''LDKY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(Ⅱ)'', ''LDKY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(溶剂用)'', ''LDKY(RJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因胶浆'', ''LDKYJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定'', ''LDKYLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定(成模型)'', ''LDKYLJD(CMX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利伐沙班'', ''LFSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利凡诺'', ''LFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺胶囊'', ''LFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺片'', ''LFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利夫康'', ''LFK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利夫康洗剂'', ''LFKXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福布汀'', ''LFBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福霉素'', ''LFMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福喷丁'', ''LFPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平'', ''LFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''26999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平(Ⅱ)'', ''LFP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福昔明'', ''LFXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利格列汀'', ''LGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利可君'', ''LKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉鲁肽'', ''LLLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉萘酯'', ''LLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利鲁唑'', ''LLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺'', ''LNZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺葡萄糖'', ''LNZAPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利脑心胶囊'', ''LNXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮'', ''LPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮微球'', ''LPTWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利塞膦酸钠'', ''LSZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利舒康胶囊'', ''LSKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利托君'', ''LTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利妥昔单抗'', ''LTXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利血平'', ''LXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利扎曲普坦'', ''LZQPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莉芙敏'', ''LZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莉芙敏片'', ''LZMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟胶囊'', ''LHQWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟颗粒'', ''LHQWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连蒲双清胶囊'', ''LPSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连翘败毒片'', ''LQBDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲必治注射液'', ''LBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲胆消炎滴丸'', ''LDXYDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎胶囊'', ''LZXYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎软胶囊'', ''LZXYRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑'', ''LBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯双酯'', ''LBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯乙酸'', ''LBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联磺甲氧苄啶'', ''LHJYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链霉蛋白酶'', ''LMDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链霉素'', ''LMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B'', ''LXMSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B脂质体'', ''LXMSBZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮丙瑞林缓释微球'', ''LBRLHSWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮丙瑞林微球'', ''LBRLWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮菌甲素'', ''LJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疗癣卡西甫丸'', ''LXKXFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林旦'', ''LD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素'', ''LKMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素利多卡因'', ''LKMSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素维B6'', ''LKMSWB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素'', ''LMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素氨丁三醇'', ''LMSADSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸奥司他韦'', ''LSASTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸苯丙哌林'', ''LSBBZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪'', ''LSCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸雌莫司汀'', ''LSCMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氟达拉滨'', ''LSFDLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸肌酸钠'', ''LSJSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸可待因'', ''LSKDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸铝'', ''LSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氯喹'', ''LSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸钠盐'', ''LSNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸哌嗪'', ''LSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸西格列汀'', ''LSXGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠'', ''ZJSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠氯化钠'', ''ZJSNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵孢多糖'', ''LZDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝孢子粉胶囊'', ''LZZZFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝胶囊'', ''LZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝浸膏片'', ''LZJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苓桂咳喘宁胶囊'', ''ZGKCNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊感冒口服液'', ''LYGMKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角胶囊'', ''LYJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角颗粒'', ''LYJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角口服液'', ''LYJKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒裂解疫苗'', ''LGBDLJYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感丸'', ''LGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫必利'', ''LBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫代硫酸钠'', ''LDLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫鸟嘌呤'', ''LNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁'', ''LPLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫软膏'', ''LRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖钾'', ''LSAJPTTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡'', ''LSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅰ型)'', ''LSB(ⅠX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅱ型)'', ''LSB(ⅡX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸链霉素'', ''LSLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸镁'', ''LSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇'', ''LSSDAC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌'', ''LSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌尿囊素'', ''LSXNNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸亚铁'', ''LSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝'', ''LTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸'', ''LXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫唑嘌呤'', ''LZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳胺酚'', ''LAF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶'', ''LDHZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶结'', ''LDHZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳酚咖敏'', ''LFKM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳栎浸膏'', ''LZJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六氟化硫'', ''LFHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六合氨基酸'', ''LHAJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六甲蜜胺'', ''LJMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六君子丸'', ''LJZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六神丸'', ''LSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消胶囊'', ''LWAXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消散'', ''LWAXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味补血胶囊'', ''LWBXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄胶囊'', ''LWDHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄颗粒（无糖型）'', ''LWDHKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄软胶囊'', ''LWDHRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸'', ''LWDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸(浓缩丸)'', ''LWDHW(NSW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（浓缩丸）'', ''LWDHW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（异型小蜜丸）'', ''LWDHW（YXXMW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味丁香片'', ''LWDXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味木香胶囊'', ''LWMXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味能消胶囊'', ''LWNXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味消痔胶囊'', ''LWXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙胆泻肝胶囊'', ''LDXGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙凤宝胶囊'', ''LFBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙虎人丹'', ''LHRD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿胶囊'', ''LLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿丸'', ''LLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙牡壮骨颗粒'', ''LMZGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙血竭胶囊'', ''LXJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒胶囊'', ''ZBSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒片'', ''ZBSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清胶囊'', ''ZQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清片'', ''ZQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卢帕他定'', ''LPTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦氟沙星'', ''LFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦荟珍珠胶囊'', ''LZZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦可替尼'', ''LKTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦笋菠萝蛋白酶'', ''LSBLDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炉甘石'', ''LGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松'', ''LMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松/三氯生'', ''LMS/SLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松三氯生'', ''LMSSLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿川活络胶囊'', ''LCHLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿瓜多肽'', ''LGDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿角胶'', ''LJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿茸精注射液'', ''LRJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎膏'', ''LTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎颗粒'', ''LTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂'', ''LLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂络合碘'', ''LLZLHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗浮山风湿膏药'', ''LFSFSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗格列酮'', ''LGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素'', ''LHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素氨溴索'', ''LHMSAZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗库溴铵'', ''LKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗哌卡因'', ''LZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗哌卡因氯化钠'', ''LZKYLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗沙替丁醋酸酯'', ''LSTDCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗通定'', ''LTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺内酯'', ''LNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻'', ''LXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻胶囊'', ''LXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻片'', ''LXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠分散片'', ''LHZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠胶囊'', ''LHZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠颗粒'', ''LHZZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛贝林'', ''LBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛铂'', ''LB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛度沙胺'', ''LDSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀'', ''LFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛芬待因'', ''LFDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美利嗪'', ''LMLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星'', ''LMSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星氯化钠'', ''LMSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星葡萄糖'', ''LMSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛莫司汀'', ''LMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛哌丁胺'', ''LZDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦/利托那韦'', ''LPNW/LTNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦利托那韦'', ''LPNWLTNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬'', ''LSLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠'', ''LSLFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驴胶补血颗粒'', ''LJBXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁加'', ''LMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁匹林(Ⅱ)'', ''LMPL(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁'', ''LTSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯胺酮'', ''LAT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯苯那敏'', ''LBNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯丙嗪'', ''LBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平'', ''LDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯法齐明'', ''LFQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬待因'', ''LFDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬黄敏'', ''LFHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化铵'', ''LHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙'', ''LHG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙溴化钠'', ''LHGZHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化琥珀胆碱'', ''LHZZDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾'', ''LHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾氯化钠'', ''LHJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钠'', ''LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化锶[89Sr]'', ''LHZ[89Sr]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯己定'', ''LJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯解磷定'', ''LJLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹'', ''LZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多/普罗雌烯'', ''LZND/PLCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定'', ''LLTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯磷酸二钠'', ''LLSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯膦酸二钠'', ''LZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯马斯汀'', ''LMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素'', ''LMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯米芬'', ''LMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯米帕明'', ''LMPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯诺昔康'', ''LNXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普鲁卡因'', ''LPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普噻吨'', ''LPZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾'', ''LSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾氢氯噻嗪'', ''LSTJQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺'', ''LTPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺妥布霉素'', ''LTPNTBMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯硝西泮'', ''LXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氧喹'', ''LYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑沙宗'', ''LZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑西林'', ''LZXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄碱'', ''MHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄止嗽胶囊'', ''MHZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁软胶囊'', ''MRRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠软胶囊'', ''MRRCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠丸'', ''MRRCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁丸'', ''MRW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马栗种子提取物'', ''MLZZTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马洛替酯'', ''MLTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白'', ''MPSFMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白(F(ab’)2)'', ''MPSFMYQDB(F(ab’)2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马普替林'', ''MPTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马应龙麝香痔疮膏'', ''MYLZXZCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啡'', ''MF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啉胍'', ''MZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啉硝唑氯化钠'', ''MZXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯'', ''MTMKFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迈之灵'', ''MZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦当乳通颗粒'', ''MDRTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦迪霉素'', ''MDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦角新碱'', ''MJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦考酚'', ''MKF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦神开胃口服液'', ''MSKWKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康胶囊'', ''MGFKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康片'', ''MGFKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络宁注射液'', ''MLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络舒通丸'', ''MLSTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉平片'', ''MPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉血康胶囊'', ''MXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''满山白糖浆'', ''MSBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螨变应原皮肤点刺试剂'', ''ZBYYPFDCSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢肝养阴胶囊'', ''MGYYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矛头蝮蛇血凝酶'', ''MTZSXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫芦消痤膏'', ''MLXZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美芬那敏铵'', ''MFNMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美金刚'', ''MJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美罗培南'', ''MLPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林'', ''MLXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林舒巴坦'', ''MLXLSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康'', ''MLXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美敏伪麻'', ''MMWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美扑伪麻'', ''MPWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦'', ''MSLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪'', ''MSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美司钠'', ''MSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫'', ''MSBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他多辛'', ''MTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他环素'', ''MTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美托洛尔'', ''MTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美西律'', ''MXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美辛唑酮红古豆醇酯'', ''MXZTHGDCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁加铝'', ''MJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸氨氯地平'', ''MDASALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钙'', ''MDASG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾'', ''MDASJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁'', ''MDASJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸'', ''MDASNAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺'', ''MDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺酶'', ''MDZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素'', ''MDYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素30'', ''MDYDS30'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素50'', ''MDYDS50'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石'', ''MTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石散'', ''MTSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特'', ''MLST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠'', ''MLSTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪达普利'', ''ZDPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪达唑仑'', ''ZDZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑'', ''ZKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑氯倍他索'', ''ZKZLBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪喹莫特'', ''ZZMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑立宾'', ''ZZLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑斯汀'', ''ZZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜蛋白酶'', ''MDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米安色林'', ''MASL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米氮平'', ''MDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米多君'', ''MDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮'', ''MFST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮(Ⅱ)'', ''MFST(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮/米索前列醇'', ''MFST/MSQLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片'', ''MFSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列醇'', ''MGLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列奈钙'', ''MGLNG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米卡芬净'', ''MKFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米力农'', ''MLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺地尔'', ''MNDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺环素'', ''MNHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米曲菌胰酶'', ''MQJYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米索前列醇'', ''MSQLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米托蒽醌'', ''MTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋胶囊'', ''MLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋清胶囊'', ''MLQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜜炼川贝枇杷膏'', ''MLCBZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭活埃希的松'', ''MHAXDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭菌水'', ''MJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭菌注射用水'', ''MJZSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭箘水'', ''MGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明胶'', ''MJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明胶海绵'', ''MJHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目地黄丸'', ''MMDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目蒺藜丸'', ''MMZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摩罗丹（浓缩丸）'', ''MLD（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫匹罗星'', ''MPLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫沙必利'', ''MSBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫西沙星氯化钠'', ''MXSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''母牛分枝杆菌'', ''MNFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙'', ''MZTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木丹颗粒'', ''MDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木瓜片'', ''MGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木糖醇'', ''MTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木香顺气丸'', ''MXSQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那氟沙星'', ''NFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那格列奈'', ''NGLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那屈肝素钙'', ''NQGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那他霉素'', ''NTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳洛酮'', ''NLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳美芬'', ''NMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳米炭'', ''NMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾镁钙葡萄糖'', ''NJMGPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾葡萄糖'', ''NJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠林格'', ''NLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠石灰'', ''NSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈达铂'', ''NDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈福泮'', ''NFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈替米星'', ''NTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈韦拉平'', ''NWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘丁美酮'', ''ZDMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘夫西林'', ''ZFXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘敏维'', ''ZMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔'', ''ZZDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生'', ''ZPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠氯化钠'', ''ZPSNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生伪麻黄碱'', ''ZPSWMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬'', ''ZTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬酮康唑'', ''ZTFTKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安滴丸'', ''NADW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安胶囊'', ''NAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安颗粒'', ''NAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安片'', ''NAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物'', ''NDBSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生片'', ''NDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生丸（浓缩丸）'', ''NDSW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑苷肌肽'', ''NZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑立清胶囊'', ''NLQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑灵素片'', ''NLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脉泰胶囊'', ''NMTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓康复胶囊'', ''NSKFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓通胶囊'', ''NSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清胶囊'', ''NXQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清片'', ''NXQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心舒口服液'', ''NXSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血康胶囊'', ''NXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑震宁颗粒'', ''NZNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内消瘰疬丸'', ''NXZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼尔雌醇'', ''NECC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼非卡兰'', ''NFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼卡地平'', ''NKDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可刹米'', ''NKSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可地尔'', ''NKDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼洛替尼'', ''NLTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼麦角林'', ''NMJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利'', ''NMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平'', ''NMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫司汀'', ''NMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平'', ''NQDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼索地平'', ''NSDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼妥珠单抗'', ''NTZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼扎替丁'', ''NZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促卵泡激素'', ''NCLPJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促卵泡素'', ''NCLPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促性素'', ''NCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿多酸肽'', ''NDSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿感宁颗粒'', ''NGNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿激酶'', ''NJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿嘧啶替加氟'', ''NZZTJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿囊素铝'', ''NNSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿塞通片'', ''NSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿石通丸'', ''NSTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素'', ''NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]呼气试验药盒'', ''NS[13C]HQSYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]呼气试验诊断试剂盒'', ''NS[13C]HQSYZDSJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[14C]呼气试验药盒'', ''NS[14C]HQSYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素维E'', ''NSWE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁泌泰胶囊'', ''NMTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁心宝胶囊'', ''NXBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝结芽孢杆菌活菌'', ''NJYZGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶'', ''NXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗接种家兔炎症皮肤提取物'', ''NDYMJZJTYZPFTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗致炎兔皮提取物'', ''NDYMZYTPTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛肺表面活性剂'', ''NFBMHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压胶囊'', ''NHJYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压片'', ''NHJYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒片'', ''NHJDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒软胶囊'', ''NHJDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄宁宫片'', ''NHNGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄千金散'', ''NHQJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄清感胶囊'', ''NHQGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清胶囊'', ''NHSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清片'', ''NHSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝胶囊'', ''NHSDCBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝液'', ''NHSDCBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎片'', ''NHXYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎丸'', ''NHXYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄痔清栓'', ''NHZQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸'', ''NHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺熊去氧胆酸'', ''NHXQYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓氯化钠'', ''NLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓氯化钠注射液'', ''NLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩当归丸'', ''NSDGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓替硝唑'', ''NTXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓维磷'', ''NWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味散'', ''NGQWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味丸'', ''NGQWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子胶囊'', ''NGYZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子丸'', ''NGYZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星'', ''NFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星葡萄糖'', ''NFSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金胶囊'', ''NJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金片'', ''NJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欧龙马'', ''OLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕歌斯'', ''PGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕拉米韦氯化钠'', ''PLMWLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕利哌酮'', ''PLZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕罗西汀'', ''PLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕洛诺司琼'', ''PLNSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠'', ''PMZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠葡萄糖'', ''PMZSENPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕尼培南倍他米隆'', ''PNPNBTML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕瑞昔布'', ''PRXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕司烟肼'', ''PSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕珠沙星'', ''PZSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕珠沙星氯化钠'', ''PZSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排毒清脂片'', ''PDQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石颗粒'', ''PSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石利胆颗粒'', ''PSLDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌甲酯'', ''ZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌库溴铵'', ''ZKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林'', ''ZLXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林三唑巴坦'', ''ZLXLSZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林舒巴坦'', ''ZLXLSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林舒巴坦(2:1)'', ''ZLXLSBT(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林他唑巴坦'', ''ZLXLTZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌罗匹隆'', ''ZLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌唑嗪'', ''ZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘龙七片'', ''PLQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚宝胶囊'', ''PBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利'', ''PZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利叔丁胺'', ''PZPLSDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利吲达帕胺'', ''PZPLZDPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培氟沙星'', ''PFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培氟沙星葡萄糖'', ''PFSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培坤丸'', ''PKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培美曲塞二钠'', ''PMQSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培门冬酶'', ''PMDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培元通脑胶囊'', ''PYTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培唑帕尼'', ''PZPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷他佐辛'', ''PTZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷托维林氯化铵'', ''PTWLLHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷昔洛韦'', ''PXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净胶囊'', ''PYJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净咀嚼片'', ''PYJJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净颗粒'', ''PYJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净片'', ''PYJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎清栓'', ''PYQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸'', ''PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸洗液'', ''PSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌'', ''PSYHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌冰片'', ''PSYHXBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼替佐米'', ''PTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒片'', ''PFBXDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒丸'', ''PFBXDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤康洗液'', ''PFKXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮内卡介苗'', ''PNKJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽'', ''PAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽冻干粉'', ''PAZDGF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾多肽'', ''PDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德'', ''PDMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹伐他汀钙'', ''PFTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹维溴铵'', ''PWZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''品名:金刚藤片'', ''PM:JGTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐冲'', ''PHYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐溶液'', ''PHYRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消胶囊'', ''PXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消片'', ''PXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平阳霉素'', ''PYMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸钙'', ''PGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸氯波必利'', ''PGSLBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸奈诺沙星'', ''PGSNNSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸舒尼替尼'', ''PGSSNTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泼尼松'', ''PNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泼尼松龙'', ''PNSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风抗毒素'', ''PSFKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风人免疫球蛋白'', ''PSFRMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扑尔伪麻'', ''PEWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛内酯'', ''PQNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛酸钠'', ''PQSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖'', ''PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉'', ''PTTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉剂'', ''PTTFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠'', ''PTTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠钾'', ''PTTLHNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙'', ''PTTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙锌'', ''PTTSGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸氯己定'', ''PTTSLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌'', ''PTTSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸亚铁'', ''PTTSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸依诺沙星'', ''PTTSYNSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲参胶囊'', ''PCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎胶囊'', ''PDLXYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎口服液'', ''PDLXYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎片'', ''PDLXYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲公英颗粒'', ''PGYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普伐他汀'', ''PFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普济痔疮栓'', ''PJZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉克索'', ''PLKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉洛芬'', ''PLLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安胶囊'', ''PLAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安片'', ''PLAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普芦卡必利'', ''PLKBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因'', ''PLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因青霉素'', ''PLKYQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因肾上腺素'', ''PLKYSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普仑司特'', ''PLST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗布考'', ''PLBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗雌烯'', ''PLCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗碘铵'', ''PLDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗帕酮'', ''PLPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普萘洛尔'', ''PZLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普瑞巴林'', ''PRBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普适泰'', ''PST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七氟烷'', ''QFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七价肺炎球菌结合疫苗'', ''QJFYQJJHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七厘胶囊'', ''QLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味肝胆清胶囊'', ''QWGDQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味铁屑胶囊'', ''QWTXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶莲片'', ''QYLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安分散片'', ''QYSAFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安片'', ''QYSAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶洋地黄双苷'', ''QYYDHSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶皂苷钠'', ''QYZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多夫定'', ''QDFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多拉米双夫定'', ''QDLMSFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐拉西酮'', ''QLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参胶囊'', ''ZCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参益气滴丸'', ''ZCYQDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪骨胶囊'', ''ZGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪斛楂颗粒(无糖型)'', ''ZZZKL(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪甲利肺胶囊'', ''ZJLFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪胶升白胶囊'', ''ZJSBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪苈强心胶囊'', ''ZZQXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪蓉润肠口服液'', ''ZRRCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪麝丸'', ''ZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕲蛇酶'', ''ZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麒麟丸'', ''ZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸'', ''ZJDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸（浓缩丸）'', ''ZJDHW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞枣口服液'', ''ZZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''启脾口服液'', ''QPKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气血双补丸'', ''QXSBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛胶囊'', ''QZWTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛颗粒'', ''QZWTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎胶囊'', ''QBBYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎片'', ''QBBYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通胶囊'', ''QLATJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通片'', ''QLATP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列倍喜胶囊'', ''QLBXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列闭尔通栓'', ''QLBETS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔'', ''QLDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔干'', ''QLDEG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列回春胶囊'', ''QLHCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通颗粒'', ''QLZBTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通片'', ''QLZBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列平胶囊'', ''QLPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐胶囊'', ''QLSLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐片'', ''QLSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐软胶囊'', ''QLSLRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒通胶囊'', ''QLSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒丸'', ''QLSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰胶囊'', ''QLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰片'', ''QLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通片'', ''QLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀胶囊'', ''QLTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀片'', ''QLTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷胶囊'', ''ZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷片'', ''ZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肝片'', ''QGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强骨胶囊'', ''QGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力碘'', ''QLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩胶囊'', ''QLDXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩片'', ''QLDXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力康颗粒'', ''QLKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷胶囊'', ''QLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷露'', ''QLZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力天麻杜仲胶囊'', ''QLTMDZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肾片'', ''QSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙'', ''ZBHSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苄唑'', ''ZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟丙甲纤维素'', ''ZBJXWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基脲'', ''ZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基喜树碱'', ''ZJXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基喜树碱氯化钠'', ''ZJXSJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲烟胺'', ''ZJYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲唑啉'', ''ZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟考酮'', ''ZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟氯喹'', ''ZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟糖甘'', ''ZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟喜树碱'', ''ZXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉(200/0.5)氯化钠'', ''ZYJDF(200/0.5)LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉130/0.4氯化钠'', ''ZYJDF130/0.4LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉200/0.5氯化钠'', ''ZYJDF200/0.5LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉20氯化钠'', ''ZYJDF20LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉40氯化钠'', ''ZYJDF40LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秦川通痹胶囊'', ''QCTBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青柏洁身洗液'', ''QBJSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉胺'', ''QMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素'', ''QMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾'', ''QMSVJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素钠'', ''QMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青鹏软膏'', ''QPRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻身减肥片'', ''QSJFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化可的松'', ''QHKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化可的松琥珀酸钠'', ''QHKDSZZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化泼尼松'', ''QHPNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢钾钠'', ''QJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢醌'', ''QZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯吡格雷'', ''QLZGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯噻嗪'', ''QLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢吗啡酮'', ''QMFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氧化铝'', ''QYHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清艾条'', ''QAT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肺消炎丸'', ''QFXYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肝降压胶囊'', ''QGJYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清感九味丸'', ''QGJWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清喉利咽颗粒'', ''QHLYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火胶囊'', ''QHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火栀麦片'', ''QHZMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵胶囊'', ''QKLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵颗粒'', ''QKLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵口服液'', ''QKLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵片'', ''QKLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵注射液'', ''QKLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咳平喘颗粒'', ''QKPCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清脑复神液'', ''QNFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宁丸'', ''QNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热暗疮胶囊'', ''QRACJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八昧胶襄'', ''QRBMJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八味丸'', ''QRBWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒胶囊'', ''QRJDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒颗粒'', ''QRJDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒口服液'', ''QRJDKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒软胶囊'', ''QRJDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热灵颗粒'', ''QRLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热祛湿颗粒'', ''QRZSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结胶囊'', ''QRSJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结片'', ''QRSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋片'', ''QRTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋丸'', ''QRTLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁胶囊'', ''QRXYNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁片'', ''QRXYNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胃黄连片'', ''QWHLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宣止咳颗粒'', ''QXZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽滴丸'', ''QYDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽润喉丸'', ''QYRHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胰利胆片'', ''QYLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素'', ''QDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因'', ''QDMSPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因B12'', ''QDMSPLKYB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B12'', ''QDMSPLKYWB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琼玉膏'', ''QYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秋水仙碱'', ''QSXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巯嘌呤'', ''ZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驱白巴布期片'', ''QBBBQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈螺酮炔雌醇'', ''QLTQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈他维林'', ''QTWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛斑调经胶囊'', ''ZBDJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛胶囊'', ''ZFZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛片'', ''ZFZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛丸'', ''ZFZTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰灵口服液'', ''ZTLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰止咳颗粒'', ''ZTZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛瘀散结片'', ''ZZSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德'', ''QAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德尿素'', ''QANDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德新霉素'', ''QANDXMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德益康唑'', ''QANDYKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安西龙'', ''QAXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲伏前列素'', ''QFQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁'', ''QKLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁氯化钠'', ''QKLDLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁脑蛋白水解物'', ''QKLDNDBSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁香豆素'', ''QKLDXDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲马多'', ''QMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲美布汀'', ''QMBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲美他嗪'', ''QMTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲咪新'', ''QZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲尼司特'', ''QNST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹布通'', ''QPBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹地尔'', ''QPDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲普瑞林'', ''QPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲妥珠单抗'', ''QTZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲昔派特'', ''QXPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲唑酮'', ''QZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氨加压素'', ''QAJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲斑蝥素'', ''QJBZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲肾上腺素'', ''QJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲万古霉素'', ''QJWGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁胺'', ''QTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁酮'', ''QTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去痛'', ''QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去痛片'', ''QTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧氟尿苷'', ''QYFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧肾上腺素'', ''QYSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧孕烯炔雌醇'', ''QYYXQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去乙酰毛花苷'', ''QYZMHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全氟丙烷人血白蛋白微球'', ''QFBWRXBDBWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻胶囊'', ''QTMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻片'', ''QTMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔雌醇环丙孕酮'', ''QCCHBYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔诺酮'', ''QNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热毒宁注射液'', ''RDNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清胶囊'', ''RLQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清颗粒'', ''RLQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清片'', ''RLQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参多糖'', ''RCDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参多糖注射液'', ''RCDTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参健脾片'', ''RCJPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参首乌片'', ''RCSWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工牛黄甲硝唑'', ''RGNHJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫球蛋白'', ''RMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫球蛋白(pH4)'', ''RMYQDB(pH4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血酶原复合物'', ''RNXMYFHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血因子Ⅷ'', ''RNXYZⅧ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘'', ''RTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘脂多糖'', ''RTPZDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘组织液'', ''RTPZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人纤维蛋白原'', ''RXWDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人血白蛋白'', ''RXBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人用狂犬病疫苗(Vero细胞)'', ''RYKQBYM(VeroXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壬苯醇醚'', ''RBCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日舒安洗液'', ''RSAXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒促性素'', ''RCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶'', ''RJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柔红霉素'', ''RHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白'', ''ZSDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白酵母'', ''ZSDBJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸加压素'', ''ZSJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉蔻五味丸'', ''RZWWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意金黄散'', ''RYJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意珍宝丸'', ''RYZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳杆菌LB'', ''RGJLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳杆菌活菌'', ''RGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳果糖'', ''RGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消颗粒'', ''RHNXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消片'', ''RHNXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消液'', ''RHNXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳疾灵胶囊'', ''RJLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康片'', ''RKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康丸'', ''RKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消颗粒'', ''RKXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消口服液'', ''RKXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消片'', ''RKXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁颗粒'', ''RNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁丸'', ''RNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖散结片'', ''RZSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消颗粒'', ''RZXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消片'', ''RZXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钙'', ''RSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星'', ''RSHBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星氯化钠'', ''RSHBSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌'', ''RSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌素'', ''RSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸米力农'', ''RSMLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠'', ''RSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠林格'', ''RSNLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸司帕沙星'', ''RSSPSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁'', ''RSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸依沙吖啶'', ''RSYSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星'', ''RSZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星氯化钠'', ''RSZYFSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星葡萄糖'', ''RSZYFSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳泰胶囊'', ''RTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糖酸阿奇霉素'', ''RTSAQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糖酸红霉素'', ''RTSHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳增宁片'', ''RZNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软骨素'', ''RGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软脉灵口服液'', ''RMLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软皂'', ''RZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞巴派特'', ''RBPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞波西汀'', ''RBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞戈非尼'', ''RGFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞格列奈'', ''RGLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞舒伐他汀钙'', ''RSFTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润肺膏'', ''RFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润燥止痒胶囊'', ''RZZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑'', ''SKXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞来昔布'', ''SLXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞曲司特'', ''SQST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞瑞替尼'', ''SRTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻氯匹定'', ''ZLPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻吗洛尔'', ''ZMLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵'', ''ZTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛庚啶'', ''SGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛洛多辛'', ''SLDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛洛唑啉'', ''SLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛霉安散'', ''SMAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛胃安胶囊'', ''SWAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三分三浸膏片'', ''SFSJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三黄片'', ''SHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖杉酯碱'', ''SJSZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三金片'', ''SJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰胶囊'', ''SJWTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰颗粒'', ''SJWTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸胞苷二钠'', ''SLSBZEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠'', ''SLSXZEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠氯化镁'', ''SLSXZENLHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷辅酶胰岛素'', ''SLSXZFMYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三拗片'', ''SZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七化痔丸'', ''SQHZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七胶囊'', ''SQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药胶囊'', ''SQSYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药片'', ''SQSYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七通舒胶囊'', ''SQTSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七血伤宁胶囊'', ''SQXSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七止血咀嚼片'', ''SQZXJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维B'', ''SWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维制霉素'', ''SWZMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三味痔疮栓'', ''SWZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三阳血傣合剂'', ''SYXDHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三氧化二砷'', ''SYHES'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三乙醇胺'', ''SYCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三子止咳胶囊'', ''SZZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三唑仑'', ''SZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散风活络丸'', ''SFHLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散结镇痛胶囊'', ''SJZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桑菊感冒片'', ''SJGMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘萘甲那敏鼻'', ''SGZJNMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠'', ''SGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色苷酸钠'', ''SZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涩肠止泻散'', ''SCZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丙蝶呤'', ''SBDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇'', ''SDAC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格雷酯'', ''SGLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格列汀'', ''SGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘干乳剂'', ''SJGRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘颗粒'', ''SJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙库巴曲缬沙坦'', ''SKBQZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙利度胺'', ''SLDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松'', ''SMTLTKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松粉'', ''SMTLTKSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''砂连和胃胶囊'', ''SLHWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲨肝醇'', ''ZGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山蜡梅叶颗粒'', ''SLMYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山梨醇'', ''SLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山麦健脾口服液'', ''SMJPKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山香圆颗粒'', ''SXYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂精降脂片'', ''SZJJZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂丸'', ''SZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒Vi多糖疫苗'', ''SHViDTYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打胶囊'', ''SKDDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打片'', ''SKDDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科接骨片'', ''SKJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科灵喷雾剂'', ''SKLPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤湿止痛膏'', ''SSZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上清片'', ''SQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芍倍注射液'', ''SBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀胶囊'', ''SFZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀颗粒'', ''SFZZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀丸'', ''SFZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少林风湿跌打膏'', ''SLFSDDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆陈皮胶囊'', ''SDCPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝枇杷膏'', ''SDCBZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝散'', ''SDCBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝液'', ''SDCBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇毒血凝酶'', ''SDXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍雷肽酶'', ''SLZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍曲林'', ''SQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香保心丸'', ''ZXBXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香海马追风膏'', ''ZXHMZFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛搽剂'', ''ZXZTCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛气雾剂'', ''ZXZTQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香通心滴丸'', ''ZXTXDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香镇痛膏'', ''ZXZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香正骨酊'', ''ZXZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香痔疮栓'', ''ZXZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风膏'', ''ZXZFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风止痛膏'', ''ZXZFZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝珠明目滴眼液'', ''ZZMMDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神农镇痛膏'', ''SNZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神衰康胶囊'', ''SSKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神香苏合丸'', ''SXSHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神州跌打丸'', ''SZDDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾安胶囊'', ''SAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾复康胶囊'', ''SFKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁颗粒'', ''SKNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁片'', ''SKNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康注射液'', ''SKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色片腙'', ''SSXSPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色棕'', ''SSXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色腙'', ''SSXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒'', ''SSTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒（无糖型）'', ''SSTKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通片'', ''SSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾舒颗粒（无糖型）'', ''SSKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁胶囊'', ''SSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁颗粒'', ''SSNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎康复片'', ''SYKFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎片'', ''SYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎舒片'', ''SYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎四味丸'', ''SYSWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升血小板胶囊'', ''SXXBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生白合剂'', ''SBHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生精胶囊'', ''SJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理氯化钠'', ''SLLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉胶囊'', ''SMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方)'', ''SMY(DCF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方、低糖)'', ''SMY(DCF、DT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉注射液'', ''SMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生乳汁'', ''SRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生物合成人胰岛素'', ''SWHCRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝合剂'', ''SXBHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝颗粒'', ''SXBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宁片'', ''SXNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圣约翰草提取物'', ''SYHCTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''施保利通片'', ''SBLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清胶囊'', ''SDQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清片'', ''SDQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿润烧伤膏'', ''SRSSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疡气雾剂'', ''SYQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十三味红花丸'', ''SSWHHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十维铁'', ''SWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味活血丸'', ''SWHXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味龙胆花颗粒'', ''SWLDHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮'', ''SYSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪胶囊'', ''SYWCZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪片'', ''SYWCZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石斛夜光丸'', ''SZYGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石黄抗菌胶囊'', ''SHKJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石蜡油'', ''SLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石淋通颗粒'', ''SLTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃胶囊'', ''SLJWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃散'', ''SLJWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石杉碱甲'', ''SSJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食母生'', ''SMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寿星补汁'', ''SXBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒巴坦'', ''SBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒必利'', ''SBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆胶囊'', ''SDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆片'', ''SDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒芬太尼'', ''SFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝解郁胶囊'', ''SGJYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝宁注射液'', ''SGNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝片'', ''SGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒更葡糖钠'', ''SGPTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒冠颗粒'', ''SGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血胶囊'', ''SJHXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血片'', ''SJHXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋通络颗粒'', ''SJTLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒乐康胶囊'', ''SLKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒林酸'', ''SLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒洛地特'', ''SLDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒马普坦'', ''SMPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒泌通片'', ''SMTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒秘胶囊'', ''SMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒眠胶囊'', ''SMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒脑欣滴丸'', ''SNXDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒他西林'', ''STXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒心宁片'', ''SXNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒血宁注射液'', ''SXNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏风解毒胶囊'', ''SFJDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏肝益阳胶囊'', ''SGYYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏血通注射液'', ''SXTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血用枸橼酸钠'', ''SXYZZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼠神经生长因子'', ''SSJSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薯蓣皂苷'', ''SZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双醋瑞因'', ''SCRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹胶囊'', ''SDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹颗粒'', ''SDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双分伪麻'', ''SFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双骨三子胶囊'', ''SGSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双虎清肝颗粒'', ''SHQGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双环醇'', ''SHC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连含片'', ''SHLHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连胶囊'', ''SHLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒'', ''SHLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒(无蔗糖)'', ''SHLKL(WZT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连口服液'', ''SHLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连片'', ''SHLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''27999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双橘颗粒'', ''SZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸'', ''SLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸二乙胺'', ''SLFSEYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾'', ''SLFSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸利多卡因'', ''SLFSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠'', ''SLFSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅱ)'', ''SLFSN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(I)'', ''SLFSN(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(IV)'', ''SLFSN(IV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠利多卡因'', ''SLFSNLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双嘧达莫'', ''SZDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双扑伪麻'', ''SPWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌活菌'', ''SQGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌乳杆菌三联活菌'', ''SQGJRGJSLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌'', ''SQGJSLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌四联活菌'', ''SQGJSLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双羟萘酸曲普瑞林'', ''SZZSQPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢克脲塞'', ''SQKZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢麦角毒碱'', ''SQMJDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰'', ''SZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰棉'', ''SZTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰泡腾'', ''SZTPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘减毒活疫苗'', ''SDJDHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾'', ''SFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾葡甲胺'', ''SFJBPJA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟素'', ''SFJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水解蛋白'', ''SJDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水溶性维生素'', ''SRXWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸'', ''SYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯酚'', ''SYSBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯甲酸松'', ''SYSBJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸冰醋酸'', ''SYSBCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺苯磺阿曲库铵'', ''SBHAQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺铂'', ''SB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺气化痰片'', ''SQHTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司来吉兰'', ''SLJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司莫司汀'', ''SMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司帕沙星'', ''SPSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他夫定'', ''STFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他斯汀'', ''STST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司坦唑醇'', ''STZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝白祛斑'', ''SBZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝裂霉素'', ''SLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素'', ''SHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素醋酸可的松'', ''SHSCSKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒合剂'', ''SJKBDHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒胶囊'', ''SJKBDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季青片'', ''SJQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季三黄片'', ''SJSHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四妙丸'', ''SMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四磨汤口服液'', ''SMTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神片'', ''SSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神丸'', ''SSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味脾胃舒颗粒'', ''SWPWSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味珍层冰硼滴眼液'', ''SWZCBPDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四物颗粒'', ''SWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四烯甲萘醌'', ''SXJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''松龄血脉康胶囊'', ''SLXMKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏子油软胶囊'', ''SZYRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速克感冒胶囊'', ''SKGMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速效心痛滴丸'', ''SXXTDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸枣仁合剂'', ''SZRHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲淀粉钠'', ''ZJDFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素'', ''ZJJXWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素钠'', ''ZJJXWSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦'', ''ZJST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦(含糖型)'', ''ZJST(HTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦(无糖型)'', ''ZJST(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素'', ''SGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩泉胶囊'', ''SQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索拉非尼'', ''SLFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索利那新'', ''SLNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索磷布韦'', ''SLBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索他洛尔'', ''STLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁阳补肾胶囊'', ''SYBSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他达拉非'', ''TDLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他氟前列素'', ''TFQLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他卡西醇'', ''TKXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司'', ''TKMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他莫昔芬'', ''TMXF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他扎罗汀'', ''TZLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎盘多肽'', ''TPDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酞丁安'', ''TDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰咳净散'', ''TKJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰热清注射液'', ''TRQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦度螺酮'', ''TDLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦洛新'', ''TLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦索罗辛'', ''TSLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳[13C]尿素呼气试验诊断试剂'', ''T[13C]NSHQSYZDSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙'', ''TSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3'', ''TSGD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3(Ⅱ)'', ''TSGD3(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙甘氨酸'', ''TSGGAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙泡腾'', ''TSGPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸镧'', ''TSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸锂'', ''TSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸利多卡因'', ''TSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢钠'', ''TSQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸司维拉姆'', ''TSSWLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖脉康颗粒'', ''TMKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特比萘芬'', ''TBZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特布他林'', ''TBTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特拉唑嗪'', ''TLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特立帕肽'', ''TLPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特利加压素'', ''TLJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特洛伪麻'', ''TLWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨胶囊'', ''THJGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨片'', ''THJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨丸'', ''THJGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替比夫定'', ''TBFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替勃龙'', ''TBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替格瑞洛'', ''TGRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替吉奥'', ''TJA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟'', ''TJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加环素'', ''TJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加色罗'', ''TJSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替卡西林克拉维酸钾'', ''TKXLKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替考拉宁'', ''TKLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替罗非班'', ''TLFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替罗非班氯化钠'', ''TLFBLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦'', ''TMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦氢氯噻嗪'', ''TMSTQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替莫唑胺'', ''TMZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替尼泊苷'', ''TNBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替诺福韦二吡呋酯'', ''TNFWEZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替普瑞酮'', ''TPRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑'', ''TXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑氯化钠'', ''TXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑葡萄糖'', ''TXZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替扎尼定'', ''TZND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天丹通络胶囊'', ''TDTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天佛参口服液'', ''TFCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天胡荽愈肝片'', ''THZYGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻钩藤颗粒'', ''TMGTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素'', ''TMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻头风灵片'', ''TMTFLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻眩晕宁合剂'', ''TMXYNHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麦消渴片'', ''TMXKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天然维生素E'', ''TRWSSE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心片'', ''TWBXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心丸'', ''TWBXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天一止咳糖浆'', ''TYZKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天智颗粒'', ''TZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦胶囊'', ''TMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦口服液'', ''TMKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经促孕丸'', ''DJCYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经祛斑胶囊'', ''DJZBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养血丸'', ''DJYXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养颜片'', ''DJYYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益灵片'', ''DJYLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母胶囊'', ''DJYMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母片'', ''DJYMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调胃舒肝丸'', ''DWSGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跳骨片'', ''TGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁铵锌铜维B1'', ''TZXTWB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通痹胶囊'', ''TBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通便灵胶囊'', ''TBLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络骨质宁膏'', ''TLGZNG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络开痹片'', ''TLKBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉降糖胶囊'', ''TMJTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉颗粒'', ''TMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉片'', ''TMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎胶囊'', ''TQBYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎颗粒'', ''TQBYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎片'', ''TQBYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍耳聋丸'', ''TQELW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通塞脉片'', ''TSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通舒口爽片'', ''TSKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通天口服液'', ''TTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通心络胶囊'', ''TXLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺胶囊'', ''TXLFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺颗粒'', ''TXLFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺丸'', ''TXLFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通用名:阿娜尔妇洁液'', ''TYM:ANEFJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通滞苏润江胶囊'', ''TZSRJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌'', ''TLJDBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇'', ''TKSADSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康他索'', ''TKTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑'', ''TKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬'', ''TLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮替芬'', ''TTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风定胶囊'', ''TFDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风舒片'', ''TFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经宝颗粒'', ''TJBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛舒片'', ''TSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛血康胶囊'', ''TXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄'', ''TZAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄甲氧苄啶'', ''TZAZJYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢吡肟'', ''TZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯'', ''TZBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯'', ''TZBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼'', ''TZDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地秦'', ''TZDQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地嗪'', ''TZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯'', ''TZZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢甲肟'', ''TZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛'', ''TZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛(Ⅱ)'', ''TZKL(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟'', ''TZKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定'', ''TZLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢硫脒'', ''TZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢美唑'', ''TZMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢孟多'', ''TZMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢孟多酯钠'', ''TZMDZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢米诺'', ''TZMN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢尼西'', ''TZNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮'', ''TZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦'', ''TZZTNSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦'', ''TZZTSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦(2'', ''TZZTSBT(2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦(2:1)'', ''TZZTSBT(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮他唑巴坦'', ''TZZTTZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮他唑巴坦(8:1)'', ''TZZTTZBT(8:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢匹胺'', ''TZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢匹罗'', ''TZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄'', ''TZZAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻吩'', ''TZZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻利'', ''TZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟舒巴坦'', ''TZZZSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟舒巴坦(2:1)'', ''TZZZSBT(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢他美酯'', ''TZTMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢特仑新戊酯'', ''TZTLXWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢替安'', ''TZTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢替唑'', ''TZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢西丁'', ''TZXD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑林'', ''TZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑啉'', ''TZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑肟'', ''TZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛胶囊'', ''TFTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛丸'', ''TFTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛定糖浆'', ''TTDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛宁胶囊'', ''TTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''土霉素'', ''TMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兔抗人胸腺细胞免疫球蛋白'', ''TKRXXXBMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退障眼膏'', ''TZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡卡胺'', ''TZKA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡酯'', ''TZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托泊替康'', ''TBTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托伐普坦'', ''TFPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托法替布'', ''TFTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托氟沙星'', ''TFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米'', ''TLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托莫西汀'', ''TMXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托尼萘酸'', ''TNZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托瑞米芬'', ''TRMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托特罗定'', ''TTLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼'', ''TWSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼氯化钠'', ''TWSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼葡萄糖'', ''TWSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托西酸舒他西林'', ''TXSSTXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托珠单抗'', ''TZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氧核苷酸钠'', ''TYHZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素'', ''TBMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素地塞米松'', ''TBMSDSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥洛特罗'', ''TLTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥舒沙星'', ''TSSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人凝血酶'', ''WYDGRNXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人纤维蛋白'', ''WYDGRXWDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人表皮生长因子'', ''WYDGZZRBPSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人酸性成纤维细胞生长因子'', ''WYDGZZRSXCXWXBSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用溃疡散'', ''WYKYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用万应膏'', ''WYWYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组牛碱性成纤维细胞生长因子'', ''WYZZNJXCXWXBSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人表皮生长因子'', ''WYZZRBPSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人碱性成纤维细胞生长因子'', ''WYZZRJXCXWXBSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人粒细胞巨噬细胞刺激因子'', ''WYZZRLXBJSXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万古霉素'', ''WGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万灵五香膏'', ''WLWXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万通筋骨片'', ''WTJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尪痹胶囊'', ''尪BJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''王氏保赤丸'', ''WSBCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维A酸'', ''WAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘'', ''WCYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘胶囊'', ''WCYQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘片'', ''WCYQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2果糖酸钙'', ''WD2GTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2磷葡钙'', ''WD2LPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2乳酸钙'', ''WD2RSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D钙'', ''WDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝(Ⅲ)'', ''WUDQL(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝镁'', ''WUDQLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺'', ''WA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯'', ''WAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E'', ''WAZWE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维妇康洗液'', ''WFKXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维格列汀'', ''WGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维库溴铵'', ''WKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维拉帕米'', ''WLPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维磷葡钙'', ''WLPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维酶素'', ''WMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维莫非尼'', ''WMFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A'', ''WSSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD'', ''WSSAD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AE'', ''WSSAE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A棕榈酸酯'', ''WSSAZZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B2'', ''WSSB2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4'', ''WSSB4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4(磷酸氨基嘌呤)'', ''WSSB4(LSAJZZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B6'', ''WSSB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C钙'', ''WSSCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C氯化钠'', ''WSSCLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D'', ''WSSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2'', ''WSSD2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D3'', ''WSSD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E'', ''WSSE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E烟酸酯'', ''WSSEYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K1'', ''WSSK1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K3'', ''WSSK3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维替泊芬'', ''WTBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维铁'', ''WT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁合剂'', ''WXNHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁颗粒'', ''WXNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃铋镁'', ''WZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠宁片'', ''WCNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶'', ''WDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃得安片'', ''WDAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃尔宁片'', ''WENP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃复春片'', ''WFCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康胶囊'', ''WKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康灵胶囊'', ''WKLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐宁片'', ''WLNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐舒口服液'', ''WLSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃苏颗粒'', ''WSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛宁片'', ''WTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃炎康胶囊'', ''WYKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''温胃舒胶囊'', ''WWSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''文拉法辛'', ''WLFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳心颗粒'', ''WXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通胶囊'', ''WLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通颗粒'', ''WLTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌苯美司'', ''WBMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤分散片'', ''WJBFFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤胶囊'', ''WJBFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤颗粒'', ''WJBFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤片'', ''WJBFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤丸'', ''WJBFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡增乳胶囊'', ''WJZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金活血止痛胶囊'', ''WJHXZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金片'', ''WJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌拉地尔'', ''WLDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌灵胶囊'', ''WLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌洛托品'', ''WLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌蛇止痒丸'', ''WSZYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屋尘螨变应原'', ''WCZBYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屋尘螨变应原制剂'', ''WCZBYYZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无比山药丸'', ''WBSYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五参芪苓丸'', ''WCZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五氟利多'', ''WFLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五福化毒丸'', ''WFHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五加生化胶囊'', ''WJSHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五淋化石丸'', ''WLHSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五灵丸'', ''WLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五苓胶囊'', ''WZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五水头孢唑林'', ''WSTZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维B'', ''WWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸'', ''WWLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维葡钙'', ''WWPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维他'', ''WWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五味麝香丸'', ''WWZXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯滴丸'', ''WZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯胶囊'', ''WZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯片'', ''WZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯软胶囊'', ''WZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗软胶囊'', ''WZYZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗丸'', ''WZYZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶'', ''WSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶颗粒'', ''WSCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇'', ''WSCEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇/雌二醇环丙孕酮'', ''WSCEC/CECHBYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊乙奎醚'', ''WYKM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵'', ''XZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西达本胺'', ''XDBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地吡罗昔康'', ''XDZLXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘'', ''XDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘含'', ''XDDH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀'', ''XGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀二甲双胍(I)'', ''XGLTEJSZ(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西瓜霜润喉片'', ''XGSRHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄胶囊'', ''XHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄丸'', ''XHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西甲硅油'', ''XJGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西罗莫司'', ''XLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西洛他唑'', ''XLTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁'', ''XZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁(甲氰咪胍)'', ''XZTD(JQZZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西那卡塞'', ''XNKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼必利'', ''XNBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼地平'', ''XNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依固龈液'', ''XPYGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依麦孜彼子胶囊'', ''XPYMZBZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西曲瑞克'', ''XQRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西沙必利'', ''XSBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西索米星'', ''XSMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西酞普兰'', ''XTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西替利嗪'', ''XTLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西妥昔单抗'', ''XTXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附白喉破伤风联合疫苗'', ''XFBHPSFLHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附破伤风疫苗'', ''XFPSFYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破联合疫苗'', ''XFWXBBBPLHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破灭活脊髓灰质炎和b型流感嗜血杆菌(结合)联合疫苗'', ''XFWXBBBPMHJSHZYHbXLGSXGJ(JH)LHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒酵母'', ''XJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锡类散'', ''XLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨莶风湿片'', ''ZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨蛭络达胶囊'', ''ZZLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜炎平注射液'', ''XYPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞色素C'', ''XBSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌溶解产物'', ''XJRJCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细辛脑'', ''XXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草颗粒'', ''XKCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草口服液'', ''XKCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草片'', ''XKCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏天无'', ''XTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙乐雄胶囊'', ''XLXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙灵骨葆胶囊'', ''XLGZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙茸壮阳片'', ''XRZYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶酶'', ''XRM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜益母草胶囊'', ''XYMCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜竹沥'', ''XZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷钴胺'', ''XZZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香丹注射液'', ''XDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖'', ''XGDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖片'', ''XGDTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖注射液'', ''XGDTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊胶囊'', ''XJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊片'', ''XJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连片'', ''XLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连丸'', ''XLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂六君丸'', ''XSLJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂平胃颗粒'', ''XSPWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃颗粒'', ''XSYWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃片'', ''XSYWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃软胶囊'', ''XSYWRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸'', ''XSYWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸（浓缩丸）'', ''XSYWW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香药胃安片'', ''XYWAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥颗粒'', ''ZYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸'', ''ZYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(浓缩丸)'', ''ZYW(NSW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（浓缩丸）'', ''ZYW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(水丸)'', ''ZYW(SW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（水丸）'', ''ZYW（SW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平片'', ''XAPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平注射液'', ''XAPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痤丸'', ''XZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消积洁白丸'', ''XJJBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消结安胶囊'', ''XJAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘胶囊'', ''XKCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘片'', ''XKCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘糖浆'', ''XKCTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴降糖胶囊'', ''XKJTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴平片'', ''XKPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴丸'', ''XKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消疲灵颗粒'', ''XPLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消乳散结胶囊'', ''XRSJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消食健儿冲剂'', ''XSJECJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓肠溶胶囊'', ''XSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓颗粒'', ''XSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓口服液'', ''XSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络胶囊'', ''XSTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络颗粒'', ''XSTLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络片'', ''XSTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消糖灵胶囊'', ''XTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痛贴膏'', ''XTTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋卡多曲'', ''XXKDQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱'', ''XXSZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆分散片'', ''XYLDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆胶囊'', ''XYLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆片'', ''XYLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆软胶囊'', ''XYLDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎生肌膏'', ''XYSJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎止咳片'', ''XYZKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银胶囊'', ''XYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银颗粒'', ''XYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘀康胶囊'', ''XZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癥益肝片'', ''X癥YGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔灵注射液'', ''XZLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔软膏'', ''XZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔丸'', ''XZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平'', ''XBDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔'', ''XZTE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉菌素'', ''XZTEZMJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝普钠'', ''XPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油'', ''XSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油氯化钠'', ''XSGYLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱'', ''XSMGZXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑'', ''XSZKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸舍他康唑'', ''XSSTKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯'', ''XSYSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯氯化钠'', ''XSYSLZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯葡萄糖'', ''XSYSLZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑'', ''XSYKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小败毒膏'', ''XBDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗胺'', ''XZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱'', ''XZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱甲氧苄啶'', ''XZJJYZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡胶囊'', ''XCHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒'', ''XCHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒（无蔗糖）'', ''XCHKL（WZT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡片'', ''XCHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚黄那敏'', ''XEAFHNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚匹林'', ''XEAFPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚烷胺'', ''XEAFWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨咖黄敏'', ''XEAKHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宝泰康颗粒'', ''XEBTKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿贝诺酯维B1'', ''XEBNZWB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿布洛芬'', ''XEBLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿柴桂退热颗粒'', ''XECGTRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肠胃康颗粒'', ''XECWKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿豉翘清热颗粒'', ''XEZQQRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿电解质补给'', ''XEDJZBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿定喘口服液'', ''XEDCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿对乙酰氨基酚'', ''XEDYZAJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿多维生素'', ''XEDWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺咳颗粒'', ''XEFKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘颗粒'', ''XEFRKCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘口服液'', ''XEFRKCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿酚氨咖敏'', ''XEFAKM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨酚烷胺'', ''XEFFAFWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸'', ''XEFFAJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(18AA-Ⅰ)'', ''XEFFAJS(18AA-Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(18AA－I)'', ''XEFFAJS(18AA－I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(19AA-Ⅰ)'', ''XEFFAJS(19AA-Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方磺胺甲噁唑'', ''XEFFHAJ噁Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方赖氨酸'', ''XEFFLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方四维亚铁'', ''XEFFSWYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻宁泡腾颗粒'', ''XEFXNPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻贴'', ''XEFXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒颗粒'', ''XEGMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒宁糖浆'', ''XEGMNTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒退热糖浆'', ''XEGMTRTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化毒散'', ''XEHDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化食口服液'', ''XEHSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化痰止咳糖浆'', ''XEHTZKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解表颗粒'', ''XEJBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解感颗粒'', ''XEJGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿金翘颗粒'', ''XEJQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵颗粒'', ''XEKCLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵口服液'', ''XEKCLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵泡腾片'', ''XEKCLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺化痰泡腾片'', ''XEQFHTPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺颗粒'', ''XEQFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清解颗粒'', ''XEQJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热宁颗粒'', ''XEQRNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热止咳口服液'', ''XEQRZKKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清颗粒'', ''XERSQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清口服液'', ''XERSQKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿善存'', ''XESC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿生血糖浆'', ''XESXTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿双清颗粒'', ''XESQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维钙'', ''XESWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维葡钙'', ''XESWPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿碳酸钙D3'', ''XETSGD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿维生素'', ''XEWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美芬'', ''XEWMMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美沙芬'', ''XEWMMSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿五维赖氨酸'', ''XEWWLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消积止咳口服液'', ''XEXJZKKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消食颗粒'', ''XEXSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泄泻停颗粒'', ''XEXXTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泻速停颗粒'', ''XEXSTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宣肺止咳颗粒'', ''XEXFZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咽扁颗粒'', ''XEYBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿盐酸赖氨酸'', ''XEYSLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止咳糖浆'', ''XEZKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止泻贴'', ''XEZXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿智力糖浆'', ''XEZLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中胶囊'', ''XJZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中颗粒'', ''XJZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金胶囊'', ''XJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金片'', ''XJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金丸'', ''XJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小麦纤维素'', ''XMXWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛脾提取物'', ''XNPTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血清去蛋白'', ''XNXQQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物'', ''XNXQDBTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物氯化钠'', ''XNXQDBTQWLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''协日嘎四味汤胶囊'', ''XRGSWTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬更昔洛韦'', ''ZGXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦'', ''ZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平'', ''ZSTALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平(Ⅰ)'', ''ZSTALDP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪'', ''ZSTQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泻肺定喘片'', ''XFDCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心宝丸'', ''XBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心达康滴丸'', ''XDKDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌肽'', ''XJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可宁胶囊'', ''XKNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒胶囊'', ''XKSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒颗粒'', ''XKSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒片'', ''XKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒丸'', ''XKSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉隆注射液'', ''XMLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通胶囊'', ''XMTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通片'', ''XMTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑健胶囊'', ''XNJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑宁胶囊'', ''XNNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑舒通片'', ''XNSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣'', ''XNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣片'', ''XNXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣丸'', ''XNXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心神宁胶囊'', ''XSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒宝片'', ''XSBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒乐片'', ''XSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心通口服液'', ''XTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心无忧片'', ''XWYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悦胶囊'', ''XYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀'', ''XFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛芩颗粒'', ''XZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欣力康胶囊'', ''XLKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新福菌素'', ''XFJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新癀片'', ''XZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新霉素'', ''XMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新霉素氟轻松'', ''XMSFQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化颗粒'', ''XSHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化片'', ''XSHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新斯的明'', ''XSDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新雪胶囊'', ''XXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑静注射液'', ''XNJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑再造胶囊'', ''XNZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脾养儿颗粒'', ''XPYEKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏仁止咳糖浆'', ''XRZKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳颗粒'', ''XSZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳糖浆'', ''XSZKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏芎氯化钠'', ''XZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎菊上清片'', ''ZJSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎芷痛瘀散'', ''ZZTZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺法新'', ''XXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽'', ''XXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺五肽'', ''XXWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆粉'', ''XDF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆含片'', ''XDHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆胶囊'', ''XDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆开明片'', ''XDKMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸'', ''XQYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴吡斯的明'', ''ZZSDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴丙胺太林'', ''ZBATL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠'', ''ZFSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠水合物'', ''ZFSNSHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴己新葡萄糖'', ''ZJXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴米那普鲁卡因'', ''ZMNPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴莫尼定'', ''ZMND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴隐亭'', ''ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停胶囊'', ''XHTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停颗粒'', ''XHTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宣肺止嗽合剂'', ''XFZSHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦甘桔颗粒'', ''XMGJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦柑桔胶囊'', ''XMGJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕宁片'', ''XYNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪胆素片'', ''XDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山金罗汉止痛涂膜剂'', ''XSJLHZTTMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山胃宝胶囊'', ''XSWBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血必净注射液'', ''XBJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀胶囊'', ''XFZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀口服液'', ''XFZZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀片'', ''XFZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀丸'', ''XFZZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康胶囊'', ''XKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康口服液'', ''XKKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血美安胶囊'', ''XMAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿安胶囊'', ''XNAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血凝酶'', ''XNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通滴丸'', ''XSTDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通分散片'', ''XSTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊'', ''XSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊<p>'', ''XSTJN<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通颗粒'', ''XSTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通片'', ''XSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通软胶囊'', ''XSTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁胶囊'', ''XSXMNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁片'', ''XSXMNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液保存液'', ''XYBCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液保存液(Ⅰ)'', ''XYBCY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换基础液'', ''XYLGZHJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换液'', ''XYLGZHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂康胶囊'', ''XZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂灵片'', ''XZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血滞通胶囊'', ''XZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油'', ''YDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油口服乳液'', ''YDZYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油乳注射液'', ''YDZYRZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油软胶囊'', ''YDZYRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚胺培南西司他丁'', ''YAPNXSTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚甲蓝'', ''YJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硫酸氢钠甲萘醌'', ''YLSQNJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚砷酸氯化钠'', ''YSSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硒酸钠'', ''YXSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钙'', ''YYSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钠'', ''YYSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽立爽口含滴丸'', ''YLSKHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽炎片'', ''YYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸占替诺'', ''YSZTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酰胺'', ''YZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康胶囊'', ''YLRKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康片'', ''YLRKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎琥宁'', ''YZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁片'', ''YKNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁丸'', ''YKNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消胶囊'', ''YLXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消片'', ''YLXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎宁颗粒'', ''YNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清颗粒'', ''YRQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清片'', ''YRQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮芥'', ''YSDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡'', ''YSMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼氨肽'', ''YAZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洋参雪哈口服液'', ''YCXHKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃颗粒'', ''YWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒胶囊'', ''YWSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒颗粒'', ''YWSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心生脉颗粒'', ''YXSMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心氏片'', ''YXSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神颗粒'', ''YXASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神片'', ''YXASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神糖浆'', ''YXASTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血当归胶囊'', ''YXDGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑颗粒'', ''YXQNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑丸'', ''YXQNW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血生发胶囊'', ''YXSFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血饮口服液'', ''YXYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养阴清肺颗粒'', ''YYQFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养正消积胶囊'', ''YZXJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星'', ''YFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星氯化钠'', ''YFSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星葡萄糖'', ''YFSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌'', ''YHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌硫'', ''YHXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化樟脑'', ''YHZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痹通胶囊'', ''YBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛片'', ''YTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药艾条'', ''YAT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药用炭'', ''YYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野菊花注射液'', ''YJHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野马追糖浆'', ''YMZTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野木瓜注射液'', ''YMGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野苏胶囊'', ''YSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠'', ''YLSTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠胶囊'', ''YXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠片'', ''YXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清胶囊'', ''YQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清颗粒'', ''YQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清片'', ''YQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸'', ''YBZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸钠'', ''YBZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊布利特'', ''YBLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊布替尼'', ''YBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊达比星'', ''YDBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊伐布雷定'', ''YFBLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊立替康'', ''YLTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊马替尼'', ''YMTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊米苷酶'', ''YMZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊木萨克片'', ''YMSKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑'', ''YQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊沙佐米'', ''YSZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊索拉定'', ''YSLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊托必利'', ''YTBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊血安颗粒'', ''YXAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依巴斯汀'', ''YBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依达拉奉'', ''YDLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依地酸钙钠'', ''YDSGN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依非韦伦'', ''YFWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依降钙素'', ''YJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依马打正红花油'', ''YMDZHHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依美斯汀'', ''YMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利'', ''YNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利拉'', ''YNPLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪'', ''YNPLQLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利叶酸'', ''YNPLYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那西普'', ''YNXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺肝素'', ''YNGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺沙星'', ''YNSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依帕司他'', ''YPST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依匹斯汀'', ''YPST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依普黄酮'', ''YPHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依沙吖啶'', ''YSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替巴肽'', ''YTBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替膦酸二钠'', ''YTZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替米星'', ''YTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替米星氯化钠'', ''YTMXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷'', ''YTBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托度酸'', ''YTDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托芬那酯'', ''YTFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托红霉素'', ''YTHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托考昔'', ''YTKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯'', ''YTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯乳状'', ''YTZZRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托孕烯'', ''YTYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依维莫司'', ''YWMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依西美坦'', ''YXMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布'', ''YZMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布辛伐他汀'', ''YZMBXFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素'', ''YDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原'', ''YJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原酶'', ''YJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶'', ''YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移因子'', ''YYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺吡嗪利福异烟(Ⅱ)'', ''YAZZLFYY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺丁醇'', ''YADC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝清热解毒胶囊'', ''YGQRJDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙磺酸尼达尼布'', ''YHSNDNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙哌立松'', ''YZLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰胺'', ''YZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸泡腾'', ''YZBZASPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺'', ''YZGZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺氯化钠'', ''YZGZALHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰螺旋霉素'', ''YZLXMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰麦迪霉素'', ''YZMDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰唑胺'', ''YZZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎人免疫球蛋白'', ''YXGYRMYQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎减毒活疫苗'', ''YXNYJDHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎灭活疫苗(Vero细胞)'', ''YXNYMHYM(VeroXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙氧苯柳胺'', ''YYBLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙嗪'', ''YBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙肾上腺素'', ''YBSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙托溴铵'', ''YBTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异氟烷'', ''YFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福'', ''YF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福片'', ''YFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福酰胺'', ''YFZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异甘草酸镁'', ''YGCSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异环磷酰胺'', ''YHLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异帕米星'', ''YPMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异山梨醇'', ''YSLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸'', ''YWAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸红霉素'', ''YWASHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异烟肼'', ''YYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑肽酶'', ''YZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆胶囊'', ''YDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆片'', ''YDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝乐胶囊'', ''YGLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵滴丸'', ''YGLDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵分散片'', ''YGLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵片'', ''YGLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵软胶囊'', ''YGLRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵液体胶囊'', ''YGLYTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益康倍松'', ''YKBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脉康片'', ''YMKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草膏'', ''YMCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草胶囊'', ''YMCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草颗粒'', ''YMCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草片'', ''YMCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草软胶囊'', ''YMCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草注射液'', ''YMCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母颗粒（无糖型）'', ''YMKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑胶囊'', ''YNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑宁片'', ''YNNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑片'', ''YNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气复脉胶囊'', ''YQFMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气和胃胶囊'', ''YQHWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气活血颗粒'', ''YQHXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气维血胶囊'', ''YQWXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气养血口服液'', ''YQYXKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾蠲痹丸'', ''YSZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾灵颗粒'', ''YSLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益视颗粒'', ''YSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心巴迪然吉布亚颗粒'', ''YXBDRJBYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心康泰胶囊'', ''YXKTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心颗粒'', ''YXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒胶囊'', ''YXSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒颗粒'', ''YXSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒片'', ''YXSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒丸'', ''YXSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮分散片'', ''YXTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮胶囊'', ''YXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益血生胶囊'', ''YXSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''因卡膦酸二钠'', ''YKZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道用乳杆菌活菌'', ''YDYRGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵胆平肝胶囊'', ''YDPGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄颗粒'', ''YZHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄口服液'', ''YZHKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心脑通软胶囊'', ''YDXNTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心泰滴丸'', ''YDXTDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银花泌炎灵片'', ''YHMYLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄滴丸'', ''YHDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄含片'', ''YHHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄胶囊'', ''YHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄颗粒'', ''YHKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄片'', ''YHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘合剂'', ''YQHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒合剂'', ''YQJDHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒胶囊'', ''YQJDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒颗粒'', ''YQJDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒片'', ''YQJDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒软胶囊'', ''YQJDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵膏'', ''YXLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵颗粒'', ''YXLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏达莫'', ''YXDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏二萜内酯葡胺'', ''YXEZNZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏二萜内酯葡胺注射液'', ''YXEZNZPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏露'', ''YXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏蜜环'', ''YXMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏内酯注射液'', ''YXNZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯'', ''YXTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯滴丸'', ''YXTZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯片'', ''YXTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶'', ''YXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶滴丸'', ''YXYDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶分散片'', ''YXYFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶胶囊'', ''YXYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶片'', ''YXYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物'', ''YXYTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物片'', ''YXYTQWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶丸'', ''YXYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''引阳索胶囊'', ''YYSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哒帕胺'', ''ZZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺'', ''ZDPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺(Ⅱ)'', ''ZDPA(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚布芬'', ''ZZBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚菁绿'', ''ZZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛'', ''ZZMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛巴布'', ''ZZMXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛呋喃唑酮'', ''ZZMXZZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶'', ''ZJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茚达特罗'', ''ZDTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''英夫利西单抗'', ''YFLXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''英卡膦酸二钠'', ''YKZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾口服液'', ''YEJPKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散'', ''YEJPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散(微粉细粒型)'', ''YEJPS(WFXLX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟碱'', ''ZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟碱氯化钠'', ''ZSJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟乙碘油'', ''ZSYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荧光素钠'', ''YGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脂酸红霉素'', ''YZSHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛹虫草菌粉胶囊'', ''YCCJFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尤瑞克林'', ''YRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右丙亚胺'', ''YBYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右归胶囊'', ''YGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右雷佐生'', ''YLZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬愈创甘油醚'', ''YMSFYCGYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美托咪定'', ''YMTZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬'', ''YXBLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐20葡萄糖'', ''YXTZ20PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氨基酸'', ''YXTZ40AJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氯化钠'', ''YXTZ40LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40葡萄糖'', ''YXTZ40PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐羟丙甲纤维素'', ''YXTZZBJXWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁'', ''YXTZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬'', ''YXTLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬氨丁三醇'', ''YXTLFADSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右佐匹克隆'', ''YZPKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹胶囊'', ''ZXBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹片'', ''ZXBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''余甘子喉片'', ''YGZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼精蛋白'', ''YJDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼石脂'', ''YSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草滴眼液'', ''YXCDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草素'', ''YXCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草注射液'', ''YXCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼油脂肪乳'', ''YYZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风胶囊'', ''YPFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风颗粒'', ''YPFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风口服液'', ''YPFKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉泉颗粒'', ''YQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉叶清火胶囊'', ''YYQHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''郁金银屑片'', ''YJYXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈创甘油醚'', ''YCGYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚待因'', ''YFDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚甲麻那敏'', ''YFJMNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻'', ''YFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻待因'', ''YFWMDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈裂贴膏'', ''YLTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美'', ''YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美甲麻敏'', ''YMJMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈伤灵胶囊'', ''YSLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈心痛胶囊'', ''YXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛滴丸'', ''YHZTDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛分散片'', ''YHZTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛颗粒'', ''YHZTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛片'', ''YHZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛软胶囊'', ''YHZTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月见草油'', ''YJCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕痛定胶囊'', ''YTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药'', ''YNBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药创可贴'', ''YNBYCKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药酊'', ''YNBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药膏'', ''YNBYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药胶囊'', ''YNBYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药气雾剂'', ''YNBYQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南红药胶囊'', ''YNHYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝胞内糖肽'', ''YZBNTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝肝泰颗粒'', ''YZGTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝糖肽胶囊'', ''YZTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康颗粒'', ''YKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康口服液'', ''YKKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康糖浆'', ''YKTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕三烯酮'', ''YSXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血胶囊'', ''ZZSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血片'', ''ZZSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脏连丸'', ''ZLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神胶囊'', ''ZRASJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神颗粒'', ''ZRASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠'', ''ZSSZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠氯化钠'', ''ZSSZNLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泽桂癃爽胶囊'', ''ZGZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光胶囊'', ''ZGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''28999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光片'', ''ZGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增乳膏'', ''ZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎冲十三味丸'', ''ZCSSWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆'', ''ZLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎鲁司特'', ''ZLST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎那米韦'', ''ZNMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''樟柳碱'', ''ZLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春胺'', ''CCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春地辛'', ''CCDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春碱'', ''CCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春瑞滨'', ''CCRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀'', ''CCXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀氯化钠'', ''CCXTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀葡萄糖'', ''CCXTPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春新碱'', ''CCXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳'', ''CLZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳(00)'', ''CLZFR(00)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''障眼明胶囊'', ''ZYMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蔗糖铁'', ''ZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正胶囊'', ''ZZFZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正颗粒'', ''ZZFZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍宝丸'', ''ZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄安宫片'', ''ZHAGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄胶囊'', ''ZHJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄片'', ''ZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍菊降压'', ''ZJJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍菊降压片'', ''ZJJYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍石烧伤膏'', ''ZSSSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠明目滴眼液'', ''ZZMMDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠胃安九'', ''ZZWAJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源胶囊'', ''ZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源口服液'', ''ZYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源片'', ''ZYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁胶囊'', ''ZKNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁口服液'', ''ZKNKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''整蛋白型肠内营养剂'', ''ZDBXCNYYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正柴胡饮颗粒'', ''ZCHYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正骨水'', ''ZGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正红花油'', ''ZHHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁缓释片'', ''ZQFTNHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁注射液'', ''ZQFTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天胶囊'', ''ZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天丸'', ''ZTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄口服液'', ''ZBDHKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸'', ''ZBDHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸（浓缩丸）'', ''ZBDHW（NSW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必泰胶囊'', ''ZBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必妥片'', ''ZBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳'', ''ZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(10%)/氨基酸(15)/葡萄糖(20%)'', ''ZFR(10%)/AJS(15)/PTT(20%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(C14-24)'', ''ZFR(C14-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸'', ''ZFRAJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(11%)'', ''ZFRAJS(17)PTT(11%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(19%)'', ''ZFRAJS(17)PTT(19%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(18)'', ''ZFRAJS(18)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸葡萄糖'', ''ZFRAJSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂康颗粒'', ''ZKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂可清胶囊'', ''ZKQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂清片'', ''ZQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素'', ''ZRXWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅰ)'', ''ZRXWSS(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅱ)'', ''ZRXWSS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅱ)/水溶性维生素'', ''ZRXWSS(Ⅱ)/SRXWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳宁嗽胶囊'', ''ZKNSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳枇杷颗粒'', ''ZKZZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳桃花散'', ''ZKTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰胶囊'', ''ZSHTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰颗粒'', ''ZSHTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化癓片'', ''ZTH癓P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化癥胶囊'', ''ZTH癥JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化症片'', ''ZTHZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛消炎软膏'', ''ZTXYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝胶囊'', ''ZXBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝颗粒'', ''ZXBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒酊'', ''ZYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒消炎水'', ''ZYXYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术颗粒'', ''ZSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术宽中胶囊'', ''ZSKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''至灵胶囊'', ''ZLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志苓胶囊'', ''ZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉菌素'', ''ZMJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治咳川贝枇杷露'', ''ZKCBZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜康栓'', ''ZMKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜灵泡腾片'', ''ZMLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治偏痛胶囊'', ''ZPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治伤软膏'', ''ZSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''致康胶囊'', ''ZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮胶囊'', ''ZCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮片'', ''ZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疾洗液'', ''ZJXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康胶囊'', ''ZKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康片'', ''ZKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔宁片'', ''ZNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智杞颗粒'', ''ZZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C6-24)'', ''Z/CLZFR(C6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C8-24)'', ''Z/CLZFR(C8-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中风回春丸'', ''ZFHCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性蛋白酶'', ''ZXDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中长链脂肪乳'', ''ZCLZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中长链脂肪乳(C8-24Ve)'', ''ZCLZFR(C8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿节风分散片'', ''ZJFFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生片'', ''ZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生丸'', ''ZSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重感灵胶囊'', ''ZGLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组促卵泡素β'', ''ZZCLPSβ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组改构人肿瘤坏死因子'', ''ZZGGRZLHSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组甘精胰岛素'', ''ZZGJYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组赖脯胰岛素'', ''ZZLFYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组链激酶'', ''ZZLJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子'', ''ZZNJXCXWXBSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人Ⅱ型肿瘤坏死因子受体-抗体融合蛋白'', ''ZZRⅡXZLHSYZST-KTRHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人p53腺病毒'', ''ZZRp53XBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人TNK组织型纤溶酶原激活剂'', ''ZZRTNKZZXXRMYJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-11'', ''ZZRBJS-11'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-11(Ⅰ)'', ''ZZRBJS-11(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2'', ''ZZRBJS-2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2(125Ala)'', ''ZZRBJS-2(125Ala)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-11'', ''ZZRBXBJS-11'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2'', ''ZZRBXBJS-2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2(125Ala)'', ''ZZRBXBJS-2(125Ala)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子'', ''ZZRBPSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子(Ⅰ)'', ''ZZRBPSCYZ(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子(酵母)'', ''ZZRBPSCYZ(JM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子衍生物'', ''ZZRBPSCYZYSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素'', ''ZZRCHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素(CHO细胞)'', ''ZZRCHS(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素-β(CHO细胞)'', ''ZZRCHS-β(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促黄体激素'', ''ZZRCHTJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促黄体激素α'', ''ZZRCHTJSα'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促卵泡激素'', ''ZZRCLPJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α1b'', ''ZZRGRSα1b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2a'', ''ZZRGRSα2a'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b'', ''ZZRGRSα2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α-2b'', ''ZZRGRSα-2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b(假单胞菌)'', ''ZZRGRSα2b(JDBJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素β1b'', ''ZZRGRSβ1b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素γ'', ''ZZRGRSγ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人红细胞生成素'', ''ZZRHXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子'', ''ZZRLXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子(CHO细胞)'', ''ZZRLXBCJYZ(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞集落刺激因子'', ''ZZRLXBJLCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞巨噬细胞刺激因子'', ''ZZRLXBJSXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人脑利钠肽'', ''ZZRNLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人尿激酶原'', ''ZZRNJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅶa'', ''ZZRNXYZⅦa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅷ'', ''ZZRNXYZⅧ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅸ'', ''ZZRNXYZⅨ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人绒促性素'', ''ZZRRCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素'', ''ZZRSCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素(rhGH)'', ''ZZRSCJS(rhGH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血管内皮抑制素'', ''ZZRXGNPYZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血小板生成素'', ''ZZRXXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素'', ''ZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素混合'', ''ZZRYDSHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人组织型纤溶酶原激酶衍生物'', ''ZZRZZXXRMYJMYSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(CHO细胞)'', ''ZZYXGYYM(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(汉逊酵母)'', ''ZZYXGYYM(HXJM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(酿酒酵母)'', ''ZZYXGYYM(NJJM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''朱砂安神丸'', ''ZSASW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀保婴散'', ''ZZBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀猴枣散'', ''ZZHZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀惊风散'', ''ZZJFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猪肺磷脂'', ''ZFLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹红菌素'', ''ZHJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥合剂'', ''ZLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥胶囊'', ''ZLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逐瘀通脉胶囊'', ''ZZTMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参'', ''ZSYDC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸盐'', ''ZSYDCDFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用灯盏花素'', ''ZSYDZHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用红花黄色素'', ''ZSYHHHSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用黄芪多糖'', ''ZSYHZDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双黄连'', ''ZSYSHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血塞通'', ''ZSYXST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用益气复脉'', ''ZSYYQFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖'', ''ZHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖电解质'', ''ZHTDJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移因子'', ''ZYYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节胶囊'', ''ZGGJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节丸'', ''ZGGJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨麝香止痛膏'', ''ZGZXZTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨胶囊'', ''ZFTGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨丸'', ''ZFTGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风药酒'', ''ZFYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋肾育胎丸'', ''ZSYTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴胶囊'', ''ZXYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴颗粒'', ''ZXYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴口服液'', ''ZXYKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫河车胶囊'', ''ZHCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫龙金片'', ''ZLJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇'', ''ZSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇(白蛋白结合型)'', ''ZSC(BDBJHX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇脂质体'', ''ZSCZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈哌泊塞嗪'', ''ZZZBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈酸帕利哌酮'', ''ZZSPLZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足光散'', ''ZGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖卡木颗粒'', ''ZKMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻片'', ''ZSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻注射液'', ''ZSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左奥硝唑氯化钠'', ''ZAXZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左布比卡因'', ''ZBBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左布诺洛尔'', ''ZBNLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左归丸'', ''ZGW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左甲状腺素'', ''ZJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡巴斯汀'', ''ZKBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡尼汀'', ''ZKNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左羟丙哌嗪口服溶液'', ''ZZBZZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮'', ''ZQNYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮宫内节育系统'', ''ZQNYTGNJYXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西孟旦'', ''ZXMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西替利嗪'', ''ZXTLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋氨氯地平'', ''ZXALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋多巴'', ''ZXDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋咪唑'', ''ZXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左亚叶酸钙'', ''ZYYSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星氯化钠'', ''ZYFSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氰沙星'', ''ZYQSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左乙拉西坦'', ''ZYLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦'', ''ZMQPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐匹克隆'', ''ZPKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐珠达西'', ''ZZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唑吡坦'', ''ZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唑来膦酸'', ''ZLZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族相关传染病'', ''JZXGCRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族相关传染病史'', ''JZXGCRBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性遗传病'', ''JZXYCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健康状况'', ''JKZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能发音'', ''BNFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能言语'', ''BNYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力低下'', ''ZLDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈欠'', ''HQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦多'', ''MD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自觉多梦'', ''ZJDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猜疑'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疑心重'', ''YXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶梦'', ''EM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦躁不安'', ''FZBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心烦'', ''XF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心烦躁'', ''XFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心情烦躁'', ''XQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑不灵活'', ''DNBLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑不灵敏'', ''DNBLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑迟钝'', ''DNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应迟缓'', ''FYCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应慢'', ''FYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑子不灵活'', ''NZBLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑子不灵敏'', ''NZBLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑子迟钝'', ''NZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交流困难'', ''JLKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''构音不良'', ''GYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''构音困难'', ''GYKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不爱讲话'', ''BAJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''说话少'', ''SHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行为反常'', ''XWFC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行为怪异'', ''XWGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行为障碍'', ''XWZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常行为'', ''YCXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胡乱说话'', ''HLSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乱说话'', ''LSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''语无伦次'', ''YWLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凭空闻语'', ''PKWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不省人事'', ''BSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不醒人事'', ''BXRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷不醒'', ''HMBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去皮质状态'', ''QPZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人事不知'', ''RSBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''完全意识丧失'', ''WQYSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物人'', ''ZWR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物人状态'', ''ZWRZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力丧失'', ''JYLSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆减退'', ''JYJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力差'', ''JYLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力减退'', ''JYLJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力衰退'', ''JYLST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆衰退'', ''JYST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆下降'', ''JYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆丢失'', ''JYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆缺失'', ''JYQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失去记忆'', ''SQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失忆'', ''SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''说话没有逻辑'', ''SHMYLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑烦躁'', ''JLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''项背高度强直'', ''XBGDQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭口不作声'', ''BKBZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不讲话'', ''BJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禁声'', ''JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊慌'', ''JH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊惶'', ''JH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊恐发作'', ''JKFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐慌'', ''KH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊吓发作'', ''JXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神不振'', ''JSBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬指甲'', ''YZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕水'', ''PS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音不清'', ''FYBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音含糊'', ''FYHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音含糊不清'', ''FYHHBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿含糊'', ''KCHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''说话不清'', ''SHBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吐词不清'', ''TCBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吐字不清'', ''TZBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''言语不清'', ''YYBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿清晰'', ''KCQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''REM睡眠行为障碍'', ''REMSMXWZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速眼动睡眠行为紊乱'', ''KSYDSMXWWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速眼动睡眠行为障碍'', ''KSYDSMXWZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑外伤'', ''NWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼压床'', ''GYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼压身'', ''GYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼压身现象'', ''GYSXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦话'', ''MH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''说梦话'', ''SMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呓语'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡行症'', ''SXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠梦游症'', ''SMMYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜游'', ''YY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木僵状态'', ''MJZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一动不动'', ''YDBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自责'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内脏性幻觉'', ''NZXHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志恍惚'', ''SZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志昏蒙'', ''SZHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不思睡'', ''BSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不易入睡'', ''BYRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''难以入睡'', ''NYRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''入睡困难'', ''RSKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房屋旋转感'', ''FWXZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''看物旋转'', ''KWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜睡困倦'', ''SSKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅睡眠'', ''QSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡不踏实'', ''SBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠不深'', ''SMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠不实'', ''SMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠浅'', ''SMQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠质量差'', ''SMZLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠不好'', ''SMBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠不佳'', ''SMBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠失调'', ''SMSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠质量下降'', ''SMZLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过度睡眠'', ''GDSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠过多'', ''SMGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜寐尚可'', ''YMSK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠瘫痪'', ''SMTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天旋地转感'', ''TXDZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑胀痛'', ''NZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头胀痛'', ''TZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部重压感'', ''TBZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头沉重'', ''TCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头重'', ''TZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头重感'', ''TZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白发'', ''BF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发白'', ''FB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发干枯'', ''FGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发丝枯黄干燥'', ''FSKHGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发干燥'', ''TFGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发稀'', ''FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发稀少'', ''TFXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发稀疏'', ''TFXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头沉闷'', ''TCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头闷沉'', ''TMC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头闷闷'', ''TMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮肿块'', ''TPZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮麻'', ''TPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮干燥'', ''TPGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮搔痒'', ''TPSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮痒'', ''TPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痒'', ''TY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮疼痛'', ''TPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部疼痛'', ''TBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部痛'', ''TBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头疼'', ''TT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛不适'', ''TTBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感头晕'', ''GTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头昏'', ''TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头昏沉'', ''THC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头昏沉感'', ''THCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头昏胀'', ''THZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕胀'', ''TYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕头'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑胀'', ''NZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部发胀'', ''TBFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部胀'', ''TBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发胀'', ''TFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秃头'', ''TT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掉发'', ''DF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发脱落'', ''TFTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妄想发作'', ''WXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妄想阵发'', ''WXZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发妄想'', ''ZFWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多语'', ''DY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕眩'', ''YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡惊'', ''SJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异食'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异嗜'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异嗜症'', ''YSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速眼动睡眠'', ''KSYDSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易激惹'', ''YJR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易怒'', ''YN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''容易醒'', ''RYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识模糊'', ''YSMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续性意识完全丧失'', ''CXXYSWQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志丧失'', ''SZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''说话障碍'', ''SHZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''言语不能'', ''YYBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''言语障碍'', ''YYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''语言困难'', ''YYKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''错腋'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏倒'', ''HD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏厥'', ''HZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕倒'', ''YD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谵妄胡说'', ''ZWHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张嘴睡觉'', ''ZZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力衰退'', ''ZLST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力下降'', ''ZLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力发育缺陷'', ''ZLFYQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性嗜睡贪食综合征'', ''ZQXSSTSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注意力不集中'', ''ZYLBJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自卑感'', ''ZBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自信心丧失'', ''ZXXSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自笑'', ''ZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自言自语'', ''ZYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不自觉眨眼'', ''BZJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''频繁眨眼'', ''PFZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易眨眼'', ''YZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼不能控制'', ''ZYBNKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼不止'', ''ZYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼过多'', ''ZYGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼睛'', ''ZYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼频繁'', ''ZYPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼无法控制'', ''ZYWFKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眨眼运动'', ''ZYYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑睫毛内倒'', ''ZJMND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睫毛内倒'', ''JMND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪多'', ''LD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪液分泌过多'', ''LYFMGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼泪多'', ''YLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼泪增多'', ''YLZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑蒙'', ''HM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑曚'', ''H曚'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑朦'', ''HZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇感'', ''HBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物黑朦'', ''SWHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前发黑'', ''YQFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前突然发黑'', ''YQTRFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一过性黑蒙'', ''YGXHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊猫眼'', ''XMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虹彩视'', ''HCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流眼泪'', ''LYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼流泪'', ''YLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼偏盲'', ''YPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''目盲'', ''MM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力丧失'', ''SLSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼盲'', ''YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼失明'', ''YSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼瞎'', ''YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼黒影漂浮'', ''Y黒YPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力不良'', ''SLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力低下'', ''SLDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力减退'', ''SLJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力降低'', ''SLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力模糊'', ''SLMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视觉障碍'', ''SJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲视'', ''MS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视错觉'', ''SCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''目倦'', ''MJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力疲劳'', ''SLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼累'', ''YL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼疲劳'', ''YPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼容易疲劳'', ''YRYPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力不清'', ''SLBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物不清'', ''SWBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物看不清'', ''SWKBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊不清'', ''SWMHBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雾视'', ''WS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前闪光感'', ''YQSGG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复视'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''看东西有重影'', ''KDXYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物双影'', ''SWSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重影'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视野缺失'', ''SYQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼会聚'', ''SYHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼凝视'', ''SYNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''见光流泪'', ''JGLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕光'', ''PG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏光流泪'', ''WGLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羞明'', ''XM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛怕光'', ''YJPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼镜怕见光'', ''YJPJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斜眼'', ''XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翻白眼'', ''FBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼上翻'', ''SYSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球上翻'', ''YQSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼上翻'', ''YSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼珠朝上'', ''YZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼珠上翻'', ''YZSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼大量分泌物'', ''YDLFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼分泌物多'', ''YFMWD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼屎多'', ''YSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部灼烧感'', ''YBZSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛异物感'', ''YJYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部出血'', ''YBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干眼'', ''GY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼干涩'', ''SYGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼干'', ''YG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛干燥'', ''YJGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赤目'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赤眼'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''火红眼'', ''HHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''火眼'', ''HY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''目赤'', ''MC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼发红'', ''YFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛发红'', ''YJFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛红'', ''YJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼花'', ''YH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜黄'', ''GMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜黄染'', ''GMHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼白发黄'', ''YBFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼巩膜黄染'', ''YGMHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑浮肿'', ''YZFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼皮水肿'', ''YPSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑外翻'', ''ZWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼皮外翻'', ''YPWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼角抽动'', ''YJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜浮肿'', ''YJMFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶疼痛'', ''YKTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前黑影飘动'', ''YQHYPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前有黑影飘动'', ''YQYHYPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前有黑影在飘'', ''YQYHYZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球凹陷'', ''YQAX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凸眼'', ''TY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突眼'', ''TY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼突'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球震动'', ''YQZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼震'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部痛'', ''YBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛痛'', ''YJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼疼痛'', ''YTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛痒'', ''YJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部浮肿'', ''YBFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛浮肿'', ''YJFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''光线暗时看不清'', ''GXASKBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''光线暗视物不清'', ''GXASWBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雀盲'', ''QM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雀目'', ''QM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雀目眼'', ''QMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''入夜盲'', ''RYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜晚看不清东西'', ''YWKBQDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜晚视物不清'', ''YWSWBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''见风流泪'', ''JFLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼肌无力'', ''YJWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睛肌无力'', ''YJJWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睁眼困难'', ''ZYKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盯聆堵塞'', ''DZDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道分泌物堵塞'', ''EDFMWDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聍栓塞'', ''EZSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳屎栓塞'', ''ESSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳朵流液'', ''EDLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社会性耳聋'', ''SHXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失聪'', ''SC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳闷涨感'', ''EMZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳闷胀'', ''EMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳闷胀感'', ''EMZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内闷涨感'', ''ENMZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳响'', ''EX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部疼'', ''EBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部疼痛'', ''EBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳朵疼'', ''EDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳朵疼痛'', ''EDTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳疼痛'', ''ETT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳瘙痒'', ''EZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部异物感'', ''EBYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳包块'', ''EBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力不适'', ''TLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力过敏'', ''TLGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力损失'', ''TLSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力异常'', ''TLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力障碍'', ''TLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉迟钝'', ''TJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力减退'', ''TLJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复听'', ''FT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻衄'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔出血'', ''BQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出鼻血'', ''CBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流鼻血'', ''LBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻干'', ''BG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻干燥'', ''BGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻燥'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子干燥'', ''BZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻孔堵塞'', ''BKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔阻塞'', ''BQZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子不通'', ''BZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子阻塞'', ''BZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻阻'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻阻塞'', ''BZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔疼痛'', ''BQTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子疼'', ''BZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子疼痛'', ''BZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻孔痒'', ''BKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔内痒'', ''BQNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔瘙痒'', ''BQZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔分泌物外溢'', ''BQFMWWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻两侧摆动'', ''BLCBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻煽'', ''BS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻翼扇动'', ''BYSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄涕'', ''HT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流黄鼻涕'', ''LHBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流浓涕'', ''LNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓鼻涕'', ''NBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓性鼻涕'', ''NXBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔流分泌物'', ''BQLFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻涕'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻子流分泌物'', ''BZLFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流鼻涕'', ''LBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打喷涕'', ''DPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打喷嚏'', ''DPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻涕带血'', ''BTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻涕夹血'', ''BTJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血涕'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉刺激敏感性增加'', ''XJCJMGXZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉敏感'', ''XJMG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉失灵'', ''XJSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉减退'', ''XJJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右侧鼻痛'', ''YCBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面抽搐'', ''MCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌抽搐'', ''MJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌抽动'', ''MJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面容呆'', ''MRD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部浮肿'', ''LBFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部水肿'', ''LBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸浮肿'', ''LFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸水肿'', ''LSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸肿'', ''LZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部水肿'', ''MBSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颜面水肿'', ''YMSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部发麻'', ''LBFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸麻'', ''LM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面麻'', ''MM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肿胀疼痛'', ''MBZZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸似面具样'', ''LSMJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情淡漠'', ''BQDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸红'', ''LH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部潮红'', ''MBCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部发红'', ''MBFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色发红'', ''MSFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颜面潮红'', ''YMCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸色发黑'', ''LSFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色苍黑'', ''MSCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色发黑'', ''MSFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色黑'', ''MSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸黄'', ''LH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面黄'', ''MH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色发黄'', ''MSFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部肌肉麻痹'', ''LBJRMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部肌肉瘫痪'', ''LBJRTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部神经麻痹'', ''LBSJMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部神经瘫痪'', ''LBSJTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肌肉麻痹'', ''MBJRMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部神经麻痹'', ''MBSJMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部瘫'', ''MBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部瘫痪'', ''MBTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌瘫'', ''MJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌瘫痪'', ''MJTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面神经麻痹'', ''MSJMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌疼痛'', ''XZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇部疱疹'', ''CBZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦躁干渴'', ''FZGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经常口渴'', ''JCKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老是口渴'', ''LSKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''频繁口渴'', ''PFKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总感口渴'', ''ZGKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总口渴'', ''ZKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总是口渴'', ''ZSKK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吃饭漏饭'', ''CFLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吃饭漏食'', ''CFLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食漏饭'', ''JSLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咀嚼困难'', ''JJKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴唇干裂'', ''ZCGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇畸形'', ''CJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇部麻木'', ''CBMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇麻'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇发麻'', ''KCFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴唇发麻'', ''ZCFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴唇麻'', ''ZCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴唇麻木'', ''ZCMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角糜烂'', ''KJML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角不正'', ''KJBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角斜歪'', ''KJXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''歪嘴巴'', ''WZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴巴歪'', ''ZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴角不正'', ''ZJBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴角歪'', ''ZJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴角歪斜'', ''ZJWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干渴'', ''KGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴巴苦'', ''ZBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔粘膜溃疡'', ''KQZMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔粘膜破溃'', ''KQZMPK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口疱疹'', ''KZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔痛'', ''KQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''29999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴巴里面痛'', ''ZBLMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔白斑'', ''KQBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔黏膜白色斑点'', ''KQZMBSBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口疳'', ''KZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口破'', ''KP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口疡'', ''KY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴巴味酸'', ''ZBWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴酸'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流口水'', ''LKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流延'', ''LY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫样口水'', ''PMYKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌麻'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌头麻'', ''STM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔暗紫色'', ''STAZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄腻苔'', ''HNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苔黄'', ''TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌疼'', ''ST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌痛'', ''ST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌头疼'', ''STT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌头疼痛'', ''STTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌头痛'', ''STT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔红'', ''STH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔色红'', ''STSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口水粘稠'', ''KSZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉下降'', ''WJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失去味觉'', ''SQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉丧失'', ''WJSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉失灵'', ''WJSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉异样'', ''WJYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙齿缺损'', ''YCQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙体缺损'', ''YTQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙齿疼痛'', ''YCTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙疼'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口受限'', ''ZKSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张嘴困难'', ''ZZKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张嘴受限'', ''ZZSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打呼噜'', ''DHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哽噎感'', ''ZYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗噎感'', ''GYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗阻感'', ''GZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉头发紧'', ''HTFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''侯中痰鸣'', ''HZTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉喘鸣'', ''HCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉间痰响'', ''HJTX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉鸣声'', ''HMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉鸣音'', ''HMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉中水鸡声'', ''HZSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉中痰鸣'', ''HZTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部肿物'', ''JBZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈肿块'', ''JZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈不适'', ''JBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部运动障碍'', ''JBYDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脖子僵硬'', ''BZJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部僵硬'', ''JBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈项板紧'', ''JXBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脖子痛'', ''BZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈疼'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈疼痛'', ''JTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈痛'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脖子肿胀'', ''BZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈肿胀'', ''JZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音嘶哑'', ''FYSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声嘶'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''音嘶'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''音调嘶哑'', ''YDSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能发声'', ''BNFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物哽咽'', ''SWZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽哽噎'', ''TYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽疼痛'', ''TYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽困难'', ''TYKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽受限'', ''TYSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部不适感'', ''YBBSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙干'', ''HLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙干燥'', ''HLGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗓子干'', ''SZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部干'', ''YHBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉干'', ''YHG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽反流'', ''HYFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙痛'', ''HLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉疼痛'', ''YHTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽疼'', ''YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙部发痒'', ''HLBFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙部痒'', ''HLBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙发痒'', ''HLFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙痒'', ''HLY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部发痒'', ''YBFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部痒'', ''YBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽发痒'', ''YFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部发痒'', ''YHBFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部痒'', ''YHBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉发痒'', ''YHFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏侧盲'', ''PCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色痰'', ''BST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯白色痰'', ''KBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯白痰'', ''KBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳白色痰'', ''KBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰白'', ''TB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘鸣响声'', ''CMXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘鸣音'', ''CMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘响'', ''CX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘响声'', ''CXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸣喘'', ''MC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳嗽'', ''GKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干性咳嗽'', ''GXKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯血丝'', ''KXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳血'', ''KX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳血丝'', ''KXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸变弱'', ''HXBR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸减退'', ''HXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸弱'', ''HXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸微弱'', ''HXWR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸音减弱'', ''HXYJR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸不畅'', ''HXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸轻'', ''HXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸加深'', ''HXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸深'', ''HXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸重'', ''HXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄粘痰'', ''HZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰黄'', ''TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回吸涕中带血'', ''HXTZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘咳'', ''CK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳痰喘'', ''KTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳痰喘息'', ''KTCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''又喘又咳'', ''YCYK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''又咳又喘'', ''YKYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯痰'', ''KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰呈黏脓性'', ''TCZNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰呈粘液脓性'', ''TCZYNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳脓痰'', ''KNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓痰'', ''NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''憋喘'', ''BC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘憋'', ''CB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘促'', ''CC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘累'', ''CL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘气'', ''CQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘息'', ''CX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''累喘'', ''LC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚喘'', ''XC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸过快'', ''HXGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸过速'', ''HXGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸很快'', ''HXHK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸急促'', ''HXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸加快'', ''HXJK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸快'', ''HXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸轻块'', ''HXQK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气急'', ''QJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气不足'', ''QBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房肿块'', ''RFZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺包块'', ''RXBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房疼痛'', ''RFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺胀痛'', ''RXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳胀'', ''RZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头疼痛'', ''RTTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积乳'', ''JR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房积乳'', ''RFJR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸深大'', ''HXSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽有痰'', ''KSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿咳嗽'', ''SKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿性咳嗽'', ''SXKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不易咳痰'', ''BYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳痰困难'', ''KTKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多痰'', ''DT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吐血痰'', ''TXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血色痰'', ''XST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血丝痰'', ''XST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血痰'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率过低'', ''XLGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率过缓'', ''XLGH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率过慢'', ''XLGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率慢'', ''XLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率过快'', ''XLGK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率加快'', ''XLJK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率快'', ''XLK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率增快'', ''XLZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心跳加速'', ''XTJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心慌'', ''XH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率不齐'', ''XLBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律异常'', ''XLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区痛'', ''XQQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压榨感'', ''XQQYZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压榨性疼痛'', ''XQQYZXTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸前区压榨痛'', ''XQQYZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区针刺样疼痛'', ''XQQZCYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心跳骤停'', ''XTZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区不适'', ''XQQBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感胸憋闷'', ''GXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸憋闷'', ''XBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸憋闷感'', ''XBMG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸感闷气'', ''XGMQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸口憋闷'', ''XKBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸口透不过气'', ''XKTBGQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷憋气'', ''XMBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷气'', ''XMQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷气感'', ''XMQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部疼痛'', ''XBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部痛'', ''XBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠呼吸暂停'', ''SMHXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头溢乳'', ''RTYR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺异常泌乳'', ''RXYCMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳溢'', ''RY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳溢液'', ''RYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢奶'', ''YN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液粘稠'', ''TYZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰粘稠'', ''TZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰粘'', ''TZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘性痰'', ''ZXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液痰'', ''ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''侧盲'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳气兼有腐臭味'', ''ZQJYFCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饱嗝'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打饱嗝'', ''DBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏油便'', ''BYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄粪'', ''BF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便溏'', ''DBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便稀'', ''DBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便稀溏'', ''DBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烂便'', ''LB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溏泥便'', ''ZNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稀便'', ''XB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稀烂便'', ''XLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稀样便'', ''XYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便出血'', ''DBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便出血'', ''FBCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便血性'', ''FBXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血便'', ''XB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血性大便'', ''XXDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血性粪便'', ''XXFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠疼痛'', ''CTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨起反胃'', ''CQFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸡鸣泻'', ''JMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便细'', ''BX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细条样便'', ''XTYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便不畅'', ''PBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干'', ''DBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干结'', ''DBGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干硬'', ''DBGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干躁'', ''DBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便结燥'', ''DBJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便结躁'', ''DBJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便硬结'', ''DBYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便燥结'', ''DBZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便躁结'', ''DBZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便干结'', ''FBGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪质硬结'', ''FZYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门失禁'', ''GMSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便失禁'', ''PBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便疼痛'', ''PBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便痛'', ''PBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便习惯改变'', ''PBXGGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便失禁'', ''EBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便习惯改变'', ''EBXGGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜饮'', ''XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饮水多'', ''YSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打嗝'', ''DZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翻胃'', ''FW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反胃'', ''FW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心欲吐'', ''EXYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反食'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物反流'', ''SWFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''往上反食物'', ''WSFSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃反酸'', ''WFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部肿块'', ''FBZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饱胀'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饱胀感'', ''BZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肚子饱胀'', ''DZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感饱胀'', ''GBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹不适'', ''FBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部不适感'', ''FBBSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部钝痛'', ''FBDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟肿物'', ''FGGZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部疼痛'', ''FBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹疼痛'', ''FTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉肚子'', ''LDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉稀'', ''LX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泄泻'', ''XX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部隐痛'', ''FBYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部胀痛'', ''FBZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心干呕'', ''EXGO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色便'', ''JHSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄色稀水样便'', ''HSXSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便中含假膜'', ''BZHJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下痛'', ''JTXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食就吐'', ''JSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剧吐'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐不止'', ''OTBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泔水样便'', ''ZSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泔样便'', ''ZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓便'', ''NB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液脓血便'', ''ZYNXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液血便'', ''ZYXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吐血'', ''TX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便排便不尽感'', ''DBPBBJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便不尽'', ''PBBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便次数增多'', ''DBCSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便困难'', ''DBKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便时间延长'', ''DBSJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便阻塞感'', ''DBZSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门阻塞感'', ''GMZSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放屁多'', ''FPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘肠痛'', ''PCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''挑食'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐周疼痛'', ''QZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹部痛'', ''QFBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳差'', ''NC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳呆'', ''ND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲不佳'', ''SYBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲不振'', ''SYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲不整'', ''SYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲差'', ''SYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲低下'', ''SYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲缺乏'', ''SYQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲下降'', ''SYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃纳不佳'', ''WNBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多食'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食量增加'', ''JSLZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲变大'', ''SYBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲变强'', ''SYBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲强'', ''SYQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲旺盛'', ''SYWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲增强'', ''SYZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏重于食咸味'', ''PZYSXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜咸'', ''SX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜欢吃咸味'', ''XHCXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水泻样大便'', ''SXYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稀水样便'', ''XSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土色便'', ''BTTSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土样便'', ''BTTYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期腹痛'', ''JQFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期下腹痛'', ''JQXFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期小腹痛'', ''JQXFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经腹痛'', ''YJFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经期腹痛'', ''YJQFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部满闷不舒'', ''FBMMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹满闷不舒'', ''FMMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痞满'', ''PM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃疼'', ''WT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃灼痛'', ''WZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃部满胀'', ''WBMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃部胀'', ''WBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃部胀满'', ''WBZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃部胀气'', ''WBZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃满胀'', ''WMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃胀满'', ''WZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃胀气'', ''WZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血水样便'', ''XSYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腹痛'', ''XFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腹坠痛'', ''XFZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部坠胀感'', ''XFBZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹坠胀'', ''XFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不消化'', ''BXH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''完全不思进食'', ''WQBSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饥饿'', ''JE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饥饿感'', ''JEG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''容易饿'', ''RYE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饿'', ''YE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饥饿'', ''YJE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饥感'', ''YJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹部疼痛'', ''YXFBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹疼痛'', ''YXFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''容易饱'', ''RYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饱'', ''YB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏液便'', ''ZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫状便'', ''PMZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泻油脂物'', ''XYZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油花样腹泻'', ''YHYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油样泻'', ''YYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油脂状便'', ''YZZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中下腹部疼痛'', ''ZXFBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中下腹疼痛'', ''ZXFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左下腹部疼痛'', ''ZXFBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左下腹疼痛'', ''ZXFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一侧盲'', ''YCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便如常'', ''DBRC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便尚可'', ''DBSK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿量多'', ''NLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿量过多'', ''NLGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便尚可'', ''EBSK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿呈酱油色'', ''NCJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酱油色'', ''NJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液漏出'', ''NYLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿不净'', ''NBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿滴沥'', ''NDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿后余沥'', ''NHYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿不尽'', ''PNBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便不尽'', ''XBBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便后滴尿'', ''XBHDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便后余沥'', ''XBHYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便淋漓'', ''XBLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便淋漓不尽'', ''XBLLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白淫'', ''BY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白浊'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴白'', ''DB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道口滴出白色浊物'', ''NDKDCBSZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿滴白'', ''NDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿灼热感'', ''NZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便时尿道口灼热感'', ''XBSNDKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便灼热感'', ''XBZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道滴血'', ''NDDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道口滴血'', ''NDKDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿完后会出几滴血'', ''NWHHCJDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便滴血'', ''XBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便后滴血'', ''XBHDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红尿'', ''HN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红色尿'', ''HSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄尿'', ''HN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿发黄'', ''NFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便黄'', ''XBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流变小'', ''NLBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流细'', ''NLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流小'', ''NLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿线变细'', ''NXBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿线变小'', ''NXBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿线细'', ''NXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿线小'', ''NXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿次数多'', ''NCSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿多'', ''ND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色变黄'', ''NSBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不自主漏尿'', ''BZZLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便失禁'', ''XBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿疼痛'', ''PNTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿痛'', ''PNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便疼痛'', ''XBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便痛'', ''XBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿无力'', ''PNWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便无力'', ''XBWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿混'', ''NH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿浊'', ''NZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便混浊'', ''XBHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿石'', ''NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶色尿'', ''CSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿如浓茶'', ''NRNC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿不出尿'', ''NBCN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿费力'', ''PNFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''想尿尿不出来'', ''XNNBCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''想尿却尿不出来'', ''XNQNBCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''想小便又尿不出来'', ''XXBYNBCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便困难'', ''XBKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便尿不出'', ''XBNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有尿却尿不出'', ''YNQNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流异常'', ''NLYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿间断'', ''NJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流中断'', ''NLZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿中断'', ''NZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿间断'', ''PNJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便不畅'', ''XBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便中断'', ''XBZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿泡沫'', ''NPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿有泡'', ''NYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气淋'', ''QL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿中见血'', ''NZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿量少'', ''NLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿少'', ''NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿次少'', ''NCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数减少'', ''XBCSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿异常'', ''NYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿隐痛'', ''NYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿隐痛'', ''PNYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便佳'', ''XBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便尚可'', ''XBSK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿血'', ''NX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿中带血'', ''NZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血性小便'', ''XXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间排尿次数增多'', ''YJPNCSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间排尿增多'', ''YJPNZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿变多'', ''YNBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿多'', ''YND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿频繁'', ''YNPF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿增多'', ''YNZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起不能'', ''BQBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起无力'', ''BQWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起障碍'', ''BQZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能勃起'', ''BNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起疼痛'', ''BQTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常勃起'', ''YCBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精疼痛'', ''SJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精功能障碍'', ''SJGNZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食量减少'', ''SLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性功能异常'', ''XGNYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性生活困难'', ''XSHKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同房出血'', ''TFCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性交痛'', ''XJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲减退'', ''XYJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲缺乏'', ''XYQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲下降'', ''XYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲旺盛'', ''XYWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲增强'', ''XYZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红色精液'', ''HSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑精'', ''HJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑泄'', ''HX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦遗'', ''MY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无梦遗精'', ''WMYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴肿物'', ''WYZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴红'', ''WYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴溃烂'', ''WYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴破溃'', ''WYPK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴丘疹'', ''WYQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴部瘙痒'', ''WYBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴痒'', ''WYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴部瘙痒'', ''YBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴疼痛'', ''WYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带臭味'', ''BDCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带腥臭味'', ''BDXCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臭味白带'', ''CWBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豆腐渣样白带'', ''DFZYBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝乳样白带'', ''NRYBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带增多'', ''BDZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物增多'', ''YDFMWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带棕褐色'', ''BDZHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道褐色分泌物'', ''YDHSFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常白带'', ''YCBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异味白带'', ''YWBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量变少'', ''JLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量过少'', ''JLGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量极少'', ''JLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量偏少'', ''JLPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量少'', ''JLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量稀少'', ''JLXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经变少'', ''YJBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经过少'', ''YJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经极少'', ''YJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经减少'', ''YJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量变少'', ''YJLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量过少'', ''YJLGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量极少'', ''YJLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量减少'', ''YJLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量偏少'', ''YJLPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量少'', ''YJLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量稀少'', ''YJLXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经偏少'', ''YJPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经少'', ''YJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经稀少'', ''YJXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量变多'', ''JLBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量多'', ''JLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量过多'', ''JLGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量极多'', ''JLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量偏多'', ''JLPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经变多'', ''YJBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经多'', ''YJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经过多'', ''YJGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经极多'', ''YJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量变多'', ''YJLBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量多'', ''YJLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量过多'', ''YJLGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量极多'', ''YJLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量偏多'', ''YJLPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经量增多'', ''YJLZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经偏多'', ''YJPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经增多'', ''YJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带脓性'', ''BDNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经期间'', ''JJQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经期延长'', ''JJQYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带带血'', ''BDDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带血性'', ''BDXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带有血'', ''BDYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道血性分泌物'', ''YDXXFMW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不规则阴道出血'', ''BGZYDCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不规则阴道流血'', ''BGZYDLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道流血'', ''YDLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶露'', ''EL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道干'', ''YDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌液'', ''YDFMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道痒'', ''YDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道疼痛'', ''YDTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经不规律'', ''YJBGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经不规则'', ''YJBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经不调'', ''YJBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经紊乱'', ''YJWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经无规律'', ''YJWGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经异常'', ''YJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头丘疹'', ''GTQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头破皮'', ''GTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎疼痛'', ''YJTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸疼痛'', ''ZWTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸肿'', ''ZWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左侧盲'', ''ZCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊痒'', ''YNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿'', ''YNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊包块'', ''YNBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴疼'', ''HYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴疼痛'', ''HYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背部疼'', ''BBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背部疼痛'', ''BBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背部痛'', ''BBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背疼'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背疼痛'', ''BTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部僵直感'', ''YBJZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背部疼痛'', ''YBBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部发麻'', ''YBFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部麻'', ''YBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰发麻'', ''YFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰麻'', ''YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部酸痛'', ''YBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰酸痛'', ''YST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部疼痛'', ''YBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部和腿部疼痛'', ''YBHTBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食量变少'', ''SLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右侧盲'', ''YCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰骶部肿'', ''YZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屁股痛'', ''PGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀部痛'', ''TBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀痛'', ''TT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门痛'', ''GMT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱肛'', ''TG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门胀'', ''GMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿'', ''GMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠感'', ''GMZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠涨'', ''GMZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠涨感'', ''GMZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠胀'', ''GMZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠痛'', ''GMZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周肿块'', ''GZZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门搔痒'', ''GMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门瘙痒'', ''GMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门痒'', ''GMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周痒'', ''GZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便后出血'', ''DBHCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便后肛门出血'', ''DBHGMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便后肛门见血'', ''DBHGMJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食量不佳'', ''SLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻侧盲'', ''BCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手臂肌肉痛'', ''SBJRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手臂痛'', ''SBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早晨醒来肢体僵硬'', ''ZCXLZTJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼓棰指'', ''GZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手指冻伤'', ''SZDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节不灵'', ''GJBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节弹响声'', ''GJDXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动不良'', ''GJHDBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节痛'', ''GJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节肿'', ''GJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走费力'', ''XZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝痛'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽筋'', ''CJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌痉挛'', ''JJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指甲改变'', ''ZJGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指甲异常'', ''ZJYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部痛'', ''JBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橡皮肿'', ''XPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢上抬乏力'', ''SZSTFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢上抬无力'', ''SZSTWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢上抬障碍'', ''SZSTZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚不灵'', ''SJBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足麻木'', ''SZMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部发麻'', ''SBFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部麻'', ''SBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部麻木'', ''SBMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手麻木'', ''SMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体瘫痪'', ''ZTTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节活动时交锁感'', ''XGJHDSJSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节交锁'', ''XGJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节痛'', ''XGJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''站不稳'', ''ZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢抽搐'', ''SZCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢抽动'', ''SZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢抽筋'', ''SZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽动'', ''ZTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体颤抖'', ''ZTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体发抖'', ''ZTFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢冰冷'', ''SZBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢冰凉'', ''SZBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢发冷'', ''SZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体冷'', ''ZTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体活动困难'', ''ZTHDKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体障碍'', ''ZTZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻痹'', ''ZTMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木感'', ''ZTMMG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢麻木乏力'', ''SZMMFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢麻木疲劳'', ''SZMMPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢麻木无力'', ''SZMMWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢麻木乏力'', ''ZMMFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢麻木无力'', ''ZMMWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木乏力'', ''ZTMMFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢浮肿'', ''SZFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢水肿'', ''SZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肿胀'', ''SZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体肿胀'', ''ZTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢酸痛'', ''SZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢疼痛'', ''ZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体痛'', ''ZTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢乏力'', ''SZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢疲劳'', ''SZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无力'', ''SZWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢乏力'', ''ZFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体乏力'', ''ZTFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢无力'', ''ZWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢震颤'', ''SZZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳步态'', ''BWBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''步履不稳'', ''BLBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''步态不稳'', ''BTBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走不稳'', ''XZBW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路不灵活'', ''ZLBLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足溃烂'', ''ZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足破溃'', ''ZPK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食量过少'', ''SLGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞侧盲'', ''ZCM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''波浪热'', ''BLR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮汗'', ''CH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮红'', ''CH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午后潮热'', ''WHCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驰张热'', ''CZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续发热'', ''CXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冒汗'', ''MH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低烧'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大汗'', ''DH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汗多'', ''HD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶液质'', ''EYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕风'', ''PF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发凉'', ''FL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发烧'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发烫'', ''FT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体温升高'', ''TWSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育迟缓'', ''FYCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育迟滞'', ''FYCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长发育迟缓'', ''SCFYCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浑身乏力'', ''HSFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''没力气'', ''MLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疲惫'', ''PB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疲乏'', ''PF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疲乏感'', ''PFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疲倦'', ''PJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疲劳'', ''PL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身乏力'', ''QSFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身没有力气'', ''QSMYLQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身无力'', ''QSWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''为热而烦'', ''WREF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''为热所烦'', ''WRSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五心烦热'', ''WXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高烧'', ''GS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮热'', ''ZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒颤'', ''HC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷得发抖'', ''LDFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒颤抖'', ''WHCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒发抖'', ''WHFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒且颤抖'', ''WHQCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒热往来'', ''HRWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间断发热'', ''JDFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出冷汗'', ''CLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷汗淋漓'', ''LHLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冒冷汗'', ''MLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浑身酸痛'', ''HSST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身肌肉酸痛'', ''QSJRST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浑身酸胀'', ''HSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉酸'', ''JRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉酸胀'', ''JRSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗减少'', ''CHJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗明显偏少'', ''CHMXPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汗少'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重减轻'', ''TZJQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶寒'', ''EH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕冷'', ''PL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕冷发热'', ''PLFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出虚汗'', ''CXH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动量下降'', ''HDLXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发发热'', ''ZFFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期热'', ''ZQR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色斑'', ''BSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色斑块'', ''BSBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕奇痒'', ''BHQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕瘙痒'', ''BHZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕搔痒'', ''ZHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤擦伤'', ''PFCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫绀'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹块'', ''FZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤风团'', ''PFFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日光性皮炎'', ''RGXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤红斑'', ''PFHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓痘'', ''ND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水泡疹瘙痒'', ''SPZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱疹瘙痒'', ''SZZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤水疱疹'', ''PFSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱疹'', ''SZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发白'', ''PFFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多毛'', ''DM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多毛症'', ''DMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤黄'', ''FH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤黄'', ''PFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤黄染'', ''PFHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粘膜黄染'', ''PFZMHR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤麻木'', ''PFMM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表皮干燥'', ''BPGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤眼白发黄'', ''PFYBFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皲裂'', ''ZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤溃烂'', ''PFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤红色皮疹瘙痒'', ''PFHSPZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹瘙痒'', ''PZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淤青'', ''YQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤剧痒'', ''PFJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少毛'', ''SM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤浮胀'', ''PFFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱皮'', ''TP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱屑'', ''TX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表皮萎缩'', ''BPWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮损表面角化粗糙'', ''PSBMJHCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤变厚'', ''PFBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手皮疹'', ''SPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老茧'', ''LJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤胼胝'', ''PFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发痒'', ''FY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤烧灼痛'', ''PFSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤灼热'', ''PFZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤水痘'', ''PFSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤水疱'', ''PFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水泡'', ''SP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水泡瘙痒'', ''SPZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤油'', ''FY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤出油'', ''PFCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤油腻'', ''PFYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包块疼痛'', ''BKTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不适'', ''BS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感不适'', ''GBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉重'', ''CZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽动'', ''CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽风'', ''CF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''搐搦'', ''CZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痉挛'', ''JL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限性抽风'', ''JXXCF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵挛'', ''ZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流血'', ''LX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反复出血不止'', ''FFCXBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''串动'', ''CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''串麻'', ''CM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚁走感'', ''YZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒皮'', ''DP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射样痛'', ''FSYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动受限'', ''HDSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌萎缩'', ''JWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌抵抗'', ''JDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半身不遂'', ''BSBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半身瘫'', ''BST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弹伤'', ''DS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枪伤'', ''QS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迟缓性瘫痪'', ''CHXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低位截瘫'', ''DWJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下运动神经元瘫痪'', ''XYDSJYTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤口痛'', ''SKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浮肿'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剧烈撕裂样疼痛'', ''JLSLYTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流脓'', ''LN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高位截瘫'', ''GWJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痉挛性瘫痪'', ''JLXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上运动神经元瘫痪'', ''SYDSJYTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-OHP'', ''17α-OHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PICP'', ''PICP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体旁路B因子检测'', ''BTPLBYZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接抗人球蛋白试验(Coombs)'', ''ZJKRQDBSY(Coombs)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CRP'', ''CRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C—反应蛋白测定'', ''C—FYDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C反应蛋白检验'', ''CFYDBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-Crosslaps'', ''β-Crosslaps'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原检查'', ''GMYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原筛查'', ''GMYSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原特异IgE测定'', ''GMYTYIgECD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HCV-Ab'', ''HCV-Ab'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎测定'', ''BXGYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌凝集试验'', ''BSGJNJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BT'', ''BT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红素'', ''CHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞刺激因子'', ''HXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素兴奋试验'', ''CJZXJSSFJSXFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹病毒抗体测定'', ''ZZBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CCK'', ''CCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝病毒抗体'', ''DGBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁型肝炎病毒抗体'', ''DXGYBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒杆菌凝集试验'', ''SHGJNJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便常规'', ''DBCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪Rt'', ''FRt'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规检查'', ''FBCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规'', ''FCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便培养'', ''DBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪培养'', ''FPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''OB'', ''OB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便隐血'', ''DBYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PET'', ''PET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AMY'', ''AMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液白蛋白'', ''FQJYBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液常规'', ''FQJYCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液淀粉酶'', ''FQJYDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液生化检查'', ''FQJYSHJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水白蛋白'', ''FSBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规'', ''FSCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水淀粉酶'', ''FSDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CG'', ''CG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸检测'', ''GDSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肝功'', ''DGG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能常规检查'', ''GGNCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功五项'', ''GGWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肝功'', ''XGG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝病毒抗体'', ''GGBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚型肝炎病毒抗体测定'', ''GXGYBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚型肝炎抗体测定'', ''GXGYKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氏涂片'', ''BSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝病毒抗体测定'', ''JGBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎病毒抗体'', ''JXGYBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PTH'', ''PTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素测定'', ''JZPXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功五项'', ''JGWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺Rt'', ''JZXRt'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺常规检查'', ''JZXCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能常规检查'', ''JZXGNCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''131碘摄取试验'', ''131DSQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''131碘试验'', ''131DSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄131碘试验'', ''JZXS131DSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清骨钙素测定'', ''XQGGSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱八项测定'', ''KHKTPBXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体系列'', ''KHKTXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ADH'', ''ADH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶(ASK)试验'', ''KLQJJM(ASK)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌菌酶'', ''KLQJJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶菌酶'', ''KLQJRJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗透明质酸酶(AH)'', ''KTMZSM(AH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ALA'', ''ALA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗体GBM'', ''KTGBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体测定(EMAb)'', ''KZGNMKTCD(EMAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒检测'', ''KSQBDJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒抗体检测'', ''KSQBDKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''RF测定'', ''RFCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性关节炎自身抗体检测'', ''LFSXGJYZSKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次氏体'', ''LKCST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''落基山斑疹'', ''LJSBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''T淋巴细胞亚群计数'', ''TLBXBYQJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血细胞簇分化抗原(CD)系列检测'', ''XXBCFHKY(CD)XLJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙脑'', ''YN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎'', ''YXNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒抗体检测'', ''LZBDKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体测定'', ''MZBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新型隐球菌墨汁染色镜检'', ''XXYQJMZRSJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新型隐球菌涂片检查'', ''XXYQJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲎试验'', ''ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿RT'', ''NRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规检查'', ''NCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液分析'', ''NYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液一般检查'', ''NYYBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液自动化分析'', ''NYZDHFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定'', ''NYDBDYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿钙测定'', ''24XSNGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙测定'', ''GCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高香草酸'', ''GXCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高香草酸测定'', ''GXCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞位相'', ''NHXBWX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿NMN测定'', ''24XSNNMNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿甲氧基去甲肾上腺素测定'', ''24XSNJYJQJSSXSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时MN测定'', ''24XSMNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿甲氧基肾上腺素测定'', ''24XSNJYJSSXSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检'', ''NYJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便镜检'', ''XBJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿可的松测定'', ''24XSNKDSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白免疫固定电泳'', ''NDBMYGDDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿醛固测定'', ''24XSNQGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿肾上腺激素测定'', ''24XSNSSXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿肾上腺素测定'', ''24XSNSSXSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺激素定量'', ''NSSXJSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素定量'', ''NSSXSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿微量白蛋白测定'', ''24XSNWLBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血常规'', ''NXCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能常规检查'', ''NXGNCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血四项'', ''NXSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子活性测定'', ''NXYZHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化合物F'', ''HHWF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢皮质素'', ''QPZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转甲状腺素蛋白'', ''ZJZXSDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液一般检查'', ''QLXYYBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PAPP-A'', ''PAPP-A'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺激素测定'', ''SSXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验'', ''QGTSSCDWLWSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HGH'', ''HGH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LP'', ''LP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液一般检查'', ''TYYBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白测定'', ''TLDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜氧化酶'', ''TYHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''VitB1'', ''VitB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素测定'', ''WSSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钴胺素'', ''ZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''30998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''VitC'', ''VitC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促胃液素'', ''CWYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液检查'', ''WYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝病毒抗体测定'', ''WGBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎病毒抗体测定'', ''WXGYBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''VacA抗体'', ''VacAKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3甲氧基4羟基苦杏仁酸'', ''3JYJ4ZJKXRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基苦杏仁酸'', ''ZJKXRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草苦杏仁酸'', ''XCKXRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱常规检查'', ''XJMPCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖激素常规检查'', ''SZJSCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水常规'', ''XSCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CBC'', ''CBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LABCBC'', ''LABCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全套血细胞分析仪检查'', ''QTXXBFXYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血细胞分类计数'', ''QXXBFLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血细胞计数'', ''QXXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三分类'', ''SFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五分类'', ''WFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血RT'', ''XRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血细胞分析'', ''XXBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液一般检查'', ''XYYBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ESR'', ''ESR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞沉降率测定'', ''HXBCJLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''激肽酶Ⅱ'', ''JZMⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肽基-羧基肽酶'', ''ZJ-ZJZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清免疫固定电泳'', ''XQMYGDDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TEG'', ''TEG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HbNO'', ''HbNO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HbCO'', ''HbCO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂常规检查'', ''XZCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂分析'', ''XZFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂七项'', ''XZQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B9'', ''B9'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''FA'', ''FA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B9'', ''WSSB9'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养+鉴定'', ''YBXJPY+JD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体涂片'', ''MDLXTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两对半'', ''LDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三对'', ''SD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎测定'', ''YXGYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带常规'', ''BDCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TORCH抗体测定'', ''TORCHKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''G试验'', ''GSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半乳甘露聚糖检测'', ''BRGLJTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清脂肪酶'', ''XQZFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清脂肪酶测定'', ''XQZFMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物检测'', ''ZLBZWJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总补体活性CH50测定'', ''XQZBTHXCH50CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体测定'', ''ZBTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮(17α-OHP)'', ''17α-ZYT(17α-OHP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮测定'', ''17α-ZYTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-17α-羟孕酮'', ''XQ-17α-ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-羟皮质类固醇(17-OHCS)测定(尿液24h定量)'', ''17-ZPZLGC(17-OHCS)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-17-羟皮质类固醇'', ''N-17-ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿17-羟皮质类固醇(24h)'', ''N17-ZPZLGC(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿17-羟皮质类固醇测定'', ''N17-ZPZLGCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-酮皮质类固醇测定(17-KS)(尿液24h定量)'', ''17-TPZLGCCD(17-KS)(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿17-酮类固醇测定'', ''N17-TLGCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-17-酮皮质类固醇'', ''N-17-TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽(PICP)'', ''ⅠXJYZJDQZ(PICP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽(PICP)测定'', ''ⅠXJYZJDQZ(PICP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血Ⅰ型胶原羧基端前肽'', ''QXⅠXJYZJDQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Ⅰ型胶原羧基端前肽'', ''XQⅠXJYZJDQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子'', ''BYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-B因子'', ''XQ-BYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-直接抗人球蛋白试验'', ''XQ-ZJKRQDBSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接抗人球蛋白(Coombs)试验'', ''ZJKRQDB(Coombs)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C反应蛋白(CRP)'', ''CFYDB(CRP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白(CRP)测定'', ''C-FYDB(CRP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C—反应蛋白测定(CRP)'', ''C—FYDBCD(CRP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C反应蛋白'', ''XQ-CFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超敏C-反应蛋白'', ''CMC-FYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超敏C反应蛋白(hs-CRP)'', ''CMCFYDB(hs-CRP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超敏C反应蛋白(hs-CRP)测定'', ''CMCFYDB(hs-CRP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-超敏C反应蛋白'', ''XQ-CMCFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒DNA'', ''EBBDDNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒DNA检测'', ''EBBDDNAJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定量'', ''EBBDTYHTHSKZDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定量检测'', ''EBBDTYHTHSKZDLJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定性'', ''EBBDTYHTHSKZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定性检测'', ''EBBDTYHTHSKZDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒壳膜早期抗原(抗EA)测定IgA'', ''EBBDKMZQKY(KEA)CDIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒早期抗原(EA-IgA)'', ''EBBDZQKY(EA-IgA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-EB早期抗原EA-IgA'', ''XQ-EBZQKYEA-IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒抗体IgG/VCA'', ''EBBDKTIgG/VCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒壳膜抗原抗体(抗VCA)测定IgG'', ''EBBDKMKYKT(KVCA)CDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EBV抗体(VCA-IgG)IgG'', ''KEBVKT(VCA-IgG)IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗EBV抗体IgG'', ''XQ-KEBVKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒(VCA-IgA)'', ''EBBD(VCA-IgA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒壳膜抗原抗体(抗VCA)测定IgM'', ''EBBDKMKYKT(KVCA)CDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EBV抗体(VCA-IgM)IgA'', ''KEBVKT(VCA-IgM)IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗EBV抗体IgA'', ''XQ-KEBVKTIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒抗体测定'', ''EBBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EB病毒抗体测定'', ''KEBBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(Jo-1)'', ''ENAKTPLXCD(Jo-1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Jo-1'', ''KJo-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Jo-1抗体'', ''KJo-1KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗Jo-1'', ''XQ-KJo-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(nRNP)'', ''ENAKTPLXCD(nRNP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗nRNP'', ''KnRNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗U1-RNP抗体'', ''KU1-RNPKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗u1-SnRNP'', ''Ku1-SnRNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗U1小核糖核蛋白抗体'', ''KU1XHTHDBKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗nRNP'', ''XQ-KnRNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(Scl-70)'', ''ENAKTPLXCD(Scl-70)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Scl-70'', ''KScl-70'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗ScL-70抗体'', ''KScL-70KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗Scl-70'', ''XQ-KScl-70'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(Sm)'', ''ENAKTPLXCD(Sm)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Sm'', ''KSm'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Sm抗体'', ''KSmKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗Sm'', ''XQ-KSm'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(SS-A)'', ''ENAKTPLXCD(SS-A)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-A'', ''KSS-A'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-A/Ro抗体'', ''KSS-A/RoKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗SS-A'', ''XQ-KSS-A'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定(SS-B)'', ''ENAKTPLXCD(SS-B)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-B'', ''KSS-B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-B/La抗体'', ''KSS-B/LaKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗SS-B'', ''XQ-KSS-B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NT proBNP'', ''NT proBNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)测定'', ''ND-BXNNZQT(NT-ProBNP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-B型钠尿肽前体'', ''XQ-BXNNZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O-129试验'', ''O-129SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-CTx'', ''β-CTx'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-胶原特殊系列(β-Crosslaps)测定'', ''β-JYTSXL(β-Crosslaps)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β-Crosslaps'', ''Xβ-Crosslaps'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β-胶原'', ''Xβ-JY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β-Crosslaps'', ''XQ-β-Crosslaps'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清β-胶原'', ''XQβ-JY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿HCG'', ''NHCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿人绒毛膜促性腺激素(HCG)定性'', ''NRRMMCXXJS(HCG)DX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿人绒毛膜促性腺激素测定'', ''NRRMMCXXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-人绒毛膜促性腺激素定性'', ''N-RRMMCXXJSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素(HCG)测定(尿液)'', ''RRMMCXXJS(HCG)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素(HCG)定性'', ''RRMMCXXJS(HCG)DX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿人绒毛膜促性腺激素定量'', ''NRRMMCXXJSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-人绒毛膜促性腺激素定量'', ''N-RRMMCXXJSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素(β-HCG)'', ''βRRMMCXXJS(β-HCG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素(β-HCG)测定'', ''βRRMMCXXJS(β-HCG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-绒毛膜促性腺激素'', ''β-RMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素'', ''RRMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素(HCG)'', ''RRMMCXXJS(HCG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素(HCG)测定(血清)'', ''RRMMCXXJS(HCG)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人绒毛膜促性腺激素(HCG)测定(血液)'', ''RRMMCXXJS(HCG)CD(XY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛膜促性腺激素'', ''RMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛膜促性腺激素测定'', ''RMMCXXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血HCG'', ''XHCG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β人绒毛膜促性腺激素(β-HCG)'', ''XβRRMMCXXJS(β-HCG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β人绒毛膜促性腺激素'', ''XQ-βRRMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β-绒毛膜促性腺激素'', ''XQ-β-RMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-人绒毛膜促性腺激素'', ''XQ-RRMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清人绒毛膜促性腺激素测定'', ''XQRRMMCXXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-人绒毛膜促性腺激素定量'', ''XQ-RRMMCXXJSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离β-绒毛膜促性腺激素测定'', ''YLβ-RMMCXXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离β-绒毛膜促性腺激素定量测定'', ''YLβ-RMMCXXJSDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人游离绒毛膜促性腺激素(freeβ-HCG)'', ''βRYLRMMCXXJS(freeβ-HCG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人游离绒毛膜促性腺激素(freeβ-HCG)测定'', ''βRYLRMMCXXJS(freeβ-HCG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β人游离绒毛膜促性腺激素(freeβ-HCG)'', ''XβRYLRMMCXXJS(freeβ-HCG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β人游离绒毛膜促性腺激素'', ''XQ-βRYLRMMCXXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片检查'', ''BHBZGJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特殊细菌涂片检查(白喉棒状杆菌)'', ''TSXJTPJC(BHBZGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涂片-白喉棒状杆菌'', ''TP-BHBZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)'', ''BTTBFNXHMSJ(KPTT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化部分凝血活酶时间测定 (APTT)'', ''HHBFNXHMSJCD (APTT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-白陶土部分凝血活酶时间'', ''XQ-BTTBFNXHMSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因分型'', ''BXBRHJYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因分型检测'', ''BXBRHJYFXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙氨酸(PKU)'', ''BBAS(PKU)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙氨酸(PKU)测定(尿液)'', ''BBAS(PKU)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙酮酸测定(尿液)'', ''BBTSCD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-苯丙氨酸'', ''N-BBAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-苯丙酮酸'', ''N-BBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿苯丙酮酸'', ''NBBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙酮酸测定(血清)'', ''BBTSCD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血苯丙酮酸'', ''XBBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙酮酸'', ''XQBBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-苯丙酮酸'', ''XQ-BBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：矮豚草'', ''GMY：AZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：矮豚草'', ''XQ-GMY：AZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：点青霉、烟曲霉'', ''GMY：DQM、YQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：点青霉、烟曲霉'', ''XQ-GMY：DQM、YQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：狗毛皮屑'', ''GMY：GMPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：狗毛皮屑'', ''XQ-GMY：GMPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：鸡蛋白'', ''GMY：JDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：鸡蛋白'', ''XQ-GMY：JDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：芒果'', ''GMY：MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：芒果'', ''XQ-GMY：MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：猫毛皮屑'', ''GMY：MMPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：猫毛皮屑'', ''XQ-GMY：MMPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：牛奶'', ''GMY：NN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：牛奶'', ''XQ-GMY：NN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：牛肉'', ''GMY：NR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：牛肉'', ''XQ-GMY：NR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：青贝'', ''GMY：QB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：青贝'', ''XQ-GMY：QB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：沙尘螨'', ''GMY：SCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：沙尘螨'', ''XQ-GMY：SCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：屋尘螨'', ''GMY：WCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：屋尘螨'', ''XQ-GMY：WCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：梧、桐、柳、杨、榆树'', ''GMY：W、T、L、Y、YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：梧、桐、柳、杨、榆树'', ''XQ-GMY：W、T、L、Y、YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：西瓜'', ''GMY：XG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：西瓜'', ''XQ-GMY：XG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：虾'', ''GMY：X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：虾'', ''XQ-GMY：X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：蟹'', ''GMY：X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：蟹'', ''XQ-GMY：X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：羊肉'', ''GMY：YR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：羊肉'', ''XQ-GMY：YR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：腰果'', ''GMY：YG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：腰果'', ''XQ-GMY：YG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：鱼'', ''GMY：Y'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：鱼'', ''XQ-GMY：Y'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：蟑螂'', ''GMY：ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：蟑螂'', ''XQ-GMY：ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：自定义'', ''GMY：ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原：自定义'', ''XQ-GMY：ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原特异IgE'', ''GMYTYIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-过敏原特异IgE'', ''XQ-GMYTYIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝(HCV)RNA定量'', ''BG(HCV)RNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎RNA测定'', ''BXGYRNACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎RNA定量'', ''BXGYRNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎病毒核糖核酸扩增定量检测'', ''BXGYBDHTHSKZDLJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙肝RNA定量'', ''XQ-BGRNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝(HCV)RNA定性'', ''BG(HCV)RNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎RNA定性'', ''BXGYRNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎病毒核糖核酸扩增定性检测'', ''BXGYBDHTHSKZDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙肝RNA定性'', ''XQ-BGRNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝病毒(HCV)基因分型'', ''BGBD(HCV)JYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎病毒(HCV)基因分型'', ''BXGYBD(HCV)JYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎病毒基因分型'', ''BXGYBDJYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎病毒基因分型检测'', ''BXGYBDJYFXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙肝病毒基因分型'', ''XQ-BGBDJYFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝核心抗原'', ''BGHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝核心抗原(HCVCAg)'', ''BGHXKY(HCVCAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎核心抗原'', ''BXGYHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎核心抗原测定'', ''BXGYHXKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙肝核心抗原'', ''XQ-BGHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝抗体(抗HCV)'', ''BGKT(KHCV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎抗体'', ''BXGYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎抗体(HCVAb)'', ''BXGYKT(HCVAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎抗体(抗HCV)测定'', ''BXGYKT(KHCV)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙肝抗体'', ''XQ-BGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PRT'', ''PRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复钙交叉时间(CRT)'', ''FGJCSJ(CRT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复钙交叉时间测定'', ''FGJCSJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-复钙交叉时间'', ''XQ-FGJCSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆肝素含量测定'', ''XJGSHLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肝素'', ''XQ-GS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狼疮抗凝物质(LAC)'', ''LCKNWZ(LAC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狼疮抗凝物质检测'', ''LCKNWZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-狼疮抗凝物质'', ''XQ-LCKNWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间纠正试验'', ''NXMYSJJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血酶原时间纠正试验'', ''XQ-NXMYSJJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅷ抑制物'', ''NXYZⅧYZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅷ抑制物检测'', ''NXYZⅧYZWJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1q'', ''C1q'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1q测定'', ''C1qCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C1q'', ''XQ-C1q'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1r'', ''C1r'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1r测定'', ''C1rCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C1r'', ''XQ-C1r'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1s'', ''C1s'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1s测定'', ''C1sCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C1s'', ''XQ-C1s'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C2'', ''C2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C2测定'', ''C2CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C2'', ''XQ-C2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C3测定'', ''C3CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体C3'', ''BTC3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体C3测定'', ''BTC3CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C3'', ''XQ-C3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C4测定'', ''C4CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体C4'', ''BTC4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体C4测定'', ''BTC4CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C4'', ''XQ-C4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C5'', ''C5'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C5测定'', ''C5CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C5'', ''XQ-C5'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C6'', ''C6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C6测定'', ''C6CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C6'', ''XQ-C6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C7'', ''C7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C7测定'', ''C7CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C7'', ''XQ-C7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C8'', ''C8'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C8测定'', ''C8CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C8'', ''XQ-C8'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C9'', ''C9'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C9测定'', ''C9CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C9'', ''XQ-C9'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体旁路B因子'', ''BTPLBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体旁路B因子测定'', ''BTPLBYZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-补体旁路B因子'', ''XQ-BTPLBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-布氏杆菌'', ''XQ-BSGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间(BT)'', ''CXSJ(BT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间(BT)测定'', ''CXSJ(BT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间测定(BT)'', ''CXSJCD(BT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血出血时间'', ''QXCXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清出血时间'', ''XQCXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠杆菌科细菌'', ''CGJKXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-肠杆菌科细菌'', ''CMFMW-CGJKXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-创面分泌物培养'', ''CMFMW-CMFMWPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-化脓性链球菌'', ''CMFMW-HNXLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性链球菌'', ''HNXLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-金黄色葡萄球菌'', ''CMFMW-JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌'', ''JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-诺卡菌'', ''CMFMW-NKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺卡菌'', ''NKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-铜绿假单胞菌'', ''CMFMW-TLJDBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-厌氧菌'', ''CMFMW-YYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌'', ''YYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(创面分泌物)'', ''YBXJPY(CMFMW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物-自定义'', ''CMFMW-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇(E3)'', ''CSC(E3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇(E3)测定'', ''CSC(E3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇测定'', ''CSCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血雌三醇'', ''QXCSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清雌三醇'', ''XQCSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-雌三醇'', ''XQ-CSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮(E1)'', ''CT(E1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮(E1)测定'', ''CT(E1)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-雌酮'', ''XQ-CT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素(EPO)'', ''CHXBSCS(EPO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素(EPO)测定'', ''CHXBSCS(EPO)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素测定'', ''CHXBSCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-促红细胞生成素'', ''XQ-CHXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0minTSH'', ''0minTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素(TRH)兴奋试验(0min)'', ''CJZXJSSFJS(TRH)XFSY(0min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-初始-TSH'', ''XQ-CS-TSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120minTSH'', ''120minTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素(TRH)兴奋试验(120min)'', ''CJZXJSSFJS(TRH)XFSY(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-120min-TSH'', ''XQ-120min-TSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15minTSH'', ''15minTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素(TRH)兴奋试验(15min)'', ''CJZXJSSFJS(TRH)XFSY(15min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-15min-TSH'', ''XQ-15min-TSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30minTSH'', ''30minTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素(TRH)兴奋试验(30min)'', ''CJZXJSSFJS(TRH)XFSY(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-30min-TSH'', ''XQ-30min-TSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60minTSH'', ''60minTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素释放激素(TRH)兴奋试验(60min)'', ''CJZXJSSFJS(TRH)XFSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60min-TSH'', ''XQ-60min-TSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)'', ''CSSXPZJS(ACTH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)测定'', ''CSSXPZJS(ACTH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-促肾上腺皮质激素'', ''XQ-CSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清促肾上腺皮质激素测定'', ''XQCSSXPZJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0min促肾上腺皮质激素'', ''0minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(0min)'', ''CSSXPZJSSFJS(CRF)XFSY(0min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-0min促肾上腺皮质激素'', ''XQ-0minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min促肾上腺皮质激素'', ''120minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(120min)'', ''CSSXPZJSSFJS(CRF)XFSY(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-120min促肾上腺皮质激素'', ''XQ-120minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''150min促肾上腺皮质激素'', ''150minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(150min)'', ''CSSXPZJSSFJS(CRF)XFSY(150min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-150min促肾上腺皮质激素'', ''XQ-150minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15min促肾上腺皮质激素'', ''15minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(15min)'', ''CSSXPZJSSFJS(CRF)XFSY(15min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-15min促肾上腺皮质激素'', ''XQ-15minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''-15min促肾上腺皮质激素'', ''-15minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(-15min)'', ''CSSXPZJSSFJS(CRF)XFSY(-15min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清--15min促肾上腺皮质激素'', ''XQ--15minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min促肾上腺皮质激素'', ''180minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(180min)'', ''CSSXPZJSSFJS(CRF)XFSY(180min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-180min促肾上腺皮质激素'', ''XQ-180minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min促肾上腺皮质激素'', ''30minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(30min)'', ''CSSXPZJSSFJS(CRF)XFSY(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-30min促肾上腺皮质激素'', ''XQ-30minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min促肾上腺皮质激素'', ''60minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(60min)'', ''CSSXPZJSSFJS(CRF)XFSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60min促肾上腺皮质激素'', ''XQ-60minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''90min促肾上腺皮质激素'', ''90minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验(90min)'', ''CSSXPZJSSFJS(CRF)XFSY(90min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-90min促肾上腺皮质激素'', ''XQ-90minCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20min皮质醇'', ''20minPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(20min)'', ''CSSXPZJS(ACTH)XFSY(20min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-20min皮质醇'', ''XQ-20minPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min皮质醇'', ''60minPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(60min)'', ''CSSXPZJS(ACTH)XFSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60min皮质醇'', ''XQ-60minPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第二天)尿17—羟皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DET)N17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''DET24XSN17—ZPZLGC(17-OH-CS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第二天17—羟皮质类固醇'', ''N-DET17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第二天)17—酮皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DET)17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿17—酮皮质类固醇(17-KS)'', ''DET24XSN17—TPZLGC(17-KS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第二天17—酮皮质类固醇'', ''N-DET17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第二天)尿游离皮质醇'', ''CSSXPZJS(ACTH)XFSY(DET)NYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿游离皮质醇'', ''DET24XSNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第二天尿游离皮质醇'', ''N-DETNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第三天)尿17—羟皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DST)N17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''DST24XSN17—ZPZLGC(17-OH-CS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第三天17—羟皮质类固醇'', ''N-DST17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第三天)尿17—酮皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DST)N17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿17—酮皮质类固醇(17-KS)'', ''DST24XSN17—TPZLGC(17-KS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第三天17—酮皮质类固醇'', ''N-DST17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第三天)尿游离皮质醇'', ''CSSXPZJS(ACTH)XFSY(DST)NYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿游离皮质醇'', ''DST24XSNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第三天尿游离皮质醇'', ''N-DSTNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第四天)尿17—羟皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DST)N17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''DST24XSN17—ZPZLGC(17-OH-CS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第四天17—羟皮质类固醇'', ''N-DST17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第四天)尿17—酮皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DST)N17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿17—酮皮质类固醇(17-KS)'', ''DST24XSN17—TPZLGC(17-KS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第四天17—酮皮质类固醇'', ''N-DST17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第四天)尿游离皮质醇'', ''CSSXPZJS(ACTH)XFSY(DST)NYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿游离皮质醇'', ''DST24XSNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第四天尿游离皮质醇'', ''N-DSTNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第一天)尿17—羟皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DYT)N17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''DYT24XSN17—ZPZLGC(17-OH-CS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第一天17—羟皮质类固醇'', ''N-DYT17—ZPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第一天)17—酮皮质类固醇'', ''CSSXPZJS(ACTH)XFSY(DYT)17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿17—酮皮质类固醇(17-KS)'', ''DYT24XSN17—TPZLGC(17-KS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第一天17—酮皮质类固醇'', ''N-DYT17—TPZLGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)兴奋试验(第一天)尿游离皮质醇'', ''CSSXPZJS(ACTH)XFSY(DYT)NYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿游离皮质醇'', ''DYT24XSNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-第一天尿游离皮质醇'', ''N-DYTNYLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgG'', ''IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒Ⅱ型抗体测定(IgG)'', ''DCZZBDⅡXKTCD(IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体IgG'', ''DCZZBDIIXKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-II型疱疹病毒IgG抗体'', ''XQ-IIXZZBDIgGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgM'', ''IgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体IgM'', ''DCZZBDIIXKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-II型疱疹病毒IgM抗体'', ''XQ-IIXZZBDIgMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒Ⅰ型抗体测定(IgG )'', ''DCZZBDⅠXKTCD(IgG )'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体IgG'', ''DCZZBDIXKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-I型疱疹病毒IgG抗体'', ''XQ-IXZZBDIgGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体IgM'', ''DCZZBDIXKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-I型疱疹病毒IgM抗体'', ''XQ-IXZZBDIgMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素(CCK)'', ''DNSSS(CCK)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素测定'', ''DNSSSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胆囊收缩素'', ''XQ-DNSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫'', ''DC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧化碳(CO2)'', ''EYHT(CO2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血二氧化碳'', ''QXEYHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血二氧化碳测定'', ''XEYHTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清电解质-二氧化碳'', ''XQDJZ-EYHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清二氧化碳'', ''XQEYHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液二氧化碳'', ''XYEYHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总二氧化碳(TCO2)测定(血清)'', ''ZEYHT(TCO2)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)'', ''J(K)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)测定(血清)'', ''J(K)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾测定'', ''JCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血钾'', ''QXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清电解质-钾'', ''XQDJZ-J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清钾'', ''XQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液钾'', ''XYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙离子测定'', ''GLZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''离子钙(Ca2+)'', ''LZG(Ca2+)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''离子钙(Ca2+)测定'', ''LZG(Ca2+)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-离子钙'', ''XQ-LZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷(P)'', ''L(P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷测定'', ''LCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血磷'', ''QXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无机磷'', ''WJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无机磷(P)测定(血清)'', ''WJL(P)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无机磷测定'', ''WJLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清P'', ''XQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清磷'', ''XQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-磷'', ''XQWLYS-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)'', ''L(Cl)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)测定(血清)'', ''L(Cl)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯测定'', ''LCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血氯'', ''QXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清电解质-氯'', ''XQDJZ-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清氯'', ''XQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液氯'', ''XYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁(Mg)'', ''M(Mg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁(Mg)测定(血清)'', ''M(Mg)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁测定'', ''MCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血镁'', ''QXM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Mg'', ''XQMg'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清镁'', ''XQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-镁'', ''XQWLYS-M'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(K)测定(血清)'', ''N(K)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(Na)'', ''N(Na)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠测定'', ''NCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血钠'', ''QXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清电解质-钠'', ''XQDJZ-N'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清钠'', ''XQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液钠'', ''XYN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血阴离子隙'', ''QXYLZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清电解质-阴离子隙'', ''XQDJZ-YLZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清阴离子隙'', ''XQYLZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液阴离子隙'', ''XYYLZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子隙(AG)'', ''YLZX(AG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子隙(AG)测定'', ''YLZX(AG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子隙测定'', ''YLZXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血钙测定'', ''XGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-总钙'', ''XQ-ZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)'', ''ZG(Ca)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)测定(血清)'', ''ZG(Ca)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)测定(尿液)'', ''DFM(AMY)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿淀粉酶'', ''NDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿淀粉酶(AMY)'', ''NDFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液淀粉酶(AMY)'', ''NYDFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-胰淀粉酶'', ''NY-YDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液胰淀粉酶(AMS)'', ''NYYDFM(AMS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰淀粉酶(AMS)'', ''YDFM(AMS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰淀粉酶(AMS)测定(尿液)'', ''YDFM(AMS)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)测定(体液)'', ''DFM(AMY)CD(TY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液淀粉酶'', ''TYDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液-淀粉酶'', ''TY-DFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液淀粉酶(AMY)'', ''TYDFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)测定(胸腔积液)'', ''DFM(AMY)CD(XQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液淀粉酶'', ''XQJYDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-淀粉酶'', ''XQJY-DFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液淀粉酶测定'', ''XQJYDFMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔液淀粉酶'', ''XQYDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)测定(血清)'', ''DFM(AMY)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淀粉酶'', ''XDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淀粉酶(AMY)'', ''XDFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清淀粉酶(AMY)'', ''XQDFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清淀粉酶测定'', ''XQDFMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胰淀粉酶'', ''XQ-YDFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胰淀粉酶(AMS)'', ''XQYDFM(AMS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胰淀粉酶测定'', ''XQYDFMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰淀粉酶(AMS)测定(血清)'', ''YDFM(AMS)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白测定'', ''DFYDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清淀粉样蛋白'', ''XQDFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-淀粉样蛋白'', ''XQ-DFYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HDVAb'', ''HDVAb'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝抗体(Anti-HDV)'', ''DGKT(Anti-HDV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁型肝炎抗体'', ''DXGYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁型肝炎抗体(抗HDV)测定'', ''DXGYKT(KHDV)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丁肝抗体'', ''XQ-DGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断(乳腺溢液)'', ''FFKTLXBXJCYZD(RXYY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断(右囊液)'', ''FFKTLXBXJCYZD(YNY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺溢液脱落细胞学检查与诊断'', ''RXYYTLXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱落细胞学检查'', ''TLXBXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科液基薄层细胞学检查与诊断'', ''FFKYJBCXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科液基薄层细胞学检查与诊断(灌洗液)'', ''FFKYJBCXBXJCYZD(GXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科液基薄层细胞学检查与诊断(痰)'', ''FFKYJBCXBXJCYZD(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科液基薄层细胞学检查与诊断(胸腔积液)'', ''FFKYJBCXBXJCYZD(XQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PA'', ''PA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应PA'', ''FDSFYPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-PA'', ''XQ-PA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PB'', ''PB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应PB'', ''FDSFYPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-PB'', ''XQ-PB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PC'', ''PC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应PC'', ''FDSFYPC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-PC'', ''XQ-PC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TH'', ''TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应TH'', ''FDSFYTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-TH'', ''XQ-TH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TO'', ''TO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应TO'', ''FDSFYTO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-TO'', ''XQ-TO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体寒冷凝集试验'', ''FYZYTHLNJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体冷凝集试验'', ''FYZYTLNJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷凝集试验'', ''LNJSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便红细胞'', ''DBHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(红细胞)'', ''FBCG(HXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便红细胞'', ''FBHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-红细胞'', ''FCG-HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便寄生虫虫卵'', ''DBJSCCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(寄生虫虫卵)'', ''FBCG(JSCCL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便寄生虫卵'', ''FBJSCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-寄生虫虫卵'', ''FCG-JSCCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便脓细胞'', ''DBNXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(脓细胞)'', ''FBCG(NXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便脓细胞'', ''FBNXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-脓细胞'', ''FCG-NXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便性状'', ''DBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(性状)'', ''FBCG(XZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便性状'', ''FBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-性状'', ''FCG-XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便颜色'', ''DBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(颜色)'', ''FBCG(YS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便颜色'', ''FBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-颜色'', ''FCG-YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便粘液'', ''DBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(粘液)'', ''FBCG(ZY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便粘液'', ''FBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-粘液'', ''FCG-ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便寄生虫虫体'', ''DBJSCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(寄生虫虫体)'', ''FBCG(JSCCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-寄生虫虫体'', ''FCG-JSCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪寄生虫虫体'', ''FJSCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便未消化食物'', ''DBWXHSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(未消化食物)'', ''FBCG(WXHSW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-未消化食物'', ''FCG-WXHSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪未消化食物'', ''FWXHSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便脂肪球'', ''DBZFQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(脂肪球)'', ''FBCG(ZFQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-脂肪球'', ''FCG-ZFQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪脂肪球'', ''FZFQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规(其他)'', ''FBCG(QT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪常规-其他'', ''FCG-QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他'', ''QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养(霍乱弧菌）'', ''FBPY(HLHJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养-霍乱弧菌'', ''FBPY-HLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌'', ''HLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养(艰难梭状杆菌)'', ''FBPY(JNSZGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养-艰难梭状杆菌'', ''FBPY-JNSZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艰难梭状杆菌'', ''JNSZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便结核杆菌'', ''DBJHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便结核杆菌'', ''FBJHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养(结核杆菌）'', ''FBPY(JHGJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养-结核杆菌'', ''FBPY-JHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪结核杆菌'', ''FJHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌'', ''JHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便志贺氏菌'', ''DBZHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养(志贺氏菌)'', ''FBPY(ZHSJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养-志贺氏菌'', ''FBPY-ZHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便志贺氏菌'', ''FBZHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪志贺氏菌'', ''FZHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志贺氏菌'', ''ZHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便-隐血'', ''FB-YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便隐血试验'', ''FBYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便-粪胆素'', ''FB-FDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素'', ''FDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断(宫颈)'', ''FKTLXBXJCYZD(GJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断(尿)'', ''FKTLXBXJCYZD(N)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈脱落细胞学检查'', ''GJTLXBXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿脱落细胞学检查'', ''NTLXBXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科液基薄层细胞学检查与诊断'', ''FKYJBCXBXJCYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科液基薄层细胞学检查与诊断(宫颈)'', ''FKYJBCXBXJCYZD(GJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈TCT'', ''GJTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验(PET)'', ''FMPHSY(PET)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析-腹膜平衡试验'', ''FMTX-FMPHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白'', ''BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)测定(腹膜透析液)'', ''BDB(Alb)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹透液白蛋白'', ''FTYBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙'', ''G'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)测定(腹膜透析液)'', ''ZG(Ca)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液-肌酐'', ''FMTXY-JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹透液肌酐'', ''FTYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐'', ''JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)'', ''JZ(Cr)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)测定(腹膜透析液)'', ''JZ(Cr)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾'', ''J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)测定(腹膜透析液)'', ''J(K)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯'', ''L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)测定(腹膜透析液)'', ''L(Cl)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠'', ''N'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(K)测定(腹膜透析液)'', ''N(K)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹透液尿素氮'', ''FTYNSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素(Urea)'', ''NS(Urea)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素(Urea)测定(腹膜透析液)'', ''NS(Urea)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(腹膜透析液)'', ''PTT(Glu)CD(FMTXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)'', ''BDB(Alb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)测定(腹腔积液)'', ''BDB(Alb)CD(FQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)定量'', ''BDB(Alb)DL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液-白蛋白'', ''FQJY-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液白蛋白测定'', ''FQJYBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)'', ''DFM(AMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)测定(腹腔积液)'', ''DFM(AMY)CD(FQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液-淀粉酶'', ''FQJY-DFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液淀粉酶测定'', ''FQJYDFMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物（腹腔积液）'', ''LHW（FQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物定量'', ''LHWDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(黏蛋白定性)'', ''FSCG(ZDBDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-黏蛋白定性'', ''FS-ZDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏蛋白定性'', ''ZDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖（腹腔积液）'', ''PTT（FQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(乳酸脱氢酶)'', ''FSCG(RSTQM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-乳酸脱氢酶'', ''FS-RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水乳酸脱氢酶测定'', ''FSRSTQMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)'', ''RSTQM(LD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(透明度)'', ''FSCG(TMD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-透明度'', ''FS-TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(外观)'', ''FSCG(WG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-外观'', ''FS-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(细胞计数)'', ''FSCG(XBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-细胞计数'', ''FS-XBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞计数'', ''XBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白定量'', ''DBDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质（腹腔积液）'', ''DBZ（FQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水常规(蛋白定量)'', ''FSCG(DBDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-蛋白定量'', ''FS-DBDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总蛋白（定量）'', ''ZDB（DL）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠埃希菌'', ''DCAXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-大肠埃希菌'', ''FS-DCAXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪肠球菌'', ''FCQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-粪肠球菌'', ''FS-FCQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-腹水培养'', ''FS-FSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-结核分枝杆菌'', ''FS-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(腹水)'', ''YBXJPY(FS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水-自定义'', ''FS-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸(CG)'', ''GDS(CG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸(CG)检测'', ''GDS(CG)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甘胆酸'', ''XQ-GDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5′核苷酸酶(5′NT)'', ''5′HZSM(5′NT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5′核苷酸酶(5′NT)测定'', ''5′HZSM(5′NT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-5′核苷酸酶'', ''GGN-5′HZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血5′核苷酸酶'', ''QX5′HZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清5′NT'', ''XQ5′NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清5′核苷酸酶'', ''XQ5′HZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A/G'', ''A/G'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ALB/GLB'', ''ALB/GLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白/球'', ''B/Q'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白/球蛋白'', ''BDB/QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白/球蛋白比值'', ''BDB/QDBBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白球比'', ''BQB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-白球比'', ''GGN-BQB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-白蛋白'', ''GGN-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血ALB'', ''QXALB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血白蛋白'', ''QXBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血白蛋白(Alb)测定'', ''XBDB(Alb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清ALB'', ''XQALB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清白蛋白'', ''XQBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清白蛋白测定'', ''XQBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆碱脂酶(ChE)'', ''DJZM(ChE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆碱脂酶(ChE)测定'', ''DJZM(ChE)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-胆碱脂酶'', ''GGN-DJZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血胆碱酯酶'', ''QXDJZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胆碱酯酶'', ''XQDJZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''γ-谷氨酰基转移酶(GGT)测定'', ''γ-GAZJZYM(GGT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-谷氨酰基转移酶'', ''GGN-GAZJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰基转移酶(GGT)'', ''GAZJZYM(GGT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血谷氨酰基转移酶'', ''QXGAZJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清γ-谷氨酰基转移酶测定'', ''XQγ-GAZJZYMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清谷氨酰基转移酶'', ''XQGAZJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液谷氨酰基转移酶'', ''XYGAZJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙氨酸氨基转移酶(ALT)测定'', ''BASAJZYM(ALT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-谷丙转氨酶'', ''GGN-GBZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷丙'', ''GB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷丙转氨酶'', ''GBZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷丙转氨酶(ALT)'', ''GBZAM(ALT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血谷丙转氨酶'', ''QXGBZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙氨酸氨基转移酶测定'', ''XQBASAJZYMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清谷丙转氨酶'', ''XQGBZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液谷丙转氨酶'', ''XYGBZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ALT/AST'', ''ALT/AST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-谷草/谷丙'', ''GGN-GC/GB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷草/谷丙'', ''GC/GB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-谷草转氨酶'', ''GGN-GCZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷草'', ''GC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷草转氨酶(AST)'', ''GCZAM(AST)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血天冬氨酸氨基转移酶'', ''QXTDASAJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天冬氨酸氨基转移酶'', ''TDASAJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天门冬氨酸氨基转移酶(AST)测定'', ''TMDASAJZYM(AST)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清谷草转氨酶'', ''XQGCZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清天冬氨酸氨基转移酶'', ''XQTDASAJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清天门冬氨酸氨基转移酶测定'', ''XQTMDASAJZYMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液天冬氨酸氨基转移酶'', ''XYTDASAJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-间接胆红素'', ''GGN-JJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间接胆红素'', ''JJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间接胆红素(I-Bil)'', ''JJDHS(I-Bil)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间接胆红素(I-Bil)测定'', ''JJDHS(I-Bil)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血间接胆红素'', ''QXJJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清间接胆红素'', ''XQJJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液间接胆红素'', ''XYJJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AKP'', ''AKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-碱性磷酸酶'', ''GGN-JXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性磷酸酶(ALP)'', ''JXLSM(ALP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性磷酸酶(ALP)测定'', ''JXLSM(ALP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血碱性磷酸酶'', ''QXJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清碱性磷酸酶'', ''XQJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清碱性磷酸酶测定'', ''XQJXLSMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液碱性磷酸酶'', ''XYJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-球蛋白'', ''GGN-QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''球蛋白(GLB)'', ''QDB(GLB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血GLB'', ''QXGLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血球蛋白'', ''QXQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清球蛋白'', ''XQQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LDH'', ''LDH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-乳酸脱氢酶'', ''GGN-RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血LD'', ''QXLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血乳酸脱氢酶'', ''QXRSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)测定(血清)'', ''RSTQM(LD)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清LD'', ''XQLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清乳酸脱氢酶'', ''XQRSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-腺苷脱氨酶'', ''GGN-XZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血腺苷脱氨酶'', ''QXXZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)'', ''XZTAM(ADA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)测定(血清)'', ''XZTAM(ADA)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶测定'', ''XZTAMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清ADA'', ''XQADA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清腺苷脱氨酶'', ''XQXZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-直接胆红素'', ''GGN-ZJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结合胆红素'', ''JHDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血结合胆红素'', ''QXJHDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血直接胆红素'', ''QXZJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清结合胆红素'', ''XQJHDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清直接胆红素'', ''XQZJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清直接胆红素测定'', ''XQZJDHSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液结合胆红素'', ''XYJHDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液直接胆红素'', ''XYZJDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接胆红素(D-Bil)'', ''ZJDHS(D-Bil)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接胆红素(D-Bil)测定'', ''ZJDHS(D-Bil)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''STB'', ''STB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-总胆红素'', ''GGN-ZDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血总胆红素'', ''QXZDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总胆红素'', ''XQZDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总胆红素测定'', ''XQZDHSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液总胆红素'', ''XYZDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总TBIL'', ''ZTBIL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总T-Bil'', ''ZT-Bil'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆红素(T-Bil)'', ''ZDHS(T-Bil)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆红素(T-Bil)测定'', ''ZDHS(T-Bil)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-总胆汁酸'', ''GGN-ZDZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血TBA'', ''QXTBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清TBA'', ''XQTBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总胆汁酸测定'', ''XQZDZSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总TBA'', ''ZTBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆汁酸(TBA)'', ''ZDZS(TBA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆汁酸(TBA)测定'', ''ZDZS(TBA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能-总蛋白'', ''GGN-ZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血总蛋白'', ''QXZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总蛋白'', ''XQZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总蛋白测定'', ''XQZDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总TP'', ''ZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总蛋白(TP)'', ''ZDB(TP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总蛋白(TP)测定'', ''ZDB(TP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ-Col'', ''Ⅲ-Col'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ型胶原(CGⅢ)'', ''ⅢXJY(CGⅢ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ型胶原(CGⅢ)测定'', ''ⅢXJY(CGⅢ)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ型胶原蛋白'', ''ⅢXJYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PⅢP'', ''PⅢP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放免血清Ⅲ型前胶原测定'', ''FMXQⅢXQJYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-Ⅲ型胶原'', ''XQ-ⅢXJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ-Col'', ''Ⅳ-Col'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ型胶原(CGⅣ)'', ''ⅣXJY(CGⅣ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ型胶原(CGⅣ)测定'', ''ⅣXJY(CGⅣ)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ型胶原蛋白'', ''ⅣXJYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-Ⅳ型胶原'', ''XQ-ⅣXJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Ⅳ型胶原测定'', ''XQⅣXJYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''层粘连蛋白(LN)'', ''CZLDB(LN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''层粘连蛋白(LN)测定'', ''CZLDB(LN)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-层粘连蛋白'', ''XQ-CZLDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单胺氧化酶(MAO)'', ''DAYHM(MAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单胺氧化酶(MAO)测定'', ''DAYHM(MAO)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''含黄素胺氧化酶'', ''HHSAYHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-单胺氧化酶'', ''XQ-DAYHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸'', ''BLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻尿酸'', ''BNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖醛酸'', ''TQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明质酸(HA)'', ''TMZS(HA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明质酸(HA)测定'', ''TMZS(HA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-透明质酸'', ''XQ-TMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清透明质酸酶测定'', ''XQTMZSMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)'', ''QGT(ALD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)测定(血清)'', ''QGT(ALD)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮测定'', ''QGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-醛固酮'', ''XQ-QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素测定(血清)'', ''SSCD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆肾素活性测定'', ''XJSSHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肾素'', ''XQ-SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅰ(AngⅠ)'', ''XGJZSⅠ(AngⅠ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅰ(AngⅠ)测定'', ''XGJZSⅠ(AngⅠ)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅰ测定'', ''XGJZSⅠCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血管紧张素Ⅰ'', ''XQ-XGJZSⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅱ(AngⅡ)'', ''XGJZSⅡ(AngⅡ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅱ(AngⅡ)测定'', ''XGJZSⅡ(AngⅡ)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅱ测定'', ''XGJZSⅡCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血管紧张素Ⅱ'', ''XQ-XGJZSⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿刺液引流液培养'', ''CCYYLYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液-穿刺液引流液培养'', ''GZCCYYLY-CCYYLYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(各种穿刺液引流液)'', ''YBXJPY(GZCCYYLY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液-自定义'', ''GZCCYYLY-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝病毒抗体(HGVAb)测定'', ''GGBDKT(HGVAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝抗体(Anti-HGVIgG)'', ''GGKT(Anti-HGVIgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚型肝炎抗体'', ''GXGYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚型肝炎抗体(抗HGV)测定'', ''GXGYKT(KHGV)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-庚肝抗体'', ''XQ-GGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈刮片'', ''GJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨R-羟基谷氨酸蛋白'', ''GR-ZJGASDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素(OC)'', ''GGS(OC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素测定'', ''GGSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盖素'', ''GGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-骨钙素'', ''XQ-GGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓NAP染色'', ''GSNAPRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓特殊染色及酶组织化学染色检查'', ''GSTSRSJMZZHXRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色'', ''ZXLXBJXLSMRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓-骨髓培养'', ''GS-GSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓培养'', ''GSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓-染色体分析'', ''GS-RSTFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓染色体检查'', ''GSRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析(骨髓)'', ''RSTFX(GS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(骨髓)'', ''YBXJPY(GS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶(NBAP)'', ''GXJXLSM(NBAP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶质量测定'', ''GXJXLSMZLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨性碱性磷酸酶'', ''GXJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-骨型碱性磷酸酶'', ''XQ-GXJXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液-关节液培养'', ''GJY-GJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(关节液)'', ''YBXJPY(GJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液-自定义'', ''GJY-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后17α-羟孕酮(17α-OHP)'', ''FYH17α-ZYT(17α-OHP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验17α-羟孕酮(服药后)'', ''GYDSMSYZSY17α-ZYT(FYH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药后17α-羟孕酮'', ''XQ-FYH17α-ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后促肾上腺皮质激素(ACTH)'', ''FYHCSSXPZJS(ACTH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验促肾上腺皮质激素(ACTH)(服药后)'', ''GYDSMSYZSYCSSXPZJS(ACTH)(FYH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药后促肾上腺皮质激素'', ''XQ-FYHCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后睾酮(T)'', ''FYHZT(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸素'', ''ZWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验睾酮(服药后)'', ''GYDSMSYZSYZT(FYH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药后睾酮'', ''XQ-FYHZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后硫酸去氢表雄酮'', ''FYHLSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验硫酸去氢表雄酮(服药后)'', ''GYDSMSYZSYLSQQBXT(FYH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药后硫酸去氢表雄酮'', ''XQ-FYHLSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后皮质醇'', ''FYHPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验皮质醇(服药后)'', ''GYDSMSYZSYPZC(FYH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药后皮质醇'', ''XQ-FYHPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前17α-羟孕酮(17α-OHP)'', ''FYQ17α-ZYT(17α-OHP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验17α-羟孕酮(服药前)'', ''GYDSMSYZSY17α-ZYT(FYQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药前17α-羟孕酮'', ''XQ-FYQ17α-ZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前促肾上腺皮质激素(ACTH)'', ''FYQCSSXPZJS(ACTH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验促肾上腺皮质激素(ACTH)(服药前)'', ''GYDSMSYZSYCSSXPZJS(ACTH)(FYQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药前促肾上腺皮质激素'', ''XQ-FYQCSSXPZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前睾酮(T)'', ''FYQZT(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验睾酮(服药前)'', ''GYDSMSYZSYZT(FYQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药前睾酮'', ''XQ-FYQZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前硫酸去氢表雄酮'', ''FYQLSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验硫酸去氢表雄酮(服药前)'', ''GYDSMSYZSYLSQQBXT(FYQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药前硫酸去氢表雄酮'', ''XQ-FYQLSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前皮质醇'', ''FYQPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验皮质醇(服药前)'', ''GYDSMSYZSYPZC(FYQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-服药前皮质醇'', ''XQ-FYQPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞'', ''HBLCXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-红斑狼疮细胞'', ''XQ-HBLCXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸激酶'', ''BTSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸激酶(PK)'', ''BTSJM(PK)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙酮酸激酶'', ''XQ-BTSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(白细胞计数)'', ''HMY(BXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-白细胞计数'', ''HMY-BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(镜检晶体)'', ''HMY(JJJT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-镜检晶体'', ''HMY-JJJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镜检晶体'', ''JJJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(量)'', ''HMY(L)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-量'', ''HMY-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量'', ''L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(黏稠性)'', ''HMY(ZCX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-黏稠性'', ''HMY-ZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏稠性'', ''ZCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(透明度)'', ''HMY(TMD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-透明度'', ''HMY-TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(外观)'', ''HMY(WG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-外观'', ''HMY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(细菌培养)'', ''HMY(XJPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-细菌培养'', ''HMY-XJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌培养'', ''XJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(血浆葡萄糖与积液葡萄糖差值)'', ''HMY(XJPTTYJYPTTCZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-血浆葡萄糖与积液葡萄糖差值'', ''HMY-XJPTTYJYPTTCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆葡萄糖与积液葡萄糖差值'', ''XJPTTYJYPTTCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液(中性粒细胞)'', ''HMY(ZXLXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液-中性粒细胞'', ''HMY-ZXLXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞'', ''ZXLXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗试验'', ''HHDBCDKSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-活化蛋白C抵抗'', ''XQ-HHDBCDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶-MB同工酶活性(CK-MB)测定'', ''JSJM-MBTGMHX(CK-MB)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶(CK-MB)活性'', ''JSJMTGM(CK-MB)HX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌酸激酶同工酶活性'', ''XQ-JSJMTGMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝抗体(Anti-HAV)'', ''JGKT(Anti-HAV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝抗体测定(IgM)'', ''JGKTCD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎抗体'', ''JXGYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎抗体(抗HAV)测定'', ''JXGYKT(KHAV)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲肝抗体'', ''XQ-JGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素(PTH)'', ''JZPXJS(PTH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素(PTH)测定'', ''JZPXJS(PTH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲状旁腺激素'', ''XQ-JZPXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反三碘甲腺原氨酸(r T3)'', ''FSDJXYAS(r T3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反三碘甲腺原氨酸(rT3)测定'', ''FSDJXYAS(rT3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清反T3测定'', ''XQFT3CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-反三碘甲腺原氨酸'', ''XQ-FSDJXYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''T3抑制试验'', ''T3YZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲腺原氨酸摄取率'', ''SDJXYASSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲状腺原氨酸(T3)抑制试验'', ''SDJZXYAS(T3)YZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲状腺原氨酸抑制试验'', ''SDJZXYASYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清T3摄取实验'', ''XQT3SQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素(TSH)'', ''CJZXJS(TSH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''31999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素(TSH)测定'', ''CJZXJS(TSH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功-促甲状腺激素'', ''JG-CJZXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血促甲状腺激素'', ''QXCJZXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清TSH'', ''XQTSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清促甲状腺激素'', ''XQCJZXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清促甲状腺激素测定'', ''XQCJZXJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功-甲状腺素'', ''JG-JZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺激素'', ''JZXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺素(T4)'', ''JZXS(T4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺素(T4)测定'', ''JZXS(T4)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血甲状腺素'', ''QXJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清T4'', ''XQT4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清甲状腺素'', ''XQJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清甲状腺素(T4)测定'', ''XQJZXS(T4)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功-三碘甲状原氨酸'', ''JG-SDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血三碘甲状原氨酸'', ''QXSDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲状原氨酸(T3)'', ''SDJZYAS(T3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲状原氨酸(T3)测定'', ''SDJZYAS(T3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清T3'', ''XQT3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清三碘甲状原氨酸'', ''XQSDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清三碘甲状原氨酸 (T3)测定'', ''XQSDJZYAS (T3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功-游离甲状腺素'', ''JG-YLJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血游离甲状腺素'', ''QXYLJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清FT4'', ''XQFT4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离甲状腺素'', ''XQYLJZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离甲状腺素(FT4)测定'', ''XQYLJZXS(FT4)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离FT4'', ''YLFT4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离甲状腺素(FT4)'', ''YLJZXS(FT4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离甲状腺素(FT4)测定'', ''YLJZXS(FT4)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲功-游离三碘甲状原氨酸'', ''JG-YLSDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血游离三碘甲状原氨酸'', ''QXYLSDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清FT3'', ''XQFT3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离三碘甲状原氨酸'', ''XQYLSDJZYAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离三碘甲状原氨酸(FT3)测定'', ''XQYLSDJZYAS(FT3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离三碘甲状原氨酸(FT3)'', ''YLSDJZYAS(FT3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离三碘甲状原氨酸(FT3)测定'', ''YLSDJZYAS(FT3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24h摄取率'', ''24hSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验(24h摄取率)'', ''JZXSDSY(24hSQL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验24h摄取率'', ''JZXSDSY24hSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3h摄取率'', ''3hSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验(3h摄取率)'', ''JZXSDSY(3hSQL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验3h摄取率'', ''JZXSDSY3hSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺素受体抗体(TRAb)'', ''CJZXSSTKT(TRAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺素受体抗体(TRAb)测定'', ''CJZXSSTKT(TRAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺素受体抗体测定'', ''CJZXSSTKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-促甲状腺素受体抗体'', ''XQ-CJZXSSTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结合球蛋白(TBG)'', ''JZXJHQDB(TBG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结合球蛋白(TBG)测定'', ''JZXJHQDB(TBG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲状腺结合球蛋白'', ''XQ-JZXJHQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清甲状腺结合球蛋白测定'', ''XQJZXJHQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺球蛋白(TG)'', ''JZXQDB(TG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺球蛋白(TG)测定'', ''JZXQDB(TG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺球蛋白测定'', ''JZXQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲状腺球蛋白'', ''XQ-JZXQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TPO-Ab'', ''TPO-Ab'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺过氧化物酶抗体(TPOAb)'', ''KJZXGYHWMKT(TPOAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺过氧化物酶抗体(TPOAb)测定'', ''KJZXGYHWMKT(TPOAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺过氧化物酶抗体TPOAb测定'', ''KJZXGYHWMKTTPOAbCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗甲状腺过氧化物酶抗体'', ''XQ-KJZXGYHWMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ATGA'', ''ATGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺刺激抗体'', ''JZXCJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺球蛋白抗体（ATGA）'', ''JZXQDBKT（ATGA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺球蛋白抗体(TGAb)'', ''KJZXQDBKT(TGAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺球蛋白抗体(TGAb)测定'', ''KJZXQDBKT(TGAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺球蛋白抗体测定'', ''KJZXQDBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗甲状腺球蛋白抗体'', ''XQ-KJZXQDBKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺微粒体抗体(ATMA)'', ''KJZXWLTKT(ATMA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺微粒体抗体(TMAb)'', ''KJZXWLTKT(TMAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺微粒体抗体(TMAb)测定'', ''KJZXWLTKT(TMAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗甲状腺微粒体抗体'', ''XQ-KJZXWLTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原(PCT)'', ''JGSY(PCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原(PCT)检测'', ''JGSY(PCT)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原测定'', ''JGSYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血降钙素原'', ''QXJGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清降钙素原'', ''XQJGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-降钙素原'', ''XQ-JGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分枝杆菌培养'', ''FZGJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酸杆菌培养'', ''KSGJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Tb-Ab'', ''Tb-Ab'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌抗体测定'', ''JHFZGJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌抗体测定'', ''JHGJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗结核抗体'', ''KJHKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗结核抗体'', ''XQ-KJHKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体基因鉴别'', ''JZZYTJYJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体基因型别鉴定'', ''JZZYTJYXBJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体检查'', ''JZZYTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体检查培养'', ''JZZYTJCPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体检查培养及鉴定'', ''JZZYTJCPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶脲脲原体'', ''RZZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶脲支原体'', ''RZZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-解脲脲原体'', ''XQ-JZZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体抗体'', ''JZZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(解脲脲原体)'', ''XJKTCD(JZZYT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-解脲脲原体抗体'', ''XQ-JZZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体核酸测定'', ''JZZYTHSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体核酸测定(UU DNA)'', ''JZZYTHSCD(UU DNA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精液量)'', ''JYCG(JYL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精液量'', ''JY-JYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液量'', ''JYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精子存活率)'', ''JYCG(JZCHL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子存活率'', ''JY-JZCHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子存活率'', ''JZCHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精子活动力)'', ''JYCG(JZHDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子活动力'', ''JY-JZHDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子活动力'', ''JZHDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精子总数)'', ''JYCG(JZZS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子计数'', ''JY-JZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子计数'', ''JZJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精子密度)'', ''JYCG(JZMD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子密度'', ''JY-JZMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子密度'', ''JZMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精子正常形态)'', ''JYCG(JZZCXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子正常形态'', ''JY-JZZCXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子正常形态'', ''JZZCXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(酸碱度)'', ''JYCG(SJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-酸碱度'', ''JY-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''SJD(PH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精液外观)'', ''JYCG(JYWG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-外观'', ''JY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规(精液液化时间)'', ''JYCG(JYYHSJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-液化时间'', ''JY-YHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''液化时间'', ''YHSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质'', ''DBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(蛋白质)'', ''JYSH(DBZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-蛋白质'', ''JYSH-DBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液总蛋白测定'', ''NJYZDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液果糖测定'', ''JYGTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(果糖)'', ''JYSH(GT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-果糖'', ''JYSH-GT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(柠檬酸)'', ''JYSH(NMS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-柠檬酸'', ''JYSH-NMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柠檬酸'', ''NMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(酸性磷酸酶)'', ''JYSH(SXLSM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-酸性磷酸酶'', ''JYSH-SXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸性磷酸酶(ACP)'', ''SXLSM(ACP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(铁)'', ''JYSH(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-铁'', ''JYSH-T'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁(Fe)'', ''T(Fe)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(铜)'', ''JYSH(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-铜'', ''JYSH-T'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜(Cu)'', ''T(Cu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化(锌)'', ''JYSH(X)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化-锌'', ''JYSH-X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锌(Zn)'', ''X(Zn)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子顶体酶活性'', ''JY-JZDTMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子顶体酶活性'', ''JZDTMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子顶体酶活性定量测定'', ''JZDTMHXDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液-精子尾部低渗肿胀试验'', ''JY-JZWBDSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子低渗肿胀试验'', ''JZDSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子尾部低渗肿胀试验'', ''JZWBDSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗精子抗体测定'', ''KJZKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗精子抗体测定（ASA）'', ''KJZKTCD（ASA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗精子抗体'', ''XQ-KJZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体IgG'', ''JXBBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体测定 (IgG )'', ''JXBBDKTCD (IgG )'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-巨细胞病毒抗体IgG'', ''XQ-JXBBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体IgM'', ''JXBBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-巨细胞病毒抗体IgM'', ''XQ-JXBBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CMV抗原'', ''CMVKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒PP50基因蛋白测定'', ''JXBBDPP50JYDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗原PP65'', ''JXBBDKYPP65'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗原血症(CMVPP65)'', ''JXBBDKYXZ(CMVPP65)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗原血症(CMVPP65)测定'', ''JXBBDKYXZ(CMVPP65)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-巨细胞病毒抗原'', ''XQ-JXBBDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清巨细胞病毒抗原测定'', ''XQJXBBDKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体'', ''Kβ2-TDB1KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗β2-糖蛋白1抗体'', ''XQ-Kβ2-TDB1KT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗JO-1抗体测定'', ''KJO-1KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗nRNP抗体测定'', ''KnRNPKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗PM-Scl抗体(抗PM-1抗体)'', ''KPM-SclKT(KPM-1KT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗PM-Scl抗体(抗PM-1抗体)测定'', ''KPM-SclKT(KPM-1KT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗PM-Scl抗体'', ''XQ-KPM-SclKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗RNP'', ''KRNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗RNP抗体测定'', ''KRNPKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗RNP'', ''XQ-KRNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗ScL-70抗体测定'', ''KScL-70KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Sm抗体测定'', ''KSmKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA抗体测定'', ''KSSAKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-A抗体测定'', ''KSS-AKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA52'', ''KSSA52'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA52抗体测定'', ''KSSA52KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗SSA52'', ''XQ-KSSA52'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA60'', ''KSSA60'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA60抗体测定'', ''KSSA60KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗SSA60'', ''XQ-KSSA60'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSB抗体测定'', ''KSSBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-B抗体测定'', ''KSS-BKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗单链DNA'', ''KDLDNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗单链DNA测定'', ''KDLDNACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗单链DNA'', ''XQ-KDLDNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体'', ''KHKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体(ANA)'', ''KHKT(ANA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体(ANA)测定'', ''KHKT(ANA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体(ANA)总谱'', ''KHKT(ANA)ZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体测定(ANA)'', ''KHKTCD(ANA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱'', ''KHKTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体总类'', ''KHKTZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核酸抗原抗体'', ''KHSKYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗核抗体'', ''XQ-KHKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核糖体P蛋白(rRNP)'', ''KHTTPDB(rRNP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核糖体P蛋白(rRNP)抗体测定'', ''KHTTPDB(rRNP)KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗核糖体P蛋白'', ''XQ-KHTTPDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核小体抗体(AnuA)'', ''KHXTKT(AnuA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核小体抗体（AnuA）'', ''KHXTKT（AnuA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核小体抗体(AnuA)测定'', ''KHXTKT(AnuA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗核小体抗体'', ''XQ-KHXTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗双链DNA(抗dsDNA)测定'', ''KSLDNA(KdsDNA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗双链DNA测定(抗dsDNA)'', ''KSLDNACD(KdsDNA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体M2亚型抗体(AMA-M2)'', ''KXLTM2YXKT(AMA-M2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体M2亚型抗体(AMA-M2)测定'', ''KXLTM2YXKT(AMA-M2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗线粒体M2亚型抗体'', ''XQ-KXLTM2YXKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''KZZXBHKYKT(KPCNA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗增殖细胞核抗原抗体'', ''XQ-KZZXBHKYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗着丝点抗体'', ''KZSDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗着丝点抗体测定'', ''KZSDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗着丝点抗体'', ''XQ-KZSDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗组蛋白抗体(AHA)'', ''KZDBKT(AHA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗组蛋白抗体(AHA)测定'', ''KZDBKT(AHA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗组蛋白抗体'', ''XQ-KZDBKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞抗体筛查'', ''HXBKTSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体(RBC抗体)'', ''KHXBKT(RBCKT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸多肽抗体'', ''KHGASDZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽(CCP)抗体测定'', ''KHGASZ(CCP)KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)'', ''KHGASZKT(KCCP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗环瓜氨酸肽抗体'', ''XQ-KHGASZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AVP'', ''AVP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''VP'', ''VP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸加压素'', ''JASJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素(ADH)'', ''KLNJS(ADH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素(ADH)测定'', ''KLNJS(ADH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素测定'', ''KLNJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管升压素'', ''XGSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗利尿激素'', ''XQ-KLNJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶(ASK)'', ''KLQJJM(ASK)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶(ASK)测定'', ''KLQJJM(ASK)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗链球菌激酶抗体'', ''XQ-KLQJJMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(ASO)测定(定量)'', ''KLQJRXSO(ASO)CD(DL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(定量)'', ''KLQJRXSO(DL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗链球菌溶血素O(定量)'', ''XQ-KLQJRXSO(DL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(ASO)测定(定性)'', ''KLQJRXSO(ASO)CD(DX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(定性)'', ''KLQJRXSO(DX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗链球菌溶血素O(定性)'', ''XQ-KLQJRXSO(DX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶试验'', ''KLQJTMZSMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗链球菌透明质酸酶'', ''XQ-KLQJTMZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体（ALA）'', ''KLBXBKT（ALA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体（ABAb）'', ''KNZZKT（ABAb）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体(SMA)检测'', ''KPHJKT(SMA)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体测定'', ''KPHJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗平滑肌抗体'', ''XQ-KPHJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定IgG'', ''KSJJZZKTCDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗神经节苷脂抗体IgG'', ''XQ-KSJJZZKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定IgM'', ''KSJJZZKTCDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗神经节苷脂抗体IgM'', ''XQ-KSJJZZKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺皮质抗体检测'', ''KSSXPZKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺细胞抗体(AAA)检测'', ''KSSXXBKT(AAA)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AGBM'', ''AGBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗-GBM抗体'', ''K-GBMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体'', ''KSXQJDMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ADNaseB'', ''ADNaseB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌脱氧核糖核酸酶B'', ''KLQJTYHTHSMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶B'', ''KTYHTHSMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶B(ADNA-B)'', ''KTYHTHSMB(ADNA-B)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清抗链球菌脱氧核糖核酸酶B'', ''XQKLQJTYHTHSMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗链球菌脱氧核糖核酸酶B'', ''XQ-KLQJTYHTHSMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗脱氧核糖核酸酶B'', ''XQ-KTYHTHSMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶抗体'', ''KTYHTHSMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶抗体检测'', ''KTYHTHSMKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗脱氧核糖核酸酶抗体'', ''XQ-KTYHTHSMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''APCA'', ''APCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体(PCA)'', ''KWBXBKT(PCA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体测定(AMA)'', ''KXLTKTCD(AMA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgA'', ''IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgA(ACA)测定'', ''KXLZKTIgA(ACA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgA抗体测定'', ''KXLZKTIgAKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgG(ACA)测定'', ''KXLZKTIgG(ACA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgG抗体测定'', ''KXLZKTIgGKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgM(ACA)测定'', ''KXLZKTIgM(ACA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体IgM抗体测定'', ''KXLZKTIgMKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体测定'', ''KYZDJSTKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗乙酰胆碱受体抗体'', ''XQ-KYZDJSTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗体测定'', ''KZZXBHKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原测定'', ''KZZXBHKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体(EMAb)'', ''KZGNMKT(EMAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体(EMAb)测定'', ''KZGNMKT(EMAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗子宫内膜抗体'', ''XQ-KZGNMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒(IgG)'', ''KSQBD(IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒IgG'', ''KSQBDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-柯萨奇病毒IgG'', ''XQ-KSQBDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒(IgM)'', ''KSQBD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒IgM'', ''KSQBDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-柯萨奇病毒IgM'', ''XQ-KSQBDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min血糖'', ''120minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(120min)'', ''KFPTTNLSY(OGTT)(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-120min血糖'', ''XQ-120minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min血糖'', ''180minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(180min)'', ''KFPTTNLSY(OGTT)(180min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-180min血糖'', ''XQ-180minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240min血糖'', ''240minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(240min)'', ''KFPTTNLSY(OGTT)(240min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-240min血糖'', ''XQ-240minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300min血糖'', ''300minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(300min)'', ''KFPTTNLSY(OGTT)(300min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-300min血糖'', ''XQ-300minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min血糖'', ''30minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(30min)'', ''KFPTTNLSY(OGTT)(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-30min血糖'', ''XQ-30minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min血糖'', ''60minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验(OGTT)(60min)'', ''KFPTTNLSY(OGTT)(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60min血糖'', ''XQ-60minXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗狂犬病毒抗体IgG'', ''KKQBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体'', ''KQBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-狂犬病毒抗体'', ''XQ-KQBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgA'', ''LFSYZ(RF)IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子IgA'', ''LFSYZIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类风湿因子IgA'', ''XQ-LFSYZIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgD'', ''LFSYZ(RF)IgD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子IgD'', ''LFSYZIgD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类风湿因子IgD'', ''XQ-LFSYZIgD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgE'', ''LFSYZ(RF)IgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子IgE'', ''LFSYZIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类风湿因子IgE'', ''XQ-LFSYZIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgG'', ''LFSYZ(RF)IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子IgG'', ''LFSYZIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类风湿因子IgG'', ''XQ-LFSYZIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgM'', ''LFSYZ(RF)IgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子IgM'', ''LFSYZIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类风湿因子IgM'', ''XQ-LFSYZIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子 -1测定'', ''LYDSYSCYZ -1CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子-1'', ''LYDSYSCYZ-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子-1(IGF)'', ''LYDSYSCYZ-1(IGF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类胰岛素样生长因子'', ''XQ-LYDSYSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子结合蛋白 -3测定'', ''LYDSYSCYZJHDB -3CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子结合蛋白-3'', ''LYDSYSCYZJHDB-3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子结合蛋白-3(IGF-BP3)'', ''LYDSYSCYZJHDB-3(IGF-BP3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-类胰岛素样生长因子结合蛋白'', ''XQ-LYDSYSCYZJHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次氏体/落基山斑疹'', ''LKCST/LJSBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD3+'', ''CD3+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分化簇3'', ''FHC3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群CD3+'', ''LBXBYQCD3+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群绝对计数(CD3+)'', ''LBXBYQJDJS(CD3+)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD4+'', ''CD4+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分化簇4'', ''FHC4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群CD4+'', ''LBXBYQCD4+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群绝对计数(CD4+)'', ''LBXBYQJDJS(CD4+)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD4+/CD8+'', ''CD4+/CD8+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群CD4+/CD8+'', ''LBXBYQCD4+/CD8+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群绝对计数(CD4+/CD8+)'', ''LBXBYQJDJS(CD4+/CD8+)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD8+'', ''CD8+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分化簇8'', ''FHC8'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群CD8+'', ''LBXBYQCD8+'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群绝对计数(CD8+)'', ''LBXBYQJDJS(CD8+)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涂片-淋球菌'', ''TP-LQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查(淋球菌)'', ''YBXJTPJC(LQJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒RNA'', ''LGBDRNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流感病毒RNA'', ''XQ-LGBDRNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流感病毒核糖核酸'', ''XQ-LGBDHTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血热病毒抗体IgM'', ''CXRBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体'', ''LXXCXRBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体IgA测定'', ''LXXCXRBDKTIgACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体IgG测定'', ''LXXCXRBDKTIgGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体IgM测定'', ''LXXCXRBDKTIgMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体测定 (IgG)'', ''LXXCXRBDKTCD (IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流行性出血热病毒抗体IgA'', ''XQ-LXXCXRBDKTIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流行性出血热病毒抗体IgG'', ''XQ-LXXCXRBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流行性出血热病毒抗体IgM'', ''XQ-LXXCXRBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定(脑脊液)'', ''LXXYXNYBDKTCD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定(血清)'', ''LXXYXNYBDKTCD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-乙型脑炎病毒抗体'', ''NJY-YXNYBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙型脑炎病毒抗体'', ''XQ-YXNYBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎病毒抗体'', ''YXNYBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒抗原(RV)'', ''LZBDKY(RV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人轮状病毒抗原测定'', ''RLZBDKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-轮状病毒抗原'', ''XQ-LZBDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒(IgG)'', ''MZBD(IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体IgG'', ''MZBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体测定IgG'', ''MZBDKTCDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-麻疹病毒抗体IgG'', ''XQ-MZBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒(IgM)'', ''MZBD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体IgM'', ''MZBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体测定IgM'', ''MZBDKTCDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-麻疹病毒抗体IgM'', ''XQ-MZBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(120min)'', ''MTCTNLSY(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖耐量试验(ogtt)'', ''TNLSY(ogtt)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(180min)'', ''MTCTNLSY(180min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(240min)'', ''MTCTNLSY(240min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(300min)'', ''MTCTNLSY(300min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(30min)'', ''MTCTNLSY(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验(60min)'', ''MTCTNLSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯胺红不加热血清试验(TRUST)'', ''JBAHBJRXQSY(TRUST)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲苯胺红不加热血清试验'', ''XQ-JBAHBJRXQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗TP'', ''KTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗梅毒螺旋抗体(TP-Ab)'', ''KMDLXKT(TP-Ab)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体抗体'', ''MDLXTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体抗体(抗TP)测定'', ''MDLXTKT(KTP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体特异抗体测定'', ''MDLXTTYKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗梅毒螺旋抗体'', ''XQ-KMDLXKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体涂片检查'', ''MDLXTTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涂片-梅毒螺旋体'', ''TP-MDLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查(梅毒螺旋体)'', ''YBXJTPJC(MDLXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''密螺旋体颗粒凝集(TPPA)试验'', ''MLXTKLNJ(TPPA)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-密螺旋体颗粒凝集'', ''XQ-MLXTKLNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速血浆反应素试验'', ''KSXJFYSSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒RPR试验'', ''MDRPRSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆反应素(RPR)试验'', ''XJFYS(RPR)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-反应素试验'', ''XQ-FYSSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgA1'', ''MYQDBYLDLCDIgA1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgA2'', ''MYQDBYLDLCDIgA2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG1'', ''MYQDBYLDLCDIgG1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG2'', ''MYQDBYLDLCDIgG2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG3'', ''MYQDBYLDLCDIgG3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G亚型4'', ''MYQDBGYX4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG4'', ''MYQDBYLDLCDIgG4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A型钠尿肽(ANP)'', ''AXNNZ(ANP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A型钠尿肽(ANP)测定'', ''AXNNZ(ANP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房利钠肽'', ''XFLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心钠素测定'', ''XNSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心钠肽'', ''XNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-A型钠尿肽'', ''XQ-AXNNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型利钠肽'', ''BXLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型纳尿肽定量测定(BNP)'', ''BXNNZDLCD(BNP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型钠尿肽(BNP)'', ''BXNNZ(BNP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型钠尿肽(BNP)测定'', ''BXNNZ(BNP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型尿钠肽'', ''BXNNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑利钠肽'', ''NLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑钠肽'', ''NNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑尿钠肽'', ''NNNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-B型钠尿肽'', ''XQ-BXNNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测 (MRSA、MRS)'', ''NJYXLPTQJJC (MRSA、MRS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重(脑脊液)'', ''BZ(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-比重'', ''NJY-BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质定量'', ''DBZDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质定量(脑脊液)'', ''DBZDL(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-蛋白质定量'', ''NJY-DBZDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰染色'', ''GLRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰染色(脑脊液)'', ''GLRS(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-革兰氏染色'', ''NJY-GLSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-兰染色'', ''NJY-LRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酸染色'', ''KSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酸染色(脑脊液)'', ''KSRS(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-酸染色'', ''NJY-SRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物定量(脑脊液)'', ''LHWDL(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-氯化物定量'', ''NJY-LHWDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)测定(脑积液)'', ''BDB(Alb)CD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑积液-白蛋白'', ''NJY-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液白蛋白测定'', ''NJYBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液白细胞计数'', ''NJYBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-白细胞计数'', ''NJY-BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细胞学检查(白细胞计数)'', ''NJYXBXJC(BXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液单核细胞百分比'', ''NJYDHXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-单核细胞百分比'', ''NJY-DHXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细胞学检查(单核细胞百分比)'', ''NJYXBXJC(DHXBBFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液红细胞计数'', ''NJYHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-红细胞计数'', ''NJY-HXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细胞学检查(红细胞计数)'', ''NJYXBXJC(HXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液淋巴细胞百分比'', ''NJYLBXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-淋巴细胞百分比'', ''NJY-LBXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细胞学检查(淋巴细胞百分比)'', ''NJYXBXJC(LBXBBFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液腺苷脱氨酶'', ''NJYXZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-腺苷脱氨酶'', ''NJY-XZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)测定(脑脊液)'', ''XZTAM(ADA)CD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶测定(脑脊液)'', ''XZTAMCD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细胞学检查(中性粒细胞百分比)'', ''NJYXBXJC(ZXLXBBFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液中性粒细胞百分比'', ''NJYZXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-中性粒细胞百分比'', ''NJY-ZXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-糖定量'', ''NJY-TDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖定量'', ''PTTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖定量(脑脊液)'', ''PTTDL(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-乳酸'', ''NJY-RS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸'', ''RS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸(脑脊液)'', ''RS(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-酸碱度'', ''NJY-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(脑脊液)'', ''SJD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-透明度'', ''NJY-TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度(脑脊液)'', ''TMD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液压力'', ''NJYYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-压力'', ''NJY-YL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力'', ''YL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力(脑脊液)'', ''YL(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-颜色'', ''NJY-YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颜色'', ''YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颜色(脑脊液)'', ''YS(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2-巨球蛋白'', ''β2-JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2-巨球蛋白(β2-MG)测定(脑脊液)'', ''β2-JQDB(β2-MG)CD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-β2-巨球蛋白'', ''NJY-β2-JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白A'', ''MYQDBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白A(IgA)定量测定(脑脊液)'', ''MYQDBA(IgA)DLCD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-免疫球蛋白IgA'', ''NJY-MYQDBIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G'', ''MYQDBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G(IgG)定量测定(脑脊液)'', ''MYQDBG(IgG)DLCD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液IgG测定'', ''NJYIgGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-免疫球蛋白IgG'', ''NJY-MYQDBIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白M'', ''MYQDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白M(IgM)定量测定(脑脊液)'', ''MYQDBM(IgM)DLCD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-免疫球蛋白IgM'', ''NJY-MYQDBIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-髓鞘碱性蛋白'', ''NJY-SQJXDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髓鞘碱性蛋白'', ''SQJXDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髓鞘碱性蛋白(MBP)测定(脑脊液)'', ''SQJXDB(MBP)CD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-A群链球菌'', ''NJY-AQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B群链球菌'', ''BQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-B群链球菌'', ''NJY-BQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色念珠菌'', ''BSNZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-白色念珠菌'', ''NJY-BSNZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌'', ''FYLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-肺炎链球菌'', ''NJY-FYLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假单胞菌属菌种'', ''JDBJSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-假单胞菌属菌种'', ''NJY-JDBJSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-结核分枝杆菌'', ''NJY-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡他莫拉菌'', ''KTMLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-卡他莫拉菌'', ''NJY-KTMLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌'', ''LGSXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-流感嗜血杆菌'', ''NJY-LGSXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-脑脊液培养'', ''NJY-NJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-脑膜败血黄杆菌'', ''NJY-NMBXHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜败血黄杆菌'', ''NMBXHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-脑膜炎奈瑟菌'', ''NJY-NMYNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎奈瑟菌'', ''NMYNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-葡萄球菌属菌种'', ''NJY-PTQJSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌属菌种'', ''PTQJSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(脑脊液)'', ''YBXJPY(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-自定义'', ''NJY-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-内毒素定量'', ''XQ-NDSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-内毒素定性'', ''XQ-NDSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿N-乙酰-β-D-葡萄糖苷酶'', ''NN-YZ-β-D-PTTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液N-乙酰-β-D-葡萄糖苷酶'', ''NYN-YZ-β-D-PTTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉'', ''NZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定量'', ''NZZDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定量测定'', ''NZZDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-尿卟啉'', ''N-NZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定性'', ''NZZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定性试验'', ''NZZDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-尿卟啉定性'', ''N-NZZDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞脂酶(LEU)'', ''BXBZM(LEU)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿LEU'', ''NLEU'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(白细胞脂酶定性)'', ''NCG(BXBZMDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-白细胞酯酶'', ''NCG-BXBZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''SG-U'', ''SG-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比密'', ''BM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重(SG-U)'', ''BZ(SG-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿比重'', ''NBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿比重测定'', ''NBZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(比重)'', ''NCG(BZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-比重'', ''NCG-BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液比重'', ''NYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BIL-U'', ''BIL-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆红素(BIL-U)'', ''DHS(BIL-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿BLU-U'', ''NBLU-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(尿胆红素定性)'', ''NCG(NDHSDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-胆红素'', ''NCG-DHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''URO-U'', ''URO-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿URO-U'', ''NURO-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(尿胆原定性)'', ''NCG(NDYDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-尿胆原'', ''NCG-NDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿胆原(URO-U)'', ''NDY(URO-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PRO-U'', ''PRO-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿PRO-U'', ''NPRO-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(尿蛋白定性)'', ''NCG(NDBDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-尿蛋白'', ''NCG-NDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白(PRO-U)'', ''NDB(PRO-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白定性'', ''NDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿KET-U'', ''NKET-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(尿酮体定性)'', ''NCG(NTTDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-尿酮体'', ''NCG-NTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酮体'', ''NTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酮体(KET-U)'', ''NTT(KET-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酮体定性试验'', ''NTTDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''GLU-U'', ''GLU-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿GLU-U'', ''NGLU-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(葡萄糖)'', ''NCG(PTT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-葡萄糖'', ''NCG-PTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿葡萄糖'', ''NPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖'', ''NT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液葡萄糖'', ''NYPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(GLU-U)'', ''PTT(GLU-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿PH'', ''NPH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(酸碱度)'', ''NCG(SJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-酸碱度'', ''NCG-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸碱度'', ''NSJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸碱度测定'', ''NSJDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液酸碱度'', ''NYSJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿VC'', ''NVC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(维生素C定性)'', ''NCG(WSSCDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规维生素C'', ''NCGWSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-维生素C'', ''NCG-WSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿维生素C'', ''NWSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿维生素C定性'', ''NWSSCDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液维生素C'', ''NYWSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C(VC)'', ''WSSC(VC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NIT-U'', ''NIT-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NIT'', ''NNIT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NIT-U'', ''NNIT-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(亚硝酸盐定性)'', ''NCG(YXSYDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-亚硝酸盐'', ''NCG-YXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硝酸盐(NIT-U)'', ''YXSY(NIT-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BLD-U'', ''BLD-U'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规(隐血试验)'', ''NCG(YXSY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规-隐血'', ''NCG-YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿潜血'', ''NQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿隐血'', ''NYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潜血'', ''QX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血(BLD-U)'', ''YX(BLD-U)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(计数板法)'', ''BXB(JSBF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿1小时沉渣计数(白细胞)'', ''N1XSCZJS(BXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-白细胞(计数板法)'', ''N-BXB(JSBF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(仪器法)'', ''BXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-白细胞(仪器法)'', ''N-BXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣白细胞'', ''NCZBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检(白细胞)仪器法'', ''NCZJJ(BXB)YQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''管型(仪器法)'', ''GX(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣管型'', ''NCZGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检(管型)仪器法'', ''NCZJJ(GX)YQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-管型(仪器法)'', ''N-GX(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(计数板法)'', ''HXB(JSBF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿1小时沉渣计数(红细胞)'', ''N1XSCZJS(HXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-红细胞(计数板法)'', ''N-HXB(JSBF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(仪器法)'', ''HXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣红细胞'', ''NCZHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检(红细胞)仪器法'', ''NCZJJ(HXB)YQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-红细胞(仪器法)'', ''N-HXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检(上皮细胞)仪器法'', ''NCZJJ(SPXB)YQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣上皮细胞'', ''NCZSPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-上皮细胞(仪器法)'', ''N-SPXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞(仪器法)'', ''SPXB(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检(细菌)仪器法'', ''NCZJJ(XJ)YQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣细菌'', ''NCZXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-细菌(仪器法)'', ''N-XJ(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌(仪器法)'', ''XJ(YQF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白'', ''NDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定(尿液)'', ''NDBCD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-尿蛋白'', ''N-NDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿蛋白定量'', ''24XSNDBDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定(尿液24h定量)'', ''NDBCD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白定量(24h)'', ''NDBDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-FDP'', ''NDBDY-FDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-纤维蛋白原降解产物(FDP)'', ''NDBDY-XWDBYJJCW(FDP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(FDP)'', ''NYDBDYCD(FDP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-NAG酶'', ''NDBDY-NAGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(NAG酶)'', ''NYDBDYCD(NAGM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-RBP'', ''NDBDY-RBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-视黄醇结合蛋白(RBP)'', ''NDBDY-SHCJHDB(RBP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(RBP)'', ''NYDBDYCD(RBP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-α1微量球蛋白'', ''NDBDY-α1WLQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(α1微量球蛋白)'', ''NYDBDYCD(α1WLQDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-α2巨球蛋白'', ''NDBDY-α2JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(α2巨球蛋白)'', ''NYDBDYCD(α2JQDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-β2微球蛋白'', ''NDBDY-β2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-β3微球蛋白'', ''NDBDY-β3WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(β2微球蛋白)'', ''NYDBDYCD(β2WQDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白定性'', ''DBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-蛋白定性'', ''NDBDY-DBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(蛋白定性)'', ''NYDBDYCD(DBDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿IgG'', ''NIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-尿IgG'', ''NDBDY-NIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(尿IgG)'', ''NYDBDYCD(NIgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-轻链KAPPA定量'', ''NDBDY-QLKAPPADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(轻链KAPPA定量)'', ''NYDBDYCD(QLKAPPADL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻链KAPPA定量'', ''QLKAPPADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-轻链LAMBDA定量'', ''NDBDY-QLLAMBDADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(轻链LAMBDA定量)'', ''NYDBDYCD(QLLAMBDADL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻链LAMBDA定量'', ''QLLAMBDADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-微量白蛋白'', ''NDBDY-WLBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(微量白蛋白)'', ''NYDBDYCD(WLBDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-中分子带'', ''NDBDY-ZFZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(中分子带)'', ''NYDBDYCD(ZFZD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中分子带'', ''ZFZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-尿转铁蛋白'', ''NDBDY-NZTDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白电泳测定(尿转铁蛋白)'', ''NYDBDYCD(NZTDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿转铁蛋白'', ''NZTDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿茶酚胺'', ''ECFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿茶酚胺(Ca)测定(尿液24h定量)'', ''ECFA(Ca)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-儿茶酚胺'', ''N-ECFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺(24h)'', ''NECFA(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙(Ca)'', ''G(Ca)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙(Ca)测定(尿液24h定量)'', ''G(Ca)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-钙'', ''N-G'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿钙定量(24h)'', ''NNGDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4-羟基-3-甲氧基苯乙酸'', ''4-ZJ-3-JYJBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高香兰酸'', ''GXLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-高香草酸'', ''N-GXCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''含铁血黄素定性试验'', ''HTXHSDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-含铁血黄素定性'', ''N-HTXHSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畸形红细胞计数'', ''JXHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查(畸形红细胞计数)'', ''NHXBXTJC(JXHXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-畸形红细胞计数'', ''N-JXHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞计数'', ''NHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-红细胞计数'', ''N-HXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查(尿红细胞计数)'', ''NHXBXTJC(NHXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查(正形红细胞计数)'', ''NHXBXTJC(ZXHXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-正形红细胞计数'', ''N-ZXHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正形红细胞计数'', ''ZXHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐'', ''NJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-肌酐'', ''N-JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定(随机尿)'', ''NJZCD(SJN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液肌酐'', ''NYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)测定(尿液24h定量)'', ''JZ(Cr)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐定量(24h)'', ''NJZDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性检查'', ''NJHDBDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧基去甲肾上腺素(NMN)'', ''JYJQJSSXS(NMN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-甲氧基去甲肾上腺素'', ''N-JYJQJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基去甲肾上腺素(NMN)(尿液24h定量)'', ''NJYJQJSSXS(NMN)(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧基肾上腺素(MN)'', ''JYJSSXS(MN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-甲氧基肾上腺素'', ''N-JYJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基肾上腺素(MN)(尿液24h定量)'', ''NJYJSSXS(MN)(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)测定(尿液)'', ''J(K)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)测定(尿液24h定量)'', ''J(K)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾'', ''NJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-钾'', ''N-J'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾定量(24h)'', ''NJDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液钾'', ''NYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LEU'', ''LEU'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(WBC)'', ''BXB(WBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿WBC'', ''NWBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿白细胞'', ''NBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿白细胞(WBC)'', ''NBXB(WBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-白细胞'', ''NJJ-BXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(白细胞)'', ''NYJJ(BXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞管型'', ''BXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿白细胞管型'', ''NBXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-白细胞管型'', ''NJJ-BXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(白细胞管型)'', ''NYJJ(BXBGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(RBC)'', ''HXB(RBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿RBC'', ''NRBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞(RBC)'', ''NHXB(RBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-红细胞'', ''NJJ-HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(红细胞)'', ''NYJJ(HXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞管型'', ''HXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞管型'', ''NHXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-红细胞管型'', ''NJJ-HXBGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(红细胞管型)'', ''NYJJ(HXBGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结晶'', ''JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿结晶'', ''NJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-结晶'', ''NJJ-JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(结晶)'', ''NYJJ(JJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颗粒管型'', ''KLGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-颗粒管型'', ''NJJ-KLGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿颗粒管型'', ''NKLGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(颗粒管型)'', ''NYJJ(KLGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-其他'', ''NJJ-QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(其他)'', ''NYJJ(QT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-其他管型'', ''NJJ-QTGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿其他管型'', ''NQTGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(其他管型)'', ''NYJJ(QTGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他管型'', ''QTGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-上皮细胞'', ''NJJ-SPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿上皮细胞'', ''NSPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(上皮细胞)'', ''NYJJ(SPXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞'', ''SPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-透明管型'', ''NJJ-TMGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿透明管型'', ''NTMGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(透明管型)'', ''NYJJ(TMGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明管型'', ''TMGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检-粘液丝'', ''NJJ-ZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液镜检(粘液丝)'', ''NYJJ(ZYS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿粘液丝'', ''NZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液丝'', ''ZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松'', ''NKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-可的松'', ''N-KDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松测定(尿液24h定量)'', ''NKDSCD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷'', ''L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷'', ''NL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-磷'', ''N-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷(P)测定(尿液24h定量)'', ''L(P)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定(24h)'', ''NLCD(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)测定(尿液)'', ''L(Cl)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯'', ''NL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-氯'', ''N-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)测定(尿液24h定量)'', ''L(Cl)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯定量(24h)'', ''NLDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁'', ''M'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁(Mg)测定(尿液)'', ''M(Mg)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁'', ''NM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-镁'', ''N-M'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁(Mg)测定(尿液24h定量)'', ''M(Mg)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁定量(24h)'', ''NMDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫固定电泳测定'', ''MYGDDYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(K)测定(尿液)'', ''N(K)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠'', ''NN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-钠'', ''N-N'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24h尿钠定量'', ''24hNNDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(K)测定(尿液24h定量)'', ''N(K)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠定量(24h)'', ''NNDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24h尿尿酸定量'', ''24hNNSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量(24h)'', ''NNSDL(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸(UA)测定(尿液24h定量)'', ''NS(UA)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸'', ''NNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-尿酸'', ''N-NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸(UA)'', ''NS(UA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''KAP'', ''KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白轻链测定(尿液)KAP'', ''MYQDBQLCD(NY)KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-KAP'', ''N-KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定-KAP'', ''NQLCD-KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LAM'', ''LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白轻链测定(尿液)LAM'', ''MYQDBQLCD(NY)LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-LAM'', ''N-LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定-LAM'', ''NQLCD-LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NA'', ''NNA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NE'', ''NNE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-去甲肾上腺素'', ''N-QJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素(NE)'', ''NQJSSXS(NE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿正肾上腺素'', ''NZSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素(24h)'', ''NQJSSXS(24h)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲肾上腺素(Na)测定(尿液24h定量)'', ''QJSSXS(Na)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮'', ''NQGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-醛固酮'', ''N-QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮(ALD)'', ''NQGT(ALD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)测定(尿液24h定量)'', ''QGT(ALD)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿A'', ''NA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿E'', ''NE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺激素'', ''NSSXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素'', ''NSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-肾上腺素'', ''N-SSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(AD)'', ''NSSXS(AD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素(AD)测定(尿液24h定量)'', ''SSXS(AD)CD(NY24hDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定量'', ''NTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定量测定'', ''NTDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-尿糖定量'', ''NY-NTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(尿液)(尿糖定量)'', ''PTT(Glu)CD(NY)(NTDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定性'', ''NTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定性试验'', ''NTDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-尿糖定性'', ''NY-NTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(尿液)(尿糖定性)'', ''PTT(Glu)CD(NY)(NTDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-微量白蛋白'', ''N-WLBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量白蛋白(mAlb)'', ''WLBDB(mAlb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量白蛋白(mAlb)测定(尿液)'', ''WLBDB(mAlb)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定'', ''NGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-总钙'', ''NY-ZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)测定(尿液)'', ''ZG(Ca)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''部分活化凝血活酶时间(APTT)'', ''BFHHNXHMSJ(APTT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化部分凝血活酶时间测定'', ''HHBFNXHMSJCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-部分活化凝血活酶时间'', ''NXGN-BFHHNXHMSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国际标准化比值'', ''GJBZHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国际标准化比值(INR)'', ''GJBZHBZ(INR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-国际标准化比值'', ''NXGN-GJBZHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化凝血时间(ACT)'', ''HHNXSJ(ACT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化凝血时间(ACT)测定'', ''HHNXSJ(ACT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化凝血时间(ACTH)'', ''HHNXSJ(ACTH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-活化凝血时间'', ''NXGN-HHNXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-凝血酶时间'', ''NXGN-NXMSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶时间(TT)'', ''NXMSJ(TT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶时间(TT)测定'', ''NXMSJ(TT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶时间测定(TT)'', ''NXMSJCD(TT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-凝血酶原时间'', ''NXGN-NXMYSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间(PT)'', ''NXMYSJ(PT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间测定 (PT)'', ''NXMYSJCD (PT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血酶原时间(PT)测定'', ''XJNXMYSJ(PT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-凝血酶原时间活动度'', ''NXGN-NXMYSJHDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原活动度'', ''NXMYHDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间活动度'', ''NXMYSJHDD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血酶原时间活动度测定'', ''XJNXMYSJHDDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-凝血时间'', ''NXGN-NXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血时间(CT)'', ''NXSJ(CT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血时间(CT)测定'', ''NXSJ(CT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血时间测定(CT)'', ''NXSJCD(CT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''FIB'', ''FIB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-纤维蛋白原'', ''NXGN-XWDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白原(FG)'', ''XWDBY(FG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白原测定'', ''XJXWDBYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白原测定(FG)'', ''XJXWDBYCD(FG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原'', ''NXMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血素'', ''NXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅱ(FⅡ:C)'', ''NXYZⅡ(FⅡ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅱ活性测定'', ''XJNXYZⅡHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅱ'', ''XQ-NXYZⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促凝血球蛋白原'', ''CNXQDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅴ(FⅤ:C)'', ''NXYZⅤ(FⅤ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅴ活性测定'', ''XJNXYZⅤHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅴ'', ''XQ-NXYZⅤ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易变因子'', ''YBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促凝血酶原激酶原'', ''CNXMYJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅助促凝血酶原激酶'', ''FZCNXMYJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅶ(FⅦ:C)'', ''NXYZⅦ(FⅦ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅶ活性测定'', ''XJNXYZⅦHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅶ'', ''XQ-NXYZⅦ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转变加速因子前体'', ''ZBJSYZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AHF-A'', ''AHF-A'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AHG-A'', ''AHG-A'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗血友病球蛋白A'', ''KXYBQDBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗血友病因子A'', ''KXYBYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅷ(FⅧ:C)'', ''NXYZⅧ(FⅧ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅷ活性测定'', ''XJNXYZⅧHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅷ'', ''XQ-NXYZⅧ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板辅助因子I'', ''XXBFZYZI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血友病因子Ⅷ'', ''XYBYZⅧ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AHF-B'', ''AHF-B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AHG-B'', ''AHG-B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗血友病球蛋白B'', ''KXYBQDBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗血友病因子B'', ''KXYBYZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅸ(FⅨ:C)'', ''NXYZⅨ(FⅨ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅸ活性测定'', ''XJNXYZⅨHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅸ'', ''XQ-NXYZⅨ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血友病因子Ⅸ'', ''XYBYZⅨ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅹ(FⅩ:C)'', ''NXYZⅩ(FⅩ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅹ活性测定'', ''XJNXYZⅩHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅹ'', ''XQ-NXYZⅩ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自体凝血酶原C'', ''ZTNXMYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗血友病球蛋白C'', ''KXYBQDBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅺ(FⅪ:C)'', ''NXYZⅪ(FⅪ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅺ活性测定'', ''XJNXYZⅪHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅺ'', ''XQ-NXYZⅪ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表面因子'', ''BMYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅻ(FⅫ:C)'', ''NXYZⅫ(FⅫ:C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆凝血因子Ⅻ活性测定'', ''XJNXYZⅫHXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-凝血因子Ⅻ'', ''XQ-NXYZⅫ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌检测'', ''NSJJKSJJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-浓缩集菌抗酸菌'', ''XQ-NSJJKSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌涂片抗酸染色镜检'', ''NSJJTPKSRSJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠杆菌科细菌培养'', ''CGJKXJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-肠杆菌科细菌'', ''NY-CGJKXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性链球菌培养'', ''HNXLQJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-化脓性链球菌'', ''NY-HNXLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌培养'', ''JHSPTQJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-金黄色葡萄球菌'', ''NY-JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-脓液培养'', ''NY-NYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-诺卡菌'', ''NY-NKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺卡菌培养'', ''NKJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-铜绿假单胞菌'', ''NY-TLJDBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌培养'', ''TLJDBJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-厌氧菌'', ''NY-YYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌培养'', ''YYJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(脓液)'', ''YBXJPY(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液-自定义'', ''NY-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫'', ''NYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液-疟原虫'', ''XY-NYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液疟原虫检查'', ''XYNYCJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠杆菌菌落数计数'', ''DCGJJLSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇测定'', ''PZCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆皮质醇测定'', ''XJPZCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-皮质醇'', ''XQ-PZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白(PA)'', ''QBDB(PA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白(PA)测定'', ''QBDB(PA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-前白蛋白'', ''XQ-QBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(白细胞计数)'', ''QLXY(BXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-白细胞计数'', ''QLXY-BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样体'', ''DFYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(淀粉样体)'', ''QLXY(DFYT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-淀粉样体'', ''QLXY-DFYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(红细胞计数)'', ''QLXY(HXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-红细胞计数'', ''QLXY-HXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂小体'', ''LLZXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''32999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(卵磷脂小体)'', ''QLXY(LLZXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-卵磷脂小体'', ''QLXY-LLZXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)'', ''QT(JZ、DC、XJ、AXB、KLXB、NXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(其他)'', ''QLXY(QT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-其他'', ''QLXY-QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液(粘液)'', ''QLXY(ZY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液-粘液'', ''QLXY-ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白'', ''QXXSBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白(IMA)'', ''QXXSBDB(IMA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白(IMA)测定'', ''QXXSBDB(IMA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白测定（IMA）'', ''QXXSBDBCD（IMA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水细胞-染色体分析'', ''FSXB-RSTFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水细胞染色体检查'', ''FSXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓细胞-染色体分析'', ''GSXB-RSTFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓细胞染色体检查'', ''GSXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细胞染色体检查'', ''PYXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析(腹水细胞)'', ''RSTFX(FSXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析(骨髓细胞)'', ''RSTFX(GSXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体检查'', ''RSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛细胞染色体检查'', ''RMXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水细胞染色体检查'', ''XSXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血细胞染色体检查'', ''XXBRSTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荧光染色体原位杂交检查'', ''YGRSTYWZJJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾蛋白(HE4)'', ''FZDB(HE4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人附睾分泌蛋白(HE4)测定'', ''RFZFMDB(HE4)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-附睾蛋白'', ''XQ-FZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HIV抗体'', ''HIVKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病抗体测定'', ''AZBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒抗体测定'', ''RLMYQXBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫缺陷病毒抗体'', ''RMYQXBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫缺陷病毒抗体(抗HIV)测定'', ''RMYQXBDKT(KHIV)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''P24抗原'', ''P24KY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫缺陷病毒P24抗原测定'', ''RMYQXBDP24KYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-P24抗原'', ''XQ-P24KY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病HIV-1型抗体'', ''AZBHIV-1XKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗HIV-1'', ''KHIV-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗HIV-1'', ''XQ-KHIV-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液HIV抗体'', ''NYHIVKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液艾滋病抗体测定'', ''NYAZBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-抗HIV-1'', ''NY-KHIV-1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液人类免疫缺陷病毒Ⅰ型(HIV-I)抗体测定'', ''NYRLMYQXBDⅠX(HIV-I)KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液人类免疫缺陷病毒测定'', ''NYRLMYQXBDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗人乳头瘤病毒抗体(HPV-Ab)'', ''KRRTLBDKT(HPV-Ab)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒抗体测定'', ''RRTLBDKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗人乳头瘤病毒抗体'', ''XQ-KRRTLBDKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒分型'', ''RRTLBDFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒基因'', ''RRTLBDJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒基因分型检测'', ''RRTLBDJYFXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒(HPV)核酸检测'', ''RRTLBD(HPV)HSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒脱氧核糖核酸非扩增定性检测'', ''RRTLBDTYHTHSFKZDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒DNA检测'', ''RRTLBDDNAJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒脱氧核糖核酸扩增检测'', ''RRTLBDTYHTHSKZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PAPP'', ''PAPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠特异糖蛋白A测定'', ''RSTYTDBACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水乳糜试验'', ''FSRMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-乳糜定性'', ''N-RMDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿乳糜定性试验'', ''NRMDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿乳糜检查'', ''NRMJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜定性试验(尿液)'', ''RMDXSY(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜定性试验'', ''RMDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验(各种体液)'', ''RMSY(GZTY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液乳糜试验'', ''TYRMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水乳糜试验'', ''XSRMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚红排泄试验(PSP)'', ''FHPXSY(PSP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚磺太排泄试验'', ''FHTPXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-酚红排泄试验'', ''SGN-FHPXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱抑素(Cys-C)'', ''ZYS(Cys-C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱抑素(Cys-C)测定(血清)'', ''ZYS(Cys-C)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱抑素C'', ''ZYSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血胱抑素'', ''QXZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-胱抑素'', ''SGN-ZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胱抑素'', ''XQZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胱抑素C测定'', ''XQZYSCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)测定(血清)'', ''JZ(Cr)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐测定'', ''JZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血肌酐'', ''QXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-肌酐'', ''SGN-JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Cr'', ''XQCr'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌酐'', ''XQJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肝清除率'', ''JGQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐清除率'', ''JZQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内生肌酐清除率(CCr)'', ''NSJZQCL(CCr)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内生肌酐清除率(CCr)测定(血清)'', ''NSJZQCL(CCr)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血内生肌酐清除率'', ''QXNSJZQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-肌酐清除率'', ''SGN-JZQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清内生肌酐清除率'', ''XQNSJZQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α1微球蛋白'', ''α1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α1微球蛋白(α1-MG)测定(尿液)'', ''α1WQDB(α1-MG)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α1MG'', ''Nα1MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α1微球蛋白'', ''Nα1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-α1微球蛋白'', ''NY-α1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α1微量球蛋白'', ''Nα1WLQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α1微量球蛋白测定'', ''Nα1WLQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液α1MG'', ''NYα1MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2微球蛋白(β2-MG)测定(尿液)'', ''β2WQDB(β2-MG)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿β2微球蛋白'', ''Nβ2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿β2-微球蛋白（β2-MG）'', ''Nβ2-WQDB（β2-MG）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿β2微球蛋白测定'', ''Nβ2WQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液β2-微球蛋白'', ''NYβ2-WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-β2微球蛋白'', ''NY-β2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白定性试验'', ''NDBDXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液蛋白定性'', ''NYDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿蛋白定性'', ''SGN-NDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素(Urea)测定(血清)'', ''NS(Urea)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血尿素'', ''QXNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿素'', ''SGN-NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿素氮'', ''XNSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清尿素'', ''XQNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮(BUN)'', ''NSD(BUN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮(BUN)测定'', ''NSD(BUN)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮测定'', ''NSDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血尿素氮'', ''QXNSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿素氮'', ''SGN-NSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清尿素氮'', ''XQNSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BUN/Cr'', ''BUN/Cr'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮/肌酐'', ''NSD/JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿素氮/肌酐比值'', ''SGN-NSD/JZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清尿素氮/肌酐'', ''XQNSD/JZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素清除率'', ''NSQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素清除率测定'', ''NSQCLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿素清除率'', ''SGN-NSQCL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''URIC'', ''URIC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸(UA)测定(血清)'', ''NS(UA)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血尿酸'', ''QXNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-尿酸'', ''SGN-NS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清UA'', ''XQUA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清尿酸'', ''XQNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清尿酸测定'', ''XQNSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-肾小球滤过率'', ''SGN-SXQLGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾小球滤过率(GFR)'', ''SXQLGL(GFR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾小球滤过率测定'', ''SXQLGLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能-选择性蛋白尿指数'', ''SGN-XZXDBNZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''选择性蛋白尿指数(SPI)'', ''XZXDBNZS(SPI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α1微球蛋白(α1-MG)测定(血清)'', ''α1WQDB(α1-MG)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血α1微球蛋白'', ''QXα1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α1微球蛋白'', ''Xα1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α1-微球蛋白'', ''Xα1-WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α1微球蛋白(α1-MG)'', ''Xα1WQDB(α1-MG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清α1微球蛋白'', ''XQα1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α1微球蛋白'', ''XQ-α1WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清α1微球蛋白(α1-MG)'', ''XQα1WQDB(α1-MG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液α1-微球蛋白'', ''XYα1-WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2-MG'', ''β2-MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2微量球蛋白'', ''β2WLQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2微球蛋白'', ''β2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2-微球蛋白'', ''β2-WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2微球蛋白(β2-MG)测定(血清)'', ''β2WQDB(β2-MG)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β2MG'', ''Xβ2MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β2微球蛋白'', ''Xβ2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β2微球蛋白（β2-MG）'', ''Xβ2WQDB（β2-MG）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β2-微球蛋白（β2-MG）'', ''Xβ2-WQDB（β2-MG）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清β2-微球蛋白'', ''XQβ2-WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β2微球蛋白'', ''XQ-β2WQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺激素'', ''SSXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素(AD)'', ''SSXS(AD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素(AD)测定'', ''SSXS(AD)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素测定'', ''SSXSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血A'', ''XA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血E'', ''XE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肾上腺素'', ''XQ-SSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肾上腺素(AD)'', ''XQSSXS(AD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)(立位)'', ''QGT(ALD)(LW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(立位)'', ''QGT(LW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(立位)醛固酮'', ''QGTSSCDWLWSY(LW)QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-立位-醛固酮'', ''XQ-LW-QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)(卧位)'', ''QGT(ALD)(WW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(卧位)'', ''QGT(WW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(卧位)醛固酮'', ''QGTSSCDWLWSY(WW)QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-卧位-醛固酮'', ''XQ-WW-QGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(立位)肾素'', ''QGTSSCDWLWSY(LW)SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素(立位)'', ''SS(LW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-立位-肾素'', ''XQ-LW-SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(卧位)肾素'', ''QGTSSCDWLWSY(WW)SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素(卧位)'', ''SS(WW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-卧位-肾素'', ''XQ-WW-SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(立位)血管紧张素'', ''QGTSSCDWLWSY(LW)XGJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素(立位)'', ''XGJZS(LW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-立位-血管紧张素'', ''XQ-LW-XGJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮肾素测定卧立位试验(卧位)血管紧张素'', ''QGTSSCDWLWSY(WW)XGJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素(卧位)'', ''XGJZS(WW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-卧位-血管紧张素'', ''XQ-WW-XGJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液渗透压'', ''JYSTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查(精液)'', ''STYJC(JY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液渗透压'', ''NYSTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查(尿液)'', ''STYJC(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压'', ''STY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液渗透压'', ''XYSTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C抵抗(APCR)'', ''DBCDK(APCR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-蛋白C抵抗'', ''XQ-DBCDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C活性(PC)'', ''DBCHX(PC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆蛋白C活性(PC)测定'', ''XJDBCHX(PC)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆蛋白C活性测定(PC)'', ''XJDBCHXCD(PC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-蛋白C活性'', ''XQ-DBCHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C抗原(PC:Ag)'', ''DBCKY(PC:Ag)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆蛋白C抗原(PC:Ag)测定'', ''XJDBCKY(PC:Ag)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-蛋白C抗原'', ''XQ-DBCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白S含量(PS:Ag)'', ''DBSHL(PS:Ag)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆蛋白S含量(PS:Ag)测定'', ''XJDBSHL(PS:Ag)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-蛋白S含量'', ''XQ-DBSHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶复合物(TAT)'', ''KNXMFHW(TAT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶抗凝血酶Ⅲ复合物测定(TAT)'', ''NXMKNXMⅢFHWCD(TAT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶抗凝血酶复合物(TAT)测定'', ''NXMKNXMFHW(TAT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗凝血酶复合物'', ''XQ-KNXMFHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶活性(AT:A)'', ''KNXMHX(AT:A)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆抗凝血酶Ⅲ活性测定(AT—ⅢA)'', ''XJKNXMⅢHXCD(AT—ⅢA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆抗凝血酶活性(AT:A)测定'', ''XJKNXMHX(AT:A)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗凝血酶活性'', ''XQ-KNXMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶抗原(AT:Ag)'', ''KNXMKY(AT:Ag)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆抗凝血酶Ⅲ抗原测定(AT—ⅢAg)'', ''XJKNXMⅢKYCD(AT—ⅢAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆抗凝血酶抗原(AT:Ag)测定'', ''XJKNXMKY(AT:Ag)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗凝血酶抗原'', ''XQ-KNXMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-生长激素'', ''NY-SCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素(GH)'', ''SCJS(GH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素(GH)测定(尿液)'', ''SCJS(GH)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素(GH)测定(血清)'', ''SCJS(GH)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-生长激素'', ''XQ-SCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液-视黄醇结合蛋白'', ''NJY-SHCJHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-视黄醇结合蛋白'', ''N-SHCJHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白(RBP)'', ''SHCJHDB(RBP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白(RBP)测定(脑脊液)'', ''SHCJHDB(RBP)CD(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白(RBP)测定(尿液)'', ''SHCJHDB(RBP)CD(NY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白(RBP)测定(血清)'', ''SHCJHDB(RBP)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-视黄醇结合蛋白'', ''XQ-SHCJHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清视黄醇结合蛋白测定'', ''XQSHCJHDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素(LP)'', ''SS(LP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素测定'', ''SSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-瘦素'', ''XQ-SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓苏丹黑B染色'', ''GSSDHBRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓-苏丹黑染色'', ''GS-SDHRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查(骨髓)'', ''SDHRSJC(GS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌培养'', ''AQLQJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-A群链球菌'', ''T-AQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌'', ''BHBZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌培养'', ''BHBZGJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-白喉棒状杆菌'', ''T-BHBZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳鲍特菌'', ''BRKBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳鲍特菌培养'', ''BRKBTJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-百日咳鲍特菌'', ''T-BRKBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯菌'', ''FYKLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯菌培养'', ''FYKLBJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-肺炎克雷伯菌'', ''T-FYKLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌培养'', ''FYLQJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-肺炎链球菌'', ''T-FYLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假单胞菌属'', ''JDBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假单胞菌属培养'', ''JDBJSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-假单胞菌属'', ''T-JDBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母样真菌'', ''JMYZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母样真菌培养'', ''JMYZJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-酵母样真菌'', ''T-JMYZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌培养'', ''JHFZGJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-结核分枝杆菌'', ''T-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-金黄色葡萄球菌'', ''T-JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡他莫拉菌培养'', ''KTMLJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-卡他莫拉菌'', ''T-KTMLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌培养'', ''LGSXGJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-流感嗜血杆菌'', ''T-LGSXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-诺卡菌'', ''T-NKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-痰培养'', ''T-TPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(痰)'', ''YBXJPY(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-自定义'', ''T-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰-痰涂片'', ''T-TTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查(痰)'', ''YBXJTPJC(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-革兰染色'', ''TY-GLRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液革兰氏染色'', ''TYGLSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫'', ''JSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-寄生虫'', ''TY-JSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液镜检(寄生虫)'', ''TYJJ(JSC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-结晶'', ''TY-JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液镜检(结晶)'', ''TYJJ(JJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液抗酸染色'', ''TYKSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-抗酸染色'', ''TY-KSRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液其他'', ''TYQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-其他'', ''TY-QT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色、性状、血液'', ''S、XZ、XY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液外观'', ''TYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-外观'', ''TY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液镜检(细胞)'', ''TYJJ(XB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液-细胞'', ''TY-XB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞'', ''XB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后1h血糖(Glu)'', ''CH1hXT(Glu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(血清)(餐后1h血糖)'', ''PTT(Glu)CD(XQ)(CH1hXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-餐后1小时血糖'', ''XQ-CH1XSXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2h血糖(Glu)'', ''CH2hXT(Glu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2小时血糖'', ''CH2XSXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(血清)(餐后2h血糖)'', ''PTT(Glu)CD(XQ)(CH2hXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-餐后2小时血糖'', ''XQ-CH2XSXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖(Glu)'', ''KFXT(Glu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(血清)(空腹血糖)'', ''PTT(Glu)CD(XQ)(KFXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-空腹血糖'', ''XQ-KFXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(Glu)测定(血清)(随机血糖)'', ''PTT(Glu)CD(XQ)(SJXT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''随机血糖'', ''SJXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''随机血糖(Glu)'', ''SJXT(Glu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-随机血糖'', ''XQ-SJXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化白蛋白'', ''THBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化白蛋白(GA)'', ''THBDB(GA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化白蛋白(GA)测定'', ''THBDB(GA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖化白蛋白'', ''XQ-THBDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血红蛋白'', ''THXHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血红蛋白(GHb)'', ''THXHDB(GHb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血红蛋白(HbA1c)测定'', ''THXHDB(HbA1c)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖化血红蛋白'', ''XQ-THXHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖胺'', ''GTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血清蛋白(GSP)'', ''THXQDB(GSP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血清蛋白(GSP)测定'', ''THXQDB(GSP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆-果糖胺'', ''XJ-GTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清果糖胺测定'', ''XQGTACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖化血清蛋白'', ''XQ-THXQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓铁染色'', ''GSTRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓-铁染色'', ''GS-TRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓铁染色检查'', ''GSTRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液铁染色'', ''XYTRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液-铁染色'', ''XY-TRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液铁染色检查'', ''XYTRSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸(Hcy)'', ''TXBZAS(Hcy)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸(Hcy)测定'', ''TXBZAS(Hcy)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-同型半胱氨酸'', ''XQ-TXBZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白(CER)'', ''TLDB(CER)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白测定(CER)'', ''TLDBCD(CER)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-铜蓝蛋白'', ''XQ-TLDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘(I)'', ''D(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘(I)测定(血清）'', ''D(I)CD(XQ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘测定'', ''DCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血碘'', ''QXD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清I'', ''XQI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清碘'', ''XQD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-碘'', ''XQWLYS-D'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镉(Cd)'', ''Z(Cd)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镉(Cd)测定(血清)'', ''Z(Cd)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镉测定'', ''ZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血镉'', ''QXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Cd'', ''XQCd'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清镉'', ''XQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-镉'', ''XQWLYS-Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铬(Cr)'', ''G(Cr)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铬(Cr)测定(血清)'', ''G(Cr)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铬测定'', ''GCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血铬'', ''QXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清铬'', ''XQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-铬'', ''XQWLYS-G'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞(Hg)'', ''G(Hg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞(Hg)测定(血清)'', ''G(Hg)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞测定'', ''GCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血汞'', ''QXG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Hg'', ''XQHg'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清汞'', ''XQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-汞'', ''XQWLYS-G'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锂(Li)'', ''Z(Li)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锂(Li)测定(血清)'', ''Z(Li)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锂测定'', ''ZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血锂'', ''QXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血锂'', ''XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Li'', ''XQLi'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清锂'', ''XQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-锂'', ''XQWLYS-Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铅(Pb)'', ''Q(Pb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铅(Pb)测定(血清)'', ''Q(Pb)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铅测定'', ''QCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血铅'', ''QXQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血铅测定'', ''QXQCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Pb'', ''XQPb'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清铅'', ''XQQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-铅'', ''XQWLYS-Q'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血铁'', ''QXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁(Fe)测定(血清)'', ''T(Fe)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁测定'', ''TCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Fe'', ''XQFe'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清铁'', ''XQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-铁'', ''XQWLYS-T'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血铜'', ''QXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜(Cu)测定(血清)'', ''T(Cu)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜测定'', ''TCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Cu'', ''XQCu'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清铜'', ''XQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-铜'', ''XQWLYS-T'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血硒'', ''QXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒(Se)'', ''X(Se)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒(Se)测定(血清)'', ''X(Se)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒测定'', ''XCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Se'', ''XQSe'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-硒'', ''XQWLYS-X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清硒'', ''XQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血锌'', ''QXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锌(Zn)测定(血清)'', ''X(Zn)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锌测定'', ''XCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清Zn'', ''XQZn'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清微量元素-锌'', ''XQWLYS-X'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清锌'', ''XQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素A(VitA)测定'', ''XQWSSA(VitA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1(VitB1)测定'', ''WSSB1(VitB1)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素B1(VitB1)测定'', ''XQWSSB1(VitB1)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血维生素B12'', ''QXWSSB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12(VitB12)'', ''WSSB12(VitB12)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12(VitB12)测定'', ''WSSB12(VitB12)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12测定'', ''WSSB12CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素B12'', ''XQWSSB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-维生素B12'', ''XQ-WSSB12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C(VitC)测定'', ''WSSC(VitC)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆维生素C(VitC)测定'', ''XJWSSC(VitC)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25(OH)2D'', ''1,25(OH)2D'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1，25-(OH)2D'', ''1，25-(OH)2D'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25-羟维生素D3'', ''1,25-ZWSSD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25双羟维生素D'', ''1,25SZWSSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25双羟维生素D[1,25(OH)2D]测定'', ''1,25SZWSSD[1,25(OH)2D]CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25双羟维生素D测定'', ''1,25SZWSSDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双羟维生素D'', ''SZWSSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25-OH-VD'', ''25-OH-VD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D[25(OH)D]'', ''25ZJWSSD[25(OH)D]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D[25(OH)D]测定'', ''25ZJWSSD[25(OH)D]CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D3'', ''25ZJWSSD3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D3[25(OH)D]'', ''25ZJWSSD3[25(OH)D]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D3[25(OH)D3]测定'', ''25ZJWSSD3[25(OH)D3]CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25-羟基维生素D测定'', ''25-ZJWSSDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-25羟基维生素D'', ''XQ-25ZJWSSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2(VitD2)测定'', ''WSSD2(VitD2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原I'', ''WDBMYI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原PG I'', ''WDBMYPG I'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-I-胃蛋白酶原I'', ''XQ-I-WDBMYI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原II'', ''WDBMYII'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原PG II'', ''WDBMYPG II'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-II-胃蛋白酶原II'', ''XQ-II-WDBMYII'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原PG I/II'', ''WDBMYPG I/II'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原PGI/II比值'', ''WDBMYPGI/IIBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原比值'', ''WDBMYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胃蛋白酶原PGI/II比值'', ''XQ-WDBMYPGI/IIBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素'', ''WMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胃泌素'', ''XQ-WMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BAO/MAO'', ''BAO/MAO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基础泌酸量/最大泌酸量'', ''JCMSL/ZDMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-BAO/MAO'', ''WY-BAO/MAO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高峰泌酸量(PAO)'', ''GFMSL(PAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-高峰泌酸量'', ''WY-GFMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五肽胃泌素胃酸分泌试验(高峰泌酸量PAO)'', ''WZWMSWSFMSY(GFMSLPAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''最大胃酸分泌量测定'', ''ZDWSFMLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基础泌酸量(BAO)'', ''JCMSL(BAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基础胃酸分泌量'', ''JCWSFML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-基础泌酸量'', ''WY-JCMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五肽胃泌素胃酸分泌试验(基础泌酸量BAO)'', ''WZWMSWSFMSY(JCMSLBAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-最大泌酸量'', ''WY-ZDMSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五肽胃泌素胃酸分泌试验(最大泌酸量MAO)'', ''WZWMSWSFMSY(ZDMSLMAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''最大泌酸量(MAO)'', ''ZDMSL(MAO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌细胞'', ''AXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-癌细胞'', ''WY-AXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液镜检(癌细胞)'', ''WYJJ(AXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞'', ''BXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-白细胞'', ''WY-BXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液镜检(白细胞)'', ''WYJJ(BXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆汁测定'', ''DZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液胆汁测定'', ''WYDZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-胆汁测定'', ''WY-DZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞'', ''HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-红细胞'', ''WY-HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液镜检(红细胞)'', ''WYJJ(HXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液量'', ''WYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-量'', ''WY-L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏液'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-黏液'', ''WY-ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液粘液'', ''WYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液镜检(上皮细胞)'', ''WYJJ(SPXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-上皮细胞'', ''WY-SPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液酸碱度'', ''WYSJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-酸碱度'', ''WY-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液外观'', ''WYWG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-外观'', ''WY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液镜检(细菌)'', ''WYJJ(XJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-细菌'', ''WY-XJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌'', ''XJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细菌培养'', ''NJYXJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养(脑脊液)'', ''WJTYXJPY(NJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养(胸腔积液)'', ''WJTYXJPY(XQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液细菌培养'', ''XQJYXJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝DNA定量'', ''WGDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎DNA定量'', ''WXGYDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎病毒核糖核酸扩增定量检测'', ''WXGYBDHTHSKZDLJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎病毒脱氧核糖核酸定量'', ''WXGYBDTYHTHSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-戊肝DNA定量'', ''XQ-WGDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝DNA定性'', ''WGDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎DNA定性'', ''WXGYDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎病毒核糖核酸扩增定性检测'', ''WXGYBDHTHSKZDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎病毒脱氧核糖核酸定性'', ''WXGYBDTYHTHSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-戊肝DNA定性'', ''XQ-WGDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝抗体(Anti-HEV)IgG'', ''WGKT(Anti-HEV)IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎抗体'', ''WXGYKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎抗体(抗HEV)测定(IgG)'', ''WXGYKT(KHEV)CD(IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-戊肝抗体'', ''XQ-WGKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝抗体(Anti-HEV)IgM'', ''WGKT(Anti-HEV)IgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎抗体(抗HEV)测定(IgM)'', ''WXGYKT(KHEV)CD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳杆菌抗体'', ''BRKGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(百日咳杆菌)'', ''XJKTCD(BRKGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-百日咳杆菌抗体'', ''XQ-BRKGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞增多性李斯特菌抗体'', ''DHXBZDXLSTJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(单核细胞增多性李斯特菌)'', ''XJKTCD(DHXBZDXLSTJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-单核细胞增多性李斯特菌抗体'', ''XQ-DHXBZDXLSTJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯杆菌抗体'', ''FYKLBGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(肺炎克雷伯杆菌)'', ''XJKTCD(FYKLBGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肺炎克雷伯杆菌抗体'', ''XQ-FYKLBGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副百日咳杆菌抗体'', ''FBRKGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(副百日咳杆菌)'', ''XJKTCD(FBRKGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-副百日咳杆菌抗体'', ''XQ-FBRKGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠弯曲菌抗体'', ''JCWQJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(结肠弯曲菌)'', ''XJKTCD(JCWQJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-结肠弯曲菌抗体'', ''XQ-JCWQJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌抗体'', ''JHGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(结核杆菌)'', ''XJKTCD(JHGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-结核杆菌抗体'', ''XQ-JHGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌抗体抗体'', ''JTJKTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(军团菌)'', ''XJKTCD(JTJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-军团菌抗体抗体'', ''XQ-JTJKTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠弯曲菌抗体'', ''KCWQJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(空肠弯曲菌)'', ''XJKTCD(KCWQJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-空肠弯曲菌抗体'', ''XQ-KCWQJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌抗体'', ''LGSXGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(流感嗜血杆菌)'', ''XJKTCD(LGSXGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-流感嗜血杆菌抗体'', ''XQ-LGSXGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎奈瑟菌抗体'', ''NMYNSJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(脑膜炎奈瑟菌)'', ''XJKTCD(NMYNSJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-脑膜炎奈瑟菌抗体'', ''XQ-NMYNSJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风杆菌抗体'', ''PSFGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(破伤风杆菌)'', ''XJKTCD(PSFGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-破伤风杆菌抗体'', ''XQ-PSFGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌抗体测定'', ''JTJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(小肠结肠炎耶尔森氏菌)'', ''XJKTCD(XCJCYYESSJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠结肠炎耶尔森氏菌抗体'', ''XCJCYYESSJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-小肠结肠炎耶尔森氏菌抗体'', ''XQ-XCJCYYESSJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(幽门螺杆菌)'', ''XJKTCD(YMLGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-幽门螺杆菌抗体'', ''XQ-YMLGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗体'', ''YMLGJKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗体测定'', ''YMLGJKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌抗原检测'', ''JHGJKYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H2O2'', ''H2O2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H2O2(阴道分泌物)'', ''H2O2(YDFMW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-H2O2'', ''YDFMW-H2O2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞酯酶'', ''BXBZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞酯酶(阴道分泌物)'', ''BXBZM(YDFMW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-白细胞酯酶'', ''YDFMW-BXBZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液酸酐酶活性'', ''TYSZMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液酸酐酶活性(阴道分泌物)'', ''TYSZMHX(YDFMW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-唾液酸酐酶活性'', ''YDFMW-TYSZMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BV快速检测'', ''BVKSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BV蓝快速检测'', ''BVLKSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速BV检测'', ''KSBVJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎快速检测'', ''XJXYDYKSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''D-二聚体'', ''D-EJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''D-二聚体检测'', ''D-EJTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能-D-二聚体'', ''NXGN-D-EJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆D-二聚体(D-Dimer)测定'', ''XJD-EJT(D-Dimer)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-D-二聚体'', ''XQ-D-EJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗纤溶酶复合物'', ''KXRMFHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆-抗纤溶酶复合物'', ''XJ-KXRMFHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤溶酶-抗纤溶酶复合物(PAP)测定'', ''XJXRM-KXRMFHW(PAP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤溶酶-抗纤溶酶复合物测定 (PAP)'', ''XJXRM-KXRMFHWCD (PAP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白(原)降解产物(FDP)测定'', ''XWDB(Y)JJCW(FDP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白(原)降解产物测定(FDP)'', ''XWDB(Y)JJCWCD(FDP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白降解产物(FDP)'', ''XWDBJJCW(FDP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白原降解产物'', ''XWDBYJJCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-纤维蛋白降解产物'', ''XQ-XWDBJJCW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆-α2纤溶酶抑制物活性'', ''XJ-α2XRMYZWHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性'', ''XJα2XRMYZWHX(α2-PI:A)CDα2XRMYZWHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆α2纤溶酶抑制物活性测定 (α2—PIA)'', ''XJα2XRMYZWHXCD (α2—PIA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽BP15-42'', ''XJXWDBZBP15-42'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆-纤维蛋白肽BP15-42'', ''XJ-XWDBZBP15-42'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽BP15-42检测'', ''XJXWDBZBP15-42JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽B检测(BP15-42)'', ''XJXWDBZBJC(BP15-42)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽Bβ1-42'', ''XJXWDBZBβ1-42'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆-纤维蛋白肽Bβ1-42'', ''XJ-XWDBZBβ1-42'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽Bβ1-42检测'', ''XJXWDBZBβ1-42JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽B检测(Bβ1-42)'', ''XJXWDBZBJC(Bβ1-42)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽B检测'', ''XJXWDBZBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3P实验'', ''3PSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3P试验'', ''3PSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆鱼精蛋白副凝(3P)试验'', ''XJYJDBFN(3P)SY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆鱼精蛋白副凝试验 (3P)'', ''XJYJDBFNSY (3P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血浆蛋白副凝试验'', ''XQ-XJDBFNSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-优球蛋白溶解时间'', ''XQ-YQDBRJSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优球蛋白溶解时间'', ''YQDBRJSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优球蛋白溶解时间(ELT)测定'', ''YQDBRJSJ(ELT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优球蛋白溶解时间测定 (ELT)'', ''YQDBRJSJCD (ELT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗腺病毒抗体IgG(ADV-IgG)'', ''KXBDKTIgG(ADV-IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定IgG'', ''XBDKTCDIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-腺病毒抗体IgG'', ''XQ-XBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗腺病毒抗体IgM(ADV-IgM)'', ''KXBDKTIgM(ADV-IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定IgM'', ''XBDKTCDIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-腺病毒抗体IgM'', ''XQ-XBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿-香草扁桃酸'', ''N-XCBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿香草苦杏仁酸(VMA)测定'', ''NXCKXRS(VMA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-白细胞'', ''XBJY-BXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(白细胞)'', ''XBJYCG(BXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-比重'', ''XBJY-BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(比重)'', ''XBJYCG(BZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(葡萄糖定量)'', ''XBJYCG(PTTDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-葡萄糖定量'', ''XBJY-PTTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(乳酸脱氢酶)'', ''XBJYCG(RSTQM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-乳酸脱氢酶'', ''XBJY-RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PH'', ''PH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(酸碱度)'', ''XBJYCG(SJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-酸碱度'', ''XBJY-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(透明度)'', ''XBJYCG(TMD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-透明度'', ''XBJY-TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规(外观)'', ''XBJYCG(WG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-外观'', ''XBJY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-心包积液培养'', ''XBJY-XBJYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(心包积液)'', ''YBXJPY(XBJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-自定义'', ''XBJY-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)测定(心包积液)'', ''BDB(Alb)CD(XBJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-白蛋白'', ''XBJY-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液白蛋白测定'', ''XBJYBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)测定(心包积液)'', ''XZTAM(ADA)CD(XBJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液-腺苷脱氨酶'', ''XBJY-XZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液腺苷脱氨酶测定'', ''XQJYXZTAMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质（心包积液）'', ''DBZ（XBJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物（心包积液）'', ''LHW（XBJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖（心包积液）'', ''PTT（XBJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化常规检查'', ''XBJYSHCGJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白Ⅰ(TnI)'', ''JGDBⅠ(TnI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白Ⅰ(TnI)测定'', ''JGDBⅠ(TnI)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌钙蛋白Ⅰ'', ''XQ-JGDBⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌钙蛋白Ⅰ测定'', ''XQJGDBⅠCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白T(TnT)'', ''JGDBT(TnT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白T(TnT)测定'', ''JGDBT(TnT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌肌钙蛋白'', ''XJJGDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌钙蛋白T'', ''XQ-JGDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌钙蛋白T测定'', ''XQJGDBTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶CKMB'', ''JSJMTGMCKMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶CK-MB'', ''JSJMTGMCK-MB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶测定'', ''JSJMTGMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸磷酸激酶同工酶CK-MB'', ''JSLSJMTGMCK-MB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌酸激酶同工酶CK-MB'', ''XQ-JSJMTGMCK-MB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌红蛋白(Mb)测定'', ''JHDB(Mb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌红蛋白'', ''XQ-JHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌红蛋白(Mb)'', ''XQJHDB(Mb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌红蛋白测定'', ''XQJHDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CK-MB/CK'', ''CK-MB/CK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-CK-MB/CK'', ''XQ-CK-MB/CK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-羟丁酸脱氢酶'', ''α-ZDSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-羟丁酸脱氢酶(α-HBD)'', ''α-ZDSTQM(α-HBD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α羟基丁酸脱氢酶(α-HBD)测定'', ''αZJDSTQM(α-HBD)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α-羟丁酸脱氢酶'', ''XQ-α-ZDSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HBDH'', ''HBDH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-HBDH'', ''α-HBDH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α羟基丁酸脱氢酶(α-HBD)'', ''αZJDSTQM(α-HBD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α羟基丁酸脱氢酶'', ''XQ-αZJDSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶'', ''JSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶(CK)'', ''JSJM(CK)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶(CK)测定'', ''JSJM(CK)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸磷酸激酶'', ''JSLSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌酸激酶'', ''XQ-JSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶'', ''JSJMTGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸磷酸激酶同工酶'', ''JSLSJMTGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌酸激酶同工酶'', ''XQ-JSJMTGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CK-Mbmass'', ''CK-Mbmass'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CKMB质量测定'', ''CKMBZLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶-MB同工酶质量(CK-MBmass)测定'', ''JSJM-MBTGMZL(CK-MBmass)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶(CK-MBmass)'', ''JSJMTGM(CK-MBmass)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肌酸激酶同工酶质量'', ''XQ-JSJMTGMZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶测定'', ''RSTQMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乳酸脱氢酶'', ''XQ-RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ABO血型系统抗体致新生儿溶血病检测'', ''ABOXXXTKTZXSERXBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Rh血型系统抗体致新生儿溶血病检测'', ''RhXXXTKTZXSERXBJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮-雌二醇结合球蛋白'', ''ZT-CECJHQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)测定'', ''XJSJHQDB(SHBG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白测定'', ''XJSJHQDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-性激素结合球蛋白'', ''XQ-XJSJHQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇(E2)'', ''CEC(E2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇(E2)测定'', ''CEC(E2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇测定'', ''CECCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-雌二醇'', ''XQ-CEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清雌二醇(E2)测定'', ''XQCEC(E2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促黄体生成素(LH)'', ''CHTSCS(LH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促黄体生成素(LH)测定'', ''CHTSCS(LH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促黄体生成素测定'', ''CHTSCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-促黄体生成素'', ''XQ-CHTSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清促黄体生成素测定'', ''XQCHTSCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮(T)'', ''ZT(T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮(T)测定'', ''ZT(T)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮测定'', ''ZTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸酮'', ''ZWT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾甾酮'', ''ZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-睾酮'', ''XQ-ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清睾酮(T)测定'', ''XQZT(T)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促卵泡刺激素'', ''CLPCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促卵泡激素'', ''CLPJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促卵泡生成激素(FSH)'', ''CLPSCJS(FSH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促卵泡生成激素测定'', ''CLPSCJSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵泡刺激素(FSH)'', ''LPCJS(FSH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵泡刺激素(FSH)测定'', ''LPCJS(FSH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-卵泡刺激素'', ''XQ-LPCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清卵泡刺激素(FSH)测定'', ''XQLPCJS(FSH)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''催乳素'', ''CRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌乳素(PRL)'', ''MRS(PRL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌乳素(PRL)测定'', ''MRS(PRL)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-泌乳素'', ''XQ-MRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清泌乳素测定'', ''XQMRSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体激素'', ''HTJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-孕酮'', ''XQ-YT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清孕酮(P)测定'', ''XQYT(P)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕酮(P)'', ''YT(P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕酮(P)测定'', ''YT(P)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕酮测定'', ''YTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕酮激素'', ''YTJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-比重'', ''XQJY-BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(比重)'', ''XQJYCG(BZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(蛋白定量)'', ''XQJYCG(DBDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-蛋白定量'', ''XQJY-DBDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(结核分枝杆菌)'', ''XQJYCG(JHFZGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-结核分枝杆菌'', ''XQJY-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌'', ''JTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(军团菌)'', ''XQJYCG(JTJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-军团菌'', ''XQJY-JTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(黏蛋白定性)'', ''XQJYCG(ZDBDX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-黏蛋白定性'', ''XQJY-ZDBDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝固性'', ''NGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(凝固性)'', ''XQJYCG(NGX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-凝固性'', ''XQJY-NGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(葡萄糖定量)'', ''XQJYCG(PTTDL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-葡萄糖定量'', ''XQJY-PTTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶'', ''RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(乳酸脱氢酶)'', ''XQJYCG(RSTQM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-乳酸脱氢酶'', ''XQJY-RSTQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水乳酸脱氢酶测定'', ''XSRSTQMCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(酸碱度)'', ''XQJYCG(SJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-酸碱度'', ''XQJY-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(透明度)'', ''XQJYCG(TMD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-透明度'', ''XQJY-TMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(外观)'', ''XQJYCG(WG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-外观'', ''XQJY-WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(细胞计数)'', ''XQJYCG(XBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-细胞计数'', ''XQJY-XBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(胸水结核分枝杆菌核酸)'', ''XQJYCG(XSJHFZGJHS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-结核分枝杆菌核酸'', ''XQJY-JHFZGJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水结核分枝杆菌核酸'', ''XSJHFZGJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规(异型细胞)'', ''XQJYCG(YXXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-异型细胞'', ''XQJY-YXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异型细胞'', ''YXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)测定(胸腔积液)'', ''BDB(Alb)CD(XQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-白蛋白'', ''XQJY-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液白蛋白测定'', ''XQJYBDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质（胸腔积液）'', ''DBZ（XQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物（胸腔积液）'', ''LHW（XQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物'', ''LHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖（胸腔积液）'', ''PTT（XQJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)测定(胸腔积液)'', ''XZTAM(ADA)CD(XQJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液-腺苷脱氨酶'', ''XQJY-XZTAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-A群链球菌'', ''XS-AQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-大肠埃希菌'', ''XS-DCAXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-肺炎克雷伯菌'', ''XS-FYKLBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-结核分枝杆菌'', ''XS-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-金黄色葡萄球菌'', ''XS-JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-铜绿假单胞菌'', ''XS-TLJDBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-胸水培养'', ''XS-XSPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水一般细菌培养'', ''XSYBXJPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(胸水)'', ''YBXJPY(XS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-真菌'', ''XS-ZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌'', ''ZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水-自定义'', ''XS-ZDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢睾酮(DHT)'', ''SQZT(DHT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢睾酮(DHT)测定'', ''SQZT(DHT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-双氢睾酮'', ''XQ-SQZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清双氢睾酮测定'', ''XQSQZTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血雄烯二酮'', ''QXXXET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄烯二酮(A2)'', ''XXET(A2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄烯二酮(A2)测定'', ''XXET(A2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄烯二酮测定'', ''XXETCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清雄烯二酮'', ''XQXXET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-雄烯二酮'', ''XQ-XXET'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''DHEA'', ''DHEA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''DHEA-s'', ''DHEA-s'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸去氢表雄酮'', ''LSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸脱氢表雄酮'', ''LSTQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氢表雄酮'', ''QQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氢表雄酮及硫酸酯测定'', ''QQBXTJLSZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氢表雄酮'', ''TQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氢表雄酮及硫酸酯'', ''TQBXTJLSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清硫酸去氢表雄酮'', ''XQLSQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清硫酸脱氢表雄酮'', ''XQLSTQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清去氢表雄酮'', ''XQQQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-去氢表雄酮及硫酸酯'', ''XQ-QQBXTJLSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清脱氢表雄酮'', ''XQTQBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AMG'', ''AMG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2-macroglobulin'', ''α2-macroglobulin'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2MG'', ''α2MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2-MG'', ''α2-MG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2-巨球蛋白'', ''α2-JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清α2-巨球蛋白'', ''XQα2-JQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨'', ''XA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆氨测定'', ''XJACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血氨'', ''XQ-XA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3*HGB/HCT'', ''3*HGB/HCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HGB*3/HCT'', ''HGB*3/HCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-HGB*3/HCT'', ''XCG-HGB*3/HCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数(WBC)'', ''BXBJS(WBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞数目'', ''BXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血白细胞(WBC)计数'', ''XBXB(WBC)JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血白细胞计数'', ''XBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血白细胞数目'', ''XBXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-白细胞计数'', ''XCG-BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液白细胞'', ''XYBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液白细胞计数'', ''XYBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液白细胞数目'', ''XYBXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大型血小板比例(P-LCR)'', ''DXXXBBL(P-LCR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-大型血小板比例'', ''XCG-DXXXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血大型血小板体积'', ''XDXXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液大型血小板体积'', ''XYDXXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞百分比'', ''DHXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞比例(MONO%)'', ''DHXBBL(MONO%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-单核细胞比例'', ''XCG-DHXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞百分比'', ''XDHXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞比例'', ''XDHXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞比例(MONO%)'', ''XDHXBBL(MONO%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液单核细胞百分比'', ''XYDHXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液单核细胞比例'', ''XYDHXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞'', ''DHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞分类（绝对值）'', ''DHXBFL（JDZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞计数(MONO)'', ''DHXBJS(MONO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞数目'', ''DHXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-单核细胞计数'', ''XCG-DHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞计数'', ''XDHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞计数(MONO)'', ''XDHXBJS(MONO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血单核细胞数目'', ''XDHXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液单核细胞计数'', ''XYDHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液单核细胞数目'', ''XYDHXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''RCDW'', ''RCDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞分布宽度(RDW)'', ''HXBFBKD(RDW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-红细胞分布宽度'', ''XCG-HXBFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞分布宽度'', ''XHXBFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞计数(RBC)'', ''HXBJS(RBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞数目'', ''HXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-红细胞'', ''XCG-HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞'', ''XHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞(RBC)计数'', ''XHXB(RBC)JS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞计数'', ''XHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞数目'', ''XHXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液红细胞'', ''XYHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液红细胞计数'', ''XYHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液红细胞数目'', ''XYHXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PCV'', ''PCV'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞比容'', ''HXBBR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞压积'', ''HXBYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞压积(HCT)'', ''HXBYJ(HCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-红细胞压积'', ''XCG-HXBYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞比容'', ''XHXBBR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红细胞压积(HCT)'', ''XHXBYJ(HCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液红细胞比容'', ''XYHXBBR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞'', ''LBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞百分比'', ''LBXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞比例(LY%)'', ''LBXBBL(LY%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞数目'', ''LBXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-淋巴细胞比例'', ''XCG-LBXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淋巴细胞比例(LY%)'', ''XLBXBBL(LY%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淋巴细胞计数'', ''XLBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淋巴细胞数目'', ''XLBXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液淋巴细胞计数'', ''XYLBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液淋巴细胞数目'', ''XYLBXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞分类（绝对值）'', ''LBXBFL（JDZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞计数(LY)'', ''LBXBJS(LY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-淋巴细胞计数'', ''XCG-LBXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淋巴细胞计数(LY)'', ''XLBXBJS(LY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞体积(MCV)'', ''PJHXBTJ(MCV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-平均红细胞体积'', ''XCG-PJHXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血平均红细胞体积(MCV)'', ''XPJHXBTJ(MCV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白含量(MCH)'', ''PJHXBXHDBHL(MCH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白量(MCH)'', ''PJHXBXHDBL(MCH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-平均红细胞血红蛋白含量'', ''XCG-PJHXBXHDBHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血平均红细胞血红蛋白含量(MCH)'', ''XPJHXBXHDBHL(MCH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白浓度(MCHC)'', ''PJHXBXHDBND(MCHC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-平均红细胞血红蛋白浓度'', ''XCG-PJHXBXHDBND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血平均红细胞血红蛋白浓度(MCHC)'', ''XPJHXBXHDBND(MCHC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均血小板体积'', ''PJXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均血小板体积(MPV）'', ''PJXXBTJ(MPV）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-平均血小板体积'', ''XCG-PJXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血平均血小板体积'', ''XPJXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液平均血小板体积'', ''XYPJXXBTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱粒百分数'', ''SJLBFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞'', ''SJXLXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞百分比'', ''SJXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞数目'', ''SJXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-嗜碱性粒细胞百分比'', ''XCG-SJXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血嗜碱性粒细胞计数'', ''XSJXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血嗜碱性粒细胞数目'', ''XSJXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液嗜碱性粒细胞计数'', ''XYSJXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液嗜碱性粒细胞数目'', ''XYSJXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱粒细胞分类（绝对值）'', ''SJLXBFL（JDZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞计数'', ''SJXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-嗜碱性粒细胞计数'', ''XCG-SJXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸粒百分数'', ''SSLBFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞'', ''SSXLXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞百分比'', ''SSXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞数目'', ''SSXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-嗜酸性粒细胞百分比'', ''XCG-SSXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血嗜酸性粒细胞计数'', ''XSSXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血嗜酸性粒细胞数目'', ''XSSXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液嗜酸性粒细胞计数'', ''XYSSXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液嗜酸性粒细胞数目'', ''XYSSXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸粒细胞分类（绝对值）'', ''SSLXBFL（JDZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞计数'', ''SSXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-嗜酸性粒细胞计数'', ''XCG-SSXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网织红细胞分布宽度(RDW-SD)'', ''WZHXBFBKD(RDW-SD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网织红细胞计数'', ''WZHXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-网织红细胞分布宽度'', ''XCG-WZHXBFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血网织红细胞分布宽度'', ''XWZHXBFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HB'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-血红蛋白浓度'', ''XCG-XHDBND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白浓度(HGB)'', ''XHDBND(HGB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-血小板计数'', ''XCG-XXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板'', ''XXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板计数'', ''XXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板计数(PLT)'', ''XXBJS(PLT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板数目'', ''XXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液血小板计数'', ''XYXXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液血小板数目'', ''XYXXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-血小板体积分布宽度'', ''XCG-XXBTJFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板分布宽度'', ''XXBFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板体积分布宽度(PDW)'', ''XXBTJFBKD(PDW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液血小板体积分布宽度'', ''XYXXBTJFBKD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-血小板压积'', ''XCG-XXBYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板压积(PCT)'', ''XXBYJ(PCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液血小板压积'', ''XYXXBYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NE%'', ''NE%'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-中性粒细胞比例'', ''XCG-ZXLXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液中性粒细胞百分比'', ''XYZXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液中性粒细胞比例'', ''XYZXLXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞百分比'', ''XZXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''33999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞比例'', ''XZXLXBBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞比例(NEUT%)'', ''XZXLXBBL(NEUT%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞百分比'', ''ZXLXBBFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞比例(NEUT%)'', ''ZXLXBBL(NEUT%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NE'', ''NE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规-中性粒细胞计数'', ''XCG-ZXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液中性粒细胞计数'', ''XYZXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液中性粒细胞数目'', ''XYZXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞计数'', ''XZXLXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞计数(NEUT)'', ''XZXLXBJS(NEUT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血中性粒细胞数目'', ''XZXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞分类（绝对值）'', ''ZXLXBFL（JDZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞计数(NEUT%)'', ''ZXLXBJS(NEUT%)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞数目'', ''ZXLXBSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞沉降率'', ''HXBCJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞沉降率(ESR)'', ''HXBCJL(ESR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-红细胞沉降率'', ''XQ-HXBCJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素I转化酶(ACE)'', ''XGJZSIZHM(ACE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)测定'', ''XGJZSZHM(ACE)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血管紧张素转化酶'', ''XQ-XGJZSZHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃肯菌'', ''AKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-埃肯菌'', ''X-AKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草绿色链球菌'', ''CLSLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-草绿色链球菌'', ''X-CLSLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠球菌'', ''CQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-肠球菌'', ''X-CQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放线杆菌'', ''FXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-放线杆菌'', ''X-FXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-艰难梭状杆菌'', ''X-JNSZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-结核分枝杆菌'', ''X-JHFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-结核杆菌'', ''X-JHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-金黄色葡萄球菌'', ''X-JHSPTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金氏菌'', ''JSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-金氏菌'', ''X-JSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-军团菌'', ''X-JTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体'', ''LKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-立克次体'', ''X-LKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛链球菌'', ''NLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-牛链球菌'', ''X-NLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒杆菌'', ''SHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-伤寒杆菌'', ''X-SHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜血杆菌'', ''SXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-嗜血杆菌'', ''X-SXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心杆菌'', ''XGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-心杆菌'', ''X-XGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养'', ''XPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血-血培养'', ''X-XPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(血)'', ''YBXJPY(X)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸(PA)'', ''BTS(PA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸(PA)测定'', ''BTS(PA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血丙酮酸'', ''QXBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血丙酮酸测定'', ''QXBTSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-丙酮酸'', ''XQFX-BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血二氧化碳分压'', ''DMXEYHTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血二氧化碳分压(PCO2)'', ''DMXEYHTFY(PCO2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-动脉血二氧化碳分压'', ''XQFX-DMXEYHTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血氧分压'', ''DMXYFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血氧分压(PaO2)'', ''DMXYFY(PaO2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-动脉血氧分压'', ''XQFX-DMXYFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧化碳结合力'', ''EYHTJHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧化碳结合力(CO2CP)'', ''EYHTJHL(CO2CP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-二氧化碳结合力'', ''XQFX-EYHTJHL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缓冲碱(BB)'', ''HCJ(BB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血BB'', ''QXBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血缓冲碱(BB)'', ''QXHCJ(BB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-全血缓冲碱'', ''XQFX-QXHCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Lactate'', ''Lactate'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血乳酸测定'', ''QXRSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸(LA)'', ''RS(LA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸(LA)测定（血）'', ''RS(LA)CD（X）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-乳酸'', ''XQFX-RS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LA/PA'', ''LA/PA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸/丙酮酸'', ''RS/BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-乳酸/丙酮酸'', ''XQFX-RS/BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血乳酸/丙酮酸'', ''XRS/BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剩余碱(BE,BD)'', ''SYJ(BE,BD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-剩余碱'', ''XQFX-SYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(血)'', ''SJD(X)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-酸碱度'', ''XQFX-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液PH'', ''XYPH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢根'', ''TSQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢根(HCO3)'', ''TSQG(HCO3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢根测定'', ''TSQGCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢盐测定'', ''TSQYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-碳酸氢根'', ''XQFX-TSQG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清碳酸氢盐(HCO3)测定'', ''XQTSQY(HCO3)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HGB'', ''HGB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白(Hb)'', ''XHDB(Hb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白(Hb)测定'', ''XHDB(Hb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白测定(Hb)'', ''XHDBCD(Hb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-血红蛋白'', ''XQFX-XHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''OSMO'', ''OSMO'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压(血)'', ''STY(X)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆渗透压(POP)'', ''XJSTY(POP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆渗透压检查'', ''XJSTYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-血浆渗透压'', ''XQFX-XJSTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-血氧饱和度'', ''XQFX-XYBHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氧饱和度'', ''XYBHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氧饱和度(SpO2)'', ''XYBHD(SpO2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析-阴离子间隙'', ''XQFX-YLZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子间隙'', ''YLZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子间隙(AG)'', ''YLZJX(AG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子隙'', ''YLZX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白轻链测定(血清)KAP'', ''MYQDBQLCD(XQ)KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻链KAP'', ''QLKAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-KAP'', ''XQ-KAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白轻链测定(血清)LAM'', ''MYQDBQLCD(XQ)LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-LAM'', ''XQ-LAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙氨酸(PKU)测定(血清)'', ''BBAS(PKU)CD(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-苯丙氨酸'', ''XQ-BBAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''a-氧代丙酸'', ''a-YDBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血丙酮酸(PA)'', ''XBTS(PA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙酮酸'', ''XQ-BTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α1球蛋白'', ''α1QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α1球蛋白'', ''XQ-α1QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳测定(α1球蛋白)'', ''XQDBDYCD(α1QDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2球蛋白'', ''α2QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α2球蛋白'', ''XQ-α2QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳测定(α2球蛋白)'', ''XQDBDYCD(α2QDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2球蛋白'', ''β2QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β2球蛋白'', ''XQ-β2QDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳测定(β2球蛋白)'', ''XQDBDYCD(β2QDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''γ球蛋白'', ''γQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-γ球蛋白'', ''XQ-γQDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳测定(γ球蛋白)'', ''XQDBDYCD(γQDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-白蛋白'', ''XQ-BDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳测定(白蛋白)'', ''XQDBDYCD(BDB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸'', ''BWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血丙戊酸测定'', ''XBWSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-丙戊酸浓度'', ''XQ-BWSND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血地高辛'', ''XDGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-地高辛浓度'', ''XQ-DGXND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血儿茶酚胺'', ''XECFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-儿茶酚胺浓度'', ''XQ-ECFAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环胞霉素(Glu)'', ''HBMS(Glu)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血环胞霉素测定'', ''XHBMSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-环保霉素浓度'', ''XQ-HBMSND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血卡马西平'', ''XKMXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-卡马西平浓度'', ''XQ-KMXPND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血可的松测定'', ''XKDSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-可的松浓度'', ''XQ-KDSND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NEFA'', ''NEFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-游离脂肪酸'', ''XQ-YLZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸(FFA)测定'', ''XQYLZFS(FFA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸测定'', ''XQYLZFSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离脂肪酸(FFA)'', ''YLZFS(FFA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离脂肪酸(FFA)测定'', ''YLZFS(FFA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-粘蛋白'', ''XQ-ZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清粘蛋白测定'', ''XQZDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘蛋白'', ''ZDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验(TEG)'', ''XSDLTSY(TEG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-羟丁酸'', ''β-ZDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-羟基丁酸(β-HB)'', ''β-ZJDS(β-HB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-羟基丁酸(β-HB)测定'', ''β-ZJDS(β-HB)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-β-羟基丁酸'', ''XQ-β-ZJDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血酮体'', ''XQ-XTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血同'', ''XT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血同体'', ''XTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体(KET)'', ''XTT(KET)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体(KET)测定'', ''XTT(KET)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体快速测定'', ''XTTKSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-血吸虫抗体'', ''XQ-XXCKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫抗体'', ''XXCKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板抗体'', ''XXBKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板特异性和组织相关融性(HLA)抗体检测'', ''XXBTYXHZZXGRX(HLA)KTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ABO血型'', ''ABOXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ABO血型鉴定'', ''ABOXXJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-ABO血型'', ''XQ-ABOXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''RhD血型鉴定'', ''RhDXXJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''RH血型'', ''RHXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Rh血型鉴定'', ''RhXXJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-RH血型'', ''XQ-RHXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-特异性抗体'', ''XQ-TYXKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清特异性抗体检测'', ''XQTYXKTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型特异性抗体'', ''XXTYXKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型特异性抗体鉴定'', ''XXTYXKTJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌红蛋白(Mb)'', ''JHDB(Mb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白A(IgA)定量测定'', ''MYQDBA(IgA)DLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白IgA定量测定'', ''MYQDBIgADLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-免疫球蛋白A'', ''XQ-MYQDBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白D'', ''MYQDBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白D(IgD)定量测定'', ''MYQDBD(IgD)DLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白IgD定量测定'', ''MYQDBIgDDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-免疫球蛋白D'', ''XQ-MYQDBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白E'', ''MYQDBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白E(IgE)定量测定'', ''MYQDBE(IgE)DLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白IgE定量测定'', ''MYQDBIgEDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-免疫球蛋白E'', ''XQ-MYQDBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G(IgG)定量测定'', ''MYQDBG(IgG)DLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白IgG定量测定'', ''MYQDBIgGDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-免疫球蛋白G'', ''XQ-MYQDBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白IgM定量测定'', ''MYQDBIgMDLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白M(IgM)定量测定'', ''MYQDBM(IgM)DLCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-免疫球蛋白M'', ''XQ-MYQDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液-血液培养'', ''XY-XYPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(血液)'', ''YBXJPY(XY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-一氧化氮'', ''XQ-YYHD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮(NO)'', ''XYYHD(NO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化氮(NO)'', ''YYHD(NO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化氮(NO)分析'', ''YYHD(NO)FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-一氧化碳'', ''XQ-YYHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化碳(CO)'', ''YYHT(CO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化碳(CO)测定'', ''YYHT(CO)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低密度脂蛋白胆固醇'', ''DMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低密度脂蛋白胆固醇(LDL-C)'', ''DMDZDBDGC(LDL-C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低密度脂蛋白胆固醇(LDL-C)测定'', ''DMDZDBDGC(LDL-C)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血低密度脂蛋白胆固醇'', ''QXDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清低密度脂蛋白胆固醇'', ''XQDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-低密度脂蛋白胆固醇'', ''XZ-DMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油三酯(TG)'', ''GYSZ(TG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油三酯(TG)测定'', ''GYSZ(TG)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血甘油三酯'', ''QXGYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三酰甘油'', ''SZGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清甘油三酯'', ''XQGYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清甘油三酯测定'', ''XQGYSZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-甘油三酯'', ''XZ-GYSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高密度脂蛋白胆固醇(HDL-C)'', ''GMDZDBDGC(HDL-C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高密度脂蛋白胆固醇(HDL-C)测定'', ''GMDZDBDGC(HDL-C)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血高密度脂蛋白胆固醇'', ''QXGMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清高密度脂蛋白胆固醇'', ''XQGMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清高密度脂蛋白胆固醇测定'', ''XQGMDZDBDGCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-高密度脂蛋白胆固醇'', ''XZ-GMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''极低密度脂蛋白胆固醇'', ''JDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''极低密度脂蛋白胆固醇(VLDL-C)'', ''JDMDZDBDGC(VLDL-C)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''极低密度脂蛋白胆固醇(VLDL-C)测定'', ''JDMDZDBDGC(VLDL-C)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血极低密度脂蛋白胆固醇'', ''QXJDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清极低密度脂蛋白胆固醇'', ''XQJDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-极低密度脂蛋白胆固醇'', ''XZ-JDMDZDBDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A/B'', ''A/B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白A/B'', ''XQZZDBA/B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-A/B'', ''XZ-A/B'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血载脂蛋白a'', ''QXZZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白a'', ''XQZZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白A测定'', ''XQZZDBACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-载脂蛋白a'', ''XZ-ZZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白a(apoa)'', ''ZZDBa(apoa)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白a(apoa)测定'', ''ZZDBa(apoa)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''apoAⅠ'', ''apoAⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血载脂蛋白AⅠ'', ''QXZZDBAⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白AⅠ'', ''XQZZDBAⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白AⅠ测定'', ''XQZZDBAⅠCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-载脂蛋白AⅠ'', ''XZ-ZZDBAⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白A1(apoA1)'', ''ZZDBA1(apoA1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白AⅠ(apoAⅠ)'', ''ZZDBAⅠ(apoAⅠ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血载脂蛋白B'', ''QXZZDBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白B'', ''XQZZDBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白B测定'', ''XQZZDBBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-载脂蛋白B'', ''XZ-ZZDBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白B(apoB)'', ''ZZDBB(apoB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白B(apoB)测定'', ''ZZDBB(apoB)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血载脂蛋白E'', ''QXZZDBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白E'', ''XQZZDBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-载脂蛋白E'', ''XZ-ZZDBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白E(apoE)'', ''ZZDBE(apoE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白E(apoE)测定'', ''ZZDBE(apoE)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血脂蛋白a'', ''QXZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清脂蛋白a'', ''XQZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-脂蛋白a'', ''XZ-ZDBa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂蛋白(a)测定'', ''ZDB(a)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂蛋白a(LPa)'', ''ZDBa(LPa)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂蛋白a(LPa)测定'', ''ZDBa(LPa)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CHOL'', ''CHOL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总胆固醇'', ''XQZDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清总胆固醇测定'', ''XQZDGCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液胆固醇'', ''XYDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂-总胆固醇'', ''XZ-ZDGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆固醇(TC)'', ''ZDGC(TC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆固醇(TC)测定'', ''ZDGC(TC)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯氏菌'', ''FYKLBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯氏菌(咽拭子培养)'', ''FYKLBSJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-肺炎克雷伯氏菌'', ''YSZPY-FYKLBSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎双球菌'', ''FYSQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎双球菌(咽拭子培养)'', ''FYSQJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-肺炎双球菌'', ''YSZPY-FYSQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母菌'', ''JMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母菌(咽拭子培养)'', ''JMJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-酵母菌'', ''YSZPY-JMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌(咽拭子培养)'', ''JHGJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-结核杆菌'', ''YSZPY-JHGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌(咽拭子培养)'', ''JTJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-军团菌'', ''YSZPY-JTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌'', ''PTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌(咽拭子培养)'', ''PTQJ(YSZPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养-葡萄球菌'', ''YSZPY-PTQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞叶酸'', ''HXBYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''VitB9'', ''VitB9'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-叶酸'', ''XQ-YS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清叶酸(FA)'', ''XQYS(FA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸(FA)'', ''YS(FA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸(FA)测定'', ''YS(FA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸测定'', ''YSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养及鉴定，药敏试验'', ''FBPYJJD，YMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿培养及鉴定，药敏试验'', ''NPYJJD，YMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养及鉴定，药敏试验'', ''TPYJJD，YMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养+鉴定+药敏'', ''YBXJPY+JD+YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O-157大肠埃希菌培养及鉴定'', ''O-157DCAXJPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分枝杆菌培养鉴定'', ''FZGJPYJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养及鉴定'', ''FBPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养及鉴定'', ''NJYPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿培养加菌落计数'', ''NPYJJLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养及鉴定'', ''TPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核菌涂片检查'', ''JHJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片检查'', ''LQJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片找霉菌'', ''TTPZMJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎衣原体抗体(CP)检测'', ''FYYYTKT(CP)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎衣原体抗体(CP)'', ''KFYYYTKT(CP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗肺炎衣原体抗体'', ''XQ-KFYYYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgA'', ''KSYYYTKT-IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体免疫学试验'', ''SYYYTMYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体免疫学试验(血清IgA)'', ''SYYYTMYXSY(XQIgA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗沙眼衣原体抗体IgA'', ''XQ-KSYYYTKTIgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgG'', ''KSYYYTKT-IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体免疫学试验(血清IgG)'', ''SYYYTMYXSY(XQIgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗沙眼衣原体抗体IgG'', ''XQ-KSYYYTKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgM'', ''KSYYYTKT-IgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体免疫学试验(血清IgM)'', ''SYYYTMYXSY(XQIgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗沙眼衣原体抗体IgM'', ''XQ-KSYYYTKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体核酸测定(CT DNA)'', ''SYYYTHSCD(CT DNA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-沙眼衣原体脱氧核糖核酸'', ''XQ-SYYYTTYHTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体脱氧核糖核酸扩增检测'', ''SYYYTTYHTHSKZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体'', ''YYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体培养'', ''YYTPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体培养-衣原体'', ''YYTPY-YYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体鉴定'', ''YYTJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体培养+鉴定'', ''YYTPY+JD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C肽(C-P)'', ''CZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C肽(C-P)测定'', ''CZ(C-P)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C肽（C-PR）'', ''CZ（C-PR）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连接肽'', ''LJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血C肽'', ''QXCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清C肽'', ''XQCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-C肽'', ''XQ-CZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清C肽测定'', ''XQCZCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2hINS'', ''2hINS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2h胰岛素(Ins)'', ''CH2hYDS(Ins)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2h胰岛素(Ins)测定'', ''CH2hYDS(Ins)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2小时胰岛素'', ''CH2XSYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-餐后2h胰岛素'', ''XQ-CH2hYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后胰岛素(Ins)'', ''CHYDS(Ins)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后胰岛素(Ins)测定'', ''CHYDS(Ins)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-餐后胰岛素'', ''XQ-CHYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗谷氨酸脱羧酶抗体(GAD)'', ''KGASTZMKT(GAD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗谷氨酸脱羧酶抗体(GAD)检测'', ''KGASTZMKT(GAD)JC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗谷氨酸脱羧酶抗体'', ''XQ-KGASTZMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清抗谷氨酸脱羧酶抗体测定'', ''XQKGASTZMKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酪氨酸磷酸酶(IA2)抗体检测'', ''KLASLSM(IA2)KTJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酪氨酸磷酸酶抗体(IA2)'', ''KLASLSMKT(IA2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗酪氨酸磷酸酶抗体'', ''XQ-KLASLSMKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛素抗体(IAB)'', ''KYDSKT(IAB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛素抗体测定'', ''KYDSKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛素抗体测定(IAB)'', ''KYDSKTCD(IAB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗胰岛素抗体'', ''XQ-KYDSKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ICA'', ''ICA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛细胞抗体(IAA)'', ''KYDXBKT(IAA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛细胞抗体(IAA)检测测定'', ''KYDXBKT(IAA)JCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛细胞抗体测定'', ''KYDXBKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-抗胰岛细胞抗体'', ''XQ-KYDXBKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹胰岛素'', ''KFYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹胰岛素(Ins)'', ''KFYDS(Ins)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹胰岛素(Ins)测定'', ''KFYDS(Ins)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-空腹胰岛素'', ''XQ-KFYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胰岛素'', ''XQ-YDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胰岛素(Ins)测定'', ''XQYDS(Ins)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胰岛素测定'', ''XQYDSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素(Ins)'', ''YDS(Ins)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min胰岛素'', ''120minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(120min)'', ''KFPTTYDSSFSY(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-120min胰岛素'', ''XQ-120minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min胰岛素'', ''180minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(180min)'', ''KFPTTYDSSFSY(180min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-180min胰岛素'', ''XQ-180minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240min胰岛素'', ''240minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(240min)'', ''KFPTTYDSSFSY(240min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-240min胰岛素'', ''XQ-240minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300min胰岛素'', ''300minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(300min)'', ''KFPTTYDSSFSY(300min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-300min胰岛素'', ''XQ-300minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min胰岛素'', ''30minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(30min)'', ''KFPTTYDSSFSY(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-30min胰岛素'', ''XQ-30minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min胰岛素'', ''60minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖胰岛素释放试验(60min)'', ''KFPTTYDSSFSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60min胰岛素'', ''XQ-60minYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120minC肽(C-P)'', ''120minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(120min)'', ''KFPTTCZSFSY(120min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-120minC肽'', ''XQ-120minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180minC肽(C-P)'', ''180minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(180min)'', ''KFPTTCZSFSY(180min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-180minC肽'', ''XQ-180minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240minC肽(C-P)'', ''240minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(240min)'', ''KFPTTCZSFSY(240min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-240minC肽'', ''XQ-240minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300minC肽(C-P)'', ''300minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(300min)'', ''KFPTTCZSFSY(300min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-300minC肽'', ''XQ-300minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30minC肽(C-P)'', ''30minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(30min)'', ''KFPTTCZSFSY(30min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-30minC肽'', ''XQ-30minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60minC肽(C-P)'', ''60minCZ(C-P)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖C肽释放试验(60min)'', ''KFPTTCZSFSY(60min)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-60minC肽'', ''XQ-60minCZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆胰多肽(PP)'', ''XJYDZ(PP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆胰多肽(PP)测定'', ''XJYDZ(PP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胰多肽'', ''XQ-YDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清胰高血糖测定'', ''XQYGXTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胰高血糖素'', ''XQ-YGXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素(Ins)'', ''YGXTS(Ins)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素测定'', ''YGXTSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝DNA定量'', ''XQ-YGDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝DNA定量'', ''YGDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎DNA定量'', ''YXGYDNADL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒脱氧核糖核酸定量'', ''YXGYBDTYHTHSDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒脱氧核糖核酸扩增定量检测'', ''YXGYBDTYHTHSKZDLJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝DNA定性'', ''XQ-YGDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝DNA定性'', ''YGDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝病毒DNA测定'', ''YGBDDNACD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎DNA定性'', ''YXGYDNADX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒脱氧核糖核酸定性'', ''YXGYBDTYHTHSDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒脱氧核糖核酸扩增定性检测'', ''YXGYBDTYHTHSKZDXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝e抗体定量'', ''XQ-YGeKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗体测定'', ''YGeKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗体定量(HBeAb)'', ''YGeKTDL(HBeAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗体定量'', ''YXGYeKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗体定量(HBeAb)测定'', ''YXGYeKTDL(HBeAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝e抗体定性'', ''XQ-YGeKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗体定性(HBeAb)'', ''YGeKTDX(HBeAb)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗体(HBeAb)测定'', ''YXGYeKT(HBeAb)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗体定性'', ''YXGYeKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝e抗原定量'', ''XQ-YGeKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗原测定(HBeAg)'', ''YGeKYCD(HBeAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗原定量(HBeAg)'', ''YGeKYDL(HBeAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗原定量'', ''YXGYeKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗原定量(HBeAg)测定'', ''YXGYeKYDL(HBeAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝e抗原定性'', ''XQ-YGeKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗原定性(HBeAg)'', ''YGeKYDX(HBeAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗原定性'', ''YXGYeKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎e抗原定性(HBeAg)测定'', ''YXGYeKYDX(HBeAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PreS1Ab'', ''PreS1Ab'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝S1抗体定性'', ''XQ-YGS1KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S1抗体定性'', ''YGS1KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎S1抗体定性'', ''YXGYS1KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒外膜蛋白前S1抗体测定'', ''YXGYBDWMDBQS1KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PreS1Ag'', ''PreS1Ag'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝S1抗原定性'', ''XQ-YGS1KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S1抗原定性'', ''YGS1KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎S1抗原定性'', ''YXGYS1KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒外膜蛋白前S1抗原测定'', ''YXGYBDWMDBQS1KYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PreS2Ab'', ''PreS2Ab'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝S2抗体定性'', ''XQ-YGS2KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S2抗体定性'', ''YGS2KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎S2抗体定性'', ''YXGYS2KTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒外膜蛋白前S2抗体测定'', ''YXGYBDWMDBQS2KTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PreS2Ag'', ''PreS2Ag'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝S2抗原定性'', ''XQ-YGS2KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S2抗原定性'', ''YGS2KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝病毒外膜蛋白前S2抗原测定'', ''YGBDWMDBQS2KYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎S2抗原定性'', ''YXGYS2KYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒外膜蛋白前S2抗原测定'', ''YXGYBDWMDBQS2KYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝表面抗体定量'', ''XQ-YGBMKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗体测定(Anti-HBs)'', ''YGBMKTCD(Anti-HBs)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗体定量(抗HBs)'', ''YGBMKTDL(KHBs)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗体定量'', ''YXGYBMKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗体定量(抗HBs)测定'', ''YXGYBMKTDL(KHBs)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝表面抗体定性'', ''XQ-YGBMKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗体定性(抗HBs)'', ''YGBMKTDX(KHBs)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗体定性'', ''YXGYBMKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗体定性(抗HBs)测定'', ''YXGYBMKTDX(KHBs)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝表面抗原定量'', ''XQ-YGBMKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原定量'', ''YGBMKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原定量(HBsAg)'', ''YGBMKYDL(HBsAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗原定量'', ''YXGYBMKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗原定量(HBsAg)测定'', ''YXGYBMKYDL(HBsAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝表面抗原定性'', ''XQ-YGBMKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原测定(HBsAg)'', ''YGBMKYCD(HBsAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原定性(HBsAg)'', ''YGBMKYDX(HBsAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗原定性'', ''YXGYBMKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎表面抗原定性(HBsAg)测定'', ''YXGYBMKYDX(HBsAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝核心抗体定量'', ''XQ-YGHXKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗体定量(抗HBc)'', ''YGHXKTDL(KHBc)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗体定量'', ''YXGYHXKTDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗体定量(抗HBc)测定'', ''YXGYHXKTDL(KHBc)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝核心抗体定性'', ''XQ-YGHXKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗体测定'', ''YGHXKTCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗体定性(抗HBc)'', ''YGHXKTDX(KHBc)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗体(抗HBc)测定'', ''YXGYHXKT(KHBc)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗体定性'', ''YXGYHXKTDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝核心抗原定量'', ''XQ-YGHXKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗原定量(HBcAg)'', ''YGHXKYDL(HBcAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗原定量'', ''YXGYHXKYDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗原定量(HBcAg)测定'', ''YXGYHXKYDL(HBcAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-乙肝核心抗原定性'', ''XQ-YGHXKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗原测定(HBcAg)'', ''YGHXKYCD(HBcAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗原定性(HBcAg)'', ''YGHXKYDX(HBcAg)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗原(HBcAg)测定'', ''YXGYHXKY(HBcAg)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎核心抗原定性'', ''YXGYHXKYDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝病毒(HBV)P区耐药基因测序'', ''YGBD(HBV)PQNYJYCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎耐药基因检测'', ''YXGYNYJYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胺试验'', ''ASY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(胺试验)'', ''YDFMW(ASY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-胺试验'', ''YDFMW-ASY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(白细胞计数)'', ''YDFMW(BXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物白细胞'', ''YDFMWBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-白细胞计数'', ''YDFMW-BXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(滴虫)'', ''YDFMW(DC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-滴虫'', ''YDFMW-DC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰氏阳性菌'', ''GLSYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(革兰氏阳性菌)'', ''YDFMW(GLSYXJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-革兰氏阳性菌'', ''YDFMW-GLSYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰氏阴性菌'', ''GLSYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(革兰氏阴性菌)'', ''YDFMW(GLSYXJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-革兰氏阴性菌'', ''YDFMW-GLSYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(红细胞计数)'', ''YDFMW(HXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物红细胞'', ''YDFMWHXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-红细胞计数'', ''YDFMW-HXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋菌'', ''LJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(淋菌)'', ''YDFMW(LJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-淋菌'', ''YDFMW-LJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霉菌孢子'', ''MJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(霉菌孢子)'', ''YDFMW(MJZZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-霉菌孢子'', ''YDFMW-MJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霉菌菌丝'', ''MJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(霉菌菌丝)'', ''YDFMW(MJJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-霉菌菌丝'', ''YDFMW-MJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清洁度'', ''QJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(清洁度)'', ''YDFMW(QJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物清洁度'', ''YDFMWQJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-清洁度'', ''YDFMW-QJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞计数'', ''SPXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(上皮细胞计数)'', ''YDFMW(SPXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物上皮细胞'', ''YDFMWSPXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-上皮细胞计数'', ''YDFMW-SPXBJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(酸碱度)'', ''YDFMW(SJD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物酸碱度'', ''YDFMWSJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-酸碱度'', ''YDFMW-SJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''线索细胞'', ''XSXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物(线索细胞计数)'', ''YDFMW(XSXBJS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物线索细胞'', ''YDFMWXSXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物-线索细胞'', ''YDFMW-XSXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液隐血试验'', ''WYYXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液-隐血试验'', ''WY-YXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验(各种标本)'', ''YXSY(GZBB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验（自定义）'', ''YXSY（ZDY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒Ⅱ型抗体测定(IgM)'', ''DCZZBDⅡXKTCD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-单纯疱疹病毒II型抗体IgM'', ''XQ-DCZZBDIIXKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒Ⅰ型抗体测定(IgM)'', ''DCZZBDⅠXKTCD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-单纯疱疹病毒I型抗体IgM'', ''XQ-DCZZBDIXKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体IgG'', ''FZBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体测定(IgG)'', ''FZBDKTCD(IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-风疹病毒抗体IgG'', ''XQ-FZBDKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体IgM'', ''FZBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体测定(IgM)'', ''FZBDKTCD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-风疹病毒抗体IgM'', ''XQ-FZBDKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形虫抗体IgG'', ''GXCKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形体抗体测定(IgG )'', ''GXTKTCD(IgG )'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-弓形虫抗体IgG'', ''XQ-GXCKTIgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形虫抗体IgM'', ''GXCKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形体抗体测定(IgM)'', ''GXTKTCD(IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-弓形虫抗体IgM'', ''XQ-GXCKTIgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体测定 (IgM)'', ''JXBBDKTCD (IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C13-尿素呼吸试验'', ''C13-NSHXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼气-幽门螺杆菌抗原'', ''HQ-YMLGJKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌粪便抗原检查(呼气)'', ''YMLGJFBKYJC(HQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C14-尿素呼吸试验'', ''C14-NSHXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N15-尿素呼吸试验'', ''N15-NSHXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速尿素酶试验'', ''KSNSMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液-幽门螺杆菌抗原'', ''NY-YMLGJKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌粪便抗原检查(尿液、胃粘膜组织)'', ''YMLGJFBKYJC(NY、WZMZZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便-幽门螺杆菌抗原'', ''FB-YMLGJKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌粪便抗原检查(粪便)'', ''YMLGJFBKYJC(FB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原(HP-Ag)'', ''YMLGJKY(HP-Ag)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-游离皮质醇'', ''XQ-YLPZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇测定'', ''YLPZCCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''D-葡聚糖'', ''D-PJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡聚糖检测-D-葡聚糖'', ''PJTJC-D-PJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌D-葡聚糖检测(G试验)'', ''ZJD-PJTJC(GSY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌涂片检查'', ''ZJTPJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体'', ''KFYZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgG、IgM、IgA)'', ''KFYZYTKT(MP-IgG、IgM、IgA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''MP-IgA'', ''MP-IgA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgA)'', ''KFYZYTKT(MP-IgA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''MP-IgG'', ''MP-IgG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgG)'', ''KFYZYTKT(MP-IgG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''MP-IgM'', ''MP-IgM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgM)'', ''KFYZYTKT(MP-IgM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人型支原体抗体'', ''RXZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(人型支原体)'', ''XJKTCD(RXZYT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-人型支原体抗体'', ''XQ-RXZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖道支原体抗体'', ''SZDZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定(生殖道支原体)'', ''XJKTCD(SZDZYT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-生殖道支原体抗体'', ''XQ-SZDZYTKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养'', ''ZYTPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养+鉴定'', ''ZYTPY+JD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养及鉴定'', ''ZYTPYJJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养+药敏'', ''ZYTPY+YM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养及药敏'', ''ZYTPYJYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体阿奇霉素药敏试验'', ''ZYTAQMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体阿奇霉素药敏试验-阿奇霉素'', ''ZYTAQMSYMSY-AQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体红霉素药敏试验'', ''ZYTHMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体红霉素药敏试验-红霉素'', ''ZYTHMSYMSY-HMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体环丙沙星药敏试验'', ''ZYTHBSXYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体环丙沙星药敏试验-环丙沙星'', ''ZYTHBSXYMSY-HBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交沙霉素'', ''JSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体交沙霉素药敏试验'', ''ZYTJSMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体交沙霉素药敏试验-交沙霉素'', ''ZYTJSMSYMSY-JSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体克拉霉素药敏试验'', ''ZYTKLMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体克拉霉素药敏试验-克拉霉素'', ''ZYTKLMSYMSY-KLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体罗红霉素药敏试验'', ''ZYTLHMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体罗红霉素药敏试验-罗红霉素'', ''ZYTLHMSYMSY-LHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体米诺环素药敏试验'', ''ZYTMNHSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体米诺环素药敏试验-米诺环素'', ''ZYTMNHSYMSY-MNHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力霉素'', ''QLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体强力霉素药敏试验'', ''ZYTQLMSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体强力霉素药敏试验-强力霉素'', ''ZYTQLMSYMSY-QLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司巴沙星'', ''SBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体司巴沙星药敏试验'', ''ZYTSBSXYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体司巴沙星药敏试验-司巴沙星'', ''ZYTSBSXYMSY-SBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体四环素药敏试验'', ''ZYTSHSYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体四环素药敏试验-四环素'', ''ZYTSHSYMSY-SHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体氧氟沙星药敏试验'', ''ZYTYFSXYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体氧氟沙星药敏试验-氧氟沙星'', ''ZYTYFSXYMSY-YFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体左氧沙星药敏试验'', ''ZYTZYSXYMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体左氧沙星药敏试验-左氧沙星'', ''ZYTZYSXYMSY-ZYSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧沙星'', ''ZYSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油酯水解酶'', ''GYZSJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-脂肪酶'', ''XQ-ZFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶(LPS)测定'', ''ZFM(LPS)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液检查'', ''TYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓非特异性脂酶'', ''GSFTYXZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓-酯酶染色'', ''GS-ZMRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查(骨髓)'', ''ZMRSJC(GS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-L-岩藻糖苷酶(AFU)'', ''α-L-YZTZM(AFU)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-L-岩藻糖苷酶(AFU)测定'', ''α-L-YZTZM(AFU)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-α-L-岩藻糖苷酶'', ''XQ-α-L-YZTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌胚抗原(CEA)'', ''APKY(CEA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌胚抗原(CEA)测定'', ''APKY(CEA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌胚抗原测定'', ''APKYCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-癌胚抗原'', ''XQ-APKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''端粒酶活性'', ''DLMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''端粒酶活性检测'', ''DLMHXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-端粒酶活性'', ''XQ-DLMHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合前列腺特异性抗原(CPSA)'', ''FHQLXTYXKY(CPSA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合前列腺特异性抗原(CPSA)测定'', ''FHQLXTYXKY(CPSA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-复合前列腺特异性抗原'', ''XQ-FHQLXTYXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨胶素(CY211)'', ''GJS(CY211)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨胶素(CY211)测定'', ''GJS(CY211)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-骨胶素'', ''XQ-GJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲胎蛋白(AFP)'', ''JTDB(AFP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲胎蛋白(AFP)测定(血清）'', ''JTDB(AFP)CD(XQ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲胎蛋白(AFP)测定(羊水）'', ''JTDB(AFP)CD(YS）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲胎蛋白测定'', ''JTDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲胎蛋白(血清)'', ''XQ-JTDB(XQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-甲胎蛋白(羊水)'', ''XQ-JTDB(YS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性胎儿蛋白(BFP)'', ''JXTEDB(BFP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性胎儿蛋白(BFP)测定'', ''JXTEDB(BFP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿碱性蛋白'', ''TEJXDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-碱性胎儿蛋白'', ''XQ-JXTEDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素(CT)'', ''JGS(CT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素(CT)测定'', ''JGS(CT)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素测定'', ''JGSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-降钙素'', ''XQ-JGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌相关抗原(SCC)'', ''LZXBAXGKY(SCC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌相关抗原(SCC)测定'', ''LZXBAXGKY(SCC)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌相关抗原测定 (SCC)'', ''LZXBAXGKYCD (SCC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-鳞状细胞癌相关抗原'', ''XQ-LZXBAXGKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺酸性磷酸酶(PAP)'', ''QLXSXLSM(PAP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺酸性磷酸酶(PAP)测定'', ''QLXSXLSM(PAP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-前列腺酸性磷酸酶'', ''XQ-QLXSXLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经元特异性烯醇化酶(NSE)'', ''SJYTYXXCHM(NSE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经元特异性烯醇化酶(NSE)测定'', ''SJYTYXXCHM(NSE)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经元特异性烯醇化酶测定(NSE)'', ''SJYTYXXCHMCD(NSE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-神经元特异性烯醇化酶'', ''XQ-SJYTYXXCHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA125'', ''CA125'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-125'', ''TLKYCA-125'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA125测定'', ''TLKYCA125CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-125测定'', ''TLKYCA-125CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原125'', ''XQ-TLKY125'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA130'', ''CA130'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-130'', ''TLKYCA-130'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-130测定'', ''TLKYCA-130CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原130'', ''XQ-TLKY130'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA153'', ''CA153'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-153'', ''TLKYCA-153'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA153测定'', ''TLKYCA153CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-153测定'', ''TLKYCA-153CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原153'', ''XQ-TLKY153'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA199'', ''CA199'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-199'', ''TLKYCA-199'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA199测定'', ''TLKYCA199CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-199测定'', ''TLKYCA-199CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原199'', ''XQ-TLKY199'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA242'', ''CA242'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-242'', ''TLKYCA-242'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA242测定'', ''TLKYCA242CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-242测定'', ''TLKYCA-242CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原242'', ''XQ-TLKY242'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA27'', ''CA27'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-27'', ''TLKYCA-27'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-27测定'', ''TLKYCA-27CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原27'', ''XQ-TLKY27'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA29'', ''CA29'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-29'', ''TLKYCA-29'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-29测定'', ''TLKYCA-29CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原29'', ''XQ-TLKY29'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA50'', ''CA50'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-50'', ''TLKYCA-50'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA50测定'', ''TLKYCA50CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-50测定'', ''TLKYCA-50CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原50'', ''XQ-TLKY50'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA549'', ''CA549'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-549'', ''TLKYCA-549'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-549测定'', ''TLKYCA-549CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原549'', ''XQ-TLKY549'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CA724'', ''CA724'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-724'', ''TLKYCA-724'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA724测定'', ''TLKYCA724CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-724测定'', ''TLKYCA-724CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-糖类抗原724'', ''XQ-TLKY724'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁蛋白(Fer)'', ''TDB(Fer)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁蛋白(Fer)测定'', ''TDB(Fer)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁蛋白测定'', ''TDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-铁蛋白'', ''XQ-TDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素释放肽前体'', ''WMSSFZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素释放肽前体(ProGRP)'', ''WMSSFZQT(ProGRP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素释放肽前体(ProGRP)测定'', ''WMSSFZQT(ProGRP)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-胃泌素释放肽前体'', ''XQ-WMSSFZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CyK18TPS'', ''CyK18TPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白18片段'', ''XBJDB18PD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白18片段测定'', ''XBJDB18PDCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-细胞角蛋白18片段'', ''XQ-XBJDB18PD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Cyfra21-1测定'', ''Cyfra21-1CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白19片段(CYFRA21-1)'', ''XBJDB19PD(CYFRA21-1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白19片段测定(CYFRA21-1)'', ''XBJDB19PDCD(CYFRA21-1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-细胞角蛋白19片段'', ''XQ-XBJDB19PD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-游离前列腺特异性抗原'', ''XQ-YLQLXTYXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离前列腺特异性抗原(FPSA)'', ''YLQLXTYXKY(FPSA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离前列腺特异性抗原(f-PSA)'', ''YLQLXTYXKY(f-PSA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离前列腺特异性抗原(FPSA)测定'', ''YLQLXTYXKY(FPSA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肿瘤坏死因子'', ''XQ-ZLHSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子(TNF)'', ''ZLHSYZ(TNF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子(TNF)测定'', ''ZLHSYZ(TNF)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肿瘤坏死因子α'', ''XQ-ZLHSYZα'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子α(TNF-α)'', ''ZLHSYZα(TNF-α)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子α(TNF-α)测定'', ''ZLHSYZα(TNF-α)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-肿瘤相关抗原'', ''XQ-ZLXGKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(MG-Ags)'', ''ZLXGKY(MG-Ags)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(MG-Ags)测定'', ''ZLXGKY(MG-Ags)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TAA'', ''TAA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(TA-2)'', ''ZLXGKY(TA-2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(TA-2)测定'', ''ZLXGKY(TA-2)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-总前列腺特异性抗原'', ''XQ-ZQLXTYXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总PSA'', ''ZPSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总前列腺特异性抗原(TPSA)'', ''ZQLXTYXKY(TPSA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总前列腺特异性抗原(TPSA)测定'', ''ZQLXTYXKY(TPSA)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原II类(HLA－II)分型'', ''RZZXRXKYIIL(HLA－II)FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原II类(HLA－II)分型(低分辨)'', ''RZZXRXKYIIL(HLA－II)FX(DFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原II类(HLA－II)分型(高分辨)'', ''RZZXRXKYIIL(HLA－II)FX(GFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-相容性抗原II类低分辨分型'', ''XQ-XRXKYIILDFBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-相容性抗原II类高分辨分型'', ''XQ-XRXKYIILGFBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原I类(HLA－I)分型'', ''RZZXRXKYIL(HLA－I)FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原I类(HLA－I)分型(低分辨)'', ''RZZXRXKYIL(HLA－I)FX(DFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原I类(HLA－I)分型(高分辨)'', ''RZZXRXKYIL(HLA－I)FX(GFB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-相容性抗原I类低分辨分型'', ''XQ-XRXKYILDFBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-相容性抗原I类高分辨分型'', ''XQ-XRXKYILGFBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-转铁蛋白'', ''XQ-ZTDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清转铁蛋白测定'', ''XQZTDBCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白(TF)测定'', ''ZTDB(TF)CD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血IGE测定'', ''XIGECD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-总IgE'', ''XQ-ZIgE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE测定'', ''ZIgECD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CH50'', ''CH50'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清-总补体'', ''XQ-ZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体测定(CH50)'', ''ZBTCD(CH50)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区CT'', ''AQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区增强CT'', ''AQZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区MRI成像'', ''AQMRICX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区MRI增强成像'', ''AQMRIZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻CT'', ''BCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻MRI'', ''BMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部MR'', ''BBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦CT'', ''BZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦增强CT'', ''BZZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻造影'', ''BZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦MRI'', ''BZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦增强MRI'', ''BZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦鼻镜'', ''BZBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦鼻镜'', ''EZBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上额窦鼻镜'', ''SEZBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨MR'', ''BGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨侧位X线'', ''BGCWXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔MR'', ''BQMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔鼻镜'', ''BQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽侧位X线'', ''BYCWXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽MRI'', ''BYMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽增强MRI'', ''BYZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部鼻镜'', ''BYBBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠镜'', ''CJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠电子肠镜'', ''CDZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉CT'', ''CXMDMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结CT'', ''CXMLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结MR'', ''CXMLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉彩超'', ''CXMDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉MR'', ''CDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉MR'', ''CJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨MR'', ''CZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨X线'', ''CZGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科CT'', ''CKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科增强CT'', ''CKZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁X线'', ''CPXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''MRI心功能评价'', ''MRIXGNPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿MR'', ''DTMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿增强CT'', ''DTZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿增强MRI'', ''DTZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉MR'', ''DYJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器CTA'', ''DZQCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道MRCP'', ''DDMRCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道B超'', ''DDBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道CT'', ''DDCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊PETCT'', ''DNPETCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管MR'', ''DYGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节MR'', ''ZZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节增强CT'', ''ZZGJZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线'', ''ZZGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节增强MRI'', ''ZZGJZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部CT'', ''ZWBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部增强CT'', ''ZWBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶椎MR'', ''ZZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠电子肠镜'', ''XCDZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠电子肠镜'', ''ZCDZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦道瘘管造影'', ''ZDZGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝臂指数测定'', ''ZBZSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''彩超胎心计数'', ''CCTXJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压检测'', ''XYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦MR'', ''EZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳CT'', ''ECT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓CT'', ''EKCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳MRI'', ''EMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部MR'', ''EBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓MRI'', ''EKMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓平片'', ''EKPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳平片'', ''EPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部增强CT'', ''EBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉MR'', ''ZJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉CTA'', ''FDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉增强MRI'', ''FDMZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺静脉CTA'', ''FJMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺小结节CTA'', ''FXJJCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾MR'', ''FZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦CT'', ''DZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦CT'', ''EZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦CT'', ''SZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上额窦CT'', ''SEZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦MR'', ''BZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦X线'', ''FBZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部PETCT'', ''FBPETCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔CT'', ''FQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部MR'', ''FBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部尿路X线'', ''FBNLXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔平片'', ''FQPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部X线透视'', ''FBXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔透视'', ''FQTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结CT'', ''FGGLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟MR'', ''FGGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结MR'', ''FGGLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结CT'', ''HFMLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后MR'', ''FMHMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔动脉彩超'', ''FQDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉彩超'', ''FZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉增强MRI'', ''FZDMZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆胰脾彩超'', ''GDYPCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉彩超'', ''GJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏PETCT'', ''GZPETCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸MR'', ''ZWMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨MR'', ''GGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨X线'', ''GGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉MR'', ''ZDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨X线'', ''ZGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉MR'', ''ZJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔彩超'', ''GQCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉MR'', ''GDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨MR'', ''GGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨X线'', ''GGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉MR'', ''GJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨龄相X线'', ''GLXXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆X线'', ''GPXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆增强CT'', ''GPZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉MR'', ''GMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉CTA'', ''GZDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉MR'', ''GYJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉MR'', ''MDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉MR'', ''MJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马MRI'', ''HMMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦MRI'', ''HMZMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦增强MRI'', ''HMZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺MR'', ''ZXXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉MR'', ''HMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结MR'', ''HFMLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节CT'', ''ZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝部MR'', ''ZBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节MR'', ''ZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节X线'', ''ZGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节增强MRI'', ''ZGJZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓MRI水成像'', ''JSMRISCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱MR'', ''JZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺MR'', ''JZPXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺MR'', ''JZXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部MR'', ''JBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节MR'', ''JGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节X线'', ''JGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节增强MRI'', ''JGJZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨MR'', ''JZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨X线'', ''JZGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩锁关节X线'', ''JSGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠B超'', ''DCBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠CT'', ''DCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠PETCT'', ''JCPETCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠CT'', ''MCCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠CTA'', ''JCCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠MRI'', ''DCMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠彩超(CDFI)'', ''DCCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠肠镜'', ''DCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠电子肠镜'', ''DCDZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''34999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠平片'', ''DCPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠造影'', ''DCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突X线'', ''JTXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰胆管造影'', ''YDGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科彩超'', ''FKCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CO2吸入试验'', ''CO2XRSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉栓子监测'', ''DMSZJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉压迫试验'', ''DMYPSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发泡试验'', ''FPSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卧立位试验'', ''WLWSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝动脉造影'', ''GDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门静脉造影'', ''MJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腔静脉造影'', ''SQJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢静脉造影'', ''SZJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉造影'', ''XQJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性腺静脉造影'', ''XXJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜上动脉造影'', ''CXMSDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜下动脉造影'', ''CXMXDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔动脉干造影'', ''FQDMGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉造影'', ''GJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋间动脉造影'', ''LJDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾动脉造影'', ''PDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂内动脉造影'', ''ZNDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉造影'', ''SZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾动脉造影'', ''SDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾静脉造影'', ''SJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺动脉造影'', ''SSXDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠动脉造影'', ''WSEZCDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃左动脉造影'', ''WZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉造影'', ''XZDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓内动脉造影'', ''XKNDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管动脉造影'', ''ZQGDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫动脉造影'', ''ZGDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全脑血管造影'', ''QNXGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉造影'', ''XZJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管造影'', ''DGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰动脉造影'', ''YDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫输卵管造影'', ''ZGSLGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺MR'', ''JNXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉MR'', ''JSJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结CT'', ''JBLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织CT'', ''JBRZZCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部CT'', ''SJBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部CT'', ''XJBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MR'', ''JBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MRA'', ''JBMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部增强CT'', ''JBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部增强MRI'', ''JBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结MR'', ''JBLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管MR'', ''JBQGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线透视'', ''JBXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部动脉造影CTA'', ''JBDMZYCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉CT'', ''JNJMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉CT'', ''JWJMCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部动脉造影CTA'', ''SJBDMZYCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部动脉造影CTA'', ''XJBDMZYCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉平片'', ''JNJMPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉平片'', ''JWJMPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动静脉MR'', ''JDJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劲动脉CTA'', ''JDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉MR'', ''JDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉MR'', ''JJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉彩超'', ''JJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎MR'', ''JZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎增强CT'', ''JZZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线'', ''JZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎增强MRI'', ''JZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎间盘造影'', ''JZJPZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经根X线造影'', ''SJGXXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨MR'', ''ZZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨X线'', ''ZZGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉MR'', ''ZHDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉MR'', ''ZHJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉MR'', ''ZQDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉MR'', ''ZQJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产前彩超诊断'', ''CQCCZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口咽部MR'', ''KYBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部MR'', ''ZBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部增强CT'', ''ZBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节MR'', ''ZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节X线'', ''ZGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶MRI'', ''KMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶增强MRI'', ''KZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨MR'', ''LGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨X线'', ''LGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪道造影'', ''LDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底增强MRI'', ''LDZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MR'', ''LDGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MRA'', ''LDGMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑CTA'', ''LNCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑MRA'', ''LNMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内动脉CTA'', ''LNDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统CTA'', ''MMXTCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统彩超'', ''MMXTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系彩超'', ''MNXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系造影'', ''MNXZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿器官B超'', ''MNQGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿器官MRI'', ''MNQGMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统MR'', ''MNXTMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿器官彩超'', ''MNQGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统MRI水成像'', ''MNXTMRISCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿器官造影'', ''MNQGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部MR'', ''MLBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官MR'', ''NXQGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性生殖系统彩超'', ''NXSZXTCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑功能MRI'', ''NGNMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑室引流通畅性检测'', ''NSYLTCXJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳CT'', ''NECT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳CT'', ''ZECT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳MRI'', ''NEMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳MRI'', ''ZEMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳平片'', ''NEPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道平片'', ''NTDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳平片'', ''ZEPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道增强MRI'', ''NTDZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道MR'', ''NDMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路CT造影'', ''NLCTZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿器官平片'', ''MNQGPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节X线'', ''ZZGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌关节造影'', ''ZGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节MRI'', ''ZXZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官B超'', ''NXQGBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统MR'', ''NXSZXTMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱MR'', ''BZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部X线透视'', ''PBXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结CT'', ''PQLBJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔MR'', ''PQMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔增强CT'', ''PQZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔增强MRI'', ''PQZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔动脉CTA'', ''PQDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结MR'', ''PQLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏M型超声检查'', ''XZMXCSJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管树CTA'', ''QGSCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管相X线'', ''QGXXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂静脉彩超'', ''ZJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂动脉彩超'', ''ZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下臂CT'', ''XBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂MR'', ''QBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂增强CT'', ''QBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂增强MRI'', ''QBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''球后血管彩超'', ''QHXGCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱增强CT'', ''JZZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MR'', ''QGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MRA'', ''QGMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓X线'', ''QGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉MR'', ''ZDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉MR'', ''ZJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突X线'', ''RTXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房B超'', ''RFBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房CT'', ''RFCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房MR'', ''RFMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺X线'', ''RXXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房彩超(CDFI)'', ''RFCC(CDFI)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺彩超'', ''RXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管造影'', ''RXDGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房钼靶'', ''RFZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结MR'', ''RXQSLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房造影'', ''RFZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺MR'', ''SXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂MR'', ''SBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂增强CT'', ''SBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂增强MRI'', ''SBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上额窦MR'', ''SEZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部CT'', ''SFBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部增强CT'', ''SFBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部MRI'', ''SFBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部增强MRI'', ''SFBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部动脉CTA'', ''SFBDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部CT'', ''SZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部增强CT'', ''SZBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MR'', ''SJBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MRA'', ''SJBMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道造影'', ''SXHDZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨CT'', ''SZGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢MR'', ''SZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉CTA'', ''SZDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉彩超'', ''SZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢彩超血流图'', ''SZCCXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢浅静脉彩超'', ''SZQJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢深静脉彩超'', ''SZSJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下神经孔X线'', ''SXSJKXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺MR'', ''SSXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺增强CT'', ''SSXZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺增强MRI'', ''SSXZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道MR'', ''SDMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管造影'', ''SGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物造影'', ''SGYWZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经孔X线'', ''SSJKXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手MR'', ''SMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部CT'', ''SBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部增强CT'', ''SBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手腕关节X线'', ''SWGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管MR'', ''SJGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管MR'', ''SNGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧精索静脉彩超'', ''SCJSJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双髋关节MRI'', ''SZGJMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾动脉彩超'', ''SSDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾静脉彩超'', ''SSJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手增强MRI'', ''SSZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢负重位X线'', ''SXZFZWXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼B超'', ''SYBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼彩超'', ''SYCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双足增强MRI'', ''SZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉MR'', ''SZDJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节造影'', ''SZGJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节X线透视'', ''SZGJXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴管造影'', ''LBGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨MR'', ''SGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结MR'', ''SGSLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉MR'', ''SGXDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉MR'', ''SGXJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿彩超'', ''TECC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿颈后透明层彩色测定'', ''TEJHTMCCSCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿彩超筛查'', ''TECCSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表血管彩超标记'', ''TBXGCCBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部CT'', ''TBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部增强CT'', ''TBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅增强MRI'', ''TLZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部X线透视'', ''TBXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉MR'', ''TJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅PETCT'', ''TLPETCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MR'', ''TLMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MRA'', ''TLMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅动脉增强成像'', ''LDMZQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅动脉MRI成像'', ''TLDMMRICX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅静脉MRI成像'', ''TLJMMRICX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部MR'', ''TKZBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道平片'', ''WEDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕骨CT'', ''WGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节CT'', ''WGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕部MR'', ''WBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕骨MR'', ''WGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节MR'', ''WGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾骨X线'', ''WGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾椎MR'', ''WZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃MR'', ''WMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道彩超'', ''WCDCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝部MR'', ''XBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节MR'', ''XGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节X线'', ''XGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部CT'', ''XFBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部增强CT'', ''XFBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部MRI'', ''XFBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部增强MRI'', ''XFBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部动脉CTA'', ''XFBDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部CT'', ''XZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部增强CT'', ''XZBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨X线'', ''XZGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MR'', ''XJBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MRA'', ''XJBMRA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉CTA'', ''XQJMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉彩超'', ''XQJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉增强MRI'', ''XQJMZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下咽造影'', ''XYZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢MR'', ''XZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉CTA'', ''XZDMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉彩超'', ''XZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉增强MRI'', ''XZDMZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢彩超血流图'', ''XZCCXLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢浅静脉彩超'', ''XZQJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉CTA'', ''XZSJMCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉彩超'', ''XZSJMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺B超'', ''XXBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺彩超'', ''XXCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠肠镜'', ''XCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑B超'', ''LNBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颅脑多普勒'', ''XELNDPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿MR'', ''XTMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿增强CT'', ''XTZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿增强MRI'', ''XTZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉MR'', ''XYJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包MR'', ''XBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁心电监护'', ''CPXDJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电监护'', ''XDJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏CTA'', ''XZCTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏ECT'', ''XZECT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏X线'', ''XZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏增强MRI'', ''XZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺CT'', ''FCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺CTPA'', ''FCTPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔CT'', ''XQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部MR'', ''XBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部增强CT'', ''XBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部增强MRI'', ''XBZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线透视'', ''XBXXTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨MR'', ''XGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨X线'', ''XGXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔MR'', ''XQMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节MR'', ''XSGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺MR'', ''XXMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腰段X线'', ''XYDXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸主动脉增强MRI'', ''XZDMZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎MR'', ''XZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎X线'', ''XZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎增强MRI'', ''XZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动态血压监测'', ''DTXYJC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙X线'', ''YXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽MR'', ''YMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口咽部CT'', ''KYBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽CT'', ''YCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部B超'', ''HYBBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部CT'', ''HYBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉CT'', ''YHCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部MRI'', ''HYBMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部MR'', ''YHBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部彩超'', ''HYBCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部平片'', ''HYBPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉平片'', ''YHPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咽部造影'', ''HYBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼MRI'', ''YMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部MR'', ''YBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶X线'', ''YKXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼B超'', ''YBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体CT'', ''BLTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房水CT'', ''FSCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晶状体CT'', ''JZTCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼彩超'', ''YCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜平片'', ''JMPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晶状体平片'', ''JZTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼平片'', ''YPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎MR'', ''YZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎增强CT'', ''YZZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线'', ''YZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎增强MRI'', ''YZZQMRI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘造影'', ''YZJPZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬合片X线'', ''YHPXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉MR'', ''YDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉MR'', ''YJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结B超'', ''YWLBJBC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结彩超'', ''YWLBJCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结MR'', ''YXLBJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰胆管MRI水成像'', ''YDGMRISCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体动脉造影'', ''YJHMTDMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体静脉造影'', ''YJHMTJMZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊MR'', ''YNMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹彩超'', ''YXFCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节MR'', ''ZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨CT'', ''ZDGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨增强CT'', ''ZDGZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠肠镜'', ''ZCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节MR'', ''ZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''趾骨MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节CT'', ''ZGJCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部MR'', ''ZBMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节MR'', ''ZGJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节X线'', ''ZGJXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉彩超'', ''ZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘MR'', ''ZJPMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫MR'', ''ZGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管CT'', ''SLGCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件MR'', ''ZGFJMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管MR'', ''ZZQGMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足MR'', ''ZMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足X线'', ''ZXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉MR'', ''ZBDMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉MR'', ''ZBJMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足动脉彩超'', ''ZDMCC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部CT'', ''ZZBCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部增强CT'', ''ZZBZQCT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成人迟发性自身免疫糖尿病'', ''CRCFXZSMYTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴雷特食管'', ''BLTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgA肾病'', ''IgASB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏耳聋综合征'', ''XZELZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''T细胞CLL'', ''TXBCLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿尔茨海默症'', ''AECHMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年痴呆'', ''LNCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年痴呆症'', ''LNCDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性痴呆'', ''LNXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴性痢疾'', ''AMBXLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道阿米巴病'', ''CDAMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴肝脓肿'', ''AMBGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Eisenmenger\''s syndrome'', ''Eisenmenger\''s syndrome'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Eisenmenger\''s综合征'', ''Eisenmenger\''sZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''eisenmenger综合征'', ''eisenmengerZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾生曼格综合征'', ''ASMGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性免疫缺陷综合征'', ''HDXMYQXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性瘢痕疙瘩'', ''JFXZHGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性瘢痕疙瘩'', ''ZFXZHGD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他部位白喉'', ''QTBWBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核性白内障'', ''HXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后囊下白内障'', ''HNXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性白内障'', ''HTXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质性白内障'', ''PZXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性白内障'', ''XTXBNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白塞病综合征'', ''BSBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白塞氏病'', ''BSSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝赫切特综合征'', ''BHQTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝切特氏综合症'', ''BQTSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虫斑'', ''CB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯糠疹'', ''DCKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风癣'', ''FX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生性浅色斑'', ''JSXQSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桃花癣'', ''THX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞特指疾患'', ''BXBTZJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他白细胞疾患'', ''QTBXBJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特指白细胞疾患'', ''TZBXBJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未特指的白细胞疾患'', ''WTZDBXBJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他的斑秃'', ''QTDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特指斑秃'', ''TZBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未特指的斑秃'', ''WTZDBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凹陷性疤痕'', ''AXXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕'', ''BH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''挛缩性疤痕'', ''LSXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平复性疤痕'', ''PFXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅表性疤痕'', ''QBXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手术疤痕'', ''SSBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凸起性疤痕'', ''TQXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎缩性疤痕'', ''WSXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增生性疤痕'', ''ZSXBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕子宫'', ''BHZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上半身水肿'', ''SBSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下半身水肿'', ''XBSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性包茎'', ''HTXBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性包茎'', ''XTXBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假性包皮过长'', ''JXBPGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真性包皮过长'', ''ZXBPGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Bowen病'', ''BowenB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门恶性肿瘤'', ''ZMEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门痉挛'', ''ZMJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门失弛缓(贲门痉挛)'', ''ZMSCH(ZMJL)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨食管'', ''JSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管失弛缓'', ''SGSCH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性食管扩张'', ''TFXSGKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻恶性肿瘤'', ''BEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔恶性肿瘤'', ''BQEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血（鼻衄）'', ''BCX（BZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性鼻窦炎'', ''JHXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性鼻窦炎'', ''ZJXBZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻前庭炎'', ''JXBQTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻前庭炎'', ''MXBQTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻孔肿物'', ''BKZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔包块'', ''BQBK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔肿块'', ''BQZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻多发性息肉'', ''BDFXXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻痔'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部恶性肿瘤'', ''BYBEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽恶性肿瘤'', ''BYEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性鼻炎'', ''YWXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性气胸'', ''DCXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体肿大'', ''BTTZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性扁桃腺炎'', ''JXBTXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变异形心绞痛'', ''BYXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤白细胞碎裂性血管炎'', ''PFBXBSLXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤小血管血管炎'', ''PFXXGXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''器质性便秘'', ''QZXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性髌骨骨折'', ''CJXZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉碎性髌骨骨折'', ''FSXZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开放性髌骨骨折'', ''KFXZGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝'', ''BG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型肝炎'', ''BXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎病原携带者'', ''BDXGYBYXDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毒性肝炎'', ''DXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性上呼吸道感染'', ''BDXSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性下呼吸道感染'', ''BDXXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸道病毒感染'', ''HXDBDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸道病毒性感染'', ''HXDBDXGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒疹'', ''BDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹性食管炎'', ''ZZXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性窦房结功能不全'', ''JXZFJGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''SSS'', ''SSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病窦综合征'', ''BZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦'', ''BTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦性综合症'', ''BTZXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦综合症'', ''BTZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呆钝窦房结综合征'', ''DDZFJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房结功能不全'', ''ZFJGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房晕厥'', ''ZFYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惰性窦房结'', ''DXZFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体积血'', ''BLTJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体浮游物'', ''BLTFYW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体混沌'', ''BLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体混浊'', ''BLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内因性玻璃体混浊'', ''NYXBLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外因性玻璃体混浊'', ''WYXBLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性玻璃体混浊'', ''XTXBLTHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房脓肿'', ''RFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房乳汁淤积症'', ''RFRZYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房湿疹'', ''RFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头糜烂'', ''RTML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头外伤'', ''RTWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ekbom综合征'', ''EkbomZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不安肢综合征'', ''BAZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不典型慢性粒细胞白血病'', ''BDXMXLXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不全性肠梗阻'', ''BQXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳定型心绞痛'', ''BWDXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳定性心绞痛'', ''BWDXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性不孕'', ''NXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Budd-Chiari综合征'', ''Budd-ChiariZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉血栓形成综合征'', ''GJMXSXCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉阻塞综合征'', ''GJMZSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Mooren角膜溃疡'', ''MoorenJMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石性肠梗阻'', ''DSXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''完全性肠梗阻'', ''WQXCGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型肠结核'', ''HHXCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠系膜动脉栓塞'', ''JXCXMDMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠系膜上动脉闭塞'', ''JXCXMSDMBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性肠炎'', ''GMXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫性肠炎'', ''JSCXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓毒性肠炎'', ''NDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肠炎'', ''XJXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎症性肠病'', ''YZXCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性肠炎'', ''ZJXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''irritable bowel syndrome'', ''irritable bowel syndrome'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘型'', ''BMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不定型'', ''BDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道激惹综合征'', ''CDJRZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道易激综合征'', ''CDYJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠激惹综合征'', ''CJRZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠激惹综合症（过敏性肠综合症）'', ''CJRZHZ（GMXCZHZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠易激综合征伴腹泻'', ''CYJZHZBFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻型'', ''FXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性肠综合症'', ''GMXCZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型'', ''HHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尘肺职业病'', ''CFZYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺尘埃沉着病'', ''FCACZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''职业性肺病'', ''ZYXFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性脑梗塞'', ''CJXNGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性脑卒中'', ''CJXNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性缺血性脑卒中'', ''CJXQXXNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性缺血性卒中'', ''CJXQXXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性中风'', ''CJXZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''常染色体显性遗传多囊性肾病'', ''CRSTXXYCDNXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''常染色体显性遗传型多囊肾'', ''CRSTXXYCXDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应性亚败血症'', ''BYXYBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成人still病'', ''CRstillB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性单核细胞增多综合征'', ''CRXDHXBZDZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺热病'', ''XRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''SARS'', ''SARS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症急性呼吸综合征'', ''ZZJXHXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性肝脏破裂'', ''CSXGZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体肿瘤'', ''CTZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体前叶机能减退'', ''CTQYJNJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变态反应性唇炎'', ''BTFYXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''光化性唇炎'', ''GHXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性唇炎'', ''JXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞性唇炎'', ''JXBXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性淋巴增生性唇炎'', ''LXLBZSXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性唇炎'', ''MXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非特异性唇炎'', ''MXFTYXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅-罗综合征'', ''M-LZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉芽肿性唇炎'', ''RYZXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺性唇炎'', ''XXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉刺'', ''FC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节性痤疮'', ''JJXZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''囊肿性痤疮'', ''NZXZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青春痘'', ''QCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寻常痤疮'', ''XCZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''职业性痤疮'', ''ZYXZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石症'', ''DSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊恶性肿瘤'', ''DNEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆结石'', ''DJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴胆囊炎'', ''DNJSBDNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无症状蛋白尿'', ''WZZDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质能量营养不良'', ''DBZNLYYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质能量营养不良症'', ''DBZNLYYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质-热量营养不良症'', ''DBZ-RLYYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑内翻倒睫'', ''ZNFDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑内翻和倒睫'', ''ZNFHDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''登革出血热'', ''DGCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾型周期性麻痹'', ''DJXZQXMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾性周期性麻痹'', ''DJXZQXMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾性周期性瘫痪'', ''DJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血钾型周期性麻痹'', ''DXJXZQXMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血钾型周期性瘫痪'', ''DXJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血钾性周期性麻痹'', ''DXJXZQXMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血钾性周期性瘫痪'', ''DXJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖'', ''DXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性癫痫'', ''JFXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突发性癫痫'', ''TFXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊癫疯'', ''YZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊角风'', ''YJF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油耳'', ''YE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉动脉瘤'', ''FDMDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝动脉瘤'', ''GDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉瘤'', ''JDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内动脉瘤'', ''JNDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾动脉瘤'', ''PDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂动脉瘤'', ''ZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉瘤'', ''SZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾动脉瘤'', ''SDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉瘤'', ''XZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房阻滞'', ''ZFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房结折返性心动过速'', ''ZFJZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性间歇'', ''ZXJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性静止'', ''ZXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性暂停'', ''ZXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TIA'', ''TIA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合瓣膜病'', ''FHBMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联合瓣膜病变'', ''LHBMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多部位性急性上呼吸道感染'', ''DBWXJXSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多灶性呼吸道感染'', ''DZXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓瘤'', ''GSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓瘤病'', ''GSLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞性骨髓瘤'', ''JXBXGSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病末梢神经炎'', ''TNBMSSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性神经炎'', ''DFXSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性外周神经炎'', ''DFXWZSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Perlmann综合征'', ''PerlmannZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Potter(Ⅰ)综合征'', ''Potter(Ⅰ)ZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PotterⅠ综合征'', ''PotterⅠZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊病'', ''DNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''囊胞肾'', ''NBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏良性多房性囊瘤'', ''SZLXDFXNL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧肾发育不全综合征'', ''SCSFYBQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性肾囊肿瘤病'', ''XTXSNZLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单羊膜双胎'', ''DYMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联体双胎'', ''LTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双胎生长不一致'', ''STSCBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双胎输血综合征'', ''STSXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无心双胎'', ''WXST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶化劳力型心绞痛'', ''EHLLXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶劣心境'', ''ELXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心境恶劣'', ''XJEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心境恶劣障碍'', ''XJELZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性淋巴癌'', ''EXLBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴恶性肿瘤'', ''LBEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童糖尿病'', ''ETTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿糖尿病'', ''XETNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳流脓'', ''ELN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性耳聋'', ''HTXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤性耳聋'', ''WSXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性耳聋'', ''XTXEL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣返流'', ''EJBFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣病变'', ''EJBBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性二尖瓣关闭不全'', ''FSXEJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性二尖瓣关闭不全'', ''JXEJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性二尖瓣关闭不全'', ''XTXEJBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性二尖瓣狭窄'', ''XTXEJBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不明原因发热'', ''BMYYFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性发热'', ''GRXFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀四联症'', ''FZSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法乐氏四联症'', ''FLSSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法乐四联症'', ''FLSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法鲁氏四联症'', ''FLSSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法鲁氏四联症(紫绀四联症)'', ''FLSSLZ(ZZSLZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法鲁四联症'', ''FLSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法洛氏四联症'', ''FLSSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性紫绀四联症'', ''XTXZZSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫绀四联症'', ''ZZSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆汁反流性胃炎'', ''DZFLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性反流性胃炎'', ''JXFLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性反流性咽炎'', ''JXFLXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性反流性咽炎'', ''MXFLXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二度房室传导阻滞'', ''EDFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室阻滞'', ''FSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性房室传导阻滞'', ''JFXFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性房室传导阻滞'', ''XTXFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一度房室传导阻滞'', ''YDFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性房室传导阻滞'', ''YFXFSCDZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界性期前收缩'', ''FSJJXQQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界性逸搏和逸搏心律'', ''FSJJXYBHYBXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结折返性心动过速'', ''FSJZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非陈发性房室交界性心动过速'', ''FCFXFSJJXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AVJRT'', ''AVJRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AVNRT'', ''AVNRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界区折返性室上性心动过速'', ''FSJJQZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界区折返性心动过速'', ''FSJJQZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界区折返性心动过速（AVJRT）'', ''FSJJQZFXXDGS（AVJRT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结内折返性室上性心动过速'', ''FSJNZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结内折返性心动过速'', ''FSJNZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结内折返性心动过速（AVNRT）'', ''FSJNZFXXDGS（AVNRT）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结折返性室上性心动过速'', ''FSJZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''AVRT'', ''AVRT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室折返性室上性心动过速'', ''FSZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室折返性心动过速'', ''FSZFXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性早搏'', ''FXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房早'', ''FZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房速'', ''FS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NSTE-ACS'', ''NSTE-ACS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚性非梗阻性心肌病'', ''FHXFGZXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非糜烂性胃食管反流病'', ''FMLXWSGFLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液性蛋白尿'', ''TYXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''组织性蛋白尿'', ''ZZXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非心脏性猝死'', ''FXZXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚性咽炎'', ''FHXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肥厚性咽炎'', ''MXFHXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚性心肌病'', ''FHXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗阻性肥厚型心肌病'', ''GZXFHXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大细胞肺癌'', ''DXBFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非小细胞肺癌'', ''FXXBFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺恶性肿瘤'', ''FEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性支气管癌'', ''YFXZQGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性支气管肺癌'', ''YFXZQGFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管肺癌'', ''ZQGFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中央型肺癌'', ''ZYXFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌肺转移'', ''FAFZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌骨转移'', ''FAGZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎'', ''FY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫性肺炎'', ''JSCXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小叶性肺炎'', ''XYXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管肺炎'', ''ZQGFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体肺炎'', ''ZYTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺大泡Ⅰ型'', ''FDPⅠX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺大泡Ⅱ型'', ''FDPⅡX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺大泡Ⅲ型'', ''FDPⅢX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺部疾病和低氧所致肺动脉高压'', ''FBJBHDYSZFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉高压病'', ''FDMGYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疾病相关性肺动脉高压'', ''JBXGXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肺动脉高压'', ''JFXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性血栓栓塞性肺动脉高压'', ''MXXSSSXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物和毒物所致肺动脉高压'', ''YWHDWSZFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性肺动脉高压'', ''YCXFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心疾病所致肺动脉高压'', ''ZXJBSZFDMGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核病'', ''FJHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕性肺气肿'', ''ZHXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代偿性肺气肿'', ''DCXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺气肿'', ''JZXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性肺气肿'', ''LNXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''旁间隔性肺气肿'', ''PJGXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灶性肺气肿'', ''ZXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非梗死型'', ''FGSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺梗塞'', ''FGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺梗死型'', ''FGSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺血栓栓塞'', ''FXSSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺血栓栓塞症'', ''FXSSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非心源性肺水肿'', ''FXYXFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性肺水肿'', ''XYXFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎球菌肺炎'', ''FYQJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎球菌性肺炎'', ''FYQJXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体肺炎'', ''YYTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷凝集阳性肺炎'', ''LNJYXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体性肺炎'', ''ZYTXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺心病'', ''FXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分离转换性障碍'', ''FLZHXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分离转换障碍'', ''FLZHZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''歇斯底里症'', ''XSDLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癔症'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分裂情感性精神病'', ''FLQGXJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非化脓性中耳炎'', ''FHNXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼓室积液'', ''GSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆液性中耳炎'', ''JYXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶耳'', ''JE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡他性中耳炎'', ''KTXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏液性中耳炎'', ''ZYXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗出性中耳炎'', ''SCXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌性中耳炎'', ''WJXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿分泌性中耳炎'', ''XEFMXZEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳积液'', ''ZEJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣膜风湿性心内膜病'', ''BMFSXXNMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣膜风湿性心内膜疾病'', ''BMFSXXNMJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性心内膜病'', ''FSXXNMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性心内膜疾病'', ''FSXXNMJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风心病'', ''FXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性上呼吸道感染'', ''FFXSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斜疝'', ''XZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直疝'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分泌性腹泻'', ''FMXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透性腹泻'', ''STXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎症性腹泻'', ''YZXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动障碍性腹泻'', ''YDZAXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪性腹泻'', ''ZFXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏恶性肿瘤'', ''GZEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝外胆管结石'', ''GWDGJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴(慢性)胆囊炎'', ''GDGJSB(MX)DNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食管胃底静脉曲张'', ''GYHBSGWDJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝破裂'', ''GPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝占位'', ''GZW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝良性肿瘤'', ''GLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒病'', ''GMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性感染性心内膜炎'', ''JXGRXXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性感染性心内膜炎'', ''YJXGRXXNMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角结膜干燥症'', ''JJMGZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜干燥症'', ''JMGZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冈上肌综合征'', ''GSJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛窦炎'', ''GZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛管癌'', ''GGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门皮肤病'', ''GMPFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门神经症'', ''GMSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门直肠结核'', ''GMZCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门直肠狭窄'', ''GMZCXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门直肠先天性畸形，肛门直肠外伤'', ''GMZCXTXJX，GMZCWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛乳头瘤'', ''GRTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠前突'', ''ZCQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠脱垂'', ''ZCTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆固醇血症'', ''DGCXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低密度脂蛋白血症'', ''DMDZDBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油三酯血症'', ''GYSZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血钾型周期性瘫痪'', ''GXJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高催乳素血症'', ''GCRSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高泌催乳素血症'', ''GMCRSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗高血糖综合征'', ''GSGXTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血糖高渗状态'', ''GXTGSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血糖高渗综合征'', ''GXTGSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病非酮症高渗综合征'', ''TNBFTZGSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病高渗性昏迷'', ''TNBGSXHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童青少年高血压'', ''ETQSNGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''35999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压病'', ''GXYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高血压'', ''RSGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顽固性高血压'', ''WGXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级(低危)'', ''GXY1J(DW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级(中危)'', ''GXY2J(ZW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级(高危)'', ''GXY3J(GW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压脑病'', ''GXYNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症'', ''GZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂血症'', ''ZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高海拔肺水肿'', ''GHBFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高山肺水肿'', ''GSFSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞘膜积液'', ''QMJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性黄疸'', ''ZSXHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能(障碍)性子宫出血'', ''GN(ZA)XZGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性子宫出血'', ''GNXZGCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功血'', ''GX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血'', ''GX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血症'', ''GXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排卵型功血'', ''PLXGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无排卵型功血'', ''WPLXGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出口梗阻型便秘'', ''CKGZXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型便秘'', ''HHXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢传输型便秘'', ''MCSXBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈恶性肿瘤'', ''GJEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈机能不全'', ''ZGJJNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈糜烂'', ''ZGJML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈息肉'', ''ZGJXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈纳囊'', ''GJNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈纳氏囊肿'', ''GJNSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈腺囊肿'', ''GJXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳囊'', ''NN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳氏囊肿'', ''NSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈炎'', ''ZGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈原位癌'', ''ZGJYWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈增生'', ''ZGJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Asheman综合征'', ''AshemanZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩体病'', ''GTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质增生'', ''GZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节病'', ''GJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疾病'', ''GJJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退行性关节炎'', ''TXXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥大性关节炎'', ''FDXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节病'', ''GGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性骨关节炎'', ''JFXGGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性关节炎'', ''LNXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退行性骨关节病'', ''TXXGGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退行性骨关节炎'', ''TXXGGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退行性关节病'', ''TXXGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性骨关节炎'', ''YFXGGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外生骨疣'', ''WSGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓异常增生综合征'', ''GSYCZSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尤文氏肉瘤'', ''YWSRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松伴病理性骨折'', ''GZSSBBLXGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳膜穿孔'', ''EMCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应性关节炎'', ''FYXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心病'', ''GXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色念珠菌性龟头包皮炎'', ''BSNZJXGTBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫性龟头包皮炎'', ''DCXGTBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性浅表性龟头包皮炎'', ''JXQBXGTBPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性龟头炎'', ''NZJXGTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变态反应'', ''BTFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应性鼻炎'', ''BYXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性过敏性鼻炎'', ''MXGMXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外源性过敏性肺泡炎'', ''WYXGMXFPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑角化病'', ''HJHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑素瘤'', ''HSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性黑色素瘤'', ''LXHSSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色素痣'', ''SSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ramsay Hunt综合症'', ''Ramsay HuntZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亨特综合征'', ''HTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝状神经节炎'', ''XZSJJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前葡萄膜炎'', ''QPTMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉恶性肿瘤'', ''HEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉气管瘢痕性狭窄'', ''HQGZHXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性喉炎'', ''BDXHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下呼吸道感染'', ''XHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼衰'', ''HS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中枢性呼吸衰竭'', ''ZSXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围性呼吸衰竭'', ''ZWXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左肾静脉受压'', ''ZSJMSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汗斑'', ''HB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花斑癣'', ''HBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性滑囊炎'', ''GRXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性滑囊炎'', ''JXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性滑囊炎'', ''MXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''损伤性滑囊炎'', ''SSXHNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应性胃炎'', ''FYXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝斑'', ''GB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性会厌囊肿'', ''HTXHYNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性会厌囊肿'', ''XTXHYNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性高脂血症'', ''HHXGZXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型心绞痛'', ''HHXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Bernard-Horner综合征'', ''Bernard-HornerZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Claude-Bernard-Horner综合征'', ''Claude-Bernard-HornerZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颈交感神经麻痹综合征'', ''XEJJGSJMBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉营养不良症'', ''JRYYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌营养不良'', ''JYYBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕蚀性溃疡'', ''CSXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对称性多神经根炎'', ''DCXDSJGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格林巴利综合征'', ''GLBLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格林-巴利综合征'', ''GL-BLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉兰-巴雷综合征'', ''JL-BLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性特发性多神经炎'', ''JXTFXDSJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性炎症性脱髓鞘性多发性神经病'', ''JXYZXTSQXDFXSJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''STEMI'', ''STEMI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ST段抬高型心肌梗死'', ''STDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ST段抬高性心肌梗死'', ''STDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性ST段抬高型心肌梗死'', ''JXSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤风'', ''SF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽炎和喉炎'', ''JXBDXYYHHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血性肠炎'', ''JXCXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血性坏死性肠炎'', ''JXCXXHSXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏死出血性肠炎'', ''JXHSCXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏死性出血性肠炎'', ''JXHSXCXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎伴穿孔'', ''JXLWYBCK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高型心肌梗死'', ''FSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高性心肌梗死'', ''FSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NSTEMI'', ''NSTEMI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高性急型心肌梗死'', ''FSTDTGXJXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高性急性心肌梗死'', ''FSTDTGXJXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性非ST段抬高性心肌梗死'', ''JXFSTDTGXXJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺血栓栓塞症'', ''JXFXSSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性幽门螺杆菌胃炎'', ''JXYMLGJWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性子宫颈炎'', ''JXZGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ACS'', ''ACS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠脉综合征'', ''JXGMZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠脉综合征（ACS）'', ''JXGMZHZ（ACS）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠状动脉综合征'', ''JXGZDMZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ARDS'', ''ARDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成人呼吸窘迫综合征'', ''CRHXJPZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性Ⅰ型呼吸衰竭'', ''JXⅠXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性Ⅱ型呼吸衰竭'', ''JXⅡXHXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性扁桃腺炎'', ''JXHNXBTXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性会厌前咽峡炎'', ''JXHYQYXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性声门上喉炎'', ''JXSMSHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑'', ''JXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊恐障碍'', ''JKZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性口腔炎'', ''XJXKQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性腮腺炎'', ''JXHNXSXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性腮腺炎急性发作'', ''MXSXYJXFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上感'', ''SG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性原发性血小板减少性紫癜'', ''JXYFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性单纯性胃炎'', ''JXDCXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腐蚀性胃炎'', ''JXFSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性胃炎'', ''JXHNXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性糜烂出血性胃炎'', ''JXMLCXXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性菌痢'', ''JXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性志贺菌病'', ''JXZHJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心脏填塞'', ''JXXZTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心脏压塞'', ''JXXZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性特发性心包炎'', ''JXTFXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非心源性急性心衰'', ''FXYXJXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心衰'', ''JXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性急性心衰'', ''XYXJXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腺样体炎'', ''JXXYTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽结膜炎'', ''YJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性硬脑膜下血肿'', ''DCXYNMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合性硬脑膜下血肿'', ''FHXYNMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性硬脑膜下血肿'', ''JXYNMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性右心力衰竭'', ''JXYXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性右心衰'', ''JXYXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性气管支气管炎'', ''JXQGZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性左心衰'', ''JXZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发型肺结核（Ⅲ型）'', ''JFXFJH（ⅢX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝继发恶性肿瘤'', ''GJFEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经性气胸'', ''YJXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫引发的呼吸道感染'', ''JSCYFDHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Hailey-Hailey病'', ''Hailey-HaileyB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性良性慢性天疱疮'', ''JZXLXMXTZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性腺瘤性息肉病'', ''JZXXLXXRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结直肠家族性息肉病'', ''JZCJZXXRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲流'', ''JL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝'', ''JG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎'', ''JXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灰指甲'', ''HZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲真菌病'', ''JZJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能减退'', ''JZPXGNJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能亢进'', ''JZPXGNKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲减'', ''JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺机能减退症'', ''JZXJNJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退肌病'', ''JZXGNJTJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲亢'', ''JK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进症'', ''JZXGNKJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺疾患'', ''JZXJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射性甲状腺炎'', ''FSXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性甲状腺炎'', ''GRXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性甲状腺炎'', ''JXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性甲状腺炎'', ''MXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桥本甲状腺炎（即慢性淋巴细胞性甲状腺炎）'', ''QBJZXY（JMXLBXBXJZXY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎缩性甲状腺炎'', ''WSXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无痛性甲状腺炎'', ''WTXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性甲状腺炎（非化脓性甲状腺炎）'', ''YJXJZXY（FHNXJZXY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖器疣'', ''SZQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性病疣'', ''XBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ILD'', ''ILD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺病'', ''JZXFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弥漫性肺疾病'', ''MMXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弥漫性实质性肺疾病'', ''MMXSZXFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性肺病'', ''YWXFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰冻肩'', ''BDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻结肩'', ''DJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩（关节）周炎'', ''J（GJ）ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节周围炎'', ''JGJZWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节周围炎（肩周炎）'', ''JGJZWY（JZY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝肩'', ''NJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五十肩'', ''WSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霰粒肿'', ''ZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫浆膜下肌瘤'', ''ZGJMXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''(髓外的)浆细胞瘤'', ''(SWD)JXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单发性浆细胞骨髓瘤'', ''DFXJXBGSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孤立性骨髓瘤'', ''GLXGSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞肉瘤'', ''JXBRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髓外浆细胞瘤'', ''SWJXBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理性焦虑'', ''BLXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑状态'', ''JLZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''现实性焦虑'', ''XSXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑性神经症'', ''JLXSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹性角膜炎'', ''DZZZXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹性角膜炎'', ''DCZZXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘性角膜炎'', ''NDXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠恶性肿瘤'', ''JCEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性结肠息肉'', ''DFXJCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮'', ''HBLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞动脉炎及干燥综合征'', ''JXBDMYJGZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿关节炎'', ''LFSGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''韦格纳肉芽肿'', ''WGNRYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬皮病'', ''YPB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高度近视'', ''GDJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突过长'', ''JTGC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突神经痛'', ''JTSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经前紧张综合征'', ''JQJZZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神分裂'', ''JSFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑器质性精神障碍'', ''NQZXJSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉粥样硬化'', ''JDMZYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺毒性黏蛋白沉积症'', ''JZXDXZDBCJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性下肢静脉功能不全'', ''MXXZJMGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后无痛性甲状腺炎'', ''CHWTXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗死后心绞痛'', ''GSHXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息型心绞痛'', ''JXXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卧位型心绞痛'', ''WWXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝炎'', ''JJXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精依赖症'', ''JJYLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒糟鼻'', ''JZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫瑰痤疮'', ''MGZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞包涵体病'', ''JXBBHTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒感染症'', ''JXBBDGRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经期出血'', ''JJQCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Kaposi肉瘤'', ''KaposiRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交通性气胸'', ''JTXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Hoghes综合征'', ''HoghesZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''节段性肠炎'', ''JDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限性肠炎'', ''JXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限性回肠炎'', ''JXXHCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉芽肿性肠炎'', ''RYZXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇单纯疱疹'', ''CDCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿弗他口炎'', ''AFTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿弗他溃疡'', ''AFTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性阿弗他口炎'', ''FFXAFTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性阿弗他溃疡'', ''FFXAFTKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性口疮'', ''FFXKC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性口腔溃疡'', ''FFXKQKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口疮'', ''KC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性口腔炎'', ''KYXKQY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌口角炎'', ''NZJKJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹性口炎'', ''ZZXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物过敏性口炎'', ''YWGMXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯兴综合征'', ''KXZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇增多症'', ''PZCZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐水症'', ''KSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性肠结核'', ''KYXCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''充血性心肌病'', ''CXXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性心肌病'', ''JJXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扩张性心肌病'', ''KZXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''围产(生)期心肌病'', ''WC(S)QXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过速性心肌病'', ''XDGSXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''致心律失常右室心肌病'', ''ZXLSCYSXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾术后残根部炎'', ''LWSHCGBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾术后残根炎'', ''LWSHCGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾术后残株炎'', ''LWSHCZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺朗格汉斯细胞组织细胞增多症'', ''FLGHSXBZZXBZDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''初发型劳力性心绞痛'', ''CFXLLXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳定型劳力性心绞痛'', ''WDXLLXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年高血压'', ''LNGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''年龄相关性黄斑变性'', ''NLXGXHBBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老花'', ''LH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老花眼'', ''LHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性雷诺综合征'', ''JFXLNZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺病'', ''LNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺氏症'', ''LNSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺氏综合症'', ''LNSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性雷诺综合征'', ''TFXLNZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢端动脉痉挛症'', ''ZDDMJLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢端血管痉挛症'', ''ZDXGJLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪腺炎'', ''LXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类癌'', ''LA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性关节炎'', ''FSXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梨状窝恶性肿瘤'', ''LZWEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞减少症'', ''ZXLXBJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞减少症和粒细胞缺乏症'', ''BXBJSZHLXBQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞缺乏症'', ''ZXLXBQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网状淋巴管炎'', ''WZLBGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结增大'', ''LBJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋病性宫颈炎'', ''LBXGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋病性尿道炎'', ''LBXNDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表皮癌'', ''BPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞癌'', ''LA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不全流产'', ''BQLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稽留流产'', ''JLLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''完全流产'', ''WQLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流产感染'', ''LCGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感性急性上呼吸道感染'', ''LGXJXSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑疹伤寒'', ''BZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地方性斑疹伤寒'', ''DFXBZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''典型斑疹伤寒'', ''DXBZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼠型斑疹伤寒'', ''SXBZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚤传斑疹伤寒'', ''ZCBZSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性脑脊髓膜炎'', ''LXXNJSMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流脑'', ''LN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流腮'', ''LS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痄腮'', ''ZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢癌'', ''LCA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白体囊肿'', ''BTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄素囊肿'', ''HSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体囊肿'', ''HTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵泡膜黄素囊肿'', ''LPMHSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵泡囊肿'', ''LPNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滤泡囊肿'', ''LPNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滤泡性囊肿性卵巢疾病'', ''LPXNZXLCJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢型子宫内膜异位症'', ''LCXZGNMYWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性卵巢炎'', ''JXLCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性卵巢炎'', ''MXLCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢功能衰竭'', ''LCGNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢功能早衰'', ''LCGNZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢良性肿瘤'', ''LCLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒性肠炎'', ''LZBDXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马凡氏综合症'', ''MFSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马方综合征'', ''MFZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎，丙型，慢性'', ''BDXGY，BX，MX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺血栓栓塞症'', ''MXFXSSSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺心病'', ''MXFXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺原心脏病'', ''MXFYXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠源性慢性腹泻'', ''CYXMXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃源性腹泻'', ''WYXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性感染性脱髓鞘性多发性神经根神经病'', ''MXGRXTSQXDFXSJGSJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性子宫颈炎'', ''MXZGJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性化脓性中耳炎胆脂瘤型'', ''MXHNXZEYDZLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性乙型活动性肝炎'', ''MXYXHDXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''广泛性焦虑'', ''GFXJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''广泛性焦虑障碍'', ''GFXJLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒-单核细胞白血病'', ''MXL-DHXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CML'', ''CML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢粒'', ''ML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒细胞白血病'', ''MXLXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒细胞性白血病'', ''MXLXBXBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性髓细胞白血病'', ''MXSXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CLL'', ''CLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢淋'', ''ML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性淋巴细胞白血病'', ''MXLBXBBXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''(慢性)上颌窦炎'', ''(MX)SZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢肾'', ''MS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾病'', ''SB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾功能衰竭'', ''MXSGNSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾衰'', ''MXSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾脏病'', ''MXSZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿毒症'', ''NDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性原发性血小板减少性紫癜'', ''MXYFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多灶性萎缩性胃炎'', ''DZXWSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎缩性胃炎'', ''WSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性萎缩性胃炎'', ''ZSMYXWSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非萎缩性胃炎'', ''MXFWSXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性特殊类型胃炎'', ''MXTSLXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性心衰'', ''MXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎，乙型，慢性'', ''BDXGY，YX，MX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性右心力衰竭'', ''MXYXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性右心衰'', ''MXYXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性单纯性支气管炎'', ''MXDCXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''COPD'', ''COPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺病'', ''MXZSXFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺炎'', ''MXZSXFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性支气管炎'', ''MXZSXZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢阻肺'', ''MZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疖'', ''Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疖病'', ''ZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疖子'', ''ZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痈'', ''Y'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二期梅毒'', ''EQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非神经梅毒'', ''FSJMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性显性梅毒'', ''HDXXXMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性隐性梅毒'', ''HDXYXMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期梅毒'', ''RSQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三期梅毒'', ''SQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经梅毒'', ''SJMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎传梅毒'', ''TCMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天潜伏梅毒'', ''XTQFMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性显性梅毒'', ''XTXXXMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一期梅毒'', ''YQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿结石'', ''NJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路结石'', ''NLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿石症'', ''NSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上尿路结石'', ''SNLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下尿路结石'', ''XNLJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非特异性免疫低下宿主肺炎'', ''FTYXMYDXSZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性免疫低下宿主肺炎'', ''HDXMYDXSZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特异性免疫低下宿主肺炎'', ''TYXMYDXSZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性免疫低下宿主肺炎'', ''XTXMYDXSZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面神经瘫痪'', ''MSJTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膜性肾小球肾炎'', ''MXSXQSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑溢血'', ''NYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突发性脑溢血'', ''TFXNYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑溢血后遗症'', ''NYXHYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑梗塞'', ''NGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑卒中'', ''NZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性脑卒中'', ''QXXNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性卒中'', ''QXXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中风'', ''ZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑供血不足'', ''NGXBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霉菌性阴道炎'', ''MJXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性阴道炎'', ''ZJXYDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道综合征'', ''NDZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿道感染'', ''MNDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Costen综合征'', ''CostenZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节综合征'', ''ZZGJZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节-疼痛-功能紊乱综合征'', ''ZXZGJ-TT-GNWLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓胸'', ''NX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺如病毒急性胃肠炎'', ''NRBDJXWCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈性不孕'', ''GJXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢性不孕'', ''LCXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫性不孕'', ''MYXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌性不孕'', ''NFMXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女子不孕症'', ''NZBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管性不孕症'', ''SLGXBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴性不孕'', ''WYXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道性不孕'', ''YDXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫性不孕'', ''ZGXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性继发性不育'', ''NXJFXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性原发性不育'', ''NXYFXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发不孕'', ''YFBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森氏病'', ''PJSSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱恶性肿瘤'', ''BZEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆底痉挛综合征'', ''PDJLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性盆腔炎症'', ''JXPQYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淤积充盈综合症'', ''PQYJCYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性黑色素瘤'', ''EXHSSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性黑素瘤'', ''EXHSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感染'', ''PFGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤及皮肤结构感染'', ''PFJPFJGGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤软组织感染'', ''PFRZZGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软组织感染'', ''RZZGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤鳞癌'', ''PFLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汗疱疹'', ''HZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉瘤'', ''FL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾机能亢进'', ''PJNKJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾亢'', ''PK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性贫血'', ''EXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞生成减少性贫血'', ''HXBSCJSXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''库利贫血'', ''KLPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失血性贫血'', ''SXXPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌肺炎'', ''PTQJFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''部分性葡萄胎'', ''BFXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水泡状胎块'', ''SPZTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''完全性葡萄胎'', ''WQXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性脐疝'', ''FFXQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性脐疝'', ''XTXQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管白喉'', ''ZQGBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手术后气管狭窄'', ''SSHQGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管疾病'', ''ZQGJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张'', ''ZQGKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管炎'', ''ZQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性气胸'', ''TFXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺癌'', ''QLXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺良性肿瘤'', ''QLXLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氏腺囊肿'', ''BSXNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强迫性神经症'', ''QPXSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''僵直性脊柱炎'', ''JZXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''僵直性脊椎炎'', ''JZXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性脊柱炎'', ''LFSXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性脊椎炎'', ''LFSXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强直性脊柱炎(类风湿性脊柱炎)'', ''QZXJZY(LFSXJZY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强直性脊椎炎'', ''QZXJZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性淋巴细胞性甲状腺炎'', ''MXLBXBXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性自身免疫性甲状腺炎'', ''MXZSMYXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桥本甲状腺炎'', ''QBJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维性自身免疫性甲状腺炎'', ''XWXZSMYXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人禽流感'', ''RQLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人禽流行性感冒'', ''RQLXXGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感引发的呼吸道感染'', ''QLGYFDHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感引发的上呼吸道感染'', ''QLGYFDSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性闭角型青光眼'', ''MXBJXQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性开角型青光眼'', ''YFXKJXQGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环性心境障碍'', ''HXXJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情感性精神病'', ''QGXJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情感性障碍'', ''QGXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心境障碍'', ''XJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹性苔癣'', ''ZMZXTX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈光不同'', ''QGBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈光异常'', ''QGYC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''躯体化障碍'', ''QTHZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未分化躯体形式障碍'', ''WFHQTXSZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疑病症'', ''YBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虫牙'', ''CY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龋病'', ''QB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛀牙'', ''ZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真性黏液性水肿'', ''ZXZYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全心力衰竭'', ''QXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全心衰'', ''QXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性缺血性心脏病'', ''MXQXXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手术流产'', ''SSLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物流产'', ''YWLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早期妊娠终止'', ''ZQRSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''终止妊娠'', ''ZZRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊高症'', ''RGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高压'', ''RSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高压综合征'', ''RSGYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期高血压疾病'', ''RSQGXYJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期肺炎'', ''RSQFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠剧吐伴代谢紊乱'', ''RSJTBDXWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期剧吐'', ''RSQJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠糖尿病'', ''RSTNB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病合并妊娠'', ''TNBHBRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠'', ''RS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晒斑'', ''SB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日晒伤'', ''RSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒癌'', ''RA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛癌'', ''RMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房疾病'', ''RFJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺恶性肿瘤'', ''RXEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管内乳头状瘤病'', ''RXDGNRTZLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性囊性乳腺炎'', ''MXNXRXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房小叶增生'', ''RFXYZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺囊性增生病(慢性囊性乳腺炎)'', ''RXNXZSB(MXNXRXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺小叶增生症'', ''RXXYZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维瘤'', ''RXXWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺小叶硬化病'', ''RXXYYHB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺良性肿瘤'', ''RXLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺肿块'', ''RXZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男方弱精症'', ''NFRJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性弱精症'', ''NXRJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弱精子症'', ''RJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性三叉神经痛'', ''JFXSCSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣闭锁'', ''SJBBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣狭窄'', ''SJBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣下移畸形'', ''SJBXYJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性上颌窦炎'', ''JXSZZY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腔静脉阻塞综合征'', ''SQJMZSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌癌'', ''SA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性舌咽神经痛'', ''JFXSYSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性舌咽神经痛'', ''YFXSYSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''院外肺炎'', ''YWFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神神经症'', ''JSSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经症'', ''SJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枕大神经痛'', ''ZDSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枕神经痛'', ''ZSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枕小神经痛'', ''ZXSJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''播散性神经性皮炎'', ''BSXSJXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限性神经性皮炎'', ''JXXSJXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性单纯性苔藓'', ''MXDCXTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性皮炎症'', ''SJXPYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ期肾癌'', ''ⅠQSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅱ期肾癌'', ''ⅡQSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ期肾癌'', ''ⅢQSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ期肾癌'', ''ⅣQSA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾恶性肿瘤'', ''SEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肾病综合征'', ''JFXSBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性肾病综合征'', ''YCXSBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肾病综合征'', ''YFXSBZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂结石'', ''SYJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾小管性蛋白尿'', ''SXGXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾小球性蛋白尿'', ''SXQXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾组织性蛋白尿'', ''SZZXDBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾源高血压'', ''SYGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾源性高血压'', ''SYXGXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性急性肾小管间质性肾炎'', ''TFXJXSXGJZXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎病毒相关性肾炎'', ''YXGYBDXGXSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热'', ''LXXCXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗出性胸水'', ''SCXXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎单纯疱疹'', ''YJDCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉麻痹'', ''HMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性湿疹'', ''JXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性湿疹'', ''MXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性湿疹'', ''YJXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠恶性肿瘤'', ''SEZCEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性十二指肠溃疡'', ''JXSEZCKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡出血'', ''SEZCKYCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠球后溃疡'', ''SEZCQHKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道癌'', ''SDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管恶性肿瘤'', ''SGEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管鳞癌'', ''SGLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管鳞状细胞癌'', ''SGLZXBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管腺癌'', ''SGXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管平滑肌瘤'', ''SGPHJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射性食管炎'', ''FSXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性食管炎'', ''HNXSGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道炎'', ''SDY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性食物中毒'', ''ZJXSWZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半侧性视网膜静脉阻塞'', ''BCXSWMJMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毯层视网膜变性'', ''TCSWMBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心室间隔缺损'', ''XSJGQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室内阻滞'', ''SNZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''触发激动所致的室上性心动过速'', ''CFJDSZDSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室上速'', ''SSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''折返性室上性心动过速'', ''ZFXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自律性增强性室上性心动过速'', ''ZLXZQXSSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性早搏'', ''SXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室早'', ''SZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续性室性心动过速'', ''CXXSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非持续性室性心动过速'', ''FCXXSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非缺血性室性心动过速'', ''FQXXSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性室性心动过速'', ''QXXSXXDGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室速'', ''SS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺髓质瘤'', ''SSXSZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应性组织细胞增生症'', ''FYXZZXBZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性输卵管闭锁'', ''HTXSLGBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性输卵管闭锁'', ''XTXSLGBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不育由于输卵管阻塞'', ''BYYYSLGZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后上呼吸道感染'', ''SHSHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后下呼吸道感染'', ''SHXHXDGR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合发作'', ''HHFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双相性情感障碍'', ''SXXQGZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双相障碍'', ''SXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''躁狂发作'', ''ZKFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性睡眠呼吸暂停综合征'', ''HHXSMHXZTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠－呼吸暂停综合征'', ''SM－HXZTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中枢神经性睡眠呼吸暂停综合征'', ''ZSSJXSMHXZTZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿宫内生长受限'', ''TEGNSCSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炭疽'', ''TJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性肾病'', ''TNBXSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖肾'', ''TS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病神经病变'', ''TNBSJBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性视网膜病变'', ''TNBXSWMBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性酮症酸中毒'', ''TNBXTZSZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性周围神经病'', ''TNBXZWSJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性周围血管病变'', ''TNBXZWXGBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病足'', ''TNBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病足溃疡'', ''TNBZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性肺间质纤维化'', ''TFXFJZXWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫性血小板减少性紫癜'', ''MYXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性血小板减少性紫癜'', ''TFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板减少性紫癜'', ''YFXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性血小板减少性紫癜'', ''ZSMYXXXBJSXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Menetrier病'', ''MenetrierB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胃炎'', ''GRXWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特应性湿疹'', ''TYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异位性皮炎'', ''YWXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钱癣'', ''QX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圆癣'', ''YX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风病'', ''TFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风结节'', ''TFJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突发性聋'', ''TFXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突聋'', ''TL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干燥脱屑性唇炎'', ''GZTXXCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓性外痔'', ''XSXWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕管综合症'', ''WGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''MPS'', ''MPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年期综合征'', ''GNQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坏血病'', ''HXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C缺乏'', ''WSSCQF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人维生素缺乏症'', ''RWSSQFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进展期胃癌'', ''JZQWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃恶性肿瘤'', ''WEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃腺癌'', ''WXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早期胃癌'', ''ZQWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合性溃疡'', ''FHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠复合性溃疡'', ''WSEZCFHXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡出血'', ''WSEZCKYCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管反流'', ''WSGFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃底食管静脉曲张'', ''WDSGJMQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳定性心绞痛'', ''WDXXJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝'', ''WG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型肝炎'', ''WXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硅肺'', ''GF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''席汉氏综合征'', ''XHSZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变异性血管炎'', ''BYXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单器管性血管炎'', ''DQGXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性血管炎'', ''JFXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管炎'', ''MGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管炎'', ''XGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管炎综合征'', ''XGYZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血管炎'', ''YFXXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''菌痢'', ''JL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志贺菌病'', ''ZHJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道病'', ''XJXYDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉血栓形成'', ''XZDMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴溃疡及炎症'', ''XZJMQZBKYJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉炎和血栓性静脉炎'', ''XZJMYHXSXJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫绀型先天性心脏病'', ''ZZXXTXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''限制性心肌病'', ''XZXXJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无症状性溃疡'', ''WZZXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道溃疡'', ''XHDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道溃疡病'', ''XHDKYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡病'', ''XHXKYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿休克肺综合征'', ''XEXKFZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型肺癌'', ''HHXFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞型肺癌'', ''LBXBXFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中间细胞型肺癌'', ''ZJXBXFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性心包积液'', ''GRXXBJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包渗出'', ''XBSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏压塞'', ''XZYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性心包填塞'', ''MXXBTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性心包炎'', ''MXXBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心外膜炎'', ''XWMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续性房颤'', ''CXXFC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房颤'', ''FC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性颤动'', ''FXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''永久性房颤'', ''YJXFC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房扑'', ''FP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性扑动'', ''FXPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌病'', ''XJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''充血性心力衰竭'', ''CXXXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年心力衰竭'', ''LNXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''收缩性心力衰竭'', ''SSXXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒张性心力衰竭'', ''SZXXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心功能不全'', ''XGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心收缩不全'', ''XSSBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心衰'', ''XS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏衰弱'', ''XZSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室颤'', ''SC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性颤动'', ''SXCD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室扑'', ''SP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性扑动'', ''SXPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏性猝死'', ''XZXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣膜关闭不全'', ''BMGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣膜口狭窄'', ''BMKXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣病变'', ''FDMBBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性心脏瓣膜'', ''FSXXZBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性心脏瓣膜病'', ''HTXXZBMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性心脏瓣膜病'', ''XTXXZBMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏瓣膜疾病'', ''XZBMJB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后天性心脏病'', ''HTXXZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''effort syndrome'', ''effort syndrome'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋力综合征'', ''FLZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋力综合征(effort syndrome)'', ''FLZHZ(effort syndrome)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性心脏不适'', ''GNXXZBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性循环高敏症'', ''SJXXHGMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性循环无力症'', ''SJXXHWLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性循环系统功能障碍'', ''SJXXHXTGNZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经血循环衰弱症'', ''SJXXHSRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心血管神经官能症'', ''XXGSJGNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心血管神经症'', ''XXGSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏神经症'', ''XZSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构性心脏病晕厥'', ''JGXXZBYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律失常晕厥'', ''XLSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性晕厥'', ''XYXYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''NRDS'', ''NRDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿肺透明膜病'', ''XSEFTMMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔出口综合征'', ''XQCKZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类肺炎性胸腔积液'', ''LFYXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''漏出性胸腔积液'', ''LCXXQJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水'', ''XS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺良性肿瘤'', ''XXLXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血行播散型肺结核（Ⅱ型）'', ''XXBSXFJH（ⅡX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性血气胸'', ''CSXXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性血气胸'', ''ZFXXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''深静脉血栓形成'', ''SJMXSXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓性浅静脉炎'', ''XSXQJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性血吸虫病'', ''JXXXCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裂体吸虫'', ''LTXC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性血吸虫病'', ''MXXXCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晚期血吸虫病'', ''WQXXCB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性血胸'', ''CSXXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非创伤性血胸'', ''FCSXXX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''36999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸膜腔积血'', ''XMQJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积血'', ''XQJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''褥疮'', ''RC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力性溃疡'', ''YLXKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿槽突不齐'', ''CCTBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙列拥挤'', ''YLYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''（假）巨细胞甲状腺炎'', ''（J）JXBJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''DeQuervain甲状腺炎'', ''DeQuervainJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性甲状腺炎'', ''BDXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''德奎尔万甲状腺炎'', ''DKEWJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''德奎尔万氏甲状腺炎'', ''DKEWSJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非典型亚急性甲状腺炎'', ''FDXYJXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非感染性甲状腺炎'', ''FGRXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假巨细胞甲状腺炎'', ''JJXBJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假肉芽肿性甲状腺炎'', ''JRYZXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞甲状腺炎'', ''JXBJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞性甲状腺炎'', ''JXBXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉芽肿性甲状腺炎'', ''RYZXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性肉芽肿型甲状腺炎'', ''YJXRYZXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性肉芽肿性甲状腺炎'', ''YJXRYZXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚甲炎'', ''YJY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移行性甲状腺炎'', ''YXXJZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚临床甲亢'', ''YLCJK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生化妊娠'', ''SHRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''播散性咽白喉'', ''BSXYBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限型咽白喉'', ''JXXYBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中毒型咽白喉'', ''ZDXYBH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺样体炎'', ''XYTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽鼓管梗阻'', ''YGGGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性咽炎'', ''BDXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链球菌性咽炎'', ''LQJXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性单纯性咽炎'', ''MXDCXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘脱出伴脊髓病'', ''ZJPTCBJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出'', ''YZJPTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘脱出'', ''YZJPTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘突出'', ''ZJPTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发疹性药疹'', ''FZXYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹样药疹'', ''ZMZYYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药疹'', ''YZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药过量中毒'', ''FYGLZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物滥用中毒'', ''YWLYZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狐臭'', ''HC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性一氧化碳中毒'', ''JXYYHTZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工气胸'', ''RGQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''医院内肺炎'', ''YYNFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性大疱性表皮松解症'', ''DCXDZXBPSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交界性大疱性表皮松解症'', ''JJXDZXBPSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性大疱性表皮松懈症'', ''XTXDZXBPSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性EB'', ''YCXEB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养不良性大疱性表皮松解症'', ''YYBLXDZXBPSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性酒精中毒'', ''JXJJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精中毒'', ''JJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性酒精中毒'', ''MXJJZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醉酒'', ''ZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝'', ''YG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎'', ''YXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫外孕'', ''GWY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢妊娠'', ''LCRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫壁妊娠'', ''ZGBRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈妊娠'', ''ZGJRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁障碍'', ''YYZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁情绪'', ''YYQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道炎症'', ''YDYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''常染色体隐性遗传型多囊肾'', ''CRSTYXYCXDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养不良症'', ''YYBLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性硬膜外血肿'', ''JXYMWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性硬膜外血肿'', ''MXYMWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性硬膜外血肿'', ''YJXYMWXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脑膜下出血'', ''YNMXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性硬膜下血肿'', ''YJXYMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脑膜下血肿'', ''YNMXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门前区溃疡'', ''YMQQKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心功能不全'', ''YXGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心力衰竭'', ''YXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心衰'', ''YXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低张力性皮炎'', ''DZLXPY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉曲张性湿疹'', ''JMQZXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淤积性皮炎(下肢静脉曲张性皮炎)'', ''YJXPY(XZJMQZXPY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淤积性湿疹'', ''YJXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重力性湿疹'', ''ZLXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇皮癣'', ''SPX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''WPW综合征'', ''WPWZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''初染结核'', ''CRJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发型肺结核（Ⅰ型）'', ''YFXFJH（ⅠX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性胆汁性肝硬变'', ''YFXDZXGYB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入性肺脓肿'', ''XRXFNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性醛固酮过多症'', ''YFXQGTGDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠胆汁淤积症'', ''RSDZYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期肝内胆汁淤积症'', ''RSQGNDZYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过早搏动'', ''GZBD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''期前收缩'', ''QQSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未成熟胎儿'', ''WCSTE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增生性肠结核'', ''ZSXCJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠粘连伴梗阻'', ''CZLBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高压性气胸'', ''GYXQX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌跖角皮症'', ''ZZJPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性房颤'', ''ZFXFC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正常血钾型周期性瘫痪'', ''ZCXJXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性皮服炎'', ''ZYXPFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性湿疹'', ''ZYXSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素源性脱发'', ''XXJSYXTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油脂性脱发'', ''YZXTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠恶性肿瘤'', ''ZCEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道静脉曲张破裂'', ''CDJMQZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性直肠炎'', ''MXZCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓性痔'', ''XSXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智齿'', ''ZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性中毒'', ''JXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性中毒'', ''MXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性中毒'', ''YJXZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻症中暑'', ''QZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆中暑'', ''XZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症肌无力症'', ''ZZJWLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热痉挛'', ''RJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热射病'', ''RSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热衰竭'', ''RSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性周期性瘫痪'', ''JFXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性周期性瘫痪'', ''YFXZQXTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性麻痹'', ''ZQXMB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘管综合症'', ''ZGZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛛网膜下出血'', ''ZWMXCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛛网膜下腔血肿'', ''ZWMXQXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性主动脉瓣关闭不全'', ''JXZDMBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性主动脉瓣关闭不全'', ''MXZDMBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣闭锁不全'', ''ZDMBBSBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣膜型主动脉瓣狭窄'', ''BMXZDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣上型主动脉瓣狭窄'', ''BSXZDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓣下型主动脉瓣狭窄'', ''BXXZDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣病变'', ''ZDMBBB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性主动脉瓣狭窄'', ''FSXZDMBXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄伴关闭不全'', ''ZDMBXZBGBBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄闭锁不全'', ''ZDMBXZBSBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉瘤'', ''FZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降主动脉瘤'', ''JZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升主动脉瘤'', ''SZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸主动脉瘤'', ''XZDML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝转移性癌'', ''GZYXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕子宫妊娠'', ''ZHZGRS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维肌瘤'', ''XWJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫平滑肌瘤'', ''ZGPHJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫纤维瘤'', ''ZGXWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肥大'', ''ZGFD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈鳞状上皮不典型增生'', ''GJLZSPBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮高度不典型增生'', ''ZGJLZSPGDBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮轻度不典型增生'', ''ZGJLZSPQDBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮中度不典型增生'', ''ZGJLZSPZDBDXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫体癌'', ''GTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫癌'', ''ZGA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜恶性肿瘤'', ''ZGNMEXZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫体癌'', ''ZGTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内异症'', ''NYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巧克力囊肿'', ''QKLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巧克力样囊肿'', ''QKLYNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜异位囊肿'', ''ZGNMYWNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜增厚'', ''ZGNMZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性息肉'', ''EXXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜腺肌瘤性息肉'', ''ZGNMXJLXXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈管粘连'', ''ZGJGZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腔粘连'', ''ZGQZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腺肌症'', ''ZGXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑漏水'', ''DNLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫活动性慢性肝炎'', ''ZSMYHDXMXGY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Graves病'', ''GravesB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚痛'', ''JT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚气'', ''JQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚癣'', ''JX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香港脚'', ''XGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''局限性阻塞性肺气肿'', ''JXXZSXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弥漫性阻塞性肺气肿'', ''MMXZSXFQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠呼吸暂停低通气综合征'', ''SMHXZTDTQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症鼾病'', ''ZZZB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性睡眠呼吸暂停低通气综合征'', ''ZSXSMHXZTDTQZHZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻生齿'', ''ZSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心房粘液瘤'', ''ZXFZYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性左心衰竭'', ''MXZXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心功能不全'', ''ZXGNBQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心力衰竭'', ''ZXLSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心衰'', ''ZXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经损害'', ''ZGSJSH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0.9%氯化钠'', ''0.9%LHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0.9%氯化钠注射液(软袋)'', ''0.9%LHNZSY(RD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0.9%氯化钠注射液(塑瓶)'', ''0.9%LHNZSY(SP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钠注射液'', ''LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钠注射液 塑'', ''LHNZSY S'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理氯化钠溶液'', ''SLLHNRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理盐水'', ''SLYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理盐水注射液'', ''SLYSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用生理盐水'', ''ZSYSLYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用12种复合维生素'', ''ZSY12ZFHWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23价肺炎球菌'', ''23JFYQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30/70混合重组人胰岛素注射液'', ''30/70HHZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖注射液(软袋)'', ''5%PTTZSY(RD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖注射液(塑瓶)'', ''5%PTTZSY(SP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素说明书'', ''50/50HHZZRYDSSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素注射液说明书'', ''50/50HHZZRYDSZSYSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ACYW135群脑膜炎球菌'', ''ACYW135QNMYQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌'', ''AQCQNMYQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用A群链球菌'', ''ZSYAQLQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群脑膜炎球菌'', ''AQNMYQJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用A型肉毒毒素'', ''ZSYAXRDDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''b型流感嗜血杆菌'', ''bXLGSXGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-谷氨酰胺呱仑酸钠颗粒'', ''L-GAZAZLSNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-赖氨酸盐酸盐颗粒剂'', ''L-LASYSYKLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N(2)-L-丙氨酰-L-谷氨酰胺注射液'', ''N(2)-L-BAZ-L-GAZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用N(2)-L-丙氨酰-L-谷氨酰胺'', ''ZSYN(2)-L-BAZ-L-GAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ω-3鱼油脂肪乳注射液'', ''ω-3YYZFRZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿巴卡韦'', ''LSABKW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿巴卡韦片'', ''LSABKWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿柏西普眼内注射溶液'', ''ABXPYNZSRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑胶囊'', ''ABDZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑颗粒'', ''ABDZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑片'', ''ABDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇胶丸'', ''AFGHCJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇片'', ''AFGHCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇软胶囊'', ''AFGHCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿比多尔'', ''YSABDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿比多尔颗粒'', ''YSABDEKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸阿比特龙'', ''CSABTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸阿比特龙片'', ''CSABTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达木单抗注射液'', ''ADMDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达帕林凝胶'', ''ADPLNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿德福韦酯胶囊'', ''ADFWZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿德福韦酯片'', ''ADFWZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿伐斯汀胶曩'', ''AFSTJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇胶囊'', ''AFGHCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇软'', ''AFGHCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸阿法替尼'', ''MLSAFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸阿法替尼片'', ''MLSAFTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿夫唑嗪'', ''YSAFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿夫唑嗪缓释片'', ''YSAFZZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿戈美拉汀片'', ''AGMLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸阿格列汀'', ''BJSAGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸阿格列汀片'', ''BJSAGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血'', ''AGYX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿加曲班注射液'', ''AJQBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗片'', ''FFJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿咖酚胶囊'', ''AKFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿咖酚散'', ''AKFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿卡波糖胶囊'', ''AKBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿卡波糖片'', ''AKBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿拉坦五味丸（阿拉坦-5）'', ''ALTWWW（ALT-5）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑胶囊'', ''ALZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑口崩片'', ''ALZZKBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑口腔崩解片'', ''ALZZKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑片'', ''ALZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿利沙坦酯片'', ''ALSTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠肠溶片'', ''ALZSNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠片'', ''ALZSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D<sub>3'', ''ALZSNWD<sub>3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D<sub>3(Ⅱ)'', ''ALZSNWD<sub>3(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D<sub>3片'', ''ALZSNWD<sub>3P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D<sub>3片(Ⅱ)'', ''ALZSNWD<sub>3P(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D3片'', ''ALZSNWD3P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿罗洛尔'', ''YSALLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿罗洛尔片'', ''YSALLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿洛西林钠'', ''ALXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿洛西林钠(冻干粉)'', ''ALXLN(DGF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿洛西林钠'', ''ZSYALXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿洛西林钠(冻干粉)'', ''ZSYALXLN(DGF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿米卡星'', ''LSAMKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿米卡星注射液'', ''LSAMKXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通用名:硫酸阿米卡星'', ''TYM:LSAMKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通用名:硫酸阿米卡星注射液'', ''TYM:LSAMKXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸阿米卡星'', ''ZSYLSAMKX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿米洛利'', ''YSAMLL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿米洛利片'', ''YSAMLLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿米替林'', ''YSAMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿米替林片'', ''YSAMTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿莫罗芬'', ''YSAMLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿莫罗芬搽剂'', ''YSAMLFCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿莫罗芬乳膏'', ''YSAMLFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林分散'', ''AMXLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林分散片'', ''AMXLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林胶囊'', ''AMXLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林咀嚼片'', ''AMXLJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林颗粒'', ''AMXLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠'', ''AMXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林片'', ''AMXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠'', ''ZSYAMXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠氟氯西林钠'', ''AMXLNFLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠氟氯西林钠'', ''ZSYAMXLNFLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(14:1)干混悬剂'', ''AMXLKLWSJ(14:1)GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(2:1)片'', ''AMXLKLWSJ(2:1)P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)分散片'', ''AMXLKLWSJ(4:1)FSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)干混悬剂'', ''AMXLKLWSJ(4:1)GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)胶囊'', ''AMXLKLWSJ(4:1)JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)颗粒'', ''AMXLKLWSJ(4:1)KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)片'', ''AMXLKLWSJ(4:1)P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)分散片'', ''AMXLKLWSJ(7:1)FSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)干混悬剂'', ''AMXLKLWSJ(7:1)GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)咀嚼片'', ''AMXLKLWSJ(7:1)JJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)片'', ''AMXLKLWSJ(7:1)P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(8:1)咀嚼片'', ''AMXLKLWSJ(8:1)JJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾分散'', ''AMXLKLWSJFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾分散片'', ''AMXLKLWSJFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾分散片(7:1)'', ''AMXLKLWSJFSP(7:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾干混悬剂'', ''AMXLKLWSJGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾胶囊(4:1)'', ''AMXLKLWSJJN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾颗粒'', ''AMXLKLWSJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾片'', ''AMXLKLWSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸颗粒'', ''AMXLKLWSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠克拉维酸钾'', ''AMXLNKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠克拉维酸钾(5:1)'', ''AMXLNKLWSJ(5:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠克拉维酸钾'', ''ZSYAMXLNKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠克拉维酸钾(5:1)'', ''ZSYAMXLNKLWSJ(5:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾（4'', ''AMXLKLWSJ（4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾分散片（4'', ''AMXLKLWSJFSP（4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾（4:1）'', ''AMXLKLWSJ（4:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾胶囊（4:1）'', ''AMXLKLWSJJN（4:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾（7'', ''AMXLKLWSJ（7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾干混悬剂（7'', ''AMXLKLWSJGHXJ（7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾片(7'', ''AMXLKLWSJP(7'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾干混悬剂(7:1)'', ''AMXLKLWSJGHXJ(7:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾片(7:1)'', ''AMXLKLWSJP(7:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠舒巴坦钠'', ''AMXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠舒巴坦钠(2'', ''AMXLNSBTN(2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林钠舒巴坦钠(2:1)'', ''AMXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林舒巴坦匹酯'', ''AMXLSBTPZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林舒巴坦匹酯片'', ''AMXLSBTPZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠舒巴坦钠'', ''ZSYAMXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠舒巴坦钠(2'', ''ZSYAMXLNSBTN(2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿莫西林钠舒巴坦钠(2:1)'', ''ZSYAMXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿那曲唑片'', ''ANQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸阿帕替尼'', ''JHSAPTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸阿帕替尼片'', ''JHSAPTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸奥希替尼片'', ''JHSAXTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿哌沙班片'', ''AZSBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿普唑仑片'', ''APZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素肠溶胶囊'', ''AQMSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素肠溶片'', ''AQMSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素分散'', ''AQMSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素分散片'', ''AQMSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素干混悬剂'', ''AQMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素胶囊'', ''AQMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素颗粒'', ''AQMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素颗粒（Ⅱ）'', ''AQMSKL（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素片'', ''AQMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素软胶囊'', ''AQMSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素散剂'', ''AQMSSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素糖浆'', ''AQMSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素注射液'', ''AQMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糖酸阿奇霉素注射液'', ''RTSAQMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿奇霉素'', ''YSAQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿奇霉素注射液'', ''YSAQMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素'', ''ZSYAQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素(冻干)'', ''ZSYAQMS(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素(乳糖酸)'', ''ZSYAQMS(RTS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乳糖酸阿奇霉素'', ''ZSYRTSAQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素枸橼酸二氢钠'', ''ZSYAQMSZZSEQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿奇霉素磷酸二氢钠'', ''ZSYAQMSLSEQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺顺阿曲库铵注射液'', ''BHSAQKZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯磺顺阿曲库铵'', ''ZSYBHSAQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯磺酸阿曲库铵'', ''ZSYBHSAQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿瑞匹坦胶囊'', ''ARPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿舒瑞韦软胶囊'', ''ASRWRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林肠溶'', ''ASPLCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林肠溶缓释片'', ''ASPLCRHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林肠溶胶囊'', ''ASPLCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林肠溶片'', ''ASPLCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林泡腾'', ''ASPLPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林泡腾片'', ''ASPLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林片'', ''ASPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿糖胞苷注射液'', ''ATBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿糖胞苷'', ''YSATBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿糖胞苷'', ''ZSYATBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸阿糖胞苷'', ''ZSYYSATBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因肾上腺素注射液'', ''ATKYSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替洛尔片'', ''ATLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替洛尔注射液'', ''ATLEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿替普酶'', ''ZSYATPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀钙胶囊'', ''ATFTTGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀钙片'', ''ATFTTGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品'', ''LSATP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品片'', ''LSATPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品眼膏'', ''LSATPYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品眼用'', ''LSATPYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品眼用凝胶'', ''LSATPYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸阿托品注射液'', ''LSATPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸阿托西班'', ''CSATXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸阿托西班注射液'', ''CSATXBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿维A胶囊'', ''AWAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠片'', ''AWSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠注射液'', ''AWSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎素'', ''CZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿魏酸钠'', ''ZSYAWSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿魏酸钠(冻干)'', ''ZSYAWSN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠葡萄糖注射液'', ''AWSNPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪分散'', ''AWSZZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪分散片'', ''AWSZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪胶囊'', ''AWSZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪片'', ''AWSZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿西美辛缓释'', ''AXMXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿西美辛缓释胶囊'', ''AXMXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦滴眼液'', ''AXLWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦滴眼液(含玻璃酸钠)'', ''AXLWDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦分散'', ''AXLWFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦分散片'', ''AXLWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦缓释片'', ''AXLWHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦胶囊'', ''AXLWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦咀嚼片'', ''AXLWJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦颗粒'', ''AXLWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦凝胶'', ''AXLWNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦片'', ''AXLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦乳膏'', ''AXLWRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿昔洛韦'', ''ZSYAXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔莫司胶囊'', ''AXMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔替尼片'', ''AXTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用阿扎胞苷'', ''ZSYAZBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼'', ''YSAZSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼注射液'', ''YSAZSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼氯化钠'', ''YSAZSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸阿扎司琼氯化钠注射液'', ''YSAZSQLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿折地平片'', ''AZDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸埃克替尼'', ''YSAKTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸埃克替尼片'', ''YSAKTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑肠溶胶囊'', ''ASMLZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑镁肠溶片'', ''ASMLZMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑钠'', ''ASMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用埃索美拉唑钠'', ''ZSYASMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾地苯醌片'', ''ADBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾拉莫德片'', ''ALMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾普拉唑肠溶片'', ''APLZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾瑞昔布片'', ''ARXBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾塞那肽微球'', ''ASNZWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾塞那肽注射液'', ''ASNZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用艾塞那肽微球'', ''ZSYASNZWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑镁肠溶片'', ''ASAMLZMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑钠'', ''ASAMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用艾司奥美拉唑钠'', ''ZSYASAMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸艾司洛尔'', ''YSASLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸艾司洛尔注射液'', ''YSASLEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸艾司洛尔'', ''ZSYYSASLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草酸艾司西酞普兰片'', ''CSASXTPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司唑仑片'', ''ASZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司唑仑注射液'', ''ASZLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''爱普列特片'', ''APLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安非他酮'', ''YSAFTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安非他酮缓释片'', ''YSAFTTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安非他酮片'', ''YSAFTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安立生坦片'', ''ALSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安罗替尼'', ''YSALTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安罗替尼胶囊'', ''YSALTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乃近片'', ''ANJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乃近注射液'', ''ANJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴鼻用安乃近溶液'', ''DBYANJRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴鼻用安乃近溶液片'', ''DBYANJRYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安他唑啉'', ''YSATZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安他唑啉片'', ''YSATZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安体舒通片'', ''ATSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安妥沙星'', ''YSATSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸安妥沙星片'', ''YSATSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎肠溶'', ''ZNZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎肠溶软'', ''ZNZCRR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎肠溶软胶囊'', ''ZNZCRRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶片'', ''ABDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶氢氯噻嗪片'', ''ABDZQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林胶囊'', ''AZXLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林钠'', ''AZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林片'', ''AZXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨苄西林钠'', ''ZSYAZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林钠舒巴坦钠'', ''AZXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林钠舒巴坦钠(2:1)'', ''AZXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨苄西林钠舒巴坦钠'', ''ZSYAZXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨苄西林钠舒巴坦钠(2:1)'', ''ZSYAZXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱缓释片'', ''ACJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱片'', ''ACJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱注射液'', ''ACJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨碘肽滴眼液'', ''ADZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨碘肽注射液'', ''ADZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚待因片(Ⅰ)'', ''AFDYP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚甲硫氨酸胶囊'', ''AFJLASJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖黄烷胺片'', ''AFKHWAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖那敏片'', ''AFKNMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯雷伪麻缓释片'', ''AFLLWMHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯汀伪麻片'', ''AFLTWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美干混悬剂'', ''AFMMGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美口服溶液'', ''AFMMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美糖浆'', ''AFMMTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚美伪麻片与苯酚伪麻片'', ''AFMWMPYBFWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚美伪麻与苯酚伪麻'', ''AFMWMYBFWM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚那敏三味浸膏胶囊'', ''AFNMSWJGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚羟考酮胶囊'', ''AFZKTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚羟考酮片'', ''AFZKTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲麻'', ''AFQM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲麻片'', ''AFQMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲马多片'', ''AFQMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚沙芬口服溶液'', ''AFSFKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚双氢可待因片'', ''AFSQKDYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚烷胺那敏胶囊'', ''AFWANMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻分散'', ''AFWMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻分散片'', ''AFWMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻胶囊'', ''AFWMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻（Ⅱ）'', ''AFWM（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻片（Ⅱ）'', ''AFWMP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬II'', ''AFWMMFII'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬胶囊'', ''AFWMMFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片II'', ''AFWMMFPII'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片(Ⅲ)/氨麻美敏片(Ⅲ)'', ''AFWMMFP(Ⅲ)/AMMMP(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片(日片)/氨麻美敏片Ⅱ(夜片)'', ''AFWMMFP(RP)/AMMMPⅡ(YP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片Ⅱ'', ''AFWMMFPⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片Ⅱ/氨麻苯美'', ''AFWMMFPⅡ/AMBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬片Ⅱ/氨麻苯美片'', ''AFWMMFPⅡ/AMBMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏分散'', ''AFWMNMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏分散片'', ''AFWMNMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏分散片(Ⅲ)'', ''AFWMNMFSP(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏胶囊'', ''AFWMNMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏片(Ⅱ)'', ''AFWMNMP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏片(Ⅰ)'', ''AFWMNMP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚右敏口服溶液'', ''AFYMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磺必利片'', ''AHBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索里昂'', ''SLA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基比林咖啡因'', ''AJBLKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基比林咖啡因片'', ''AJBLKFYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基己酸注射液'', ''AJJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖'', ''LSAJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖钾胶囊'', ''LSAJPTTJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖胶囊'', ''LSAJPTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖颗粒'', ''LSAJPTTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖泡腾'', ''LSAJPTTPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖泡腾片'', ''LSAJPTTPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨基葡萄糖'', ''YSAJPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨基葡萄糖胶囊'', ''YSAJPTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨基葡萄糖颗粒'', ''YSAJPTTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨基葡萄糖片'', ''YSAJPTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖钾片'', ''LSAJPTTJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸注射液'', ''AJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸葡萄糖注射液'', ''AJSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸片'', ''AJBSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸注射液'', ''AJBSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨甲苯酸'', ''ZSYAJBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸氯化钠注射液'', ''AJBSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸片'', ''AJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸注射液'', ''AJHSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨甲环酸'', ''ZSYAJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸氯化钠注射液'', ''AJHSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨金黄敏颗粒'', ''AJHMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏胶囊'', ''AKHMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏口服溶液'', ''AKHMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏口服溶液(人工牛黄)'', ''AKHMKFRY(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏片'', ''AKHMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖愈敏溶液'', ''AKYMRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酪酸片'', ''ALSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨磷汀'', ''ZSYALT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平滴丸'', ''BHSALDPDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平分散片'', ''BHSALDPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平胶囊'', ''BHSALDPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平片'', ''BHSALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸氨氯地平'', ''JHSALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸氨氯地平片'', ''JHSALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氨氯地平'', ''MLSALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氨氯地平片'', ''MLSALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸氨氯地平片'', ''MDASALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平阿托伐他汀钙片'', ''ALDPATFTTGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平贝那普利片(Ⅰ)'', ''ALDPBNPLP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平贝那普利片（Ⅱ）'', ''ALDPBNPLP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美敏口服溶液'', ''AMMMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美明分散'', ''AMMMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美明分散片'', ''AMMMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氨曲南'', ''ZSYAQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨肽素片'', ''AZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛肠溶片'', ''ATMXCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛缓释'', ''ATMXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛缓释胶囊'', ''ATMXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨酮戊酸'', ''YSATWS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨酮戊酸外用散'', ''YSATWSWYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索胶囊'', ''AZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索口服液'', ''AZSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索葡萄糖注射液'', ''AZSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索注射液'', ''AZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索'', ''YSAZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索分散'', ''YSAZSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索分散片'', ''YSAZSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索缓释胶囊'', ''YSAZSHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索缓释片'', ''YSAZSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索胶囊'', ''YSAZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索颗粒'', ''YSAZSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索口服溶液'', ''YSAZSKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索口服溶液(无糖型)'', ''YSAZSKFRY(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索口腔崩解片'', ''YSAZSKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索片'', ''YSAZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索糖浆'', ''YSAZSTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索注射液'', ''YSAZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸氨溴索'', ''ZSYYSAZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索氯化钠'', ''YSAZSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索氯化钠注射液'', ''YSAZSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索葡萄糖'', ''YSAZSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氨溴索葡萄糖注射液'', ''YSAZSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴特罗口服溶液'', ''AZTLKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸胺碘酮'', ''YSADT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸胺碘酮胶囊'', ''YSADTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸胺碘酮片'', ''YSADTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸胺碘酮注射液'', ''YSADTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸胺碘酮'', ''ZSYYSADT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼'', ''YSADSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼胶囊'', ''YSADSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼口腔崩解'', ''YSADSQKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼口腔崩解片'', ''YSADSQKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼片'', ''YSADSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼注射液'', ''YSADSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸昂丹司琼'', ''ZSYYSADSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼氯化钠'', ''YSADSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼氯化钠注射液'', ''YSADSQLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼葡萄糖'', ''YSADSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸昂丹司琼葡萄糖注射液'', ''YSADSQPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥布卡因'', ''YSABKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥布卡因滴眼液'', ''YSABKYDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥布卡因凝胶'', ''YSABKYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平口崩'', ''ADPKB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平口崩片'', ''ADPKBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平片'', ''ADPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥卡西平口服混悬液'', ''AKXPKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥卡西平片'', ''AKXPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥拉西坦胶囊'', ''ALXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥拉西坦注射液'', ''ALXTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥拉西坦'', ''ZSYALXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥洛他定'', ''YSALTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥洛他定滴眼液'', ''YSALTDDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥马珠单抗'', ''ZSYAMZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉胶囊'', ''AMLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑肠溶'', ''AMLZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑肠溶胶囊'', ''AMLZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑肠溶片'', ''AMLZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑镁肠溶片'', ''AMLZMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑钠'', ''AMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑钠肠溶片'', ''AMLZNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥美拉唑纳'', ''ZSYAMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥美拉唑钠'', ''ZSYAMLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥美拉唑钠(冻干)'', ''ZSYAMLZN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥美拉唑钠(静脉滴注)'', ''ZSYAMLZN(JMDZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯片'', ''AMSTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯氢氯噻嗪片'', ''AMSTZQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥普力农'', ''YSAPLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥普力农注射液'', ''YSAPLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥曲肽微球'', ''AQZWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸奥曲肽'', ''CSAQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸奥曲肽微球'', ''CSAQZWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸奥曲肽注射液'', ''CSAQZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸奥曲肽'', ''ZSYCSAQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸奥曲肽微球'', ''ZSYCSAQZWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉秦钠'', ''ASLQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉秦钠胶囊'', ''ASLQNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉嗪钠'', ''ASLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉嗪钠胶囊'', ''ASLZNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂注射液'', ''ASLBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥沙利铂'', ''ZSYASLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂甘露醇注射液'', ''ASLBGLCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦肠溶'', ''ASPQCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦肠溶胶囊'', ''ASPQCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦肠溶片'', ''ASPQCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦分散'', ''ASPQFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦分散片'', ''ASPQFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦片'', ''ASPQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙西泮片'', ''ASXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸奥司他韦胶囊'', ''LSASTWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸奥司他韦颗粒'', ''LSASTWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥替溴铵片'', ''ATZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥昔布宁'', ''YSAXBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奥昔布宁缓释片'', ''YSAXBNHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝注射液'', ''AXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑分散'', ''AXZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑分散片'', ''AXZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑胶囊'', ''AXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑片'', ''AXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑栓'', ''AXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑阴道栓'', ''AXZYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑注射液'', ''AXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥硝唑'', ''ZSYAXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑氯化钠注射液'', ''AXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑葡萄糖注射液'', ''AXZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠'', ''AZGLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠注射液'', ''AZGLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奥扎格雷钠'', ''ZSYAZGLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠氯化钠注射液'', ''AZGLNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍'', ''BZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用巴利昔单抗'', ''ZSYBLXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴柳氮钠片'', ''BLDNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴洛沙星片'', ''BLSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氯芬片'', ''BLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴曲酶注射液'', ''BQMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴特日七味丸（巴特日-7）'', ''BTRQWW（BTR-7）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用白眉蛇毒血凝酶'', ''ZSYBMSDXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白葡奈氏菌片'', ''BPNSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白芍总苷胶囊'', ''BSZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白石清热'', ''BSQR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白消安注射液'', ''BXAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸班布特罗'', ''YSBBTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸班布特罗胶囊'', ''YSBBTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸班布特罗口服溶液'', ''YSBBTLKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸班布特罗片'', ''YSBBTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥素乳膏'', ''BZSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠维生素B<sub>6'', ''BZSNWSSB<sub>6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠维生素B6'', ''BZSNWSSB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠维生素B6注射液'', ''BZSNWSSB6ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠注射液'', ''BZSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根'', ''BLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半水合雌二醇贴片'', ''BSHCECTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包醛氧淀粉胶囊'', ''BQYDFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包醛氧淀粉散'', ''BQYDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠'', ''BLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠胶囊'', ''BLDJNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠片'', ''BLDJNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠注射液'', ''BLDJNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胞磷胆碱钠'', ''ZSYBLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠氯化钠注射液'', ''BLDJNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠葡萄糖'', ''BLDJNPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠葡萄糖注射液'', ''BLDJNPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄荷喉'', ''BHH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝糖肽注射液'', ''BZTZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保泰松片'', ''BTSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠单抗注射液'', ''BFZDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美前列素滴眼液'', ''BMQLSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美素噻吗洛尔滴眼液'', ''BMSZMLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美索噻吗洛尔滴眼液'', ''BMSZMLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝敏伪麻片'', ''BMWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝那普利'', ''YSBNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝那普利片'', ''YSBNPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利氢氯噻嗪片'', ''BNPLQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝尼地平'', ''YSBNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸贝尼地平片'', ''YSBNDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝诺酯颗粒'', ''BNZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝诺酯片'', ''BNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝前列素钠'', ''BQLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝前列素钠片'', ''BQLSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他胡萝卜素胶囊'', ''BTHLBSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他胡萝卜素软胶囊'', ''BTHLBSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他洛尔'', ''YSBTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他洛尔滴眼液'', ''YSBTLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松片'', ''BTMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松磷酸钠注射液'', ''BTMSLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用倍他米松磷酸钠'', ''ZSYBTMSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸倍他司汀'', ''JHSBTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸倍他司汀片'', ''JHSBTSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀'', ''YSBTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀口服液'', ''YSBTSTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀片'', ''YSBTSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸倍他司汀'', ''ZSYYSBTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀氯化钠'', ''YSBTSTLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸倍他司汀氯化钠注射液'', ''YSBTSTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥钠'', ''BBBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥钠注射液'', ''BBBTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥片'', ''BBBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥针'', ''BBBTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯巴比妥钠'', ''ZSYBBBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥东莨菪碱片'', ''BBBTDZZJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸苯丙哌林胶囊'', ''LSBBZLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸苯丙哌林片'', ''LSBBZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丁酸氮芥片'', ''BDSDJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海拉明'', ''YSBHLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海拉明片'', ''YSBHLMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海拉明注射液'', ''YSBHLMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明薄荷脑糖浆'', ''BHLMBHNTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海索'', ''YSBHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸苯海索片'', ''YSBHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平分散'', ''BHSALDPFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸左旋氨氯地平片'', ''BHSZXALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲醇注射液'', ''BJCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯妥英钠片'', ''BTYNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯酰甲硝唑分散片'', ''BZJXZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯溴马隆胶囊'', ''BZMLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯溴马隆片'', ''BZMLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特分散'', ''BZBTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特分散片'', ''BZBTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特胶囊'', ''BZBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特片'', ''BZBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎氯铵溶液'', ''BZLZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎氯铵贴'', ''BZLZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎溴铵溶液'', ''BZZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎溴铵溶液（新洁而灭溶液）'', ''BZZZRY（XJEMRY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯唑西林钠'', ''BZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苯唑西林钠'', ''ZSYBZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用比阿培南'', ''ZSYBAPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用比伐芦定'', ''ZSYBFLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比卡鲁胺胶囊'', ''BKLAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比卡鲁胺片'', ''BKLAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比沙可啶肠溶片'', ''BSKZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸比索洛尔'', ''FMSBSLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸比索洛尔胶囊'', ''FMSBSLEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸比索洛尔片'', ''FMSBSLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔氢氯噻嗪片'', ''BSLEQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡贝地尔缓释片'', ''ZBDEHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮'', ''YSZGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮分散片'', ''YSZGLTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮胶囊'', ''YSZGLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮口腔崩解片'', ''YSZGLTKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡格列酮片'', ''YSZGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡格列酮二甲双胍片'', ''ZGLTEJSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡喹酮片'', ''ZZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦胶囊'', ''ZLXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦口服溶液'', ''ZLXTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦片'', ''ZLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦注射液'', ''ZLXTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用吡拉西坦'', ''ZSYZLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦氯化钠注射液'', ''ZLXTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡硫醇'', ''YSZLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡硫醇片'', ''YSZLCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡硫醇注射液'', ''YSZLCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫翁锌气雾剂'', ''ZLWXQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康胶囊'', ''ZLXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康凝胶'', ''ZLXKNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康片'', ''ZLXKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康贴'', ''ZLXKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康贴片'', ''ZLXKTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康注射液'', ''ZLXKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡美莫司乳膏'', ''ZMMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嘧司特钾滴眼液'', ''ZZSTJDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嘧司特钾片'', ''ZZSTJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛滴眼液'', ''ZNKXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛钠'', ''ZNKXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛钠滴眼液'', ''ZNKXNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡哌酸片'', ''ZZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嗪酰胺胶囊'', ''ZZZAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嗪酰胺片'', ''ZZZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吡柔比星'', ''YSZRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸吡柔比星'', ''ZSYYSZRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋雷尼替丁胶囊'', ''ZZSZLNTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋雷尼替丁片'', ''ZZSZLNTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋镁豆蔻片'', ''ZMDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萆?分清丸'', ''Z?FQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萆解分清丸'', ''ZJFQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄达赖氨酸滴眼液'', ''ZDLASDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄达赖氨酸滴眼液(含玻璃酸钠)'', ''ZDLASDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苄星青霉素'', ''ZSYZXQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊(成人装)'', ''BZTJNYCRJN(CRZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊（成人装）'', ''BZTJNYCRJN（CRZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊(儿童装)'', ''BZTJNYCRJN(ETZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊（儿童装）'', ''BZTJNYCRJN（ETZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桃金娘油'', ''TJNY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸表柔比星'', ''YSBRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸表柔比星(速溶)'', ''YSBRBX(SR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸表柔比星注射液'', ''YSBRBXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸表柔比星'', ''ZSYYSBRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸表柔比星(速溶)'', ''ZSYYSBRBX(SR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''e嘌醇缓释'', ''eZCHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''别嘌醇缓释胶囊'', ''BZCHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''别嘌醇片'', ''BZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙氨酰谷氨酰胺注射液'', ''BAZGAZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丙氨酰谷氨酰胺'', ''ZSYBAZGAZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚乳状注射液'', ''BBFRZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚注射液'', ''BBFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚-脂肪乳'', ''BBF-ZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚中/长链脂肪乳注射液'', ''BBFZ/CLZFRZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙卡特罗'', ''YSBKTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙卡特罗胶囊'', ''YSBKTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙卡特罗口服溶液'', ''YSBKTLKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙卡特罗片'', ''YSBKTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫氧嘧啶片'', ''BLYZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫异烟胺肠溶片'', ''BLYYACRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫异烟胺片'', ''BLYYAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙美卡因'', ''YSBMKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙美卡因滴眼液'', ''YSBMKYDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙帕他莫'', ''YSBPTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸丙帕他莫'', ''ZSYYSBPTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙哌维林'', ''YSBZWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丙哌维林片'', ''YSBZWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松鼻'', ''BSBLMSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松鼻喷雾剂'', ''BSBLMSBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松鼻气雾剂'', ''BSBLMSBQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松气雾剂'', ''BSBLMSQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用丙酸倍氯米松'', ''XRYBSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用丙酸倍氯米松混悬液'', ''XRYBSBLMSHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松鼻'', ''BSFTKSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松鼻喷雾剂'', ''BSFTKSBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松乳膏'', ''BSFTKSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松吸入气雾剂'', ''BSFTKSXRQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸睾酮注射液'', ''BSZTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸交沙霉素颗粒'', ''BSJSMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氯倍他索乳膏'', ''BSLBTSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸镁缓释片'', ''BWSMHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸镁片'', ''BWSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠缓释片'', ''BWSNHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠口服溶液'', ''BWSNKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠片'', ''BWSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丙戊酸钠'', ''ZSYBWSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酰胺片'', ''BWZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用玻璃酸酶'', ''ZSYBLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸钠滴眼液'', ''BLSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸钠注射液'', ''BLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''菠萝蛋白酶肠溶片'', ''BLDBMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泊沙康唑口服混悬液'', ''BSKZKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸博安霉素'', ''YSBAMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博安霉素'', ''ZSYYSBAMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸博来霉素'', ''YSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博来霉素'', ''ZSYYSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸博莱霉素'', ''YSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸博莱霉素'', ''ZSYYSBLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐Ⅰ'', ''KFBYYⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐Ⅱ'', ''KFBYYⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐散(Ⅰ)'', ''KFBYYS(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐散(Ⅱ)'', ''KFBYYS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2%布比卡因注射液'', ''2%BBKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''37999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布比卡因'', ''YSBBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布比卡因注射液'', ''YSBBKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德鼻'', ''BDNDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德鼻喷雾剂'', ''BDNDBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德粉'', ''BDNDF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德粉吸入剂'', ''BDNDFXRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德气雾剂'', ''BDNDQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德吸入粉雾剂'', ''BDNDXRFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用布地奈德'', ''XRYBDND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用布地奈德混悬液'', ''XRYBDNDHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德福莫特罗粉'', ''BDNDFMTLF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德福莫特罗粉吸入剂'', ''BDNDFMTLFXRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布桂嗪针'', ''BGZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布桂嗪'', ''YSBGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布桂嗪片'', ''YSBGZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布桂嗪注射液'', ''YSBGZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布拉氏酵母菌胶囊'', ''BLSJMJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布拉氏酵母菌散剂'', ''BLSJMJSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布林佐胺滴眼液'', ''BLZADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬分散'', ''BLFFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬分散片'', ''BLFFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬干混悬剂'', ''BLFGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬缓释'', ''BLFHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬缓释胶囊'', ''BLFHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬缓释片'', ''BLFHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬混悬滴剂'', ''BLFHXDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬混悬液'', ''BLFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬胶囊'', ''BLFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬咀嚼'', ''BLFJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬咀嚼片'', ''BLFJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬颗粒'', ''BLFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬口服溶液'', ''BLFKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬口腔崩解'', ''BLFKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬口腔崩解片'', ''BLFKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬凝胶'', ''BLFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬片'', ''BLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬乳膏'', ''BLFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬软胶囊'', ''BLFRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬糖浆'', ''BLFTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻分散'', ''BLWMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻分散片'', ''BLWMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻胶囊'', ''BLWMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻片'', ''BLWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻那敏混悬液'', ''BLWMNMHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼片'', ''BMTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼片。'', ''BMTNP。'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼注射液'', ''BMTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用布美他尼'', ''ZSYBMTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布南色林片'', ''BNSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬'', ''YSBTZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬凝胶'', ''YSBTZFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬喷剂'', ''YSBTZFPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬喷雾剂'', ''YSBTZFPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸布替萘芬乳膏'', ''YSBTZFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸布托啡诺'', ''JSSBTFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸布托啡诺注射液'', ''JSSBTFNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参柴肝康软'', ''CCGKR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参维冻干蜂王浆'', ''CWDGFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芎葡萄糖注射液'', ''CZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草分枝杆菌F.U.36注射液'', ''CFZGJF.U.36ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草木犀流浸液片'', ''CMXLJYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草乌甲素片'', ''CWJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草乌甲素软胶囊'', ''CWJSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶苯海明缓释胶囊'', ''CBHMHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶苯海明片'', ''CBHMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释胶囊'', ''CJHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释胶囊(Ⅱ)'', ''CJHSJN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释片'', ''CJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释胶囊(II)'', ''CJHSJN(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱麻黄碱片'', ''CJMHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养粉剂(TP)'', ''CNYYFJ(TP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(SP)'', ''CNYYHXY(SP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(TPF)'', ''CNYYHXY(TPF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(TPF-D)'', ''CNYYHXY(TPF-D)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(TPF-DM)'', ''CNYYHXY(TPF-DM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(TPF-FOS)'', ''CNYYHXY(TPF-FOS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养混悬液(TP-MCT)'', ''CNYYHXY(TP-MCT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂(TP)'', ''CNYYRJ(TP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂(TPF)'', ''CNYYRJ(TPF)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂(TPF-D)'', ''CNYYRJ(TPF-D)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂(TPF-T)(水果味)'', ''CNYYRJ(TPF-T)(SGW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂(TP-HE)'', ''CNYYRJ(TP-HE)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养（TPF-T)'', ''CNYY（TPF-T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养（TPF-T）'', ''CNYY（TPF-T）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂（TPF-T)'', ''CNYYRJ（TPF-T)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养乳剂（TPF-T）'', ''CNYYRJ（TPF-T）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪滴丸'', ''LSCZZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪胶囊'', ''LSCZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪片'', ''LSCZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪'', ''YSCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪注射液'', ''YSCZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷酸川芎嗪'', ''ZSYLSCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸川芎嗪'', ''ZSYYSCZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪氯化钠'', ''LSCZZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪氯化钠注射液'', ''LSCZZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪氯化钠'', ''YSCZZLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪氯化钠注射液'', ''YSCZZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪葡萄糖'', ''YSCZZPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸川芎嗪葡萄糖注射液'', ''YSCZZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎清脑'', ''CZQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用穿琥宁'', ''ZSYCZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体后叶注射液'', ''CTHYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸雌二醇'', ''BJSCEC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸雌二醇注射液'', ''BJSCECZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇凝胶'', ''CECNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇片/雌二醇地屈孕酮片复合包装'', ''CECP/CECDQYTPFHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇地屈孕酮片'', ''CECDQYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇屈螺酮片'', ''CECQLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸雌莫司汀胶囊'', ''LSCMSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''次氯酸钠溶液'', ''CLSNRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁黄补肾'', ''ZHBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肝细胞生长素肠溶'', ''CGXBSCSCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肝细胞生长素肠溶胶囊'', ''CGXBSCSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用促肝细胞生长素'', ''ZSYCGXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用促皮质素'', ''ZSYCPZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氨己酸锌胶囊'', ''CAJSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋甲唑胺片'', ''CJZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸肠溶胶囊'', ''CLFSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸肠溶片'', ''CLFSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸分散'', ''CLFSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸分散片'', ''CLFSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸缓释片'', ''CLFSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸胶囊'', ''CLFSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸片'', ''CLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸片(薄膜衣)'', ''CLFSP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙胶囊'', ''CSGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙颗粒'', ''CSGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙片'', ''CSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸亮丙瑞林'', ''ZSYCSLBRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达比加群酯胶囊'', ''DBJQZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达泊西汀'', ''YSDBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达泊西汀片'', ''YSDBXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素钠注射液'', ''DGSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达格列净片'', ''DGLJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用达卡巴嗪'', ''ZSYDKBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达克罗宁'', ''YSDKLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达克罗宁胶浆'', ''YSDKLNJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁氯己定硫软膏'', ''DKLNLJDLRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达拉他韦'', ''YSDLTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸达拉他韦片'', ''YSDLTWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达那唑胶囊'', ''DNZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达诺瑞韦钠片'', ''DNRWNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达沙替尼片'', ''DSTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用达托霉素'', ''ZSYDTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸大观霉素'', ''YSDGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸大观霉素'', ''ZSYYSDGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄碳酸氢钠片'', ''DHTSQNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄叶绿素铜钠胶囊'', ''DHYLSTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄?虫丸'', ''DH?CW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄䗪虫丸'', ''DH䗪CW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜肠溶片'', ''DSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素肠溶'', ''DSSCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素肠溶胶囊'', ''DSSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素软'', ''DSSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素软胶囊'', ''DSSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参川芎嗪注射液'', ''DCCZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸'', ''ZSYDCDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮Ⅱ<sub>A磺酸钠'', ''DCTⅡ<sub>AHSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮ⅡA磺酸钠注射液'', ''DCTⅡAHSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑'', ''DDTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚注射液'', ''DPFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚磺酸钠注射液'', ''DPFHSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹香冠心'', ''DXGX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用单磷酸阿糖腺苷'', ''ZSYDLSATXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂钠'', ''DTYSSJTSJJZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂钠盐注射液'', ''DTYSSJTSJJZZNYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂钠注射液'', ''DTYSSJTSJJZZNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用单唾液酸四己糖神经节苷脂钠'', ''ZSYDTYSSJTSJJZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯滴丸'', ''DXSYSLZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯分散片'', ''DXSYSLZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊'', ''DXSYSLZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊(Ⅰ)'', ''DXSYSLZHSJN(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊（Ⅰ）'', ''DXSYSLZHSJN（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊(Ⅳ)'', ''DXSYSLZHSJN(Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊(I)'', ''DXSYSLZHSJN(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释胶囊(III)'', ''DXSYSLZHSJN(III)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯缓释片'', ''DXSYSLZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯胶囊'', ''DXSYSLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯胶丸'', ''DXSYSLZJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯喷雾剂'', ''DXSYSLZPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯片'', ''DXSYSLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯注射液'', ''DXSYSLZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用单硝酸异山梨酯'', ''ZSYDXSYSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯氯化钠注射液'', ''DXSYSLZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯葡萄糖注射液'', ''DXSYSLZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆酸钠片'', ''DSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弹性酶肠溶片'', ''DXMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白琥珀酸铁口服溶液'', ''DBZZSTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮芥注射液'', ''YSDJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀'', ''YSDZST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀鼻'', ''YSDZSTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀鼻喷剂'', ''YSDZSTBPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀鼻喷雾剂'', ''YSDZSTBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀滴眼液'', ''YSDZSTDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮卓斯汀片'', ''YSDZSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锝[<sup>99Tc]亚甲基二膦酸盐'', ''Z[<sup>99Tc]YJJEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锝[<sup>99Tc]亚甲基二膦酸盐注射液'', ''Z[<sup>99Tc]YJJEZSYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钙注射液'', ''DFZGSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钠'', ''DFZGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钠注射液'', ''DFZGSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子量肝素钙注射液'', ''DFZLGSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子量肝素钠'', ''DFZLGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子量肝素钠注射液'', ''DFZLGSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用低分子量肝素钠'', ''ZSYDFZLGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子量肝素钙'', ''DFZLGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用低分子量肝素钙'', ''ZSYDFZLGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子右旋糖酐氨基酸注射液'', ''DFZYXTZAJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白锌胰岛素注射液'', ''DJDBXYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白重组人胰岛素注射液'', ''DJDBZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥司明片'', ''DASMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地巴唑片'', ''DBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫?'', ''YSDEL?'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫?缓释片'', ''YSDEL?HSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫?片'', ''YSDEL?P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸地尔硫?'', ''ZSYYSDEL?'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒂尔丁'', ''DED'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''合心爽'', ''HXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫氮卓酮'', ''LDZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恬尔心'', ''TEX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓'', ''YSDELZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓(Ⅱ)'', ''YSDELZ(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓缓释胶囊'', ''YSDELZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓缓释胶囊(Ⅱ)'', ''YSDELZHSJN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓缓释片'', ''YSDELZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓控释胶囊'', ''YSDELZKSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓片'', ''YSDELZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸地尔硫卓'', ''ZSYYSDELZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓（Ⅱ）'', ''YSDELZ（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地尔硫卓缓释胶囊（Ⅱ）'', ''YSDELZHSJN（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地芬尼多'', ''YSDFND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸地芬尼多片'', ''YSDFNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛口服溶液'', ''DGXKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛片'', ''DGXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛酏'', ''DGXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛酏剂'', ''DGXZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠溶'', ''DHMSCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠溶胶囊'', ''DHMSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠溶片'', ''DHMSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地喹氯铵含'', ''DZLZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地喹氯铵含片'', ''DZLZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地拉罗司分散片'', ''DLLSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定分散'', ''DLLTDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定分散片'', ''DLLTDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定干混悬剂'', ''DLLTDGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定胶囊'', ''DLLTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定片'', ''DLLTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定糖浆'', ''DLLTDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奈德乳膏'', ''DNDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地诺前列酮栓'', ''DNQLTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地屈孕酮片'', ''DQYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松'', ''CSDSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松片'', ''CSDSMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松乳膏'', ''CSDSMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松粘贴'', ''CSDSMSZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸地塞米松粘贴片'', ''CSDSMSZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地塞米松磷酸钠'', ''DSMSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地塞米松磷酸钠注射液'', ''DSMSLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用地塞米松磷酸钠'', ''ZSYDSMSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地特胰岛素注射液'', ''DTYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮片'', ''DXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮针'', ''DXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮注射液'', ''DXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用地西他滨'', ''ZSYDXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌活菌胶囊'', ''DYYZGJHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌活菌颗粒'', ''DYYZGJHJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地佐辛注射液'', ''DZXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''递法明片'', ''DFMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄口腔崩解片'', ''DQKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘比醇注射液'', ''DBCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘'', ''D'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘佛醇注射液'', ''DFCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘海醇注射液'', ''DHCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘化油注射液'', ''DHYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘解磷定注射液'', ''DJLDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘克沙醇注射液'', ''DKSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘帕醇注射液'', ''DPCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘普罗胺注射液'', ''DPLAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯羟酸乳膏'', ''DBZSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞软胶囊'', ''DBTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞氯化钠注射液'', ''DBTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁丙诺啡透皮贴剂'', ''DBNFTPTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁丙诺啡'', ''YSDBNF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁丙诺啡舌下'', ''YSDBNFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁丙诺啡舌下片'', ''YSDBNFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁二磺酸腺苷蛋氨酸肠溶片'', ''DEHSXZDASCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丁二磺酸腺苷蛋氨酸'', ''ZSYDEHSXZDAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁咯地尔'', ''YSDKDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁咯地尔注射液'', ''YSDKDEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁卡因'', ''YSDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁卡因胶浆'', ''YSDKYJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁卡因注射液'', ''YSDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸丁卡因'', ''ZSYYSDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁螺环酮'', ''YSDLHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸丁螺环酮片'', ''YSDLHTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁硼乳膏'', ''DPRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁酸氢化可的松乳膏'', ''DSQHKDSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁溴东莨菪碱注射液'', ''DZDZZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丁溴东莨菪碱'', ''ZSYDZDZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸东莨菪碱'', ''QZSDZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸东莨菪碱注射液'', ''QZSDZZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗（Vero细胞）'', ''DGRYKQBYM（VeroXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸度洛西汀'', ''YSDLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸度洛西汀肠溶胶囊'', ''YSDLXTCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸度洛西汀肠溶片'', ''YSDLXTCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度他雄胺软胶囊'', ''DTXARJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流'', ''DXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸钠肠溶片'', ''DAJSYSNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用对氨基水杨酸钠'', ''ZSYDAJSYSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸异烟肼片'', ''DAJSYSYYZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚滴剂'', ''DYZAJFDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚干混悬剂'', ''DYZAJFGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚缓释片'', ''DYZAJFHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚混悬滴剂'', ''DYZAJFHXDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚胶囊'', ''DYZAJFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚咀嚼'', ''DYZAJFJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚咀嚼片'', ''DYZAJFJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚颗粒'', ''DYZAJFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚口服混悬液'', ''DYZAJFKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚口服溶液'', ''DYZAJFKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚口腔崩解片'', ''DYZAJFKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚泡腾'', ''DYZAJFPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚泡腾颗粒'', ''DYZAJFPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚泡腾片'', ''DYZAJFPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚片'', ''DYZAJFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚栓'', ''DYZAJFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚糖浆'', ''DYZAJFTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚维生素C泡腾'', ''DYZAJFWSSCPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚维生素C泡腾片'', ''DYZAJFWSSCPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴胺'', ''YSDBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴胺注射液'', ''YSDBAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴酚丁胺'', ''YSDBFDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多巴酚丁胺注射液'', ''YSDBFDAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴丝肼胶囊'', ''DBSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴丝肼片'', ''DBSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多磺酸粘多糖乳膏'', ''DHSZDTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多拉司琼'', ''JHSDLSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多拉司琼注射液'', ''JHSDLSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多酶'', ''DM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐'', ''YSDNZQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐滴丸'', ''YSDNZQDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐分散片'', ''YSDNZQFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐胶囊'', ''YSDNZQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐口腔崩解片'', ''YSDNZQKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多奈哌齐片'', ''YSDNZQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸多黏菌素B'', ''LSDZJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸多黏菌素B'', ''ZSYLSDZJSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多廿烷醇片'', ''DZWCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮分散'', ''DPLTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮分散片'', ''DPLTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮混悬液'', ''DPLTHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮胶囊'', ''DPLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮口腔崩解片'', ''DPLTKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮片'', ''DPLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸多潘立酮'', ''MLSDPLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸多潘立酮片'', ''MLSDPLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多柔比星'', ''YSDRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸多柔比星'', ''ZSYYSDRBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多柔比星脂质体'', ''YSDRBXZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多柔比星脂质体注射液'', ''YSDRBXZZTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多塞平'', ''YSDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多塞平片'', ''YSDSPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多塞平乳膏'', ''YSDSPRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多沙普仑'', ''YSDSPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多沙普仑注射液'', ''YSDSPLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多沙唑嗪'', ''JHSDSZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多沙唑嗪缓释片'', ''JHSDSZZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多沙唑嗪胶囊'', ''JHSDSZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸多沙唑嗪片'', ''JHSDSZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱胶囊'', ''DSCJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱片'', ''DSCJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱注射液'', ''DSCJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用多索茶碱'', ''ZSYDSCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖．'', ''DSCJPTT．'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖注射液'', ''DSCJPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖注射液．'', ''DSCJPTTZSY．'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖蛋白片'', ''DTDBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖铁复合物胶囊'', ''DTTFHWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维片(6)'', ''DWP(6)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维铁口服溶液'', ''DWTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素胶囊(13)'', ''DWYSJN(13)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素胶囊(15)'', ''DWYSJN(15)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素片(21)'', ''DWYSP(21)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素片(23)'', ''DWYSP(23)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素（21）'', ''DWYS（21）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素分散片（21）'', ''DWYSFSP（21）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素片（21）'', ''DWYSP（21）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素片(29)'', ''DWYSP(29)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素'', ''YSDXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素肠溶'', ''YSDXHSCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素肠溶胶囊'', ''YSDXHSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素胶囊'', ''YSDXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸多西环素片'', ''YSDXHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸多西环素'', ''ZSYYSDXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西他赛注射液'', ''DXTSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯磷脂酰胆碱胶囊'', ''DXLZZDJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯磷脂酰胆碱注射液'', ''DXLZZDJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯酸乙酯软'', ''DXSYZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯酸乙酯软胶囊'', ''DXSYZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素注射液(Ⅱ)'', ''DZWLYSZSY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素注射液(Ⅰ)'', ''DZWLYSZSY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用多种维生素(12)'', ''ZSYDZWSS(12)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种油脂肪乳注射液(C6-24)'', ''DZYZFRZSY(C6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅去氧胆酸胶囊'', ''EQYDSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦分散'', ''EBSTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦分散片'', ''EBSTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦胶囊'', ''EBSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦片'', ''EBSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪分散片'', ''EBSTQLZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪胶囊'', ''EBSTQLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪片'', ''EBSTQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦分散'', ''EDSTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦分散片'', ''EDSTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦胶囊'', ''EDSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦片'', ''EDSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸厄洛替尼'', ''YSELTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸厄洛替尼片'', ''YSELTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用厄他培南'', ''ZSYETPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨胶囊'', ''EQTBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨替诺福韦片'', ''EQTBTNFWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋片'', ''ETKPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋双多巴片、恩他卡朋双多巴片(Ⅱ)、恩他卡朋双多巴片(Ⅲ)'', ''ETKPSDBP、ETKPSDBP(Ⅱ)、ETKPSDBP(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦分散片'', ''ETKWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦胶囊'', ''ETKWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦片'', ''ETKWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用二丁酰环磷腺苷钙'', ''ZSYEDZHLXZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳分散'', ''EFNLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳分散片'', ''EFNLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳胶囊'', ''EFNLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳片'', ''EFNLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲弗林'', ''YSEJFL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲弗林注射液'', ''YSEJFLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油片'', ''EJGYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油乳剂'', ''EJGYRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油散'', ''EJGYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍'', ''YSEJSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍肠溶'', ''YSEJSZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍肠溶胶囊'', ''YSEJSZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍肠溶片'', ''YSEJSZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍缓释'', ''YSEJSZHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍缓释胶囊'', ''YSEJSZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍缓释片'', ''YSEJSZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍缓释片、'', ''YSEJSZHSP、'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍胶囊'', ''YSEJSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二甲双胍片'', ''YSEJSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列本脲胶囊'', ''EJSZGLBZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列吡嗪片'', ''EJSZGLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列齐特片'', ''EJSZGLQTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二硫化硒洗剂'', ''ELHXXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氯乙酸二异丙胺片'', ''ELYSEYBAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱片'', ''EZBCJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱注射液'', ''EZBCJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱氯化钠注射液'', ''EZBCJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸二氢麦角碱'', ''JHSEQMJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸二氢麦角碱缓释胶囊'', ''JHSEQMJJHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸二氢麦角碱缓释片'', ''JHSEQMJJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二巯丙磺钠'', ''EZBHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二巯丙磺钠注射液'', ''EZBHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维葡醛内酯片'', ''EWPQNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维三七桂利嗪胶囊'', ''EWSQGLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维亚铁颗粒'', ''EWYTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二氧丙嗪'', ''YSEYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸二氧丙嗪片'', ''YSEYBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二乙酰氨乙酸乙二胺注射液'', ''EYZAYSYEAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用二乙酰氨乙酸乙二胺'', ''ZSYEYZAYSYEA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐地那非'', ''YSFDNF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐地那非片'', ''YSFDNFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸伐尼克兰'', ''JSSFNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸伐尼克兰片'', ''JSSFNKLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦'', ''YSFXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦分散'', ''YSFXLWFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦分散片'', ''YSFXLWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦胶囊'', ''YSFXLWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦颗粒'', ''YSFXLWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伐昔洛韦片'', ''YSFXLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法可林滴眼液'', ''FKLDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南钠'', ''FLPNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南钠胶囊'', ''FLPNNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南钠颗粒'', ''FLPNNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南钠片'', ''FLPNNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁分散片'', ''FMTDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁胶囊'', ''FMTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁咀嚼片'', ''FMTDJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁片'', ''FMTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁注射液'', ''FMTDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用法莫替丁'', ''ZSYFMTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁钙镁咀嚼片'', ''FMTDGMJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁氯化钠注射液'', ''FMTDLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸法舒地尔'', ''JHSFSDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸法舒地尔'', ''YSFSDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸法舒地尔注射液'', ''YSFSDEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸法舒地尔'', ''ZSYJHSFSDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛酸钙'', ''FSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦分散'', ''FXLWFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦分散片'', ''FXLWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦胶囊'', ''FXLWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦颗粒'', ''FXLWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦片'', ''FXLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦片(薄膜衣)'', ''FXLWP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛影葡胺注射液'', ''FYPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用放线菌素D'', ''ZSYFXJSD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布丙醇胶丸'', ''FBBCJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布司他片'', ''FBSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平缓释'', ''FLDPHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平缓释胶囊'', ''FLDPHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平缓释片'', ''FLDPHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平缓释片(Ⅱ)'', ''FLDPHSP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平片'', ''FLDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺分散片'', ''FNXAFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺胶囊'', ''FNXAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺片'', ''FNXAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸非尼拉敏盐酸萘甲唑啉'', ''MLSFNLMYSZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸非尼拉敏盐酸萘甲唑啉滴眼液'', ''MLSFNLMYSZJZZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特分散片'', ''FNBTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特缓释胶囊'', ''FNBTHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶囊'', ''FNBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶囊(Ⅱ)(微粒化制剂)'', ''FNBTJN(Ⅱ)(WLHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶囊(微粒化制剂)'', ''FNBTJN(WLHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶丸'', ''FNBTJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特片'', ''FNBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特片(Ⅲ)'', ''FNBTP(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特软胶囊(微粒化制剂)'', ''FNBTRJN(WLHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特（Ⅱ）'', ''FNBT（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特胶囊（Ⅱ）'', ''FNBTJN（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸非索非那定'', ''YSFSFND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸非索非那定胶囊'', ''YSFSFNDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸非索非那定片'', ''YSFSFNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬布芬胶囊'', ''FBFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬布芬片'', ''FBFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬太尼透皮贴'', ''FTNTPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬太尼透皮贴剂'', ''FTNTPTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬太尼针'', ''FTNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸芬太尼'', ''ZZSFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸芬太尼注射液'', ''ZZSFTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚氨咖敏片'', ''FAKMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸酚苄明'', ''YSFZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸酚苄明片'', ''YSFZMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚磺乙胺注射液'', ''FHYAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖麻敏胶囊'', ''FKMMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美软'', ''FMMR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美软胶囊'', ''FMMRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏混悬液'', ''FMMMHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏口服溶液'', ''FMMMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏片'', ''FMMMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚美愈伪麻分散'', ''FMYWMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚美愈伪麻分散片'', ''FMYWMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞含'', ''FTH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞含片'', ''FTHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞片'', ''FTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果导'', ''GD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果导片'', ''GDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸酚妥拉明'', ''JHSFTLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸酚妥拉明片'', ''JHSFTLMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸酚妥拉明注射液'', ''JHSFTLMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸酚妥拉明'', ''ZSYJHSFTLM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉尘螨滴剂'', ''FCZDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋乃静片'', ''FNJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸乳膏'', ''FXDSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用夫西地酸钠'', ''ZSYFXDSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋苄西林钠'', ''ZZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用呋苄西林钠'', ''ZSYZZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋布西林钠'', ''ZBXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用呋布西林钠'', ''ZSYZBXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋麻滴鼻液'', ''ZMDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃硫胺片'', ''ZZLAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃坦丁'', ''ZZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃坦啶'', ''ZZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃妥因肠溶片'', ''ZZTYCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃妥因片'', ''ZZTYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋妥因'', ''XZTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝基呋喃妥因'', ''XJZZTY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃唑酮片'', ''ZZZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痢特灵'', ''LTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋塞米片'', ''ZSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋塞米注射液'', ''ZSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用呋塞米'', ''ZSYZSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖分散片'', ''FGLBTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖胶囊'', ''FGLBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖咀嚼片'', ''FGLBTJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖片'', ''FGLBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏立康唑胶囊'', ''FLKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏立康唑片'', ''FLKZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用伏立康唑'', ''ZSYFLKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸伏硫西汀'', ''QZSFLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸伏硫西汀片'', ''QZSFLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟胞嘧啶片'', ''FBZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟胞嘧啶注射液'', ''FBZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬凝'', ''FBLFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬凝胶贴膏'', ''FBLFNJTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬巴布膏'', ''FBLFBBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬酯注射液'', ''FBLFZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟吡汀'', ''MLSFZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟吡汀胶囊'', ''MLSFZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷酸氟达拉滨'', ''ZSYLSFDLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀钠'', ''FFTTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀钠缓释片'', ''FFTTNHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀钠胶囊'', ''FFTTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟芬那酸丁酯软膏'', ''FFNSDZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟奋乃静'', ''YSFFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟奋乃静片'', ''YSFFNJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟伏沙明'', ''MLSFFSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氟伏沙明片'', ''MLSFFSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪'', ''YSFGLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪滴丸'', ''YSFGLZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪分散片'', ''YSFGLZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪胶囊'', ''YSFGLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟桂利嗪片'', ''YSFGLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑滴眼液'', ''FKZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑滴眼液(含玻璃酸钠)'', ''FKZDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑分散片'', ''FKZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑胶囊'', ''FKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑颗粒'', ''FKZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑氯化钠注射用'', ''FKZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑片'', ''FKZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑注射液'', ''FKZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氟康唑'', ''ZSYFKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑氯化钠注射液'', ''FKZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑葡萄糖注射液'', ''FKZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星分散'', ''FLSXFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星分散片'', ''FLSXFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星葡萄糖注射液'', ''FLSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟氯西林钠'', ''FLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟氯西林钠胶囊'', ''FLXLNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氟氯西林钠'', ''ZSYFLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟马西尼注射液'', ''FMXNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟米龙滴'', ''FMLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟米龙滴眼液'', ''FMLDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟尿嘧啶植入剂'', ''FNZZZRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟尿嘧啶注射液'', ''FNZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氟脲苷'', ''ZSYFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇片'', ''FZZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇注射液'', ''FZZCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸酸氟哌啶醇注射液'', ''GSFZZCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌利多注射液'', ''FZLDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌噻吨美利曲辛片'', ''FZZDMLQXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氟轻松'', ''CSFQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氟轻松冰片乳膏'', ''CSFQSBPRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氟轻松乳膏'', ''CSFQSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松维B6乳膏'', ''FQSWB6RG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟他胺片'', ''FTAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟维司群注射液'', ''FWSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟西汀'', ''YSFXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟西汀分散片'', ''YSFXTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟西汀胶囊'', ''YSFXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氟西汀片'', ''YSFXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福多司坦片'', ''FDSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用福莫司汀'', ''ZSYFMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸福莫特罗'', ''FMSFMTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸福莫特罗粉吸入剂'', ''FMSFMTLFXRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸福莫特罗片'', ''FMSFMTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利钠'', ''FXPLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利钠胶囊'', ''FXPLNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利钠片'', ''FXPLNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用辅酶Ⅰ'', ''ZSYFMⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用辅酶A'', ''ZSYFMA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q<sub>10'', ''FMQ<sub>10'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q<sub>10胶囊'', ''FMQ<sub>10JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10胶囊'', ''FMQ10JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10片'', ''FMQ10P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10软'', ''FMQ10R'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10软胶囊'', ''FMQ10RJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q软胶囊'', ''FMQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10氯化钠注射液'', ''FMQ10LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复片(薄膜衣片)'', ''FYKFP(BMYP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方α-酮酸片'', ''FFα-TSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方阿嗪米特肠溶片'', ''FFAZMTCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨茶碱片'', ''FFACJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚甲麻口服液'', ''FFAFJMKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚那敏颗粒'', ''FFAFNMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚葡锌片'', ''FFAFPXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺胶囊'', ''FFAFWAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺胶囊(人工牛黄)'', ''FFAFWAJN(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺颗粒'', ''FFAFWAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺颗粒(人工牛黄)'', ''FFAFWAKL(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺片'', ''FFAFWAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺片(人工牛黄)'', ''FFAFWAP(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚溴敏胶囊'', ''FFAFZMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚愈敏口服溶液'', ''FFAFYMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基丁酸维E胶囊'', ''FFAJDSWEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15AA)'', ''FFAJS(15AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸（15AA）'', ''FFAJS（15AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15-HBC)'', ''FFAJS(15-HBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸（17AA）'', ''FFAJS（17AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(17AA-Ⅲ)'', ''FFAJS(17AA-Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(18AA)'', ''FFAJS(18AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(18AA-Ⅱ)'', ''FFAJS(18AA-Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(18AA-Ⅳ)'', ''FFAJS(18AA-Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(18AA-Ⅶ)'', ''FFAJS(18AA-Ⅶ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸（18AA-I）'', ''FFAJS（18AA-I）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(18AA-V)'', ''FFAJS(18AA-V)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸（18AA-V）'', ''FFAJS（18AA-V）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(20AA)'', ''FFAJS(20AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(3AA)'', ''FFAJS(3AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(6AA)'', ''FFAJS(6AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(9AA)'', ''FFAJS(9AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸（9AA）'', ''FFAJS（9AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸胶囊(8-11)'', ''FFAJSJN(8-11)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液'', ''FFAJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(15AA)'', ''FFAJSZSY(15AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液（15AA）'', ''FFAJSZSY（15AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(15-HBC)'', ''FFAJSZSY(15-HBC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液（17AA）'', ''FFAJSZSY（17AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(17AA-Ⅲ)'', ''FFAJSZSY(17AA-Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA)'', ''FFAJSZSY(18AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅰ)'', ''FFAJSZSY(18AA-Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅱ)'', ''FFAJSZSY(18AA-Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅲ)'', ''FFAJSZSY(18AA-Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅳ)'', ''FFAJSZSY(18AA-Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅴ)'', ''FFAJSZSY(18AA-Ⅴ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-Ⅶ)'', ''FFAJSZSY(18AA-Ⅶ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液（18AA-I）'', ''FFAJSZSY（18AA-I）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(18AA-V)'', ''FFAJSZSY(18AA-V)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液（18AA-V）'', ''FFAJSZSY（18AA-V）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(20AA)'', ''FFAJSZSY(20AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(3AA)'', ''FFAJSZSY(3AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(6AA)'', ''FFAJSZSY(6AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液(9AA)'', ''FFAJSZSY(9AA)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸注射液（9AA）'', ''FFAJSZSY（9AA）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15)双肽(2)注射液'', ''FFAJS(15)SZ(2)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨林巴比妥注射液'', ''FFALBBTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨肽素片'', ''FFAZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨维胶囊'', ''FFAWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨维片'', ''FFAWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方八维甲睾酮胶囊'', ''FFBWJZTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方北豆根氨酚那敏片'', ''FFBDGAFNMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍氯米松樟脑乳膏'', ''FFBLMSZNRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍他米松注射液'', ''FFBTMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白水解物片'', ''FFZLXTNDBSJWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方别嘌醇片'', ''FFBZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙谷胺西咪替丁片'', ''FFBGAXZTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙酸氯倍他索软膏'', ''FFBSLBTSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方次没食子酸铋栓Ⅱ'', ''FFCMSZSZSⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸地塞米松乳膏'', ''FFCSDSMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸氟轻松酊'', ''FFCSFQSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸棉酚片'', ''FFCSMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸曲安奈德溶液'', ''FFCSQANDRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参'', ''FFDC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参片（薄膜衣）'', ''FFDCP（BMY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地芬诺酯片'', ''FFDFNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地西泮片'', ''FFDXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方颠茄铋镁片'', ''FFDQZMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方电解质注射液'', ''FFDJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香罗勒口服混悬液'', ''FFDXLLKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚片'', ''FFDYZAJFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚片(Ⅱ)'', ''FFDYZAJFP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚片(II)'', ''FFDYZAJFP(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多维元素片(23)'', ''FFDWYSP(23)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多粘菌素B软膏'', ''FFDZJSBRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方莪术油栓'', ''FFZSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方二氯醋酸二异丙胺注射液'', ''FFELCSEYBAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方二氯醋酸二异丙胺'', ''ZSYFFELCSEYBA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方泛影葡胺注射液'', ''FFFYPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酚咖伪麻胶囊'', ''FFFKWMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟米松软膏'', ''FFFMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟尿嘧啶口服溶液'', ''FFFNZZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方福尔可定口服溶液'', ''FFFEKDKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方福尔可定糖浆'', ''FFFEKDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草口服溶液'', ''FFGCKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵注射液'', ''FFGCSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵注射液'', ''FFGCSDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷胶囊'', ''FFGCSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷片'', ''FFGCSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷注射液'', ''FFGCSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S注射液'', ''FFGCSDZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方甘草酸单铵S'', ''ZSYFFGCSDZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方甘草酸单铵S(冻干)'', ''ZSYFFGCSDZS(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S氯化钠注射液'', ''FFGCSDZSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方甘草酸苷'', ''ZSYFFGCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草浙贝氯化铵片'', ''FFGCZBLHZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘露醇注射液'', ''FFGLCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝'', ''FFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝浸膏片'', ''FFGJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素钠尿囊素凝胶'', ''FFGSNNNSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺肠溶'', ''FFGAZACR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺肠溶胶囊'', ''FFGAZACRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺颗粒'', ''FFGAZAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方骨肽注射液'', ''FFGZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方骨肽'', ''ZSYFFGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方猴头'', ''FFHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方虎杖氨敏片'', ''FFHZAMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方环磷酰胺片'', ''FFHLZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲f唑'', ''FFHAJfZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲f唑口服混悬液'', ''FFHAJfZKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲f唑片'', ''FFHAJfZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲噁唑'', ''FFHAJ噁Z'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲噁唑分散片'', ''FFHAJ噁ZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲噁唑片'', ''FFHAJ噁ZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲噁唑注射液'', ''FFHAJ噁ZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲恶唑片'', ''FFHAJEZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺嘧啶片'', ''FFHAZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺嘧啶锌凝胶'', ''FFHAZZXNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲苯咪唑片'', ''FFJBZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲硝唑阴道栓'', ''FFJXZYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲氧那明胶囊'', ''FFJYNMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方角菜酸酯乳膏'', ''FFJCSZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方角菜酸酯栓'', ''FFJCSZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金刚烷胺氨基比林片'', ''FFJGWAAJBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗氯化铵口服溶液'', ''FFJGLHZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗麻黄碱糖浆(Ⅱ)'', ''FFJGMHJTJ(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散'', ''FFJYECDJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散(Ⅰ)'', ''FFJYECDJZS(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散(Ⅱ)'', ''FFJYECDJZS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散（Ⅱ）'', ''FFJYECDJZS（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散(Ⅲ)'', ''FFJYECDJZS(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散(Ⅳ)'', ''FFJYECDJZS(Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散（Ⅳ）'', ''FFJYECDJZS（Ⅳ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质散（I）'', ''FFJYECDJZS（I）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡力孜然酊'', ''FFKLZRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡托普利片'', ''FFKTPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方可待因口服溶液'', ''FFKDYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑乳膏'', ''FFKMZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑乳膏(Ⅱ)'', ''FFKMZRG(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑（II）'', ''FFKMZ（II）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑乳膏（II）'', ''FFKMZRG（II）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参水杨酸散'', ''FFKCSYSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方赖氨酸颗粒'', ''FFLASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蓝棕果片'', ''FFLZGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雷尼替丁胶囊'', ''FFLNTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利多卡因乳膏'', ''FFLDKYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平片'', ''FFLXPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平氨苯蝶啶片'', ''FFLXPABDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因口服溶液'', ''FFLSKDYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因溶液'', ''FFLSKDYRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因溶液(Ⅱ)'', ''FFLSKDYRY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因糖浆'', ''FFLSKDYTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫黄乳膏'', ''FFLHRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸氢黄连素软膏'', ''FFLSQHLSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素滴眼液'', ''FFLSRGSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素片'', ''FFLSRGSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素眼用'', ''FFLSRGSYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素眼用凝胶'', ''FFLSRGSYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸双肼屈嗪片'', ''FFLSSZQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸新霉素滴眼液'', ''FFLSXMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸新霉素滴眼液(含玻璃酸钠)'', ''FFLSXMSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁颗粒'', ''FFLSYTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁叶酸片'', ''FFLSYTYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳安咖注射液'', ''FFLAKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳唑气雾剂'', ''FFLZQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方芦丁片'', ''FFLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗布麻颗粒'', ''FFLBMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗布麻颗粒(无糖型)'', ''FFLBMKL(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗布麻片(Ⅰ)'', ''FFLBMP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方铝酸铋颗粒'', ''FFLSZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方铝酸铋片'', ''FFLSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯丙那林溴己新片'', ''FFLBNLZJXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯化钠滴眼液'', ''FFLHNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯化钠注射液'', ''FFLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林格氏液'', ''LGSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定含漱液'', ''FFLJDHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定地塞米松膜'', ''FFLJDDSMSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯霉素栓'', ''FFLMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗分散'', ''FFLZSZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗分散片'', ''FFLZSZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗胶囊'', ''FFLZSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗片'', ''FFLZSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方门冬维甘滴眼液'', ''FFMDWGDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方米非司酮片'', ''FFMFSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方木尼孜其颗粒'', ''FFMNZQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方萘普生栓'', ''FFZPSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑蛋白水解物片'', ''FFNDBSJWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑肽节苷脂注射液'', ''FFNZJZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿囊素片'', ''FFNNSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿维氨滴眼液'', ''FFNWADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方牛胎肝提取物片'', ''FFNTGTQWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胚肝铁铵片'', ''FFPGTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢溴酸右美沙芬颗粒'', ''FFQZSYMSFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢溴酸右美沙芬糖浆'', ''FFQZSYMSFTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝片'', ''FFQYHLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝镁片'', ''FFQYHLMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素膜'', ''FFQDMSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因胶囊'', ''FFQDMSPLKYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因维B12胶囊'', ''FFQDMSPLKYWB12JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲安奈德乳膏'', ''FFQANDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲马多片'', ''FFQMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲尼司特片'', ''FFQNSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲肽注射液'', ''FFQZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸乳膏'', ''FFRSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸钠葡萄糖注射液'', ''FFRSNPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维B(Ⅱ)'', ''FFSWB(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方三维B'', ''ZSYFFSWB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方三维B(Ⅱ)'', ''ZSYFFSWB(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维亚油酸胶丸Ⅰ'', ''FFSWYYSJWⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方十一烯酸锌曲安奈德软膏'', ''FFSYXSXQANDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方嗜酸乳杆菌片'', ''FFSSRGJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双氯芬酸钠注射液'', ''FFSLFSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯巴布膏'', ''FFSYSJZBBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯苯海拉明喷雾剂'', ''FFSYSJZBHLMPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙颗粒'', ''FFTSGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙泡腾'', ''FFTSGPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙泡腾颗粒'', ''FFTSGPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻蜜环糖肽片'', ''FFTMMHTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑发用'', ''FFTKZFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑发用洗剂'', ''FFTKZFYXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑乳膏'', ''FFTKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑软膏'', ''FFTKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方头孢克洛干混悬剂'', ''FFTZKLGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方头孢克洛胶囊'', ''FFTZKLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方托吡卡胺滴眼液'', ''FFTZKADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维U颠茄铋铝片'', ''FFWUDQZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素注射液(4)'', ''FFWSSZSY(4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(3)注射液'', ''FFWSS(3)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复方维生素(3)'', ''ZSYFFWSS(3)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素B12溶液'', ''FFWSSB12RY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白酶颗粒'', ''FFWDBMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白酶散'', ''FFWDBMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶胶囊'', ''FFXHMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶胶囊(Ⅱ)'', ''FFXHMJN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶片'', ''FFXHMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消旋山莨菪碱滴眼液'', ''FFXXSZZJDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌布颗粒'', ''FFXBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌布颗粒剂'', ''FFXBKLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌铁钙口服溶液'', ''FFXTGKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方新霉素多粘菌素滴眼液'', ''FFXMSDZJSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方亚油酸乙酯胶丸'', ''FFYYSYZJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿米洛利片'', ''FFYSAMLLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿替卡因注射液'', ''FFYSATKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸利多卡因注射液'', ''FFYSLDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸麻黄碱软膏'', ''FFYSMHJRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸伪麻黄碱缓释'', ''FFYSWMHJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸伪麻黄碱缓释胶囊'', ''FFYSWMHJHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乙酰水杨酸片'', ''FFYZSYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用复方异丙托溴铵'', ''XRYFFYBTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用复方异丙托溴铵溶液'', ''XRYFFYBTZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨酚维C片'', ''FFYQAFWCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏<p>'', ''FFYQAM<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏胶囊'', ''FFYQAMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏胶囊<p>'', ''FFYQAMJN<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养混悬剂(整蛋白型肠内营养剂)'', ''FFYYHXJ(ZDBXCNYYJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐40注射液'', ''FFYXTZ40ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐70滴眼液'', ''FFYXTZ70DYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方愈创木酚磺酸钾口服溶液'', ''FFYCMFHSJKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟柳碱注射液'', ''FFZLJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟脑乳膏'', ''FFZNRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方紫荆皮水杨酸溶液'', ''FFZJPSYSRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合氨基酸胶囊(8-11)'', ''FHAJSJN(8-11)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复合辅酶'', ''ZSYFHFM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸氢钾注射液'', ''FHLSQJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸酯酶肠溶片'', ''FHLSZMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合乳酸菌胶囊'', ''FHRSJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素片'', ''FHWSSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素B片'', ''FHWSSBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素B注射液'', ''FHWSSBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''38999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用复合维生素B'', ''ZSYFHWSSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁胶囊'', ''FMSYTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁胶囊(红红)'', ''FMSYTJN(HH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁咀嚼片'', ''FMSYTJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁颗粒'', ''FMSYTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁片'', ''FMSYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐)(低钙)'', ''FMTXY(RSY)(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液（乳酸盐-G2.5%）'', ''FMTXY（RSY-G2.5%）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液（乳酸盐-G4.25%）'', ''FMTXY（RSY-G4.25%）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆贝葡胺注射液'', ''ZBPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆喷酸葡胺注射液'', ''ZPSPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆双胺注射液'', ''ZSAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆特酸葡胺注射液'', ''ZTSPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙泊三醇倍他米松软膏'', ''GBSCBTMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甘氨双唑钠'', ''ZSYGASZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨酸碳酸钙胶囊'', ''GASTSGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵肠溶'', ''GCSEZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵肠溶胶囊'', ''GCSEZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵胶囊'', ''GCSEZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵注射液'', ''GCSEZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甘草酸二铵'', ''ZSYGCSEZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵氯化钠注射液'', ''GCSEZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草锌胶囊'', ''GCXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草锌颗粒'', ''GCXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘精胰岛素注射液'', ''GJYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组甘精胰岛素注射液'', ''ZZGJYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露醇注射液'', ''GLCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露醇注射液(冲洗用)'', ''GLCZSY(CXY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露聚糖肽片'', ''GLJTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露聚糖肽注射液'', ''GLJTZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甘露聚糖肽'', ''ZSYGLJTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘羟铝片'', ''GZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油果糖氯化钠注射液'', ''GYGTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油磷酸钠注射液'', ''GYLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油氯化钠注射液'', ''GYLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝水解肽注射液'', ''GSJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用肝水解肽'', ''ZSYGSJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠'', ''GSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠封管'', ''GSNFG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠封管注射液'', ''GSNFGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠乳膏'', ''GSNRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钠注射液'', ''GSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钙注射液'', ''GSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用肝素钙'', ''ZSYGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干酵母片'', ''GJMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用高纯度尿促性素'', ''ZSYGCDNCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高锰酸钾片'', ''GMSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高锰酸钾外用片'', ''GMSJWYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱注射液'', ''GSJSZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用高三尖杉酯碱'', ''ZSYGSJSZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱氯化钠注射液'', ''GSJSZJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗枸橼酸盐嘌呤溶液'', ''GSZZSYZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗氯化钠羟乙基淀粉40注射液'', ''GSLHNZYJDF40ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸高乌甲素'', ''QZSGWJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸高乌甲素注射液'', ''QZSGWJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氢溴酸高乌甲素'', ''ZSYQZSGWJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氢溴酸高乌甲素(冻干)'', ''ZSYQZSGWJS(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素贴片'', ''GWJSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用戈那瑞林'', ''ZSYGNRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸戈舍瑞林'', ''CSGSRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸戈舍瑞林缓释植入剂'', ''CSGSRLHSZRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼'', ''YSGLSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼分散片'', ''YSGLSQFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼片'', ''YSGLSQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼注射液'', ''YSGLSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸格拉司琼'', ''ZSYYSGLSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼氯化钠'', ''YSGLSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼氯化钠注射液'', ''YSGLSQLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼葡萄糖'', ''YSGLSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸格拉司琼葡萄糖注射液'', ''YSGLSQPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列本脲片'', ''GLBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪分散片'', ''GLZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪缓释'', ''GLZZHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪缓释胶囊'', ''GLZZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪缓释片'', ''GLZZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪胶囊'', ''GLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪控释片'', ''GLZZKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪口腔崩解片'', ''GLZZKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪片'', ''GLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪片(捷贝)'', ''GLZZP(JB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮分散'', ''GLZTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮分散片'', ''GLZTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮片'', ''GLZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲滴丸'', ''GLMZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲分散'', ''GLMZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲分散片'', ''GLMZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲胶囊'', ''GLMZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲片'', ''GLMZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特分散片'', ''GLQTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特缓释'', ''GLQTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特缓释胶囊'', ''GLQTHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特缓释片'', ''GLQTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特胶囊'', ''GLQTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特片'', ''GLQTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特片(Ⅱ)'', ''GLQTP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特片(II)'', ''GLQTP(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特片（Ⅱ）'', ''GLQTP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素注射液'', ''GGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用葛根素'', ''ZSYGGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用葛根素(冻干)'', ''ZSYGGS(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素葡萄糖注射液'', ''GGSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦滴眼液'', ''GXLWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦分散片'', ''GXLWFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦胶囊'', ''GXLWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦钠'', ''GXLWN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦片'', ''GXLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦葡萄糖注射液'', ''GXLWPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦眼用凝胶'', ''GXLWYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦注射液'', ''GXLWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用更昔洛韦'', ''ZSYGXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用更昔洛韦(冻干)'', ''ZSYGXLW(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用更昔洛韦钠'', ''ZSYGXLWN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞溴红溶液'', ''GZHRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狗皮膏(改进型)'', ''GPG(GJX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸地氯雷他定胶囊'', ''ZDLLTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸地氯雷他定片'', ''ZDLLTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸磺新啶片'', ''ZHXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾胶囊'', ''ZZSZJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾颗粒'', ''ZZSZJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾口服溶液'', ''ZZSZJKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾片'', ''ZZSZJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾片/替硝唑片/克拉霉素片组合包装'', ''ZZSZJP/TXZP/KLMSPZHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钙片'', ''ZZSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钾颗粒'', ''ZZSJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙比利片'', ''ZZSMSBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利分散片'', ''ZZSMSBLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利胶囊'', ''ZZSMSBLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利胶囊1'', ''ZZSMSBLJN1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利片'', ''ZZSMSBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钠抗凝'', ''ZZSNKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸（柠檬酸）氢钾钠'', ''ZZS（NMS）QJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸（柠檬酸）氢钾钠颗粒'', ''ZZS（NMS）QJNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铁铵泡腾'', ''ZZSTZPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铁铵泡腾颗粒'', ''ZZSTZPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸锌片'', ''ZZSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸片'', ''GASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钾注射液'', ''GASJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钠注射液'', ''GASNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用谷氨酸诺氟沙星'', ''ZSYGASNFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-谷氨酰胺胶囊'', ''L-GAZAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺胶囊'', ''GAZAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺颗粒'', ''GAZAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷胱甘肽片'', ''GZGZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷红注射液'', ''GHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷赖胰岛素注射液'', ''GLYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素片'', ''GWSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素双维B片'', ''GWSSWBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺平'', ''GCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瓜提取物注射液'', ''GGTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用骨瓜提取物'', ''ZSYGGTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇胶丸'', ''GHSCJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇软胶囊'', ''GHSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇注射液'', ''GHSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽片'', ''GZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽注射液'', ''GZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用骨肽'', ''ZSYGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽氯化钠注射液'', ''GZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质宁搽剂'', ''GZNCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呱西替柳干混悬剂'', ''ZXTLGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱氨酸片'', ''ZASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑降钙素鼻喷雾剂'', ''ZJGSBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑降钙素注射液'', ''ZJGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素鼻喷剂'', ''ZYJGSBPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用鲑降钙素'', ''ZSYZJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素鼻'', ''ZYJGSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素喷鼻剂'', ''ZYJGSPBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用鲑鱼降钙素'', ''ZSYZYJGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼臼毒素酊'', ''GJDSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸氟奋乃静注射液'', ''GFFNJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂利嗪胶囊'', ''GLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂利嗪片'', ''GLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸桂哌齐特'', ''MLSGZQT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸桂哌齐特注射液'', ''MLSGZQTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖注射液'', ''GTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用果糖'', ''ZSYGT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钙片'', ''GTELSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠胶囊'', ''GTELSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠口服溶液'', ''GTELSNKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠注射液'', ''GTELSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用果糖二磷酸钠'', ''ZSYGTELSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用果糖二磷酸钠(冻干)'', ''ZSYGTELSN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖氯化钠注射液'', ''GTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧苯甲酰凝胶'', ''GYBJZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化氢溶液'', ''GYHQRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用过氧化碳酰胺'', ''ZSYGYHTZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈西奈德溶液'', ''HXNDRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈西奈德乳膏'', ''HXNDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原型谷胱甘肽滴眼液'', ''HYXGZGZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原型谷胱甘肽钠'', ''HYXGZGZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用还原型谷胱甘肽'', ''ZSYHYXGZGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用还原型谷胱甘肽钠'', ''ZSYHYXGZGZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防己甲素片'', ''HFJJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防己甲素注射液'', ''HFJJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防已甲片'', ''HFYJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒿甲醚注射液'', ''ZJMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚝贝钙片(咀嚼片)'', ''ZBGP(JJP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核黄素磷酸钠注射液'', ''HHSLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核黄素磷酸钠'', ''ZSYHHSLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核黄素磷酸钠(冻干)'', ''ZSYHHSLSN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核酪口服溶液'', ''HLKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核糖核酸Ⅰ'', ''ZSYHTHSⅠ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用核糖核酸Ⅱ'', ''ZSYHTHSⅡ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花清肝十三味丸(古日古木-13)'', ''HHQGSSWW(GRGM-13)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花清肝十三味丸（古日古木-13）'', ''HHQGSSWW（GRGM-13）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结'', ''HJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶'', ''HMSCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶胶囊'', ''HMSCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶片'', ''HMSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶微丸'', ''HMSCRWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素肠溶微丸胶囊'', ''HMSCRWWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素软膏'', ''HMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素栓'', ''HMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素眼膏'', ''HMSYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乳糖酸红霉素'', ''ZSYRTSHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌'', ''HTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌提取物颗粒'', ''HTJTQWKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌提取物颗粒(无糖型)'', ''HTJTQWKL(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸亚铁片'', ''ZZSYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酰明胶注射液'', ''ZZZMJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀消石（无糖型）'', ''ZZXS（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀消石颗粒（无糖型）'', ''ZZXSKL（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素分散'', ''ZYHMSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素分散片'', ''ZYHMSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素干混悬剂'', ''ZYHMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素胶囊'', ''ZYHMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素颗粒'', ''ZYHMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素片'', ''ZYHMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝'', ''HG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华法林钠'', ''HFLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华法林钠片'', ''HFLNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素滴眼液'', ''HZSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素胶囊'', ''HZSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素胶囊(微乳化制剂)'', ''HZSJN(WRHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素口服溶液'', ''HZSKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素口服溶液(微乳化制剂)'', ''HZSKFRY(WRHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素口服液'', ''HZSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素软'', ''HZSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素软胶囊'', ''HZSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素软胶囊(微乳化制剂)'', ''HZSRJN(WRHZJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素注射液'', ''HZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环吡酮胺乳膏'', ''HZTARG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环吡酮胺阴道栓'', ''HZTAYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷酰胺片'', ''HLZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星'', ''YSHBSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星滴眼液'', ''YSHBSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星胶囊'', ''YSHBSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星凝胶'', ''YSHBSXNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星片'', ''YSHBSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星乳膏'', ''YSHBSXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环丙沙星阴道泡腾片'', ''YSHBSXYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用环磷酰胺'', ''ZSYHLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷注射液'', ''HLXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用环磷腺苷'', ''ZSYHLXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷氯化钠注射液'', ''HLXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺注射液'', ''HLXZPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用环磷腺苷葡胺'', ''ZSYHLXZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺葡萄糖注射液'', ''HLXZPAPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡萄糖注射液'', ''HLXZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环喷托酯'', ''YSHPTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸环喷托酯滴眼液'', ''YSHPTZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丝氨酸胶囊'', ''HSASJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环索奈德气雾剂'', ''HSNDQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环酯红霉素干混悬剂'', ''HZHMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄豆苷元胶囊'', ''HDZYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄豆苷元片'', ''HDZYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮胶囊'', ''HTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮胶丸'', ''HTTJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮软'', ''HTTR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮软胶囊'', ''HTTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮栓'', ''HTTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮阴道缓释'', ''HTTYDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮阴道缓释凝胶'', ''HTTYDHSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮注射液'', ''HTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸黄酮哌酯'', ''YSHTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸黄酮哌酯片'', ''YSHTZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋磺酰胺'', ''CHZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酰磺胺钠'', ''CZHAN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺醋酰钠'', ''HACZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺醋酰钠滴眼液'', ''HACZNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺乙酰钠'', ''HAYZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺醋酰胺钠'', ''HCZAN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰磺胺'', ''YZHA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶钠'', ''HAZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶钠注射液'', ''HAZZNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶片'', ''HAZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶银乳膏'', ''HAZZYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺苄西林钠'', ''HZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磺苄西林钠'', ''ZSYHZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺达肝癸钠注射液'', ''HDGGNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦分散'', ''ZLXTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦分散片'', ''ZLXTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦胶囊'', ''ZLXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦片'', ''ZLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴三硫胶囊'', ''ZSLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴三硫片'', ''ZSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合糖电解质注射液'', ''HHTDJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30/71混合重组人胰岛素'', ''30/71HHZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素注射液'', ''50/50HHZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/51混合重组人胰岛素'', ''50/51HHZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血通脉'', ''HXTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌氨肽苷注射液'', ''JAZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用肌氨肽苷'', ''ZSYJAZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用肌氨肽苷(冻干)'', ''ZSYJAZZ(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌醇烟酸酯片'', ''JCYSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷口服溶液'', ''JZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷口服液'', ''JZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用肌苷'', ''ZSYJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷氯化钠注射液'', ''JZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷葡萄糖注射液'', ''JZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉法酯片'', ''JFZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非罗齐胶囊'', ''JFLQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非替尼片'', ''JFTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸吉米沙星'', ''JHSJMSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸吉米沙星片'', ''JHSJMSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉他霉素片'', ''JTMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸吉他霉素'', ''JSSJTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用酒石酸吉他霉素'', ''ZSYJSSJTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吉西他滨'', ''YSJXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸吉西他滨'', ''ZSYYSJXTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉祥安坤丸(乌力吉-18)'', ''JXAKW(WLJ-18)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉祥安坤丸（乌力吉-18）'', ''JXAKW（WLJ-18）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可喊缓释片'', ''JTKKHHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可碱注射液'', ''JTKKJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加巴喷丁胶囊'', ''JBPDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加巴喷丁片'', ''JBPDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸加贝酯'', ''JHSJBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸加贝酯'', ''ZSYJHSJBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸加兰他敏'', ''QZSJLTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸加兰他敏注射液'', ''QZSJLTMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸加尼瑞克'', ''CSJNRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸加尼瑞克注射液'', ''CSJNRKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星滴眼液'', ''JTSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星胶囊'', ''JTSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星葡萄糖注射液'', ''JTSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星眼用'', ''JTSXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星眼用凝胶'', ''JTSXYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氨蝶呤片'', ''JADZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氨蝶呤注射液'', ''JADZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲氨蝶呤'', ''ZSYJADZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯咪唑片'', ''JBZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮'', ''CSJDYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮分散'', ''CSJDYTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮分散片'', ''CSJDYTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮胶囊'', ''CSJDYTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮片'', ''CSJDYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮软'', ''CSJDYTR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲地孕酮软胶囊'', ''CSJDYTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸分散'', ''JFNSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸分散片'', ''JFNSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸片'', ''JFNSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲酚皂溶液'', ''JFZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素肠溶片'', ''JZMSCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素胶囊'', ''JZMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素颗粒'', ''JZMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲砜霉素甘氨酸酯'', ''YSJZMSGASZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸甲砜霉素甘氨酸酯'', ''ZSYYSJZMSGASZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲睾酮片'', ''JZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺分散'', ''JZAFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺分散片'', ''JZAFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺胶囊'', ''JZAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺片'', ''JZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺注射液'', ''JZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲钴胺'', ''ZSYJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫氨酸维B<sub>1'', ''JLASWB<sub>1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫氨酸维B1注射液'', ''JLASWB1ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲硫氨酸维B<sub>1'', ''ZSYJLASWB<sub>1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲硫氨酸维B1'', ''ZSYJLASWB1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氯芬酯'', ''YSJLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氯芬酯分散片'', ''YSJLFZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氯芬酯胶囊'', ''YSJLFZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸甲氯芬酯'', ''ZSYYSJLFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲萘氢醌'', ''CSJZQZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲萘氢醌片'', ''CSJZQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲哌卡因'', ''YSJZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲哌卡因注射液'', ''YSJZKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲哌卡因/肾上腺素'', ''YSJZKY/SSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲哌卡因/肾上腺素注射液'', ''YSJZKY/SSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲泼尼龙片'', ''JPNLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲泼尼龙琥珀酸钠'', ''ZSYJPNLZZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲泼尼龙琥珀酸钠(冻干)'', ''ZSYJPNLZZSN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲羟孕酮'', ''CSJZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲羟孕酮分散'', ''CSJZYTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲羟孕酮分散片'', ''CSJZYTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸甲羟孕酮片'', ''CSJZYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲巯咪唑片'', ''JZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参阴道泡腾'', ''JXWCYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参阴道泡腾片'', ''JXWCYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参阴道栓'', ''JXWCYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑含漱液'', ''JXZHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑缓释片'', ''JXZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑凝胶'', ''JXZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑片'', ''JXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑栓'', ''JXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑洗液'', ''JXZXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑阴道泡腾'', ''JXZYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑阴道泡腾片'', ''JXZYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑注射液'', ''JXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑芬布芬胶囊'', ''JXZFBFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑呋喃唑酮栓'', ''JXZZZZTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲硝唑磷酸二钠'', ''ZSYJXZLSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯化钠注射液'', ''JXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定洗剂'', ''JXZLJDXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定洗剂(浓)'', ''JXZLJDXJ(N)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定（浓）'', ''JXZLJD（N）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定洗剂（浓）'', ''JXZLJDXJ（N）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑葡萄糖注射液'', ''JXZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑维B6片'', ''JXZWB6P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧苄氨嘧啶'', ''JYZAZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧苄胺嘧啶'', ''JYZAZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧苄啶片'', ''JYZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧氯普胺片'', ''JYLPAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃复安'', ''WFA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氧氯普胺'', ''YSJYLPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氧氯普胺注射液'', ''YSJYLPAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氧明'', ''YSJYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸甲氧明注射液'', ''YSJYMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧沙林片'', ''JYSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧沙林溶液'', ''JYSLRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺片'', ''JZXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲紫溶液'', ''JZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尖吻蝮蛇血凝酶'', ''ZSYJWZSXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间苯三酚注射液'', ''JBSFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用间苯三酚'', ''ZSYJBSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸间羟胺'', ''ZJSSJZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸间羟胺注射液'', ''ZJSSJZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱式硝酸铋片'', ''JSXSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血'', ''JPSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜酚胶丸'', ''JFJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵分散'', ''JZLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''JiangzhilingJiaonang'', ''JiangzhilingJiaonang'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交联玻璃酸钠注射液'', ''JLBLSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体果胶铋胶囊'', ''JTGJZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体果胶铋颗粒'', ''JTGJZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体酒石酸铋胶囊'', ''JTJSSZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原酶软膏'', ''JYMRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胶原酶'', ''ZSYJYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角鲨烯胶丸'', ''JZXJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞股蓝总苷软胶囊'', ''JGLZZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳注射液(C6-24)'', ''JGZFRZSY(C6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳（C<sub>6-24）'', ''JGZFR（C<sub>6-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳（C6-24）'', ''JGZFR（C6-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳注射液（C<sub>6-24）'', ''JGZFRZSY（C<sub>6-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳注射液（C6-24）'', ''JGZFRZSY（C6-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结合雌激素片'', ''JHCJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核菌素纯蛋白衍生物(TB-PPD)'', ''JHJSCDBYSW(TB-PPD)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚烷胺'', ''YSJGWA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚烷胺颗粒'', ''YSJGWAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚烷胺片'', ''YSJGWAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚乙胺'', ''YSJGYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚乙胺颗粒'', ''YSJGYAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚乙胺口服溶液'', ''YSJGYAKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金刚乙胺糖浆'', ''YSJGYATJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金霉素'', ''YSJMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸金霉素眼膏'', ''YSJMSYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金葡素注射液'', ''JPSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓子喉'', ''JSZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京都念慈?蜜炼川贝枇杷膏'', ''JDNC?MLCBZZG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸精氨酸'', ''YSJAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸精氨酸注射液'', ''YSJASZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用精氨酸阿司匹林'', ''ZSYJASASPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸布洛芬颗粒'', ''JASBLFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸布洛芬片'', ''JASBLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素（'', ''JDBSWHCRYDS（'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素(预混30R)'', ''JDBSWHCRYDS(YH30R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素（预混30R）'', ''JDBSWHCRYDS（YH30R）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素(预混50R)'', ''JDBSWHCRYDS(YH50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素（预混50R）'', ''JDBSWHCRYDS（YH50R）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液'', ''JDBSWHCRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液（'', ''JDBSWHCRYDSZSY（'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液(预混30R'', ''JDBSWHCRYDSZSY(YH30R'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液(预混30R)'', ''JDBSWHCRYDSZSY(YH30R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液（预混30R）'', ''JDBSWHCRYDSZSY（YH30R）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液(预混50R'', ''JDBSWHCRYDSZSY(YH50R'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液(预混50R)'', ''JDBSWHCRYDSZSY(YH50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素注射液（预混50R）'', ''JDBSWHCRYDSZSY（YH50R）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌胰岛素注射液'', ''JDBXYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌胰岛素注射液(30R)'', ''JDBXYDSZSY(30R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素(25R)'', ''JDBXZZLFYDS(25R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素(25R)注射液'', ''JDBXZZLFYDS(25R)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素(50R)'', ''JDBXZZLFYDS(50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混合注射液(25R)'', ''JDBXZZLFYDSHHZSY(25R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混合注射液(50R)'', ''JDBXZZLFYDSHHZSY(50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和注射液(25R)'', ''JDBXZZLFYDSHHZSY(25R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和注射液(50R)'', ''JDBXZZLFYDSHHZSY(50R)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素混合注射液'', ''JDBXZZRYDSHHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素混合注射液70/30'', ''JDBXZZRYDSHHZSY70/30'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素注射液'', ''JDBXZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合注射液(50/50)'', ''JDBZZRYDSHHZSY(50/50)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素注射液'', ''JDBZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合注射液(30/70)'', ''JDBZZRYDSHHZSY(30/70)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合注射液(40/60)'', ''JDBZZRYDSHHZSY(40/60)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九合维生素丸'', ''JHWSSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锯叶棕果实提取物软胶囊'', ''JYZGSTQWRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚苯乙烯磺酸钙散'', ''JBYXHSGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚多卡醇注射液'', ''JDKCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚桂醇注射液'', ''JGCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚磺苯乙烯钠'', ''JHBYXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚磺苯乙烯钠散'', ''JHBYXNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚肌胞注射液'', ''JJBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛凝胶'', ''JJFHQNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛溶液'', ''JJFHQRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛栓'', ''JJFHQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛阴道栓'', ''JJFHQYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚明胶肽注射液'', ''JMJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚普瑞锌颗粒'', ''JPRXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘凝胶'', ''JWTDNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘溶液'', ''JWTDRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘乳膏'', ''JWTDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇滴眼液'', ''JYECDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇4000散'', ''JYEC4000S'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α2a注射液'', ''JYECGRSα2aZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2a注射液'', ''JYECGRSα-2aZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用聚乙二醇干扰素α2b'', ''ZSYJYECGRSα2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2b注射剂'', ''JYECGRSα-2bZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇化重组人粒细胞刺激因子注射液'', ''JYECHZZRLXBCJYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙烯醇滴眼液'', ''JYXCDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸卷曲霉素'', ''LSJQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸卷曲霉素'', ''ZSYLSJQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡酸片'', ''KFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸咖啡因'', ''ZZSKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸咖啡因注射液'', ''ZZSKFYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖酚伪麻片'', ''KFWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴胆碱注射液'', ''KBDJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸卡巴拉汀'', ''ZJSSKBLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸卡巴拉汀胶囊'', ''ZJSSKBLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡贝缩宫素注射液'', ''KBSGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波姆滴眼液'', ''KBMDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波姆眼用凝胶'', ''KBMYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸卡泊芬净'', ''CSKBFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸卡泊芬净'', ''ZSYCSKBFJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇搽剂'', ''KBSCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇软膏'', ''KBSCRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇倍他米松软膏'', ''KBSCBTMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡铂注射液'', ''KBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用卡铂'', ''ZSYKB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核酸注射液'', ''KJJDTHSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠注射液'', ''KLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用卡络磺钠'', ''ZSYKLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠片'', ''KLHNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠氯化钠注射液'', ''KLHNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡马西平片'', ''KMXPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫氟片'', ''KMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫司汀注射液'', ''KMSTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸卡那霉素'', ''LSKNMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸卡那霉素注射液'', ''LSKNMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡培他滨片'', ''KPTBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列甲酯栓'', ''KQLJZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列素氨丁三醇注射液'', ''KQLSADSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸卡替洛尔'', ''YSKTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸卡替洛尔滴眼液'', ''YSKTLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡托普利缓释片'', ''KTPLHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡托普利片'', ''KTPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡维地洛片'', ''KWDLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴缓释片'', ''KZSDBHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴控释'', ''KZSDBKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴控释片'', ''KZSDBKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露(含山梨醇)'', ''KSL(HSLC)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露（含甘油）'', ''KSL（HGY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦西酯片'', ''KDSTXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯分散片'', ''KDSTZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯胶囊'', ''KDSTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯片'', ''KDSTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康柏西普眼用注射液'', ''KBXPYYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松鼻'', ''KSMMSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松鼻喷雾剂'', ''KSMMSBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松凝胶'', ''KSMMSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松乳膏'', ''KSMMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松洗剂'', ''KSMMSXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠甾醇片'', ''KZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用抗肿瘤免疫核糖核酸'', ''ZSYKZLMYHTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壳脂'', ''KZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可达灵'', ''KDL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸可待因片'', ''LSKDYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可待因桔梗片'', ''KDYJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸可的松'', ''CSKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸可的松滴眼液'', ''CSKDSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸可的松片'', ''CSKDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可可钙糖片'', ''KKGTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可乐定透皮贴片'', ''KLDTPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸可乐定'', ''YSKLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸可乐定片'', ''YSKLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素分散'', ''KLMSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素分散片'', ''KLMSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素干混悬剂'', ''KLMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素缓释胶囊'', ''KLMSHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素缓释片'', ''KLMSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素胶囊'', ''KLMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素颗粒'', ''KLMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素片'', ''KLMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉屈滨注射液'', ''KLQBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痢痧'', ''KLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素注射液'', ''KLMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素'', ''YSKLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素胶囊'', ''YSKLMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素凝胶'', ''YSKLMSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素片'', ''YSKLMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素阴道泡腾'', ''YSKLMSYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素阴道泡腾片'', ''YSKLMSYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素注射液'', ''YSKLMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸克林霉素'', ''ZSYYSKLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素甲硝唑搽剂'', ''KLMSJXZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯凝胶'', ''KLMSLSZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯片'', ''KLMSLSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯溶液'', ''KLMSLSZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯阴道'', ''KLMSLSZYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯阴道凝胶'', ''KLMSLSZYDNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯阴道片'', ''KLMSLSZYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯阴道用乳膏'', ''KLMSLSZYDYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯注射液'', ''KLMSLSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用克林霉素磷酸酯'', ''ZSYKLMSLSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯氯化钠注射液'', ''KLMSLSZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素氯化钠'', ''YSKLMSLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素氯化钠注射液'', ''YSKLMSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素葡萄糖'', ''YSKLMSPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素葡萄糖注射液'', ''YSKLMSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素棕榈酸酯'', ''YSKLMSZZSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素棕榈酸酯分散片'', ''YSKLMSZZSZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素棕榈酸酯干混悬剂'', ''YSKLMSZZSZGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克林霉素棕榈酸酯颗粒'', ''YSKLMSZZSZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克仑特罗'', ''YSKLTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸克仑特罗栓'', ''YSKLTLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗米通乳膏'', ''KLMTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克洛己新干混悬剂'', ''KLJXGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑片'', ''KMZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑乳膏'', ''KMZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑栓'', ''KMZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑涂膜'', ''KMZTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑药膜'', ''KMZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑阴道'', ''KMZYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑阴道泡腾片'', ''KMZYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑阴道片'', ''KMZYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克唑替尼胶囊'', ''KZTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐3'', ''KFBYY3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐I'', ''KFBYYI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐散I'', ''KFBYYSI'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐（I）'', ''KFBYY（I）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐散（I）'', ''KFBYYS（I）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服乳杆菌LB散'', ''KFRGJLBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌肠溶'', ''KCGJELHJCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌肠溶胶囊'', ''KCGJELHJCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌颗粒'', ''KCGJELHJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱栓'', ''KCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱阴道泡腾'', ''KCJYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱阴道泡腾片'', ''KCJYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱注射液'', ''KCJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用苦参碱'', ''ZSYKCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱氯化钠注射液'', ''KCJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱葡萄糖注射液'', ''KCJPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素胶囊'', ''KCSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素片'', ''KCSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素软胶囊'', ''KCSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素注射液'', ''KCSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素氯化钠注射液'', ''KCSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素葡萄糖注射液'', ''KCSPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦碟子'', ''KDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦黄'', ''KH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸喹硫平'', ''FMSZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸喹硫平缓释片'', ''FMSZLPHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸喹硫平片'', ''FMSZLPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸喹那普利'', ''YSZNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸喹那普利片'', ''YSZNPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝尔'', ''YSLBE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝尔注射液'', ''YSLBEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝洛尔'', ''YSLBLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸拉贝洛尔片'', ''YSLBLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉呋替丁分散片'', ''LZTDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉克替醇散'', ''LKTCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定胶囊'', ''LMFDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定口服溶液'', ''LMFDKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定片'', ''LMFDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉莫三嗪片'', ''LMSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸拉帕替尼'', ''JBHSLPTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸拉帕替尼片'', ''JBHSLPTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸索拉非尼'', ''JBHSSLFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸索拉非尼片'', ''JBHSSLFNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦前列素滴眼液'', ''LTQLSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦噻吗滴眼液'', ''LTZMDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉替拉韦钾片'', ''LTLWJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平分散'', ''LXDPFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平分散片'', ''LXDPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平片'', ''LXDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉氧头孢钠'', ''LYTZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用拉氧头孢钠'', ''ZSYLYTZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽孢杆菌活菌胶囊'', ''LYYZGJHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽胞杆菌片'', ''LYYBGJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒碱乳膏'', ''LJJRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒碱软膏'', ''LJJRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来氟米特片'', ''LFMTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来那度胺胶囊'', ''LNDAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来曲唑片'', ''LQZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B<sub>12'', ''LAJCWB<sub>12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B<sub>12口服溶液'', ''LAJCWB<sub>12KFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B12口服溶液'', ''LAJCWB12KFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨匹林散'', ''LAPLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用赖氨匹林'', ''ZSYLAPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌颗粒'', ''LAPXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌颗粒(无糖型)'', ''LAPXKL(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌片'', ''LAPXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸'', ''YSLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸注射液'', ''YSLASZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸赖氨酸'', ''ZSYYSLAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸赖氨酸(冻干)'', ''ZSYYSLAS(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸磷酸氢钙片'', ''LASLSQGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸氯化钠'', ''YSLASLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赖氨酸氯化钠注射液'', ''YSLASLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B<sub>12'', ''LASWB<sub>12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B<sub>12颗粒'', ''LASWB<sub>12KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B12颗粒'', ''LASWB12KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-赖氨酸盐酸盐颗粒'', ''L-LASYSYKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利胶囊'', ''LNPLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利片'', ''LNPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利氢氯噻嗪片'', ''LNPLQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖脯胰岛素注射液'', ''LFYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸兰瑞肽'', ''CSLRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸兰瑞肽'', ''ZSYCSLRZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑肠溶'', ''LSLZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑肠溶胶囊'', ''LSLZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑肠溶片'', ''LSLZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑胶囊'', ''LSLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑口崩片'', ''LSLZKBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑片'', ''LSLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑注射液'', ''LSLZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用兰索拉唑'', ''ZSYLSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''榄香烯口服乳'', ''ZXXKFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''榄香烯注射液'', ''ZXXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳拉西泮片'', ''LLXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌肠球菌三联活菌片'', ''LSSJCQJSLHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌胶囊'', ''LSSJELHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌胶囊'', ''LSSJHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌片'', ''LSSJHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌散'', ''LSSJHJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌散剂'', ''LSSJHJSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乐卡地平'', ''YSLKDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乐卡地平片'', ''YSLKDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑钠'', ''LBLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑钠肠溶'', ''LBLZNCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑钠肠溶胶囊'', ''LBLZNCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑钠肠溶片'', ''LBLZNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用雷贝拉唑钠'', ''ZSYLBLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多甙'', ''LGTDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多甙片'', ''LGTDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多苷'', ''LGTDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤内酯软膏'', ''LGTNZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷洛昔芬'', ''YSLLXF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷洛昔芬片'', ''YSLLXFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷米普利片'', ''LMPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷莫司琼'', ''YSLMSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷莫司琼注射液'', ''YSLMSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸雷莫司琼'', ''ZSYYSLMSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁'', ''YSLNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁胶囊'', ''YSLNTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁泡腾片'', ''YSLNTDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁片'', ''YSLNTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸雷尼替丁注射液'', ''YSLNTDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸雷尼替丁'', ''ZSYYSLNTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸雷沙吉兰'', ''JHSLSJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸雷沙吉兰片'', ''JHSLSJLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用雷替曲塞'', ''ZSYLTQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷珠单抗注射液'', ''LZDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林滴眼液'', ''LBWLDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林分散'', ''LBWLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林分散片'', ''LBWLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林含'', ''LBWLH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林含片'', ''LBWLHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林胶囊'', ''LBWLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林颗粒'', ''LBWLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林口服溶液'', ''LBWLKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林泡腾颗粒'', ''LBWLPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林喷剂'', ''LBWLPJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林喷雾剂'', ''LBWLPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林片'', ''LBWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林气雾剂'', ''LBWLQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林注射液'', ''LBWLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用利巴韦林'', ''ZSYLBWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林氯化钠注射液'', ''LBWLLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林葡萄糖注射液'', ''LBWLPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多布比卡因注射液'', ''LDBBKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因注射液'', ''LDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因'', ''YSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因胶浆'', ''YSLDKYJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因针'', ''YSLDKYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因注射液'', ''YSLDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因注射液(溶剂用)'', ''YSLDKYZSY(RJY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因(Ⅰ)'', ''YSLDKY(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因胶浆(Ⅰ)'', ''YSLDKYJJ(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因（II)'', ''LDKY（II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因气雾剂（II)'', ''LDKYQWJ（II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因（溶剂用）'', ''YSLDKY（RJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利多卡因注射液（溶剂用）'', ''YSLDKYZSY（RJY）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定气雾剂'', ''LDKYLJDQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定（成模型）'', ''LDKYLJD（CMX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定气雾剂（成模型）'', ''LDKYLJDQWJ（CMX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利伐沙班片'', ''LFSBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利凡诺溶液'', ''LFNRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福布汀胶囊'', ''LFBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福霉素钠'', ''LFMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福霉素钠注射液'', ''LFMSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用利福霉素钠'', ''ZSYLFMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福喷丁胶囊'', ''LFPDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴眼用利福平'', ''DYYLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平胶囊'', ''LFPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平胶囊(Ⅱ)'', ''LFPJN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平片'', ''LFPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平注射液'', ''LFPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用利福平'', ''ZSYLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平（Ⅱ）'', ''LFP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平胶囊（Ⅱ）'', ''LFPJN（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福昔明片'', ''LFXMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福昔明软胶囊'', ''LFXMRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利格列汀片'', ''LGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利可君片'', ''LKJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉鲁肽注射液'', ''LLLZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉萘酯乳膏'', ''LLZZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利鲁唑片'', ''LLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺片'', ''LNZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺注射液'', ''LNZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺葡萄糖注射液'', ''LNZAPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮分散片'', ''LPTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮胶囊'', ''LPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口崩片'', ''LPTKBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口服溶液'', ''LPTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口服液'', ''LPTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口腔崩解'', ''LPTKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮口腔崩解片'', ''LPTKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮片'', ''LPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用利培酮微球'', ''ZSYLPTWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利塞膦酸钠胶囊'', ''LSZSNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利塞膦酸钠片'', ''LSZSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利托君'', ''YSLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利托君片'', ''YSLTJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸利托君注射液'', ''YSLTJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸利托君'', ''ZSYYSLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利妥昔单抗注射液'', ''LTXDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利血平注射液'', ''LXPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸利扎曲普坦'', ''BJSLZQPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲酸利扎曲普坦片'', ''BJSLZQPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑凝胶'', ''LBZZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑溶液'', ''LBZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑乳膏'', ''LBZZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑软膏'', ''LBZZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯双酯滴丸'', ''LBSZDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯双酯片'', ''LBSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯乙酸搽剂'', ''LBYSCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯乙酸凝胶'', ''LBYSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联磺甲氧苄啶片'', ''LHJYZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链霉蛋白酶颗粒'', ''LMDBMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸链霉素'', ''ZSYLSLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B阴道泡腾'', ''LXMSBYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B阴道泡腾片'', ''LXMSBYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用两性霉素B'', ''ZSYLXMSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用两性霉素B脂质体'', ''ZSYLXMSBZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸亮丙瑞林缓释微球'', ''CSLBRLHSWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸亮丙瑞林缓释微球'', ''ZSYCSLBRLHSWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸亮丙瑞林微球'', ''CSLBRLWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸亮丙瑞林微球'', ''ZSYCSLBRLWQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮菌甲素片'', ''LJJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亮菌甲素'', ''ZSYLJJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疗癣卡西甫'', ''LXKXF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林旦乳膏'', ''LDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸林可霉素'', ''YSLKMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸林可霉素滴眼液'', ''YSLKMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸林可霉素胶囊'', ''YSLKMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸林可霉素注射液'', ''YSLKMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸林可霉素'', ''ZSYYSLKMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素利多卡因凝胶'', ''LKMSLDKYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素维B6乳膏'', ''LKMSWB6RG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素钠'', ''LMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷霉素钠'', ''ZSYLMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素氨丁三醇颗粒'', ''LMSADSCKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素氨丁三醇散'', ''LMSADSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氟达拉滨片'', ''LSFDLBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用磷酸肌酸钠'', ''ZSYLSJSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸铝凝胶'', ''LSLNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氯喹片'', ''LSLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸钠盐灌肠液'', ''LSNYGCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸钠盐口服溶液'', ''LSNYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸哌嗪宝塔糖'', ''LSZZBTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸西格列汀片'', ''LSXGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠乳膏'', ''ZJSNRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用膦甲酸钠'', ''ZSYZJSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠氯化钠注射液'', ''ZJSNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵孢多糖注射液'', ''LZDTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸硫必利'', ''YSLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸硫必利片'', ''YSLBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸硫必利注射液'', ''YSLBLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫代硫酸钠'', ''ZSYLDLSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫鸟嘌呤片'', ''LNZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁肠溶'', ''LPLNCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁肠溶胶囊'', ''LPLNCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁肠溶片'', ''LPLNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁钠'', ''LPLNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁注射液'', ''LPLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫普罗宁'', ''ZSYLPLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫普罗宁(冻干)'', ''ZSYLPLN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫普罗宁钠'', ''ZSYLPLNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫'', ''L'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅰ型)干混悬剂'', ''LSB(ⅠX)GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅰ型)混悬液'', ''LSB(ⅠX)HXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅱ型)干混悬剂'', ''LSB(ⅡX)GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅰ型）'', ''LSB（ⅠX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅰ型）干混悬剂'', ''LSB（ⅠX）GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅱ型）'', ''LSB（ⅡX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡（Ⅱ型）干混悬剂'', ''LSB（ⅡX）GHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸镁注射液'', ''LSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用硫酸沙丁胺醇'', ''XRYLSSDAC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用硫酸沙丁胺醇溶液'', ''XRYLSSDACRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌口服溶液'', ''LSXKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌片'', ''LSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌糖浆'', ''LSXTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌尿囊素滴眼液(含玻璃酸钠)'', ''LSXNNSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸亚铁缓释片'', ''LSYTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸亚铁片'', ''LSYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝分散片'', ''LTLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝混悬'', ''LTLHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝混悬凝胶'', ''LTLHXNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝胶囊'', ''LTLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝咀嚼'', ''LTLJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝咀嚼片'', ''LTLJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝颗粒'', ''LTLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝口服混'', ''LTLKFH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝口服混悬液'', ''LTLKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸胶囊'', ''LXSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸片'', ''LXSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸注射液'', ''LXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫辛酸'', ''ZSYLXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫唑嘌呤片'', ''LZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳胺酚胶囊'', ''LAFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶肠溶片'', ''LDHZZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶栓'', ''LDHZZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶结肠溶胶囊'', ''LDHZZJCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳酚咖敏片'', ''LFKMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳栎浸膏胶囊'', ''LZJGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六氟化硫微泡'', ''LFHLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用六氟化硫微泡'', ''ZSYLFHLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六合氨基酸注射液'', ''LHAJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六甲蜜胺胶囊'', ''LJMAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸卢帕他定'', ''FMSLPTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸卢帕他定片'', ''FMSLPTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸芦氟沙星'', ''YSLFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸芦氟沙星胶囊'', ''YSLFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸芦可替尼'', ''LSLKTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸芦可替尼片'', ''LSLKTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦笋菠萝蛋白酶胶囊'', ''LSBLDBMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炉甘石洗剂'', ''LGSXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松乳膏'', ''LMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''39999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松软膏'', ''LMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松/三氯生乳膏'', ''LMS/SLSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松三氯生乳膏'', ''LMSSLSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿瓜多肽注射液'', ''LGDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用鹿瓜多肽'', ''ZSYLGDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂片'', ''LLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清芝灵'', ''QZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂络合碘胶囊'', ''LLZLHDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂络合碘片'', ''LLZLHDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸罗格列酮'', ''JSSLGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸罗格列酮分散片'', ''JSSLGLTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸罗格列酮片'', ''JSSLGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗格列酮片'', ''LGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸罗格列酮'', ''MLSLGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸罗格列酮片'', ''MLSLGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗格列酮'', ''YSLGLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗格列酮胶囊'', ''YSLGLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗格列酮片'', ''YSLGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素分散'', ''LHMSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素分散片'', ''LHMSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素干混悬剂'', ''LHMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素缓释'', ''LHMSHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素缓释胶囊'', ''LHMSHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素缓释片'', ''LHMSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素胶囊'', ''LHMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素颗粒'', ''LHMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素片'', ''LHMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素软'', ''LHMSR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素软胶囊'', ''LHMSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素氨溴索分散'', ''LHMSAZSFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素氨溴索分散片'', ''LHMSAZSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗库溴铵注射液'', ''LKZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸罗哌卡因'', ''JHSLZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸罗哌卡因注射液'', ''JHSLZKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗派卡因针'', ''LPKYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗哌卡因'', ''YSLZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗哌卡因注射液'', ''YSLZKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸罗哌卡因'', ''ZSYJHSLZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸罗哌卡因'', ''ZSYYSLZKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸罗哌卡因氯化钠'', ''JHSLZKYLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸罗哌卡因氯化钠注射液'', ''JHSLZKYLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罗沙替丁醋酸酯'', ''YSLSTDCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸罗沙替丁醋酸酯'', ''ZSYYSLSTDCSZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗通定片'', ''LTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺内酯胶囊'', ''LNZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺内酯片'', ''LNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠'', ''LHZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛贝林'', ''YSLBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛贝林注射液'', ''YSLBLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用洛铂'', ''ZSYLB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛度沙胺滴眼液'', ''LDSADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀分散片'', ''LFTTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀胶囊'', ''LFTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀片'', ''LFTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛芬待因缓释片'', ''LFDYHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛芬待因片'', ''LFDYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美利嗪'', ''YSLMLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美利嗪胶囊'', ''YSLMLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美利嗪片'', ''YSLMLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星'', ''YSLMSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星滴耳液'', ''YSLMSXDEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星滴眼液'', ''YSLMSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星滴眼液(含玻璃酸钠)'', ''YSLMSXDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星胶囊'', ''YSLMSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星片'', ''YSLMSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星眼用'', ''YSLMSXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星眼用凝胶'', ''YSLMSXYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸洛美沙星'', ''ZSYYSLMSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星氯化钠'', ''YSLMSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星氯化钠注射液'', ''YSLMSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星葡萄糖'', ''YSLMSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛美沙星葡萄糖注射液'', ''YSLMSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛莫司汀胶囊'', ''LMSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛哌丁胺'', ''YSLZDA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸洛哌丁胺胶囊'', ''YSLZDAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦/利托那韦口服液体'', ''LPNW/LTNWKFYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦利托那韦片'', ''LPNWLTNWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠分散片'', ''LSLFNFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠胶囊'', ''LSLFNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠片'', ''LSLFNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠贴剂'', ''LSLFNTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠膏'', ''LSLFNG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠凝胶膏'', ''LSLFNNJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁加混悬液'', ''LMJHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁匹林片(Ⅱ)'', ''LMPLP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁混悬液'', ''LTSMHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁咀嚼'', ''LTSMJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁咀嚼片'', ''LTSMJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁片'', ''LTSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯胺酮针'', ''LATZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯胺酮'', ''YSLAT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯胺酮注射液'', ''YSLATZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氯苯那敏'', ''MLSLBNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氯苯那敏片'', ''MLSLBNMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸氯苯那敏注射液'', ''MLSLBNMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯丙嗪'', ''YSLBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯丙嗪片'', ''YSLBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯丙嗪注射液'', ''YSLBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平分散片'', ''LDPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平口腔崩解片'', ''LDPKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平片'', ''LDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯法齐明软胶囊'', ''LFQMRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬待因片'', ''LFDYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬黄敏片'', ''LFHMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化铵片'', ''LHZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙注射液'', ''LHGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙溴化钠注射液'', ''LHGZHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化琥珀胆碱注射液'', ''LHZZDJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾缓释片'', ''LHJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾颗粒'', ''LHJKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾片'', ''LHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾注射液'', ''LHJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氯化钾'', ''ZSYLHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾氯化钠注射液'', ''LHJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化锶[<sup>89Sr]'', ''LHZ[<sup>89Sr]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化锶[<sup>89Sr]注射液'', ''LHZ[<sup>89Sr]ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定'', ''CSLJD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定溶液'', ''CSLJDRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定栓'', ''CSLJDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定痔疮'', ''CSLJDZC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氯己定痔疮栓'', ''CSLJDZCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯解磷定注射液'', ''LJLDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多/普罗雌烯阴道'', ''LZND/PLCXYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多/普罗雌烯阴道片'', ''LZND/PLCXYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多-普罗雌烯'', ''LZND-PLCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多-普罗雌烯阴道片'', ''LZND-PLCXYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定分散'', ''LLTDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定分散片'', ''LLTDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定胶囊'', ''LLTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定咀嚼片'', ''LLTDJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定颗粒'', ''LLTDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定口腔崩解'', ''LLTDKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定口腔崩解片'', ''LLTDKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定泡腾片'', ''LLTDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定片'', ''LLTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定糖浆'', ''LLTDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯雷他定'', ''YSLLTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯雷他定胶囊'', ''YSLLTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯磷酸二钠胶囊'', ''LLSENJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯磷酸二钠注射液'', ''LLSENZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯膦酸二钠胶囊'', ''LZSENJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯膦酸二钠注射液'', ''LZSENZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氯膦酸二钠'', ''ZSYLZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸氯马斯汀'', ''FMSLMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸氯马斯汀片'', ''FMSLMSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素滴眼液'', ''LMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素滴眼液(含玻璃酸钠)'', ''LMSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素片'', ''LMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素阴道软'', ''LMSYDR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素阴道软胶囊'', ''LMSYDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素注射液'', ''LMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氯米芬'', ''ZZSLMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氯米芬胶囊'', ''ZZSLMFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氯米芬片'', ''ZZSLMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯米帕明'', ''YSLMPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯米帕明片'', ''YSLMPMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯米帕明注射液'', ''YSLMPMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯诺昔康分散片'', ''LNXKFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯诺昔康片'', ''LNXKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氯诺昔康'', ''ZSYLNXK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯普鲁卡因'', ''YSLPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氯普鲁卡因注射液'', ''YSLPLKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸氯普鲁卡因'', ''ZSYYSLPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普噻吨片'', ''LPZDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾胶囊'', ''LSTJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾片'', ''LSTJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾片(科素亚)'', ''LSTJP(KSY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾氢氯噻嗪片'', ''LSTJQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺混悬'', ''LTPNHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺混悬滴眼液'', ''LTPNHXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺妥布霉素滴眼液'', ''LTPNTBMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯硝西泮片'', ''LXXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯硝西泮注射液'', ''LXXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氧喹胶囊'', ''LYZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑沙宗片'', ''LZSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑西林钠'', ''LZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氯唑西林钠'', ''ZSYLZXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄碱针'', ''MHJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸麻黄碱'', ''YSMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸麻黄碱滴鼻液'', ''YSMHJDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸麻黄碱片'', ''YSMHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸麻黄碱注射液'', ''YSMHJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马栗种子提取物片'', ''MLZZTQWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马洛替酯片'', ''MLTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白(F(ab\'')2)'', ''MPSFMYQDB(F(ab\'')2)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白（F（ab’）2）'', ''MPSFMYQDB（F（ab’）2）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸马普替林'', ''YSMPTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸马普替林片'', ''YSMPTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸吗啡'', ''LSMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸吗啡缓释片'', ''LSMFHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸吗啡控释片'', ''LSMFKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸吗啡片'', ''LSMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啡缓释片'', ''MFHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啡针'', ''MFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡片'', ''YSMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡注射液'', ''YSMFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啉胍'', ''YSMZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啉胍滴眼液'', ''YSMZZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啉胍片'', ''YSMZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啉硝唑氯化钠注射液'', ''MZXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯分散片'', ''MTMKFZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯胶囊'', ''MTMKFZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯片'', ''MTMKFZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迈之灵片'', ''MZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦迪霉素片'', ''MDMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸麦角新碱'', ''MLSMJXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸麦角新碱注射液'', ''MLSMJXJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦考酚钠'', ''MKFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦考酚钠肠溶片'', ''MKFNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螨变应原皮肤点刺试剂盒'', ''ZBYYPFDCSJH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用矛头蝮蛇血凝酶'', ''ZSYMTZSXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美芬那敏铵糖浆'', ''MFNMZTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美金刚'', ''YSMJG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美金刚片'', ''YSMJGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美罗培南'', ''ZSYMLPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林钠'', ''MLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美洛西林钠'', ''ZSYMLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林钠舒巴坦'', ''MLXLNSBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林钠舒巴坦钠'', ''MLXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林钠舒巴坦钠(4:1)'', ''MLXLNSBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美洛西林钠舒巴坦钠'', ''ZSYMLXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用美洛西林钠舒巴坦钠(4:1)'', ''ZSYMLXLNSBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康分散'', ''MLXKFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康分散片'', ''MLXKFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康胶囊'', ''MLXKJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康颗粒'', ''MLXKKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康凝胶'', ''MLXKNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康片'', ''MLXKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康注射液'', ''MLXKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美敏伪麻口服溶液'', ''MMWMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美敏伪麻溶液'', ''MMWMRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美扑伪麻干混悬剂'', ''MPWMGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦肠溶片'', ''MSLQCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦灌肠液'', ''MSLQGCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦缓释'', ''MSLQHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦缓释颗粒'', ''MSLQHSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦缓释片'', ''MSLQHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦栓'', ''MSLQS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦栓剂'', ''MSLQSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪肠溶片'', ''MSLZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪灌肠液'', ''MSLZGCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪缓释颗粒'', ''MSLZHSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪缓释颗粒剂'', ''MSLZHSKLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪缓释片'', ''MSLZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪栓'', ''MSLZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美司钠注射液'', ''MSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫分散'', ''MSBMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫分散片'', ''MSBMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫片'', ''MSBMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫注射液'', ''MSBMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他多辛胶囊'', ''MTDXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他多辛片'', ''MTDXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美他环素'', ''YSMTHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美他环素胶囊'', ''YSMTHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美他环素片'', ''YSMTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸美托洛尔'', ''ZZSMTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸美托洛尔缓释片'', ''ZZSMTLEHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔'', ''JSSMTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔缓释片'', ''JSSMTLEHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔胶囊'', ''JSSMTLEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔控释'', ''JSSMTLEKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔控释片'', ''JSSMTLEKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔片'', ''JSSMTLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸美托洛尔注射液'', ''JSSMTLEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美西律片'', ''MXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美西律'', ''YSMXL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸美西律片'', ''YSMXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美辛唑酮红古豆醇酯栓'', ''MXZTHGDCZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁加铝咀嚼'', ''MJLJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁加铝咀嚼片'', ''MJLJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钙注射液'', ''MDASGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾注射液'', ''MDASJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁口服溶液'', ''MDASJMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁片'', ''MDASJMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁注射液'', ''MDASJMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬氨酸钾镁'', ''ZSYMDASJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸颗粒'', ''MDASNASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸颗粒剂'', ''MDASNASKLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸注射液'', ''MDASNASZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬氨酸鸟氨酸'', ''ZSYMDASNAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺片'', ''MDZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬酰胺酶'', ''ZSYMDZAM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬酰胺酶(埃希)'', ''ZSYMDZAM(AX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用门冬酰胺酶(欧文)'', ''ZSYMDZAM(OW)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素30注射液'', ''MDYDS30ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素注射液'', ''MDYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素50注射液'', ''MDYDS50ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石混悬液'', ''MTSHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠咀嚼片'', ''MLSTNJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠颗粒'', ''MLSTNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠片'', ''MLSTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸咪达普利'', ''YSZDPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸咪达普利片'', ''YSZDPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸咪达唑仑'', ''MLSZDZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸咪达唑仑片'', ''MLSZDZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪达唑仑注射液'', ''ZDZLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑阴道软胶囊'', ''XSZKZYDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑氯倍他索乳膏'', ''ZKZLBTSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪喹莫特乳膏'', ''ZZMTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑立宾片'', ''ZZLBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑斯汀缓释片'', ''ZZSTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用糜蛋白酶'', ''ZSYMDBM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米安色林'', ''YSMASL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米安色林片'', ''YSMASLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米氮平片'', ''MDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米多君'', ''YSMDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米多君片'', ''YSMDJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮胶囊'', ''MFSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮胶丸'', ''MFSTJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮胶囊(Ⅱ)'', ''MFSTJN(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片/米索前列醇'', ''MFSTP/MSQLC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片/米索前列醇片'', ''MFSTP/MSQLCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列醇片'', ''MGLCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列奈钙片'', ''MGLNGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米卡芬净钠'', ''MKFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用米卡芬净钠'', ''ZSYMKFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米力农注射液'', ''MLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺地尔酊'', ''MNDEZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米诺环素'', ''YSMNHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米诺环素胶囊'', ''YSMNHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米诺环素软膏'', ''YSMNHSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米曲菌胰酶片'', ''MQJYMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米索前列醇片'', ''MSQLCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米托蒽醌'', ''YSMTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸米托蒽醌注射液'', ''YSMTZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸米托蒽醌'', ''ZSYYSMTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭活埃希的松软膏'', ''MHAXDSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭箘注射用水'', ''MGZSYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸收性明胶海绵'', ''XSXMJHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫匹罗星软膏'', ''MPLXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸椽酸莫沙必利'', ''ZCSMSBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸椽酸莫沙必利胶囊'', ''ZCSMSBLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利分散'', ''ZZSMSBLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星'', ''YSMXSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星片'', ''YSMXSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星注射液'', ''YSMXSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星氯化钠'', ''YSMXSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸莫西沙星氯化钠注射液'', ''YSMXSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用母牛分枝杆菌'', ''ZSYMNFZGJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙胶囊'', ''MZTSGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙咀嚼'', ''MZTSGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙咀嚼片'', ''MZTSGJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙片'', ''MZTSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木糖醇注射液'', ''MTCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用木糖醇'', ''ZSYMTC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那氟沙星乳膏'', ''NFSXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那格列奈分散片'', ''NGLNFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那格列奈片'', ''NGLNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那屈肝素钙注射液'', ''NQGSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那他霉素滴眼液'', ''NTMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳他霉素'', ''NTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳塔霉素'', ''NTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹马霉素'', ''PMMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游霉素'', ''YMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳洛酮'', ''YSNLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳洛酮注射液'', ''YSNLTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸纳洛酮'', ''ZSYYSNLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳美芬'', ''YSNMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸纳美芬注射液'', ''YSNMFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳米炭混悬'', ''NMTHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳米炭混悬注射液'', ''NMTHXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾镁钙葡萄糖注射液'', ''NJMGPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾葡萄糖注射液'', ''NJPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钠林格'', ''CSNLG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钠林格注射液'', ''CSNLGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用奈达铂'', ''ZSYNDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奈福泮'', ''YSNFZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸奈福泮注射液'', ''YSNFZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸奈替米星'', ''LSNTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸奈替米星注射液'', ''LSNTMXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸奈替米星'', ''ZSYLSNTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸奈替米星(冻干)'', ''ZSYLSNTMX(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈韦拉平口服混悬液'', ''NWLPKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈韦拉平片'', ''NWLPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘丁美酮胶囊'', ''ZDMTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘夫西林钠'', ''ZFXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用萘夫西林钠'', ''ZSYZFXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘敏维滴眼液'', ''ZMWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘敏维滴眼液(含玻璃酸钠)'', ''ZMWDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔分散'', ''ZZDEFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔分散片'', ''ZZDEFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔胶囊'', ''ZZDEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔片'', ''ZZDEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生肠溶微丸'', ''ZPSCRWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生肠溶微丸胶囊'', ''ZPSCRWWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生分散片'', ''ZPSFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生缓释胶囊'', ''ZPSHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生缓释片'', ''ZPSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生胶囊'', ''ZPSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠'', ''ZPSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生片'', ''ZPSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生栓'', ''ZPSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用萘普生钠'', ''ZSYZPSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠氯化钠注射液'', ''ZPSNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠伪麻黄碱'', ''ZPSNWMHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠伪麻黄碱缓释片'', ''ZPSNWMHJHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸萘替芬'', ''YSZTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸萘替芬乳膏'', ''YSZTFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬酮康唑乳膏'', ''ZTFTKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物口服液'', ''NDBSJWKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物片'', ''NDBSJWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物片(薄膜衣)'', ''NDBSJWP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脑蛋白水解物'', ''ZSYNDBSJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑苷肌肽注射液'', ''NZJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心舒'', ''NXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼尔雌醇片'', ''NECCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼非卡兰'', ''YSNFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸尼非卡兰'', ''ZSYYSNFKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼卡地平'', ''YSNKDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼卡地平缓释'', ''YSNKDPHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼卡地平缓释胶囊'', ''YSNKDPHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼卡地平注射液'', ''YSNKDPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可刹米注射液'', ''NKSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可地尔片'', ''NKDEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尼可地尔'', ''ZSYNKDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼洛替尼胶囊'', ''NLTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼麦角林胶囊'', ''NMJLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼麦角林片'', ''NMJLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利分散'', ''NMSLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利分散片'', ''NMSLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利缓释片'', ''NMSLHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利胶囊'', ''NMSLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利颗粒'', ''NMSLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利口腔崩解'', ''NMSLKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利口腔崩解片'', ''NMSLKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利片'', ''NMSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平分散片'', ''NMDPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平缓释胶囊'', ''NMDPHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平缓释片'', ''NMDPHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平胶囊'', ''NMDPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平片'', ''NMDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平软胶囊'', ''NMDPRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平注射液'', ''NMDPZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尼莫地平'', ''ZSYNMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸尼莫司汀'', ''YSNMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸尼莫司汀'', ''ZSYYSNMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸尼莫司汀(冻干)'', ''ZSYYSNMST(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐普常舒'', ''LPCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平片'', ''NQDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平片(乐普常舒)'', ''NQDPP(LPCS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平软胶囊'', ''NQDPRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼索地平缓释胶囊'', ''NSDPHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼索地平片'', ''NSDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼妥珠单抗注射液'', ''NTZDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼扎替丁分散片'', ''NZTDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼扎替丁胶囊'', ''NZTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促卵泡激素'', ''ZSYNCLPJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促卵泡素'', ''ZSYNCLPS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿促性素'', ''ZSYNCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿多酸肽注射液'', ''NDSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尿激酶'', ''ZSYNJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿嘧啶替加氟片'', ''NZZTJFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿囊素铝片'', ''NNSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素乳膏'', ''NSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素软膏'', ''NSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]胶囊呼气试验药盒'', ''NS[13C]JNHQSYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]'', ''NS[13C]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[<sup>14C]呼气试验药盒'', ''NS[<sup>14C]HQSYYH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素维E乳膏'', ''NSWERG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝结芽孢杆菌活菌片'', ''NJYZGJHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶冻干粉'', ''NXMDGF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗接种家兔炎症皮肤提取物注射液'', ''NDYMJZJTYZPFTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗致炎兔皮提取物注射液'', ''NDYMZYTPTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用牛肺表面活性剂'', ''ZSYNFBMHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸滴眼液'', ''NHSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸滴眼液(含玻璃酸钠)'', ''NHSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸颗粒'', ''NHSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺熊去氧胆酸胶囊'', ''NHXQYDSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10%氯化钠注射液'', ''10%LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓替硝唑含漱液'', ''NTXZHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓维磷糖浆'', ''NWLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味散(苏格木勒-7)'', ''NGQWS(SGML-7)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味丸（苏格木勒-7）'', ''NGQWW（SGML-7）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星滴眼液'', ''NFSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星胶囊'', ''NFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星片'', ''NFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星葡萄糖注射液'', ''NFSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欧龙马滴剂'', ''OLMDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕歌斯片PagosidTablets'', ''PGSPPagosidTablets'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕拉米韦氯化钠注射液'', ''PLMWLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕利哌酮缓释片'', ''PLZTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕罗西汀'', ''YSPLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕罗西汀肠溶缓释片'', ''YSPLXTCRHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕罗西汀片'', ''YSPLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕洛诺司琼'', ''YSPLNSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕洛诺司琼胶囊'', ''YSPLNSQJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸帕洛诺司琼注射液'', ''YSPLNSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠注射液'', ''PMZSENZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕米膦酸二钠'', ''ZSYPMZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠葡萄糖注射液'', ''PMZSENPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕尼培南倍他米隆(1:1)'', ''PNPNBTML(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕尼培南倍他米隆'', ''ZSYPNPNBTML'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕尼培南倍他米隆(1:1)'', ''ZSYPNPNBTML(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕瑞昔布钠'', ''PRXBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用帕瑞昔布钠'', ''ZSYPRXBN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕司烟肼片'', ''PSYZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星'', ''JHSPZSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星注射液'', ''JHSPZSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸帕珠沙星'', ''ZSYJHSPZSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星氯化钠'', ''JHSPZSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸帕珠沙星氯化钠注射液'', ''JHSPZSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌甲酯'', ''YSZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌甲酯缓释片'', ''YSZJZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌甲酯片'', ''YSZJZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸哌甲酯'', ''ZSYYSZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌库溴铵'', ''ZSYZKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠'', ''ZLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠'', ''ZSYZLXLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠／三唑巴坦钠'', ''ZLXLN／SZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠／三唑巴坦钠'', ''ZSYZLXLN／SZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠舒巴坦钠'', ''ZLXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠舒巴坦钠(2:1)'', ''ZLXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠舒巴坦钠(4:1)'', ''ZLXLNSBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠'', ''ZSYZLXLNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠(2:1)'', ''ZSYZLXLNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠(4:1)'', ''ZSYZLXLNSBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠舒巴坦钠（2:1）'', ''ZLXLNSBTN（2:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠舒巴坦钠（2:1）'', ''ZSYZLXLNSBTN（2:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠他唑巴坦钠'', ''ZLXLNTZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠他唑巴坦钠(4:1)'', ''ZLXLNTZBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林钠他唑巴坦钠(8:1)'', ''ZLXLNTZBTN(8:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠他唑巴坦钠'', ''ZSYZLXLNTZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠他唑巴坦钠(4:1)'', ''ZSYZLXLNTZBTN(4:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用哌拉西林钠他唑巴坦钠(8:1)'', ''ZSYZLXLNTZBTN(8:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌罗匹隆'', ''YSZLPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌罗匹隆片'', ''YSZLPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌替啶针'', ''ZTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌替啶'', ''YSZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌替啶注射液'', ''YSZTZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌唑嗪'', ''YSZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸哌唑嗪片'', ''YSZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑肠溶片'', ''ZTLZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠'', ''ZTLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶'', ''ZTLZNCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶胶囊'', ''ZTLZNCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶片'', ''ZTLZNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶片(泰美尼克)'', ''ZTLZNCRP(TMNK)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶微丸'', ''ZTLZNCRWW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泮托拉唑钠肠溶微丸胶囊'', ''ZTLZNCRWWJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泰美尼克'', ''TMNK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用泮托拉唑钠'', ''ZSYZTLZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利片'', ''PZPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利叔丁胺片'', ''PZPLSDAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利吲达帕胺片'', ''PZPLZDPAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星'', ''JHSPFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星片'', ''JHSPFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星注射液'', ''JHSPFSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸培氟沙星'', ''ZSYJHSPFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星葡萄糖'', ''JHSPFSXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸培氟沙星葡萄糖注射液'', ''JHSPFSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用培美曲塞二钠'', ''ZSYPMQSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培门冬酶注射液'', ''PMDMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培唑帕尼片'', ''PZPNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷他佐辛注射液'', ''PTZXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸喷托维林'', ''ZZSPTWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸喷托维林片'', ''ZZSPTWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷托维林氯化铵片'', ''PTWLLHZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷昔洛韦乳膏'', ''PXLWRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用喷昔洛韦'', ''ZSYPXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌冰片软膏'', ''PSYHXBPRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硼替佐米'', ''ZSYPTZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮内注射用卡介苗'', ''PNZSYKJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽口服'', ''PAZKF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽口服冻干粉'', ''PAZKFDGF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽口服溶液'', ''PAZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾多肽注射液'', ''PDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德分散'', ''PDMDFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德分散片'', ''PDMDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德胶囊'', ''PDMDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德颗粒'', ''PDMDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德颗粒剂'', ''PDMDKLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德口服溶液'', ''PDMDKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德口服液'', ''PDMDKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德片'', ''PDMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹伐他汀钙分散片'', ''PFTTGFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹伐他汀钙片'', ''PFTTGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹维溴铵片'', ''PWZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐冲洗液'', ''PHYCXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐溶液(供灌注用)'', ''PHYRY(GGZY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸平阳霉素'', ''YSPYMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸平阳霉素'', ''ZSYYSPYMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸苹果酸钙'', ''ZZSPGSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸苹果酸钙片'', ''ZZSPGSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸氯波必利片'', ''PGSLBBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸奈诺沙星胶囊'', ''PGSNNSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸舒尼替尼胶囊'', ''PGSSNTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松'', ''CSPNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松片'', ''CSPNSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙'', ''CSPNSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙滴眼液'', ''CSPNSLDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙片'', ''CSPNSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙乳膏'', ''CSPNSLRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸泼尼松龙注射液'', ''CSPNSLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扑尔伪麻片'', ''PEWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛内酯胶囊'', ''PQNZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛内酯片'', ''PQNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛酸钠注射液'', ''PQSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用葡醛酸钠'', ''ZSYPQSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖注射液'', ''PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉剂(口服葡萄糖)'', ''PTTFJ(KFPTT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠注射液'', ''PTTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠钾注射液'', ''PTTLHNJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙含片'', ''PTTSGHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙口服溶液'', ''PTTSGKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙片'', ''PTTSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙注射液'', ''PTTSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙锌口服溶液'', ''PTTSGXKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸氯己定含漱液'', ''PTTSLJDHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸氯己定软膏'', ''PTTSLJDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌咀嚼片'', ''PTTSXJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌颗粒'', ''PTTSXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌口服溶液'', ''PTTSXKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌片'', ''PTTSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌糖浆'', ''PTTSXTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸亚铁胶囊'', ''PTTSYTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸亚铁糖浆'', ''PTTSYTTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用葡萄糖酸依诺沙星'', ''ZSYPTTSYNSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎片(薄膜衣片)'', ''PDLXYP(BMYP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎片（薄膜衣片）'', ''PDLXYP（BMYP）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普伐他汀钠'', ''PFTTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普伐他汀钠片'', ''PFTTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普拉克索'', ''YSPLKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普拉克索缓释片'', ''YSPLKSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普拉克索片'', ''YSPLKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉洛芬滴眼液'', ''PLLFDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸普芦卡必利'', ''ZZSPLKBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸普芦卡必利片'', ''ZZSPLKBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普鲁卡因'', ''YSPLKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普鲁卡因片'', ''YSPLKYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普鲁卡因注射液'', ''YSPLKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用普鲁卡因青霉素'', ''ZSYPLKYQMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因肾上腺素注射液'', ''PLKYSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普仑司特胶囊'', ''PLSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗布考片'', ''PLBKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗雌烯乳膏'', ''PLCXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗碘铵注射液'', ''PLDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普罗帕酮'', ''YSPLPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普罗帕酮片'', ''YSPLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普罗帕酮注射液'', ''YSPLPTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普萘洛尔'', ''YSPZLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普萘洛尔缓释片'', ''YSPZLEHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸普萘洛尔片'', ''YSPZLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普瑞巴林胶囊'', ''PRBLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普适泰片'', ''PSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用七氟烷'', ''XRYQFW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶莲'', ''QYL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶洋地黄双苷滴眼液'', ''QYYDHSZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶皂苷钠片'', ''QYZZNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用七叶皂苷钠'', ''ZSYQYZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多夫定片'', ''QDFDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多夫定糖浆'', ''QDFDTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多拉米双夫定片'', ''QDLMSFDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸齐拉西酮'', ''JHSQLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸齐拉西酮'', ''YSQLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸齐拉西酮胶囊'', ''YSQLXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸齐拉西酮片'', ''YSQLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸齐拉西酮'', ''ZSYJHSQLXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕲蛇酶注射液'', ''ZSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔注射液'', ''QLDEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔注射液(脂微球载体)'', ''QLDEZSY(ZWQZT)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用前列地尔'', ''ZSYQLDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔干乳剂'', ''QLDEGRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用前列地尔干乳剂'', ''ZSYQLDEGRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力碘溶液'', ''QLDRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙分散'', ''ZBHSGFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙分散片'', ''ZBHSGFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙胶囊'', ''ZBHSGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙片'', ''ZBHSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟苄唑'', ''YSZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟苄唑滴眼液'', ''YSZZZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟丙甲纤维素滴眼液'', ''ZBJXWSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基脲片'', ''ZJZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用羟基喜树碱'', ''ZSYZJXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基喜树碱氯化钠注射液'', ''ZJXSJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲烟胺片'', ''ZJYAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟甲唑啉'', ''YSZJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟甲唑啉滴鼻液'', ''YSZJZZDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟甲唑啉滴眼液'', ''YSZJZZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟甲唑啉喷雾剂'', ''YSZJZZPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟考酮'', ''YSZKT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟考酮缓释片'', ''YSZKTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸羟考酮注射液'', ''YSZKTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸羟氯喹'', ''LSZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸羟氯喹片'', ''LSZLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟糖甘滴眼液'', ''ZTGDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟喜树碱注射液'', ''ZXSJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用羟喜树碱'', ''ZSYZXSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉(200/0.5)氯化钠注射液'', ''ZYJDF(200/0.5)LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉130/0.4氯化钠注射液'', ''ZYJDF130/0.4LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉200/0.5氯化钠注射液'', ''ZYJDF200/0.5LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉20氯化钠注射液'', ''ZYJDF20LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉40氯化钠注射液'', ''ZYJDF40LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉胺片'', ''QMAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾片'', ''QMSVJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素皮试剂'', ''QMSPSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用青霉素钠'', ''ZSYQMSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾胶囊'', ''QMSVJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氢化可的松'', ''CSQHKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸氢化可的松片'', ''CSQHKDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化可的松注射液'', ''QHKDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氢化可的松琥珀酸钠'', ''ZSYQHKDSZZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化泼尼松注射液'', ''QHPNSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氢钾钠颗粒'', ''ZZSQJNKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢醌乳膏'', ''QZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氢氯吡格雷'', ''LSQLZGL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氢氯吡格雷片'', ''LSQLZGLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氢氯吡格雷片(薄膜衣)'', ''LSQLZGLP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯吡格雷片'', ''QLZGLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯噻嗪片'', ''QLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氢吗啡酮'', ''YSQMFT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氢吗啡酮注射液'', ''YSQMFTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氧化铝凝胶'', ''QYHLNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清感九味丸（呼和嘎日迪-9）'', ''QGJWW（HHGRD-9）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八味丸（额日赫木-8）'', ''QRBWW（ERHM-8）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素'', ''LSQDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素滴眼液'', ''LSQDMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素缓释片'', ''LSQDMSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素颗粒'', ''LSQDMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素片'', ''LSQDMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸庆大霉素注射液'', ''LSQDMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素注射液'', ''QDMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸庆大霉素'', ''ZSYLSQDMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因胶囊'', ''QDMSPLKYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因B12胶囊'', ''QDMSPLKYB12JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B<sub>12'', ''QDMSPLKYWB<sub>12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B<sub>12颗粒'', ''QDMSPLKYWB<sub>12KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B12胶囊'', ''QDMSPLKYWB12JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B12颗粒'', ''QDMSPLKYWB12KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秋水仙碱片'', ''QSXJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巯嘌呤片'', ''ZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈螺酮炔雌醇片'', ''QLTQCCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸屈他维林'', ''YSQTWL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸屈他维林片'', ''YSQTWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸屈他维林注射液'', ''YSQTWLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛片（糖衣片）'', ''ZFZTP（TYP）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰止咳'', ''ZTZK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德'', ''CSQAND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德注射液'', ''CSQANDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德鼻'', ''QANDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德鼻喷雾剂'', ''QANDBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德注射液'', ''QANDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德尿素'', ''CSQANDNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德尿素乳膏'', ''CSQANDNSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德尿素软膏'', ''CSQANDNSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德新霉素贴膏'', ''QANDXMSTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德益康唑'', ''CSQANDYKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲安奈德益康唑乳膏'', ''CSQANDYKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德益康唑乳膏'', ''QANDYKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安西龙片'', ''QAXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲伏前列素滴眼液'', ''QFQLSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁口服溶液'', ''QKLDKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁片'', ''QKLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁注射液'', ''QKLDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用曲克芦丁'', ''ZSYQKLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁氯化钠注射液'', ''QKLDLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁脑蛋白水解物注射液'', ''QKLDNDBSJWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁香豆素片'', ''QKLDXDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲马多缓释片'', ''QMDHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多'', ''YSQMD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多[药典]'', ''YSQMD[YD]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多缓释'', ''YSQMDHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多缓释胶囊'', ''YSQMDHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多缓释片'', ''YSQMDHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多片'', ''YSQMDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多注射液'', ''YSQMDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲马多注射液[药典]'', ''YSQMDZSY[YD]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀'', ''MLSQMBT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀分散'', ''MLSQMBTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀分散片'', ''MLSQMBTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀缓释片'', ''MLSQMBTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀胶囊'', ''MLSQMBTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀片'', ''MLSQMBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸曲美布汀片(薄膜衣)'', ''MLSQMBTP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲美他嗪'', ''YSQMTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲美他嗪缓释片'', ''YSQMTZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲美他嗪胶囊'', ''YSQMTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲美他嗪片'', ''YSQMTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲咪新乳膏'', ''QZXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲尼司特胶囊'', ''QNSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹布通片'', ''QPBTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹地尔片'', ''QPDEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲普瑞林'', ''CSQPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸曲普瑞林注射液'', ''CSQPRLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸曲普瑞林'', ''ZSYCSQPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用曲普瑞林'', ''ZSYQPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用曲妥珠单抗'', ''ZSYQTZDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲昔派特胶囊'', ''QXPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲昔派特胶赛'', ''QXPTJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲唑酮'', ''YSQZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸曲唑酮片'', ''YSQZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸去氨加压素'', ''CSQAJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸去氨加压素片'', ''CSQAJYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸去氨加压素注射液'', ''CSQAJYSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸去氨加压素'', ''ZSYCSQAJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲斑蝥素片'', ''QJBZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲斑蝥素片(糖衣)'', ''QJBZSP(TY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸去甲肾上腺素'', ''ZJSSQJSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸去甲肾上腺素注射液'', ''ZJSSQJSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸去甲万古霉素'', ''YSQJWGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸去甲万古霉素'', ''ZSYYSQJWGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸去铁胺'', ''JHSQTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸去铁胺'', ''ZSYJHSQTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁酮片'', ''QTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧氟尿苷胶囊'', ''QYFNZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧氟尿苷片'', ''QYFNZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸去氧肾上腺素'', ''YSQYSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸去氧肾上腺素注射液'', ''YSQYSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧孕烯炔雌醇片'', ''QYYXQCCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去乙酰毛花苷注射液'', ''QYZMHZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全氟丙烷人血白蛋白微球注射液'', ''QFBWRXBDBWQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻'', ''QTM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔雌醇环丙孕酮片'', ''QCCHBYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔诺酮片'', ''QNTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热毒宁'', ''RDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工牛黄甲硝唑胶囊'', ''RGNHJXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干静注人免疫球蛋白(PH4)'', ''DGJZRMYQDB(PH4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静注人免疫球蛋白(PH4)'', ''JZRMYQDB(PH4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静注人免疫球蛋白（PH4）'', ''JZRMYQDB（PH4）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘片'', ''RTPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘脂多糖注射液'', ''RTPZDTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人用狂犬病疫苗（Vero细胞）'', ''RYKQBYM（VeroXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壬苯醇醚栓'', ''RBCMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用绒促性素'', ''ZSYRCXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶肠溶片'', ''RJMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶含'', ''RJMH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶含片'', ''RJMHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸柔红霉素'', ''YSRHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸柔红霉素'', ''ZSYYSRHMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白散'', ''ZSDBS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白酵母散'', ''ZSDBJMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸加压素注射液'', ''ZSJYSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉蔻五味丸（匝迪-5）'', ''RZWWW（ZD-5）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道用乳杆菌活菌胶囊'', ''YDYRGJHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''用乳杆菌活菌'', ''YRGJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳果糖口服溶液'', ''RGTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钙口服溶液'', ''RSGKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钙片'', ''RSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星滴眼液'', ''RSHBSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星注射液'', ''RSHBSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星氯化钠注射液'', ''RSHBSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌阴道'', ''RSJYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌阴道胶囊'', ''RSJYDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌素颗粒'', ''RSJSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌素片'', ''RSJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸米力农注射液'', ''RSMLNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠注射液'', ''RSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠林格注射液'', ''RSNLGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸司帕沙星片'', ''RSSPSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁胶囊'', ''RSYTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁片'', ''RSYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁糖浆'', ''RSYTTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸依沙吖啶溶液'', ''RSYSZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸依沙吖啶注射液'', ''RSYSZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星滴眼液'', ''RSZYFSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星分散片'', ''RSZYFSXFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星胶囊'', ''RSZYFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星片'', ''RSZYFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星注射液'', ''RSZYFSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星氯化钠注射液'', ''RSZYFSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星葡萄糖注射液'', ''RSZYFSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素'', ''LSRGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素滴眼液'', ''LSRGSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素滴眼液(含玻璃酸钠)'', ''LSRGSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素钠'', ''LSRGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素钠滴眼液'', ''LSRGSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素钠片(硫酸软骨素片)'', ''LSRGSNP(LSRGSP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸软骨素片'', ''LSRGSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸软骨素'', ''ZSYLSRGS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞巴派特片'', ''RBPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞巴派特片(薄膜衣)'', ''RBPTP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸瑞波西汀'', ''JHSRBXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸瑞波西汀片'', ''JHSRBXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸瑞芬太尼'', ''YSRFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸瑞芬太尼'', ''ZSYYSRFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞戈非尼片'', ''RGFNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞格列奈分散片'', ''RGLNFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞格列奈片'', ''RGLNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞舒伐他汀钙胶囊'', ''RSFTTGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞舒伐他汀钙片'', ''RSFTTGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑分散片'', ''SKXZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑胶囊'', ''SKXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑片'', ''SKXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞来昔布胶囊'', ''SLXBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞曲司特片'', ''SQSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞瑞替尼胶囊'', ''SRTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸噻氯匹定'', ''YSZLPD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸噻氯匹定片'', ''YSZLPDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸噻吗洛尔'', ''MLSZMLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸噻吗洛尔滴眼液'', ''MLSZMLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸噻吗洛尔滴眼液(含玻璃酸钠)'', ''MLSZMLEDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵粉'', ''ZTZZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵粉雾剂'', ''ZTZZFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵粉吸入剂'', ''ZTZZFXRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵喷雾剂'', ''ZTZZPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵吸入粉雾剂'', ''ZTZZXRFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛庚啶'', ''YSSGZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛庚啶片'', ''YSSGZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛庚啶乳膏'', ''YSSGZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛洛多辛胶囊'', ''SLDXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛洛唑啉'', ''YSSLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛洛唑啉鼻用'', ''YSSLZZBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸赛洛唑啉鼻用喷雾剂'', ''YSSLZZBYPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖杉酯碱注射液'', ''SJSZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸胞苷二钠注射液'', ''SLSBZENZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸胞苷二钠'', ''ZSYSLSBZEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸胞苷二钠(冻干)'', ''ZSYSLSBZEN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠片'', ''SLSXZENP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠注射液'', ''SLSXZENZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷二钠'', ''ZSYSLSXZEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷二钠氯化镁'', ''ZSYSLSXZENLHM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷二钠氯化镁(冻干)'', ''ZSYSLSXZENLHM(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三磷酸腺苷辅酶胰岛素'', ''ZSYSLSXZFMYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维B片'', ''SWBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维制霉素栓'', ''SWZMSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用三氧化二砷'', ''ZSYSYHES'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三乙醇胺乳膏'', ''SYCARG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三唑仑片'', ''SZLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘萘甲那敏鼻喷雾剂'', ''SGZJNMBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠滴眼液'', ''SGSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠滴眼液(含玻璃酸钠)'', ''SGSNDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠气雾剂'', ''SGSNQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色苷酸钠滴眼液'', ''SZSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸沙丙蝶呤'', ''YSSBDZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸沙丙蝶呤片'', ''YSSBDZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇粉雾剂'', ''LSSDACFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇缓释'', ''LSSDACHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇缓释胶囊'', ''LSSDACHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇口腔崩解'', ''LSSDACKQBJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇口腔崩解片'', ''LSSDACKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇片'', ''LSSDACP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇气雾剂'', ''LSSDACQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇雾化'', ''LSSDACWH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇雾化吸入'', ''LSSDACWHXR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇雾化吸入溶液'', ''LSSDACWHXRRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇吸入粉雾剂'', ''LSSDACXRFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇吸入气雾剂'', ''LSSDACXRQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇注射液'', ''LSSDACZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇气雾剂'', ''SDACQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇气雾剂(混悬型)'', ''SDACQWJ(HXX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇吸入气雾剂'', ''SDACXRQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇吸入气雾剂(混悬型)'', ''SDACXRQWJ(HXX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸沙格雷酯'', ''YSSGLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸沙格雷酯片'', ''YSSGLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格列汀片'', ''SGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘'', ''SJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙库巴曲缬沙坦钠'', ''SKBQZSTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙库巴曲缬沙坦钠片'', ''SKBQZSTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙利度胺片'', ''SLDAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松粉吸入剂'', ''SMTLTKSFXRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲨肝醇片'', ''ZGCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山梨醇注射液'', ''SLCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山莨菪碱片'', ''SZZJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山莨菪碱注射液'', ''SZZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒Vi'', ''SHVi'', null);
INSERT INTO `del_icss_retrieval` VALUES (''40999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇毒血凝酶注射液'', ''SDXNMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍雷肽酶肠溶片'', ''SLZMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸舍曲林'', ''YSSQL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸舍曲林分散片'', ''YSSQLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸舍曲林胶囊'', ''YSSQLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸舍曲林片'', ''YSSQLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆余救心丸'', ''QYJXW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神香苏合丸（庆余救心丸）'', ''SXSHW（QYJXW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色片腙片'', ''SSXSPZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色棕片'', ''SSXSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色腙片'', ''SSXSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色腙注射液'', ''SSXSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素注射液'', ''SSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸肾上腺素'', ''YSSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸肾上腺素注射液'', ''YSSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升血小板'', ''SXXB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生物合成人胰岛素注射液'', ''SWHCRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用生长抑素'', ''ZSYSCYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圣・约翰草提取物'', ''S・YHCTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圣・约翰草提取物片'', ''S・YHCTQWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十维铁咀嚼片'', ''SWTJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮胶丸'', ''SYSZTJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮软'', ''SYSZTR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮软胶囊'', ''SYSZTRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮注射液'', ''SYSZTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石杉碱甲片'', ''SSJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食母生片'', ''SMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒巴坦钠'', ''SBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用舒巴坦钠'', ''ZSYSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒必利片'', ''SBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒必利注射液'', ''SBLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸舒芬太尼'', ''ZZSSFTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸舒芬太尼注射液'', ''ZZSSFTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒更葡糖钠注射液'', ''SGPTNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒林酸片'', ''SLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒洛地特注射液'', ''SLDTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸舒马普坦'', ''ZZSSMPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸舒马普坦片'', ''ZZSSMPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒他西林干混悬剂'', ''STXLGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血用枸橼酸钠注射液'', ''SXYZZSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用鼠神经生长因子'', ''ZSYSSJSCYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薯蓣皂苷片'', ''SZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双醋瑞因胶囊'', ''SCRYJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双分伪麻胶囊'', ''SFWMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双环醇片'', ''SHCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸含漱液'', ''SLFSHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾分散片'', ''SLFSJFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾胶囊'', ''SLFSJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾片'', ''SLFSJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅰ)'', ''SLFSN(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅲ)'', ''SLFSN(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅳ)'', ''SLFSN(Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅴ)'', ''SLFSN(Ⅴ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释胶囊(Ⅰ)'', ''SLFSNHSJN(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释胶囊(Ⅲ)'', ''SLFSNHSJN(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(Ⅰ)'', ''SLFSNHSP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(Ⅳ)'', ''SLFSNHSP(Ⅳ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(Ⅴ)'', ''SLFSNHSP(Ⅴ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸二乙胺凝胶'', ''SLFSEYANJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸二乙胺乳胶剂'', ''SLFSEYARJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾分散'', ''SLFSJFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾喷雾剂'', ''SLFSJPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾栓'', ''SLFSJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠盐酸利多卡因'', ''SLFSNYSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠盐酸利多卡因注射液'', ''SLFSNYSLDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠肠溶'', ''SLFSNCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠肠溶缓释胶囊'', ''SLFSNCRHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠肠溶胶囊'', ''SLFSNCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠肠溶片'', ''SLFSNCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠滴眼液'', ''SLFSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠滴眼液(含玻璃酸钠)'', ''SLFSNDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释'', ''SLFSNHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释胶囊'', ''SLFSNHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片'', ''SLFSNHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠凝胶'', ''SLFSNNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠喷雾剂'', ''SLFSNPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠气雾剂'', ''SLFSNQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠乳膏'', ''SLFSNRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠栓'', ''SLFSNS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠双释放'', ''SLFSNSSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠双释放肠溶'', ''SLFSNSSFCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠双释放肠溶胶囊'', ''SLFSNSSFCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠贴'', ''SLFSNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠注射液'', ''SLFSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠栓(Ⅱ)'', ''SLFSNS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(I)'', ''SLFSNHSP(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠缓释片(IV)'', ''SLFSNHSP(IV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双氯芬酸钠利多卡因'', ''ZSYSLFSNLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双氯芬酸钠盐酸利多卡因'', ''ZSYSLFSNYSLDKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双嘧达莫片'', ''SZDMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双扑伪麻片'', ''SPWMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌活菌胶囊'', ''SQGJHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌乳杆菌三联活菌片'', ''SQGJRGJSLHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌肠溶'', ''SQGJSLHJCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌肠溶胶囊'', ''SQGJSLHJCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌胶囊'', ''SQGJSLHJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌散'', ''SQGJSLHJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌四联活菌片'', ''SQGJSLHJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双羟萘酸曲普瑞林'', ''ZSYSZZSQPRL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢克脲塞片'', ''SQKZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸双氢麦角毒碱'', ''JHSSQMJDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸双氢麦角毒碱片'', ''JHSSQMJDJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰泡腾片'', ''SZTPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰软膏'', ''SZTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰栓'', ''SZTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰阴道'', ''SZTYD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰阴道凝胶'', ''SZTYDNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰阴道泡腾'', ''SZTYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰阴道泡腾片'', ''SZTYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰阴道软胶囊'', ''SZTYDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰棉栓'', ''SZTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾胶囊'', ''SFJBJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾葡甲胺片'', ''SFJBPJAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾葡甲胺片(薄膜衣)'', ''SFJBPJAP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟素胶囊'', ''SFJSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟素片'', ''SFJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水解蛋白口服溶液'', ''SJDBKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用水溶性维生素'', ''ZSYSRXWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸软膏'', ''SYSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯酚贴膏'', ''SYSBFTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯甲酸松油搽剂'', ''SYSBJSSYCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸冰醋酸溶液'', ''SYSBCSRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺苯磺阿曲库铵注射液'', ''SBHAQKZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺铂注射液'', ''SBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用顺铂'', ''ZSYSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸司来吉兰'', ''YSSLJL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸司来吉兰片'', ''YSSLJLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司莫司汀胶囊'', ''SMSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司帕沙星片'', ''SPSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他夫定胶囊'', ''STFDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸司他斯汀'', ''YSSTST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸司他斯汀片'', ''YSSTSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司坦唑醇片'', ''STZCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝白祛斑软膏'', ''SBZBRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丝裂霉素'', ''ZSYSLMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素片'', ''SHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸四环素醋酸可的松'', ''YSSHSCSKDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸四环素醋酸可的松眼膏'', ''YSSHSCSKDSYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸四环素醋酸可的松眼膏。'', ''YSSHSCSKDSYG。'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季青'', ''SJQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四烯甲萘醌软胶囊'', ''SXJZZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲淀粉钠溶液'', ''ZJDFNRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素钠滴眼液'', ''ZJJXWSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦颗粒'', ''ZJSTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液'', ''ZJSTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液(无糖型)'', ''ZJSTKFRY(WTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦片'', ''ZJSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液(含糖型)'', ''ZJSTKFRY(HTX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦（无糖型）'', ''ZJST（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦口服溶液（无糖型）'', ''ZJSTKFRY（WTX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素鼻'', ''SGSB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素鼻喷雾剂'', ''SGSBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素注射液'', ''SGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素注射液(生物提取)'', ''SGSZSY(SWTQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩泉'', ''SQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸索利那新'', ''ZZSSLNX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸索利那新片'', ''ZZSSLNXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索磷布韦片'', ''SLBWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸索他洛尔'', ''YSSTLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸索他洛尔片'', ''YSSTLEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他达拉非片'', ''TDLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他氟前列素滴眼液'', ''TFQLSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他卡西醇软膏'', ''TKXCRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''FK506'', ''FK506'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司滴眼液'', ''TKMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司胶囊'', ''TKMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司软膏'', ''TKMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司注射液'', ''TKMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸他莫昔芬'', ''ZZSTMXF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸他莫昔芬片'', ''ZZSTMXFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他扎罗汀凝胶'', ''TZLTNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他扎罗汀乳膏'', ''TZLTRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎盘多肽注射液'', ''TPDZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酞丁安滴眼液'', ''TDADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酞丁安乳膏'', ''TDARG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸坦度螺酮'', ''ZZSTDLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸坦度螺酮胶囊'', ''ZZSTDLTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸坦度螺酮片'', ''ZZSTDLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦洛新缓释'', ''TLXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦洛新缓释胶囊'', ''TLXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦洛新'', ''YSTLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦洛新缓释'', ''YSTLXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦洛新缓释胶囊'', ''YSTLXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦洛新缓释片'', ''YSTLXHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦索罗辛'', ''YSTSLX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦索罗辛缓释'', ''YSTSLXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸坦索罗辛缓释胶囊'', ''YSTSLXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙胶囊'', ''TSGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙咀嚼'', ''TSGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙咀嚼片'', ''TSGJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙颗粒'', ''TSGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙片'', ''TSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3'', ''TSGD<sub>3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3咀嚼'', ''TSGD<sub>3JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3咀嚼片'', ''TSGD<sub>3JJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3颗粒'', ''TSGD<sub>3KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3咀嚼'', ''TSGD3JJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3咀嚼片'', ''TSGD3JJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3咀嚼片(Ⅱ)'', ''TSGD3JJP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3颗粒'', ''TSGD3KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3片'', ''TSGD3P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3片(Ⅱ)'', ''TSGD3P(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3片(薄膜衣)'', ''TSGD3P(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3(Ⅱ)'', ''TSGD<sub>3(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D<sub>3片(Ⅱ)'', ''TSGD<sub>3P(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3咀嚼(II)'', ''TSGD3JJ(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3咀嚼片(II)'', ''TSGD3JJP(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙甘氨酸胶囊'', ''TSGGASJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙泡腾颗粒'', ''TSGPTKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸镧咀嚼片'', ''TSZJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸锂缓释片'', ''TSZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸锂片'', ''TSZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸利多卡因注射液'', ''TSLDKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢钠片'', ''TSQNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢钠注射液'', ''TSQNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸司维拉姆片'', ''TSSWLMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬'', ''YSTBZF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬搽剂'', ''YSTBZFCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬凝胶'', ''YSTBZFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬喷雾剂'', ''YSTBZFPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬片'', ''YSTBZFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬溶液'', ''YSTBZFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬乳膏'', ''YSTBZFRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬阴道泡腾'', ''YSTBZFYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特比萘芬阴道泡腾片'', ''YSTBZFYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林'', ''LSTBTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林片'', ''LSTBTLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林雾化溶液'', ''LSTBTLWHRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林雾化液'', ''LSTBTLWHY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸特布他林注射液'', ''LSTBTLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸特布他林'', ''ZSYLSTBTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特拉唑嗪'', ''YSTLZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特拉唑嗪胶囊'', ''YSTLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸特拉唑嗪片'', ''YSTLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特立帕肽注射液'', ''TLPZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用特利加压素'', ''ZSYTLJYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特洛伪麻胶囊'', ''TLWMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替比夫定片'', ''TBFDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替勃龙片'', ''TBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替格瑞洛片'', ''TGRLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替吉奥胶囊'', ''TJAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟片'', ''TJFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟栓'', ''TJFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟注射液'', ''TJFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替加环素'', ''ZSYTJHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸替加色罗'', ''MLSTJSL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸替加色罗片'', ''MLSTJSLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替卡西林钠克拉维酸钾'', ''TKXLNKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替卡西林钠克拉维酸钾(15:1)'', ''TKXLNKLWSJ(15:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替卡西林钠克拉维酸钾说明书'', ''TKXLNKLWSJSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替卡西林钠克拉维酸钾'', ''ZSYTKXLNKLWSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替卡西林钠克拉维酸钾(15:1)'', ''ZSYTKXLNKLWSJ(15:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替卡西林钠克拉维酸钾说明书'', ''ZSYTKXLNKLWSJSMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替考拉宁'', ''ZSYTKLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班'', ''YSTLFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班注射液'', ''YSTLFBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸替罗非班'', ''ZSYYSTLFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班氯化钠'', ''YSTLFBLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替罗非班氯化钠注射液'', ''YSTLFBLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦分散片'', ''TMSTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦胶囊'', ''TMSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦片'', ''TMSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦氢氯噻嗪胶囊'', ''TMSTQLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦氢氯噻嗪片'', ''TMSTQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替莫唑胺胶囊'', ''TMZAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替尼泊苷注射液'', ''TNBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸替诺福韦二吡呋酯'', ''FMSTNFWEZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸替诺福韦二吡呋酯片'', ''FMSTNFWEZZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替普瑞酮胶囊'', ''TPRTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑胶囊'', ''TXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑片'', ''TXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑栓'', ''TXZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑阴道泡腾'', ''TXZYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑阴道泡腾片'', ''TXZYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑阴道片'', ''TXZYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑注射液'', ''TXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用替硝唑'', ''ZSYTXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑氯化钠注射液'', ''TXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑葡萄糖注射液'', ''TXZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替扎尼定'', ''YSTZND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸替扎尼定片'', ''YSTZNDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素胶囊'', ''TMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素片'', ''TMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素注射液'', ''TMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素注射液(肌内注射,静脉滴注)'', ''TMSZSY(JNZS,JMDZ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用天麻素'', ''ZSYTMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用天麻素(肌内注射)'', ''ZSYTMS(JNZS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天然维生素E胶丸'', ''TRWSSEJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁铵锌铜维B1糖浆'', ''TZXTWB1TJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉降糖'', ''TMJT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎'', ''TQBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌注射液'', ''TLJDBJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇滴眼液'', ''TKSADSCDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇胶囊'', ''TKSADSCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇注射液'', ''TKSADSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康他索乳膏'', ''TKTSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑片'', ''TKZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑乳膏'', ''TKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑栓'', ''TKZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑洗剂'', ''TKZXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬肠溶'', ''TLFCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬肠溶胶囊'', ''TLFCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬凝胶'', ''TLFNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬'', ''FMSTTF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬鼻'', ''FMSTTFB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬鼻喷雾剂'', ''FMSTTFBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬滴鼻液'', ''FMSTTFDBY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬分散'', ''FMSTTFFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬分散片'', ''FMSTTFFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬胶囊'', ''FMSTTFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸酮替芬片'', ''FMSTTFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄缓释胶囊'', ''TZAZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄缓释片'', ''TZAZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄胶囊'', ''TZAZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄颗粒'', ''TZAZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄片'', ''TZAZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄甲氧苄啶胶囊'', ''TZAZJYZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄甲氧苄啶片'', ''TZAZJYZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢吡肟'', ''YSTZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢吡肟'', ''ZSYYSTZZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯分散片'', ''TZBXFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯干混悬剂'', ''TZBXGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯胶囊'', ''TZBXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯颗粒'', ''TZBXKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯片'', ''TZBXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯干混悬剂'', ''TZBZZGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯胶囊'', ''TZBZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯片'', ''TZBZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯片(薄膜衣)'', ''TZBZZP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼分散片'', ''TZDNFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼胶囊'', ''TZDNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼片'', ''TZDNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地秦钠'', ''TZDQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢地秦钠'', ''ZSYTZDQN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地嗪钠'', ''TZDZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地嗪钠<p>'', ''TZDZN<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢地嗪钠'', ''ZSYTZDZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢地嗪钠<p>'', ''ZSYTZDZN<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛钠'', ''TZZXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢呋辛钠'', ''ZSYTZZXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯分散片'', ''TZZXZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯干混悬剂'', ''TZZXZGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯胶囊'', ''TZZXZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯颗粒'', ''TZZXZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯片'', ''TZZXZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢甲肟'', ''YSTZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢甲肟'', ''ZSYYSTZJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛分散'', ''TZKLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛分散片'', ''TZKLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛干混悬剂'', ''TZKLGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释'', ''TZKLHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释胶囊'', ''TZKLHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释片'', ''TZKLHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释片(Ⅱ)'', ''TZKLHSP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛胶囊'', ''TZKLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛咀嚼'', ''TZKLJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛咀嚼片'', ''TZKLJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛颗粒'', ''TZKLKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛泡腾片'', ''TZKLPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛片'', ''TZKLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛片商品名称'', ''TZKLPSPMC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛（Ⅱ）'', ''TZKL（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛缓释片（Ⅱ）'', ''TZKLHSP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟分散片'', ''TZKZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟干混悬剂'', ''TZKZGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟胶囊'', ''TZKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟咀嚼片'', ''TZKZJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟颗粒'', ''TZKZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟片'', ''TZKZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟片(薄膜衣)'', ''TZKZP(BMY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定分散片'', ''TZLDFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定干混悬剂'', ''TZLDGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定胶囊'', ''TZLDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定颗粒'', ''TZLDKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定片'', ''TZLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢拉定'', ''ZSYTZLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢拉定(含精氨酸)'', ''ZSYTZLD(HJAS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢硫脒'', ''ZSYTZLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢美唑钠'', ''TZMZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢美唑钠'', ''ZSYTZMZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢孟多酯钠'', ''ZSYTZMDZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢米诺钠'', ''TZMNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢米诺'', ''ZSYTZMN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢米诺钠'', ''ZSYTZMNN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢尼西钠'', ''TZNXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢尼西钠'', ''ZSYTZNXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠'', ''TZZTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠'', ''ZSYTZZTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠(冻干)'', ''ZSYTZZTN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠'', ''ZSYTZZTNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦钠'', ''TZZTNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦钠(1:1)'', ''TZZTNSBTN(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦钠(2:1)'', ''TZZTNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠(1:1)'', ''ZSYTZZTNSBTN(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠(2:1)'', ''ZSYTZZTNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦钠（2'', ''TZZTNSBTN（2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠（2'', ''ZSYTZZTNSBTN（2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦钠（2:1）'', ''TZZTNSBTN（2:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠舒巴坦钠（2:1）'', ''ZSYTZZTNSBTN（2:1）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠他唑巴坦钠'', ''TZZTNTZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠他唑巴坦钠'', ''ZSYTZZTNTZBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠他唑巴坦钠(8:1)'', ''TZZTNTZBTN(8:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢哌酮钠他唑巴坦钠(8:1)'', ''ZSYTZZTNTZBTN(8:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢匹胺钠'', ''TZPAN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢匹胺'', ''ZSYTZPA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢匹胺钠'', ''ZSYTZPAN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸头孢匹'', ''LSTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸头孢匹罗'', ''LSTZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸头孢匹'', ''ZSYLSTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸头孢匹罗'', ''ZSYLSTZPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄分散片'', ''TZZAZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄胶囊'', ''TZZAZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄咀嚼片'', ''TZZAZJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄颗粒'', ''TZZAZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄片'', ''TZZAZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢曲松钠'', ''TZQSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢曲松钠针'', ''TZQSNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢曲松钠'', ''ZSYTZQSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻吩钠'', ''TZZFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻吩钠'', ''ZSYTZZFN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸头孢噻利'', ''LSTZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸头孢噻利'', ''ZSYLSTZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟钠'', ''TZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻肟钠'', ''ZSYTZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟钠舒巴坦钠'', ''TZZZNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟钠舒巴坦钠(2:1)'', ''TZZZNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻肟钠舒巴坦钠'', ''ZSYTZZZNSBTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢噻肟钠舒巴坦钠(2:1)'', ''ZSYTZZZNSBTN(2:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢他啶'', ''ZSYTZTZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢他啶(含精氨酸)'', ''ZSYTZTZ(HJAS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢他啶(含碳酸钠)'', ''ZSYTZTZ(HTSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢他美酯分散片'', ''TZTMZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢他美酯胶囊'', ''TZTMZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯'', ''YSTZTMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯分散'', ''YSTZTMZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯分散片'', ''YSTZTMZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯干混悬剂'', ''YSTZTMZGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯胶囊'', ''YSTZTMZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯颗粒'', ''YSTZTMZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢他美酯片'', ''YSTZTMZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢特仑新戊酯片'', ''TZTLXWZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸头孢替安'', ''YSTZTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢替安'', ''ZSYTZTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸头孢替安'', ''ZSYYSTZTA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢替唑钠'', ''TZTZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢替唑钠'', ''ZSYTZTZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢西丁钠'', ''TZXDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢西丁钠'', ''ZSYTZXDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑林钠'', ''TZZLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑林钠'', ''ZSYTZZLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑林钠/氯化钠注射液'', ''ZSYTZZLN/LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑啉钠'', ''TZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑啉钠'', ''ZSYTZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑肟钠'', ''TZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用头孢唑肟钠'', ''ZSYTZZZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛宁'', ''TTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''土霉素片'', ''TMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡卡胺滴眼液'', ''TZKADYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡卡胺滴眼液(含玻璃酸钠)'', ''TZKADYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡酯胶囊'', ''TZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡酯片'', ''TZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托泊替康'', ''YSTBTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸托泊替康'', ''ZSYYSTBTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托伐普坦片'', ''TFPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸托法替布'', ''ZZSTFTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸托法替布片'', ''ZZSTFTBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸托氟沙星'', ''JBHSTFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸托氟沙星胶囊'', ''JBHSTFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米胶囊'', ''TLSMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米片'', ''TLSMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米注射液'', ''TLSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用托拉塞米'', ''ZSYTLSM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托莫西汀'', ''YSTMXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托莫西汀胶囊'', ''YSTMXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托尼萘酸片'', ''TNZSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸托瑞米芬'', ''ZZSTRMF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸托瑞米芬片'', ''ZZSTRMFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸托特罗定'', ''JSSTTLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸托特罗定缓释胶囊'', ''JSSTTLDHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸托特罗定缓释片'', ''JSSTTLDHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸托特罗定片'', ''JSSTTLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸托烷司琼'', ''JHSTWSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸托烷司琼注射液'', ''JHSTWSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼'', ''YSTWSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼口服溶液'', ''YSTWSQKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼注射液'', ''YSTWSQZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸托烷司琼'', ''ZSYYSTWSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼氯化钠'', ''YSTWSQLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼氯化钠注射液'', ''YSTWSQLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼葡萄糖'', ''YSTWSQPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸托烷司琼葡萄糖注射液'', ''YSTWSQPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托西酸舒他西林片'', ''TXSSTXLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托珠单抗注射液'', ''TZDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氧核苷酸钠注射液'', ''TYHZSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脱氧核苷酸钠'', ''ZSYTYHZSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸妥布霉素'', ''LSTBMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸妥布霉素注射液'', ''LSTBMSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素滴眼液'', ''TBMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素滴眼液(含玻璃酸钠)'', ''TBMSDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素眼膏'', ''TBMSYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素地塞米松滴眼液'', ''TBMSDSMSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素地塞米松眼膏'', ''TBMSDSMSYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥洛特罗贴剂'', ''TLTLTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸妥舒沙星'', ''JBHSTSSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯磺酸妥舒沙星片'', ''JBHSTSSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人纤维蛋白粘合剂'', ''WYDGRXWDBZHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用溃疡散(哈它各其-7)'', ''WYKYS(HTGQ-7)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人粒细胞巨噬细胞刺激因子凝胶'', ''WYZZRLXBJSXBCJYZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸万古霉素'', ''YSWGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸万古霉素'', ''ZSYYSWGMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''侗越耗?/span>'', ''DYH?/span>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维A酸片'', ''WASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维A酸乳膏'', ''WASRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘颗粒'', ''WCYQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘软胶囊'', ''WCYQRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2果糖酸钙'', ''WD<sub>2GTSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2果糖酸钙注射液'', ''WD<sub>2GTSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2果糖酸钙注射液'', ''WD2GTSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2磷葡钙'', ''WD<sub>2LPG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2磷葡钙片'', ''WD<sub>2LPGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2磷葡钙片'', ''WD2LPGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2乳酸钙'', ''WD<sub>2RSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D<sub>2乳酸钙片'', ''WD<sub>2RSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2乳酸钙片'', ''WD2RSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童维D钙'', ''ETWDG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童维D钙咀嚼'', ''ETWDGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童维D钙咀嚼片'', ''ETWDGJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D钙咀嚼'', ''WDGJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D钙咀嚼片'', ''WDGJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝（Ⅲ）'', ''WUDQL（Ⅲ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝胶囊（Ⅲ）'', ''WUDQLJN（Ⅲ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝镁片'', ''WUDQLMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺颗粒'', ''WAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯胶囊'', ''WAZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E<p>'', ''WAZWE<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E乳膏'', ''WAZWERG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E乳膏<p>'', ''WAZWERG<p>'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维格列汀片'', ''WGLTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维库溴铵'', ''ZSYWKZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸维拉帕米'', ''YSWLPM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸维拉帕米缓释片'', ''YSWLPMHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸维拉帕米片'', ''YSWLPMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸维拉帕米注射液'', ''YSWLPMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维磷葡钙片'', ''WLPGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维酶素片'', ''WMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维莫非尼片'', ''WMFNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A软'', ''WSSAR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A软胶囊'', ''WSSARJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD滴剂'', ''WSSADDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD滴剂(胶囊型)'', ''WSSADDJ(JNX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD滴剂（胶囊型）'', ''WSSADDJ（JNX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD软'', ''WSSADR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD软胶囊'', ''WSSADRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD糖丸'', ''WSSADTW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AE胶丸'', ''WSSAEJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A棕榈酸酯眼用'', ''WSSAZZSZYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A棕榈酸酯眼用凝胶'', ''WSSAZZSZYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>1'', ''WSSB<sub>1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>1注射液'', ''WSSB<sub>1ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1片'', ''WSSB1P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1丸'', ''WSSB1W'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1注射液'', ''WSSB1ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>12'', ''WSSB<sub>12'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>12滴眼液'', ''WSSB<sub>12DYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>12注射液'', ''WSSB<sub>12ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12滴眼液'', ''WSSB12DYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12片'', ''WSSB12P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12注射液'', ''WSSB12ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>2'', ''WSSB<sub>2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>2片'', ''WSSB<sub>2P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B2片'', ''WSSB2P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B2注射液'', ''WSSB2ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1H-嘌呤-6-氨基磷酸盐'', ''1H-ZZ-6-AJLSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6-氨基嘌呤磷酸盐'', ''6-AJZZLSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氨基嘌呤'', ''LSAJZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸腺嘌呤'', ''LSXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸腺素'', ''LSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>4'', ''WSSB<sub>4'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4片'', ''WSSB4P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4（磷酸氨基嘌呤）'', ''WSSB4（LSAJZZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4片（磷酸氨基嘌呤片）'', ''WSSB4P（LSAJZZP）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>6'', ''WSSB<sub>6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B<sub>6注射液'', ''WSSB<sub>6ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B6片'', ''WSSB6P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B6软膏'', ''WSSB6RG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B6注射液'', ''WSSB6ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维生素B<sub>6'', ''ZSYWSSB<sub>6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维生素B6'', ''ZSYWSSB6'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C咀嚼'', ''WSSCJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C咀嚼片'', ''WSSCJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C钠'', ''WSSCN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C钠胶囊'', ''WSSCNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C泡腾'', ''WSSCPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C泡腾片'', ''WSSCPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C片'', ''WSSCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C注射液'', ''WSSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维生素C'', ''ZSYWSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C钙胶囊'', ''WSSCGJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C氯化钠注射液'', ''WSSCLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D滴剂'', ''WSSDDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D滴剂(胶囊型)'', ''WSSDDJ(JNX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D滴剂（胶囊型）'', ''WSSDDJ（JNX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D<sub>2'', ''WSSD<sub>2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2软胶囊'', ''WSSD2RJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2注射液'', ''WSSD2ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D<sub>3'', ''WSSD<sub>3'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D<sub>3注射液'', ''WSSD<sub>3ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D3注射液'', ''WSSD3ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妊酚'', ''CRF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗不育维生素'', ''KBYWSS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生育酚'', ''SYF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E胶囊'', ''WSSEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E乳'', ''WSSER'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E软'', ''WSSER'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E软胶囊'', ''WSSERJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E软胶囊(天然型)'', ''WSSERJN(TRX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E烟酸酯胶丸'', ''WSSEYSZJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K<sub>1'', ''WSSK<sub>1'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K<sub>1注射液'', ''WSSK<sub>1ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K1片'', ''WSSK1P'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K1注射液'', ''WSSK1ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K3注射液'', ''WSSK3ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用维替泊芬'', ''ZSYWTBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维铁缓释片'', ''WTHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃铋镁颗粒'', ''WZMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶口服溶液'', ''WDBMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸文拉法辛'', ''YSWLFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸文拉法辛缓释胶囊'', ''YSWLFXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸文拉法辛缓释片'', ''YSWLFXHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸文拉法辛胶囊'', ''YSWLFXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌苯美司胶囊'', ''WBMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌苯美司片'', ''WBMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤'', ''WJBF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡增乳'', ''WJZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金活血止痛'', ''WJHXZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金'', ''WJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌拉地尔缓释胶囊'', ''WLDEHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌拉地尔注射液'', ''WLDEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乌拉地尔'', ''YSWLDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乌拉地尔注射液'', ''YSWLDEZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸乌拉地尔'', ''ZSYYSWLDE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌洛托品溶液'', ''WLTPRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乌司他丁'', ''ZSYWSTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五氟利多片'', ''WFLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五水头孢唑林钠'', ''WSTZZLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用五水头孢唑林钠'', ''ZSYWSTZZLN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维B颗粒'', ''WWBKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸颗粒'', ''WWLASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸口服溶液'', ''WWLASKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸片'', ''WWLASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维葡钙口服溶液'', ''WWPGKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维他口服溶液'', ''WWTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗丸[药典]'', ''WZYZW[YD]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇片'', ''WSCECP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇片/雌二醇环丙孕酮片复合包装'', ''WSCECP/CECHBYTPFHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸戊乙奎醚'', ''YSWYKM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸戊乙奎醚注射液'', ''YSWYKMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵含'', ''XZLZH'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵含片'', ''XZLZHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵含漱液'', ''XZLZHSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西达本胺片'', ''XDBAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地吡罗昔康片'', ''XDZLXKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘含片'', ''XDDHP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀二甲双胍片(I)'', ''XGLTEJSZP(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西甲硅油乳剂'', ''XJGYRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西罗莫司口服溶液'', ''XLMSKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西罗莫司片'', ''XLMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西洛他唑胶囊'', ''XLTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西洛他唑片'', ''XLTZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁胶囊'', ''XZTDJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁口服乳'', ''XZTDKFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁片'', ''XZTDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁注射液'', ''XZTDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用西咪替丁'', ''ZSYXZTD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁（甲氰咪胍）'', ''XZTD（JQZZ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁片（甲氰咪胍片）'', ''XZTDP（JQZZP）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西那卡塞'', ''YSXNKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西那卡塞片'', ''YSXNKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸西尼必利'', ''JSSXNBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸西尼必利片'', ''JSSXNBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼地平胶囊'', ''XNDPJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼地平片'', ''XNDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸西曲瑞克'', ''CSXQRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用醋酸西曲瑞克'', ''ZSYCSXQRK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西沙必利片'', ''XSBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸西索米星'', ''LSXSMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸西索米星注射液'', ''LSXSMXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸西酞普兰'', ''QZSXTPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸西酞普兰胶囊'', ''QZSXTPLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸西酞普兰片'', ''QZSXTPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西替利嗪滴剂'', ''XTLZDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪'', ''YSXTLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪滴剂'', ''YSXTLZDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪分散'', ''YSXTLZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪分散片'', ''YSXTLZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪胶囊'', ''YSXTLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪口服溶液'', ''YSXTLZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪口腔崩解片'', ''YSXTLZKQBJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪片'', ''YSXTLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸西替利嗪糖浆'', ''YSXTLZTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西妥昔单抗注射液'', ''XTXDKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破灭活脊髓灰质炎和b型流感嗜血杆菌（结合）联合疫苗'', ''XFWXBBBPMHJSHZYHbXLGSXGJ（JH）LHYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒酵母胶囊'', ''XJMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒酵母片'', ''XJMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锡类散(人工牛黄)'', ''XLS(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''?莶风湿片'', ''?ZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特风平'', ''TFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨蛭络达'', ''ZZLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨蛭络达胶囊(人工牛黄、人工麝香)'', ''ZZLDJN(RGNH、RGZX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨蛭络达胶囊(特风平)'', ''ZZLDJN(TFP)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞色素C注射液'', ''XBSSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用细胞色素C'', ''ZSYXBSSC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌溶解产物胶囊(成人)'', ''XJRJCWJN(CR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌溶解产物胶囊(儿童)'', ''XJRJCWJN(ET)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细辛脑片'', ''XXNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细辛脑注射液'', ''XXNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用细辛脑'', ''ZSYXXN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用细辛脑(冻干)'', ''ZSYXXN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏天无滴眼液'', ''XTWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶酶注射液'', ''XRMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用纤溶酶'', ''ZSYXRM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷钴胺片'', ''XZZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用腺苷钴胺'', ''ZSYXZZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用香菇多糖'', ''ZSYXGDT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用香菇多糖(静脉注射)'', ''ZSYXGDT(JMZS)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴平'', ''XKP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓肠溶胶囊[消栓胶囊(肠溶)]'', ''XSCRJN[XSJN(CR)]'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓胶囊(肠溶)'', ''XSJN(CR)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋卡多曲颗粒'', ''XXKDQKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋卡多曲片'', ''XXKDQP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱滴眼液'', ''XXSZZJDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱滴眼液(含玻璃酸钠)'', ''XXSZZJDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱片'', ''XXSZZJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸消旋山莨菪碱'', ''YSXXSZZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸消旋山莨菪碱注射液'', ''YSXXSZZJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消?益肝片'', ''X?YGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平(Ⅰ)'', ''XBDP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平(Ⅱ)'', ''XBDP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平(III)'', ''XBDP(III)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平(IV)'', ''XBDP(IV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平（IV）'', ''XBDP（IV）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片'', ''XBDPHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(Ⅰ)'', ''XBDPHSP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片（Ⅰ）'', ''XBDPHSP（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(Ⅱ)'', ''XBDPHSP(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(Ⅲ)'', ''XBDPHSP(Ⅲ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(I)'', ''XBDPHSP(I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(II)'', ''XBDPHSP(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(III)'', ''XBDPHSP(III)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片(IV)'', ''XBDPHSP(IV)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平缓释片（IV）'', ''XBDPHSP（IV）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平控释片'', ''XBDPKSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平片'', ''XBDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平软胶囊'', ''XBDPRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔胶囊'', ''XZTEJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔片'', ''XZTEP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉菌素阴道栓'', ''XZTEZMJSYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉素'', ''XZTEZMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉素阴道软'', ''XZTEZMSYDR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉素阴道软膏'', ''XZTEZMSYDRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉素阴道软胶囊'', ''XZTEZMSYDRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硝普钠'', ''ZSYXPN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油片'', ''XSGYP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油气雾剂'', ''XSGYQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油软膏'', ''XSGYRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油注射液'', ''XSGYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油氯化钠注射液'', ''XSGYLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱滴眼液'', ''XSMGZXJDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱滴眼液(含玻璃酸钠)'', ''XSMGZXJDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱注射液'', ''XSMGZXJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑搽剂'', ''XSZKZCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑胶囊'', ''XSZKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑溶液'', ''XSZKZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑乳膏'', ''XSZKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑软膏'', ''XSZKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑散'', ''XSZKZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑栓'', ''XSZKZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑阴道泡腾片'', ''XSZKZYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑阴道片'', ''XSZKZYDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑阴道软'', ''XSZKZYDR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸舍他康唑乳膏'', ''XSSTKZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯缓释胶囊'', ''XSYSLZHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯缓释片'', ''XSYSLZHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯片'', ''XSYSLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯注射液'', ''XSYSLZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硝酸异山梨酯'', ''ZSYXSYSLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯氯化钠注射液'', ''XSYSLZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯葡萄糖注射液'', ''XSYSLZPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑喷雾剂'', ''XSYKZPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑气雾剂'', ''XSYKZQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑栓'', ''XSYKZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗胺'', ''YSXZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗胺片'', ''YSXZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗碱'', ''YSXZJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗碱胶囊'', ''YSXZJJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸小檗碱片'', ''YSXZJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱甲氧苄啶胶囊'', ''XZJJYZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚黄那敏颗粒'', ''XEAFHNMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚黄那敏片'', ''XEAFHNMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚匹林片'', ''XEAFPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚烷胺颗粒'', ''XEAFWAKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚烷胺颗粒(人工牛黄)'', ''XEAFWAKL(RGNH)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨咖黄敏颗粒'', ''XEAKHMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿贝诺酯维B1颗粒'', ''XEBNZWB1KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿布洛芬栓'', ''XEBLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿电解质补给注射液'', ''XEDJZBGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿对乙酰氨基酚灌肠液'', ''XEDYZAJFGCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿多维生素(10)'', ''XEDWSS(10)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿多维生素咀嚼片(10)'', ''XEDWSSJJP(10)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿酚氨咖敏颗粒'', ''XEFAKMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨酚烷胺片'', ''XEFFAFWAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(18AA-Ⅱ)'', ''XEFFAJS(18AA-Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(18AA-Ⅰ)'', ''XEFFAJSZSY(18AA-Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(18AA-Ⅱ)'', ''XEFFAJSZSY(18AA-Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(19AA-Ⅰ)'', ''XEFFAJSZSY(19AA-Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液(18AA－I)'', ''XEFFAJSZSY(18AA－I)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸（19AA-Ⅰ）'', ''XEFFAJS（19AA-Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸注射液（19AA-Ⅰ）'', ''XEFFAJSZSY（19AA-Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方磺胺甲噁唑颗粒'', ''XEFFHAJ噁ZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方赖氨酸颗粒'', ''XEFFLASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方四维亚铁散'', ''XEFFSWYTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻宁（泡腾颗粒）'', ''XEFXN（PTKL）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热宁颗粒（果味型）'', ''XEQRNKL（GWX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热止咳合剂'', ''XEQRZKHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热止咳口服液(小儿清热止咳合剂)'', ''XEQRZKKFY(XEQRZKHJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿善存片'', ''XESCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维钙干混悬剂'', ''XESWGGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维葡钙颗粒'', ''XESWPGKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿碳酸钙D3颗粒'', ''XETSGD3KL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿维生素咀嚼'', ''XEWSSJJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿维生素咀嚼片'', ''XEWSSJJP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美芬滴剂'', ''XEWMMFDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美沙芬滴剂'', ''XEWMMSFDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿五维赖氨酸糖浆'', ''XEWWLASTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿盐酸赖氨酸颗粒'', ''XEYSLASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小麦纤维素颗粒'', ''XMXWSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛脾提取物注射液'', ''XNPTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血清去蛋白肠溶胶囊'', ''XNXQQDBCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血清去蛋白注射液'', ''XNXQQDBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物滴眼液'', ''XNXQDBTQWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物眼用'', ''XNXQDBTQWYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物眼用凝胶'', ''XNXQDBTQWYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物注射液'', ''XNXQDBTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用小牛血去蛋白提取物'', ''ZSYXNXQDBTQW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物氯化钠注射液'', ''XNXQDBTQWLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸缬更昔洛韦'', ''YSZGXLW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸缬更昔洛韦片'', ''YSZGXLWP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦分散'', ''ZSTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦分散片'', ''ZSTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦胶囊'', ''ZSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦片'', ''ZSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平片'', ''ZSTALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平片(Ⅰ)'', ''ZSTALDPP(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪分散片'', ''ZSTQLZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪胶囊'', ''ZSTQLZZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪片'', ''ZSTQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用心肌肽'', ''ZSYXJZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀滴丸'', ''XFTTDW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀分散片'', ''XFTTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀胶囊'', ''XFTTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀片'', ''XFTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新福菌素注射液'', ''XFJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸新霉素'', ''LSXMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸新霉素软膏'', ''LSXMSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新霉素氟轻松乳膏'', ''XMSFQSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫酸新斯的明'', ''JLSXSDM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫酸新斯的明注射液'', ''JLSXSDMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏芎氯化钠注射液'', ''XZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺法新'', ''ZSYXXFX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽肠溶'', ''XXZCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽肠溶胶囊'', ''XXZCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽肠溶片'', ''XXZCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽注射液'', ''XXZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺肽'', ''ZSYXXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺肽(冻干)'', ''ZSYXXZ(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺五肽注射液'', ''XXWZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺五肽'', ''ZSYXXWZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胸腺五肽(冻干)'', ''ZSYXXWZ(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸胶囊'', ''XQYDSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸片'', ''XQYDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸软胶囊'', ''XQYDSRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴吡斯的明片'', ''ZZSDMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴丙胺太林片'', ''ZBATLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠滴眼液'', ''ZFSNDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠水合物滴眼液'', ''ZFSNSHWDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴己新针'', ''ZJXZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新'', ''YSZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新片'', ''YSZJXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新注射液'', ''YSZJXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸溴己新'', ''ZSYYSZJX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新葡萄糖'', ''YSZJXPTT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸溴己新葡萄糖注射液'', ''YSZJXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴米那普鲁卡因注射液'', ''ZMNPLKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸溴莫尼定'', ''JSSZMND'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸溴莫尼定滴眼液'', ''JSSZMNDDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸溴隐亭'', ''JHSZYT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸溴隐亭片'', ''JHSZYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀'', ''XFZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血凝酶'', ''ZSYXNM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚胺培南西司他丁钠'', ''YAPNXSTDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚胺培南-西司他丁钠'', ''YAPN-XSTDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚胺培南西司他丁钠(1:1)'', ''YAPNXSTDN(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚胺培南西司他丁钠'', ''ZSYYAPNXSTDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚胺培南-西司他丁钠'', ''ZSYYAPN-XSTDN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚胺培南西司他丁钠(1:1)'', ''ZSYYAPNXSTDN(1:1)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚甲蓝注射液'', ''YJLZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硫酸氢钠甲萘醌注射液'', ''YLSQNJZZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚砷酸氯化钠注射液'', ''YSSLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硒酸钠片'', ''YXSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钙片'', ''YYSGP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钙注射液'', ''YYSGZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚叶酸钙'', ''ZSYYYSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用亚叶酸钠'', ''ZSYYYSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸缓释胶囊'', ''YSHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸缓释片'', ''YSHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸片'', ''YSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸注射液'', ''YSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸占替诺片'', ''YSZTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酰胺片'', ''YZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎琥宁注射液'', ''YZNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用炎琥宁'', ''ZSYYZN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用炎琥宁(冻干)'', ''ZSYYZN(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡缓释片'', ''YSMFHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼氨肽滴眼液'', ''YAZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼氨肽注射液'', ''YAZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神'', ''YXAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星滴耳液'', ''YFSXDEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星滴眼液'', ''YFSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星滴眼液(含玻璃酸钠)'', ''YFSXDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星胶囊'', ''YFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星凝胶'', ''YFSXNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星片'', ''YFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星乳膏'', ''YFSXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星栓'', ''YFSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星眼膏'', ''YFSXYG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星眼膏(凝胶型)(含玻璃酸钠)'', ''YFSXYG(NJX)(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用氧氟沙星'', ''ZSYYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星氯化钠注射液'', ''YFSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星葡萄糖注射液'', ''YFSXPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌软膏'', ''YHXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌硫软膏'', ''YHXLRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化樟脑注射液'', ''YHZNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药用炭片'', ''YYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠胶囊'', ''YLSTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠胶囊英文名称'', ''YLSTNJNYWMC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠片'', ''YLSTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸片'', ''YSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸注射液'', ''YBZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸钠注射液'', ''YBZSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸伊布利特'', ''FMSYBLT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸伊布利特注射液'', ''FMSYBLTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊布替尼胶囊'', ''YBTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''41999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊达比星'', ''YSYDBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸伊达比星'', ''ZSYYSYDBX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊伐布雷定'', ''YSYFBLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊伐布雷定片'', ''YSYFBLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊立替康'', ''YSYLTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊立替康注射液'', ''YSYLTKZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸伊立替康'', ''ZSYYSYLTK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸伊马替尼'', ''JHSYMTN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸伊马替尼胶囊'', ''JHSYMTNJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸伊马替尼片'', ''JHSYMTNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用伊米苷酶'', ''ZSYYMZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊曲康唑'', ''YSYQKZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊曲康唑胶囊'', ''YSYQKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑分散片'', ''YQKZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑胶囊'', ''YQKZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑颗粒'', ''YQKZKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑口服液'', ''YQKZKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑注射液'', ''YQKZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸伊沙佐米'', ''ZZSYSZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸伊沙佐米胶囊'', ''ZZSYSZMJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸伊索拉定'', ''MLSYSLD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸伊索拉定片'', ''MLSYSLDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利'', ''YSYTBL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利分散'', ''YSYTBLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利分散片'', ''YSYTBLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利胶囊'', ''YSYTBLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸伊托必利片'', ''YSYTBLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊血安'', ''YXA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依巴斯汀片'', ''YBSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依达拉奉注射液'', ''YDLFZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依地酸钙钠注射液'', ''YDSGNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依非韦伦片'', ''YFWLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依降钙素注射液'', ''YJGSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸依美斯汀'', ''FMSYMST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸依美斯汀滴眼液'', ''FMSYMSTDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利'', ''MLSYNPL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利分散'', ''MLSYNPLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利分散片'', ''MLSYNPLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利胶囊'', ''MLSYNPLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利片'', ''MLSYNPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利拉。'', ''YNPLL。'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利拉注射液。'', ''YNPLLZSY。'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪分散'', ''YNPLQLZZFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪分散片'', ''YNPLQLZZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪片'', ''YNPLQLZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利叶酸'', ''MLSYNPLYS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸依那普利叶酸片'', ''MLSYNPLYSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用依那西普'', ''ZSYYNXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺肝素钠'', ''YNGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺肝素钠注射液'', ''YNGSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用依诺肝素钠'', ''ZSYYNGSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺沙星滴眼液'', ''YNSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依帕司他片'', ''YPSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸依匹斯汀'', ''YSYPST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸依匹斯汀胶囊'', ''YSYPSTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸依匹斯汀片'', ''YSYPSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依普黄酮片'', ''YPHTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依沙吖啶溶液'', ''YSZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替巴肽注射液'', ''YTBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替膦酸二钠片'', ''YTZSENP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星'', ''LSYTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星注射液'', ''LSYTMXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸依替米星'', ''ZSYLSYTMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星氯化钠'', ''LSYTMXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸依替米星氯化钠注射液'', ''LSYTMXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷胶囊'', ''YTBZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷软'', ''YTBZR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷软胶囊'', ''YTBZRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷注射液'', ''YTBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托度酸胶囊'', ''YTDSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托度酸片'', ''YTDSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托芬那酯凝胶'', ''YTFNZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托红霉素胶囊'', ''YTHMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托红霉素颗粒'', ''YTHMSKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托考昔片'', ''YTKXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯乳状注射液'', ''YTZZRZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯注射用乳剂'', ''YTZZZSYRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托孕烯植入剂'', ''YTYXZRJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依维莫司片'', ''YWMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依西美坦片'', ''YXMTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布片'', ''YZMBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布辛伐他汀片'', ''YZMBXFTTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素注射液'', ''YDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原肠溶片'', ''YJZYCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原酶肠溶片'', ''YJZYMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用胰激肽原酶'', ''ZSYYJZYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶肠溶'', ''YMCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶肠溶胶囊'', ''YMCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶肠溶片'', ''YMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移因子注射液'', ''YYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺吡嗪利福异烟（Ⅱ）'', ''YAZZLFYY（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺吡嗪利福异烟片（Ⅱ）'', ''YAZZLFYYP（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙胺丁醇'', ''YSYADC'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙胺丁醇胶囊'', ''YSYADCJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙胺丁醇片'', ''YSYADCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙磺酸尼达尼布软胶囊'', ''YHSNDNBRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙哌立松'', ''YSYZLS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸乙哌立松片'', ''YSYZLSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰胺注射液'', ''YZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用乙酰半胱氨酸'', ''XRYYZBZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用乙酰半胱氨酸溶液'', ''XRYYZBZASRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸滴眼液'', ''YZBZASDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸胶囊'', ''YZBZASJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸颗粒'', ''YZBZASKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸泡腾片'', ''YZBZASPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸片'', ''YZBZASP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸注射液'', ''YZBZASZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乙酰半胱氨酸'', ''ZSYYZBZAS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺注射液'', ''YZGZAZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乙酰谷酰胺'', ''ZSYYZGZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用乙酰谷酰胺(冻干)'', ''ZSYYZGZA(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺氯化钠注射液'', ''YZGZALHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰螺旋霉素胶囊'', ''YZLXMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰螺旋霉素片'', ''YZLXMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰麦迪霉素干混悬剂'', ''YZMDMSGHXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰唑胺片'', ''YZZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干静注乙型肝炎人免疫球蛋白(PH4)'', ''DGJZYXGYRMYQDB(PH4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静注乙型肝炎人免疫球蛋白(pH4)'', ''JZYXGYRMYQDB(pH4)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙氧苯柳胺软膏'', ''YYBLARG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙嗪'', ''YSYBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙嗪片'', ''YSYBZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙嗪注射液'', ''YSYBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙嗪注射液'', ''YBZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙肾上腺素'', ''YSYBSSXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙肾上腺素气雾剂'', ''YSYBSSXSQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸异丙肾上腺素注射液'', ''YSYBSSXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用异丙托溴铵'', ''XRYYBTZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入用异丙托溴铵溶液'', ''XRYYBTZZRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙托溴铵气雾剂'', ''YBTZZQWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙托溴铵吸入溶液'', ''YBTZZXRRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福酰胺片'', ''YFZAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异甘草酸镁注射液'', ''YGCSMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用异环磷酰胺'', ''ZSYYHLZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸异帕米星'', ''LSYPMX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸异帕米星注射液'', ''LSYPMXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异山梨醇口服液'', ''YSLCKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异山梨醇口服液(易思清)'', ''YSLCKFY(YSQ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异山梨醇液'', ''YSLCY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易思清'', ''YSQ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸凝胶'', ''YWASNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸软'', ''YWASR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸软胶囊'', ''YWASRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸红霉素凝胶'', ''YWASHMSNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异烟肼片'', ''YYZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异烟肼注射液'', ''YYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用抑肽酶'', ''ZSYYZM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益康倍松乳膏'', ''YKBSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气活血'', ''YQHX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用因卡膦酸二钠'', ''ZSYYKZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏达莫注射液'', ''YXDMZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏蜜环口服溶液'', ''YXMHKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯胶囊'', ''YXTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物滴剂'', ''YXYTQWDJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物注射液'', ''YXYTQWZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哒帕胺片'', ''ZZPAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺滴丸'', ''ZDPADW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释'', ''ZDPAHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释胶囊'', ''ZDPAHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释片'', ''ZDPAHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺胶囊'', ''ZDPAJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺片'', ''ZDPAP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺(II)'', ''ZDPA(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺缓释胶囊(II)'', ''ZDPAHSJN(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚布芬片'', ''ZZBFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用吲哚菁绿'', ''ZSYZZZL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛巴布膏'', ''ZZMXBBG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛搽剂'', ''ZZMXCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛肠溶片'', ''ZZMXCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛滴眼液'', ''ZZMXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛缓释'', ''ZZMXHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛缓释胶囊'', ''ZZMXHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛缓释片'', ''ZZMXHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛胶囊'', ''ZZMXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛控释'', ''ZZMXKS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛控释胶囊'', ''ZZMXKSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛片'', ''ZZMXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛栓'', ''ZZMXS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛呋喃唑酮栓'', ''ZZMXZZZTS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶肠溶'', ''ZJMCR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶肠溶胶囊'', ''ZJMCRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶肠溶片'', ''ZJMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸茚达特罗'', ''MLSZDTL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸茚达特罗吸入粉雾剂'', ''MLSZDTLXRFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用英夫利西单抗'', ''ZSYYFLXDK'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用英卡膦酸二钠'', ''ZSYYKZSEN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱'', ''YSZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱注射液'', ''YSZSJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸罂粟碱'', ''ZSYYSZSJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱氯化钠'', ''YSZSJLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸罂粟碱氯化钠注射液'', ''YSZSJLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟乙碘油注射液'', ''ZSYDYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荧光素钠注射液'', ''YGSNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脂酸红霉素胶囊'', ''YZSHMSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用尤瑞克林'', ''ZSYYRKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用右丙亚胺'', ''ZSYYBYA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用右雷佐生'', ''ZSYYLZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬'', ''QZSYMSF'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬口服溶液'', ''QZSYMSFKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬片'', ''QZSYMSFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬软'', ''QZSYMSFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸右美沙芬软胶囊'', ''QZSYMSFRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬糖浆'', ''YMSFTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬愈创甘油醚糖浆'', ''YMSFYCGYMTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸右美托咪定'', ''YSYMTZD'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸右美托咪定注射液'', ''YSYMTZDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬胶囊'', ''YXBLFJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬口服混悬液'', ''YXBLFKFHXY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬片'', ''YXBLFP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬栓'', ''YXBLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐20葡萄糖注射液'', ''YXTZ20PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氨基酸注射液'', ''YXTZ40AJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氯化钠注射液'', ''YXTZ40LHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40葡萄糖注射液'', ''YXTZ40PTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐羟丙甲纤维素滴眼液'', ''YXTZZBJXWSDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁分散'', ''YXTZTFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁分散片'', ''YXTZTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁口服溶液'', ''YXTZTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁口服液'', ''YXTZTKFY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁片'', ''YXTZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁注射液'', ''YXTZTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬肠溶片'', ''YXTLFCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬氨丁三醇片'', ''YXTLFADSCP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右佐匹克隆片'', ''YZPKLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸鱼精蛋白'', ''LSYJDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸鱼精蛋白注射液'', ''LSYJDBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼石脂软膏'', ''YSZRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草素钠'', ''YXCSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草素钠片'', ''YXCSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油愈创木酯'', ''GYYCMZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲甘苯二醚'', ''JGBEM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈创甘油醚糖浆'', ''YCGYMTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈创木酚甘油醚'', ''YCMFGYM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈甘醚'', ''YGM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚待因口服溶液'', ''YFDYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚甲麻那敏颗粒'', ''YFJMNMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚甲麻那敏糖浆'', ''YFJMNMTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻口服溶液'', ''YFWMKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻待因口服溶液'', ''YFWMDYKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美分散'', ''YMFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美分散片'', ''YMFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美缓释片'', ''YMHSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美颗粒'', ''YMKL'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美片'', ''YMP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美甲麻敏糖浆'', ''YMJMMTJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月见草油胶丸'', ''YJCYJW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝胞内糖肽胶囊'', ''YZBNTZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕三烯酮胶囊'', ''YSXTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠片'', ''ZSSZNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠氯化钠注射液'', ''ZSSZNLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎冲十三味丸(扎冲-13)'', ''ZCSSWW(ZC-13)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎冲十三味丸（扎冲-13）'', ''ZCSSWW（ZC-13）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆分散'', ''ZLPLFS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆分散片'', ''ZLPLFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆片'', ''ZLPLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎鲁司特片'', ''ZLSTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎那米韦吸入粉雾剂'', ''ZNMWXRFWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸樟柳碱'', ''QZSZLJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢溴酸樟柳碱注射液'', ''QZSZLJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春胺缓释'', ''CCAHS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春胺缓释胶囊'', ''CCAHSJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸长春地辛'', ''LSCCDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸长春地辛'', ''ZSYLSCCDX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸长春碱'', ''LSCCJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸长春碱注射液'', ''LSCCJZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸长春瑞滨'', ''JSSCCRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸长春瑞滨软胶囊'', ''JSSCCRBRJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸长春瑞滨注射液'', ''JSSCCRBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸长春瑞滨'', ''ZJSSCCRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重酒石酸长春瑞滨注射液'', ''ZJSSCCRBZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用酒石酸长春瑞滨'', ''ZSYJSSCCRB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀片'', ''CCXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀注射液'', ''CCXTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用长春西汀'', ''ZSYCCXT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀氯化钠注射液'', ''CCXTLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀葡萄糖注射液'', ''CCXTPTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸长春新碱'', ''LSCCXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用硫酸长春新碱'', ''ZSYLSCCXJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳注射液(OO)'', ''CLZFRZSY(OO)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳注射液(00)'', ''CLZFRZSY(00)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蔗糖铁注射液'', ''ZTTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍宝丸（额日敦-乌日勒）'', ''ZBW（ERD-WRL）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄胶囊（珍黄丸）'', ''ZHJN（ZHW）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄丸'', ''ZHW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠明目滴眼液(胶体溶液)'', ''ZZMMDYY(JTRY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''整蛋白型肠内营养剂(粉剂)'', ''ZDBXCNYYJ(FJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天'', ''ZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液(C14-24)'', ''ZFRZSY(C14-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液(C14-24)(大豆油)'', ''ZFRZSY(C14-24)(DDY)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(10%)/氨基酸(15)/葡萄糖(20%)注射液'', ''ZFR(10%)/AJS(15)/PTT(20%)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(C<sub>14~24)'', ''ZFR(C<sub>14~24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(C<sub>14-24)'', ''ZFR(C<sub>14-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳（C<sub>14-24）'', ''ZFR（C<sub>14-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳（C14-24）'', ''ZFR（C14-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液(C<sub>14~24)'', ''ZFRZSY(C<sub>14~24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳注射液（C14-24）'', ''ZFRZSY（C14-24）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(18)注射液'', ''ZFRAJS(18)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(11%)注射液'', ''ZFRAJS(17)PTT(11%)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(19%)注射液'', ''ZFRAJS(17)PTT(19%)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸（18）'', ''ZFRAJS（18）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸（18）注射液'', ''ZFRAJS（18）ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(Ⅰ)'', ''ZSYZRXWSS(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素（Ⅰ）'', ''ZRXWSS（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素（Ⅰ）'', ''ZSYZRXWSS（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素（Ⅱ）'', ''ZRXWSS（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(II)'', ''ZRXWSS(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素注射液(Ⅱ)'', ''ZRXWSSZSY(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素注射液（Ⅱ）'', ''ZRXWSSZSY（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素注射液(Ⅱ)(脂微球乳剂)'', ''ZRXWSSZSY(Ⅱ)(ZWQRJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(Ⅱ)'', ''ZSYZRXWSS(Ⅱ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素（Ⅱ）'', ''ZSYZRXWSS（Ⅱ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(Ⅱ)(冻干)'', ''ZSYZRXWSS(Ⅱ)(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(Ⅱ)/注射用水溶性维生素组合包装'', ''ZSYZRXWSS(Ⅱ)/ZSYSRXWSSZHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用脂溶性维生素(II)'', ''ZSYZRXWSS(II)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅱ)/水溶性维生素组合包装'', ''ZRXWSS(Ⅱ)/SRXWSSZHBZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化?胶囊'', ''ZTH?JN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化症胶囊'', ''ZTHZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉菌素片'', ''ZMJSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉菌素阴道泡腾片'', ''ZMJSYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉素'', ''ZMS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉素片'', ''ZMSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉素阴道泡腾'', ''ZMSYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉素阴道泡腾片'', ''ZMSYDPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉素阴道栓'', ''ZMSYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C<sub>6-24)'', ''Z/CLZFR(C<sub>6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C<sub>6-24)'', ''Z/CLZFRZSY(C<sub>6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C<sub>8-24)'', ''Z/CLZFR(C<sub>8-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C<sub>8-24Ve)'', ''Z/CLZFR(C<sub>8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C<sub>8-24)'', ''Z/CLZFRZSY(C<sub>8-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C<sub>8-24Ve)'', ''Z/CLZFRZSY(C<sub>8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C8-24)'', ''Z/CLZFRZSY(C8-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性蛋白酶肠溶片'', ''ZXDBMCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳'', ''Z/CLZFR'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C8-24Ve)'', ''Z/CLZFR(C8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C6-24)'', ''Z/CLZFRZSY(C6-24)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳注射液(C8-24Ve)'', ''Z/CLZFRZSY(C8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中／长链脂肪乳(C8-24Ve)'', ''Z／CLZFR(C8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中／长链脂肪乳注射液(C8-24Ve)'', ''Z／CLZFRZSY(C8-24Ve)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组促卵泡素β注射液'', ''ZZCLPSβZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组改构人肿瘤坏死因子'', ''ZSYZZGGRZLHSYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组赖脯胰岛素注射液'', ''ZZLFYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组链激酶'', ''ZSYZZLJM'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子滴眼液'', ''ZZNJXCXWXBSCYZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子凝胶'', ''ZZNJXCXWXBSCYZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子外用溶液'', ''ZZNJXCXWXBSCYZWYRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子眼用'', ''ZZNJXCXWXBSCYZYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子眼用凝胶'', ''ZZNJXCXWXBSCYZYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人Ⅱ型肿瘤坏死因子受体-抗体融合蛋白'', ''ZSYZZRⅡXZLHSYZST-KTRHDB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人p53腺病毒注射液'', ''ZZRp53XBDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人TNK组织型纤溶酶原激活剂'', ''ZSYZZRTNKZZXXRMYJHJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-11'', ''ZSYZZRBJS-11'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-11(Ⅰ)'', ''ZSYZZRBJS-11(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-11(酵母)'', ''ZSYZZRBJS-11(JM)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2(Ⅰ)'', ''ZZRBJS-2(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2注射液'', ''ZZRBJS-2ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-2'', ''ZSYZZRBJS-2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-2(125Ala)'', ''ZSYZZRBJS-2(125Ala)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-2(Ⅰ)'', ''ZSYZZRBJS-2(Ⅰ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2（<sup>125Ala）'', ''ZZRBJS-2（<sup>125Ala）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白介素-2（<sup>125Ala）'', ''ZSYZZRBJS-2（<sup>125Ala）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人白细胞介素-11'', ''ZSYZZRBXBJS-11'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2注射液(125Ala)'', ''ZZRBXBJS-2ZSY(125Ala)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2(<sup>125Ala)'', ''ZZRBXBJS-2(<sup>125Ala)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2(<sup>125Ala)注射液'', ''ZZRBXBJS-2(<sup>125Ala)ZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子滴眼液'', ''ZZRBPSCYZDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子凝胶'', ''ZZRBPSCYZNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子（Ⅰ）'', ''ZZRBPSCYZ（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子外用溶液（Ⅰ）'', ''ZZRBPSCYZWYRY（Ⅰ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子（酵母）'', ''ZZRBPSCYZ（JM）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子凝胶（酵母）'', ''ZZRBPSCYZNJ（JM）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子衍生物滴眼剂'', ''ZZRBPSCYZYSWDYJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素注射液(CHO细胞)'', ''ZZRCHSZSY(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促红素(CHO细胞)'', ''ZSYZZRCHS(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促红素(CHO细胞)(冻干)'', ''ZSYZZRCHS(CHOXB)(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素（CHO细胞）'', ''ZZRCHS（CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素注射液（CHO细胞）'', ''ZZRCHSZSY（CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促红素（CHO细胞）'', ''ZSYZZRCHS（CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素-β（CHO细胞）'', ''ZZRCHS-β（CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素-β注射液（CHO细胞）'', ''ZZRCHS-βZSY（CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促黄体激素α'', ''ZSYZZRCHTJSα'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促卵泡激素注射液'', ''ZZRCLPJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人促卵泡激素'', ''ZSYZZRCLPJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α1b滴眼液'', ''ZZRGRSα1bDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α1b注射液'', ''ZZRGRSα1bZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α1b'', ''ZSYZZRGRSα1b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2a栓'', ''ZZRGRSα2aS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2a注射液'', ''ZZRGRSα2aZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α2a'', ''ZSYZZRGRSα2a'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b滴眼液'', ''ZZRGRSα2bDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b凝胶'', ''ZZRGRSα2bNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b喷雾剂(假单胞菌)'', ''ZZRGRSα2bPWJ(JDBJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b乳膏'', ''ZZRGRSα2bRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b栓'', ''ZZRGRSα2bS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b阴道泡腾'', ''ZZRGRSα2bYDPT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b阴道泡腾胶囊'', ''ZZRGRSα2bYDPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b注射液'', ''ZZRGRSα2bZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b注射液(假单胞菌)'', ''ZZRGRSα2bZSY(JDBJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α2b'', ''ZSYZZRGRSα2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α2b(大肠杆菌)'', ''ZSYZZRGRSα2b(DCGJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α-2b注射液'', ''ZZRGRSα-2bZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α-2b'', ''ZSYZZRGRSα-2b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b（假单胞菌）'', ''ZZRGRSα2b（JDBJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b喷雾剂（假单胞菌）'', ''ZZRGRSα2bPWJ（JDBJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b软膏(假单胞菌)'', ''ZZRGRSα2bRG(JDBJ)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素α2b（假单胞菌）'', ''ZSYZZRGRSα2b（JDBJ）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素β1b'', ''ZSYZZRGRSβ1b'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人干扰素γ'', ''ZSYZZRGRSγ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人红细胞生成素'', ''ZSYZZRHXBSCS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子注射液'', ''ZZRLXBCJYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人粒细胞刺激因子(CHO细胞)'', ''ZSYZZRLXBCJYZ(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子(CHO细胞）'', ''ZZRLXBCJYZ(CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人粒细胞刺激因子(CHO细胞）'', ''ZSYZZRLXBCJYZ(CHOXB）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞集落刺激因子注射液'', ''ZZRLXBJLCJYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人粒细胞巨噬细胞刺激因子'', ''ZSYZZRLXBJSXBCJYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干重组人脑利钠肽'', ''DGZZRNLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人脑利钠肽'', ''ZSYZZRNLNZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人尿激酶原'', ''ZSYZZRNJMY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人尿激酶原(CHO细胞)'', ''ZSYZZRNJMY(CHOXB)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人凝血因子Ⅶa'', ''ZSYZZRNXYZⅦa'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人凝血因子Ⅷ'', ''ZSYZZRNXYZⅧ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人凝血因子Ⅸ'', ''ZSYZZRNXYZⅨ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人绒促性素注射液'', ''ZZRRCXSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素注射液'', ''ZZRSCJSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用人生长激素'', ''ZSYRSCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人生长激素'', ''ZSYZZRSCJS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人生长激素2'', ''ZSYZZRSCJS2'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素（rhGH）'', ''ZZRSCJS（rhGH）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人生长激素（rhGH）'', ''ZSYZZRSCJS（rhGH）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血管内皮抑制素注射液'', ''ZZRXGNPYZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血小板生成素注射液'', ''ZZRXXBSCSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''常规重组人胰岛素'', ''CGZZRYDS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''常规重组人胰岛素注射液'', ''CGZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素注射液'', ''ZZRYDSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素混合注射液'', ''ZZRYDSHHZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用重组人组织型纤溶酶原激酶衍生物'', ''ZSYZZRZZXXRMYJMYSW'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗（酿酒酵母）'', ''ZZYXGYYM（NJJM）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猪肺磷脂注射液'', ''ZFLZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹红菌素软膏'', ''ZHJSRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参(冻干)'', ''ZSYDC(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参多酚酸盐'', ''DCDFSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸盐(冻干)'', ''ZSYDCDFSY(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双黄连(冻干)'', ''ZSYSHL(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通'', ''XST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓通'', ''XST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血塞通(冻干)'', ''ZSYXST(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血栓通(冻干)'', ''ZSYXST(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用益气复脉(冻干)'', ''ZSYYQFM(DG)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用转化糖'', ''ZSYZHT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖注射液'', ''ZHTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖电解质注射液'', ''ZHTDJZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用转移因子'', ''ZSYZYYZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移因子胶囊'', ''ZYYZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移因子口服溶液'', ''ZYYZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移因子注射液'', ''ZYYZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨'', ''ZFTG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用紫杉醇(白蛋白结合型)'', ''ZSYZSC(BDBJHX)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇注射液'', ''ZSCZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用紫杉醇（白蛋白结合型）'', ''ZSYZSC（BDBJHX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇（白蛋白结合型）'', ''ZSC（BDBJHX）'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用紫杉醇脂质体'', ''ZSYZSCZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈哌泊塞嗪注射液'', ''ZZZBSZZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈酸帕利哌酮注射液'', ''ZZSPLZTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左奥硝唑氯化钠注射液'', ''ZAXZLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布比卡因'', ''YSZBBKY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布比卡因注射液'', ''YSZBBKYZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布诺洛尔'', ''YSZBNLE'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左布诺洛尔滴眼液'', ''YSZBNLEDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左甲状腺素钠'', ''ZJZXSN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左甲状腺素钠片'', ''ZJZXSNP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左卡巴斯汀'', ''YSZKBST'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左卡巴斯汀鼻'', ''YSZKBSTB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左卡巴斯汀鼻喷雾剂'', ''YSZKBSTBPWJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用左卡尼汀'', ''ZSYZKNT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡尼汀口服溶液'', ''ZKNTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡尼汀注射液'', ''ZKNTZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮肠溶片'', ''ZQNYTCRP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮片'', ''ZQNYTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西孟旦注射液'', ''ZXMDZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪'', ''YSZXTLZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪分散片'', ''YSZXTLZFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪胶囊'', ''YSZXTLZJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪口服溶液'', ''YSZXTLZKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左西替利嗪片'', ''YSZXTLZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸左旋氨氯地平'', ''MLSZXALDP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸左旋氨氯地平分散片'', ''MLSZXALDPFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马来酸左旋氨氯地平片'', ''MLSZXALDPP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋多巴片'', ''ZXDBP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左旋咪唑'', ''YSZXZZ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左旋咪唑片'', ''YSZXZZP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用左亚叶酸钙'', ''ZSYZYYSG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星'', ''JHSZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星胶囊'', ''JHSZYFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星片'', ''JHSZYFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星注射液'', ''JHSZYFSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星'', ''YSZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星滴耳液'', ''YSZYFSXDEY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星滴眼液'', ''YSZYFSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星滴眼液(含玻璃酸钠)'', ''YSZYFSXDYY(HBLSN)'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星分散片'', ''YSZYFSXFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星胶囊'', ''YSZYFSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星片'', ''YSZYFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星软膏'', ''YSZYFSXRG'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星眼用'', ''YSZYFSXYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星眼用凝胶'', ''YSZYFSXYYNJ'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星注射液'', ''YSZYFSXZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用甲磺酸左氧氟沙星'', ''ZSYJHSZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用盐酸左氧氟沙星'', ''ZSYYSZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用左氧氟沙星'', ''ZSYZYFSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星滴眼液'', ''ZYFSXDYY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星片'', ''ZYFSXP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星氯化钠'', ''JHSZYFSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲磺酸左氧氟沙星氯化钠注射液'', ''JHSZYFSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星氯化钠'', ''YSZYFSXLHN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氟沙星氯化钠注射液'', ''YSZYFSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星氯化钠注射液'', ''ZYFSXLHNZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氰沙星'', ''YSZYQSX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸左氧氰沙星胶囊'', ''YSZYQSXJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左乙拉西坦口服溶液'', ''ZYLXTKFRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左乙拉西坦片'', ''ZYLXTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦分散片'', ''ZMQPTFSP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦胶囊'', ''ZMQPTJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦片'', ''ZMQPTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐匹克隆胶囊'', ''ZPKLJN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐匹克隆片'', ''ZPKLP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸唑吡坦'', ''JSSZZT'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒石酸唑吡坦片'', ''JSSZZTP'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用唑来膦酸'', ''ZSYZLZS'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用唑来膦酸浓溶液'', ''ZSYZLZSNRY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唑来膦酸注射液'', ''ZLZSZSY'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜尿'', ''RMN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿闭'', ''NB'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤出血'', ''PFCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤黏膜出血'', ''PFZMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下黏膜出血'', ''PXZMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粘膜出血'', ''PFZMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下粘膜出血'', ''PXZMCX'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体运动困难'', ''ZTYDKN'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体运动障碍'', ''ZTYDZA'', null);
INSERT INTO `del_icss_retrieval` VALUES (''42583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动障碍'', ''YDZA'', null);

-- ----------------------------
-- Table structure for del_icss_retrieval_mapping
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_retrieval_mapping`;
CREATE TABLE `del_icss_retrieval_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `retrieval_id` bigint(20) DEFAULT NULL COMMENT ''检索id'',
  `question_id` bigint(20) DEFAULT NULL COMMENT ''question_id'',
  `show_type` int(5) NOT NULL DEFAULT ''1'' COMMENT ''显示类型(1：本体，2：同义词3：组合项目(生命体征-脉搏))'',
  `remark` varchar(500) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`),
  KEY `index_retrieval_id` (`retrieval_id`) USING BTREE,
  KEY `index_question_id` (`question_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=42584 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''同义词检索映射表'';

-- ----------------------------
-- Records of del_icss_retrieval_mapping
-- ----------------------------
INSERT INTO `del_icss_retrieval_mapping` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''2019-01-04 14:23:24'', ''7'', ''1'', ''1'', ''1'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''72'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''4'', ''N'', ''2018-12-17 16:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''73'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''7'', ''N'', ''2018-12-17 12:00:00'', ''2019-01-04 15:34:55'', ''3'', ''1'', ''8'', ''106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''98'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''9'', ''N'', ''2018-12-10 12:00:00'', ''2018-12-10 12:00:00'', ''0'', ''0'', ''10'', ''105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''13'', ''N'', ''2018-12-16 12:00:00'', ''1970-01-01 12:00:00'', ''10'', ''0'', ''14'', ''69'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''96'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''19'', ''N'', ''2018-12-17 13:32:44'', ''2018-12-17 12:00:00'', ''2'', ''0'', ''20'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25'', ''131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26'', ''169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27'', ''4'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', ''28'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', ''33'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', ''196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', ''198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37'', ''200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39'', ''202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40'', ''203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''46'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42'', ''45'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''51'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''52'', ''207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''53'', ''208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''54'', ''209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''56'', ''212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''58'', ''265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''59'', ''277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''63'', ''282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''24031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''65'', ''292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''66'', ''366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''67'', ''367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''68'', ''368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''70'', ''370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''73'', ''377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''74'', ''378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''75'', ''379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''77'', ''378'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''379'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''76'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''81'', ''376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''82'', ''390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''83'', ''427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''84'', ''427'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''86'', ''428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''87'', ''429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''88'', ''430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''89'', ''431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''90'', ''432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''91'', ''433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''92'', ''434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''93'', ''435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''94'', ''436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''95'', ''437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''96'', ''438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''97'', ''439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''98'', ''440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''99'', ''441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''100'', ''442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''102'', ''444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''103'', ''445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''104'', ''446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''105'', ''447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''107'', ''449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''108'', ''450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''112'', ''454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''113'', ''455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''114'', ''456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''115'', ''457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''117'', ''459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''118'', ''460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''119'', ''461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120'', ''462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''121'', ''463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''122'', ''464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''123'', ''465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''124'', ''466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''125'', ''467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''126'', ''468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''127'', ''469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''128'', ''470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''129'', ''471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''130'', ''75'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''131'', ''53'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''132'', ''79'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20000'', ''20405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20001'', ''20406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20002'', ''20407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20003'', ''20408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20004'', ''20409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20005'', ''20410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20006'', ''20411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20007'', ''20412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20008'', ''20413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20009'', ''20414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20010'', ''20415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20011'', ''20416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20012'', ''20417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20013'', ''20418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20014'', ''20419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20015'', ''20420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20016'', ''20421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20017'', ''20422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20018'', ''20423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20019'', ''20424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20020'', ''20425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20021'', ''20426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20022'', ''20427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20023'', ''20428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20024'', ''20429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20025'', ''20430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20026'', ''20431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20027'', ''20432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20028'', ''20433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20029'', ''20434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20030'', ''20435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20031'', ''20436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20032'', ''20437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20033'', ''20438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20034'', ''20439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20035'', ''20440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20036'', ''20441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20037'', ''20442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20038'', ''20443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20039'', ''20444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20040'', ''20445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20041'', ''20446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20042'', ''20447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20043'', ''20448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20044'', ''20449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20045'', ''20450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20046'', ''20451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20047'', ''20452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20048'', ''20453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20049'', ''20454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20050'', ''20455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20051'', ''20456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20052'', ''20457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20053'', ''20458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20054'', ''20459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20055'', ''20460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20056'', ''20461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20057'', ''20462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20058'', ''20463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20059'', ''20464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20060'', ''20465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20061'', ''20466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20062'', ''20467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20063'', ''20468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20064'', ''20469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20065'', ''20470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20066'', ''20471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20067'', ''20472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20068'', ''20473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20069'', ''20474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20070'', ''20475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20071'', ''20476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20072'', ''20477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20073'', ''20478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20074'', ''20479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20075'', ''20480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20076'', ''20481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20077'', ''20482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20078'', ''20483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20079'', ''20484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20080'', ''20485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20081'', ''20486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20082'', ''20487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20083'', ''20488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20084'', ''20489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20085'', ''20490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20086'', ''20491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20087'', ''20492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20088'', ''20493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20089'', ''20494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20090'', ''20495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20091'', ''20496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20092'', ''20497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20093'', ''20498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20094'', ''20499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20095'', ''20500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20096'', ''20501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20097'', ''20502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20098'', ''20503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20099'', ''20504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20100'', ''20505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20101'', ''20506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20102'', ''20507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20103'', ''20508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20104'', ''20509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20105'', ''20510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20106'', ''20511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20107'', ''20512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20108'', ''20513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20109'', ''20514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20110'', ''20515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20111'', ''20516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20112'', ''20517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20113'', ''20518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20114'', ''20519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20115'', ''20520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20116'', ''20521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20117'', ''20522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20118'', ''20523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20119'', ''20524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20120'', ''20525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20121'', ''20526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20122'', ''20527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20123'', ''20528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20124'', ''20529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20125'', ''20530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20126'', ''20531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20127'', ''20532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20128'', ''20533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20129'', ''20534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20130'', ''20535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20131'', ''20536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20132'', ''20537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20133'', ''20538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20134'', ''20539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20135'', ''20540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20136'', ''20541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20137'', ''20542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20138'', ''20543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20139'', ''20544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20140'', ''20545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20141'', ''20546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20142'', ''20547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20143'', ''20548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20144'', ''20549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20145'', ''20550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20146'', ''20551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20147'', ''20552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20148'', ''20553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20149'', ''20554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20150'', ''20555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20151'', ''20556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20152'', ''20557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20153'', ''20558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20154'', ''20559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20155'', ''20560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20156'', ''20561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20157'', ''20562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20158'', ''20563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20159'', ''20564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20160'', ''20565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20161'', ''20566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20162'', ''20567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20163'', ''20568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20164'', ''20569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20165'', ''20570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20166'', ''20571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20167'', ''20572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20168'', ''20573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20169'', ''20574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20170'', ''20575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20171'', ''20576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20172'', ''20577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20173'', ''20578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20174'', ''20579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20175'', ''20580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20176'', ''20581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20177'', ''20582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20178'', ''20583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20179'', ''20584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20180'', ''20585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20181'', ''20586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20182'', ''20587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20183'', ''20588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20184'', ''20589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20185'', ''20590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20186'', ''20591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20187'', ''20592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20188'', ''20593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20189'', ''20594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20190'', ''20595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20191'', ''20596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20192'', ''20597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20193'', ''20598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20194'', ''20599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20195'', ''20600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20196'', ''20601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20197'', ''20602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20198'', ''20603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20199'', ''20604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20200'', ''20605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20201'', ''20606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20202'', ''20607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20203'', ''20608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20204'', ''20609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20205'', ''20610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20206'', ''20611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20207'', ''20612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20208'', ''20613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20209'', ''20614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20210'', ''20615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20211'', ''20616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20212'', ''20617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20213'', ''20618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20214'', ''20619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20215'', ''20620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20216'', ''20621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20217'', ''20622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20218'', ''20623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20219'', ''20624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20220'', ''20625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20221'', ''20626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20222'', ''20627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20223'', ''20628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20224'', ''20629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20225'', ''20630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20226'', ''20631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20227'', ''20632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20228'', ''20633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20229'', ''20634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20230'', ''20635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20231'', ''20636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20232'', ''20637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20233'', ''20638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20234'', ''20639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20235'', ''20640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20236'', ''20641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20237'', ''20642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20238'', ''20643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20239'', ''20644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20240'', ''20645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20241'', ''20646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20242'', ''20647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20243'', ''20648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20244'', ''20649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20245'', ''20650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20246'', ''20651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20247'', ''20652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20248'', ''20653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20249'', ''20654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20250'', ''20655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20251'', ''20656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20252'', ''20657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20253'', ''20658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20254'', ''20659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20255'', ''20660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20256'', ''20661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20257'', ''20662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20258'', ''20663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20259'', ''20664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20260'', ''20665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20261'', ''20666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20262'', ''20667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20263'', ''20668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20264'', ''20669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20265'', ''20670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20266'', ''20671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20267'', ''20672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20268'', ''20673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20269'', ''20674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20270'', ''20675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20271'', ''20676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20272'', ''20677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20273'', ''20678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20274'', ''20679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20275'', ''20680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20276'', ''20681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20277'', ''20682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20278'', ''20683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20279'', ''20684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20280'', ''20685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20281'', ''20686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27'', ''20687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20283'', ''20688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20284'', ''20689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20285'', ''20690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20286'', ''20691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20287'', ''20692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20288'', ''20693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20289'', ''20694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20290'', ''20695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20291'', ''20696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20292'', ''20697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20293'', ''20698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20294'', ''20699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20295'', ''20700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20296'', ''20701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20297'', ''20702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20298'', ''20703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20299'', ''20704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20300'', ''20705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20301'', ''20706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20302'', ''20707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20303'', ''20708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20304'', ''20709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20305'', ''20710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20306'', ''20711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20307'', ''20712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20308'', ''20713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20309'', ''20714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20310'', ''20715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20311'', ''20716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20312'', ''20717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20313'', ''20718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20314'', ''20719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20315'', ''20720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20316'', ''20721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20317'', ''20722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20318'', ''20723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20319'', ''20724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20320'', ''20725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20321'', ''20726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20322'', ''20727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20323'', ''20728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20324'', ''20729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20325'', ''20730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20326'', ''20731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20327'', ''20732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20328'', ''20733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20329'', ''20734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20330'', ''20735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20331'', ''20736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20332'', ''20737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20333'', ''20738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20334'', ''20739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20335'', ''20740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20336'', ''20741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20337'', ''20742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20338'', ''20743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20339'', ''20744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20340'', ''20745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20341'', ''20746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20342'', ''20747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20343'', ''20748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20344'', ''20749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20345'', ''20750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20346'', ''20751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20347'', ''20752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20348'', ''20753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20349'', ''20754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20350'', ''20755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20351'', ''20756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20352'', ''20757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20353'', ''20758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20354'', ''20759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20355'', ''20760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20356'', ''20761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20357'', ''20762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20358'', ''20763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20359'', ''20764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''125'', ''20765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''126'', ''20766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20362'', ''20767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20363'', ''20768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20364'', ''20769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20365'', ''20770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20366'', ''20771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20367'', ''20772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20368'', ''20773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20369'', ''20774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20370'', ''20775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20371'', ''20776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20372'', ''20777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20373'', ''20778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20374'', ''20779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20375'', ''20780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20376'', ''20781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20377'', ''20782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20378'', ''20783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20379'', ''20784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20380'', ''20785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20381'', ''20786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20382'', ''20787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20383'', ''20788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20384'', ''20789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20385'', ''20790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20386'', ''20791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20387'', ''20792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20388'', ''20793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20389'', ''20794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20390'', ''20795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20391'', ''20796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20392'', ''20797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20393'', ''20798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20394'', ''20799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20395'', ''20800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20396'', ''20801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20397'', ''20802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20398'', ''20803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20399'', ''20804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20400'', ''20805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20401'', ''20806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20402'', ''20807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20403'', ''20808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20404'', ''20809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20405'', ''20810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20406'', ''20811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20407'', ''20812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20408'', ''20813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20409'', ''20814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20410'', ''20815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20411'', ''20816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20412'', ''20817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20413'', ''20818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20414'', ''20819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20415'', ''20820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20416'', ''20821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20417'', ''20822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20418'', ''20823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20419'', ''20824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20420'', ''20825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20421'', ''20826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20422'', ''20827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20423'', ''20828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20424'', ''20829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20425'', ''20830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20426'', ''20831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20427'', ''20832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20428'', ''20833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20429'', ''20834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20430'', ''20835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20431'', ''20836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20432'', ''20837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20433'', ''20838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20434'', ''20839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20435'', ''20840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20436'', ''20841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20437'', ''20842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20438'', ''20843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20439'', ''20844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20440'', ''20845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20441'', ''20846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20442'', ''20847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20443'', ''20848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20444'', ''20849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20445'', ''20850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20446'', ''20851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20447'', ''20852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20448'', ''20853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20449'', ''20854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20450'', ''20855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20451'', ''20856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20452'', ''20857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20453'', ''20858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20454'', ''20859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20455'', ''20860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20456'', ''20861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20457'', ''20862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20458'', ''20863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20459'', ''20864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20460'', ''20865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20461'', ''20866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20462'', ''20867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20463'', ''20868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20464'', ''20869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20465'', ''20870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20466'', ''20871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20467'', ''20872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20468'', ''20873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20469'', ''20874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20470'', ''20875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20471'', ''20876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20472'', ''20877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20473'', ''20878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20474'', ''20879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20475'', ''20880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20476'', ''20881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20477'', ''20882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20478'', ''20883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20479'', ''20884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20480'', ''20885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20481'', ''20886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20482'', ''20887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20483'', ''20888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20484'', ''20889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20485'', ''20890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20486'', ''20891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20487'', ''20892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20488'', ''20893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20489'', ''20894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20490'', ''20895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20491'', ''20896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20492'', ''20897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20493'', ''20898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20494'', ''20899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20495'', ''20900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20496'', ''20901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20497'', ''20902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20498'', ''20903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20499'', ''20904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20500'', ''20905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20501'', ''20906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20502'', ''20907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20503'', ''20908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20504'', ''20909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20505'', ''20910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20506'', ''20911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20507'', ''20912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20508'', ''20913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20509'', ''20914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20510'', ''20915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20511'', ''20916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20512'', ''20917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20513'', ''20918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20514'', ''20919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20515'', ''20920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20516'', ''20921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20517'', ''20922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20518'', ''20923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20519'', ''20924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20520'', ''20925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20521'', ''20926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20522'', ''20927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20523'', ''20928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20524'', ''20929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20525'', ''20930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20526'', ''20931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20527'', ''20932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20528'', ''20933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20529'', ''20934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20530'', ''20935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20531'', ''20936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20532'', ''20937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20533'', ''20938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20534'', ''20939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20535'', ''20940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20536'', ''20941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20537'', ''20942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20538'', ''20943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20539'', ''20944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20540'', ''20945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20541'', ''20946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20542'', ''20947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20543'', ''20948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20544'', ''20949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20545'', ''20950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20546'', ''20951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20547'', ''20952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20548'', ''20953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20549'', ''20954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20550'', ''20955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20551'', ''20956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20552'', ''20957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20553'', ''20958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20554'', ''20959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20555'', ''20960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20556'', ''20961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20557'', ''20962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20558'', ''20963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20559'', ''20964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20560'', ''20965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20561'', ''20966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20562'', ''20967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20563'', ''20968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20564'', ''20969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20565'', ''20970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20566'', ''20971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20567'', ''20972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20568'', ''20973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20569'', ''20974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20570'', ''20975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20571'', ''20976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20572'', ''20977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20573'', ''20978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20574'', ''20979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20575'', ''20980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20576'', ''20981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20577'', ''20982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20578'', ''20983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20579'', ''20984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20580'', ''20985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20581'', ''20986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20582'', ''20987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20583'', ''20988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20584'', ''20989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20585'', ''20990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20586'', ''20991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20587'', ''20992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20588'', ''20993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20589'', ''20994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20590'', ''20995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20591'', ''20996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20592'', ''20997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20593'', ''20998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20594'', ''20999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20595'', ''21000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20596'', ''21001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20597'', ''21002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20598'', ''21003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20599'', ''21004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20600'', ''21005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20601'', ''21006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20602'', ''21007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20603'', ''21008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20604'', ''21009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20605'', ''21010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20606'', ''21011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20607'', ''21012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20608'', ''21013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20609'', ''21014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20610'', ''21015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20611'', ''21016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20612'', ''21017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20613'', ''21018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20614'', ''21019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20615'', ''21020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20616'', ''21021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20617'', ''21022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20618'', ''21023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20619'', ''21024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20620'', ''21025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20621'', ''21026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20622'', ''21027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20623'', ''21028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20624'', ''21029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20625'', ''21030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20626'', ''21031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20627'', ''21032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20628'', ''21033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20629'', ''21034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20630'', ''21035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20631'', ''21036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20632'', ''21037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20633'', ''21038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20634'', ''21039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20635'', ''21040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20636'', ''21041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20637'', ''21042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20638'', ''21043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20639'', ''21044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20640'', ''21045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20641'', ''21046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20642'', ''21047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20643'', ''21048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20644'', ''21049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20645'', ''21050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20646'', ''21051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20647'', ''21052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20648'', ''21053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20649'', ''21054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20650'', ''21055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20651'', ''21056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20652'', ''21057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20653'', ''21058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20654'', ''21059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20655'', ''21060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20656'', ''21061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20657'', ''21062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20658'', ''21063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20659'', ''21064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20660'', ''21065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20661'', ''21066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20662'', ''21067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20663'', ''21068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20664'', ''21069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20665'', ''21070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20666'', ''21071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20667'', ''21072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20668'', ''21073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20669'', ''21074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20670'', ''21075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20671'', ''21076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20672'', ''21077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20673'', ''21078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20674'', ''21079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20675'', ''21080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20676'', ''21081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20677'', ''21082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20678'', ''21083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20679'', ''21084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20680'', ''21085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20681'', ''21086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20682'', ''21087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20683'', ''21088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20684'', ''21089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20685'', ''21090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20686'', ''21091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20687'', ''21092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20688'', ''21093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20689'', ''21094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20690'', ''21095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20691'', ''21096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20692'', ''21097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20693'', ''21098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20694'', ''21099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20695'', ''21100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20696'', ''21101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20697'', ''21102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20698'', ''21103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20699'', ''21104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20700'', ''21105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20701'', ''21106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20702'', ''21107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20703'', ''21108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20704'', ''21109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20705'', ''21110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20706'', ''21111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20707'', ''21112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20708'', ''21113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20709'', ''21114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20710'', ''21115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20711'', ''21116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20712'', ''21117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20713'', ''21118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20714'', ''21119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20715'', ''21120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20716'', ''21121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20717'', ''21122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20718'', ''21123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20719'', ''21124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20720'', ''21125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20721'', ''21126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20722'', ''21127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20723'', ''21128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20724'', ''21129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20725'', ''21130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20726'', ''21131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20727'', ''21132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20728'', ''21133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20729'', ''21134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20730'', ''21135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20731'', ''21136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20732'', ''21137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20733'', ''21138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20734'', ''21139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20735'', ''21140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20736'', ''21141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20737'', ''21142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20738'', ''21143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20739'', ''21144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20740'', ''21145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20741'', ''21146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20742'', ''21147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20743'', ''21148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20744'', ''21149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20745'', ''21150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20746'', ''21151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20747'', ''21152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20748'', ''21153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20749'', ''21154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20750'', ''21155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20751'', ''21156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20752'', ''21157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20753'', ''21158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20754'', ''21159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20755'', ''21160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20756'', ''21161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20757'', ''21162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20758'', ''21163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20759'', ''21164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20760'', ''21165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20761'', ''21166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20762'', ''21167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20763'', ''21168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20764'', ''21169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20765'', ''21170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20766'', ''21171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20767'', ''21172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20768'', ''21173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20769'', ''21174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20770'', ''21175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20771'', ''21176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20772'', ''21177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20773'', ''21178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20774'', ''21179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20775'', ''21180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20776'', ''21181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20777'', ''21182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20778'', ''21183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20779'', ''21184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20780'', ''21185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20781'', ''21186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20782'', ''21187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20783'', ''21188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20784'', ''21189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20785'', ''21190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20786'', ''21191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20787'', ''21192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20788'', ''21193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20789'', ''21194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20790'', ''21195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20791'', ''21196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20792'', ''21197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20793'', ''21198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20794'', ''21199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20795'', ''21200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20796'', ''21201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20797'', ''21202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20798'', ''21203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20799'', ''21204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20800'', ''21205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20801'', ''21206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20802'', ''21207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20803'', ''21208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20804'', ''21209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20805'', ''21210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20806'', ''21211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20807'', ''21212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20808'', ''21213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20809'', ''21214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20810'', ''21215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20811'', ''21216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20812'', ''21217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20813'', ''21218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20814'', ''21219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20815'', ''21220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20816'', ''21221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20817'', ''21222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20818'', ''21223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20819'', ''21224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20820'', ''21225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20821'', ''21226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20822'', ''21227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20823'', ''21228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20824'', ''21229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20825'', ''21230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20826'', ''21231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20827'', ''21232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20828'', ''21233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20829'', ''21234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20830'', ''21235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20831'', ''21236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20832'', ''21237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20833'', ''21238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20834'', ''21239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20835'', ''21240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20836'', ''21241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20837'', ''21242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20838'', ''21243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20839'', ''21244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20840'', ''21245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20841'', ''21246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20842'', ''21247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20843'', ''21248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20844'', ''21249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20845'', ''21250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20846'', ''21251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20847'', ''21252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20848'', ''21253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20849'', ''21254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20850'', ''21255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20851'', ''21256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20852'', ''21257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20853'', ''21258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20854'', ''21259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20855'', ''21260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20856'', ''21261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20857'', ''21262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20858'', ''21263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20859'', ''21264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20860'', ''21265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20861'', ''21266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20862'', ''21267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20863'', ''21268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20864'', ''21269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20865'', ''21270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20866'', ''21271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20867'', ''21272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20868'', ''21273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20869'', ''21274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20870'', ''21275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20871'', ''21276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20872'', ''21277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20873'', ''21278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20874'', ''21279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20875'', ''21280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20876'', ''21281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20877'', ''21282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20878'', ''21283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20879'', ''21284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20880'', ''21285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20881'', ''21286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20882'', ''21287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20883'', ''21288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20884'', ''21289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20885'', ''21290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20886'', ''21291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20887'', ''21292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20888'', ''21293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20889'', ''21294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20890'', ''21295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20891'', ''21296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20892'', ''21297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20893'', ''21298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20894'', ''21299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20895'', ''21300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20896'', ''21301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20897'', ''21302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20898'', ''21303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20899'', ''21304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20900'', ''21305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20901'', ''21306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20902'', ''21307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20903'', ''21308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20904'', ''21309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20905'', ''21310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20906'', ''21311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20907'', ''21312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20908'', ''21313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20909'', ''21314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20910'', ''21315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20911'', ''21316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20912'', ''21317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20913'', ''21318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20914'', ''21319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20915'', ''21320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20916'', ''21321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20917'', ''21322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20918'', ''21323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20919'', ''21324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20920'', ''21325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20921'', ''21326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20922'', ''21327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20923'', ''21328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20924'', ''21329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20925'', ''21330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20926'', ''21331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20927'', ''21332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20928'', ''21333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20929'', ''21334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20930'', ''21335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20931'', ''21336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20932'', ''21337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20933'', ''21338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20934'', ''21339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20935'', ''21340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20936'', ''21341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20937'', ''21342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20938'', ''21343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20939'', ''21344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20940'', ''21345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20941'', ''21346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20942'', ''21347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20943'', ''21348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20944'', ''21349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20945'', ''21350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20946'', ''21351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20947'', ''21352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20948'', ''21353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20949'', ''21354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20950'', ''21355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20951'', ''21356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20952'', ''21357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20953'', ''21358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20954'', ''21359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20955'', ''21360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20956'', ''21361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20957'', ''21362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20958'', ''21363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20959'', ''21364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20960'', ''21365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20961'', ''21366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20962'', ''21367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20963'', ''21368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20964'', ''21369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20965'', ''21370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20966'', ''21371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20967'', ''21372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20968'', ''21373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20969'', ''21374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20970'', ''21375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20971'', ''21376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20972'', ''21377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20973'', ''21378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20974'', ''21379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20975'', ''21380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20976'', ''21381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20977'', ''21382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20978'', ''21383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20979'', ''21384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20980'', ''21385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20981'', ''21386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20982'', ''21387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20983'', ''21388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20984'', ''21389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20985'', ''21390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20986'', ''21391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20987'', ''21392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20988'', ''21393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20989'', ''21394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20990'', ''21395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20991'', ''21396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20992'', ''21397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20993'', ''21398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20994'', ''21399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20995'', ''21400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20996'', ''21401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20997'', ''21402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20998'', ''21403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''20999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20999'', ''21404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21000'', ''21405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21001'', ''21406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21002'', ''21407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21003'', ''21408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21004'', ''21409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21005'', ''21410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21006'', ''21411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21007'', ''21412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21008'', ''21413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21009'', ''21414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21010'', ''21415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21011'', ''21416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21012'', ''21417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21013'', ''21418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21014'', ''21419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21015'', ''21420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21016'', ''21421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21017'', ''21422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21018'', ''21423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21019'', ''21424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21020'', ''21425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21021'', ''21426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21022'', ''21427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21023'', ''21428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21024'', ''21429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21025'', ''21430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21026'', ''21431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21027'', ''21432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21028'', ''21433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21029'', ''21434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21030'', ''21435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21031'', ''21436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21032'', ''21437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21033'', ''21438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21034'', ''21439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21035'', ''21440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21036'', ''21441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21037'', ''21442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21038'', ''21443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21039'', ''21444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21040'', ''21445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21041'', ''21446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21042'', ''21447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21043'', ''21448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21044'', ''21449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21045'', ''21450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21046'', ''21451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21047'', ''21452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21048'', ''21453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21049'', ''21454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21050'', ''21455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21051'', ''21456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21052'', ''21457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21053'', ''21458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21054'', ''21459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21055'', ''21460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21056'', ''21461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21057'', ''21462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21058'', ''21463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21059'', ''21464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21060'', ''21465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21061'', ''21466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21062'', ''21467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21063'', ''21468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21064'', ''21469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21065'', ''21470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21066'', ''21471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21067'', ''21472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21068'', ''21473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21069'', ''21474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21070'', ''21475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21071'', ''21476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21072'', ''21477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21073'', ''21478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21074'', ''21479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21075'', ''21480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21076'', ''21481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21077'', ''21482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21078'', ''21483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21079'', ''21484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21080'', ''21485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21081'', ''21486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21082'', ''21487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21083'', ''21488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21084'', ''21489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21085'', ''21490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21086'', ''21491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21087'', ''21492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21088'', ''21493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21089'', ''21494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21090'', ''21495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21091'', ''21496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21092'', ''21497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21093'', ''21498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21094'', ''21499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21095'', ''21500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21096'', ''21501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21097'', ''21502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21098'', ''21503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21099'', ''21504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21100'', ''21505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21101'', ''21506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21102'', ''21507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21103'', ''21508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21104'', ''21509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21105'', ''21510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21106'', ''21511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21107'', ''21512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21108'', ''21513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21109'', ''21514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21110'', ''21515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21111'', ''21516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21112'', ''21517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21113'', ''21518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21114'', ''21519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21115'', ''21520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21116'', ''21521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21117'', ''21522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21118'', ''21523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21119'', ''21524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21120'', ''21525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21121'', ''21526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21122'', ''21527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21123'', ''21528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21124'', ''21529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21125'', ''21530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21126'', ''21531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21127'', ''21532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21128'', ''21533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21129'', ''21534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21130'', ''21535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21131'', ''21536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21132'', ''21537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21133'', ''21538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21134'', ''21539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21135'', ''21540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21136'', ''21541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21137'', ''21542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21138'', ''21543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21139'', ''21544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21140'', ''21545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21141'', ''21546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21142'', ''21547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21143'', ''21548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21144'', ''21549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21145'', ''21550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21146'', ''21551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21147'', ''21552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21148'', ''21553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21149'', ''21554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21150'', ''21555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21151'', ''21556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21152'', ''21557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21153'', ''21558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21154'', ''21559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21155'', ''21560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21156'', ''21561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21157'', ''21562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21158'', ''21563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21159'', ''21564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21160'', ''21565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21161'', ''21566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21162'', ''21567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21163'', ''21568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21164'', ''21569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21165'', ''21570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21166'', ''21571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21167'', ''21572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21168'', ''21573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21169'', ''21574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21170'', ''21575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21171'', ''21576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21172'', ''21577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21173'', ''21578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21174'', ''21579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21175'', ''21580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21176'', ''21581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21177'', ''21582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21178'', ''21583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21179'', ''21584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21180'', ''21585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21181'', ''21586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21182'', ''21587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21183'', ''21588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21184'', ''21589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21185'', ''21590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21186'', ''21591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21187'', ''21592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21188'', ''21593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21189'', ''21594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21190'', ''21595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21191'', ''21596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21192'', ''21597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21193'', ''21598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21194'', ''21599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21195'', ''21600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21196'', ''21601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21197'', ''21602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21198'', ''21603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21199'', ''21604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21200'', ''21605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21201'', ''21606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21202'', ''21607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21203'', ''21608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21204'', ''21609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21205'', ''21610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21206'', ''21611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21207'', ''21612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21208'', ''21613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21209'', ''21614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21210'', ''21615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21211'', ''21616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21212'', ''21617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21213'', ''21618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21214'', ''21619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21215'', ''21620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21216'', ''21621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21217'', ''21622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21218'', ''21623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21219'', ''21624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21220'', ''21625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21221'', ''21626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21222'', ''21627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21223'', ''21628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21224'', ''21629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21225'', ''21630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21226'', ''21631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21227'', ''21632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21228'', ''21633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21229'', ''21634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21230'', ''21635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21231'', ''21636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21232'', ''21637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21233'', ''21638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21234'', ''21639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21235'', ''21640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21236'', ''21641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21237'', ''21642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21238'', ''21643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21239'', ''21644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21240'', ''21645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21241'', ''21646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21242'', ''21647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21243'', ''21648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21244'', ''21649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21245'', ''21650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21246'', ''21651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21247'', ''21652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21248'', ''21653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21249'', ''21654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21250'', ''21655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21251'', ''21656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21252'', ''21657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21253'', ''21658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21254'', ''21659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21255'', ''21660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21256'', ''21661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21257'', ''21662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21258'', ''21663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21259'', ''21664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21260'', ''21665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21261'', ''21666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21262'', ''21667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21263'', ''21668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21264'', ''21669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21265'', ''21670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21266'', ''21671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21267'', ''21672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21268'', ''21673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21269'', ''21674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21270'', ''21675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21271'', ''21676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21272'', ''21677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21273'', ''21678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21274'', ''21679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21275'', ''21680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21276'', ''21681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21277'', ''21682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21278'', ''21683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21279'', ''21684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21280'', ''21685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21281'', ''21686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21282'', ''21687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21283'', ''21688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21284'', ''21689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21285'', ''21690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21286'', ''21691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21287'', ''21692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21288'', ''21693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21289'', ''21694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21290'', ''21695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21291'', ''21696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21292'', ''21697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21293'', ''21698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21294'', ''21699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21295'', ''21700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21296'', ''21701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21297'', ''21702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21298'', ''21703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21299'', ''21704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21300'', ''21705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21301'', ''21706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21302'', ''21707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21303'', ''21708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21304'', ''21709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21305'', ''21710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21306'', ''21711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21307'', ''21712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21308'', ''21713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21309'', ''21714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21310'', ''21715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21311'', ''21716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21312'', ''21717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21313'', ''21718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21314'', ''21719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21315'', ''21720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21316'', ''21721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21317'', ''21722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21318'', ''21723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21319'', ''21724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21320'', ''21725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21321'', ''21726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21322'', ''21727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21323'', ''21728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21324'', ''21729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21325'', ''21730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21326'', ''21731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21327'', ''21732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21328'', ''21733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21329'', ''21734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21330'', ''21735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21331'', ''21736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21332'', ''21737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21333'', ''21738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21334'', ''21739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21335'', ''21740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21336'', ''21741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21337'', ''21742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21338'', ''21743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21339'', ''21744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21340'', ''21745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21341'', ''21746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21342'', ''21747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21343'', ''21748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21344'', ''21749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21345'', ''21750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21346'', ''21751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21347'', ''21752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21348'', ''21753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21349'', ''21754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21350'', ''21755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21351'', ''21756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21352'', ''21757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21353'', ''21758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21354'', ''21759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21355'', ''21760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21356'', ''21761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21357'', ''21762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21358'', ''21763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21359'', ''21764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21360'', ''21765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21361'', ''21766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21362'', ''21767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21363'', ''21768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21364'', ''21769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21365'', ''21770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21366'', ''21771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21367'', ''21772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21368'', ''21773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21369'', ''21774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21370'', ''21775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21371'', ''21776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21372'', ''21777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21373'', ''21778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21374'', ''21779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21375'', ''21780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21376'', ''21781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21377'', ''21782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21378'', ''21783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21379'', ''21784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21380'', ''21785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21381'', ''21786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21382'', ''21787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21383'', ''21788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21384'', ''21789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21385'', ''21790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21386'', ''21791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21387'', ''21792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21388'', ''21793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21389'', ''21794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21390'', ''21795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21391'', ''21796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21392'', ''21797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21393'', ''21798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21394'', ''21799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21395'', ''21800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21396'', ''21801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21397'', ''21802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21398'', ''21803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21399'', ''21804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21400'', ''21805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21401'', ''21806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21402'', ''21807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21403'', ''21808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21404'', ''21809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21405'', ''21810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21406'', ''21811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''21812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21408'', ''21813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21409'', ''21814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21410'', ''21815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21411'', ''21816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21412'', ''21817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21413'', ''21818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21414'', ''21819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21415'', ''21820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21416'', ''21821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21417'', ''21822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21418'', ''21823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21419'', ''21824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21420'', ''21825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21421'', ''21826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21422'', ''21827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21423'', ''21828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21424'', ''21829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21425'', ''21830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21426'', ''21831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21427'', ''21832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21428'', ''21833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21429'', ''21834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21430'', ''21835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21431'', ''21836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21432'', ''21837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21433'', ''21838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21434'', ''21839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21435'', ''21840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21436'', ''21841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21437'', ''21842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21438'', ''21843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21439'', ''21844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21440'', ''21845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21441'', ''21846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21442'', ''21847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21443'', ''21848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21444'', ''21849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21445'', ''21850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21446'', ''21851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21447'', ''21852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21448'', ''21853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21449'', ''21854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21450'', ''21855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21451'', ''21856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21452'', ''21857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21453'', ''21858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21454'', ''21859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21455'', ''21860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21456'', ''21861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21457'', ''21862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21458'', ''21863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21459'', ''21864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21460'', ''21865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21461'', ''21866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21462'', ''21867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21463'', ''21868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21464'', ''21869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21465'', ''21870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21466'', ''21871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21467'', ''21872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21468'', ''21873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21469'', ''21874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21470'', ''21875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21471'', ''21876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21472'', ''21877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21473'', ''21878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21474'', ''21879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21475'', ''21880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21476'', ''21881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21477'', ''21882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21478'', ''21883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21479'', ''21884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21480'', ''21885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21481'', ''21886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21482'', ''21887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21483'', ''21888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21484'', ''21889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21485'', ''21890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21486'', ''21891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21487'', ''21892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21488'', ''21893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21489'', ''21894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21490'', ''21895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21491'', ''21896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21492'', ''21897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21493'', ''21898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21494'', ''21899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21495'', ''21900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21496'', ''21901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21497'', ''21902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21498'', ''21903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21499'', ''21904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21500'', ''21905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21501'', ''21906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21502'', ''21907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21503'', ''21908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21504'', ''21909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21505'', ''21910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21506'', ''21911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21507'', ''21912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21508'', ''21913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21509'', ''21914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21510'', ''21915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21511'', ''21916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21512'', ''21917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21513'', ''21918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21514'', ''21919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21515'', ''21920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21516'', ''21921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21517'', ''21922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21518'', ''21923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21519'', ''21924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21520'', ''21925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21521'', ''21926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21522'', ''21927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21523'', ''21928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21524'', ''21929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21525'', ''21930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21526'', ''21931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21527'', ''21932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21528'', ''21933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21529'', ''21934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21530'', ''21935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21531'', ''21936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21532'', ''21937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21533'', ''21938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21534'', ''21939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21535'', ''21940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21536'', ''21941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21537'', ''21942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21538'', ''21943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21539'', ''21944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21540'', ''21945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21541'', ''21946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21542'', ''21947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21543'', ''21948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21544'', ''21949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21545'', ''21950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21546'', ''21951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21547'', ''21952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21548'', ''21953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21549'', ''21954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21550'', ''21955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21551'', ''21956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21552'', ''21957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21553'', ''21958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21554'', ''21959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21555'', ''21960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21556'', ''21961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''21962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21558'', ''21963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21559'', ''21964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21560'', ''21965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21561'', ''21966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21562'', ''21967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21563'', ''21968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21564'', ''21969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21565'', ''21970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21566'', ''21971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21567'', ''21972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21568'', ''21973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21569'', ''21974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21570'', ''21975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21571'', ''21976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21572'', ''21977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21573'', ''21978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21574'', ''21979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21575'', ''21980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21576'', ''21981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21577'', ''21982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21578'', ''21983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21579'', ''21984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21580'', ''21985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21581'', ''21986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21582'', ''21987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21583'', ''21988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21584'', ''21989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21585'', ''21990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21586'', ''21991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21587'', ''21992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21588'', ''21993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21589'', ''21994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21590'', ''21995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21591'', ''21996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21592'', ''21997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21593'', ''21998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21594'', ''21999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21595'', ''22000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21596'', ''22001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21597'', ''22002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21598'', ''22003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21599'', ''22004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21600'', ''22005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21601'', ''22006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21602'', ''22007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21603'', ''22008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21604'', ''22009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21605'', ''22010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21606'', ''22011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21607'', ''22012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21608'', ''22013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21609'', ''22014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21610'', ''22015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21611'', ''22016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21612'', ''22017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21613'', ''22018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21614'', ''22019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21615'', ''22020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21616'', ''22021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21617'', ''22022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21618'', ''22023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21619'', ''22024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21620'', ''22025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21621'', ''22026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21622'', ''22027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21623'', ''22028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21624'', ''22029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21625'', ''22030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21626'', ''22031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21627'', ''22032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21628'', ''22033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21629'', ''22034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21630'', ''22035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21631'', ''22036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21632'', ''22037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21633'', ''22038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21634'', ''22039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21635'', ''22040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21636'', ''22041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21637'', ''22042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21638'', ''22043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21639'', ''22044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21640'', ''22045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21641'', ''22046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21642'', ''22047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21643'', ''22048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21644'', ''22049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21645'', ''22050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21646'', ''22051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21647'', ''22052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21648'', ''22053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21649'', ''22054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21650'', ''22055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21651'', ''22056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21652'', ''22057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21653'', ''22058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21654'', ''22059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21655'', ''22060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21656'', ''22061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21657'', ''22062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21658'', ''22063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21659'', ''22064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21660'', ''22065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21661'', ''22066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21662'', ''22067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21663'', ''22068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21664'', ''22069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21665'', ''22070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21666'', ''22071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21667'', ''22072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21668'', ''22073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21669'', ''22074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21670'', ''22075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21671'', ''22076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21672'', ''22077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21673'', ''22078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21674'', ''22079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21675'', ''22080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21676'', ''22081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21677'', ''22082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21678'', ''22083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21679'', ''22084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21680'', ''22085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21681'', ''22086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21682'', ''22087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21683'', ''22088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21684'', ''22089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21685'', ''22090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21686'', ''22091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21687'', ''22092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21688'', ''22093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21689'', ''22094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21690'', ''22095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21691'', ''22096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21692'', ''22097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21693'', ''22098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21694'', ''22099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21695'', ''22100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21696'', ''22101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21697'', ''22102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21698'', ''22103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21699'', ''22104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21700'', ''22105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21701'', ''22106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21702'', ''22107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21703'', ''22108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21704'', ''22109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21705'', ''22110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21706'', ''22111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21707'', ''22112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21708'', ''22113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21709'', ''22114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21710'', ''22115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21711'', ''22116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21712'', ''22117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21713'', ''22118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21714'', ''22119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21715'', ''22120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21716'', ''22121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21717'', ''22122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21718'', ''22123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21719'', ''22124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21720'', ''22125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21721'', ''22126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21722'', ''22127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21723'', ''22128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21724'', ''22129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21725'', ''22130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21726'', ''22131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21727'', ''22132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21728'', ''22133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21729'', ''22134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21730'', ''22135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21731'', ''22136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21732'', ''22137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21733'', ''22138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21734'', ''22139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21735'', ''22140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21736'', ''22141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21737'', ''22142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21738'', ''22143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21739'', ''22144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21740'', ''22145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21741'', ''22146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21742'', ''22147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21743'', ''22148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21744'', ''22149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21745'', ''22150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21746'', ''22151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21747'', ''22152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21748'', ''22153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21749'', ''22154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21750'', ''22155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21751'', ''22156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21752'', ''22157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21753'', ''22158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21754'', ''22159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21755'', ''22160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21756'', ''22161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21757'', ''22162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21758'', ''22163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21759'', ''22164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21760'', ''22165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21761'', ''22166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21762'', ''22167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21763'', ''22168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21764'', ''22169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21765'', ''22170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21766'', ''22171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21767'', ''22172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21768'', ''22173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21769'', ''22174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21770'', ''22175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21771'', ''22176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21772'', ''22177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21773'', ''22178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21774'', ''22179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21775'', ''22180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21776'', ''22181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21777'', ''22182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21778'', ''22183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21779'', ''22184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21780'', ''22185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21781'', ''22186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21782'', ''22187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21783'', ''22188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21784'', ''22189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21785'', ''22190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21786'', ''22191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21787'', ''22192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21788'', ''22193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21789'', ''22194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21790'', ''22195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21791'', ''22196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21792'', ''22197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21793'', ''22198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21794'', ''22199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21795'', ''22200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21796'', ''22201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21797'', ''22202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21798'', ''22203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21799'', ''22204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21800'', ''22205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21801'', ''22206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21802'', ''22207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21803'', ''22208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21804'', ''22209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21805'', ''22210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21806'', ''22211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21807'', ''22212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21808'', ''22213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21809'', ''22214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21810'', ''22215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21811'', ''22216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21812'', ''22217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21813'', ''22218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21814'', ''22219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21815'', ''22220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21816'', ''22221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21817'', ''22222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21818'', ''22223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21819'', ''22224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21820'', ''22225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21821'', ''22226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21822'', ''22227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21823'', ''22228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21824'', ''22229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21825'', ''22230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21826'', ''22231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21827'', ''22232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21828'', ''22233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21829'', ''22234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21830'', ''22235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21831'', ''22236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21832'', ''22237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21833'', ''22238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21834'', ''22239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21835'', ''22240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21836'', ''22241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21837'', ''22242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21838'', ''22243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21839'', ''22244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21840'', ''22245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21841'', ''22246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21842'', ''22247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21843'', ''22248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21844'', ''22249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21845'', ''22250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21846'', ''22251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21847'', ''22252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21848'', ''22253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21849'', ''22254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21850'', ''22255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21851'', ''22256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21852'', ''22257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21853'', ''22258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21854'', ''22259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21855'', ''22260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21856'', ''22261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21857'', ''22262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21858'', ''22263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21859'', ''22264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21860'', ''22265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21861'', ''22266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21862'', ''22267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21863'', ''22268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21864'', ''22269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21865'', ''22270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21866'', ''22271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21867'', ''22272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21868'', ''22273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21869'', ''22274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21870'', ''22275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21871'', ''22276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21872'', ''22277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21873'', ''22278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21874'', ''22279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21875'', ''22280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21876'', ''22281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21877'', ''22282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21878'', ''22283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21879'', ''22284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21880'', ''22285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21881'', ''22286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21882'', ''22287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21883'', ''22288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21884'', ''22289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21885'', ''22290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21886'', ''22291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21887'', ''22292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21888'', ''22293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21889'', ''22294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21890'', ''22295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21891'', ''22296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21892'', ''22297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21893'', ''22298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21894'', ''22299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21895'', ''22300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21896'', ''22301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21897'', ''22302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21898'', ''22303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21899'', ''22304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21900'', ''22305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21901'', ''22306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21902'', ''22307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21903'', ''22308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21904'', ''22309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21905'', ''22310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21906'', ''22311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21907'', ''22312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21908'', ''22313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21909'', ''22314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21910'', ''22315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21911'', ''22316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21912'', ''22317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21913'', ''22318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21914'', ''22319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21915'', ''22320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21916'', ''22321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21917'', ''22322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21918'', ''22323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21919'', ''22324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21920'', ''22325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21921'', ''22326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21922'', ''22327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21923'', ''22328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21924'', ''22329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21925'', ''22330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21926'', ''22331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21927'', ''22332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21928'', ''22333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21929'', ''22334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21930'', ''22335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21931'', ''22336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21932'', ''22337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21933'', ''22338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21934'', ''22339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21935'', ''22340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21936'', ''22341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21937'', ''22342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21938'', ''22343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21939'', ''22344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21940'', ''22345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21941'', ''22346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21942'', ''22347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21943'', ''22348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21944'', ''22349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21945'', ''22350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21946'', ''22351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21947'', ''22352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21948'', ''22353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21949'', ''22354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21950'', ''22355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21951'', ''22356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21952'', ''22357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21953'', ''22358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21954'', ''22359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21955'', ''22360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21956'', ''22361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21957'', ''22362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21958'', ''22363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21959'', ''22364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21960'', ''22365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21961'', ''22366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21962'', ''22367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21963'', ''22368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21964'', ''22369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21965'', ''22370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21966'', ''22371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21967'', ''22372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21968'', ''22373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21969'', ''22374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21970'', ''22375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21971'', ''22376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21972'', ''22377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21973'', ''22378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21974'', ''22379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21975'', ''22380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21976'', ''22381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21977'', ''22382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21978'', ''22383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21979'', ''22384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21980'', ''22385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21981'', ''22386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21982'', ''22387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21983'', ''22388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21984'', ''22389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21985'', ''22390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21986'', ''22391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21987'', ''22392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21988'', ''22393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21989'', ''22394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21990'', ''22395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21991'', ''22396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21992'', ''22397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21993'', ''22398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21994'', ''22399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21995'', ''22400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21996'', ''22401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21997'', ''22402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21998'', ''22403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''21999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21999'', ''22404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22000'', ''22405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22001'', ''22406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22002'', ''22407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22003'', ''22408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22004'', ''22409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22005'', ''22410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22006'', ''22411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22007'', ''22412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22008'', ''22413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22009'', ''22414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22010'', ''22415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22011'', ''22416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22012'', ''22417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22013'', ''22418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22014'', ''22419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22015'', ''22420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22016'', ''22421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22017'', ''22422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22018'', ''22423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22019'', ''22424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22020'', ''22425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22021'', ''22426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22022'', ''22427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22023'', ''22428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22024'', ''22429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22025'', ''22430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22026'', ''22431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22027'', ''22432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22028'', ''22433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22029'', ''22434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22030'', ''22435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22031'', ''22436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22032'', ''22437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22033'', ''22438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22034'', ''22439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22035'', ''22440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22036'', ''22441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22037'', ''22442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22038'', ''22443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22039'', ''22444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22040'', ''22445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22041'', ''22446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22042'', ''22447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22043'', ''22448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22044'', ''22449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22045'', ''22450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22046'', ''22451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22047'', ''22452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22048'', ''22453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22049'', ''22454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22050'', ''22455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22051'', ''22456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22052'', ''22457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22053'', ''22458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22054'', ''22459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22055'', ''22460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22056'', ''22461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22057'', ''22462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22058'', ''22463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22059'', ''22464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22060'', ''22465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22061'', ''22466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22062'', ''22467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22063'', ''22468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22064'', ''22469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22065'', ''22470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22066'', ''22471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22067'', ''22472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22068'', ''22473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22069'', ''22474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22070'', ''22475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22071'', ''22476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22072'', ''22477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22073'', ''22478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22074'', ''22479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22075'', ''22480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22076'', ''22481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22077'', ''22482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22078'', ''22483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22079'', ''22484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22080'', ''22485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22081'', ''22486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22082'', ''22487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22083'', ''22488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22084'', ''22489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22085'', ''22490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22086'', ''22491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22087'', ''22492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22088'', ''22493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22089'', ''22494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22090'', ''22495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22091'', ''22496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22092'', ''22497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22093'', ''22498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22094'', ''22499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22095'', ''22500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22096'', ''22501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22097'', ''22502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22098'', ''22503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22099'', ''22504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22100'', ''22505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22101'', ''22506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22102'', ''22507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22103'', ''22508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22104'', ''22509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22105'', ''22510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22106'', ''22511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22107'', ''22512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22108'', ''22513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22109'', ''22514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22110'', ''22515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22111'', ''22516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22112'', ''22517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22113'', ''22518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22114'', ''22519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22115'', ''22520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22116'', ''22521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22117'', ''22522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22118'', ''22523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22119'', ''22524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22120'', ''22525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22121'', ''22526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22122'', ''22527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22123'', ''22528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22124'', ''22529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22125'', ''22530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22126'', ''22531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22127'', ''22532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22128'', ''22533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22129'', ''22534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22130'', ''22535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22131'', ''22536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22132'', ''22537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22133'', ''22538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22134'', ''22539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22135'', ''22540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22136'', ''22541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22137'', ''22542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22138'', ''22543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22139'', ''22544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22140'', ''22545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22141'', ''22546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22142'', ''22547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22143'', ''22548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22144'', ''22549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22145'', ''22550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22146'', ''22551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22147'', ''22552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22148'', ''22553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22149'', ''22554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22150'', ''22555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22151'', ''22556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22152'', ''22557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22153'', ''22558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22154'', ''22559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22155'', ''22560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22156'', ''22561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22157'', ''22562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22158'', ''22563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22159'', ''22564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22160'', ''22565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22161'', ''22566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22162'', ''22567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22163'', ''22568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22164'', ''22569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22165'', ''22570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22166'', ''22571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22167'', ''22572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22168'', ''22573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22169'', ''22574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22170'', ''22575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22171'', ''22576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22172'', ''22577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22173'', ''22578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22174'', ''22579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22175'', ''22580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22176'', ''22581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22177'', ''22582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22178'', ''22583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22179'', ''22584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22180'', ''22585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22181'', ''22586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22182'', ''22587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22183'', ''22588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22184'', ''22589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22185'', ''22590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22186'', ''22591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22187'', ''22592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22188'', ''22593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22189'', ''22594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22190'', ''22595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22191'', ''22596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22192'', ''22597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22193'', ''22598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22194'', ''22599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22195'', ''22600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22196'', ''22601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22197'', ''22602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22198'', ''22603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22199'', ''22604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22200'', ''22605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22201'', ''22606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22202'', ''22607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22203'', ''22608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22204'', ''22609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22205'', ''22610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22206'', ''22611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22207'', ''22612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22208'', ''22613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22209'', ''22614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22210'', ''22615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22211'', ''22616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22212'', ''22617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22213'', ''22618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22214'', ''22619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22215'', ''22620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22216'', ''22621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22217'', ''22622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22218'', ''22623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22219'', ''22624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22220'', ''22625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22221'', ''22626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22222'', ''22627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22223'', ''22628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22224'', ''22629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22225'', ''22630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22226'', ''22631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22227'', ''22632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22228'', ''22633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22229'', ''22634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22230'', ''22635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22231'', ''22636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22232'', ''22637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22233'', ''22638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22234'', ''22639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22235'', ''22640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22236'', ''22641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22237'', ''22642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22238'', ''22643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22239'', ''22644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22240'', ''22645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22241'', ''22646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22242'', ''22647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22243'', ''22648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22244'', ''22649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22245'', ''22650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22246'', ''22651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22247'', ''22652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22248'', ''22653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22249'', ''22654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22250'', ''22655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22251'', ''22656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22252'', ''22657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22253'', ''22658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22254'', ''22659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22255'', ''22660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22256'', ''22661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22257'', ''22662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22258'', ''22663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22259'', ''22664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22260'', ''22665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22261'', ''22666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22262'', ''22667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22263'', ''22668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22264'', ''22669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22265'', ''22670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22266'', ''22671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22267'', ''22672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22268'', ''22673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22269'', ''22674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22270'', ''22675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22271'', ''22676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22272'', ''22677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22273'', ''22678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22274'', ''22679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22275'', ''22680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22276'', ''22681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22277'', ''22682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22278'', ''22683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22279'', ''22684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22280'', ''22685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22281'', ''22686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22282'', ''22687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22283'', ''22688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22284'', ''22689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22285'', ''22690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22286'', ''22691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22287'', ''22692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22288'', ''22693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22289'', ''22694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22290'', ''22695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22291'', ''22696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22292'', ''22697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22293'', ''22698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22294'', ''22699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22295'', ''22700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22296'', ''22701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22297'', ''22702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22298'', ''22703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22299'', ''22704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22300'', ''22705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22301'', ''22706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22302'', ''22707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22303'', ''22708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22304'', ''22709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22305'', ''22710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22306'', ''22711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22307'', ''22712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22308'', ''22713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22309'', ''22714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22310'', ''22715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22311'', ''22716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22312'', ''22717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22313'', ''22718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22314'', ''22719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22315'', ''22720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22316'', ''22721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22317'', ''22722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22318'', ''22723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22319'', ''22724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22320'', ''22725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22321'', ''22726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22322'', ''22727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22323'', ''22728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22324'', ''22729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22325'', ''22730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22326'', ''22731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22327'', ''22732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22328'', ''22733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22329'', ''22734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22330'', ''22735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22331'', ''22736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22332'', ''22737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22333'', ''22738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22334'', ''22739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22335'', ''22740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22336'', ''22741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22337'', ''22742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22338'', ''22743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22339'', ''22744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22340'', ''22745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22341'', ''22746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22342'', ''22747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22343'', ''22748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22344'', ''22749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22345'', ''22750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22346'', ''22751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22347'', ''22752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22348'', ''22753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22349'', ''22754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22350'', ''22755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22351'', ''22756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22352'', ''22757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22353'', ''22758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22354'', ''22759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22355'', ''22760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22356'', ''22761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22357'', ''22762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22358'', ''22763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22359'', ''22764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22360'', ''22765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22361'', ''22766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22362'', ''22767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22363'', ''22768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22364'', ''22769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22365'', ''22770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22366'', ''22771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22367'', ''22772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22368'', ''22773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22369'', ''22774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22370'', ''22775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22371'', ''22776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22372'', ''22777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22373'', ''22778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22374'', ''22779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22375'', ''22780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22376'', ''22781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22377'', ''22782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22378'', ''22783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22379'', ''22784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22380'', ''22785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22381'', ''22786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22382'', ''22787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22383'', ''22788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22384'', ''22789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22385'', ''22790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22386'', ''22791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22387'', ''22792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22388'', ''22793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22389'', ''22794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22390'', ''22795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22391'', ''22796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22392'', ''22797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22393'', ''22798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22394'', ''22799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22395'', ''22800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22396'', ''22801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22397'', ''22802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22398'', ''22803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22399'', ''22804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22400'', ''22805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22401'', ''22806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22402'', ''22807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22403'', ''22808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22404'', ''22809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22405'', ''22810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22406'', ''22811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22407'', ''22812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22408'', ''22813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22409'', ''22814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22410'', ''22815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22411'', ''22816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22412'', ''22817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22413'', ''22818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22414'', ''22819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22415'', ''22820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22416'', ''22821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22417'', ''22822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22418'', ''22823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22419'', ''22824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22420'', ''22825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22421'', ''22826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22422'', ''22827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22423'', ''22828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22424'', ''22829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22425'', ''22830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22426'', ''22831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22427'', ''22832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22428'', ''22833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22429'', ''22834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22430'', ''22835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22431'', ''22836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22432'', ''22837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22433'', ''22838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22434'', ''22839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22435'', ''22840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22436'', ''22841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22437'', ''22842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22438'', ''22843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22439'', ''22844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22440'', ''22845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22441'', ''22846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22442'', ''22847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22443'', ''22848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22444'', ''22849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22445'', ''22850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22446'', ''22851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22447'', ''22852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22448'', ''22853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22449'', ''22854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22450'', ''22855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22451'', ''22856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22452'', ''22857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22453'', ''22858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22454'', ''22859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22455'', ''22860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22456'', ''22861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22457'', ''22862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22458'', ''22863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22459'', ''22864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22460'', ''22865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22461'', ''22866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22462'', ''22867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22463'', ''22868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22464'', ''22869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22465'', ''22870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22466'', ''22871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22467'', ''22872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22468'', ''22873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22469'', ''22874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22470'', ''22875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22471'', ''22876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22472'', ''22877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22473'', ''22878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22474'', ''22879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22475'', ''22880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22476'', ''22881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22477'', ''22882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22478'', ''22883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22479'', ''22884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22480'', ''22885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22481'', ''22886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22482'', ''22887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22483'', ''22888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22484'', ''22889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22485'', ''22890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22486'', ''22891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22487'', ''22892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22488'', ''22893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22489'', ''22894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22490'', ''22895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22491'', ''22896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22492'', ''22897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22493'', ''22898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22494'', ''22899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22495'', ''22900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22496'', ''22901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22497'', ''22902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22498'', ''22903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22499'', ''22904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22500'', ''22905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22501'', ''22906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22502'', ''22907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22503'', ''22908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22504'', ''22909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22505'', ''22910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22506'', ''22911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22507'', ''22912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22508'', ''22913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22509'', ''22914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22510'', ''22915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22511'', ''22916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22512'', ''22917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22513'', ''22918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22514'', ''22919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22515'', ''22920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22516'', ''22921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22517'', ''22922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22518'', ''22923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22519'', ''22924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22520'', ''22925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22521'', ''22926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22522'', ''22927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22523'', ''22928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22524'', ''22929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22525'', ''22930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22526'', ''22931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22527'', ''22932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22528'', ''22933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22529'', ''22934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22530'', ''22935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22531'', ''22936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22532'', ''22937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22533'', ''22938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22534'', ''22939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22535'', ''22940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22536'', ''22941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22537'', ''22942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22538'', ''22943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22539'', ''22944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22540'', ''22945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22541'', ''22946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22542'', ''22947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22543'', ''22948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22544'', ''22949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22545'', ''22950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22546'', ''22951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22547'', ''22952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22548'', ''22953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22549'', ''22954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22550'', ''22955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22551'', ''22956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22552'', ''22957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22553'', ''22958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22554'', ''22959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22555'', ''22960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22556'', ''22961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22557'', ''22962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22558'', ''22963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22559'', ''22964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22560'', ''22965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22561'', ''22966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22562'', ''22967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22563'', ''22968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22564'', ''22969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22565'', ''22970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22566'', ''22971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22567'', ''22972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22568'', ''22973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22569'', ''22974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22570'', ''22975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22571'', ''22976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22572'', ''22977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22573'', ''22978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22574'', ''22979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22575'', ''22980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22576'', ''22981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22577'', ''22982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22578'', ''22983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22579'', ''22984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22580'', ''22985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22581'', ''22986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22582'', ''22987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22583'', ''22988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22584'', ''22989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22585'', ''22990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22586'', ''22991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22587'', ''22992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22588'', ''22993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22589'', ''22994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22590'', ''22995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22591'', ''22996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22592'', ''22997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22593'', ''22998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22594'', ''22999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22595'', ''23000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22596'', ''23001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22597'', ''23002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22598'', ''23003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22599'', ''23004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22600'', ''23005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22601'', ''23006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22602'', ''23007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22603'', ''23008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22604'', ''23009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22605'', ''23010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22606'', ''23011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22607'', ''23012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22608'', ''23013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22609'', ''23014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22610'', ''23015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22611'', ''23016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22612'', ''23017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22613'', ''23018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22614'', ''23019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22615'', ''23020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22616'', ''23021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22617'', ''23022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22618'', ''23023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22619'', ''23024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22620'', ''23025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22621'', ''23026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22622'', ''23027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22623'', ''23028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22624'', ''23029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22625'', ''23030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22626'', ''23031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22627'', ''23032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22628'', ''23033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22629'', ''23034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22630'', ''23035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22631'', ''23036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22632'', ''23037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22633'', ''23038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22634'', ''23039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22635'', ''23040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22636'', ''23041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22637'', ''23042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22638'', ''23043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22639'', ''23044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22640'', ''23045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22641'', ''23046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22642'', ''23047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22643'', ''23048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22644'', ''23049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22645'', ''23050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22646'', ''23051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22647'', ''23052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22648'', ''23053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22649'', ''23054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22650'', ''23055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22651'', ''23056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22652'', ''23057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22653'', ''23058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22654'', ''23059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22655'', ''23060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22656'', ''23061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22657'', ''23062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22658'', ''23063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22659'', ''23064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22660'', ''23065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22661'', ''23066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22662'', ''23067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22663'', ''23068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22664'', ''23069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22665'', ''23070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22666'', ''23071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22667'', ''23072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22668'', ''23073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22669'', ''23074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22670'', ''23075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22671'', ''23076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22672'', ''23077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22673'', ''23078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22674'', ''23079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22675'', ''23080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22676'', ''23081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22677'', ''23082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22678'', ''23083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22679'', ''23084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22680'', ''23085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22681'', ''23086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22682'', ''23087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22683'', ''23088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22684'', ''23089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22685'', ''23090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22686'', ''23091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22687'', ''23092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22688'', ''23093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22689'', ''23094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22690'', ''23095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22691'', ''23096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22692'', ''23097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22693'', ''23098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22694'', ''23099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22695'', ''23100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22696'', ''23101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22697'', ''23102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22698'', ''23103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22699'', ''23104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22700'', ''23105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22701'', ''23106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22702'', ''23107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22703'', ''23108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22704'', ''23109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22705'', ''23110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22706'', ''23111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22707'', ''23112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22708'', ''23113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22709'', ''23114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22710'', ''23115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22711'', ''23116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22712'', ''23117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22713'', ''23118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22714'', ''23119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22715'', ''23120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22716'', ''23121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22717'', ''23122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22718'', ''23123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22719'', ''23124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22720'', ''23125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22721'', ''23126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22722'', ''23127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22723'', ''23128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22724'', ''23129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22725'', ''23130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22726'', ''23131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22727'', ''23132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22728'', ''23133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22729'', ''23134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22730'', ''23135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22731'', ''23136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22732'', ''23137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22733'', ''23138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22734'', ''23139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22735'', ''23140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22736'', ''23141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22737'', ''23142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22738'', ''23143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22739'', ''23144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22740'', ''23145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22741'', ''23146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22742'', ''23147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22743'', ''23148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22744'', ''23149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22745'', ''23150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22746'', ''23151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22747'', ''23152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22748'', ''23153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22749'', ''23154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22750'', ''23155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22751'', ''23156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22752'', ''23157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22753'', ''23158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22754'', ''23159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22755'', ''23160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22756'', ''23161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22757'', ''23162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22758'', ''23163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22759'', ''23164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22760'', ''23165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22761'', ''23166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22762'', ''23167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22763'', ''23168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22764'', ''23169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22765'', ''23170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22766'', ''23171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22767'', ''23172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22768'', ''23173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22769'', ''23174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22770'', ''23175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22771'', ''23176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22772'', ''23177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22773'', ''23178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22774'', ''23179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22775'', ''23180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22776'', ''23181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22777'', ''23182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22778'', ''23183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22779'', ''23184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22780'', ''23185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22781'', ''23186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22782'', ''23187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22783'', ''23188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22784'', ''23189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22785'', ''23190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22786'', ''23191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22787'', ''23192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22788'', ''23193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22789'', ''23194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22790'', ''23195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22791'', ''23196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22792'', ''23197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22793'', ''23198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22794'', ''23199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22795'', ''23200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22796'', ''23201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22797'', ''23202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22798'', ''23203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22799'', ''23204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22800'', ''23205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22801'', ''23206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22802'', ''23207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22803'', ''23208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22804'', ''23209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22805'', ''23210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22806'', ''23211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22807'', ''23212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22808'', ''23213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22809'', ''23214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22810'', ''23215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22811'', ''23216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22812'', ''23217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22813'', ''23218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22814'', ''23219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22815'', ''23220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22816'', ''23221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22817'', ''23222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22818'', ''23223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22819'', ''23224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22820'', ''23225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22821'', ''23226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22822'', ''23227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22823'', ''23228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22824'', ''23229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22825'', ''23230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22826'', ''23231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22827'', ''23232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22828'', ''23233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22829'', ''23234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22830'', ''23235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22831'', ''23236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22832'', ''23237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22833'', ''23238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22834'', ''23239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22835'', ''23240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22836'', ''23241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22837'', ''23242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22838'', ''23243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22839'', ''23244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22840'', ''23245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22841'', ''23246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22842'', ''23247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22843'', ''23248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22844'', ''23249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22845'', ''23250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22846'', ''23251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22847'', ''23252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22848'', ''23253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22849'', ''23254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22850'', ''23255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22851'', ''23256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22852'', ''23257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22853'', ''23258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22854'', ''23259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22855'', ''23260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22856'', ''23261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22857'', ''23262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22858'', ''23263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22859'', ''23264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22860'', ''23265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22861'', ''23266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22862'', ''23267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22863'', ''23268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22864'', ''23269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22865'', ''23270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22866'', ''23271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22867'', ''23272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22868'', ''23273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22869'', ''23274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22870'', ''23275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22871'', ''23276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22872'', ''23277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22873'', ''23278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22874'', ''23279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22875'', ''23280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22876'', ''23281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22877'', ''23282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22878'', ''23283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22879'', ''23284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22880'', ''23285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22881'', ''23286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22882'', ''23287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22883'', ''23288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22884'', ''23289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22885'', ''23290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22886'', ''23291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22887'', ''23292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22888'', ''23293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22889'', ''23294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22890'', ''23295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22891'', ''23296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22892'', ''23297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22893'', ''23298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22894'', ''23299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22895'', ''23300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22896'', ''23301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22897'', ''23302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22898'', ''23303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22899'', ''23304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22900'', ''23305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22901'', ''23306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22902'', ''23307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22903'', ''23308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22904'', ''23309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22905'', ''23310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22906'', ''23311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22907'', ''23312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22908'', ''23313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22909'', ''23314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22910'', ''23315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22911'', ''23316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22912'', ''23317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22913'', ''23318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22914'', ''23319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22915'', ''23320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22916'', ''23321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22917'', ''23322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22918'', ''23323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22919'', ''23324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22920'', ''23325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22921'', ''23326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22922'', ''23327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22923'', ''23328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22924'', ''23329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22925'', ''23330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22926'', ''23331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22927'', ''23332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22928'', ''23333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22929'', ''23334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22930'', ''23335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22931'', ''23336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22932'', ''23337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22933'', ''23338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22934'', ''23339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22935'', ''23340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22936'', ''23341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22937'', ''23342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22938'', ''23343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22939'', ''23344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22940'', ''23345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22941'', ''23346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22942'', ''23347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22943'', ''23348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22944'', ''23349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22945'', ''23350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22946'', ''23351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22947'', ''23352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22948'', ''23353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22949'', ''23354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22950'', ''23355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22951'', ''23356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22952'', ''23357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22953'', ''23358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22954'', ''23359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22955'', ''23360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22956'', ''23361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22957'', ''23362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22958'', ''23363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22959'', ''23364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22960'', ''23365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22961'', ''23366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22962'', ''23367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22963'', ''23368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22964'', ''23369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22965'', ''23370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22966'', ''23371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22967'', ''23372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22968'', ''23373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22969'', ''23374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22970'', ''23375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22971'', ''23376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22972'', ''23377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22973'', ''23378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22974'', ''23379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22975'', ''23380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22976'', ''23381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22977'', ''23382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22978'', ''23383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22979'', ''23384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22980'', ''23385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22981'', ''23386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22982'', ''23387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22983'', ''23388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22984'', ''23389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22985'', ''23390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22986'', ''23391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22987'', ''23392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22988'', ''23393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22989'', ''23394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22990'', ''23395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22991'', ''23396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22992'', ''23397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22993'', ''23398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22994'', ''23399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22995'', ''23400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22996'', ''23401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22997'', ''23402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22998'', ''23403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''22999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22999'', ''23404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23000'', ''23405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23001'', ''23406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23002'', ''23407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23003'', ''23408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23004'', ''23409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23005'', ''23410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23006'', ''23411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23007'', ''23412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23008'', ''23413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23009'', ''23414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23010'', ''23415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23011'', ''23416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23012'', ''23417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23013'', ''23418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23014'', ''23419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23015'', ''23420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23016'', ''23421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23017'', ''23422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23018'', ''23423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23019'', ''23424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23020'', ''23425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23021'', ''23426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23022'', ''23427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23023'', ''23428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23024'', ''23429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23025'', ''23430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23026'', ''23431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23027'', ''23432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23028'', ''23433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23029'', ''23434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23030'', ''23435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23031'', ''23436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23032'', ''23437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23033'', ''23438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23034'', ''23439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23035'', ''23440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23036'', ''23441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23037'', ''23442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23038'', ''23443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23039'', ''23444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23040'', ''23445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23041'', ''23446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23042'', ''23447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23043'', ''23448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23044'', ''23449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23045'', ''23450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23046'', ''23451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23047'', ''23452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23048'', ''23453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23049'', ''23454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23050'', ''23455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23051'', ''23456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23052'', ''23457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23053'', ''23458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23054'', ''23459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23055'', ''23460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23056'', ''23461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23057'', ''23462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23058'', ''23463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23059'', ''23464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23060'', ''23465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23061'', ''23466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23062'', ''23467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23063'', ''23468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23064'', ''23469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23065'', ''23470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23066'', ''23471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23067'', ''23472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23068'', ''23473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23069'', ''23474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23070'', ''23475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23071'', ''23476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23072'', ''23477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23073'', ''23478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23074'', ''23479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23075'', ''23480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23076'', ''23481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23077'', ''23482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23078'', ''23483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23079'', ''23484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23080'', ''23485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23081'', ''23486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23082'', ''23487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23083'', ''23488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23084'', ''23489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23085'', ''23490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23086'', ''23491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23087'', ''23492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23088'', ''23493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23089'', ''23494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23090'', ''23495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23091'', ''23496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23092'', ''23497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23093'', ''23498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23094'', ''23499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23095'', ''23500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23096'', ''23501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23097'', ''23502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23098'', ''23503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23099'', ''23504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23100'', ''23505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23101'', ''23506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23102'', ''23507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23103'', ''23508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23104'', ''23509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23105'', ''23510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23106'', ''23511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23107'', ''23512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23108'', ''23513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23109'', ''23514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23110'', ''23515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23111'', ''23516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23112'', ''23517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23113'', ''23518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23114'', ''23519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23115'', ''23520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23116'', ''23521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23117'', ''23522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23118'', ''23523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23119'', ''23524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23120'', ''23525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23121'', ''23526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23122'', ''23527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23123'', ''23528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23124'', ''23529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23125'', ''23530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23126'', ''23531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23127'', ''23532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23128'', ''23533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23129'', ''23534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23130'', ''23535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23131'', ''23536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23132'', ''23537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23133'', ''23538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23134'', ''23539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23135'', ''23540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23136'', ''23541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23137'', ''23542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23138'', ''23543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23139'', ''23544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23140'', ''23545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23141'', ''23546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23142'', ''23547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23143'', ''23548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23144'', ''23549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23145'', ''23550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23146'', ''23551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23147'', ''23552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23148'', ''23553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23149'', ''23554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23150'', ''23555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23151'', ''23556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23152'', ''23557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23153'', ''23558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23154'', ''23559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23155'', ''23560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23156'', ''23561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23157'', ''23562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23158'', ''23563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23159'', ''23564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23160'', ''23565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23161'', ''23566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23162'', ''23567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23163'', ''23568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23164'', ''23569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23165'', ''23570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23166'', ''23571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23167'', ''23572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23168'', ''23573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23169'', ''23574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23170'', ''23575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23171'', ''23576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23172'', ''23577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23173'', ''23578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23174'', ''23579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23175'', ''23580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23176'', ''23581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23177'', ''23582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23178'', ''23583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23179'', ''23584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23180'', ''23585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23181'', ''23586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23182'', ''23587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23183'', ''23588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23184'', ''23589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23185'', ''23590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23186'', ''23591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23187'', ''23592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23188'', ''23593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23189'', ''23594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23190'', ''23595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23191'', ''23596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23192'', ''23597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23193'', ''23598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23194'', ''23599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23195'', ''23600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23196'', ''23601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23197'', ''23602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23198'', ''23603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23199'', ''23604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23200'', ''23605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23201'', ''23606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23202'', ''23607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23203'', ''23608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23204'', ''23609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23205'', ''23610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23206'', ''23611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23207'', ''23612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23208'', ''23613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23209'', ''23614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23210'', ''23615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23211'', ''23616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23212'', ''23617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23213'', ''23618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23214'', ''23619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23215'', ''23620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23216'', ''23621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23217'', ''23622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23218'', ''23623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23219'', ''23624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23220'', ''23625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23221'', ''23626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23222'', ''23627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23223'', ''23628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23224'', ''23629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23225'', ''23630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23226'', ''23631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23227'', ''23632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23228'', ''23633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23229'', ''23634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23230'', ''23635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23231'', ''23636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23232'', ''23637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23233'', ''23638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23234'', ''23639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23235'', ''23640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23236'', ''23641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23237'', ''23642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23238'', ''23643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23239'', ''23644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23240'', ''23645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23241'', ''23646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23242'', ''23647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23243'', ''23648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23244'', ''23649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23245'', ''23650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23246'', ''23651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23247'', ''23652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23248'', ''23653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23249'', ''23654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23250'', ''23655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23251'', ''23656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23252'', ''23657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23253'', ''23658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23254'', ''23659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23255'', ''23660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23256'', ''23661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23257'', ''23662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23258'', ''23663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23259'', ''23664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23260'', ''23665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23261'', ''23666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23262'', ''23667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23263'', ''23668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23264'', ''23669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23265'', ''23670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23266'', ''23671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23267'', ''23672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23268'', ''23673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23269'', ''23674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23270'', ''23675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23271'', ''23676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23272'', ''23677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23273'', ''23678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23274'', ''23679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23275'', ''23680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23276'', ''23681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23277'', ''23682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23278'', ''23683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23279'', ''23684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23280'', ''23685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23281'', ''23686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23282'', ''23687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23283'', ''23688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23284'', ''23689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23285'', ''23690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23286'', ''23691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23287'', ''23692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23288'', ''23693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23289'', ''23694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23290'', ''23695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23291'', ''23696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23292'', ''23697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23293'', ''23698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23294'', ''23699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23295'', ''23700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23296'', ''23701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23297'', ''23702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23298'', ''23703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23299'', ''23704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23300'', ''23705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23301'', ''23706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23302'', ''23707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23303'', ''23708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23304'', ''23709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23305'', ''23710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23306'', ''23711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23307'', ''23712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23308'', ''23713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23309'', ''23714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23310'', ''23715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23311'', ''23716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23312'', ''23717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23313'', ''23718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23314'', ''23719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23315'', ''23720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23316'', ''23721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23317'', ''23722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23318'', ''23723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23319'', ''23724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23320'', ''23725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23321'', ''23726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23322'', ''23727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23323'', ''23728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23324'', ''23729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23325'', ''23730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23326'', ''23731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23327'', ''23732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23328'', ''23733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23329'', ''23734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23330'', ''23735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23331'', ''23736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23332'', ''23737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23333'', ''23738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23334'', ''23739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23335'', ''23740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23336'', ''23741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23337'', ''23742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23338'', ''23743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23339'', ''23744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23340'', ''23745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23341'', ''23746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23342'', ''23747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23343'', ''23748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23344'', ''23749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23345'', ''23750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23346'', ''23751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23347'', ''23752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23348'', ''23753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23349'', ''23754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23350'', ''23755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23351'', ''23756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23352'', ''23757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23353'', ''23758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23354'', ''23759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23355'', ''23760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23356'', ''23761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23357'', ''23762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23358'', ''23763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23359'', ''23764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23360'', ''23765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23361'', ''23766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23362'', ''23767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23363'', ''23768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23364'', ''23769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23365'', ''23770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23366'', ''23771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23367'', ''23772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23368'', ''23773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23369'', ''23774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23370'', ''23775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23371'', ''23776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23372'', ''23777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23373'', ''23778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23374'', ''23779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23375'', ''23780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23376'', ''23781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23377'', ''23782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23378'', ''23783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23379'', ''23784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23380'', ''23785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23381'', ''23786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23382'', ''23787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23383'', ''23788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23384'', ''23789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23385'', ''23790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23386'', ''23791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23387'', ''23792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23388'', ''23793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23389'', ''23794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23390'', ''23795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23391'', ''23796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23392'', ''23797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23393'', ''23798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23394'', ''23799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23395'', ''23800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23396'', ''23801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23397'', ''23802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23398'', ''23803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23399'', ''23804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23400'', ''23805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23401'', ''23806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23402'', ''23807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20381'', ''23808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23404'', ''23809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23405'', ''23810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23406'', ''23811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23407'', ''23812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23408'', ''23813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23409'', ''23814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23410'', ''23815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23411'', ''23816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23412'', ''23817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23413'', ''23818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23414'', ''23819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23415'', ''23820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23416'', ''23821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23417'', ''23822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23418'', ''23823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23419'', ''23824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23420'', ''23825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23421'', ''23826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23422'', ''23827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23423'', ''23828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23424'', ''23829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23425'', ''23830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23426'', ''23831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23427'', ''23832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23428'', ''23833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23429'', ''23834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23430'', ''23835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23431'', ''23836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23432'', ''23837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23433'', ''23838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23434'', ''23839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23435'', ''23840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23436'', ''23841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23437'', ''23842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23438'', ''23843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23439'', ''23844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23440'', ''23845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23441'', ''23846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23442'', ''23847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23443'', ''23848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23444'', ''23849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23445'', ''23850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23446'', ''23851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23447'', ''23852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23448'', ''23853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23449'', ''23854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23450'', ''23855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23451'', ''23856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23452'', ''23857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23453'', ''23858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23454'', ''23859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23455'', ''23860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23456'', ''23861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23457'', ''23862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23458'', ''23863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23459'', ''23864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23460'', ''23865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23461'', ''23866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23462'', ''23867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23463'', ''23868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23464'', ''23869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23465'', ''23870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23466'', ''23871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23467'', ''23872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23468'', ''23873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23469'', ''23874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23470'', ''23875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23471'', ''23876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23472'', ''23877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23473'', ''23878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23474'', ''23879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23475'', ''23880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23476'', ''23881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23477'', ''23882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23478'', ''23883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23479'', ''23884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23480'', ''23885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23481'', ''23886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23482'', ''23887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23483'', ''23888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23484'', ''23889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23485'', ''23890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23486'', ''23891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23487'', ''23892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23488'', ''23893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23489'', ''23894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23490'', ''23895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23491'', ''23896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23492'', ''23897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23493'', ''23898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23494'', ''23899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23495'', ''23900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23496'', ''23901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23497'', ''23902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23498'', ''23903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23499'', ''23904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23500'', ''23905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23501'', ''23906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23502'', ''23907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23503'', ''23908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23504'', ''23909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23505'', ''23910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23506'', ''23911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23507'', ''23912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23508'', ''23913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23509'', ''23914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23510'', ''23915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23511'', ''23916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23512'', ''23917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23513'', ''23918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23514'', ''23919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23515'', ''23920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23516'', ''23921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23517'', ''23922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23518'', ''23923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23519'', ''23924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23520'', ''23925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23521'', ''23926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23522'', ''23927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23523'', ''23928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23524'', ''23929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23525'', ''23930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23526'', ''23931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23527'', ''23932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23528'', ''23933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23529'', ''23934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23530'', ''23935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23531'', ''23936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23532'', ''23937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23533'', ''23938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23534'', ''23939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23535'', ''23940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23536'', ''23941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23537'', ''23942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23538'', ''23943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23539'', ''23944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23540'', ''23945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23541'', ''23946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23542'', ''23947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23543'', ''23948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23544'', ''23949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23545'', ''23950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23546'', ''23951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23547'', ''23952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23548'', ''23953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23549'', ''23954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23550'', ''23955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23551'', ''23956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23552'', ''23957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23553'', ''23958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23554'', ''23959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23555'', ''23960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23556'', ''23961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23557'', ''23962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23558'', ''23963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23559'', ''23964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23560'', ''23965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23561'', ''23966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23562'', ''23967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23563'', ''23968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23564'', ''23969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23565'', ''23970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23566'', ''23971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23567'', ''23972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23568'', ''23973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23569'', ''23974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23570'', ''23975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23571'', ''23976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23572'', ''23977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23573'', ''23978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23574'', ''23979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23575'', ''23980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23576'', ''23981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23577'', ''23982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23578'', ''23983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23579'', ''23984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23580'', ''23985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23581'', ''23986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23582'', ''23987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23583'', ''23988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23584'', ''23989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23585'', ''23990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23586'', ''23991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23587'', ''23992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23588'', ''23993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23589'', ''23994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23590'', ''23995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23591'', ''23996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23592'', ''23997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23593'', ''23998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23594'', ''23999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23595'', ''24000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23596'', ''24001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23597'', ''24002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23598'', ''24003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23599'', ''24004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23600'', ''24005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23601'', ''24006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23602'', ''24007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23603'', ''24008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23604'', ''24009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23605'', ''24010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23606'', ''24011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23607'', ''24012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23608'', ''24013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23609'', ''24014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23610'', ''24015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23611'', ''24016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23612'', ''24017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23613'', ''24018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23614'', ''24019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23615'', ''24020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23616'', ''24021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23617'', ''24022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23618'', ''24023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23619'', ''24024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23620'', ''24025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23621'', ''24026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23622'', ''24027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23623'', ''24028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23624'', ''24029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23625'', ''24030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''24031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23627'', ''24032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23629'', ''24034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23630'', ''24035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23631'', ''24036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''135'', ''24037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23633'', ''24038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23634'', ''24039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23636'', ''24041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23637'', ''24042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23638'', ''24043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23639'', ''24044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23640'', ''24045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23641'', ''24046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23642'', ''24047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23643'', ''24048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23644'', ''24049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23645'', ''24050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23646'', ''24051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23648'', ''24053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23649'', ''24054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23650'', ''24055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23651'', ''24056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23652'', ''24057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23653'', ''24058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23654'', ''24059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23656'', ''24061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23658'', ''24063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23659'', ''24064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23660'', ''24065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23661'', ''24066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23662'', ''24067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23663'', ''24068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23664'', ''24069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23665'', ''24070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23666'', ''24071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23667'', ''24072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23668'', ''24073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23669'', ''24074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21662'', ''24075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23671'', ''24076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23672'', ''24077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23673'', ''24078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23674'', ''24079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23675'', ''24080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23676'', ''24081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23677'', ''24082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23678'', ''24083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23679'', ''24084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23680'', ''24085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23681'', ''24086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23682'', ''24087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23683'', ''24088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23684'', ''24089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23685'', ''24090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23686'', ''24091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23687'', ''24092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23688'', ''24093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23689'', ''24094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23690'', ''24095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23691'', ''24096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23692'', ''24097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21355'', ''24098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23694'', ''24099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23695'', ''24100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23696'', ''24101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23697'', ''24102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23698'', ''24103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23699'', ''24104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23700'', ''24105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23701'', ''24106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23702'', ''24107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23703'', ''24108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23704'', ''24109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23705'', ''24110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23706'', ''24111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23707'', ''24112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23708'', ''24113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23709'', ''24114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23710'', ''24115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23711'', ''24116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23712'', ''24117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23713'', ''24118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23714'', ''24119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23715'', ''24120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23716'', ''24121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23717'', ''24122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23718'', ''24123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23719'', ''24124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23720'', ''24125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23721'', ''24126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23722'', ''24127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23723'', ''24128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23724'', ''24129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23725'', ''24130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23726'', ''24131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23727'', ''24132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20046'', ''24133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23729'', ''24134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23730'', ''24135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23731'', ''24136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23732'', ''24137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23733'', ''24138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23734'', ''24139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23735'', ''24140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23736'', ''24141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23737'', ''24142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23738'', ''24143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23739'', ''24144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23740'', ''24145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23741'', ''24146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23742'', ''24147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23743'', ''24148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23744'', ''24149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23745'', ''24150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23746'', ''24151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23747'', ''24152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23748'', ''24153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23749'', ''24154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23750'', ''24155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23751'', ''24156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23752'', ''24157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23753'', ''24158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23754'', ''24159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23755'', ''24160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23756'', ''24161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23757'', ''24162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23758'', ''24163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23759'', ''24164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23760'', ''24165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20107'', ''24166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''24167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23763'', ''24168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23764'', ''24169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20137'', ''24170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23766'', ''24171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23767'', ''24172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23768'', ''24173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23769'', ''24174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23770'', ''24175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23771'', ''24176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''24177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''24178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''24179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''24180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23776'', ''24181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23777'', ''24182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''24183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23779'', ''24184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23780'', ''24185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23781'', ''24186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''24187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23783'', ''24188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''24189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23785'', ''24190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''24191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23787'', ''24192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23788'', ''24193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23789'', ''24194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23790'', ''24195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''24196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23792'', ''24197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23793'', ''24198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23794'', ''24199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''24200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23796'', ''24201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''24202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23798'', ''24203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23799'', ''24204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23800'', ''24205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23801'', ''24206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23802'', ''24207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''24208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''24209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''24210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23806'', ''24211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''24212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''24213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23809'', ''24214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23810'', ''24215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23811'', ''24216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23812'', ''24217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23813'', ''24218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23814'', ''24219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23815'', ''24220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23816'', ''24221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''24222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23818'', ''24223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23819'', ''24224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''24225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23821'', ''24226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23822'', ''24227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23823'', ''24228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23824'', ''24229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23825'', ''24230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23826'', ''24231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''24232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23828'', ''24233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''24234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20071'', ''24235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23831'', ''24236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23832'', ''24237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''24238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''24239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23835'', ''24240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23836'', ''24241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23837'', ''24242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''24243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23839'', ''24244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23840'', ''24245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23841'', ''24246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23842'', ''24247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23843'', ''24248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23844'', ''24249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23845'', ''24250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23846'', ''24251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23847'', ''24252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23848'', ''24253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23849'', ''24254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23850'', ''24255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23851'', ''24256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23852'', ''24257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23853'', ''24258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23854'', ''24259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23855'', ''24260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23856'', ''24261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23857'', ''24262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23858'', ''24263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''24264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23860'', ''24265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23861'', ''24266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20218'', ''24267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20235'', ''24268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23864'', ''24269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23865'', ''24270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23866'', ''24271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23867'', ''24272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23868'', ''24273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23869'', ''24274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23870'', ''24275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23871'', ''24276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''24277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''24278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''24279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23875'', ''24280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23876'', ''24281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23877'', ''24282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23878'', ''24283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''24284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''24285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''24286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23882'', ''24287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23883'', ''24288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23884'', ''24289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23885'', ''24290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''24291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23887'', ''24292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''24293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23889'', ''24294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23890'', ''24295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23891'', ''24296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23892'', ''24297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23893'', ''24298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23894'', ''24299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23895'', ''24300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23896'', ''24301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23897'', ''24302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23898'', ''24303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''24304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23900'', ''24305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23901'', ''24306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23902'', ''24307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23903'', ''24308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23904'', ''24309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23905'', ''24310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23906'', ''24311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23907'', ''24312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23908'', ''24313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23909'', ''24314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23910'', ''24315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23911'', ''24316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23912'', ''24317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23913'', ''24318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23914'', ''24319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''24320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''24321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23917'', ''24322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''24323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23919'', ''24324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23920'', ''24325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23921'', ''24326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23922'', ''24327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''24328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23924'', ''24329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23925'', ''24330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23926'', ''24331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23927'', ''24332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23928'', ''24333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21404'', ''24334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23930'', ''24335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''24336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''24337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23933'', ''24338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''24339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23935'', ''24340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''24341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23937'', ''24342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23938'', ''24343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23939'', ''24344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23940'', ''24345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''24346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23942'', ''24347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''24348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''24349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23945'', ''24350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23946'', ''24351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23947'', ''24352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23948'', ''24353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''24354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23950'', ''24355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23951'', ''24356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23952'', ''24357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23953'', ''24358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20115'', ''24359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23955'', ''24360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23956'', ''24361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23957'', ''24362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''24363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23959'', ''24364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23960'', ''24365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''24366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23962'', ''24367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23963'', ''24368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''24369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23965'', ''24370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23966'', ''24371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''24372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23968'', ''24373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23969'', ''24374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23970'', ''24375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''24376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23972'', ''24377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23973'', ''24378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''24379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''24380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''24381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''24382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23978'', ''24383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23979'', ''24384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23980'', ''24385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23981'', ''24386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23982'', ''24387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''24388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''24389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23985'', ''24390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21449'', ''24391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23987'', ''24392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''24393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''24394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23990'', ''24395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23991'', ''24396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23992'', ''24397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23993'', ''24398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23994'', ''24399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23995'', ''24400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23996'', ''24401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''24402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23998'', ''24403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''23999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23999'', ''24404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24000'', ''24405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''24406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''24407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24003'', ''24408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24004'', ''24409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24005'', ''24410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''24411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24007'', ''24412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''24413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''24414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''24415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24011'', ''24416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24012'', ''24417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''24418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''24419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24015'', ''24420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''24421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''24422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24018'', ''24423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24019'', ''24424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24020'', ''24425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''24426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''24427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24023'', ''24428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24024'', ''24429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24025'', ''24430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''24431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24027'', ''24432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24028'', ''24433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24029'', ''24434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24030'', ''24435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24031'', ''24436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24032'', ''24437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24033'', ''24438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24034'', ''24439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24035'', ''24440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24036'', ''24441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24037'', ''24442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24038'', ''24443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24039'', ''24444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24040'', ''24445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24041'', ''24446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24042'', ''24447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20488'', ''24448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20491'', ''24449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24045'', ''24450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''24451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24047'', ''24452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24048'', ''24453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24049'', ''24454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24050'', ''24455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24051'', ''24456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24052'', ''24457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24053'', ''24458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24054'', ''24459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''24460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24056'', ''24461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24057'', ''24462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24058'', ''24463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24059'', ''24464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24060'', ''24465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24061'', ''24466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24062'', ''24467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24063'', ''24468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24064'', ''24469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''24470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24066'', ''24471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24067'', ''24472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24068'', ''24473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24069'', ''24474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20495'', ''24475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24071'', ''24476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24072'', ''24477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24073'', ''24478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24074'', ''24479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24075'', ''24480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24076'', ''24481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24077'', ''24482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24078'', ''24483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24079'', ''24484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24080'', ''24485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24081'', ''24486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24082'', ''24487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24083'', ''24488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24084'', ''24489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24085'', ''24490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24086'', ''24491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24087'', ''24492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24088'', ''24493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24089'', ''24494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24090'', ''24495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24091'', ''24496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24092'', ''24497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24093'', ''24498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24094'', ''24499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20530'', ''24500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24096'', ''24501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24097'', ''24502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24098'', ''24503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24099'', ''24504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24100'', ''24505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24101'', ''24506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24102'', ''24507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24103'', ''24508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24104'', ''24509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24105'', ''24510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24106'', ''24511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24107'', ''24512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24108'', ''24513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24109'', ''24514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24110'', ''24515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24111'', ''24516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20531'', ''24517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24113'', ''24518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24114'', ''24519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24115'', ''24520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24116'', ''24521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24117'', ''24522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24118'', ''24523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24119'', ''24524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24120'', ''24525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24121'', ''24526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24122'', ''24527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24123'', ''24528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24124'', ''24529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24125'', ''24530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24126'', ''24531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24127'', ''24532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24128'', ''24533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24129'', ''24534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24130'', ''24535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24131'', ''24536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''24537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''24538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24134'', ''24539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24135'', ''24540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24136'', ''24541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24137'', ''24542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24138'', ''24543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24139'', ''24544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24140'', ''24545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24141'', ''24546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24142'', ''24547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24143'', ''24548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24144'', ''24549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24145'', ''24550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24146'', ''24551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24147'', ''24552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''24553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24149'', ''24554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24150'', ''24555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24151'', ''24556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24152'', ''24557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20727'', ''24558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24154'', ''24559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20729'', ''24560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24156'', ''24561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24157'', ''24562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24158'', ''24563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24159'', ''24564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24160'', ''24565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24161'', ''24566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24162'', ''24567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24163'', ''24568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24164'', ''24569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24165'', ''24570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24166'', ''24571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24167'', ''24572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24168'', ''24573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24169'', ''24574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24170'', ''24575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24171'', ''24576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20631'', ''24577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24173'', ''24578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''24579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24175'', ''24580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20741'', ''24581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24177'', ''24582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24178'', ''24583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24179'', ''24584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''24585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24181'', ''24586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24182'', ''24587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24183'', ''24588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24184'', ''24589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24185'', ''24590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24186'', ''24591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24187'', ''24592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24188'', ''24593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24189'', ''24594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24190'', ''24595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24191'', ''24596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24192'', ''24597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24193'', ''24598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24194'', ''24599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24195'', ''24600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24196'', ''24601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24197'', ''24602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24198'', ''24603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24199'', ''24604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24200'', ''24605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24201'', ''24606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24202'', ''24607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24203'', ''24608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24204'', ''24609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24205'', ''24610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24206'', ''24611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24207'', ''24612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24208'', ''24613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24209'', ''24614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24210'', ''24615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24211'', ''24616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24212'', ''24617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24213'', ''24618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24214'', ''24619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24215'', ''24620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24216'', ''24621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24217'', ''24622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24218'', ''24623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24219'', ''24624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24220'', ''24625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''24626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24222'', ''24627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24223'', ''24628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24224'', ''24629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24225'', ''24630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24226'', ''24631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24227'', ''24632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24228'', ''24633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24229'', ''24634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24230'', ''24635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24231'', ''24636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24232'', ''24637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24233'', ''24638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24234'', ''24639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24235'', ''24640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24236'', ''24641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24237'', ''24642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24238'', ''24643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24239'', ''24644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24240'', ''24645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24241'', ''24646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24242'', ''24647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24243'', ''24648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24244'', ''24649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24245'', ''24650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24246'', ''24651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24247'', ''24652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24248'', ''24653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24249'', ''24654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24250'', ''24655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24251'', ''24656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24252'', ''24657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24253'', ''24658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24254'', ''24659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24255'', ''24660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24256'', ''24661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24257'', ''24662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24258'', ''24663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24259'', ''24664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24260'', ''24665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24261'', ''24666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24262'', ''24667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24263'', ''24668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24264'', ''24669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24265'', ''24670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24266'', ''24671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24267'', ''24672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24268'', ''24673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20832'', ''24674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24270'', ''24675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24271'', ''24676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24272'', ''24677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24273'', ''24678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24274'', ''24679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24275'', ''24680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24276'', ''24681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24277'', ''24682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24278'', ''24683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24279'', ''24684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''24685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24281'', ''24686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24282'', ''24687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24283'', ''24688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24284'', ''24689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24285'', ''24690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24286'', ''24691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24287'', ''24692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24288'', ''24693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24289'', ''24694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24290'', ''24695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24291'', ''24696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24292'', ''24697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24293'', ''24698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24294'', ''24699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20870'', ''24700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24296'', ''24701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24297'', ''24702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24298'', ''24703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24299'', ''24704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24300'', ''24705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24301'', ''24706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24302'', ''24707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24303'', ''24708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24304'', ''24709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24305'', ''24710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24306'', ''24711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24307'', ''24712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24308'', ''24713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24309'', ''24714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24310'', ''24715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24311'', ''24716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21049'', ''24717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24313'', ''24718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24314'', ''24719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24315'', ''24720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24316'', ''24721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24317'', ''24722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24318'', ''24723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24319'', ''24724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24320'', ''24725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24321'', ''24726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24322'', ''24727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24323'', ''24728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24324'', ''24729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24325'', ''24730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24326'', ''24731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24327'', ''24732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24328'', ''24733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24329'', ''24734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24330'', ''24735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24331'', ''24736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24332'', ''24737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24333'', ''24738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24334'', ''24739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24335'', ''24740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24336'', ''24741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24337'', ''24742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24338'', ''24743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24339'', ''24744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24340'', ''24745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24341'', ''24746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24342'', ''24747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24343'', ''24748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24344'', ''24749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24345'', ''24750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24346'', ''24751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24347'', ''24752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24348'', ''24753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24349'', ''24754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24350'', ''24755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24351'', ''24756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24352'', ''24757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24353'', ''24758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24354'', ''24759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24355'', ''24760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24356'', ''24761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''24762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24358'', ''24763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24359'', ''24764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24360'', ''24765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24361'', ''24766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24362'', ''24767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24363'', ''24768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24364'', ''24769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24365'', ''24770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24366'', ''24771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24367'', ''24772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24368'', ''24773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24369'', ''24774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24370'', ''24775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24371'', ''24776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24372'', ''24777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24373'', ''24778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24374'', ''24779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24375'', ''24780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24376'', ''24781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24377'', ''24782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24378'', ''24783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24379'', ''24784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24380'', ''24785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24381'', ''24786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24382'', ''24787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24383'', ''24788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21050'', ''24789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24385'', ''24790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24386'', ''24791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24387'', ''24792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24388'', ''24793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24389'', ''24794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24390'', ''24795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20216'', ''24796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24392'', ''24797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24393'', ''24798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24394'', ''24799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24395'', ''24800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24396'', ''24801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24397'', ''24802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24398'', ''24803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24399'', ''24804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24400'', ''24805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24401'', ''24806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24402'', ''24807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24403'', ''24808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24404'', ''24809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24405'', ''24810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24406'', ''24811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24407'', ''24812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24408'', ''24813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24409'', ''24814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24410'', ''24815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24411'', ''24816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24412'', ''24817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24413'', ''24818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24414'', ''24819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24415'', ''24820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24416'', ''24821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24417'', ''24822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24418'', ''24823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24419'', ''24824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24420'', ''24825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24421'', ''24826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24422'', ''24827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24423'', ''24828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24424'', ''24829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24425'', ''24830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21096'', ''24831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24427'', ''24832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24428'', ''24833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24429'', ''24834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24430'', ''24835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24431'', ''24836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24432'', ''24837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24433'', ''24838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24434'', ''24839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''24840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24436'', ''24841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24437'', ''24842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24438'', ''24843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24439'', ''24844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24440'', ''24845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24441'', ''24846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24442'', ''24847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24443'', ''24848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21112'', ''24849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24445'', ''24850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24446'', ''24851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24447'', ''24852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''24853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24449'', ''24854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24450'', ''24855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24451'', ''24856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24452'', ''24857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24453'', ''24858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24454'', ''24859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20339'', ''24860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24456'', ''24861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24457'', ''24862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21076'', ''24863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21105'', ''24864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24460'', ''24865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24461'', ''24866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21352'', ''24867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24463'', ''24868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24464'', ''24869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24465'', ''24870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24466'', ''24871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24467'', ''24872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24468'', ''24873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21012'', ''24874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21182'', ''24875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24471'', ''24876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24472'', ''24877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24473'', ''24878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24474'', ''24879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24475'', ''24880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24476'', ''24881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24477'', ''24882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24478'', ''24883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24479'', ''24884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''24885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24481'', ''24886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24482'', ''24887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24483'', ''24888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24484'', ''24889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24485'', ''24890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24486'', ''24891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24487'', ''24892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24488'', ''24893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24489'', ''24894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24490'', ''24895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24491'', ''24896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24492'', ''24897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24493'', ''24898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24494'', ''24899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24495'', ''24900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24496'', ''24901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24497'', ''24902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24498'', ''24903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24499'', ''24904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''24905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24501'', ''24906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24502'', ''24907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24503'', ''24908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24504'', ''24909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24505'', ''24910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24506'', ''24911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24507'', ''24912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24508'', ''24913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24509'', ''24914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24510'', ''24915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24511'', ''24916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24512'', ''24917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24513'', ''24918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24514'', ''24919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24515'', ''24920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24516'', ''24921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24517'', ''24922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24518'', ''24923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24519'', ''24924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24520'', ''24925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24521'', ''24926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24522'', ''24927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24523'', ''24928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24524'', ''24929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24525'', ''24930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24526'', ''24931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''24932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24528'', ''24933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24529'', ''24934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24530'', ''24935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24531'', ''24936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24532'', ''24937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24533'', ''24938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24534'', ''24939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24535'', ''24940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24536'', ''24941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24537'', ''24942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24538'', ''24943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24539'', ''24944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24540'', ''24945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24541'', ''24946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24542'', ''24947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24543'', ''24948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24544'', ''24949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24545'', ''24950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24546'', ''24951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24547'', ''24952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24548'', ''24953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24549'', ''24954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24550'', ''24955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24551'', ''24956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24552'', ''24957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24553'', ''24958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24554'', ''24959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21564'', ''24960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24556'', ''24961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24557'', ''24962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24558'', ''24963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24559'', ''24964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24560'', ''24965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24561'', ''24966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24562'', ''24967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24563'', ''24968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24564'', ''24969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24565'', ''24970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24566'', ''24971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24567'', ''24972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24568'', ''24973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24569'', ''24974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24570'', ''24975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24571'', ''24976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24572'', ''24977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21872'', ''24978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24574'', ''24979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24575'', ''24980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24576'', ''24981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24577'', ''24982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24578'', ''24983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24579'', ''24984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24580'', ''24985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24581'', ''24986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24582'', ''24987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24583'', ''24988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24584'', ''24989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24585'', ''24990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24586'', ''24991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24587'', ''24992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24588'', ''24993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24589'', ''24994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24590'', ''24995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24591'', ''24996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21353'', ''24997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24593'', ''24998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24594'', ''24999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24595'', ''25000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24596'', ''25001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24597'', ''25002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24598'', ''25003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24599'', ''25004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24600'', ''25005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24601'', ''25006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21385'', ''25007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24603'', ''25008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24604'', ''25009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24605'', ''25010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20271'', ''25011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24607'', ''25012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20272'', ''25013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24609'', ''25014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24610'', ''25015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24611'', ''25016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24612'', ''25017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24613'', ''25018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24614'', ''25019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24615'', ''25020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24616'', ''25021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24617'', ''25022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24618'', ''25023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24619'', ''25024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24620'', ''25025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24621'', ''25026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24622'', ''25027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24623'', ''25028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24624'', ''25029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24625'', ''25030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24626'', ''25031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24627'', ''25032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24628'', ''25033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''25034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24630'', ''25035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24631'', ''25036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24632'', ''25037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24633'', ''25038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24634'', ''25039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24635'', ''25040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24636'', ''25041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24637'', ''25042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24638'', ''25043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24639'', ''25044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24640'', ''25045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24641'', ''25046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24642'', ''25047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24643'', ''25048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24644'', ''25049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24645'', ''25050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24646'', ''25051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24647'', ''25052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24648'', ''25053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24649'', ''25054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24650'', ''25055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24651'', ''25056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24652'', ''25057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24653'', ''25058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24654'', ''25059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24655'', ''25060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24656'', ''25061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24657'', ''25062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24658'', ''25063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''25064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24660'', ''25065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21347'', ''25066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21405'', ''25067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24663'', ''25068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24664'', ''25069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21415'', ''25070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24666'', ''25071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24667'', ''25072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24668'', ''25073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''25074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24670'', ''25075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24671'', ''25076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24672'', ''25077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24673'', ''25078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24674'', ''25079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24675'', ''25080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24676'', ''25081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24677'', ''25082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24678'', ''25083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24679'', ''25084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24680'', ''25085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24681'', ''25086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24682'', ''25087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24683'', ''25088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24684'', ''25089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24685'', ''25090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24686'', ''25091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24687'', ''25092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24688'', ''25093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24689'', ''25094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24690'', ''25095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''25096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24692'', ''25097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24693'', ''25098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24694'', ''25099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24695'', ''25100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24696'', ''25101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24697'', ''25102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24698'', ''25103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24699'', ''25104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24700'', ''25105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21501'', ''25106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''25107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24703'', ''25108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24704'', ''25109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24705'', ''25110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24706'', ''25111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24707'', ''25112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24708'', ''25113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24709'', ''25114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24710'', ''25115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24711'', ''25116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21514'', ''25117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24713'', ''25118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24714'', ''25119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24715'', ''25120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24716'', ''25121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21529'', ''25122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24718'', ''25123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24719'', ''25124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24720'', ''25125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21538'', ''25126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24722'', ''25127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20095'', ''25128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24724'', ''25129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24725'', ''25130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21554'', ''25131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24727'', ''25132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24728'', ''25133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24729'', ''25134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24730'', ''25135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24731'', ''25136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24732'', ''25137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24733'', ''25138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24734'', ''25139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24735'', ''25140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24736'', ''25141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24737'', ''25142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24738'', ''25143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24739'', ''25144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24740'', ''25145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24741'', ''25146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24742'', ''25147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24743'', ''25148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24744'', ''25149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24745'', ''25150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24746'', ''25151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24747'', ''25152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24748'', ''25153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24749'', ''25154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24750'', ''25155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24751'', ''25156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24752'', ''25157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24753'', ''25158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24754'', ''25159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24755'', ''25160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''25161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24757'', ''25162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21563'', ''25163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24759'', ''25164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24760'', ''25165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24761'', ''25166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24762'', ''25167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24763'', ''25168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24764'', ''25169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24765'', ''25170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24766'', ''25171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24767'', ''25172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24768'', ''25173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24769'', ''25174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24770'', ''25175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24771'', ''25176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24772'', ''25177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24773'', ''25178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''25179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24775'', ''25180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24776'', ''25181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''25182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24778'', ''25183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24779'', ''25184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24780'', ''25185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21600'', ''25186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24782'', ''25187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24783'', ''25188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24784'', ''25189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24785'', ''25190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''25191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24787'', ''25192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24788'', ''25193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24789'', ''25194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24790'', ''25195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24791'', ''25196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24792'', ''25197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24793'', ''25198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''25199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24795'', ''25200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24796'', ''25201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20750'', ''25202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24798'', ''25203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24799'', ''25204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24800'', ''25205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24801'', ''25206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''25207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24803'', ''25208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21227'', ''25209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24805'', ''25210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24806'', ''25211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24807'', ''25212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''25213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24809'', ''25214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24810'', ''25215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24811'', ''25216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24812'', ''25217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24813'', ''25218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24814'', ''25219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24815'', ''25220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24816'', ''25221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24817'', ''25222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24818'', ''25223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24819'', ''25224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24820'', ''25225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24821'', ''25226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''25227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24823'', ''25228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24824'', ''25229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24825'', ''25230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24826'', ''25231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24827'', ''25232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24828'', ''25233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24829'', ''25234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24830'', ''25235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24831'', ''25236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24832'', ''25237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24833'', ''25238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24834'', ''25239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24835'', ''25240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24836'', ''25241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24837'', ''25242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21609'', ''25243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24839'', ''25244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24840'', ''25245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21610'', ''25246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24842'', ''25247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24843'', ''25248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''25249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24845'', ''25250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24846'', ''25251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24847'', ''25252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24848'', ''25253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24849'', ''25254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24850'', ''25255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24851'', ''25256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24852'', ''25257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24853'', ''25258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''25259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24855'', ''25260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24856'', ''25261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24857'', ''25262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''25263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24859'', ''25264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24860'', ''25265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24861'', ''25266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24862'', ''25267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24863'', ''25268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''25269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24865'', ''25270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24866'', ''25271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24867'', ''25272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24868'', ''25273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24869'', ''25274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24870'', ''25275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24871'', ''25276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24872'', ''25277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24873'', ''25278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24874'', ''25279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24875'', ''25280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24876'', ''25281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24877'', ''25282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24878'', ''25283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24879'', ''25284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24880'', ''25285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24881'', ''25286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24882'', ''25287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24883'', ''25288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24884'', ''25289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24885'', ''25290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24886'', ''25291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24887'', ''25292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21715'', ''25293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24889'', ''25294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21676'', ''25295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24891'', ''25296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24892'', ''25297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24893'', ''25298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24894'', ''25299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24895'', ''25300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24896'', ''25301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24897'', ''25302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24898'', ''25303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24899'', ''25304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24900'', ''25305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24901'', ''25306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24902'', ''25307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24903'', ''25308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24904'', ''25309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24905'', ''25310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21714'', ''25311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24907'', ''25312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24908'', ''25313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24909'', ''25314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24910'', ''25315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24911'', ''25316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24912'', ''25317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24913'', ''25318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24914'', ''25319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24915'', ''25320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24916'', ''25321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24917'', ''25322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24918'', ''25323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24919'', ''25324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24920'', ''25325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''25326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24922'', ''25327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24923'', ''25328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24924'', ''25329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24925'', ''25330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24926'', ''25331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21745'', ''25332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24928'', ''25333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24929'', ''25334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24930'', ''25335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24931'', ''25336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24932'', ''25337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24933'', ''25338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24934'', ''25339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24935'', ''25340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24936'', ''25341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20145'', ''25342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24938'', ''25343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24939'', ''25344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''25345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24941'', ''25346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24942'', ''25347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24943'', ''25348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24944'', ''25349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24945'', ''25350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24946'', ''25351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24947'', ''25352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24948'', ''25353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24949'', ''25354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24950'', ''25355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24951'', ''25356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24952'', ''25357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24953'', ''25358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24954'', ''25359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24955'', ''25360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24956'', ''25361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24957'', ''25362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24958'', ''25363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24959'', ''25364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''25365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24961'', ''25366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24962'', ''25367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24963'', ''25368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24964'', ''25369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24965'', ''25370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24966'', ''25371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24967'', ''25372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24968'', ''25373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24969'', ''25374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24970'', ''25375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24971'', ''25376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24972'', ''25377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24973'', ''25378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24974'', ''25379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24975'', ''25380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24976'', ''25381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24977'', ''25382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24978'', ''25383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24979'', ''25384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24980'', ''25385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24981'', ''25386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''25387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24983'', ''25388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24984'', ''25389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24985'', ''25390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24986'', ''25391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24987'', ''25392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24988'', ''25393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24989'', ''25394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24990'', ''25395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24991'', ''25396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24992'', ''25397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24993'', ''25398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24994'', ''25399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24995'', ''25400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24996'', ''25401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''25402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24998'', ''25403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''24999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24999'', ''25404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25000'', ''25405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25001'', ''25406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25002'', ''25407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25003'', ''25408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25004'', ''25409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25005'', ''25410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25006'', ''25411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''25412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25008'', ''25413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25009'', ''25414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25010'', ''25415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25011'', ''25416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25012'', ''25417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''25418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25014'', ''25419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25015'', ''25420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25016'', ''25421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25017'', ''25422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25018'', ''25423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25019'', ''25424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25020'', ''25425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25021'', ''25426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25022'', ''25427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25023'', ''25428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25024'', ''25429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25025'', ''25430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25026'', ''25431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25027'', ''25432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25028'', ''25433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25029'', ''25434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25030'', ''25435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25031'', ''25436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25032'', ''25437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25033'', ''25438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25034'', ''25439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25035'', ''25440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25036'', ''25441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25037'', ''25442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25038'', ''25443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25039'', ''25444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25040'', ''25445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25041'', ''25446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25042'', ''25447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25043'', ''25448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25044'', ''25449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25045'', ''25450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25046'', ''25451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25047'', ''25452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25048'', ''25453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25049'', ''25454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25050'', ''25455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25051'', ''25456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25052'', ''25457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25053'', ''25458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25054'', ''25459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25055'', ''25460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25056'', ''25461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25057'', ''25462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25058'', ''25463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25059'', ''25464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25060'', ''25465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25061'', ''25466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''25467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25063'', ''25468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25064'', ''25469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25065'', ''25470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25066'', ''25471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25067'', ''25472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25068'', ''25473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25069'', ''25474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25070'', ''25475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25071'', ''25476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25072'', ''25477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25073'', ''25478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25074'', ''25479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25075'', ''25480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25076'', ''25481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25077'', ''25482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''25483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25079'', ''25484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25080'', ''25485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25081'', ''25486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25082'', ''25487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25083'', ''25488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25084'', ''25489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25085'', ''25490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25086'', ''25491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25087'', ''25492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25088'', ''25493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25089'', ''25494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25090'', ''25495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25091'', ''25496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25092'', ''25497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25093'', ''25498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25094'', ''25499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25095'', ''25500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25096'', ''25501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25097'', ''25502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25098'', ''25503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25099'', ''25504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25100'', ''25505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25101'', ''25506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25102'', ''25507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25103'', ''25508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25104'', ''25509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25105'', ''25510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25106'', ''25511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25107'', ''25512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25108'', ''25513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25109'', ''25514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25110'', ''25515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25111'', ''25516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25112'', ''25517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25113'', ''25518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25114'', ''25519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25115'', ''25520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25116'', ''25521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25117'', ''25522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25118'', ''25523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25119'', ''25524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25120'', ''25525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25121'', ''25526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25122'', ''25527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25123'', ''25528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''25529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25125'', ''25530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25126'', ''25531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25127'', ''25532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25128'', ''25533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25129'', ''25534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25130'', ''25535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25131'', ''25536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25132'', ''25537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25133'', ''25538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25134'', ''25539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25135'', ''25540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25136'', ''25541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25137'', ''25542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25138'', ''25543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25139'', ''25544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25140'', ''25545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25141'', ''25546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25142'', ''25547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25143'', ''25548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25144'', ''25549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25145'', ''25550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25146'', ''25551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25147'', ''25552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25148'', ''25553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25149'', ''25554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25150'', ''25555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25151'', ''25556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25152'', ''25557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25153'', ''25558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25154'', ''25559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25155'', ''25560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25156'', ''25561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25157'', ''25562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25158'', ''25563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25159'', ''25564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25160'', ''25565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25161'', ''25566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25162'', ''25567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25163'', ''25568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25164'', ''25569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25165'', ''25570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25166'', ''25571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25167'', ''25572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25168'', ''25573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25169'', ''25574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25170'', ''25575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25171'', ''25576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25172'', ''25577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25173'', ''25578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25174'', ''25579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25175'', ''25580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25176'', ''25581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25177'', ''25582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25178'', ''25583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25179'', ''25584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25180'', ''25585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25181'', ''25586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25182'', ''25587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25183'', ''25588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25184'', ''25589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25185'', ''25590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25186'', ''25591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25187'', ''25592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25188'', ''25593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25189'', ''25594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25190'', ''25595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25191'', ''25596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25192'', ''25597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25193'', ''25598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25194'', ''25599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''25600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25196'', ''25601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25197'', ''25602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25198'', ''25603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''25604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25200'', ''25605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25201'', ''25606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25202'', ''25607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25203'', ''25608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25204'', ''25609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25205'', ''25610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25206'', ''25611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25207'', ''25612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25208'', ''25613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25209'', ''25614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25210'', ''25615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25211'', ''25616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25212'', ''25617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25213'', ''25618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25214'', ''25619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25215'', ''25620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25216'', ''25621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25217'', ''25622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25218'', ''25623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25219'', ''25624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''25625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25221'', ''25626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25222'', ''25627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25223'', ''25628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25224'', ''25629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25225'', ''25630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25226'', ''25631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25227'', ''25632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25228'', ''25633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25229'', ''25634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25230'', ''25635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25231'', ''25636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25232'', ''25637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25233'', ''25638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25234'', ''25639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25235'', ''25640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25236'', ''25641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25237'', ''25642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25238'', ''25643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25239'', ''25644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25240'', ''25645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25241'', ''25646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25242'', ''25647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25243'', ''25648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25244'', ''25649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25245'', ''25650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25246'', ''25651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25247'', ''25652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25248'', ''25653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25249'', ''25654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25250'', ''25655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25251'', ''25656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25252'', ''25657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25253'', ''25658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25254'', ''25659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25255'', ''25660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25256'', ''25661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25257'', ''25662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25258'', ''25663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25259'', ''25664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25260'', ''25665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25261'', ''25666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25262'', ''25667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25263'', ''25668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25264'', ''25669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25265'', ''25670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25266'', ''25671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25267'', ''25672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25268'', ''25673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25269'', ''25674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25270'', ''25675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25271'', ''25676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25272'', ''25677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25273'', ''25678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25274'', ''25679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25275'', ''25680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25276'', ''25681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25277'', ''25682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25278'', ''25683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25279'', ''25684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25280'', ''25685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25281'', ''25686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25282'', ''25687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25283'', ''25688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25284'', ''25689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25285'', ''25690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25286'', ''25691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25287'', ''25692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25288'', ''25693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25289'', ''25694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''25695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25291'', ''25696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25292'', ''25697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''25698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25294'', ''25699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25295'', ''25700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25296'', ''25701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25297'', ''25702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25298'', ''25703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25299'', ''25704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25300'', ''25705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25301'', ''25706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25302'', ''25707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25303'', ''25708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25304'', ''25709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25305'', ''25710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25306'', ''25711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25307'', ''25712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25308'', ''25713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25309'', ''25714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25310'', ''25715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25311'', ''25716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25312'', ''25717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25313'', ''25718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25314'', ''25719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25315'', ''25720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25316'', ''25721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25317'', ''25722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25318'', ''25723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25319'', ''25724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25320'', ''25725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25321'', ''25726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25322'', ''25727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25323'', ''25728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25324'', ''25729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25325'', ''25730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25326'', ''25731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25327'', ''25732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25328'', ''25733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25329'', ''25734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25330'', ''25735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25331'', ''25736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25332'', ''25737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25333'', ''25738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25334'', ''25739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''25740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25336'', ''25741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25337'', ''25742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25338'', ''25743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''25744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25340'', ''25745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25341'', ''25746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25342'', ''25747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25343'', ''25748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25344'', ''25749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25345'', ''25750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25346'', ''25751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25347'', ''25752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25348'', ''25753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25349'', ''25754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25350'', ''25755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25351'', ''25756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25352'', ''25757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25353'', ''25758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25354'', ''25759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25355'', ''25760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25356'', ''25761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25357'', ''25762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25358'', ''25763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25359'', ''25764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25360'', ''25765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25361'', ''25766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25362'', ''25767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25363'', ''25768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25364'', ''25769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25365'', ''25770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25366'', ''25771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25367'', ''25772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25368'', ''25773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25369'', ''25774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25370'', ''25775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25371'', ''25776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25372'', ''25777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25373'', ''25778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25374'', ''25779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25375'', ''25780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25376'', ''25781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25377'', ''25782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25378'', ''25783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25379'', ''25784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25380'', ''25785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25381'', ''25786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25382'', ''25787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25383'', ''25788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25384'', ''25789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25385'', ''25790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25386'', ''25791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25387'', ''25792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25388'', ''25793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25389'', ''25794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25390'', ''25795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25391'', ''25796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25392'', ''25797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25393'', ''25798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25394'', ''25799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25395'', ''25800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25396'', ''25801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25397'', ''25802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25398'', ''25803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25399'', ''25804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25400'', ''25805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25401'', ''25806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25402'', ''25807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25403'', ''25808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25404'', ''25809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25405'', ''25810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25406'', ''25811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25407'', ''25812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25408'', ''25813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25409'', ''25814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25410'', ''25815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25411'', ''25816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25412'', ''25817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25413'', ''25818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25414'', ''25819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25415'', ''25820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25416'', ''25821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25417'', ''25822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25418'', ''25823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25419'', ''25824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25420'', ''25825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25421'', ''25826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25422'', ''25827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25423'', ''25828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25424'', ''25829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25425'', ''25830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25426'', ''25831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25427'', ''25832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25428'', ''25833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25429'', ''25834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25430'', ''25835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25431'', ''25836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25432'', ''25837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25433'', ''25838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25434'', ''25839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25435'', ''25840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25436'', ''25841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25437'', ''25842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25438'', ''25843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25439'', ''25844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25440'', ''25845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25441'', ''25846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25442'', ''25847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25443'', ''25848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25444'', ''25849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25445'', ''25850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25446'', ''25851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25447'', ''25852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25448'', ''25853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25449'', ''25854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25450'', ''25855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25451'', ''25856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25452'', ''25857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25453'', ''25858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25454'', ''25859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25455'', ''25860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25456'', ''25861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25457'', ''25862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25458'', ''25863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25459'', ''25864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25460'', ''25865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25461'', ''25866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25462'', ''25867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25463'', ''25868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25464'', ''25869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25465'', ''25870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25466'', ''25871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25467'', ''25872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25468'', ''25873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25469'', ''25874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25470'', ''25875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25471'', ''25876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25472'', ''25877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25473'', ''25878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25474'', ''25879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25475'', ''25880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25476'', ''25881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25477'', ''25882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25478'', ''25883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25479'', ''25884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25480'', ''25885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25481'', ''25886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25482'', ''25887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25483'', ''25888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25484'', ''25889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25485'', ''25890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25486'', ''25891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25487'', ''25892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25488'', ''25893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25489'', ''25894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25490'', ''25895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25491'', ''25896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25492'', ''25897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25493'', ''25898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25494'', ''25899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25495'', ''25900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25496'', ''25901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25497'', ''25902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25498'', ''25903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25499'', ''25904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25500'', ''25905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25501'', ''25906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25502'', ''25907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25503'', ''25908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25504'', ''25909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25505'', ''25910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25506'', ''25911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25507'', ''25912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25508'', ''25913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25509'', ''25914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25510'', ''25915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25511'', ''25916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25512'', ''25917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25513'', ''25918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25514'', ''25919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25515'', ''25920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25516'', ''25921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25517'', ''25922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25518'', ''25923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25519'', ''25924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25520'', ''25925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25521'', ''25926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25522'', ''25927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25523'', ''25928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25524'', ''25929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25525'', ''25930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25526'', ''25931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25527'', ''25932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25528'', ''25933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25529'', ''25934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25530'', ''25935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25531'', ''25936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25532'', ''25937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25533'', ''25938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25534'', ''25939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25535'', ''25940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25536'', ''25941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25537'', ''25942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25538'', ''25943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25539'', ''25944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25540'', ''25945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25541'', ''25946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25542'', ''25947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25543'', ''25948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25544'', ''25949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25545'', ''25950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25546'', ''25951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25547'', ''25952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25548'', ''25953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25549'', ''25954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25550'', ''25955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25551'', ''25956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25552'', ''25957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25553'', ''25958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25554'', ''25959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25555'', ''25960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25556'', ''25961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25557'', ''25962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25558'', ''25963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25559'', ''25964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25560'', ''25965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25561'', ''25966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25562'', ''25967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25563'', ''25968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25564'', ''25969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25565'', ''25970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25566'', ''25971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25567'', ''25972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25568'', ''25973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25569'', ''25974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25570'', ''25975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25571'', ''25976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25572'', ''25977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25573'', ''25978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25574'', ''25979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25575'', ''25980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25576'', ''25981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25577'', ''25982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25578'', ''25983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25579'', ''25984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25580'', ''25985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25581'', ''25986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25582'', ''25987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25583'', ''25988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25584'', ''25989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25585'', ''25990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25586'', ''25991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25587'', ''25992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25588'', ''25993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25589'', ''25994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25590'', ''25995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25591'', ''25996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25592'', ''25997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25593'', ''25998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25594'', ''25999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25595'', ''26000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25596'', ''26001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25597'', ''26002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25598'', ''26003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25599'', ''26004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25600'', ''26005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25601'', ''26006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25602'', ''26007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25603'', ''26008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25604'', ''26009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25605'', ''26010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25606'', ''26011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25607'', ''26012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25608'', ''26013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25609'', ''26014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25610'', ''26015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25611'', ''26016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25612'', ''26017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25613'', ''26018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25614'', ''26019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25615'', ''26020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25616'', ''26021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25617'', ''26022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25618'', ''26023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25619'', ''26024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25620'', ''26025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25621'', ''26026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25622'', ''26027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25623'', ''26028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25624'', ''26029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25625'', ''26030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25626'', ''26031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25627'', ''26032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25628'', ''26033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25629'', ''26034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25630'', ''26035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25631'', ''26036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25632'', ''26037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25633'', ''26038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25634'', ''26039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25635'', ''26040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25636'', ''26041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25637'', ''26042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25638'', ''26043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25639'', ''26044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25640'', ''26045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25641'', ''26046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25642'', ''26047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25643'', ''26048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25644'', ''26049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25645'', ''26050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25646'', ''26051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25647'', ''26052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25648'', ''26053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25649'', ''26054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25650'', ''26055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25651'', ''26056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25652'', ''26057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25653'', ''26058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25654'', ''26059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25655'', ''26060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25656'', ''26061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25657'', ''26062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25658'', ''26063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25659'', ''26064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25660'', ''26065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25661'', ''26066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25662'', ''26067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25663'', ''26068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25664'', ''26069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25665'', ''26070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25666'', ''26071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25667'', ''26072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25668'', ''26073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25669'', ''26074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25670'', ''26075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25671'', ''26076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25672'', ''26077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25673'', ''26078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25674'', ''26079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25675'', ''26080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25676'', ''26081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25677'', ''26082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25678'', ''26083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25679'', ''26084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25680'', ''26085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25681'', ''26086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25682'', ''26087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25683'', ''26088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25684'', ''26089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25685'', ''26090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25686'', ''26091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25687'', ''26092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25688'', ''26093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25689'', ''26094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25690'', ''26095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25691'', ''26096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25692'', ''26097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25693'', ''26098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25694'', ''26099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25695'', ''26100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25696'', ''26101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25697'', ''26102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25698'', ''26103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25699'', ''26104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25700'', ''26105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25701'', ''26106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25702'', ''26107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25703'', ''26108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25704'', ''26109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25705'', ''26110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25706'', ''26111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25707'', ''26112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25708'', ''26113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25709'', ''26114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25710'', ''26115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25711'', ''26116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25712'', ''26117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25713'', ''26118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25714'', ''26119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25715'', ''26120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25716'', ''26121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25717'', ''26122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25718'', ''26123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25719'', ''26124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25720'', ''26125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25721'', ''26126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25722'', ''26127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25723'', ''26128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25724'', ''26129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25725'', ''26130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25726'', ''26131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25727'', ''26132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25728'', ''26133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25729'', ''26134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25730'', ''26135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25731'', ''26136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25732'', ''26137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25733'', ''26138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25734'', ''26139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25735'', ''26140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25736'', ''26141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25737'', ''26142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25738'', ''26143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25739'', ''26144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25740'', ''26145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25741'', ''26146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25742'', ''26147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25743'', ''26148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25744'', ''26149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25745'', ''26150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25746'', ''26151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25747'', ''26152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25748'', ''26153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25749'', ''26154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25750'', ''26155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25751'', ''26156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25752'', ''26157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25753'', ''26158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25754'', ''26159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25755'', ''26160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25756'', ''26161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25757'', ''26162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25758'', ''26163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25759'', ''26164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25760'', ''26165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25761'', ''26166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25762'', ''26167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25763'', ''26168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25764'', ''26169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25765'', ''26170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25766'', ''26171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25767'', ''26172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25768'', ''26173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25769'', ''26174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25770'', ''26175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25771'', ''26176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25772'', ''26177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25773'', ''26178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25774'', ''26179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25775'', ''26180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25776'', ''26181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25777'', ''26182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25778'', ''26183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25779'', ''26184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25780'', ''26185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25781'', ''26186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25782'', ''26187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25783'', ''26188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25784'', ''26189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25785'', ''26190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25786'', ''26191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25787'', ''26192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25788'', ''26193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25789'', ''26194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25790'', ''26195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25791'', ''26196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25792'', ''26197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25793'', ''26198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25794'', ''26199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25795'', ''26200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25796'', ''26201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25797'', ''26202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25798'', ''26203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25799'', ''26204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25800'', ''26205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25801'', ''26206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25802'', ''26207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25803'', ''26208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25804'', ''26209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25805'', ''26210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25806'', ''26211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25807'', ''26212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25808'', ''26213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25809'', ''26214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25810'', ''26215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25811'', ''26216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25812'', ''26217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25813'', ''26218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25814'', ''26219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25815'', ''26220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25816'', ''26221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25817'', ''26222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25818'', ''26223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25819'', ''26224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25820'', ''26225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25821'', ''26226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25822'', ''26227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25823'', ''26228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25824'', ''26229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25825'', ''26230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25826'', ''26231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25827'', ''26232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25828'', ''26233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25829'', ''26234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25830'', ''26235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25831'', ''26236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25832'', ''26237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25833'', ''26238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25834'', ''26239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25835'', ''26240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25836'', ''26241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25837'', ''26242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25838'', ''26243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25839'', ''26244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25840'', ''26245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25841'', ''26246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25842'', ''26247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25843'', ''26248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25844'', ''26249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25845'', ''26250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25846'', ''26251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25847'', ''26252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25848'', ''26253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25849'', ''26254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25850'', ''26255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25851'', ''26256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25852'', ''26257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25853'', ''26258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25854'', ''26259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25855'', ''26260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25856'', ''26261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25857'', ''26262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25858'', ''26263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25859'', ''26264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25860'', ''26265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25861'', ''26266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25862'', ''26267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25863'', ''26268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25864'', ''26269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25865'', ''26270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25866'', ''26271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25867'', ''26272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25868'', ''26273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25869'', ''26274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25870'', ''26275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25871'', ''26276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25872'', ''26277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25873'', ''26278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25874'', ''26279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25875'', ''26280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25876'', ''26281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25877'', ''26282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25878'', ''26283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25879'', ''26284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25880'', ''26285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25881'', ''26286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25882'', ''26287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25883'', ''26288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25884'', ''26289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25885'', ''26290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25886'', ''26291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25887'', ''26292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25888'', ''26293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25889'', ''26294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25890'', ''26295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25891'', ''26296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25892'', ''26297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25893'', ''26298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25894'', ''26299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25895'', ''26300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25896'', ''26301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25897'', ''26302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25898'', ''26303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25899'', ''26304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25900'', ''26305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25901'', ''26306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25902'', ''26307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25903'', ''26308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25904'', ''26309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25905'', ''26310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25906'', ''26311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25907'', ''26312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25908'', ''26313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25909'', ''26314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25910'', ''26315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25911'', ''26316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25912'', ''26317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25913'', ''26318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25914'', ''26319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25915'', ''26320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25916'', ''26321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25917'', ''26322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25918'', ''26323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25919'', ''26324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25920'', ''26325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25921'', ''26326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25922'', ''26327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25923'', ''26328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25924'', ''26329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25925'', ''26330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25926'', ''26331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25927'', ''26332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25928'', ''26333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25929'', ''26334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25930'', ''26335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25931'', ''26336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25932'', ''26337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25933'', ''26338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25934'', ''26339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25935'', ''26340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25936'', ''26341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25937'', ''26342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25938'', ''26343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25939'', ''26344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25940'', ''26345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25941'', ''26346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25942'', ''26347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25943'', ''26348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25944'', ''26349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25945'', ''26350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25946'', ''26351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25947'', ''26352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25948'', ''26353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25949'', ''26354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25950'', ''26355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25951'', ''26356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25952'', ''26357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25953'', ''26358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25954'', ''26359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25955'', ''26360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25956'', ''26361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25957'', ''26362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25958'', ''26363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25959'', ''26364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25960'', ''26365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25961'', ''26366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25962'', ''26367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25963'', ''26368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25964'', ''26369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25965'', ''26370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25966'', ''26371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25967'', ''26372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25968'', ''26373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25969'', ''26374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25970'', ''26375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25971'', ''26376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25972'', ''26377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25973'', ''26378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25974'', ''26379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25975'', ''26380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25976'', ''26381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25977'', ''26382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25978'', ''26383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25979'', ''26384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25980'', ''26385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25981'', ''26386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25982'', ''26387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25983'', ''26388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25984'', ''26389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25985'', ''26390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25986'', ''26391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25987'', ''26392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25988'', ''26393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25989'', ''26394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25990'', ''26395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25991'', ''26396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25992'', ''26397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25993'', ''26398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25994'', ''26399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25995'', ''26400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25996'', ''26401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25997'', ''26402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25998'', ''26403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''25999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25999'', ''26404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26000'', ''26405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26001'', ''26406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26002'', ''26407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26003'', ''26408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26004'', ''26409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26005'', ''26410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26006'', ''26411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26007'', ''26412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26008'', ''26413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26009'', ''26414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26010'', ''26415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26011'', ''26416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26012'', ''26417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26013'', ''26418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26014'', ''26419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26015'', ''26420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26016'', ''26421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26017'', ''26422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26018'', ''26423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26019'', ''26424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26020'', ''26425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26021'', ''26426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26022'', ''26427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26023'', ''26428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26024'', ''26429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26025'', ''26430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26026'', ''26431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26027'', ''26432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26028'', ''26433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26029'', ''26434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26030'', ''26435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26031'', ''26436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26032'', ''26437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26033'', ''26438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26034'', ''26439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26035'', ''26440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26036'', ''26441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26037'', ''26442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26038'', ''26443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26039'', ''26444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26040'', ''26445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26041'', ''26446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26042'', ''26447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26043'', ''26448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26044'', ''26449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26045'', ''26450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26046'', ''26451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26047'', ''26452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26048'', ''26453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26049'', ''26454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26050'', ''26455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26051'', ''26456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26052'', ''26457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26053'', ''26458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26054'', ''26459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26055'', ''26460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26056'', ''26461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26057'', ''26462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26058'', ''26463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26059'', ''26464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26060'', ''26465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26061'', ''26466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26062'', ''26467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26063'', ''26468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26064'', ''26469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26065'', ''26470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26066'', ''26471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26067'', ''26472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26068'', ''26473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26069'', ''26474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26070'', ''26475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26071'', ''26476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26072'', ''26477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26073'', ''26478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26074'', ''26479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26075'', ''26480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26076'', ''26481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26077'', ''26482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26078'', ''26483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26079'', ''26484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26080'', ''26485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26081'', ''26486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26082'', ''26487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26083'', ''26488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26084'', ''26489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26085'', ''26490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26086'', ''26491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26087'', ''26492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26088'', ''26493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26089'', ''26494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26090'', ''26495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26091'', ''26496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26092'', ''26497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26093'', ''26498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26094'', ''26499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26095'', ''26500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26096'', ''26501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26097'', ''26502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26098'', ''26503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26099'', ''26504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26100'', ''26505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26101'', ''26506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26102'', ''26507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26103'', ''26508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26104'', ''26509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26105'', ''26510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26106'', ''26511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26107'', ''26512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26108'', ''26513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26109'', ''26514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26110'', ''26515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26111'', ''26516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26112'', ''26517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26113'', ''26518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26114'', ''26519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26115'', ''26520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26116'', ''26521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26117'', ''26522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26118'', ''26523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26119'', ''26524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26120'', ''26525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26121'', ''26526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26122'', ''26527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26123'', ''26528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26124'', ''26529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26125'', ''26530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26126'', ''26531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26127'', ''26532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26128'', ''26533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26129'', ''26534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26130'', ''26535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26131'', ''26536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26132'', ''26537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26133'', ''26538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26134'', ''26539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26135'', ''26540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26136'', ''26541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26137'', ''26542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26138'', ''26543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26139'', ''26544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26140'', ''26545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26141'', ''26546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26142'', ''26547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26143'', ''26548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26144'', ''26549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26145'', ''26550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26146'', ''26551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26147'', ''26552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26148'', ''26553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26149'', ''26554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26150'', ''26555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26151'', ''26556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26152'', ''26557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26153'', ''26558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26154'', ''26559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26155'', ''26560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26156'', ''26561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26157'', ''26562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26158'', ''26563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26159'', ''26564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26160'', ''26565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26161'', ''26566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26162'', ''26567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26163'', ''26568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26164'', ''26569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26165'', ''26570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26166'', ''26571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26167'', ''26572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26168'', ''26573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26169'', ''26574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26170'', ''26575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26171'', ''26576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26172'', ''26577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26173'', ''26578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26174'', ''26579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26175'', ''26580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26176'', ''26581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26177'', ''26582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26178'', ''26583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26179'', ''26584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26180'', ''26585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26181'', ''26586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26182'', ''26587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26183'', ''26588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26184'', ''26589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26185'', ''26590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26186'', ''26591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26187'', ''26592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26188'', ''26593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26189'', ''26594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26190'', ''26595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26191'', ''26596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26192'', ''26597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26193'', ''26598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26194'', ''26599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26195'', ''26600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26196'', ''26601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26197'', ''26602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26198'', ''26603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26199'', ''26604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26200'', ''26605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26201'', ''26606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26202'', ''26607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26203'', ''26608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26204'', ''26609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26205'', ''26610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26206'', ''26611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26207'', ''26612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26208'', ''26613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26209'', ''26614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26210'', ''26615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26211'', ''26616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26212'', ''26617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26213'', ''26618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26214'', ''26619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26215'', ''26620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26216'', ''26621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26217'', ''26622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26218'', ''26623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26219'', ''26624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26220'', ''26625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26221'', ''26626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26222'', ''26627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26223'', ''26628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26224'', ''26629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26225'', ''26630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26226'', ''26631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26227'', ''26632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26228'', ''26633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26229'', ''26634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26230'', ''26635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26231'', ''26636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26232'', ''26637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26233'', ''26638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26234'', ''26639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26235'', ''26640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26236'', ''26641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26237'', ''26642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26238'', ''26643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26239'', ''26644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26240'', ''26645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26241'', ''26646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26242'', ''26647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26243'', ''26648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26244'', ''26649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26245'', ''26650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26246'', ''26651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26247'', ''26652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26248'', ''26653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26249'', ''26654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26250'', ''26655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26251'', ''26656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26252'', ''26657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26253'', ''26658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26254'', ''26659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26255'', ''26660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26256'', ''26661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26257'', ''26662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26258'', ''26663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26259'', ''26664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26260'', ''26665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26261'', ''26666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26262'', ''26667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26263'', ''26668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26264'', ''26669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26265'', ''26670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26266'', ''26671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26267'', ''26672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26268'', ''26673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26269'', ''26674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26270'', ''26675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26271'', ''26676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26272'', ''26677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26273'', ''26678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26274'', ''26679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26275'', ''26680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26276'', ''26681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26277'', ''26682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26278'', ''26683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26279'', ''26684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26280'', ''26685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26281'', ''26686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26282'', ''26687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26283'', ''26688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26284'', ''26689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26285'', ''26690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26286'', ''26691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26287'', ''26692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26288'', ''26693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26289'', ''26694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26290'', ''26695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26291'', ''26696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26292'', ''26697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26293'', ''26698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26294'', ''26699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26295'', ''26700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26296'', ''26701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26297'', ''26702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26298'', ''26703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26299'', ''26704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26300'', ''26705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26301'', ''26706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26302'', ''26707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26303'', ''26708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26304'', ''26709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26305'', ''26710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26306'', ''26711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26307'', ''26712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26308'', ''26713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26309'', ''26714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26310'', ''26715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26311'', ''26716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26312'', ''26717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26313'', ''26718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26314'', ''26719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26315'', ''26720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26316'', ''26721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26317'', ''26722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26318'', ''26723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26319'', ''26724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26320'', ''26725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26321'', ''26726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26322'', ''26727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26323'', ''26728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26324'', ''26729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26325'', ''26730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26326'', ''26731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26327'', ''26732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26328'', ''26733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26329'', ''26734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26330'', ''26735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26331'', ''26736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26332'', ''26737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26333'', ''26738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26334'', ''26739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26335'', ''26740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26336'', ''26741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26337'', ''26742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26338'', ''26743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26339'', ''26744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26340'', ''26745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26341'', ''26746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26342'', ''26747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26343'', ''26748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26344'', ''26749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26345'', ''26750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26346'', ''26751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26347'', ''26752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26348'', ''26753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26349'', ''26754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26350'', ''26755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26351'', ''26756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26352'', ''26757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26353'', ''26758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26354'', ''26759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26355'', ''26760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26356'', ''26761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26357'', ''26762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26358'', ''26763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26359'', ''26764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26360'', ''26765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26361'', ''26766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26362'', ''26767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26363'', ''26768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26364'', ''26769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26365'', ''26770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26366'', ''26771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26367'', ''26772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26368'', ''26773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26369'', ''26774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26370'', ''26775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26371'', ''26776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26372'', ''26777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26373'', ''26778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26374'', ''26779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26375'', ''26780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26376'', ''26781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26377'', ''26782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26378'', ''26783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26379'', ''26784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26380'', ''26785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26381'', ''26786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26382'', ''26787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26383'', ''26788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26384'', ''26789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26385'', ''26790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26386'', ''26791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26387'', ''26792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26388'', ''26793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26389'', ''26794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26390'', ''26795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26391'', ''26796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26392'', ''26797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26393'', ''26798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26394'', ''26799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26395'', ''26800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26396'', ''26801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26397'', ''26802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26398'', ''26803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26399'', ''26804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26400'', ''26805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26401'', ''26806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26402'', ''26807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26403'', ''26808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26404'', ''26809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26405'', ''26810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26406'', ''26811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26407'', ''26812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26408'', ''26813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26409'', ''26814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26410'', ''26815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26411'', ''26816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26412'', ''26817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26413'', ''26818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26414'', ''26819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26415'', ''26820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26416'', ''26821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26417'', ''26822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26418'', ''26823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26419'', ''26824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26420'', ''26825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26421'', ''26826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26422'', ''26827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26423'', ''26828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26424'', ''26829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26425'', ''26830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26426'', ''26831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26427'', ''26832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26428'', ''26833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26429'', ''26834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26430'', ''26835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26431'', ''26836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26432'', ''26837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26433'', ''26838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26434'', ''26839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26435'', ''26840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26436'', ''26841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26437'', ''26842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26438'', ''26843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26439'', ''26844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26440'', ''26845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26441'', ''26846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26442'', ''26847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26443'', ''26848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26444'', ''26849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26445'', ''26850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26446'', ''26851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26447'', ''26852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26448'', ''26853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26449'', ''26854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26450'', ''26855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26451'', ''26856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26452'', ''26857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26453'', ''26858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26454'', ''26859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26455'', ''26860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26456'', ''26861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26457'', ''26862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26458'', ''26863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26459'', ''26864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26460'', ''26865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26461'', ''26866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26462'', ''26867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26463'', ''26868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26464'', ''26869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26465'', ''26870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26466'', ''26871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26467'', ''26872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26468'', ''26873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26469'', ''26874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26470'', ''26875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26471'', ''26876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26472'', ''26877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26473'', ''26878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26474'', ''26879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26475'', ''26880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26476'', ''26881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26477'', ''26882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26478'', ''26883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26479'', ''26884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26480'', ''26885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26481'', ''26886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26482'', ''26887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26483'', ''26888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26484'', ''26889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26485'', ''26890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26486'', ''26891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26487'', ''26892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26488'', ''26893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26489'', ''26894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26490'', ''26895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26491'', ''26896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26492'', ''26897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26493'', ''26898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26494'', ''26899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26495'', ''26900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26496'', ''26901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26497'', ''26902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26498'', ''26903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26499'', ''26904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26500'', ''26905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26501'', ''26906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26502'', ''26907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26503'', ''26908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26504'', ''26909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26505'', ''26910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26506'', ''26911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26507'', ''26912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26508'', ''26913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26509'', ''26914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26510'', ''26915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26511'', ''26916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26512'', ''26917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26513'', ''26918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26514'', ''26919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26515'', ''26920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26516'', ''26921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26517'', ''26922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26518'', ''26923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26519'', ''26924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26520'', ''26925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26521'', ''26926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26522'', ''26927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26523'', ''26928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26524'', ''26929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26525'', ''26930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26526'', ''26931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26527'', ''26932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26528'', ''26933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26529'', ''26934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26530'', ''26935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26531'', ''26936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26532'', ''26937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26533'', ''26938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26534'', ''26939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26535'', ''26940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26536'', ''26941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26537'', ''26942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26538'', ''26943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26539'', ''26944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26540'', ''26945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26541'', ''26946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26542'', ''26947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26543'', ''26948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26544'', ''26949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26545'', ''26950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26546'', ''26951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26547'', ''26952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26548'', ''26953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26549'', ''26954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26550'', ''26955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26551'', ''26956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26552'', ''26957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26553'', ''26958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26554'', ''26959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26555'', ''26960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26556'', ''26961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26557'', ''26962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26558'', ''26963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26559'', ''26964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26560'', ''26965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26561'', ''26966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26562'', ''26967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26563'', ''26968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26564'', ''26969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26565'', ''26970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26566'', ''26971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26567'', ''26972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26568'', ''26973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26569'', ''26974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26570'', ''26975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26571'', ''26976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26572'', ''26977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26573'', ''26978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26574'', ''26979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26575'', ''26980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26576'', ''26981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26577'', ''26982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26578'', ''26983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26579'', ''26984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26580'', ''26985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26581'', ''26986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26582'', ''26987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26583'', ''26988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26584'', ''26989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26585'', ''26990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26586'', ''26991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26587'', ''26992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26588'', ''26993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26589'', ''26994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26590'', ''26995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26591'', ''26996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26592'', ''26997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26593'', ''26998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26594'', ''26999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26595'', ''27000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26596'', ''27001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26597'', ''27002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26598'', ''27003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26599'', ''27004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26600'', ''27005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26601'', ''27006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26602'', ''27007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26603'', ''27008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26604'', ''27009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26605'', ''27010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26606'', ''27011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26607'', ''27012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26608'', ''27013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26609'', ''27014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26610'', ''27015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26611'', ''27016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26612'', ''27017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26613'', ''27018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26614'', ''27019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26615'', ''27020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26616'', ''27021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26617'', ''27022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26618'', ''27023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26619'', ''27024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26620'', ''27025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26621'', ''27026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26622'', ''27027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26623'', ''27028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26624'', ''27029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26625'', ''27030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26626'', ''27031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26627'', ''27032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26628'', ''27033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26629'', ''27034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26630'', ''27035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26631'', ''27036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26632'', ''27037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26633'', ''27038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26634'', ''27039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26635'', ''27040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26636'', ''27041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26637'', ''27042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26638'', ''27043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26639'', ''27044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26640'', ''27045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26641'', ''27046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26642'', ''27047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26643'', ''27048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26644'', ''27049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26645'', ''27050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26646'', ''27051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26647'', ''27052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26648'', ''27053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26649'', ''27054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26650'', ''27055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26651'', ''27056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26652'', ''27057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26653'', ''27058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26654'', ''27059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26655'', ''27060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26656'', ''27061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26657'', ''27062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26658'', ''27063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26659'', ''27064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26660'', ''27065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26661'', ''27066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26662'', ''27067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26663'', ''27068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26664'', ''27069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26665'', ''27070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26666'', ''27071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26667'', ''27072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26668'', ''27073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26669'', ''27074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26670'', ''27075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26671'', ''27076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26672'', ''27077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26673'', ''27078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26674'', ''27079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26675'', ''27080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26676'', ''27081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26677'', ''27082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26678'', ''27083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26679'', ''27084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26680'', ''27085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26681'', ''27086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26682'', ''27087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26683'', ''27088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26684'', ''27089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26685'', ''27090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26686'', ''27091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26687'', ''27092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26688'', ''27093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26689'', ''27094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26690'', ''27095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26691'', ''27096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26692'', ''27097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26693'', ''27098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26694'', ''27099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26695'', ''27100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26696'', ''27101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26697'', ''27102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26698'', ''27103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26699'', ''27104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26700'', ''27105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26701'', ''27106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26702'', ''27107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26703'', ''27108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26704'', ''27109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26705'', ''27110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26706'', ''27111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26707'', ''27112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26708'', ''27113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26709'', ''27114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26710'', ''27115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26711'', ''27116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26712'', ''27117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26713'', ''27118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26714'', ''27119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26715'', ''27120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26716'', ''27121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26717'', ''27122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26718'', ''27123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26719'', ''27124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26720'', ''27125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26721'', ''27126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26722'', ''27127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26723'', ''27128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26724'', ''27129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26725'', ''27130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26726'', ''27131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26727'', ''27132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26728'', ''27133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26729'', ''27134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26730'', ''27135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26731'', ''27136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26732'', ''27137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26733'', ''27138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26734'', ''27139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26735'', ''27140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26736'', ''27141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26737'', ''27142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26738'', ''27143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26739'', ''27144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26740'', ''27145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26741'', ''27146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26742'', ''27147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26743'', ''27148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26744'', ''27149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26745'', ''27150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26746'', ''27151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26747'', ''27152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26748'', ''27153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26749'', ''27154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26750'', ''27155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26751'', ''27156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26752'', ''27157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26753'', ''27158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26754'', ''27159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26755'', ''27160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26756'', ''27161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26757'', ''27162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26758'', ''27163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26759'', ''27164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26760'', ''27165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26761'', ''27166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26762'', ''27167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26763'', ''27168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26764'', ''27169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26765'', ''27170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26766'', ''27171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26767'', ''27172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26768'', ''27173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26769'', ''27174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26770'', ''27175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26771'', ''27176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26772'', ''27177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26773'', ''27178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26774'', ''27179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26775'', ''27180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26776'', ''27181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26777'', ''27182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26778'', ''27183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26779'', ''27184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26780'', ''27185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26781'', ''27186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26782'', ''27187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26783'', ''27188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26784'', ''27189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26785'', ''27190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26786'', ''27191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26787'', ''27192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26788'', ''27193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26789'', ''27194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26790'', ''27195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26791'', ''27196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26792'', ''27197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26793'', ''27198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26794'', ''27199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26795'', ''27200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26796'', ''27201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26797'', ''27202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26798'', ''27203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26799'', ''27204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26800'', ''27205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26801'', ''27206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26802'', ''27207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26803'', ''27208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26804'', ''27209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26805'', ''27210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26806'', ''27211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26807'', ''27212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26808'', ''27213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26809'', ''27214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26810'', ''27215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26811'', ''27216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26812'', ''27217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26813'', ''27218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26814'', ''27219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26815'', ''27220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26816'', ''27221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26817'', ''27222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26818'', ''27223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26819'', ''27224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26820'', ''27225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26821'', ''27226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26822'', ''27227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26823'', ''27228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26824'', ''27229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26825'', ''27230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26826'', ''27231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26827'', ''27232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26828'', ''27233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26829'', ''27234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26830'', ''27235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26831'', ''27236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26832'', ''27237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26833'', ''27238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26834'', ''27239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26835'', ''27240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26836'', ''27241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26837'', ''27242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26838'', ''27243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26839'', ''27244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26840'', ''27245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26841'', ''27246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26842'', ''27247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26843'', ''27248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26844'', ''27249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26845'', ''27250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26846'', ''27251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26847'', ''27252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26848'', ''27253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26849'', ''27254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26850'', ''27255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26851'', ''27256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26852'', ''27257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26853'', ''27258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26854'', ''27259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26855'', ''27260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26856'', ''27261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26857'', ''27262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26858'', ''27263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26859'', ''27264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26860'', ''27265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26861'', ''27266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26862'', ''27267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26863'', ''27268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26864'', ''27269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26865'', ''27270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26866'', ''27271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26867'', ''27272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26868'', ''27273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26869'', ''27274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26870'', ''27275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26871'', ''27276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26872'', ''27277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26873'', ''27278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26874'', ''27279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26875'', ''27280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26876'', ''27281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26877'', ''27282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26878'', ''27283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26879'', ''27284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26880'', ''27285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26881'', ''27286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26882'', ''27287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26883'', ''27288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26884'', ''27289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26885'', ''27290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26886'', ''27291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26887'', ''27292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26888'', ''27293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26889'', ''27294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26890'', ''27295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26891'', ''27296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26892'', ''27297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26893'', ''27298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26894'', ''27299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26895'', ''27300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26896'', ''27301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26897'', ''27302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26898'', ''27303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26899'', ''27304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26900'', ''27305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26901'', ''27306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26902'', ''27307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26903'', ''27308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26904'', ''27309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26905'', ''27310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26906'', ''27311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26907'', ''27312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26908'', ''27313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26909'', ''27314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26910'', ''27315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26911'', ''27316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26912'', ''27317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26913'', ''27318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26914'', ''27319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26915'', ''27320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26916'', ''27321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26917'', ''27322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26918'', ''27323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26919'', ''27324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26920'', ''27325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26921'', ''27326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26922'', ''27327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26923'', ''27328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26924'', ''27329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26925'', ''27330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26926'', ''27331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26927'', ''27332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26928'', ''27333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26929'', ''27334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26930'', ''27335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26931'', ''27336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26932'', ''27337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26933'', ''27338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26934'', ''27339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26935'', ''27340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26936'', ''27341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26937'', ''27342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26938'', ''27343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26939'', ''27344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26940'', ''27345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26941'', ''27346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26942'', ''27347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26943'', ''27348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26944'', ''27349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26945'', ''27350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26946'', ''27351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26947'', ''27352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26948'', ''27353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26949'', ''27354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26950'', ''27355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26951'', ''27356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26952'', ''27357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26953'', ''27358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26954'', ''27359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26955'', ''27360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26956'', ''27361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26957'', ''27362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26958'', ''27363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26959'', ''27364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26960'', ''27365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26961'', ''27366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26962'', ''27367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26963'', ''27368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26964'', ''27369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26965'', ''27370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26966'', ''27371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26967'', ''27372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26968'', ''27373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26969'', ''27374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26970'', ''27375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26971'', ''27376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26972'', ''27377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26973'', ''27378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26974'', ''27379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26975'', ''27380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26976'', ''27381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26977'', ''27382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26978'', ''27383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26979'', ''27384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26980'', ''27385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26981'', ''27386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26982'', ''27387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26983'', ''27388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26984'', ''27389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26985'', ''27390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26986'', ''27391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26987'', ''27392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26988'', ''27393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26989'', ''27394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26990'', ''27395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26991'', ''27396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26992'', ''27397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26993'', ''27398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26994'', ''27399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26995'', ''27400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26996'', ''27401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26997'', ''27402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26998'', ''27403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''26999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26999'', ''27404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27000'', ''27405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27001'', ''27406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27002'', ''27407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27003'', ''27408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27004'', ''27409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27005'', ''27410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27006'', ''27411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27007'', ''27412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27008'', ''27413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27009'', ''27414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27010'', ''27415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27011'', ''27416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27012'', ''27417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27013'', ''27418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27014'', ''27419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27015'', ''27420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27016'', ''27421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27017'', ''27422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27018'', ''27423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27019'', ''27424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27020'', ''27425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27021'', ''27426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27022'', ''27427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27023'', ''27428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27024'', ''27429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27025'', ''27430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27026'', ''27431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27027'', ''27432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27028'', ''27433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27029'', ''27434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27030'', ''27435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27031'', ''27436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27032'', ''27437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27033'', ''27438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27034'', ''27439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27035'', ''27440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27036'', ''27441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27037'', ''27442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27038'', ''27443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27039'', ''27444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27040'', ''27445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27041'', ''27446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27042'', ''27447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27043'', ''27448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27044'', ''27449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27045'', ''27450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27046'', ''27451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27047'', ''27452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27048'', ''27453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27049'', ''27454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27050'', ''27455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27051'', ''27456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27052'', ''27457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27053'', ''27458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27054'', ''27459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27055'', ''27460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27056'', ''27461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27057'', ''27462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27058'', ''27463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27059'', ''27464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27060'', ''27465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27061'', ''27466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27062'', ''27467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27063'', ''27468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27064'', ''27469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27065'', ''27470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27066'', ''27471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27067'', ''27472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27068'', ''27473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27069'', ''27474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27070'', ''27475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27071'', ''27476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27072'', ''27477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27073'', ''27478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27074'', ''27479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27075'', ''27480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27076'', ''27481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27077'', ''27482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27078'', ''27483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27079'', ''27484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27080'', ''27485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27081'', ''27486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27082'', ''27487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27083'', ''27488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27084'', ''27489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27085'', ''27490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27086'', ''27491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27087'', ''27492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27088'', ''27493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27089'', ''27494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27090'', ''27495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27091'', ''27496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27092'', ''27497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27093'', ''27498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27094'', ''27499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27095'', ''27500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27096'', ''27501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27097'', ''27502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27098'', ''27503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27099'', ''27504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27100'', ''27505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27101'', ''27506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27102'', ''27507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27103'', ''27508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27104'', ''27509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27105'', ''27510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27106'', ''27511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27107'', ''27512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27108'', ''27513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27109'', ''27514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27110'', ''27515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27111'', ''27516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27112'', ''27517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27113'', ''27518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27114'', ''27519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27115'', ''27520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27116'', ''27521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27117'', ''27522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27118'', ''27523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27119'', ''27524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27120'', ''27525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27121'', ''27526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27122'', ''27527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27123'', ''27528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27124'', ''27529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27125'', ''27530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27126'', ''27531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27127'', ''27532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27128'', ''27533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27129'', ''27534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27130'', ''27535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27131'', ''27536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27132'', ''27537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27133'', ''27538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27134'', ''27539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27135'', ''27540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27136'', ''27541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27137'', ''27542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27138'', ''27543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27139'', ''27544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27140'', ''27545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27141'', ''27546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27142'', ''27547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27143'', ''27548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27144'', ''27549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27145'', ''27550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27146'', ''27551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27147'', ''27552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27148'', ''27553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27149'', ''27554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27150'', ''27555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27151'', ''27556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27152'', ''27557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27153'', ''27558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27154'', ''27559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27155'', ''27560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27156'', ''27561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27157'', ''27562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27158'', ''27563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27159'', ''27564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27160'', ''27565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27161'', ''27566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27162'', ''27567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27163'', ''27568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27164'', ''27569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27165'', ''27570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27166'', ''27571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27167'', ''27572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27168'', ''27573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27169'', ''27574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27170'', ''27575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27171'', ''27576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27172'', ''27577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27173'', ''27578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27174'', ''27579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27175'', ''27580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27176'', ''27581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27177'', ''27582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27178'', ''27583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27179'', ''27584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27180'', ''27585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27181'', ''27586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27182'', ''27587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27183'', ''27588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27184'', ''27589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27185'', ''27590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27186'', ''27591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27187'', ''27592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27188'', ''27593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27189'', ''27594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27190'', ''27595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27191'', ''27596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27192'', ''27597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27193'', ''27598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27194'', ''27599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27195'', ''27600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27196'', ''27601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27197'', ''27602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27198'', ''27603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27199'', ''27604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27200'', ''27605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27201'', ''27606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27202'', ''27607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27203'', ''27608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27204'', ''27609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27205'', ''27610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27206'', ''27611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27207'', ''27612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27208'', ''27613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27209'', ''27614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27210'', ''27615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27211'', ''27616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27212'', ''27617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27213'', ''27618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27214'', ''27619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27215'', ''27620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27216'', ''27621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27217'', ''27622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27218'', ''27623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27219'', ''27624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27220'', ''27625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27221'', ''27626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27222'', ''27627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27223'', ''27628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27224'', ''27629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27225'', ''27630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27226'', ''27631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27227'', ''27632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27228'', ''27633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27229'', ''27634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27230'', ''27635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27231'', ''27636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27232'', ''27637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27233'', ''27638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27234'', ''27639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27235'', ''27640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27236'', ''27641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27237'', ''27642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27238'', ''27643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27239'', ''27644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27240'', ''27645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27241'', ''27646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27242'', ''27647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27243'', ''27648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27244'', ''27649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27245'', ''27650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27246'', ''27651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27247'', ''27652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27248'', ''27653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27249'', ''27654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27250'', ''27655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27251'', ''27656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27252'', ''27657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27253'', ''27658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27254'', ''27659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27255'', ''27660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27256'', ''27661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27257'', ''27662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27258'', ''27663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27259'', ''27664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27260'', ''27665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27261'', ''27666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27262'', ''27667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27263'', ''27668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27264'', ''27669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27265'', ''27670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27266'', ''27671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27267'', ''27672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27268'', ''27673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27269'', ''27674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27270'', ''27675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27271'', ''27676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27272'', ''27677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27273'', ''27678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27274'', ''27679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27275'', ''27680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27276'', ''27681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27277'', ''27682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27278'', ''27683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27279'', ''27684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27280'', ''27685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27281'', ''27686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27282'', ''27687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27283'', ''27688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27284'', ''27689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27285'', ''27690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27286'', ''27691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27287'', ''27692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27288'', ''27693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27289'', ''27694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27290'', ''27695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27291'', ''27696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27292'', ''27697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27293'', ''27698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27294'', ''27699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27295'', ''27700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27296'', ''27701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27297'', ''27702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27298'', ''27703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27299'', ''27704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27300'', ''27705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27301'', ''27706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27302'', ''27707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27303'', ''27708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27304'', ''27709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27305'', ''27710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27306'', ''27711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27307'', ''27712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27308'', ''27713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27309'', ''27714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27310'', ''27715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27311'', ''27716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27312'', ''27717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27313'', ''27718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27314'', ''27719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27315'', ''27720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27316'', ''27721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27317'', ''27722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27318'', ''27723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27319'', ''27724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27320'', ''27725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27321'', ''27726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27322'', ''27727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27323'', ''27728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27324'', ''27729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27325'', ''27730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27326'', ''27731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27327'', ''27732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27328'', ''27733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27329'', ''27734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27330'', ''27735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27331'', ''27736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27332'', ''27737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27333'', ''27738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27334'', ''27739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27335'', ''27740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27336'', ''27741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27337'', ''27742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27338'', ''27743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27339'', ''27744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27340'', ''27745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27341'', ''27746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27342'', ''27747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27343'', ''27748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27344'', ''27749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27345'', ''27750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27346'', ''27751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27347'', ''27752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27348'', ''27753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27349'', ''27754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27350'', ''27755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27351'', ''27756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27352'', ''27757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27353'', ''27758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27354'', ''27759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27355'', ''27760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27356'', ''27761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27357'', ''27762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27358'', ''27763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27359'', ''27764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27360'', ''27765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27361'', ''27766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27362'', ''27767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27363'', ''27768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27364'', ''27769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27365'', ''27770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27366'', ''27771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27367'', ''27772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27368'', ''27773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27369'', ''27774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27370'', ''27775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27371'', ''27776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27372'', ''27777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27373'', ''27778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27374'', ''27779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27375'', ''27780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27376'', ''27781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27377'', ''27782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27378'', ''27783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27379'', ''27784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27380'', ''27785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27381'', ''27786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27382'', ''27787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27383'', ''27788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27384'', ''27789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27385'', ''27790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27386'', ''27791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27387'', ''27792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27388'', ''27793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27389'', ''27794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27390'', ''27795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27391'', ''27796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27392'', ''27797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27393'', ''27798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27394'', ''27799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27395'', ''27800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27396'', ''27801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27397'', ''27802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27398'', ''27803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27399'', ''27804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27400'', ''27805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27401'', ''27806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27402'', ''27807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27403'', ''27808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27404'', ''27809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27405'', ''27810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27406'', ''27811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27407'', ''27812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27408'', ''27813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27409'', ''27814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27410'', ''27815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27411'', ''27816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27412'', ''27817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27413'', ''27818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27414'', ''27819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27415'', ''27820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27416'', ''27821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27417'', ''27822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27418'', ''27823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27419'', ''27824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27420'', ''27825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27421'', ''27826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27422'', ''27827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27423'', ''27828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27424'', ''27829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27425'', ''27830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27426'', ''27831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27427'', ''27832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27428'', ''27833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27429'', ''27834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27430'', ''27835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27431'', ''27836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27432'', ''27837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27433'', ''27838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27434'', ''27839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27435'', ''27840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27436'', ''27841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27437'', ''27842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27438'', ''27843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27439'', ''27844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27440'', ''27845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27441'', ''27846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27442'', ''27847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27443'', ''27848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27444'', ''27849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27445'', ''27850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27446'', ''27851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27447'', ''27852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27448'', ''27853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27449'', ''27854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27450'', ''27855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27451'', ''27856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27452'', ''27857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27453'', ''27858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27454'', ''27859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27455'', ''27860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27456'', ''27861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27457'', ''27862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27458'', ''27863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27459'', ''27864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27460'', ''27865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27461'', ''27866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27462'', ''27867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27463'', ''27868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27464'', ''27869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27465'', ''27870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27466'', ''27871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27467'', ''27872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27468'', ''27873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27469'', ''27874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27470'', ''27875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27471'', ''27876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27472'', ''27877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27473'', ''27878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27474'', ''27879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27475'', ''27880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27476'', ''27881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27477'', ''27882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27478'', ''27883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27479'', ''27884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27480'', ''27885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27481'', ''27886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27482'', ''27887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27483'', ''27888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27484'', ''27889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27485'', ''27890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27486'', ''27891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27487'', ''27892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27488'', ''27893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27489'', ''27894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27490'', ''27895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27491'', ''27896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27492'', ''27897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27493'', ''27898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27494'', ''27899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27495'', ''27900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27496'', ''27901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27497'', ''27902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27498'', ''27903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27499'', ''27904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27500'', ''27905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27501'', ''27906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27502'', ''27907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27503'', ''27908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27504'', ''27909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27505'', ''27910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27506'', ''27911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27507'', ''27912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27508'', ''27913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27509'', ''27914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27510'', ''27915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27511'', ''27916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27512'', ''27917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27513'', ''27918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27514'', ''27919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27515'', ''27920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27516'', ''27921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27517'', ''27922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27518'', ''27923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27519'', ''27924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27520'', ''27925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27521'', ''27926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27522'', ''27927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27523'', ''27928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27524'', ''27929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27525'', ''27930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27526'', ''27931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27527'', ''27932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27528'', ''27933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27529'', ''27934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27530'', ''27935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27531'', ''27936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27532'', ''27937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27533'', ''27938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27534'', ''27939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27535'', ''27940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27536'', ''27941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27537'', ''27942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27538'', ''27943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27539'', ''27944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27540'', ''27945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27541'', ''27946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27542'', ''27947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27543'', ''27948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27544'', ''27949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27545'', ''27950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27546'', ''27951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27547'', ''27952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27548'', ''27953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27549'', ''27954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27550'', ''27955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27551'', ''27956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27552'', ''27957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27553'', ''27958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27554'', ''27959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27555'', ''27960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27556'', ''27961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27557'', ''27962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27558'', ''27963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27559'', ''27964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27560'', ''27965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27561'', ''27966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27562'', ''27967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27563'', ''27968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27564'', ''27969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27565'', ''27970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27566'', ''27971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27567'', ''27972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27568'', ''27973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27569'', ''27974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27570'', ''27975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27571'', ''27976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27572'', ''27977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27573'', ''27978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27574'', ''27979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27575'', ''27980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27576'', ''27981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27577'', ''27982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27578'', ''27983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27579'', ''27984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27580'', ''27985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27581'', ''27986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27582'', ''27987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27583'', ''27988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27584'', ''27989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27585'', ''27990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27586'', ''27991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27587'', ''27992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27588'', ''27993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27589'', ''27994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27590'', ''27995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27591'', ''27996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27592'', ''27997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27593'', ''27998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27594'', ''27999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27595'', ''28000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27596'', ''28001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27597'', ''28002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27598'', ''28003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27599'', ''28004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27600'', ''28005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27601'', ''28006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27602'', ''28007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27603'', ''28008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27604'', ''28009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27605'', ''28010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27606'', ''28011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27607'', ''28012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27608'', ''28013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27609'', ''28014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27610'', ''28015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27611'', ''28016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27612'', ''28017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27613'', ''28018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27614'', ''28019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27615'', ''28020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27616'', ''28021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27617'', ''28022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27618'', ''28023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27619'', ''28024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27620'', ''28025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27621'', ''28026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27622'', ''28027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27623'', ''28028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27624'', ''28029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27625'', ''28030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27626'', ''28031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27627'', ''28032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27628'', ''28033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27629'', ''28034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27630'', ''28035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27631'', ''28036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27632'', ''28037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27633'', ''28038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27634'', ''28039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27635'', ''28040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27636'', ''28041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27637'', ''28042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27638'', ''28043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27639'', ''28044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27640'', ''28045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27641'', ''28046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27642'', ''28047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27643'', ''28048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27644'', ''28049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27645'', ''28050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27646'', ''28051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27647'', ''28052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27648'', ''28053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27649'', ''28054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27650'', ''28055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27651'', ''28056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27652'', ''28057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27653'', ''28058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27654'', ''28059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27655'', ''28060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27656'', ''28061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27657'', ''28062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27658'', ''28063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27659'', ''28064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27660'', ''28065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27661'', ''28066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27662'', ''28067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27663'', ''28068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27664'', ''28069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27665'', ''28070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27666'', ''28071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27667'', ''28072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27668'', ''28073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27669'', ''28074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27670'', ''28075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27671'', ''28076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27672'', ''28077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27673'', ''28078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27674'', ''28079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27675'', ''28080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27676'', ''28081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27677'', ''28082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27678'', ''28083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27679'', ''28084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27680'', ''28085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27681'', ''28086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27682'', ''28087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27683'', ''28088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27684'', ''28089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27685'', ''28090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27686'', ''28091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27687'', ''28092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27688'', ''28093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27689'', ''28094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27690'', ''28095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27691'', ''28096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27692'', ''28097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27693'', ''28098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27694'', ''28099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27695'', ''28100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27696'', ''28101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27697'', ''28102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27698'', ''28103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27699'', ''28104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27700'', ''28105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27701'', ''28106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27702'', ''28107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27703'', ''28108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27704'', ''28109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27705'', ''28110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27706'', ''28111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27707'', ''28112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27708'', ''28113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27709'', ''28114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27710'', ''28115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27711'', ''28116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27712'', ''28117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27713'', ''28118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27714'', ''28119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27715'', ''28120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27716'', ''28121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27717'', ''28122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27718'', ''28123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27719'', ''28124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27720'', ''28125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27721'', ''28126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27722'', ''28127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27723'', ''28128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27724'', ''28129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27725'', ''28130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27726'', ''28131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27727'', ''28132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27728'', ''28133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27729'', ''28134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27730'', ''28135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27731'', ''28136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27732'', ''28137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27733'', ''28138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27734'', ''28139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27735'', ''28140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27736'', ''28141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27737'', ''28142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27738'', ''28143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27739'', ''28144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27740'', ''28145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27741'', ''28146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27742'', ''28147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27743'', ''28148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27744'', ''28149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27745'', ''28150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27746'', ''28151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27747'', ''28152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27748'', ''28153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27749'', ''28154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27750'', ''28155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27751'', ''28156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27752'', ''28157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27753'', ''28158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27754'', ''28159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27755'', ''28160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27756'', ''28161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27757'', ''28162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27758'', ''28163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27759'', ''28164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27760'', ''28165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27761'', ''28166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27762'', ''28167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27763'', ''28168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27764'', ''28169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27765'', ''28170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27766'', ''28171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27767'', ''28172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27768'', ''28173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27769'', ''28174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27770'', ''28175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27771'', ''28176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27772'', ''28177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27773'', ''28178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27774'', ''28179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27775'', ''28180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27776'', ''28181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27777'', ''28182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27778'', ''28183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27779'', ''28184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27780'', ''28185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27781'', ''28186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27782'', ''28187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27783'', ''28188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27784'', ''28189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27785'', ''28190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27786'', ''28191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27787'', ''28192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27788'', ''28193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27789'', ''28194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27790'', ''28195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27791'', ''28196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27792'', ''28197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27793'', ''28198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27794'', ''28199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27795'', ''28200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27796'', ''28201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27797'', ''28202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27798'', ''28203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27799'', ''28204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27800'', ''28205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27801'', ''28206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27802'', ''28207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27803'', ''28208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27804'', ''28209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27805'', ''28210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27806'', ''28211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27807'', ''28212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27808'', ''28213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27809'', ''28214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27810'', ''28215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27811'', ''28216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27812'', ''28217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27813'', ''28218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27814'', ''28219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27815'', ''28220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27816'', ''28221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27817'', ''28222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27818'', ''28223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27819'', ''28224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27820'', ''28225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27821'', ''28226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27822'', ''28227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27823'', ''28228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27824'', ''28229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27825'', ''28230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27826'', ''28231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27827'', ''28232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27828'', ''28233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27829'', ''28234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27830'', ''28235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27831'', ''28236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27832'', ''28237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27833'', ''28238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27834'', ''28239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27835'', ''28240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27836'', ''28241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27837'', ''28242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27838'', ''28243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27839'', ''28244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27840'', ''28245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27841'', ''28246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27842'', ''28247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27843'', ''28248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27844'', ''28249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27845'', ''28250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27846'', ''28251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27847'', ''28252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27848'', ''28253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27849'', ''28254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27850'', ''28255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27851'', ''28256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27852'', ''28257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27853'', ''28258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27854'', ''28259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27855'', ''28260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27856'', ''28261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27857'', ''28262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27858'', ''28263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27859'', ''28264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27860'', ''28265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27861'', ''28266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27862'', ''28267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27863'', ''28268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27864'', ''28269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27865'', ''28270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27866'', ''28271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27867'', ''28272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27868'', ''28273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27869'', ''28274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27870'', ''28275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27871'', ''28276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27872'', ''28277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27873'', ''28278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27874'', ''28279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27875'', ''28280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27876'', ''28281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27877'', ''28282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27878'', ''28283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27879'', ''28284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27880'', ''28285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27881'', ''28286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27882'', ''28287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27883'', ''28288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27884'', ''28289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27885'', ''28290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27886'', ''28291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27887'', ''28292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27888'', ''28293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27889'', ''28294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27890'', ''28295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27891'', ''28296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27892'', ''28297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27893'', ''28298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27894'', ''28299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27895'', ''28300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27896'', ''28301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27897'', ''28302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27898'', ''28303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27899'', ''28304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27900'', ''28305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27901'', ''28306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27902'', ''28307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27903'', ''28308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27904'', ''28309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27905'', ''28310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27906'', ''28311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27907'', ''28312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27908'', ''28313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27909'', ''28314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23528'', ''28315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27911'', ''28316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27912'', ''28317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27913'', ''28318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27914'', ''28319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27915'', ''28320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27916'', ''28321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27917'', ''28322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27918'', ''28323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27919'', ''28324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27920'', ''28325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27921'', ''28326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27922'', ''28327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27923'', ''28328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27924'', ''28329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27925'', ''28330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27926'', ''28331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27927'', ''28332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27928'', ''28333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27929'', ''28334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27930'', ''28335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27931'', ''28336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27932'', ''28337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27933'', ''28338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27934'', ''28339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27935'', ''28340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27936'', ''28341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27937'', ''28342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27938'', ''28343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27939'', ''28344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27940'', ''28345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27941'', ''28346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27942'', ''28347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27943'', ''28348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27944'', ''28349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27945'', ''28350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27946'', ''28351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27947'', ''28352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27948'', ''28353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27949'', ''28354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27950'', ''28355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27951'', ''28356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27952'', ''28357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27953'', ''28358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27954'', ''28359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27955'', ''28360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27956'', ''28361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27957'', ''28362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27958'', ''28363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27959'', ''28364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27960'', ''28365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27961'', ''28366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27962'', ''28367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27963'', ''28368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27964'', ''28369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27965'', ''28370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27966'', ''28371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27967'', ''28372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27968'', ''28373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27969'', ''28374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27970'', ''28375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27971'', ''28376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27972'', ''28377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27973'', ''28378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27974'', ''28379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27975'', ''28380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27976'', ''28381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27977'', ''28382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27978'', ''28383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27979'', ''28384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27980'', ''28385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27981'', ''28386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27982'', ''28387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27983'', ''28388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27984'', ''28389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27985'', ''28390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27986'', ''28391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27987'', ''28392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27988'', ''28393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27989'', ''28394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27990'', ''28395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27991'', ''28396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27992'', ''28397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27993'', ''28398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27994'', ''28399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27995'', ''28400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27996'', ''28401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27997'', ''28402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27998'', ''28403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''27999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27999'', ''28404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28000'', ''28405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28001'', ''28406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28002'', ''28407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28003'', ''28408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28004'', ''28409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28005'', ''28410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28006'', ''28411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28007'', ''28412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28008'', ''28413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28009'', ''28414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28010'', ''28415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28011'', ''28416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28012'', ''28417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28013'', ''28418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28014'', ''28419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28015'', ''28420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28016'', ''28421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28017'', ''28422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28018'', ''28423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28019'', ''28424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28020'', ''28425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28021'', ''28426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28022'', ''28427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28023'', ''28428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28024'', ''28429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28025'', ''28430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28026'', ''28431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28027'', ''28432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28028'', ''28433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28029'', ''28434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28030'', ''28435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28031'', ''28436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28032'', ''28437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28033'', ''28438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28034'', ''28439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28035'', ''28440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28036'', ''28441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28037'', ''28442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28038'', ''28443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28039'', ''28444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28040'', ''28445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28041'', ''28446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28042'', ''28447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28043'', ''28448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28044'', ''28449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28045'', ''28450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28046'', ''28451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28047'', ''28452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28048'', ''28453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28049'', ''28454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28050'', ''28455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28051'', ''28456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28052'', ''28457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28053'', ''28458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28054'', ''28459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28055'', ''28460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28056'', ''28461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28057'', ''28462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28058'', ''28463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28059'', ''28464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28060'', ''28465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28061'', ''28466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28062'', ''28467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28063'', ''28468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28064'', ''28469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28065'', ''28470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28066'', ''28471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28067'', ''28472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28068'', ''28473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28069'', ''28474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28070'', ''28475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28071'', ''28476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28072'', ''28477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28073'', ''28478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28074'', ''28479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28075'', ''28480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28076'', ''28481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28077'', ''28482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28078'', ''28483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28079'', ''28484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28080'', ''28485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28081'', ''28486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28082'', ''28487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28083'', ''28488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28084'', ''28489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28085'', ''28490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28086'', ''28491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28087'', ''28492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28088'', ''28493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28089'', ''28494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28090'', ''28495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28091'', ''28496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28092'', ''28497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28093'', ''28498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28094'', ''28499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28095'', ''28500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28096'', ''28501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28097'', ''28502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28098'', ''28503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28099'', ''28504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28100'', ''28505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28101'', ''28506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28102'', ''28507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28103'', ''28508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28104'', ''28509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28105'', ''28510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28106'', ''28511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28107'', ''28512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28108'', ''28513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28109'', ''28514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28110'', ''28515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28111'', ''28516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28112'', ''28517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28113'', ''28518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28114'', ''28519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28115'', ''28520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28116'', ''28521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28117'', ''28522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28118'', ''28523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28119'', ''28524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28120'', ''28525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28121'', ''28526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28122'', ''28527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28123'', ''28528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28124'', ''28529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28125'', ''28530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28126'', ''28531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28127'', ''28532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28128'', ''28533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28129'', ''28534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28130'', ''28535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28131'', ''28536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28132'', ''28537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28133'', ''28538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28134'', ''28539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28135'', ''28540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28136'', ''28541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28137'', ''28542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28138'', ''28543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28139'', ''28544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28140'', ''28545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28141'', ''28546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28142'', ''28547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28143'', ''28548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28144'', ''28549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28145'', ''28550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28146'', ''28551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28147'', ''28552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28148'', ''28553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28149'', ''28554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28150'', ''28555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28151'', ''28556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28152'', ''28557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28153'', ''28558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28154'', ''28559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28155'', ''28560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28156'', ''28561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28157'', ''28562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28158'', ''28563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28159'', ''28564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28160'', ''28565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28161'', ''28566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28162'', ''28567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28163'', ''28568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28164'', ''28569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28165'', ''28570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28166'', ''28571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28167'', ''28572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28168'', ''28573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28169'', ''28574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28170'', ''28575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28171'', ''28576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28172'', ''28577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28173'', ''28578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28174'', ''28579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28175'', ''28580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28176'', ''28581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28177'', ''28582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28178'', ''28583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28179'', ''28584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28180'', ''28585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28181'', ''28586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28182'', ''28587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28183'', ''28588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28184'', ''28589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28185'', ''28590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28186'', ''28591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28187'', ''28592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28188'', ''28593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28189'', ''28594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28190'', ''28595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28191'', ''28596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28192'', ''28597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28193'', ''28598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28194'', ''28599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28195'', ''28600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28196'', ''28601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28197'', ''28602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28198'', ''28603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28199'', ''28604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28200'', ''28605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28201'', ''28606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28202'', ''28607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28203'', ''28608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28204'', ''28609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28205'', ''28610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28206'', ''28611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28207'', ''28612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28208'', ''28613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28209'', ''28614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28210'', ''28615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28211'', ''28616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28212'', ''28617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28213'', ''28618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28214'', ''28619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28215'', ''28620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28216'', ''28621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28217'', ''28622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28218'', ''28623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28219'', ''28624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28220'', ''28625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28221'', ''28626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28222'', ''28627'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28223'', ''28628'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28224'', ''28629'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28225'', ''28630'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28226'', ''28631'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28227'', ''28632'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28228'', ''28633'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28229'', ''28634'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28230'', ''28635'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28231'', ''28636'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28232'', ''28637'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28233'', ''28638'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28234'', ''28639'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28235'', ''28640'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28236'', ''28641'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28237'', ''28642'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28238'', ''28643'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28239'', ''28644'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28240'', ''28645'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28241'', ''28646'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28242'', ''28647'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28243'', ''28648'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28244'', ''28649'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28245'', ''28650'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28246'', ''28651'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28247'', ''28652'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28248'', ''28653'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28249'', ''28654'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28250'', ''28655'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28251'', ''28656'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28252'', ''28657'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28253'', ''28658'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28254'', ''28659'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28255'', ''28660'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28256'', ''28661'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28257'', ''28662'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28258'', ''28663'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28259'', ''28664'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28260'', ''28665'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28261'', ''28666'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28262'', ''28667'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28263'', ''28668'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28264'', ''28669'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28265'', ''28670'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28266'', ''28671'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28267'', ''28672'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28268'', ''28673'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28269'', ''28674'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28270'', ''28675'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28271'', ''28676'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28272'', ''28677'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28273'', ''28678'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28274'', ''28679'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28275'', ''28680'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28276'', ''28681'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28277'', ''28682'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28278'', ''28683'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28279'', ''28684'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28280'', ''28685'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28281'', ''28686'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28282'', ''28687'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28283'', ''28688'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28284'', ''28689'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28285'', ''28690'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28286'', ''28691'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28287'', ''28692'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28288'', ''28693'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28289'', ''28694'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28290'', ''28695'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28291'', ''28696'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28292'', ''28697'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28293'', ''28698'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23546'', ''28699'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23547'', ''28700'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28296'', ''28701'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28297'', ''28702'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28298'', ''28703'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28299'', ''28704'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23548'', ''28705'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28301'', ''28706'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28302'', ''28707'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28303'', ''28708'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28304'', ''28709'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28305'', ''28710'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28306'', ''28711'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28307'', ''28712'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28308'', ''28713'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28309'', ''28714'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28310'', ''28715'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28311'', ''28716'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28312'', ''28717'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28313'', ''28718'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28314'', ''28719'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28315'', ''28720'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28316'', ''28721'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28317'', ''28722'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28318'', ''28723'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28319'', ''28724'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28320'', ''28725'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28321'', ''28726'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28322'', ''28727'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28323'', ''28728'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28324'', ''28729'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28325'', ''28730'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28326'', ''28731'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28327'', ''28732'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28328'', ''28733'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28329'', ''28734'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28330'', ''28735'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28331'', ''28736'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28332'', ''28737'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28333'', ''28738'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28334'', ''28739'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28335'', ''28740'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28336'', ''28741'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28337'', ''28742'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28338'', ''28743'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28339'', ''28744'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28340'', ''28745'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28341'', ''28746'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28342'', ''28747'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28343'', ''28748'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28344'', ''28749'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28345'', ''28750'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28346'', ''28751'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28347'', ''28752'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28348'', ''28753'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28349'', ''28754'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28350'', ''28755'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28351'', ''28756'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28352'', ''28757'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28353'', ''28758'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28354'', ''28759'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28355'', ''28760'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28356'', ''28761'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28357'', ''28762'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28358'', ''28763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28359'', ''28764'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28360'', ''28765'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28361'', ''28766'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28362'', ''28767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28363'', ''28768'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28364'', ''28769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28365'', ''28770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28366'', ''28771'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28367'', ''28772'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28368'', ''28773'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28369'', ''28774'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28370'', ''28775'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28371'', ''28776'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28372'', ''28777'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28373'', ''28778'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28374'', ''28779'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28375'', ''28780'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28376'', ''28781'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28377'', ''28782'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28378'', ''28783'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28379'', ''28784'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28380'', ''28785'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28381'', ''28786'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28382'', ''28787'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28383'', ''28788'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28384'', ''28789'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28385'', ''28790'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28386'', ''28791'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28387'', ''28792'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28388'', ''28793'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28389'', ''28794'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28390'', ''28795'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28391'', ''28796'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28392'', ''28797'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28393'', ''28798'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28394'', ''28799'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28395'', ''28800'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28396'', ''28801'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28397'', ''28802'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28398'', ''28803'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28399'', ''28804'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28400'', ''28805'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28401'', ''28806'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28402'', ''28807'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28403'', ''28808'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28404'', ''28809'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28405'', ''28810'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28406'', ''28811'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28407'', ''28812'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28408'', ''28813'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28409'', ''28814'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28410'', ''28815'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28411'', ''28816'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28412'', ''28817'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28413'', ''28818'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28414'', ''28819'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28415'', ''28820'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28416'', ''28821'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28417'', ''28822'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28418'', ''28823'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28419'', ''28824'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28420'', ''28825'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28421'', ''28826'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28422'', ''28827'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28423'', ''28828'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28424'', ''28829'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28425'', ''28830'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28426'', ''28831'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28427'', ''28832'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28428'', ''28833'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28429'', ''28834'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28430'', ''28835'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28431'', ''28836'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28432'', ''28837'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28433'', ''28838'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28434'', ''28839'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28435'', ''28840'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28436'', ''28841'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28437'', ''28842'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28438'', ''28843'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28439'', ''28844'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28440'', ''28845'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28441'', ''28846'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28442'', ''28847'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28443'', ''28848'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28444'', ''28849'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28445'', ''28850'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28446'', ''28851'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28447'', ''28852'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28448'', ''28853'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28449'', ''28854'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28450'', ''28855'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28451'', ''28856'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28452'', ''28857'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28453'', ''28858'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28454'', ''28859'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28455'', ''28860'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28456'', ''28861'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28457'', ''28862'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28458'', ''28863'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28459'', ''28864'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28460'', ''28865'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28461'', ''28866'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28462'', ''28867'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28463'', ''28868'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28464'', ''28869'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28465'', ''28870'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28466'', ''28871'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28467'', ''28872'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28468'', ''28873'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28469'', ''28874'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28470'', ''28875'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28471'', ''28876'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28472'', ''28877'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28473'', ''28878'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28474'', ''28879'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28475'', ''28880'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28476'', ''28881'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28477'', ''28882'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28478'', ''28883'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28479'', ''28884'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28480'', ''28885'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28481'', ''28886'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28482'', ''28887'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28483'', ''28888'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28484'', ''28889'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28485'', ''28890'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28486'', ''28891'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28487'', ''28892'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28488'', ''28893'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28489'', ''28894'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28490'', ''28895'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28491'', ''28896'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28492'', ''28897'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28493'', ''28898'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28494'', ''28899'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28495'', ''28900'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28496'', ''28901'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28497'', ''28902'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28498'', ''28903'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28499'', ''28904'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28500'', ''28905'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28501'', ''28906'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28502'', ''28907'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28503'', ''28908'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28504'', ''28909'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28505'', ''28910'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28506'', ''28911'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28507'', ''28912'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28508'', ''28913'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28509'', ''28914'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28510'', ''28915'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28511'', ''28916'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28512'', ''28917'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28513'', ''28918'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28514'', ''28919'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28515'', ''28920'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28516'', ''28921'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28517'', ''28922'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28518'', ''28923'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28519'', ''28924'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28520'', ''28925'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28521'', ''28926'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28522'', ''28927'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28523'', ''28928'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28524'', ''28929'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28525'', ''28930'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28526'', ''28931'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28527'', ''28932'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28528'', ''28933'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28529'', ''28934'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28530'', ''28935'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28531'', ''28936'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28532'', ''28937'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28533'', ''28938'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28534'', ''28939'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28535'', ''28940'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28536'', ''28941'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28537'', ''28942'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28538'', ''28943'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28539'', ''28944'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28540'', ''28945'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28541'', ''28946'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28542'', ''28947'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28543'', ''28948'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28544'', ''28949'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28545'', ''28950'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28546'', ''28951'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28547'', ''28952'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28548'', ''28953'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28549'', ''28954'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28550'', ''28955'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28551'', ''28956'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28552'', ''28957'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28553'', ''28958'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28554'', ''28959'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28555'', ''28960'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28556'', ''28961'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28557'', ''28962'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28558'', ''28963'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28559'', ''28964'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28560'', ''28965'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28561'', ''28966'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28562'', ''28967'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28563'', ''28968'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28564'', ''28969'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28565'', ''28970'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28566'', ''28971'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28567'', ''28972'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28568'', ''28973'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28569'', ''28974'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28570'', ''28975'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28571'', ''28976'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28572'', ''28977'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28573'', ''28978'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28574'', ''28979'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28575'', ''28980'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28576'', ''28981'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28577'', ''28982'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28578'', ''28983'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28579'', ''28984'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28580'', ''28985'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28581'', ''28986'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28582'', ''28987'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28583'', ''28988'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28584'', ''28989'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28585'', ''28990'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28586'', ''28991'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28587'', ''28992'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28588'', ''28993'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28589'', ''28994'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28590'', ''28995'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28591'', ''28996'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28592'', ''28997'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28593'', ''28998'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28594'', ''28999'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28595'', ''29000'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28596'', ''29001'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28597'', ''29002'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28598'', ''29003'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28599'', ''29004'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28600'', ''29005'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28601'', ''29006'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28602'', ''29007'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28603'', ''29008'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28604'', ''29009'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28605'', ''29010'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28606'', ''29011'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28607'', ''29012'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28608'', ''29013'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28609'', ''29014'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28610'', ''29015'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28611'', ''29016'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28612'', ''29017'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28613'', ''29018'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28614'', ''29019'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28615'', ''29020'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28616'', ''29021'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28617'', ''29022'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28618'', ''29023'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28619'', ''29024'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28620'', ''29025'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28621'', ''29026'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28622'', ''29027'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28623'', ''29028'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28624'', ''29029'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28625'', ''29030'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28626'', ''29031'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28627'', ''29032'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28628'', ''29033'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28629'', ''29034'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28630'', ''29035'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28631'', ''29036'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28632'', ''29037'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28633'', ''29038'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28634'', ''29039'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28635'', ''29040'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28636'', ''29041'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28637'', ''29042'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28638'', ''29043'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28639'', ''29044'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28640'', ''29045'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28641'', ''29046'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28642'', ''29047'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28643'', ''29048'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28644'', ''29049'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28645'', ''29050'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28646'', ''29051'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28647'', ''29052'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28648'', ''29053'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28649'', ''29054'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28650'', ''29055'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28651'', ''29056'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28652'', ''29057'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28653'', ''29058'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28654'', ''29059'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28655'', ''29060'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28656'', ''29061'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28657'', ''29062'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28658'', ''29063'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28659'', ''29064'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28660'', ''29065'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28661'', ''29066'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28662'', ''29067'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28663'', ''29068'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28664'', ''29069'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28665'', ''29070'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28666'', ''29071'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28667'', ''29072'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28668'', ''29073'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28669'', ''29074'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28670'', ''29075'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28671'', ''29076'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28672'', ''29077'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28673'', ''29078'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28674'', ''29079'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28675'', ''29080'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28676'', ''29081'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28677'', ''29082'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28678'', ''29083'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28679'', ''29084'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28680'', ''29085'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28681'', ''29086'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28682'', ''29087'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28683'', ''29088'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28684'', ''29089'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28685'', ''29090'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28686'', ''29091'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28687'', ''29092'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28688'', ''29093'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28689'', ''29094'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28690'', ''29095'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28691'', ''29096'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28692'', ''29097'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28693'', ''29098'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28694'', ''29099'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28695'', ''29100'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28696'', ''29101'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28697'', ''29102'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28698'', ''29103'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28699'', ''29104'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28700'', ''29105'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28701'', ''29106'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28702'', ''29107'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28703'', ''29108'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28704'', ''29109'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28705'', ''29110'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28706'', ''29111'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28707'', ''29112'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28708'', ''29113'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28709'', ''29114'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28710'', ''29115'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28711'', ''29116'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28712'', ''29117'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28713'', ''29118'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28714'', ''29119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28715'', ''29120'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28716'', ''29121'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28717'', ''29122'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28718'', ''29123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28719'', ''29124'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28720'', ''29125'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28721'', ''29126'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28722'', ''29127'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28723'', ''29128'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28724'', ''29129'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28725'', ''29130'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28726'', ''29131'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28727'', ''29132'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28728'', ''29133'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28729'', ''29134'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28730'', ''29135'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28731'', ''29136'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28732'', ''29137'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28733'', ''29138'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28734'', ''29139'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28735'', ''29140'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28736'', ''29141'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28737'', ''29142'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28738'', ''29143'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23598'', ''29144'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28740'', ''29145'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28741'', ''29146'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28742'', ''29147'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28743'', ''29148'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28744'', ''29149'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28745'', ''29150'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28746'', ''29151'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28747'', ''29152'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28748'', ''29153'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28749'', ''29154'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28750'', ''29155'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28751'', ''29156'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28752'', ''29157'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28753'', ''29158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28754'', ''29159'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28755'', ''29160'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28756'', ''29161'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28757'', ''29162'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28758'', ''29163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28759'', ''29164'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28760'', ''29165'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28761'', ''29166'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28762'', ''29167'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28763'', ''29168'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28764'', ''29169'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28765'', ''29170'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28766'', ''29171'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28767'', ''29172'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28768'', ''29173'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28769'', ''29174'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28770'', ''29175'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28771'', ''29176'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28772'', ''29177'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28773'', ''29178'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28774'', ''29179'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28775'', ''29180'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28776'', ''29181'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28777'', ''29182'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28778'', ''29183'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28779'', ''29184'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28780'', ''29185'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28781'', ''29186'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28782'', ''29187'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28783'', ''29188'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28784'', ''29189'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28785'', ''29190'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28786'', ''29191'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28787'', ''29192'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28788'', ''29193'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28789'', ''29194'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28790'', ''29195'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28791'', ''29196'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28792'', ''29197'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28793'', ''29198'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28794'', ''29199'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28795'', ''29200'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28796'', ''29201'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28797'', ''29202'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28798'', ''29203'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28799'', ''29204'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28800'', ''29205'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28801'', ''29206'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28802'', ''29207'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28803'', ''29208'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28804'', ''29209'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28805'', ''29210'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28806'', ''29211'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28807'', ''29212'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28808'', ''29213'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28809'', ''29214'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28810'', ''29215'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28811'', ''29216'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28812'', ''29217'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28813'', ''29218'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28814'', ''29219'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28815'', ''29220'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28816'', ''29221'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28817'', ''29222'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28818'', ''29223'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28819'', ''29224'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28820'', ''29225'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28821'', ''29226'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28822'', ''29227'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28823'', ''29228'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28824'', ''29229'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28825'', ''29230'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28826'', ''29231'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28827'', ''29232'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28828'', ''29233'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28829'', ''29234'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28830'', ''29235'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28831'', ''29236'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28832'', ''29237'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28833'', ''29238'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28834'', ''29239'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28835'', ''29240'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28836'', ''29241'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28837'', ''29242'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28838'', ''29243'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28839'', ''29244'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28840'', ''29245'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28841'', ''29246'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28842'', ''29247'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28843'', ''29248'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28844'', ''29249'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28845'', ''29250'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28846'', ''29251'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28847'', ''29252'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28848'', ''29253'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28849'', ''29254'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28850'', ''29255'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28851'', ''29256'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28852'', ''29257'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28853'', ''29258'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28854'', ''29259'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28855'', ''29260'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28856'', ''29261'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28857'', ''29262'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28858'', ''29263'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28859'', ''29264'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28860'', ''29265'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28861'', ''29266'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28862'', ''29267'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28863'', ''29268'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28864'', ''29269'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28865'', ''29270'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28866'', ''29271'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28867'', ''29272'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28868'', ''29273'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28869'', ''29274'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28870'', ''29275'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28871'', ''29276'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28872'', ''29277'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28873'', ''29278'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28874'', ''29279'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28875'', ''29280'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28876'', ''29281'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28877'', ''29282'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28878'', ''29283'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28879'', ''29284'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28880'', ''29285'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28881'', ''29286'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28882'', ''29287'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28883'', ''29288'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28884'', ''29289'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28885'', ''29290'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28886'', ''29291'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28887'', ''29292'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28888'', ''29293'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28889'', ''29294'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28890'', ''29295'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28891'', ''29296'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28892'', ''29297'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28893'', ''29298'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28894'', ''29299'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28895'', ''29300'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28896'', ''29301'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28897'', ''29302'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28898'', ''29303'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28899'', ''29304'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28900'', ''29305'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28901'', ''29306'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28902'', ''29307'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28903'', ''29308'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28904'', ''29309'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28905'', ''29310'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28906'', ''29311'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28907'', ''29312'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28908'', ''29313'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28909'', ''29314'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28910'', ''29315'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28911'', ''29316'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28912'', ''29317'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28913'', ''29318'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28914'', ''29319'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28915'', ''29320'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28916'', ''29321'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28917'', ''29322'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28918'', ''29323'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28919'', ''29324'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28920'', ''29325'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28921'', ''29326'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28922'', ''29327'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28923'', ''29328'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28924'', ''29329'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28925'', ''29330'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28926'', ''29331'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28927'', ''29332'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28928'', ''29333'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28929'', ''29334'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28930'', ''29335'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28931'', ''29336'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28932'', ''29337'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28933'', ''29338'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28934'', ''29339'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28935'', ''29340'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28936'', ''29341'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28937'', ''29342'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28938'', ''29343'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28939'', ''29344'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28940'', ''29345'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28941'', ''29346'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28942'', ''29347'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28943'', ''29348'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28944'', ''29349'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28945'', ''29350'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28946'', ''29351'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28947'', ''29352'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28948'', ''29353'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28949'', ''29354'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28950'', ''29355'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28951'', ''29356'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28952'', ''29357'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28953'', ''29358'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28954'', ''29359'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28955'', ''29360'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28956'', ''29361'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28957'', ''29362'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28958'', ''29363'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28959'', ''29364'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28960'', ''29365'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28961'', ''29366'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28962'', ''29367'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28963'', ''29368'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28964'', ''29369'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28965'', ''29370'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28966'', ''29371'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28967'', ''29372'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28968'', ''29373'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28969'', ''29374'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28970'', ''29375'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28971'', ''29376'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28972'', ''29377'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28973'', ''29378'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28974'', ''29379'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28975'', ''29380'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28976'', ''29381'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28977'', ''29382'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28978'', ''29383'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28979'', ''29384'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28980'', ''29385'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28981'', ''29386'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28982'', ''29387'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28983'', ''29388'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28984'', ''29389'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28985'', ''29390'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28986'', ''29391'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28987'', ''29392'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28988'', ''29393'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28989'', ''29394'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28990'', ''29395'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28991'', ''29396'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28992'', ''29397'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28993'', ''29398'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28994'', ''29399'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28995'', ''29400'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28996'', ''29401'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28997'', ''29402'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28998'', ''29403'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''28999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28999'', ''29404'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29000'', ''29405'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29001'', ''29406'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29002'', ''29407'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29003'', ''29408'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29004'', ''29409'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29005'', ''29410'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29006'', ''29411'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29007'', ''29412'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29008'', ''29413'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29009'', ''29414'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29010'', ''29415'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29011'', ''29416'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29012'', ''29417'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29013'', ''29418'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29014'', ''29419'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29015'', ''29420'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29016'', ''29421'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29017'', ''29422'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29018'', ''29423'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29019'', ''29424'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29020'', ''29425'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29021'', ''29426'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29022'', ''29427'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29023'', ''29428'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29024'', ''29429'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29025'', ''29430'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29026'', ''29431'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29027'', ''29432'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29028'', ''29433'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29029'', ''29434'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29030'', ''29435'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29031'', ''29436'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29032'', ''29437'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29033'', ''29438'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29034'', ''29439'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29035'', ''29440'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29036'', ''29441'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29037'', ''29442'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29038'', ''29443'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29039'', ''29444'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29040'', ''29445'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29041'', ''29446'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29042'', ''29447'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29043'', ''29448'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29044'', ''29449'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29045'', ''29450'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29046'', ''29451'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29047'', ''29452'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29048'', ''29453'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29049'', ''29454'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29050'', ''29455'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29051'', ''29456'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29052'', ''29457'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29053'', ''29458'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29054'', ''29459'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29055'', ''29460'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29056'', ''29461'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29057'', ''29462'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29058'', ''29463'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29059'', ''29464'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29060'', ''29465'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29061'', ''29466'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29062'', ''29467'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29063'', ''29468'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29064'', ''29469'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29065'', ''29470'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29066'', ''29471'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29067'', ''29472'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29068'', ''29473'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29069'', ''29474'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29070'', ''29475'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29071'', ''29476'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29072'', ''29477'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29073'', ''29478'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29074'', ''29479'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29075'', ''29480'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29076'', ''29481'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29077'', ''29482'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29078'', ''29483'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29079'', ''29484'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29080'', ''29485'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29081'', ''29486'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29082'', ''29487'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29083'', ''29488'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29084'', ''29489'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29085'', ''29490'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29086'', ''29491'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29087'', ''29492'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29088'', ''29493'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29089'', ''29494'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29090'', ''29495'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29091'', ''29496'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29092'', ''29497'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29093'', ''29498'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29094'', ''29499'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29095'', ''29500'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29096'', ''29501'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29097'', ''29502'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29098'', ''29503'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29099'', ''29504'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29100'', ''29505'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29101'', ''29506'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29102'', ''29507'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29103'', ''29508'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29104'', ''29509'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29105'', ''29510'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29106'', ''29511'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29107'', ''29512'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29108'', ''29513'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29109'', ''29514'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29110'', ''29515'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29111'', ''29516'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29112'', ''29517'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29113'', ''29518'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29114'', ''29519'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29115'', ''29520'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29116'', ''29521'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29117'', ''29522'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29118'', ''29523'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29119'', ''29524'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29120'', ''29525'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29121'', ''29526'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29122'', ''29527'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29123'', ''29528'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29124'', ''29529'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29125'', ''29530'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29126'', ''29531'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29127'', ''29532'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29128'', ''29533'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29129'', ''29534'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29130'', ''29535'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29131'', ''29536'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29132'', ''29537'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29133'', ''29538'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29134'', ''29539'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29135'', ''29540'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29136'', ''29541'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29137'', ''29542'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29138'', ''29543'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29139'', ''29544'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29140'', ''29545'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29141'', ''29546'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29142'', ''29547'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29143'', ''29548'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29144'', ''29549'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29145'', ''29550'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29146'', ''29551'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29147'', ''29552'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29148'', ''29553'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29149'', ''29554'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29150'', ''29555'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29151'', ''29556'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29152'', ''29557'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29153'', ''29558'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29154'', ''29559'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29155'', ''29560'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29156'', ''29561'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29157'', ''29562'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29158'', ''29563'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29159'', ''29564'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29160'', ''29565'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29161'', ''29566'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29162'', ''29567'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29163'', ''29568'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29164'', ''29569'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29165'', ''29570'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29166'', ''29571'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29167'', ''29572'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29168'', ''29573'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29169'', ''29574'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29170'', ''29575'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29171'', ''29576'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29172'', ''29577'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29173'', ''29578'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29174'', ''29579'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29175'', ''29580'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29176'', ''29581'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29177'', ''29582'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29178'', ''29583'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29179'', ''29584'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29180'', ''29585'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29181'', ''29586'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29182'', ''29587'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29183'', ''29588'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29184'', ''29589'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29185'', ''29590'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29186'', ''29591'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29187'', ''29592'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29188'', ''29593'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29189'', ''29594'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29190'', ''29595'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29191'', ''29596'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29192'', ''29597'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29193'', ''29598'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29194'', ''29599'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29195'', ''29600'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29196'', ''29601'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29197'', ''29602'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29198'', ''29603'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29199'', ''29604'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29200'', ''29605'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29201'', ''29606'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29202'', ''29607'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29203'', ''29608'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29204'', ''29609'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29205'', ''29610'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29206'', ''29611'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29207'', ''29612'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29208'', ''29613'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29209'', ''29614'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29210'', ''29615'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29211'', ''29616'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29212'', ''29617'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29213'', ''29618'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29214'', ''29619'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29215'', ''29620'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29216'', ''29621'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29217'', ''29622'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29218'', ''29623'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29219'', ''29624'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29220'', ''29625'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29221'', ''29626'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''133'', ''29763'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''134'', ''29767'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''135'', ''29769'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''136'', ''29770'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29222'', ''40119'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29223'', ''40123'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29224'', ''40158'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29225'', ''40163'', ''1'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29524'', ''25296'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29525'', ''25296'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29526'', ''25342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29527'', ''24204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29528'', ''24084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29529'', ''24084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29530'', ''24273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29531'', ''24273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29532'', ''24086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29533'', ''24326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29534'', ''24326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29535'', ''24326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29536'', ''24326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29537'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29538'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29539'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29540'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29541'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29542'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29543'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29544'', ''24573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29545'', ''25298'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29546'', ''25299'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29547'', ''25299'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29548'', ''25300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29549'', ''25300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29550'', ''24575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29551'', ''24575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29552'', ''24575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29553'', ''24575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29554'', ''24576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29555'', ''24576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29556'', ''24576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29557'', ''24110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29558'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29559'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29560'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29561'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29562'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29563'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29564'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29565'', ''24065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29566'', ''24549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29567'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29568'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29569'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29570'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29571'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29572'', ''24550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29573'', ''24551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29574'', ''24551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29575'', ''24551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29576'', ''24551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29577'', ''24580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29578'', ''24582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29579'', ''24924'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29580'', ''24927'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29581'', ''24927'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29582'', ''24927'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29583'', ''24583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29584'', ''24583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29585'', ''24583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29586'', ''24583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29587'', ''24584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29588'', ''24586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29589'', ''24658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29590'', ''24929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29591'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29592'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29593'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29594'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29595'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29596'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29597'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29598'', ''25301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29599'', ''25302'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29600'', ''24088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29601'', ''24088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29602'', ''24088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29603'', ''24935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29604'', ''24089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29605'', ''24089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29606'', ''24089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29607'', ''24090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29608'', ''24090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29609'', ''24090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29610'', ''24091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29611'', ''24091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29612'', ''24091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29613'', ''24938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29614'', ''24938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29615'', ''24592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29616'', ''24113'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29617'', ''24070'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29618'', ''24070'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29619'', ''24092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29620'', ''24092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29621'', ''24092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29622'', ''24092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29623'', ''25222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29624'', ''25222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29625'', ''24072'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29626'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29627'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29628'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29629'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29630'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29631'', ''24093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29632'', ''24094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29633'', ''24094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29634'', ''24094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29631'', ''24094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29636'', ''24094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29637'', ''24079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''24079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29639'', ''25001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29640'', ''24096'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29641'', ''24954'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29642'', ''25046'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29643'', ''25046'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29644'', ''25048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29645'', ''25048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''25048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29647'', ''25048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29648'', ''25036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29649'', ''25036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29650'', ''25037'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29651'', ''25037'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29652'', ''25037'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''25038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''25038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''25038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''25027'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29657'', ''25027'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29658'', ''25027'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29659'', ''25028'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29660'', ''25030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29661'', ''25031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29662'', ''25034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''25034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''25034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29665'', ''25049'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29666'', ''195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29667'', ''195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29668'', ''195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29669'', ''195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29670'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29677'', ''25052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''25052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29679'', ''25052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29680'', ''25052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''25039'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''25040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29683'', ''25040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''24598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''24598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29686'', ''24598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29687'', ''24600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29688'', ''24960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29689'', ''24608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29690'', ''25084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29691'', ''25084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29692'', ''25084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29693'', ''24106'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29694'', ''24612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29695'', ''24612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29696'', ''24103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29697'', ''24073'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29698'', ''24075'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29699'', ''24075'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29700'', ''25305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29701'', ''25305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29702'', ''25305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29703'', ''25305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29704'', ''25293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29705'', ''25293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29706'', ''25293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29707'', ''25293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''24078'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29709'', ''24967'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29710'', ''25343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29711'', ''25343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29712'', ''25344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29713'', ''24613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29714'', ''24614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29715'', ''24615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29716'', ''24615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29717'', ''24618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29718'', ''24618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29719'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29720'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29721'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29722'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29723'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29724'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29725'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29726'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29727'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29728'', ''25281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29729'', ''24267'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29730'', ''24267'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29731'', ''24272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29732'', ''24272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29733'', ''24272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29734'', ''24272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29735'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29736'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29738'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29739'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29740'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29741'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29742'', ''24921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29743'', ''24490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29744'', ''25282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29745'', ''25208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''25208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29747'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29748'', ''25210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''25210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29750'', ''25210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29751'', ''25210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29752'', ''25210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29753'', ''25211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21309'', ''25212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29755'', ''25213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''25213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''25213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''25213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29759'', ''25213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29760'', ''25214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29761'', ''25216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29762'', ''25216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29763'', ''25217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29764'', ''25217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29765'', ''25217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29766'', ''25217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29767'', ''25217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29768'', ''25220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29769'', ''25220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29770'', ''25220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29771'', ''25220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29772'', ''25220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29773'', ''25221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''24943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29775'', ''24943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24814'', ''24943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29777'', ''24943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29778'', ''24943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''24991'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29780'', ''25225'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29781'', ''25225'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29782'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29783'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29784'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29785'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29786'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29787'', ''25226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29788'', ''25228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29789'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29790'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29791'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29793'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''24963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''25229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''25229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29797'', ''25229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29798'', ''25230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29799'', ''25231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29800'', ''25234'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''25235'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20402'', ''25235'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''25235'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29804'', ''25235'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29805'', ''25235'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29808'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29810'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29811'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29813'', ''25237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29814'', ''25238'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29815'', ''25239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29816'', ''25239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29817'', ''25239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29818'', ''25239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29819'', ''25244'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29820'', ''25244'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29821'', ''25245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29822'', ''25245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29823'', ''25246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29824'', ''25249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29825'', ''25252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29826'', ''25255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29827'', ''25255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29828'', ''25255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29829'', ''25260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29830'', ''25262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29831'', ''25262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29832'', ''25262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29833'', ''25263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29834'', ''25263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29835'', ''25264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29836'', ''25264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29837'', ''25264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29838'', ''25265'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29839'', ''25268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29840'', ''25268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29841'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29842'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29843'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29844'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29845'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29846'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29847'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29848'', ''25271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29849'', ''25274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29850'', ''24968'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29851'', ''24968'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29852'', ''24968'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29853'', ''24268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29854'', ''24268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29855'', ''24268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29856'', ''24268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29857'', ''24297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29858'', ''25011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29859'', ''25011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29860'', ''25012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29861'', ''25012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29862'', ''25012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29863'', ''25012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29864'', ''25013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29865'', ''24286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29866'', ''24286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29867'', ''24286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29868'', ''24286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29869'', ''24286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29870'', ''24301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29871'', ''24304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29872'', ''24287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29873'', ''25018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29874'', ''25018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29875'', ''25019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29876'', ''25020'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29877'', ''25021'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29878'', ''25022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29879'', ''25022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29880'', ''25026'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29881'', ''24133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29882'', ''24133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29883'', ''24133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29884'', ''24133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29885'', ''24137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29886'', ''24137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29887'', ''24137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29888'', ''24137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29889'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29890'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29891'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29892'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29893'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29894'', ''203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29895'', ''24139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29896'', ''24139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29897'', ''24139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29898'', ''24141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29899'', ''24141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29900'', ''24141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29901'', ''24145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29902'', ''24150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29903'', ''24150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29904'', ''24150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29905'', ''24146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29906'', ''24146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29907'', ''24146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29908'', ''24146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29909'', ''24146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29910'', ''24148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29911'', ''24148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29912'', ''24148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29913'', ''24148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29914'', ''24143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29915'', ''24143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29916'', ''24134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29917'', ''24134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29918'', ''24134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29919'', ''25165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29920'', ''25165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29921'', ''25167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29922'', ''25168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29923'', ''24144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29924'', ''24727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29925'', ''24727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29926'', ''24727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29927'', ''24729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29928'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29929'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29930'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29931'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29932'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29933'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29934'', ''24996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29935'', ''24731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29936'', ''24731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29937'', ''24731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29938'', ''24734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29939'', ''24737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29940'', ''24738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29941'', ''24741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29942'', ''24741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29943'', ''24741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29944'', ''24741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29945'', ''24741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29946'', ''24743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29947'', ''24743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29948'', ''24743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29949'', ''24743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29950'', ''24744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29951'', ''24744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29952'', ''24744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29953'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29954'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29955'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29956'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29957'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29958'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29959'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29960'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29961'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29962'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29963'', ''24739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29964'', ''24687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29965'', ''24198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29966'', ''24659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29967'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29968'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29969'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29970'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29971'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29972'', ''24660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29973'', ''24926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29974'', ''24926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29975'', ''24926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29976'', ''24980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29977'', ''24665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29978'', ''24667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29979'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29980'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29981'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29982'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29983'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29984'', ''24668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29985'', ''24671'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29986'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29987'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29988'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29989'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29990'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29991'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29992'', ''24930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29993'', ''24661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29994'', ''24673'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29995'', ''24674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29996'', ''24674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29997'', ''24675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29998'', ''24676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''29999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29999'', ''24676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30000'', ''24678'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30001'', ''24678'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30002'', ''24680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30003'', ''24680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30004'', ''24680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30005'', ''24681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30006'', ''24681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30007'', ''24682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30008'', ''24682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30009'', ''24684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30010'', ''24903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30011'', ''24903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30012'', ''24906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30013'', ''24908'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30014'', ''24908'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30015'', ''24910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30016'', ''24910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30017'', ''24910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30018'', ''24910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30019'', ''24910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30020'', ''24912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30021'', ''24912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30022'', ''24686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30023'', ''25071'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30024'', ''25072'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30025'', ''25072'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30026'', ''25072'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30027'', ''25073'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30028'', ''24689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30029'', ''24689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30030'', ''24690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30031'', ''24690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30032'', ''24966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30033'', ''24966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30034'', ''24966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30035'', ''24205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30036'', ''25053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30037'', ''25053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30038'', ''25053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30039'', ''24494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30040'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30041'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30042'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30043'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30044'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30045'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30046'', ''24495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24649'', ''25055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20789'', ''24619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30049'', ''24619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30050'', ''24619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30051'', ''24620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30052'', ''24621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30053'', ''24622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30054'', ''24622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30055'', ''24622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30056'', ''24623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30057'', ''24623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30058'', ''24623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30059'', ''24623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30060'', ''24626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30061'', ''24626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30062'', ''25199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30063'', ''25199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30064'', ''25199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30065'', ''25199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30066'', ''25201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30067'', ''25060'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30068'', ''25060'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30069'', ''25061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30070'', ''25062'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30071'', ''25062'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30072'', ''25179'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30073'', ''25191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30074'', ''25191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30075'', ''25191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30076'', ''25191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30077'', ''25191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30078'', ''25192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30079'', ''72'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30080'', ''72'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30081'', ''25195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30082'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30083'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30084'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30085'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30086'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30087'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30088'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30089'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30090'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30091'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24788'', ''25197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30093'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30094'', ''24642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30095'', ''24642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30096'', ''24642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30097'', ''24642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30098'', ''24642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30099'', ''24513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30100'', ''24513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30101'', ''24513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30102'', ''24513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30103'', ''24513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30104'', ''24629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30105'', ''24629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30106'', ''24435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30107'', ''24435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30108'', ''24435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30109'', ''24514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30110'', ''24514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30111'', ''24514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30112'', ''24514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30113'', ''24514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30114'', ''24500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30115'', ''24515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30116'', ''24502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30117'', ''24502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30118'', ''24502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30119'', ''24647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30120'', ''24647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30121'', ''24648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30122'', ''24520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30123'', ''24520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30124'', ''24520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30125'', ''24520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30126'', ''24520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30127'', ''106'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30128'', ''24650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30129'', ''24650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30130'', ''24651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30131'', ''24651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30132'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30133'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30134'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30135'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30136'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30137'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30138'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30139'', ''24503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30140'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30141'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30142'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30143'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30144'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30145'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30146'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30147'', ''200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30148'', ''24504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30149'', ''24875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30150'', ''24875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30151'', ''24881'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30152'', ''24883'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30153'', ''24884'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30154'', ''24890'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30155'', ''24894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30156'', ''24894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30157'', ''24505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30158'', ''24635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30159'', ''24635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30160'', ''24635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30161'', ''24653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30162'', ''24653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30163'', ''24654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30164'', ''25006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30165'', ''25006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30166'', ''25006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30167'', ''25006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30168'', ''25122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30169'', ''25122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30170'', ''25122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30171'', ''25122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30172'', ''25123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30173'', ''25123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30174'', ''25123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30175'', ''25123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30176'', ''25123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30177'', ''25124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30178'', ''25125'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30179'', ''25126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30180'', ''25151'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30181'', ''25152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30182'', ''25152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30183'', ''25152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30184'', ''25156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30185'', ''25127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30186'', ''25158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30187'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30188'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30189'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30190'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30191'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30192'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30193'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30194'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30195'', ''201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30196'', ''202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30197'', ''202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30198'', ''24524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30199'', ''24895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30200'', ''24895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30201'', ''24895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30202'', ''24895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30203'', ''24895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30204'', ''24656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30205'', ''24656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30206'', ''24657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30207'', ''24657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30208'', ''24657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30209'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30210'', ''24114'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30211'', ''469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30212'', ''469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30213'', ''24208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30214'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30215'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30216'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30217'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30218'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30219'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30220'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30221'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30222'', ''24236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30223'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30224'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30225'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30226'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30227'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30228'', ''471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30229'', ''24361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30230'', ''24279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30231'', ''24410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30232'', ''24206'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30233'', ''24206'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30234'', ''24780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30235'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30236'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30237'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30238'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30239'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30240'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30241'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30242'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30243'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30244'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30245'', ''24239'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30246'', ''24240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30247'', ''24240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30248'', ''24241'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30249'', ''24241'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30250'', ''24242'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30251'', ''24264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30252'', ''24265'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30253'', ''24274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30254'', ''24274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30255'', ''24276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30256'', ''24280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30257'', ''24280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30258'', ''24281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30259'', ''24979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30260'', ''24979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30261'', ''24979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30262'', ''470'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30263'', ''24357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30264'', ''25112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30265'', ''25112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30266'', ''25112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30267'', ''25112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30268'', ''24363'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30269'', ''24363'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30270'', ''24378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30271'', ''24374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30272'', ''24168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30273'', ''265'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30274'', ''265'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30275'', ''467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30276'', ''467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30277'', ''467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30278'', ''24379'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30279'', ''24380'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30280'', ''24417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30281'', ''24223'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30282'', ''24247'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30283'', ''24224'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30284'', ''24564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30285'', ''25056'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30286'', ''24776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30287'', ''24776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30288'', ''24227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30289'', ''24227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30290'', ''24228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30291'', ''24228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30292'', ''24228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30293'', ''24777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30294'', ''24782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30295'', ''24782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30296'', ''24249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30297'', ''24252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30298'', ''24784'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30299'', ''24785'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30300'', ''24785'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30301'', ''24811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30302'', ''24364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30303'', ''25113'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30304'', ''24386'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30305'', ''24388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30306'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30307'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30308'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30309'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30310'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30311'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30312'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30313'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30314'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30315'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30316'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30317'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30318'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30319'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30320'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30321'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30322'', ''24983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30323'', ''24985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30324'', ''24985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30325'', ''24985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30326'', ''24256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30327'', ''24256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30328'', ''24229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30329'', ''24229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30330'', ''24334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30331'', ''24334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30332'', ''24334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30333'', ''24334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30334'', ''24334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30335'', ''24371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30336'', ''24371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30337'', ''24371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30338'', ''24391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30339'', ''24391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30340'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30341'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30342'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30343'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30344'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30345'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30346'', ''24392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30347'', ''24230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30348'', ''24394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30349'', ''24395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30350'', ''24372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30351'', ''24372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30352'', ''25115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30353'', ''24988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30354'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30355'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30356'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30357'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30358'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30359'', ''25086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30360'', ''24400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30361'', ''24400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30362'', ''25116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30363'', ''25116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30364'', ''24258'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30365'', ''24259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30366'', ''24259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30367'', ''24259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30368'', ''24259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30369'', ''24259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30370'', ''24402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30371'', ''24402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30372'', ''24407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30373'', ''24407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30374'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30375'', ''24260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30376'', ''24260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30377'', ''24756'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30378'', ''24756'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30379'', ''24305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30380'', ''24760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30381'', ''24760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30382'', ''24799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30383'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30384'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30385'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30386'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30387'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30388'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30389'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30390'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30391'', ''24705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30392'', ''24709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30393'', ''24709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30394'', ''24709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30395'', ''24709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30396'', ''24709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30397'', ''24714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30398'', ''24714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30399'', ''24714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30400'', ''24715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30401'', ''24715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30402'', ''24715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30403'', ''24715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30404'', ''24715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30405'', ''24762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30406'', ''24762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30407'', ''24763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30408'', ''24763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30409'', ''24763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30410'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30411'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30412'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30413'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30414'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30415'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30416'', ''24801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30417'', ''24802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30418'', ''24802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30419'', ''24764'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30420'', ''24717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24394'', ''24717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30422'', ''24717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30423'', ''24786'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30424'', ''24786'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30425'', ''24786'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30426'', ''24786'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30427'', ''24793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30428'', ''24793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30429'', ''24766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30430'', ''24766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30431'', ''24766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30432'', ''24788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30433'', ''24768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30434'', ''24768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30435'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30436'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30437'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30438'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30439'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30440'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30441'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30442'', ''24794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30443'', ''24807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30444'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30445'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30446'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30447'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30448'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30449'', ''24808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30450'', ''24769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30451'', ''24769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30452'', ''24718'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30453'', ''24770'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30454'', ''24758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30455'', ''24758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30456'', ''25119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30457'', ''25119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30458'', ''25120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30459'', ''24792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30460'', ''24792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30461'', ''25121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30462'', ''25121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30463'', ''24774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30464'', ''24774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30465'', ''24774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30466'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30467'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30468'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30469'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30470'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30471'', ''24809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30472'', ''25128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30473'', ''25128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30474'', ''25128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30475'', ''25128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30476'', ''25129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30477'', ''25130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30478'', ''24719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30479'', ''24720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30480'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30481'', ''25131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30482'', ''25131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30483'', ''25133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30484'', ''25134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30485'', ''25135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30486'', ''25135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30487'', ''25135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30488'', ''25137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30489'', ''25137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30490'', ''24722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30491'', ''25139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30492'', ''25139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30493'', ''25139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30494'', ''25139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30495'', ''24336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30496'', ''24337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30497'', ''24338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30498'', ''24338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30499'', ''24339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30500'', ''24340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30501'', ''24340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30502'', ''24340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30503'', ''24342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30504'', ''24121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30505'', ''24121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30506'', ''24121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30507'', ''24115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30508'', ''24115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30509'', ''24116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30510'', ''24116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30511'', ''24117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30512'', ''24117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30513'', ''24118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30514'', ''24122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30515'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30516'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30517'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30518'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30519'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30520'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30521'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30522'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30523'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30524'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30525'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30526'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30527'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30528'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30529'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30530'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30531'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30532'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30533'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30534'', ''25306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30535'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30536'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30537'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30538'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30539'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30540'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30541'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30542'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30543'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30544'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30545'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30546'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30547'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30548'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30549'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30550'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30551'', ''25307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30552'', ''24119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20060'', ''24333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30554'', ''24333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30555'', ''24333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30556'', ''24120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30557'', ''24120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30558'', ''24120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30559'', ''24120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30560'', ''24346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30561'', ''24346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30562'', ''24347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30563'', ''24348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30564'', ''24350'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30565'', ''24352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30566'', ''24353'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30567'', ''24356'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30568'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30569'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30570'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30571'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30572'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30573'', ''25311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30574'', ''24487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30575'', ''24488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30576'', ''24746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30577'', ''24433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30578'', ''24434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30579'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30580'', ''24750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30581'', ''24752'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30582'', ''24753'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30583'', ''24535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30584'', ''24535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30585'', ''24132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30586'', ''24132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30587'', ''24132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30588'', ''24132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30589'', ''24132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30590'', ''25283'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30591'', ''25284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30592'', ''25288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30593'', ''25288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30594'', ''25288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30595'', ''25288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30596'', ''25289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30597'', ''25289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30598'', ''25290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30599'', ''25291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30600'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30601'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30602'', ''24696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30603'', ''25063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30604'', ''25063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30605'', ''25063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30606'', ''24422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30607'', ''24423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30608'', ''24425'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30609'', ''24425'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30610'', ''24426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30611'', ''24426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30612'', ''24426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30613'', ''24426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30614'', ''24427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30615'', ''24428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30616'', ''24432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30617'', ''24432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30618'', ''24432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30619'', ''24432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30620'', ''24250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30621'', ''24250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30622'', ''24250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30623'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30624'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30625'', ''24898'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30626'', ''24898'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30627'', ''24172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30628'', ''24195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30629'', ''24269'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30630'', ''24452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30631'', ''24454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24052'', ''24456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30633'', ''24472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30634'', ''24480'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30635'', ''24478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24911'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30637'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24913'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24914'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24692'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24693'', ''25317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30642'', ''24525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30643'', ''24538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30644'', ''24538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30645'', ''24554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30646'', ''24554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30647'', ''24560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24684'', ''25334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30649'', ''24701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30650'', ''24900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30651'', ''24900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30652'', ''24900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30653'', ''24164'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30654'', ''25335'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30655'', ''25336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30656'', ''25336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30657'', ''25336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30658'', ''25336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30659'', ''24953'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24053'', ''24463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30661'', ''24463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30662'', ''24463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30663'', ''24482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30664'', ''24445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30665'', ''25321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30666'', ''25321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30667'', ''25321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30668'', ''25321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30670'', ''25324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30671'', ''25324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30672'', ''25326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30673'', ''25326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30674'', ''25326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30675'', ''25326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30676'', ''25327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30677'', ''25327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30678'', ''25339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30679'', ''25339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30680'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30681'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30682'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30683'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30684'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30685'', ''25340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30686'', ''24999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30687'', ''24999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30688'', ''24999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30689'', ''24999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30690'', ''25328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30691'', ''25329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30692'', ''25329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30693'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30694'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30695'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30696'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30697'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30698'', ''25331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30699'', ''25332'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21785'', ''24484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30701'', ''24970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30702'', ''24970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30703'', ''24970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30704'', ''24970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30705'', ''24970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30706'', ''25348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30707'', ''25348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30708'', ''24982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30709'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30710'', ''24308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30711'', ''24169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30712'', ''24169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30713'', ''24169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30714'', ''24309'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30715'', ''24310'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30716'', ''24176'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30717'', ''24311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30718'', ''24180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30719'', ''24180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30720'', ''24277'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30721'', ''24278'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30722'', ''24182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30723'', ''4'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30724'', ''4'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30725'', ''4'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30726'', ''24324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30727'', ''24324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30728'', ''24324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30729'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30730'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30731'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30732'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30733'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30734'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30735'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30736'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30737'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30738'', ''198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30739'', ''24325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30740'', ''24325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30741'', ''24325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30742'', ''6'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30743'', ''6'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30744'', ''24489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30745'', ''24489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30746'', ''24489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30747'', ''24489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30748'', ''24489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30749'', ''24314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30750'', ''24317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30751'', ''24183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30752'', ''24183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30753'', ''24183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30754'', ''199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30755'', ''199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30756'', ''24873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30757'', ''24873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30758'', ''24873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30759'', ''24184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30760'', ''24184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30761'', ''24184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30762'', ''25009'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30763'', ''196'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30764'', ''196'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30765'', ''24320'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30766'', ''24189'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30767'', ''25312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30768'', ''24322'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30769'', ''24323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30770'', ''24124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30771'', ''24124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30772'', ''24896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30773'', ''24896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30774'', ''24896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30775'', ''24166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30776'', ''24306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30777'', ''24860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30778'', ''24860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21584'', ''24860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30780'', ''24485'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30781'', ''24127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30782'', ''24813'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30783'', ''24862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30784'', ''24862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21098'', ''24863'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30786'', ''24863'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30787'', ''24863'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30788'', ''24818'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30789'', ''24703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30790'', ''24703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30791'', ''24822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30792'', ''24822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30793'', ''24822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30794'', ''24822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30795'', ''24823'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30796'', ''24825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30797'', ''24826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30798'', ''24830'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30799'', ''24831'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30800'', ''24832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30801'', ''24832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30802'', ''24833'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30803'', ''24834'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30804'', ''24704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30805'', ''24837'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30806'', ''24840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30807'', ''24841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30808'', ''24842'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30809'', ''24843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30810'', ''24845'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30811'', ''24864'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30812'', ''24849'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30813'', ''24849'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30814'', ''24897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30815'', ''25079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30816'', ''25079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30817'', ''24867'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30818'', ''24868'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30819'', ''24868'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30820'', ''24869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30821'', ''24816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30822'', ''24816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30823'', ''24816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30824'', ''24131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30825'', ''24158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30826'', ''24158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30827'', ''24171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30828'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30829'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30830'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30831'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30832'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30833'', ''24174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30834'', ''24191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30835'', ''24192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30836'', ''24202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30837'', ''24203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30838'', ''24203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30839'', ''24266'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30840'', ''24328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30841'', ''24536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30842'', ''24541'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30843'', ''24542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30844'', ''24940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30845'', ''24940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30846'', ''25064'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30847'', ''25064'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30848'', ''24941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30849'', ''24941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30850'', ''24941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30851'', ''25065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30852'', ''24997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30853'', ''25003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30854'', ''25273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30855'', ''24965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30856'', ''24965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30857'', ''24965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24586'', ''24990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30860'', ''23754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30861'', ''23758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30862'', ''23759'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30863'', ''23760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30864'', ''377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''76'', ''377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30866'', ''377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30867'', ''377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30868'', ''23765'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30869'', ''23772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30870'', ''23772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30871'', ''23772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30872'', ''23773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30873'', ''23773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30874'', ''23776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30875'', ''23777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30876'', ''23781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30877'', ''23781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30878'', ''23782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30879'', ''23787'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30879'', ''23788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30881'', ''23789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30882'', ''23793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30883'', ''23793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30884'', ''23795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30885'', ''23797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30886'', ''23797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30887'', ''23797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30888'', ''23797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30889'', ''23798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30890'', ''23798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30891'', ''23799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20164'', ''23799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30893'', ''23799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30894'', ''23802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30895'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30896'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30897'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30898'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30899'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30900'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30901'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30902'', ''23804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30903'', ''23806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30904'', ''23806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30905'', ''23807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30906'', ''23807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30907'', ''23807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30908'', ''23807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30909'', ''23811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30910'', ''23811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30911'', ''23811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30912'', ''23812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30913'', ''23824'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30914'', ''23824'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30915'', ''23825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30916'', ''23825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30917'', ''23826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30918'', ''23826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30919'', ''23826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30920'', ''23826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30921'', ''23828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30922'', ''23828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30923'', ''23828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30924'', ''23830'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30925'', ''23838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30926'', ''23838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30927'', ''23841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30928'', ''23842'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30929'', ''23843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30930'', ''23843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30931'', ''23844'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30932'', ''23845'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30933'', ''23850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30934'', ''23857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30935'', ''23858'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30936'', ''23858'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30937'', ''23862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30938'', ''23862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30939'', ''23864'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30940'', ''23864'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30941'', ''23865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30942'', ''23865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30943'', ''23869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30944'', ''23869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30945'', ''23870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30946'', ''23871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30947'', ''23876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30948'', ''23876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30949'', ''23882'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30949'', ''23883'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30951'', ''116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30952'', ''116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30953'', ''116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30954'', ''116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30955'', ''116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30956'', ''23888'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30957'', ''23890'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30958'', ''23890'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30959'', ''23891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30960'', ''23891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30961'', ''23893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30962'', ''23896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30963'', ''23896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30964'', ''23897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30965'', ''23897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30966'', ''23899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30967'', ''23899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30968'', ''23900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30969'', ''23904'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30970'', ''23909'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30971'', ''23910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30972'', ''23910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30973'', ''23910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30974'', ''23910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30975'', ''23913'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30958'', ''23914'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30977'', ''23915'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30978'', ''23915'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30979'', ''23915'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30980'', ''23916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30981'', ''23921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27631'', ''23921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30983'', ''23921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30984'', ''23922'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30985'', ''23923'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30986'', ''23930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30987'', ''23933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30988'', ''23934'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30989'', ''23937'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30990'', ''23939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30991'', ''23943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30992'', ''23947'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30993'', ''23947'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30994'', ''23951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30995'', ''23951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30996'', ''23952'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30995'', ''23952'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30998'', ''23953'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''30999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30995'', ''23953'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31000'', ''23956'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31001'', ''23958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31002'', ''23960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31003'', ''23960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31004'', ''23961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31005'', ''23966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31006'', ''23966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31007'', ''23966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31008'', ''23971'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31009'', ''23974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31010'', ''23975'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31011'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31012'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31013'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31014'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31015'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31016'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31017'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31018'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31019'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31020'', ''69'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31021'', ''23981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31022'', ''23981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31023'', ''23982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31024'', ''23982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31025'', ''23988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31026'', ''23992'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31027'', ''23993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31028'', ''23999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31029'', ''24000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31030'', ''24001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31031'', ''24001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31032'', ''24001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31033'', ''24003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31034'', ''24003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31035'', ''24003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30995'', ''24003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31037'', ''24004'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31038'', ''24005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31039'', ''24013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31040'', ''24013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31041'', ''24013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31042'', ''24014'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31043'', ''24016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31044'', ''24019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31045'', ''24019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31046'', ''427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31047'', ''427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31048'', ''24026'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31049'', ''24030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31050'', ''24030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31051'', ''23754'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31052'', ''23754'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31053'', ''23754'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31054'', ''23755'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31055'', ''23755'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31056'', ''23755'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31057'', ''23755'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31058'', ''23756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31059'', ''23756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31060'', ''23756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31061'', ''23758'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31062'', ''23758'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31063'', ''23758'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31064'', ''23758'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31065'', ''23759'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31066'', ''23759'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31067'', ''23760'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31068'', ''23760'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31069'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31070'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31071'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31072'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31074'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31075'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31076'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31077'', ''377'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31078'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31079'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31080'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31081'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31082'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31083'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31084'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31085'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31086'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31087'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31088'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31089'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31090'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31091'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31092'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31093'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31094'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31095'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31096'', ''23761'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31097'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31098'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31099'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31100'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31101'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31102'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31103'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31104'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31105'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31106'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31107'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31108'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31109'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31110'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31111'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31112'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31113'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31114'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31115'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31116'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31117'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31118'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31119'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31120'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31121'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31122'', ''23762'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31123'', ''23763'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31124'', ''23763'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31125'', ''23763'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31126'', ''23764'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31127'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31128'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31129'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31130'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31131'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31132'', ''23765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31133'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31134'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31135'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31136'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31137'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31138'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31139'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31140'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31141'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31142'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31143'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31144'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31145'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31146'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31147'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31148'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31149'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31150'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31151'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31152'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31153'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31154'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31155'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31156'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31157'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31158'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31159'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31160'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31161'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31162'', ''23766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31163'', ''23767'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31164'', ''23767'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31165'', ''23767'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31166'', ''23768'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31167'', ''23768'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31168'', ''23768'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31169'', ''23769'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31170'', ''23769'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31171'', ''23770'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31172'', ''23770'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31173'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31174'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31175'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31176'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31177'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31178'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31179'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31180'', ''23771'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31181'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31182'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31183'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31184'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31185'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31186'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31187'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31188'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31189'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31190'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31191'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31192'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31193'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31194'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31195'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31196'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31197'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31198'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31199'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31200'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31201'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31202'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31203'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31204'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31205'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31206'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31207'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31208'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31209'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31210'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31211'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31212'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31213'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31214'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31215'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31216'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31217'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31218'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31219'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31220'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31221'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31222'', ''23772'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31223'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31224'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31225'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31226'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31227'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31228'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31229'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31230'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31231'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31232'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31233'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31234'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31235'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31236'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31237'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31238'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31239'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31240'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31241'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31242'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31243'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31244'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31245'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31246'', ''23773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31247'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31248'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31249'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31250'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26260'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31252'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31253'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31254'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31255'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31256'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31257'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31258'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31259'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31260'', ''23774'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31261'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31262'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31263'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31264'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31265'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31266'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31267'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31268'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31269'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31270'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31271'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31272'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31273'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31274'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31275'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31276'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31277'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31278'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31279'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31280'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31281'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31282'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31283'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31284'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31285'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31286'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31287'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31288'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31289'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31290'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31291'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31292'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31293'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31294'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31295'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31296'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31297'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31298'', ''23775'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31299'', ''23776'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31300'', ''23777'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31301'', ''23777'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31302'', ''23777'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31303'', ''23777'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31304'', ''23777'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31305'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31306'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31307'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31308'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31309'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31310'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31311'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31312'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31313'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31314'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28174'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31316'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31317'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31318'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31319'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23778'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31321'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31322'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31323'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31324'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31325'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31326'', ''23779'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31327'', ''23780'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31328'', ''23780'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31329'', ''23780'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31330'', ''23781'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31331'', ''23781'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31332'', ''23781'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31333'', ''23781'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31334'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31335'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31336'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31337'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31338'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31339'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31340'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31341'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31342'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31343'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31344'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31345'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31346'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31347'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31348'', ''23782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31349'', ''23783'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31350'', ''23783'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31351'', ''23783'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31352'', ''23783'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31353'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31354'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31355'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31356'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31357'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31358'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31359'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31360'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31361'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31362'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31363'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31364'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31365'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31366'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31367'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31368'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31369'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31370'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31371'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31372'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31373'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31374'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31375'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31376'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31377'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31378'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31379'', ''23784'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31380'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31381'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30981'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27631'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30983'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31385'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31386'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31387'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31388'', ''23785'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31389'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31390'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31391'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31392'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31393'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31394'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31395'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31396'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31397'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31398'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31399'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31400'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31401'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31402'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31403'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31404'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31405'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31406'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31407'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31408'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31409'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31410'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31411'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31412'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31413'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31414'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31415'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31416'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31417'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31418'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31419'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31420'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31421'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31422'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31423'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31424'', ''23786'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31425'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31426'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31427'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31428'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31429'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31430'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31431'', ''23787'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31425'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31433'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31434'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31435'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31429'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31437'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31438'', ''23788'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31439'', ''23789'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31440'', ''23789'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31441'', ''23789'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31442'', ''23790'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31443'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31444'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31445'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31446'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31447'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31448'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31449'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31450'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31451'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31452'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31453'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31454'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31455'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31456'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30958'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31458'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31459'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31460'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31461'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31462'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31463'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31464'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31465'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31466'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31467'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31468'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31469'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31470'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31471'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31472'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31473'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31474'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31475'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31476'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31477'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31478'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31479'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31480'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31481'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31482'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31483'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31484'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31485'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31486'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31487'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31488'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31489'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31490'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31491'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31492'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31493'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31494'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31495'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31496'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31497'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31498'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31499'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31500'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31501'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31502'', ''147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31503'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31504'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31505'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31507'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31508'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31509'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31510'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31511'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31512'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31513'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31514'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31515'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31516'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31517'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31518'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31519'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31520'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31521'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31522'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31523'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''77'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31525'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31526'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31527'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31528'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31529'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31530'', ''23791'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31531'', ''23792'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31532'', ''23792'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31533'', ''23792'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31534'', ''23793'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31535'', ''23793'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31536'', ''23793'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31537'', ''23793'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31538'', ''23793'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31539'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31540'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31541'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31542'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31543'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31544'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31545'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31546'', ''23794'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31547'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31548'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31549'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31550'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31551'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31552'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31553'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31554'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31555'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31556'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31557'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31558'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31559'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31560'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31561'', ''23795'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31562'', ''23796'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31563'', ''23796'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31564'', ''23796'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31565'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31566'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31567'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31568'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31569'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31570'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31571'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31572'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31573'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31574'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31575'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31576'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31577'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31578'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31579'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31580'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31581'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31582'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31583'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31584'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31585'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31586'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31587'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31588'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31589'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31590'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31591'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31592'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31593'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31594'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31595'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31596'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31597'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31598'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31599'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31600'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31601'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31602'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31603'', ''23797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31604'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31605'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31606'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31607'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31608'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31609'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31610'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31611'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31612'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31613'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31614'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31615'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31616'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31617'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31618'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31619'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31620'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31621'', ''23798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31622'', ''23799'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31623'', ''23799'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''23799'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31625'', ''23800'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31626'', ''23800'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31627'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31628'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31629'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31630'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31631'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31632'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31633'', ''23801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31634'', ''23802'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31635'', ''23802'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31636'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31637'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31638'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31639'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31640'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31641'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31642'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31643'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31644'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31645'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31646'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31647'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31648'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31649'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31650'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31651'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31487'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31653'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27389'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31655'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31656'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27507'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31658'', ''23803'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31659'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31660'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31661'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31662'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31663'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31664'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31665'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31666'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31667'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31668'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31669'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31670'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31671'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31672'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27507'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31674'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31675'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31676'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31677'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31678'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31679'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31680'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31681'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31682'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31683'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31685'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31686'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31687'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31688'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31689'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31690'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31691'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31692'', ''23804'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31693'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31694'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31695'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31696'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31697'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31698'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31700'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31701'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31703'', ''23806'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31704'', ''23806'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31705'', ''23806'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31706'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31707'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31708'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31709'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31710'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31711'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31712'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31713'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31714'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31715'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31716'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31717'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31718'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31659'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31720'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31721'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31722'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31723'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31724'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31725'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31726'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31727'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31728'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31729'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31730'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31731'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31732'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31733'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31734'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31735'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31736'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31737'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31738'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31739'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31740'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31741'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31742'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31743'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31744'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31745'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31746'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31747'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31748'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31749'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31750'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31751'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31752'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31753'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31754'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31755'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31756'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31757'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31758'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31759'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31760'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31761'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31762'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31763'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31764'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31765'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31766'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31767'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31768'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31769'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31770'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31771'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31772'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31773'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31774'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31775'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31776'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31777'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31778'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31779'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31780'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31781'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31782'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31783'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31784'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31678'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31786'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31787'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31788'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31789'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31790'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31791'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31792'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31793'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31794'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31795'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31796'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31797'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31798'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31799'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31800'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31801'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31802'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31803'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31804'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31805'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31806'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31807'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31808'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31809'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31810'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31811'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31812'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31813'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31814'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31815'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31816'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31817'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31818'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31819'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31820'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31821'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31822'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31823'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31824'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31825'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31826'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31827'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31828'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31829'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31830'', ''23807'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31831'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31832'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31833'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31834'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31835'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31836'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31837'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31838'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31839'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31840'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31841'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31842'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31843'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31844'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31845'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31846'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31847'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31848'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31849'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31850'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31851'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31852'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31853'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31854'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31855'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31856'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31857'', ''23808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31858'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31859'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31860'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31861'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31862'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31863'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31864'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31865'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31866'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31867'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31868'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31869'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31870'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31871'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31872'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31873'', ''23809'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31874'', ''23810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31875'', ''23810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31876'', ''23810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31877'', ''23810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31879'', ''23811'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31880'', ''23811'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31881'', ''23811'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31882'', ''23811'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31883'', ''23811'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31884'', ''23812'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31885'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31886'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31887'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31888'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31889'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30924'', ''23813'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31891'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31892'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31893'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31894'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31895'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31896'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31897'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31898'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31899'', ''23814'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31900'', ''23815'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31901'', ''23815'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31902'', ''23815'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31903'', ''23815'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31774'', ''23815'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31905'', ''23816'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31906'', ''23816'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31907'', ''23816'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23816'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31909'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31910'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31911'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31912'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31913'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31914'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31915'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31916'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31917'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31918'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31919'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31920'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31921'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31922'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31923'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30981'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27631'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30983'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31927'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31928'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31929'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31930'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31931'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31932'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31933'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31934'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31935'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31936'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31937'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31938'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31939'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31940'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31941'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31942'', ''23817'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31943'', ''23818'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31944'', ''23818'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31945'', ''23819'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31946'', ''23819'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31947'', ''23819'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31949'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31950'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31951'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31952'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31953'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31954'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31955'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31956'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31957'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31958'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31959'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31960'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31961'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31681'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31963'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31964'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31966'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31967'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31968'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31969'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31970'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31971'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31972'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31973'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31974'', ''23820'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31975'', ''23821'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31976'', ''23821'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31606'', ''23822'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31978'', ''23823'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31979'', ''23823'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31980'', ''23823'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31981'', ''23824'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31982'', ''23824'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31983'', ''23824'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31984'', ''23824'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31985'', ''23824'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31986'', ''23825'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31987'', ''23825'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31988'', ''23825'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31989'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31990'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31991'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31992'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31993'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31994'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31995'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31996'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31997'', ''23826'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31998'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''31999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31999'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32000'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32001'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32002'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32003'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32004'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32005'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32006'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32007'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32008'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32009'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32010'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32011'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32012'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32013'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32014'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32015'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32016'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32017'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32018'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32019'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32020'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32021'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32022'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32023'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32024'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32025'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32026'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32027'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32028'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32029'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32030'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32031'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32032'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32033'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32034'', ''23827'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32035'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32036'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32037'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32038'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32039'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32040'', ''23828'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32041'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32042'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32043'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32044'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32045'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32046'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32047'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32048'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32049'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32050'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32051'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32052'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32053'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32054'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32055'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32056'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32057'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32058'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32059'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32060'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32061'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32062'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32063'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32064'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32065'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32066'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32067'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32068'', ''23829'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32069'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32070'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32071'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32072'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32073'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32074'', ''23830'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32075'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32076'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32077'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32078'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32079'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32080'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32081'', ''23831'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32082'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32083'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32084'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32085'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32086'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32087'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32088'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32089'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32090'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32091'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32092'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32093'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32094'', ''23832'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32095'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32096'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32097'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32098'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32099'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32100'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32101'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32102'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32103'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32104'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32105'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32106'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32107'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32108'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32109'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32110'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32111'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32112'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32113'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32114'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32116'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32117'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32119'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32120'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32121'', ''23833'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32122'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32123'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32124'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32125'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26409'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32127'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32128'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32129'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32130'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32131'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32132'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32133'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32134'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32135'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32136'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32137'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32138'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32139'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32140'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32141'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32142'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32143'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32144'', ''23834'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32145'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32146'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32147'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32148'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32149'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32150'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32151'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32152'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32153'', ''23835'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32154'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32155'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32156'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32157'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32158'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32159'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32160'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32161'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32162'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32163'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32164'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32165'', ''23836'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32166'', ''23837'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32167'', ''23837'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31098'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32169'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31100'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31102'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32172'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31106'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32174'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32175'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32176'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32177'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32178'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32179'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31108'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32181'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31110'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31112'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32184'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31114'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31116'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32187'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32188'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31118'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32190'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32191'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32192'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32193'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32194'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32195'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31120'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32197'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32198'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31122'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32200'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32201'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32202'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32203'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32204'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32205'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32206'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32207'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32208'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32209'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32210'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32211'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32212'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32213'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32214'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32215'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32216'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32217'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32218'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32219'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32220'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32221'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32222'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32223'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32224'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23451'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32226'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32227'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32228'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32229'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32230'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32231'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32232'', ''23838'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32233'', ''23839'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32234'', ''23839'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32235'', ''23840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32236'', ''23840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32237'', ''23840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32238'', ''23840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32239'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32240'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32241'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32242'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32243'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32244'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32245'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32246'', ''23841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32247'', ''23842'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32248'', ''23842'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32249'', ''23842'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32250'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32251'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32252'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32253'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32254'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32255'', ''23843'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32256'', ''23844'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32257'', ''23844'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31857'', ''23844'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32259'', ''23845'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32260'', ''23846'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32261'', ''23847'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32262'', ''23847'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32263'', ''23847'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31425'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32265'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32266'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31429'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32268'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32269'', ''23848'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32270'', ''23849'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32271'', ''23849'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32272'', ''23850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32273'', ''23850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32274'', ''23850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32275'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32276'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32277'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32278'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32279'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32280'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32281'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32282'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32283'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32284'', ''23851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32285'', ''23852'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32286'', ''23852'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32287'', ''23853'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32288'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32289'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32290'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31425'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32292'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32293'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31429'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32295'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32296'', ''23854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32297'', ''23855'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32298'', ''23855'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32299'', ''23856'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32300'', ''23856'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32301'', ''23857'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32302'', ''23857'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32303'', ''23857'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32304'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32305'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32306'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32307'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32308'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32309'', ''23858'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32310'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32311'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32312'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32313'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32314'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32315'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32316'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32317'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32318'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32319'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32320'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32321'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32322'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32323'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32324'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32325'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32326'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32327'', ''23859'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32328'', ''23860'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32329'', ''23860'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32330'', ''23860'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32331'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32332'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32333'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32334'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32335'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32336'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32337'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32338'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32339'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32340'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32341'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32342'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32343'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32344'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32345'', ''23862'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32346'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32347'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32348'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32349'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32350'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32351'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32352'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32353'', ''23863'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32354'', ''23864'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32355'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32356'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32357'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32358'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32359'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32360'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32361'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32362'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32363'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32364'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32365'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32366'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32367'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32368'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32369'', ''23865'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32370'', ''23866'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32371'', ''23866'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32372'', ''23867'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32373'', ''23867'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32374'', ''23867'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32375'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32376'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32377'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32378'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32379'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32380'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32381'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32382'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32383'', ''23868'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32384'', ''23869'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32385'', ''23869'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32386'', ''23869'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32387'', ''23869'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32388'', ''23869'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32389'', ''23870'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32390'', ''23870'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32391'', ''23870'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32392'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32393'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32394'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32395'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32396'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32397'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32398'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32399'', ''23871'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32310'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32401'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32402'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32312'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32313'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32405'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32315'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32316'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32408'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32318'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32319'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32411'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32321'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32322'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32414'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32324'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32325'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32417'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32327'', ''23872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32419'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32420'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32421'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32422'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32423'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32424'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32425'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32426'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31038'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32428'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32429'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32430'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32431'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32432'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32433'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32434'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32435'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32436'', ''23873'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32437'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32438'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32439'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32440'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32441'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32442'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32443'', ''23874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32444'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32445'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32446'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32447'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32448'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32449'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32450'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32451'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32452'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32453'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32454'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32455'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32456'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32457'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32458'', ''23877'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32459'', ''23878'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32460'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32461'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32462'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32463'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32464'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32465'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32466'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32467'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32468'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32469'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32470'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32471'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32472'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31669'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32474'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32475'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32476'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32477'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32478'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32479'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32480'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32481'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32482'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32483'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32484'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32485'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32486'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32487'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32488'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32489'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32490'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32491'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32492'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32493'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32494'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32495'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32496'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32497'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32498'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32499'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32500'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32501'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32502'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32503'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32504'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32506'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32507'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31681'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32509'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32510'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32511'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32512'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32513'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32514'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32515'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32516'', ''23879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32517'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32518'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32519'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32520'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32521'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32522'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32523'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32524'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32525'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32526'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32527'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32528'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32529'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32530'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32531'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32532'', ''23880'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24956'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32534'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32535'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32536'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32537'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32538'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32539'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32540'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32541'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32542'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32544'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32545'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32546'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32547'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32548'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32549'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32550'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32551'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32552'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32553'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32554'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32555'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32556'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32557'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23881'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32559'', ''23882'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32560'', ''23883'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32561'', ''23884'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32562'', ''23884'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32563'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32564'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32565'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32566'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32567'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32568'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32569'', ''23885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32570'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32571'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32572'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32573'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32574'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32575'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32576'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32577'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32578'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32579'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32580'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32581'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32582'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32583'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32584'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32585'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32586'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32587'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32588'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32589'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32590'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32591'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32592'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32593'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32594'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32595'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32596'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32597'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32598'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32599'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32600'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32601'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32602'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32603'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32604'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32605'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32606'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32607'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32608'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32609'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32610'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32611'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32612'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32613'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32614'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32615'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32616'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32617'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32619'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32620'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32621'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32622'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32623'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32624'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32625'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32626'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32627'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32628'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32629'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32630'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32631'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32632'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32633'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30891'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32635'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32636'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32637'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32638'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32639'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32640'', ''116'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32641'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32642'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32643'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32644'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32645'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32646'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32647'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32648'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32649'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32650'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32651'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32652'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32653'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32654'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32655'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32656'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32657'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32658'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32659'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32660'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32661'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32662'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32663'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32664'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32665'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32666'', ''23886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32667'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32668'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32669'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32670'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32671'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32672'', ''23887'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32673'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32674'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32675'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32676'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32677'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32678'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32679'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32680'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32681'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32682'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32683'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32684'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32685'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32686'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32687'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32688'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32689'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32690'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32691'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32692'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32693'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32694'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32695'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32696'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32697'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32698'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32699'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32700'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32701'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32702'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32703'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32704'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32705'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32706'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32707'', ''23888'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32708'', ''23889'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32709'', ''23889'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32710'', ''23889'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32711'', ''23889'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32712'', ''23890'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32713'', ''23890'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32714'', ''23890'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32715'', ''23890'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32716'', ''23891'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32717'', ''23891'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32718'', ''23891'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32719'', ''23892'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32720'', ''23892'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32721'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32722'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32723'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32724'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32725'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32726'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32727'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32728'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32729'', ''23893'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32730'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32731'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32732'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32733'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32734'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32735'', ''23894'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32736'', ''23895'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32737'', ''23896'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32738'', ''23896'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32739'', ''23896'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32740'', ''23897'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32741'', ''23897'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32742'', ''23897'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32743'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32744'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32745'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32746'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32747'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32748'', ''23898'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32749'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32750'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32571'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32752'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32753'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32754'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32755'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32756'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32757'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32758'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32759'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32760'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32761'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32762'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32763'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32764'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32765'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32766'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32767'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32768'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32769'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32770'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32771'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32772'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32773'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32774'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32775'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32776'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32777'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32778'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32779'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31603'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32781'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32782'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32783'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32784'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32785'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32786'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32787'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32788'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32789'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32790'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32791'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32792'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32793'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32794'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32795'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32796'', ''23899'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32797'', ''23900'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32798'', ''23900'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32799'', ''23900'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32800'', ''23901'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32801'', ''23901'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32802'', ''23901'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32803'', ''23901'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32804'', ''23901'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31648'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32806'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32807'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32808'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32809'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32810'', ''23902'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32811'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32812'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32813'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32814'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32815'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32816'', ''23903'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32817'', ''23904'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31650'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32819'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31487'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32821'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32822'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32823'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32824'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32825'', ''23905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32826'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32827'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32828'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32829'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32830'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32831'', ''23906'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32832'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32833'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32834'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32835'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32836'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32837'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32838'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32839'', ''23907'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32840'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32841'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32842'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32843'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32844'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32845'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32846'', ''23908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32847'', ''23909'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32848'', ''23909'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32849'', ''23909'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32850'', ''23909'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32851'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32852'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32853'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32854'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32855'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32856'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32857'', ''23910'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32858'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32859'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32860'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32861'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32862'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32863'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32864'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32865'', ''23911'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32866'', ''23912'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32867'', ''23912'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32868'', ''23912'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32866'', ''23913'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23507'', ''23913'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32867'', ''23913'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32868'', ''23913'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32873'', ''23914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32874'', ''23914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31501'', ''23914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32876'', ''23914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32877'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32878'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31167'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32880'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32881'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32882'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32883'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32884'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32885'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32886'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32887'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32888'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32889'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32890'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32891'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32892'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32893'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32894'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32895'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32896'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32897'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32898'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32899'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32900'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32901'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32902'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32903'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32904'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32905'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32906'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32907'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32908'', ''23915'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32909'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32910'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32911'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32912'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32913'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32914'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32915'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32916'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32917'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32918'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32919'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32920'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32921'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32922'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32923'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32924'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32925'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32926'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32927'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32928'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32929'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32930'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32931'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32932'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32933'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32934'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32935'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32936'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32937'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32938'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32939'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32940'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32941'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32942'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32943'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32944'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32945'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32946'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32947'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32948'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32949'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32950'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32951'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32952'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32953'', ''23916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32954'', ''23917'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32955'', ''23917'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32956'', ''23917'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31305'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32958'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32959'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31309'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32961'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32962'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31311'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32964'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32965'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32966'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32967'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31313'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32969'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32970'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28174'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32972'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32973'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31317'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32975'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32976'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32977'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23918'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32979'', ''23919'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32980'', ''23919'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32981'', ''23919'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32982'', ''23920'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32983'', ''23921'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32984'', ''23921'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32985'', ''23921'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32986'', ''23922'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32987'', ''23922'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32988'', ''23922'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32990'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32991'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32992'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32993'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32994'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32996'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32997'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32998'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''32999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32999'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33000'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33001'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33002'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33003'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33004'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33005'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33006'', ''23923'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33007'', ''23924'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33008'', ''23924'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33009'', ''23924'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33010'', ''23924'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33011'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33012'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33013'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33014'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33015'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33016'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33017'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33018'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33019'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33020'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33021'', ''23925'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33022'', ''23926'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33023'', ''23927'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33024'', ''23927'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33025'', ''23927'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33026'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33027'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33028'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33029'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33030'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33031'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33032'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33033'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33034'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33035'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33036'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33037'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33038'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33039'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33040'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33041'', ''23928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33042'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33043'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33044'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33045'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33046'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33047'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33048'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33049'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33050'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33051'', ''23929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33052'', ''23930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33053'', ''23930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33054'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33055'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33056'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33057'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33058'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33059'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33060'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33061'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33062'', ''23931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33063'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33064'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33065'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33066'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33067'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33068'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33069'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33070'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33071'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33072'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31644'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33074'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33075'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33076'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33077'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33078'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33079'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33080'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33081'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33082'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33083'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33084'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33085'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33086'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33087'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33088'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33089'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33090'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33091'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33092'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33093'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33094'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33095'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33096'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33097'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33098'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33099'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33100'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20216'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33102'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33103'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33104'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31655'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33106'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33107'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33108'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33109'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33110'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33111'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33112'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33113'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33114'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33115'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33116'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33117'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33118'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33119'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33120'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33121'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33122'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33123'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33124'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32831'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33126'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33127'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33128'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33129'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33130'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33131'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33132'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33133'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33134'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33135'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33136'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33137'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33138'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33139'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33140'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33141'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33142'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33143'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33144'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33145'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33146'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33147'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33148'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33149'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33150'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33151'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33152'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33153'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33154'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33155'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33156'', ''23932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33157'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33158'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33159'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33160'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33161'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33162'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33163'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33164'', ''23933'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33165'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33166'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33167'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33168'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33169'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33170'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33171'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33172'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33173'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33174'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33175'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33176'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33177'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33178'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33179'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33180'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33181'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33182'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33183'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33184'', ''23934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33185'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33186'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33187'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33188'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33189'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33190'', ''23935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33191'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23416'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33193'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33194'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33195'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33196'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33197'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33198'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33199'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33200'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33201'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33202'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33203'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33204'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33205'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33206'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33207'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33208'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33209'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33210'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33211'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33212'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33213'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33214'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33215'', ''23936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33216'', ''23937'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33217'', ''23937'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33218'', ''23937'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33219'', ''23937'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33220'', ''23937'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33221'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33222'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33223'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33224'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33225'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33226'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33227'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33228'', ''23938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33229'', ''23939'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33230'', ''23939'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33231'', ''23939'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33232'', ''23940'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33233'', ''23940'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33234'', ''23940'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24956'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33236'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33237'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33238'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33239'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33240'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33241'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33242'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33243'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33244'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33245'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33246'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32539'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33248'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33249'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33250'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33251'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33252'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33253'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33254'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33255'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33257'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33258'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31311'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32964'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33261'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32545'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33263'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33264'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32547'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33266'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33267'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31313'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32969'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33270'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33271'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33272'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33273'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33275'', ''23942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33276'', ''23942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32466'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33278'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33279'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33280'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33281'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33282'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32770'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33284'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33285'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32470'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33287'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33288'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31603'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33290'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33291'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33292'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33293'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33294'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33295'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33296'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33297'', ''23943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33298'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33299'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33300'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33301'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33302'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33303'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33304'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33305'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33306'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33307'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33308'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33309'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33310'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33311'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33312'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33313'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33314'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33315'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33316'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33317'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33318'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33319'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33320'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33321'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33322'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33323'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33324'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33325'', ''23944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33326'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33327'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33328'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33329'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33330'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33331'', ''23945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33332'', ''23946'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33333'', ''23946'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33334'', ''23946'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33335'', ''23947'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33336'', ''23947'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33337'', ''23947'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33338'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33339'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33340'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33341'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33342'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33343'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33344'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33345'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33346'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33347'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33348'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33349'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33350'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33351'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33352'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33353'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33354'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33355'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33078'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33357'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33358'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33359'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33360'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33361'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33362'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33363'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33364'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33365'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33366'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33367'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33368'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33369'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33370'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33371'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33372'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33373'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33374'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33375'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33376'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33377'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33378'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33379'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33380'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33381'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33382'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32138'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33384'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33385'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33386'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33387'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33388'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33389'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32141'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33391'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33392'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33393'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33394'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33395'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33396'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33397'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33398'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33399'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33400'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33401'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33402'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33403'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32144'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33405'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33406'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33407'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33408'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33409'', ''23949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28290'', ''23950'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33411'', ''23950'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33412'', ''23951'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33413'', ''23951'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33414'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33415'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33416'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33417'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33418'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33419'', ''23952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33420'', ''23953'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33421'', ''23953'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33422'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33423'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33424'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33425'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33426'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33427'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33428'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33429'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33430'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33431'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33432'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33433'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33434'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33435'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33436'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28304'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33438'', ''23954'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33439'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33440'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33441'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33442'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33443'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33444'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33445'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33446'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33447'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33448'', ''23955'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33449'', ''23956'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33450'', ''23956'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33451'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33452'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33453'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33454'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33455'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33456'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33457'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33458'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33459'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33460'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33461'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33462'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33463'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33464'', ''23957'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33465'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33466'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33467'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33468'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33469'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33470'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33471'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33472'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33473'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33474'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33475'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33476'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31956'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33478'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33479'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33480'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33481'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33482'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32788'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33484'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33485'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33487'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33488'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33490'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33491'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33492'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33493'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33494'', ''23958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33495'', ''23959'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33496'', ''23959'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33497'', ''23959'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33498'', ''23959'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33499'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33500'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33501'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33502'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33503'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33504'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33505'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33506'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33507'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33508'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33509'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33510'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33511'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33512'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33513'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33514'', ''23960'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33515'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33516'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33517'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33518'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33519'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33520'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33521'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33522'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33523'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33524'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33525'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33526'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33527'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33528'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33529'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33530'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33531'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33532'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33533'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33534'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33535'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33536'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33537'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33538'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33539'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33540'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33541'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33542'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33543'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33544'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33545'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33546'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33547'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33548'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32423'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33550'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33551'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33552'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33553'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33554'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33555'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33556'', ''23961'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33557'', ''23962'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33558'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33559'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33560'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33561'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33562'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33563'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33564'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33565'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33566'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33567'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33568'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33569'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33570'', ''23963'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33571'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33572'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33573'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33574'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33575'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33576'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33577'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33578'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33579'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33580'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33581'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33582'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33583'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33584'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33585'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33586'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33587'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33588'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33589'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33590'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33591'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33592'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33593'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33594'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33595'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33596'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33597'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33598'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33599'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33600'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33601'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33602'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33603'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33604'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33605'', ''23964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33606'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33607'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33608'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33609'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33610'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33611'', ''23965'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33612'', ''23966'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33613'', ''23966'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33468'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33615'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33616'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32460'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33618'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33619'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32499'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33621'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33622'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31678'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33624'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33625'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33626'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33628'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33629'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31681'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33631'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33632'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33634'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33635'', ''23967'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33636'', ''23968'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33637'', ''23968'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33638'', ''23968'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23968'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31659'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33641'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33642'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33643'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31791'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33645'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33646'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33647'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33648'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33649'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33650'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33651'', ''23969'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33652'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33653'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33654'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33655'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33656'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33657'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33658'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33659'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33660'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33661'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33662'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33663'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33664'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33665'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33666'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33667'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33668'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33669'', ''23970'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33670'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33671'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33672'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33673'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33674'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33675'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33676'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33677'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33678'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33679'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33680'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33681'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33682'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33683'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33684'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33685'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33663'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33687'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33688'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33689'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33690'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33691'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33692'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33662'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33694'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31678'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31786'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33697'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33698'', ''23971'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33699'', ''23972'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33700'', ''23972'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33701'', ''23973'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33702'', ''23973'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33703'', ''23973'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33704'', ''23973'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33705'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33706'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33707'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33708'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33709'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33710'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33711'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33712'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33713'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33714'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33715'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33716'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33717'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31916'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33719'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33720'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33721'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33722'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33723'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33724'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33725'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33726'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33727'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33728'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33729'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33730'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33731'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33732'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33733'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33734'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33735'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33736'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26520'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33738'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33739'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33740'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33741'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33742'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33743'', ''23974'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32460'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33745'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33746'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31688'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33748'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33749'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33751'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33752'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33753'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33754'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33755'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31672'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33757'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33758'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33759'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33760'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33761'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32499'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33763'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33764'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33765'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33766'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33767'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33768'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33770'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33771'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31681'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33773'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33774'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31684'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33776'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33777'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31687'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33779'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33780'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33781'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33782'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33783'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33784'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33785'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33786'', ''23975'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31659'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33788'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33789'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33790'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32122'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33792'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33793'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33794'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27507'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33796'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31791'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33798'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33799'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33647'', ''23976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24956'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33802'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31693'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33804'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33244'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33806'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33808'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31311'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33810'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28174'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33812'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33813'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33814'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33815'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33816'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33817'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33818'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31320'', ''23977'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33715'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33716'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33717'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31916'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33719'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33720'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33721'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33722'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33828'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33829'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33830'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33831'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33832'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33833'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33834'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33835'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33836'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33837'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33838'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33839'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33840'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33841'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33842'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33843'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33844'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33845'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33846'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33847'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33848'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33849'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33850'', ''23978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33851'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33852'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33853'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33854'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33855'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33856'', ''23979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33857'', ''23980'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33858'', ''23980'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33859'', ''23980'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33860'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33861'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33862'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33468'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33865'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33866'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33868'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33869'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33870'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33871'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33872'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33873'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33874'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33875'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33876'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33877'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33878'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33879'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33880'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33881'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33882'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33883'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33884'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33885'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33886'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33887'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33888'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33889'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33890'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33891'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33892'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33893'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33894'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33895'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33896'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33897'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33898'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33899'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33900'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33474'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33902'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33903'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33904'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33905'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33906'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33907'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33908'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33909'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33910'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33911'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33912'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33913'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33914'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33915'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33916'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33917'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33918'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33919'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33920'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33921'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33922'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33923'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33924'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33925'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33926'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33927'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33928'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33929'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33930'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33931'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33932'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33933'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33934'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33935'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33936'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33937'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33938'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33939'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33940'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33941'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33942'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33943'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33944'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33945'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33946'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33947'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33948'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33949'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33950'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33951'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33952'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33953'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33954'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33955'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33956'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33957'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33958'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33959'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33960'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33961'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33962'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33963'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33964'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33965'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33966'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33967'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33968'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33969'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33970'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33971'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33972'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33973'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33974'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33975'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33976'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33977'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33978'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33979'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33980'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33981'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33982'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33983'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33984'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33985'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33986'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33987'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33988'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33989'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33990'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33991'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33992'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33993'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33994'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33995'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33996'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33997'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33998'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''33999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33999'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34000'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34001'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34002'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34003'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34004'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34005'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34006'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34007'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34008'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34009'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31974'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34011'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34012'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34013'', ''69'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34014'', ''23981'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34015'', ''23981'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34016'', ''23981'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34017'', ''23982'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34018'', ''23982'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34019'', ''23982'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34020'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34021'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34022'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34023'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34024'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34025'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34026'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34027'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31609'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34029'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31699'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34031'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31615'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34033'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31311'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34035'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34036'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34037'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33753'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34039'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34040'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34041'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34042'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34043'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34044'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34045'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34046'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34047'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34048'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34049'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34050'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34051'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34052'', ''23983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34053'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34054'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34055'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34056'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34057'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23582'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34059'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34060'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34061'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34062'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34063'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34064'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34065'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34066'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34067'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34068'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34069'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34070'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34071'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34072'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34073'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34074'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34075'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34076'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34077'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34078'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34079'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34080'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34081'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34082'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34084'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34085'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34086'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34087'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34088'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34089'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34090'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34091'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34092'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34093'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34094'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34095'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34096'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34097'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34098'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34099'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34100'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34101'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34102'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34103'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34104'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34105'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34106'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34107'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34108'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34109'', ''23984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32832'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34111'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34112'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34113'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32836'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34115'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34116'', ''23985'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31171'', ''23986'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34118'', ''23986'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34119'', ''23986'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34120'', ''23987'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34053'', ''23987'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34054'', ''23987'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34123'', ''23987'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34124'', ''23987'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34125'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34126'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34127'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34128'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34129'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34130'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34131'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34132'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34133'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34134'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34135'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34136'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31636'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34138'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34139'', ''23988'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34140'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34141'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34142'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25647'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34144'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34145'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32708'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34147'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34148'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34149'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34150'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34151'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26790'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34153'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34154'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26857'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34156'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34157'', ''23989'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34158'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34159'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34160'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34161'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34162'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34163'', ''23990'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34164'', ''23991'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34165'', ''23991'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34166'', ''23991'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34167'', ''23992'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34168'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34169'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34170'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34171'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34172'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34173'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34174'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34175'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34176'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34177'', ''23993'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34178'', ''23994'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34179'', ''23994'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34180'', ''23995'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34181'', ''23995'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34182'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34183'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34184'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34185'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34186'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34187'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34188'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34189'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34190'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34191'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34192'', ''23996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33656'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33657'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33659'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34196'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33666'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33667'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32520'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34200'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34201'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34202'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34203'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34204'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34205'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34206'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34207'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34208'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34209'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34210'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32523'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34212'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34213'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34214'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34215'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32527'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34217'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34218'', ''23997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34219'', ''23998'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34220'', ''23998'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34221'', ''23999'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34222'', ''23999'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34223'', ''23999'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34224'', ''23999'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34225'', ''24000'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34222'', ''24000'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34227'', ''24000'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34228'', ''24000'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34229'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34230'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34231'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34232'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34233'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34234'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34235'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34236'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34237'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34238'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34239'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34240'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34241'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34242'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34243'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34244'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34245'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34246'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34247'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34248'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34249'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34250'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34251'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34252'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34253'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34254'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34255'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34256'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34257'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34258'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34259'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34260'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34261'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34262'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34263'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34264'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34265'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34266'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34267'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34268'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34269'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34270'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34271'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34272'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34273'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34274'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34275'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34276'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34277'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34278'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34279'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34280'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34281'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34282'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34283'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34284'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34285'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34286'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34287'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34288'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34289'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34290'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34291'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34292'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34293'', ''24001'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34294'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34295'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34296'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34297'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34298'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34299'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34300'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34301'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34302'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31615'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34304'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34305'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33753'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34307'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34308'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34309'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34310'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34311'', ''24002'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34312'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34313'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34314'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34315'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34316'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34317'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34318'', ''24003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34319'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34320'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34321'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34322'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34323'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34324'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34325'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34326'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34327'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34328'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23578'', ''24004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34330'', ''24005'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34331'', ''24005'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34332'', ''24005'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30948'', ''24005'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34334'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34335'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34336'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34337'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34338'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34339'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34340'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34341'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34342'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34343'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34344'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34345'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34346'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34347'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34348'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34349'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34350'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34351'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34352'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34353'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34354'', ''24006'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34355'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34356'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34357'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34358'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34359'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34360'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34361'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34362'', ''24007'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34363'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34364'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34365'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34366'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34367'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34368'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34369'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34370'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34371'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34372'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34373'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34374'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34375'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34376'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34377'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34378'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34379'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34380'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34381'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34382'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34383'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34384'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34385'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34386'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34387'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34388'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34389'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34390'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34391'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34392'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34393'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34394'', ''24008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34395'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34396'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32402'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34398'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34399'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34400'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34401'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34402'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34403'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34404'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34405'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34406'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34407'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34408'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34409'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34410'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34411'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34412'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34413'', ''24009'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34414'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34415'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32402'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34417'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34418'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34419'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34420'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34421'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34422'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34423'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34424'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34425'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34426'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34427'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34428'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34429'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34430'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34431'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34432'', ''24010'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34433'', ''24011'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34434'', ''24011'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34435'', ''24011'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34436'', ''24012'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34437'', ''24012'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34438'', ''24012'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34439'', ''24012'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34440'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34441'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34442'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34443'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34444'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34445'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34446'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34447'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34448'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34449'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34450'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34451'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34452'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34453'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34454'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34455'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34456'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34457'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34458'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34459'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34460'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34461'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34462'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34463'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34464'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34465'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34466'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34467'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34468'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34469'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34470'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34471'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34472'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34473'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34474'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34475'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34476'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34477'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34478'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34479'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34480'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34481'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34482'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34483'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34484'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34485'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34486'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34487'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34488'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34489'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34490'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34491'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34492'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34493'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34494'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34495'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34496'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34497'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34498'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34499'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34500'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34501'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34502'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34503'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34504'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34505'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34506'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34507'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34508'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34509'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34510'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34511'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34512'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34513'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34514'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34515'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34516'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34517'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34518'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34519'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34520'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34521'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34522'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34523'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34524'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34525'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34526'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34527'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34528'', ''24013'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34529'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34530'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34531'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34533'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34534'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34535'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31442'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34537'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34538'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34539'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34540'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34541'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34542'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34543'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34544'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34546'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34547'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34548'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34549'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34550'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34551'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34552'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34553'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34554'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34555'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34556'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34557'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34558'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34559'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34560'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34561'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34562'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34563'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34564'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34565'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32115'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34567'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34568'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34569'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34570'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34571'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34572'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34573'', ''24014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34574'', ''24015'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34575'', ''24015'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34576'', ''24015'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34577'', ''24015'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34578'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31430'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34580'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34581'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31437'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34583'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34584'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34585'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34586'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34587'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34588'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34589'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34590'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34591'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34592'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34593'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34594'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34595'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32157'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34597'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32158'', ''24016'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34599'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34600'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34601'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34602'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34603'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34604'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34605'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34606'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34607'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34608'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34609'', ''24017'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34610'', ''24018'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34611'', ''24018'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34612'', ''24019'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34613'', ''24019'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34614'', ''24019'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34615'', ''24020'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34616'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34617'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34618'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34619'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34620'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34621'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34622'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34623'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34624'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34625'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34626'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34627'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34628'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34629'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34630'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34631'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34632'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34633'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34634'', ''24021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25015'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34636'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34637'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26449'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34639'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34640'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26490'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34642'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34643'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34644'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34645'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34646'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26866'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34648'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34649'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27142'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34651'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34652'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27297'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34654'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34655'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34656'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34657'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34658'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34659'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34660'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34661'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28042'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34663'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34664'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28724'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34666'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34667'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34668'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34669'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34670'', ''24022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34671'', ''427'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34672'', ''427'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''84'', ''427'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34674'', ''427'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32470'', ''24023'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34676'', ''24023'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34677'', ''24024'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34678'', ''24024'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34679'', ''24024'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34680'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34681'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34682'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34683'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34684'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34685'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34686'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34687'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34688'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34689'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34690'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34691'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34692'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34693'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34694'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34695'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34696'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34697'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34698'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34699'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34700'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34701'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34702'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34703'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34704'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34705'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34706'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34707'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34708'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34709'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34710'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34711'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34712'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34713'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34714'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34715'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34716'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34717'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34718'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34719'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34720'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34721'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34722'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34723'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34724'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34725'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34726'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34727'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34728'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34729'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34730'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34731'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34732'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34733'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34734'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34735'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34736'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34737'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34738'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34739'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34740'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34741'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34742'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34743'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34744'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34745'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34746'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34747'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34748'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34749'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34750'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34751'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34752'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34753'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34754'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34755'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34756'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34757'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34758'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34759'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34760'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34761'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34762'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34763'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34764'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34765'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34766'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34767'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34768'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34769'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34770'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34771'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34772'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34773'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34774'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34775'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34776'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34777'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34778'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34779'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34780'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34781'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34782'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34783'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34784'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34785'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34786'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34671'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34672'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''84'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34674'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34791'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34792'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34793'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34794'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34795'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34796'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34797'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34798'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34799'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34800'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34801'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34802'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34803'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34804'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34805'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34806'', ''24026'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34807'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34808'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34809'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34810'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34811'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34812'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34813'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34814'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34815'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34816'', ''24027'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34817'', ''24028'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34818'', ''24028'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34819'', ''24028'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34820'', ''24029'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34821'', ''24029'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34822'', ''24029'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34823'', ''24030'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34824'', ''24030'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34825'', ''24030'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34826'', ''22281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34827'', ''22282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34828'', ''22283'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34829'', ''22284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34830'', ''22286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34831'', ''22287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34832'', ''22287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34833'', ''22289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34834'', ''22290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34835'', ''22293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34836'', ''22295'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34837'', ''22296'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34838'', ''22297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34839'', ''22297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34840'', ''22297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34841'', ''22300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34842'', ''22301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34843'', ''22307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34844'', ''22308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34845'', ''22311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34846'', ''22312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34847'', ''22313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34848'', ''22314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34849'', ''22316'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34850'', ''22326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34851'', ''22327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34852'', ''22331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34853'', ''22331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34854'', ''22334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34855'', ''22337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22585'', ''22343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34857'', ''22345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34858'', ''22348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34859'', ''22352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34860'', ''22353'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34861'', ''22354'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34862'', ''22355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34863'', ''22357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34864'', ''22367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34865'', ''22380'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21974'', ''22381'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34867'', ''22382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21975'', ''22383'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34869'', ''22384'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34870'', ''22385'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34871'', ''22392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34872'', ''22396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34873'', ''22400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34874'', ''22401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34875'', ''22403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34876'', ''22410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34877'', ''22414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22008'', ''22415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34879'', ''22416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34880'', ''22417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22009'', ''22418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34882'', ''22419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34883'', ''22421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34884'', ''22422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34885'', ''22424'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34886'', ''22426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34887'', ''22427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34888'', ''22442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34889'', ''22443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34890'', ''22445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34891'', ''22446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34892'', ''22449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34893'', ''22450'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34894'', ''22450'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34895'', ''22451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34896'', ''22451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34897'', ''22451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34898'', ''22452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34899'', ''22452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34893'', ''22453'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34901'', ''22454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34902'', ''22458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34903'', ''22465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34904'', ''22466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34905'', ''22470'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34906'', ''22473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34907'', ''22480'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34833'', ''22483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34909'', ''22483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34910'', ''22483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34911'', ''22483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34912'', ''22483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34913'', ''22484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34914'', ''22485'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34915'', ''366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34916'', ''366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34917'', ''372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22087'', ''22493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22123'', ''22495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34920'', ''22498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34921'', ''22499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34922'', ''22500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34923'', ''22500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34924'', ''22508'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34925'', ''22509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34926'', ''22515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22111'', ''22517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34928'', ''22521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34929'', ''22522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22118'', ''22524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22139'', ''22528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34932'', ''22529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34933'', ''22534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34934'', ''22535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34935'', ''22537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34936'', ''22538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34937'', ''22540'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22800'', ''22544'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34939'', ''22555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34940'', ''22558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34941'', ''22559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34942'', ''22560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34943'', ''22564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34944'', ''22565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34945'', ''22566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34946'', ''22571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34947'', ''22573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34948'', ''22577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34949'', ''22578'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34950'', ''22579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34951'', ''22582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34952'', ''22585'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22178'', ''22586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34954'', ''22587'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22251'', ''22590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34956'', ''22596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22191'', ''22597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34958'', ''22600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34959'', ''22601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34960'', ''22604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34961'', ''22607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34962'', ''22610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34963'', ''22611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34964'', ''22612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34965'', ''22618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34966'', ''22621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34967'', ''22626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34968'', ''22629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34969'', ''22630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34970'', ''22631'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34971'', ''22632'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22226'', ''22633'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34973'', ''22634'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34974'', ''22648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34975'', ''22653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23212'', ''22656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34977'', ''22659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22257'', ''22663'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34979'', ''22665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22261'', ''22667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34981'', ''22672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34982'', ''22674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34983'', ''22675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22269'', ''22676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34985'', ''22677'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34986'', ''22680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34987'', ''22681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34988'', ''22682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34989'', ''22684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34990'', ''22685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34991'', ''22685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34992'', ''22685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34993'', ''22686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34994'', ''22687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22290'', ''22688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34996'', ''22691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34997'', ''22692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34998'', ''22693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''34999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34999'', ''22694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35000'', ''22695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35001'', ''22699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21994'', ''22703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35003'', ''22704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35004'', ''22706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35005'', ''22709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35006'', ''22710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35007'', ''22711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35008'', ''22712'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35009'', ''22715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35010'', ''22716'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22194'', ''22717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35012'', ''22718'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22585'', ''22719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35014'', ''22720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35015'', ''22721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35016'', ''22722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35017'', ''22723'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35018'', ''22724'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35019'', ''22725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35020'', ''22726'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35010'', ''22727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35022'', ''22728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35023'', ''22729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35024'', ''22730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35025'', ''22731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35026'', ''22732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35027'', ''22733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35028'', ''22734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35029'', ''22735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22906'', ''22736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35031'', ''22737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35032'', ''22738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35033'', ''22739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35034'', ''22740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35035'', ''22741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35036'', ''22742'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23253'', ''22743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23301'', ''22744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23348'', ''22745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35040'', ''22746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35040'', ''22747'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22860'', ''22748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35043'', ''22749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35044'', ''22750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35012'', ''22751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35012'', ''22752'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35047'', ''22753'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23301'', ''22754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35003'', ''22758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35050'', ''22762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35051'', ''22768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35052'', ''22773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35053'', ''22776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35054'', ''22776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35055'', ''22776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35056'', ''22776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35057'', ''22777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35058'', ''22778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22371'', ''22780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35060'', ''22781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22372'', ''22784'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35062'', ''22785'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35063'', ''22788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35064'', ''22792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35065'', ''22800'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35066'', ''22802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35067'', ''22802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35068'', ''22802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35069'', ''22802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35070'', ''22802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35071'', ''22805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35072'', ''22805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35073'', ''22808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35074'', ''22810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35075'', ''22811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22407'', ''22813'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22406'', ''22814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35078'', ''22816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35079'', ''22818'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35080'', ''22829'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22423'', ''22830'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35082'', ''22831'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35083'', ''22832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22245'', ''22833'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22424'', ''22834'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35086'', ''22835'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35087'', ''22836'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35088'', ''22837'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35089'', ''22839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35090'', ''22840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35091'', ''22841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35092'', ''22844'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35093'', ''22847'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35094'', ''22850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22812'', ''22853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35096'', ''22855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35097'', ''22869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35098'', ''22871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22465'', ''22872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35100'', ''22873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35101'', ''22875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35102'', ''22876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35103'', ''22878'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35104'', ''22879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35105'', ''22887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35106'', ''22888'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35107'', ''22889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22491'', ''22900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35109'', ''22901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35110'', ''22905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35111'', ''22906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35112'', ''22914'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35113'', ''22917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22511'', ''22918'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35115'', ''22920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35116'', ''22930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35117'', ''22931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35118'', ''22933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35119'', ''22935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35120'', ''22936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35121'', ''22938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35122'', ''22938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35123'', ''22939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35124'', ''22940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35125'', ''22941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35126'', ''22944'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35127'', ''22956'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35128'', ''22961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35129'', ''22978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35130'', ''22982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35131'', ''22993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35132'', ''22993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35133'', ''22994'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35134'', ''22994'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35135'', ''22995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35136'', ''22995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35137'', ''22995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22589'', ''22996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35139'', ''22997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35140'', ''23001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22600'', ''23004'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35142'', ''23006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35143'', ''23007'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35144'', ''23018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35145'', ''23022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35146'', ''23023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35147'', ''23028'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35148'', ''23030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22600'', ''23033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35150'', ''23036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22637'', ''23041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35152'', ''23050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35153'', ''23053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35154'', ''23054'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22648'', ''23055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35156'', ''23056'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22649'', ''23058'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35158'', ''23059'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35159'', ''23060'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35160'', ''23063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35161'', ''23073'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35162'', ''23079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35163'', ''23080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35164'', ''23082'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35165'', ''23083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35166'', ''23084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35167'', ''23085'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22679'', ''23086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35169'', ''23087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22680'', ''23088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35171'', ''23089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22687'', ''23094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35173'', ''23096'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22247'', ''23098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35175'', ''23099'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35176'', ''23102'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35177'', ''23103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35178'', ''23104'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35179'', ''23105'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35180'', ''23108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35181'', ''23113'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35182'', ''23115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22710'', ''23116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35184'', ''23117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35185'', ''23118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35186'', ''23119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35187'', ''23120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35188'', ''23121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22713'', ''23122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35190'', ''23123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35191'', ''23124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35192'', ''23127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35193'', ''23130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35194'', ''23133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35195'', ''23141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22735'', ''23142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35197'', ''23143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22736'', ''23144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35199'', ''23145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35200'', ''23146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35201'', ''23147'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35202'', ''23148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35203'', ''23149'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35204'', ''23150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35205'', ''23151'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35206'', ''23152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35207'', ''23153'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35208'', ''23162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35209'', ''23163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35210'', ''23165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35211'', ''23167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35212'', ''23168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35213'', ''23171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35214'', ''23172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35215'', ''23173'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35015'', ''23186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35217'', ''23188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35218'', ''23189'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35219'', ''23197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23235'', ''23205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22801'', ''23207'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35222'', ''23209'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22803'', ''23210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35224'', ''23211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22807'', ''23213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22804'', ''23215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35227'', ''23216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35228'', ''23238'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35229'', ''23240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35230'', ''23242'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35231'', ''23250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35232'', ''23256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35233'', ''23257'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35234'', ''23258'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22851'', ''23259'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35236'', ''23260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35237'', ''23263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35238'', ''23273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35239'', ''23283'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35240'', ''23284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35241'', ''23285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35242'', ''23286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35243'', ''23287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35244'', ''23288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35245'', ''23289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35246'', ''23290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35247'', ''23291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35248'', ''23293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35249'', ''23297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35250'', ''23298'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35251'', ''23299'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35251'', ''23301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35253'', ''23303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35254'', ''23306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35255'', ''23309'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35256'', ''23312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35257'', ''23321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35258'', ''23323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35259'', ''23326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35260'', ''23328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35261'', ''23332'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35262'', ''23333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35263'', ''23334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35264'', ''23335'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35265'', ''23336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35266'', ''23340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35267'', ''23341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35268'', ''23342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22938'', ''23344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35270'', ''23346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35271'', ''23348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35272'', ''23349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35273'', ''23354'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22957'', ''23359'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35275'', ''23365'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35276'', ''23367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35277'', ''23367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35278'', ''23368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35279'', ''23369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35280'', ''23370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35281'', ''23372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35282'', ''23374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35283'', ''23377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35284'', ''23382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35285'', ''23389'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35286'', ''23391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35287'', ''23392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22986'', ''23393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35289'', ''23395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35290'', ''23396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35291'', ''23397'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35292'', ''23398'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35293'', ''23399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35294'', ''23400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35295'', ''23401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35296'', ''23405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35297'', ''23410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35298'', ''23411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35299'', ''23413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35300'', ''23414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35301'', ''23415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35302'', ''23416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35303'', ''23419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35304'', ''23422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35305'', ''23423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35306'', ''23424'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35307'', ''23426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35043'', ''23440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35309'', ''23442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35310'', ''23443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35311'', ''23444'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35312'', ''23447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35313'', ''23448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23057'', ''23456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23057'', ''23458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35316'', ''23460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35317'', ''23463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35318'', ''23464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35319'', ''23473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23067'', ''23474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35321'', ''23475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23068'', ''23476'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35323'', ''23477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35324'', ''23478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35325'', ''23483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35326'', ''23487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35327'', ''23487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35328'', ''23491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35329'', ''23491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35328'', ''23492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35331'', ''23494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23088'', ''23499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35333'', ''23500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35334'', ''368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35335'', ''368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35336'', ''368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35337'', ''23513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''68'', ''23514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35339'', ''23515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''23516'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23141'', ''23519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23108'', ''23520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35343'', ''23521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35344'', ''23535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35345'', ''23539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35346'', ''23540'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23136'', ''23542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35348'', ''23543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23139'', ''23545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35350'', ''23548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35351'', ''23552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35352'', ''23554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35353'', ''23555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35354'', ''23557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35355'', ''23558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23152'', ''23559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35357'', ''23560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35358'', ''23566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35359'', ''23567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35360'', ''23570'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35361'', ''23571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35362'', ''23571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35363'', ''23574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35364'', ''23575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35365'', ''23575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35366'', ''23576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35367'', ''23576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35368'', ''23578'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35369'', ''23579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35370'', ''23579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35371'', ''23580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35372'', ''23587'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35373'', ''23587'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23181'', ''23589'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23181'', ''23590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35376'', ''23600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35377'', ''23605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35378'', ''23606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35379'', ''23606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35380'', ''23606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35381'', ''23608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35382'', ''23609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35383'', ''23609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35384'', ''23609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35385'', ''23613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23207'', ''23614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35387'', ''23615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35388'', ''23616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23114'', ''23617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22245'', ''23618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23208'', ''23619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35392'', ''23620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35393'', ''23621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35394'', ''23622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35395'', ''23623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35396'', ''23626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35397'', ''23629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35398'', ''23630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35399'', ''23633'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35400'', ''23636'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22185'', ''23640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35402'', ''23647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35403'', ''23648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35404'', ''23651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22860'', ''23653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35406'', ''23655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35407'', ''23662'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35408'', ''23664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35409'', ''23669'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35410'', ''23670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23268'', ''23676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35412'', ''23677'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35413'', ''23682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35414'', ''23684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35415'', ''23686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35416'', ''23689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35417'', ''23692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35418'', ''23693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35419'', ''23694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35420'', ''23695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23289'', ''23696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23295'', ''23701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35423'', ''23707'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35424'', ''23713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35425'', ''23716'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22517'', ''23720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35427'', ''23720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35428'', ''23721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35429'', ''23732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35430'', ''23736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35431'', ''23737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35432'', ''23738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35433'', ''23741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23331'', ''23744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35435'', ''23745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35436'', ''23747'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35437'', ''23748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35438'', ''20405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35439'', ''20410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35440'', ''20413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35441'', ''20414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35442'', ''20415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35443'', ''20416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35444'', ''20416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35445'', ''20416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35446'', ''20416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35447'', ''20419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35448'', ''20419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35449'', ''20420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35450'', ''20422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35451'', ''20422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35452'', ''20422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35453'', ''20422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35454'', ''20423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35455'', ''20426'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35456'', ''20426'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35457'', ''20428'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35458'', ''20429'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35459'', ''20429'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35460'', ''20429'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35461'', ''20429'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35462'', ''20429'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35463'', ''20430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35464'', ''20430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35465'', ''20430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35466'', ''20430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35467'', ''20431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35468'', ''20431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35469'', ''20431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35470'', ''20431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35471'', ''20431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35472'', ''20432'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35473'', ''20432'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35474'', ''20432'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35475'', ''20432'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20576'', ''20435'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20912'', ''20435'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35478'', ''20438'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35479'', ''20438'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35480'', ''20438'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35481'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35482'', ''20439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20021'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35484'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35485'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35486'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35487'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35488'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35489'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35490'', ''20439'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35491'', ''20440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35492'', ''20441'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35493'', ''20441'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35494'', ''20443'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35495'', ''20443'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35496'', ''20444'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35497'', ''20444'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35498'', ''20446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35499'', ''20447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35500'', ''20448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35501'', ''20448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35502'', ''20448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35503'', ''20448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35504'', ''20448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35505'', ''20449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35506'', ''20449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35507'', ''20451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29881'', ''20451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20577'', ''20452'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35510'', ''20452'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20913'', ''20452'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35512'', ''20452'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35513'', ''20454'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35514'', ''20454'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35515'', ''20456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35516'', ''20456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35517'', ''20456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35518'', ''20457'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35519'', ''20457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35520'', ''20458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35521'', ''20458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20579'', ''20460'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20915'', ''20460'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21434'', ''20460'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35525'', ''20460'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35526'', ''20463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35527'', ''20469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20540'', ''20471'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35529'', ''20471'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20588'', ''20471'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20916'', ''20471'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35532'', ''20474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35533'', ''20475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35534'', ''20475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20446'', ''20476'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35536'', ''20476'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35537'', ''20477'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35538'', ''20477'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35539'', ''20477'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35540'', ''20478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35541'', ''20478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20904'', ''20480'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21060'', ''20480'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20073'', ''20483'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35545'', ''20483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35546'', ''20483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20704'', ''20483'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21455'', ''20483'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21650'', ''20483'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35550'', ''20484'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35551'', ''20484'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35552'', ''20484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35553'', ''20484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35554'', ''20489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35555'', ''20490'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35556'', ''20496'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35557'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35558'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35559'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35560'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35561'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35562'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35563'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35564'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35565'', ''20497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35566'', ''20498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35567'', ''20499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35568'', ''20499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35569'', ''20499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23924'', ''20499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35571'', ''20499'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35572'', ''20499'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35573'', ''20499'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24733'', ''20500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20644'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35576'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35577'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35578'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35579'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35580'', ''20501'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35581'', ''20502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35582'', ''20502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35583'', ''20503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35584'', ''20505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35585'', ''20506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35586'', ''20506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35587'', ''20509'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21062'', ''20509'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21064'', ''20509'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35590'', ''20510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35591'', ''20510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35592'', ''20510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35593'', ''20514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20100'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35595'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20586'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20751'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20906'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35599'', ''20519'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23955'', ''20520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35601'', ''20521'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20840'', ''20521'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21725'', ''20521'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35604'', ''20528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35605'', ''20535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20075'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35607'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20587'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35609'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20919'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35611'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35612'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35613'', ''20538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35614'', ''20538'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35615'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35616'', ''20539'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35617'', ''20539'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35618'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35619'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35620'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35621'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35622'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35623'', ''20539'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35624'', ''20539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35625'', ''20539'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35626'', ''20543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35627'', ''20543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35628'', ''20543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35629'', ''20545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35630'', ''20545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35631'', ''20545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35632'', ''20545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35633'', ''20545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35634'', ''20548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35635'', ''20548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35636'', ''20549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35637'', ''20549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35638'', ''20553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35639'', ''20553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35640'', ''20554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35641'', ''20554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35642'', ''20558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35643'', ''20562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35644'', ''20563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35645'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35646'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35647'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35648'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35649'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35650'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35651'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35652'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35653'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35654'', ''20564'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20301'', ''20566'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21541'', ''20566'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35657'', ''20567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35658'', ''20567'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35659'', ''20567'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35660'', ''20567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35661'', ''20567'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35662'', ''20567'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20753'', ''20570'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21752'', ''20570'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20253'', ''20571'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20197'', ''20590'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35667'', ''20590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20364'', ''20590'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20593'', ''20597'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20921'', ''20597'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35671'', ''20598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35672'', ''20602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35673'', ''20607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20594'', ''20612'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20922'', ''20612'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20595'', ''20615'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20300'', ''20621'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21262'', ''20621'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35679'', ''20621'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35680'', ''20622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35681'', ''20622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35682'', ''20622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35683'', ''20623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35684'', ''20623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35685'', ''20624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35686'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35687'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35688'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35689'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35690'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35691'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35692'', ''20628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35693'', ''20634'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20596'', ''20635'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20923'', ''20635'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35696'', ''20638'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35697'', ''20638'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35698'', ''20638'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35699'', ''20638'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35700'', ''20638'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35701'', ''20640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35702'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35703'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35704'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35705'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21019'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35707'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35708'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35709'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35710'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35711'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21799'', ''20642'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35713'', ''20647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35714'', ''20648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35715'', ''20649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35716'', ''20649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35717'', ''20649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20243'', ''20651'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20092'', ''20652'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20242'', ''20652'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20244'', ''20652'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20245'', ''20652'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20246'', ''20652'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35724'', ''20654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35725'', ''20655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35726'', ''20655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35727'', ''20657'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35728'', ''20657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35729'', ''20659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35730'', ''20659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35731'', ''20659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35732'', ''20660'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35733'', ''20661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35734'', ''20661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''20662'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35736'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35737'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35738'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35739'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35740'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35741'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35742'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35743'', ''20665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35744'', ''20666'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35745'', ''20666'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35746'', ''20666'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35747'', ''20666'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35748'', ''20666'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35749'', ''20669'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35750'', ''20670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35751'', ''20670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35752'', ''20670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35753'', ''20672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35754'', ''20672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35755'', ''20674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35756'', ''20674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35757'', ''20675'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20271'', ''20675'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20272'', ''20675'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21414'', ''20675'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21769'', ''20675'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35762'', ''20676'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24611'', ''20676'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29859'', ''20676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24616'', ''20676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35766'', ''20676'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35767'', ''20676'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35768'', ''20679'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35769'', ''20681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20279'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20280'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35772'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20337'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35774'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35775'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35776'', ''20681'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35777'', ''20687'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30723'', ''20687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35779'', ''20687'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35780'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35781'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35782'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35783'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35784'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35785'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35786'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35787'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35788'', ''20688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35789'', ''20690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35790'', ''20690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35791'', ''20691'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35792'', ''20691'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35793'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35794'', ''20693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35795'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21210'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35797'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35798'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35799'', ''20693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35800'', ''20694'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35801'', ''20694'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35802'', ''20694'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35803'', ''20694'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35804'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35805'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35806'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35807'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35808'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35809'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35810'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35811'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35812'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35802'', ''20695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35814'', ''20696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35815'', ''20696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35816'', ''20696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35817'', ''20697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35818'', ''20697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35819'', ''20698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20292'', ''20699'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20293'', ''20699'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21530'', ''20699'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21531'', ''20699'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35824'', ''20701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35825'', ''20702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35826'', ''20704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35827'', ''20705'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35828'', ''20705'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35829'', ''20706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35830'', ''20708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35831'', ''20708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20297'', ''20709'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35833'', ''20709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35834'', ''20709'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23925'', ''20710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35836'', ''20711'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35837'', ''20711'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35838'', ''20711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21523'', ''20711'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35840'', ''20711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35841'', ''20711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35842'', ''20711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35843'', ''20711'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21783'', ''20711'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35845'', ''20713'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35846'', ''20713'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20076'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20169'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35849'', ''104'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35850'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20724'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21469'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35853'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21733'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35855'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35856'', ''104'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35857'', ''20714'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35858'', ''20714'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35859'', ''20714'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20238'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35861'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35862'', ''20717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35863'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35864'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35865'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21386'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21548'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35868'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35869'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21697'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35871'', ''20717'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35872'', ''20718'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20689'', ''20718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21570'', ''20718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21695'', ''20718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''20719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20599'', ''20720'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20691'', ''20720'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20927'', ''20720'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21581'', ''20720'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21698'', ''20720'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35882'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35883'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35884'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35885'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35886'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35887'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21865'', ''20722'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35889'', ''20723'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35890'', ''20723'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35891'', ''20723'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35892'', ''20723'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35893'', ''20723'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20600'', ''20723'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20928'', ''20723'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35896'', ''20724'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20434'', ''20724'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20601'', ''20724'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35899'', ''20724'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35900'', ''20728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35901'', ''20728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35902'', ''20730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35903'', ''20731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35856'', ''20731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35905'', ''20731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35906'', ''20732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20930'', ''20732'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35908'', ''20738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35909'', ''20738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35910'', ''20738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35911'', ''20738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35912'', ''20739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35913'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35914'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35915'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35916'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35917'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35918'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35919'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35920'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35921'', ''20740'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35922'', ''20740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20603'', ''20741'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35924'', ''20743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35925'', ''20743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35926'', ''20743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35927'', ''20743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35928'', ''20743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20605'', ''20748'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20931'', ''20748'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35931'', ''20749'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35932'', ''20759'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35933'', ''20760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20077'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35935'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20398'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20607'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20932'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35939'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35940'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35941'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35942'', ''20765'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20448'', ''20766'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''20767'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35945'', ''20767'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20692'', ''20767'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21699'', ''20767'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20374'', ''20769'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35949'', ''20769'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35950'', ''20772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21470'', ''20782'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20608'', ''20789'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20933'', ''20789'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35954'', ''20792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35955'', ''20797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20376'', ''20798'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35957'', ''20798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''20799'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35959'', ''20799'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35960'', ''20801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20880'', ''20801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21117'', ''20801'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35963'', ''20805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35964'', ''20805'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35965'', ''20807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35966'', ''20807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24830'', ''20807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20693'', ''20808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21700'', ''20808'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35970'', ''20809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35971'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35972'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20407'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20408'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35975'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35976'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35977'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35978'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35979'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35980'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20413'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21752'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21755'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35984'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35985'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21765'', ''20810'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35987'', ''20819'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35988'', ''20820'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35989'', ''20821'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35990'', ''20822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35991'', ''20823'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35992'', ''20823'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35993'', ''20825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35994'', ''20825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35995'', ''20825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35996'', ''20825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35997'', ''20825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35998'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''35999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35999'', ''105'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20694'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20851'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36002'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36003'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21701'', ''105'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36005'', ''20828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36006'', ''20830'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36007'', ''20832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36008'', ''20834'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36009'', ''20837'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36010'', ''20837'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36011'', ''20839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36012'', ''20839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36013'', ''20844'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36014'', ''20848'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36015'', ''20850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36016'', ''20850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36017'', ''20850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36018'', ''20850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36019'', ''20850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36020'', ''20850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36021'', ''20850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36022'', ''20851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36023'', ''20851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36024'', ''20851'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20134'', ''20854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20446'', ''20854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20450'', ''20854'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36028'', ''20858'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36029'', ''20860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36030'', ''20861'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36031'', ''20865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36032'', ''20866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36033'', ''20866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36034'', ''20866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36035'', ''20866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36036'', ''20866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20613'', ''20867'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20936'', ''20867'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36039'', ''20867'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36040'', ''20869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36041'', ''20870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36042'', ''20873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36043'', ''20876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20476'', ''20880'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20475'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36046'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36047'', ''20885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36048'', ''20885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20538'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20539'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20731'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20798'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36053'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21617'', ''20885'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36055'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36056'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36057'', ''20886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36058'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36059'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36060'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36061'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36053'', ''20886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36063'', ''20886'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20489'', ''20890'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36065'', ''20891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36066'', ''20892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36067'', ''20895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36068'', ''20897'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24045'', ''20898'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36070'', ''20899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36071'', ''177'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20481'', ''177'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20862'', ''177'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21146'', ''177'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21402'', ''177'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36076'', ''20903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36077'', ''20904'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36078'', ''20904'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36079'', ''20904'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36080'', ''20905'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36081'', ''20908'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36082'', ''20909'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36083'', ''20909'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36084'', ''20911'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36085'', ''20921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36086'', ''20922'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36087'', ''20923'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36088'', ''20923'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36089'', ''20924'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36090'', ''20924'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36091'', ''20924'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36092'', ''20926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36093'', ''20927'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21702'', ''20927'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36095'', ''20929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36096'', ''20930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20615'', ''20930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20937'', ''20930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21226'', ''95'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36100'', ''95'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20616'', ''20934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21549'', ''20934'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20003'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20004'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36105'', ''20936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20617'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20938'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36108'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36109'', ''20936'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36110'', ''20937'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36111'', ''20941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36112'', ''20941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36113'', ''20944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36114'', ''20944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36115'', ''20944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36116'', ''20944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21403'', ''20944'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20619'', ''20945'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20625'', ''20949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20940'', ''20949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36121'', ''20950'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36122'', ''20954'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36123'', ''20958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36124'', ''20958'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36125'', ''20960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36126'', ''20963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36127'', ''20967'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36128'', ''20967'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36129'', ''20967'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36130'', ''20974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36131'', ''20974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36132'', ''20977'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36133'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36134'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36135'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36136'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36137'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36138'', ''20978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36139'', ''20980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36140'', ''20980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36141'', ''20980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36142'', ''20980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36143'', ''20984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35529'', ''20986'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36145'', ''20989'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36146'', ''20995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36147'', ''20995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36148'', ''20995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20627'', ''20995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36150'', ''20995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36151'', ''20996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36152'', ''21002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36153'', ''21002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36154'', ''21003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36155'', ''21003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36156'', ''21003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20597'', ''21003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36158'', ''21003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20661'', ''21004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36160'', ''21005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36161'', ''21014'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36162'', ''21018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36163'', ''21019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36164'', ''21019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36165'', ''21019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36166'', ''21019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36167'', ''21021'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36168'', ''21021'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21521'', ''21021'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36170'', ''21022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36171'', ''21022'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36172'', ''21024'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36173'', ''21033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36174'', ''21033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36175'', ''21036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29585'', ''21036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36177'', ''21036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36178'', ''21037'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20591'', ''21038'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20592'', ''21038'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20622'', ''21038'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20663'', ''21048'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36183'', ''21050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36184'', ''21050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36185'', ''21051'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36186'', ''21060'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36187'', ''21065'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36188'', ''21065'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36189'', ''21065'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36190'', ''21065'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36191'', ''21067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36192'', ''21067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36193'', ''21071'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36194'', ''21071'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36195'', ''21072'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20575'', ''21073'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36158'', ''21073'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36198'', ''21074'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36199'', ''21074'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36200'', ''21074'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36201'', ''21077'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36202'', ''21079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36203'', ''21081'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36204'', ''21081'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36205'', ''21081'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36206'', ''21082'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36207'', ''21082'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20610'', ''21083'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20624'', ''21083'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36210'', ''21083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36211'', ''21087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21388'', ''21090'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36213'', ''21094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36214'', ''21097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21258'', ''21099'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21264'', ''21099'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36217'', ''21102'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36218'', ''21103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36219'', ''21104'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36220'', ''21104'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36221'', ''21105'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36222'', ''21105'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36223'', ''21108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36224'', ''21109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36225'', ''21109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36226'', ''21110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36227'', ''21110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36228'', ''21111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36229'', ''21112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21703'', ''21112'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36231'', ''21115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36232'', ''21115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36233'', ''21116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36234'', ''21117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36235'', ''21117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36236'', ''21120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36237'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36238'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36239'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36240'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36241'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36242'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36243'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36244'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21860'', ''21124'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36246'', ''21127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36247'', ''21127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36248'', ''21128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36249'', ''21128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20944'', ''21128'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36251'', ''21128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36252'', ''21128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21389'', ''21128'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36254'', ''21128'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35628'', ''21128'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36256'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36257'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36258'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36259'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36260'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36261'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36262'', ''21136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36263'', ''21137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36264'', ''21140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36265'', ''21142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36266'', ''21142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36267'', ''21142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36268'', ''21142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36269'', ''21142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36270'', ''21146'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36271'', ''21146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36272'', ''21146'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20631'', ''21147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36274'', ''21147'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20947'', ''21147'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20746'', ''21150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20080'', ''21154'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36278'', ''21154'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36279'', ''21154'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36280'', ''21154'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21472'', ''21154'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36282'', ''21158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36283'', ''21164'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20948'', ''21165'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36285'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20772'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36287'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36288'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21100'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36290'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36291'', ''21168'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20769'', ''21175'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36293'', ''21185'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36294'', ''21187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36295'', ''21187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36296'', ''21188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36297'', ''21191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20786'', ''21192'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36299'', ''21192'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21152'', ''21192'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24214'', ''21194'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30049'', ''21194'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36303'', ''21201'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36304'', ''21208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36305'', ''21210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36306'', ''21211'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36243'', ''21211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36308'', ''21212'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36309'', ''21212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36310'', ''21212'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36311'', ''21213'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20809'', ''21213'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20810'', ''21213'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36314'', ''21216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36315'', ''21217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36316'', ''21217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36317'', ''21219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36318'', ''21219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36319'', ''21221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36320'', ''21224'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36321'', ''21225'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36322'', ''21227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36323'', ''21231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36324'', ''21231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36325'', ''21231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36326'', ''21231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36327'', ''21234'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24270'', ''21234'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36329'', ''21236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36330'', ''21236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36331'', ''21236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36332'', ''21236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36333'', ''21237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36334'', ''21237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36335'', ''21237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29995'', ''21237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36337'', ''21237'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20842'', ''21239'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36339'', ''21239'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36340'', ''21239'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36341'', ''21239'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36342'', ''21240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36343'', ''21240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36344'', ''21243'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36345'', ''21245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36337'', ''21247'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36347'', ''21248'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36348'', ''21248'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36349'', ''21248'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36350'', ''21248'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36351'', ''21248'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36352'', ''21248'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36353'', ''21249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36354'', ''21249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36355'', ''21249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20633'', ''21251'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20949'', ''21251'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36358'', ''21254'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36359'', ''21255'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20264'', ''21255'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36361'', ''21255'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36362'', ''21256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36363'', ''21258'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36364'', ''21260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36365'', ''21260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36366'', ''21261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36367'', ''21261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36368'', ''21261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36369'', ''21261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36370'', ''21261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36371'', ''21261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36372'', ''21261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36373'', ''21265'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36374'', ''21266'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36375'', ''21267'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36376'', ''21269'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36377'', ''21270'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36378'', ''21271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36379'', ''21271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36380'', ''21274'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36381'', ''21275'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20298'', ''21276'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20563'', ''21276'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36384'', ''21278'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36385'', ''21278'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36386'', ''21279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36387'', ''21279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36388'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36389'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21013'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21166'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36392'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21464'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21505'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21857'', ''21280'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36396'', ''21281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36397'', ''21283'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36398'', ''21284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36399'', ''21284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36400'', ''21284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36401'', ''21284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36402'', ''21284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36403'', ''21286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36404'', ''21286'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36405'', ''21287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36406'', ''21287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30943'', ''21288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30944'', ''21288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36409'', ''21292'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36410'', ''21294'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36411'', ''21294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36412'', ''21294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36413'', ''21294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36414'', ''21297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36415'', ''21297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36416'', ''21297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36417'', ''21302'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36418'', ''21303'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36419'', ''21303'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36420'', ''21304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36421'', ''21304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20887'', ''21306'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36423'', ''21306'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36424'', ''21309'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36425'', ''21313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36426'', ''21313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36427'', ''21323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20690'', ''21328'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21395'', ''21328'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21398'', ''21328'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36431'', ''21333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36432'', ''21335'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36433'', ''21335'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36434'', ''21337'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36435'', ''21337'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36436'', ''21339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36437'', ''21341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36438'', ''21345'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36439'', ''21347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20934'', ''21348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21387'', ''21349'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36442'', ''21352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36443'', ''21352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36444'', ''21356'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36445'', ''21357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36446'', ''21357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36447'', ''21357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36448'', ''21357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36449'', ''21357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36450'', ''21358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36451'', ''21358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36452'', ''21358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20768'', ''21359'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20925'', ''21363'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20972'', ''21363'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36456'', ''21367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36457'', ''21368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36458'', ''21368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36459'', ''21369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36460'', ''21369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36461'', ''21369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36462'', ''21369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36463'', ''21375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36464'', ''21376'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36465'', ''21376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36466'', ''21376'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36467'', ''169'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20959'', ''169'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36469'', ''169'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20971'', ''169'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36471'', ''21378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36472'', ''21385'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36473'', ''21388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36474'', ''21388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20920'', ''21389'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36476'', ''21389'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20986'', ''21389'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36478'', ''21396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36479'', ''21396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36480'', ''21396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36481'', ''21396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36482'', ''21396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21865'', ''21396'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36484'', ''21401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36485'', ''21401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36486'', ''21401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36487'', ''21401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36488'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36489'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36490'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36491'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36492'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36493'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36494'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36495'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36496'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36497'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36498'', ''21403'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20638'', ''21409'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36500'', ''21411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36501'', ''21411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36502'', ''21411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36503'', ''21411'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36504'', ''21411'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36505'', ''21412'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36506'', ''21412'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36507'', ''21412'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36508'', ''21412'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24326'', ''21413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29963'', ''21413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36511'', ''21413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24334'', ''21413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36513'', ''21414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36514'', ''21421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36515'', ''21421'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36516'', ''21422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36517'', ''21427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36518'', ''21427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36519'', ''21427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36520'', ''21427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36521'', ''21427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36522'', ''21439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36523'', ''21447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36524'', ''21447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20955'', ''21451'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36526'', ''21452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36527'', ''21453'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36528'', ''21457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36529'', ''21457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36530'', ''21457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20639'', ''21463'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36532'', ''21463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36533'', ''21465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36534'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36535'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36536'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36537'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36538'', ''21466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36539'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36540'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36541'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36542'', ''21466'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36543'', ''21467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36544'', ''21469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36545'', ''21469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36546'', ''21470'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36547'', ''21472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20640'', ''21477'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20956'', ''21477'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20173'', ''21481'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20178'', ''21481'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21077'', ''21481'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36553'', ''21489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36554'', ''21491'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20957'', ''21491'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36556'', ''21493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36557'', ''21498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36558'', ''21498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36559'', ''21500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36560'', ''21500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36561'', ''21500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36562'', ''21500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36563'', ''21502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36564'', ''21503'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21669'', ''21508'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35657'', ''21511'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36567'', ''21511'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36568'', ''21514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36569'', ''21514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30812'', ''21517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36571'', ''21518'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36572'', ''21518'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36573'', ''21518'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36574'', ''21518'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36575'', ''21520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36576'', ''21521'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36577'', ''21521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36578'', ''21521'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20316'', ''21523'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20506'', ''21523'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20849'', ''21523'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21181'', ''21523'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36583'', ''21524'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36584'', ''21524'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36585'', ''21525'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36586'', ''21526'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36587'', ''21528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36588'', ''21528'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''21528'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36590'', ''21528'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20154'', ''21529'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36592'', ''21529'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21637'', ''21529'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21856'', ''21529'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36595'', ''21532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20643'', ''21536'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20958'', ''21536'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21127'', ''21540'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36599'', ''21540'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36600'', ''21542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36601'', ''21550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36602'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36603'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36604'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36605'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36606'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36607'', ''21551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36608'', ''21552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36609'', ''21552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36610'', ''21552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36611'', ''21552'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36612'', ''21553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36613'', ''21553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36614'', ''21554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36615'', ''21554'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20580'', ''21555'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36617'', ''21555'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36618'', ''21555'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20265'', ''21557'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36620'', ''21557'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36621'', ''21557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36622'', ''21557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21351'', ''21557'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36624'', ''21557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36625'', ''21558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36626'', ''21559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36627'', ''21559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36628'', ''21560'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36629'', ''21560'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36630'', ''21560'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36631'', ''21563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36632'', ''21563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36633'', ''21563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36634'', ''21564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36635'', ''21565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36636'', ''21565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36637'', ''21569'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36638'', ''21571'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36639'', ''21571'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36640'', ''21571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36641'', ''21571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36642'', ''21574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36643'', ''21574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36644'', ''21574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36645'', ''21574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36646'', ''21577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36647'', ''21579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36648'', ''21579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36649'', ''21580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36650'', ''21580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36651'', ''21581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36652'', ''21582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30780'', ''21583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36654'', ''21583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36652'', ''21583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36656'', ''21584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36657'', ''21584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36290'', ''21586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36659'', ''21588'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36660'', ''21592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36661'', ''21593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36662'', ''21595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36663'', ''21595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36664'', ''21595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36665'', ''21595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21187'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21191'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36668'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21195'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21197'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21200'', ''21601'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20644'', ''21602'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36673'', ''21603'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36660'', ''21607'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36675'', ''21607'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36668'', ''21607'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36677'', ''21607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36678'', ''21611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36679'', ''21611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36680'', ''21611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36681'', ''21614'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21706'', ''21614'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36683'', ''21616'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21212'', ''21616'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36685'', ''21616'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36686'', ''21616'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36687'', ''21628'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20962'', ''21628'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36689'', ''21633'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36690'', ''21641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36691'', ''21643'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36692'', ''21643'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36693'', ''21644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36694'', ''21646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36695'', ''21646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36696'', ''21648'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36697'', ''21648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36698'', ''21648'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36699'', ''21649'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36700'', ''21649'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36701'', ''21649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36702'', ''21649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36703'', ''21650'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36704'', ''21650'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36705'', ''21650'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36706'', ''21650'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36707'', ''21650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36708'', ''21651'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36709'', ''21651'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36710'', ''21651'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36711'', ''21659'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36712'', ''21667'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36713'', ''21667'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36714'', ''21667'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36715'', ''21668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36716'', ''21668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20630'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20650'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20651'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20946'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20965'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20966'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36723'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36724'', ''21670'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20652'', ''21672'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20967'', ''21672'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36727'', ''21675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36728'', ''21676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36729'', ''21679'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36730'', ''21682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36731'', ''21689'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36732'', ''21689'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36733'', ''21689'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36734'', ''21691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36735'', ''21693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21291'', ''21693'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36737'', ''21694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36738'', ''21696'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36739'', ''21702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36740'', ''21702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36741'', ''21702'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36742'', ''21702'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36743'', ''21702'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21305'', ''21704'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36745'', ''21705'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20085'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20284'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36748'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36749'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20604'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21041'', ''21708'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36752'', ''21708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21475'', ''21713'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36754'', ''21713'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21318'', ''21716'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36756'', ''21718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21312'', ''21718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21319'', ''21718'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36759'', ''21721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36760'', ''21725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36761'', ''21726'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36762'', ''21727'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36763'', ''21727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36764'', ''21727'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21735'', ''21727'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36766'', ''21727'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36767'', ''21728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36768'', ''21728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36769'', ''21729'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36770'', ''21729'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36771'', ''21729'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36772'', ''21729'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36773'', ''21729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21323'', ''21730'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21324'', ''21730'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21539'', ''21730'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21540'', ''21730'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36778'', ''21731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36779'', ''21732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36780'', ''21737'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36781'', ''21737'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36782'', ''21740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36783'', ''21751'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36784'', ''21751'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36785'', ''21756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36786'', ''21756'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36787'', ''21756'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21659'', ''21756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36789'', ''21756'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36790'', ''21759'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36791'', ''21759'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36792'', ''21759'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21866'', ''21759'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20969'', ''21764'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36795'', ''21769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36796'', ''21771'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20001'', ''21773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20002'', ''21773'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36799'', ''21777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36800'', ''21777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36801'', ''21781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36802'', ''21782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36803'', ''21783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36804'', ''21788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36805'', ''21787'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36806'', ''21789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36807'', ''21789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36808'', ''21794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36809'', ''21795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36810'', ''21795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36811'', ''21795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36812'', ''21795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36813'', ''21797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36814'', ''21797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20545'', ''21797'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36816'', ''21798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36817'', ''21798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36818'', ''21802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36819'', ''21802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36820'', ''180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36821'', ''21806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36822'', ''21814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36823'', ''21814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36824'', ''21816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23935'', ''21823'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36826'', ''21825'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36827'', ''21830'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36828'', ''21832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36829'', ''21832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36830'', ''21836'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36831'', ''21836'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36832'', ''21838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36833'', ''21840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36834'', ''21840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36835'', ''21840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36836'', ''21840'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20657'', ''21841'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36838'', ''21848'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36839'', ''21848'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36737'', ''21849'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36841'', ''21849'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21446'', ''21850'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20005'', ''21852'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20284'', ''21852'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20299'', ''21852'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36846'', ''21852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36847'', ''21853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20660'', ''21856'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26'', ''21856'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36850'', ''21859'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36851'', ''21860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36852'', ''21860'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36853'', ''21862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36854'', ''21870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36855'', ''21872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36856'', ''21872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36857'', ''21872'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36858'', ''21872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36859'', ''21872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36860'', ''21872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36861'', ''21872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36291'', ''21873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20322'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20323'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20325'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20326'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20818'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20877'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21115'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21400'', ''21874'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36871'', ''175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36872'', ''175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20542'', ''21879'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36874'', ''21881'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20664'', ''21882'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36876'', ''21888'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36877'', ''21897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36878'', ''21905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36879'', ''21908'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36880'', ''21912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21229'', ''21914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21479'', ''21914'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36839'', ''21916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36884'', ''21916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36885'', ''21916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36886'', ''21916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36887'', ''21916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21685'', ''21916'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36889'', ''21926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36890'', ''21928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36891'', ''21928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36892'', ''21928'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36893'', ''21929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20665'', ''21929'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36895'', ''21929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21524'', ''21930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21527'', ''21930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36898'', ''21930'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20666'', ''21931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36900'', ''21931'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36898'', ''21931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20087'', ''21932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20667'', ''21932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36904'', ''21932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21359'', ''21932'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36906'', ''21932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36907'', ''21935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36908'', ''21935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36909'', ''21935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36910'', ''21935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21736'', ''21935'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36912'', ''21936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36913'', ''21936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20142'', ''21938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20668'', ''21938'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36916'', ''21939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35586'', ''21941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36850'', ''21941'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36919'', ''21942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20669'', ''21942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36921'', ''21942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20973'', ''21942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36923'', ''21942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36924'', ''21942'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36925'', ''21942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36926'', ''21942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36927'', ''21942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36928'', ''21942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20247'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20289'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20294'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21325'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21545'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21694'', ''21943'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36935'', ''21944'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36936'', ''21944'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36937'', ''21945'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36938'', ''21945'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36939'', ''21946'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36940'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36941'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20274'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20280'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36944'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36945'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36946'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35726'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21211'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36949'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36950'', ''21949'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21788'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21791'', ''21949'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36953'', ''131'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21503'', ''131'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20242'', ''21950'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20288'', ''21950'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21321'', ''21950'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36958'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36959'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36960'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36961'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36962'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36963'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36964'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36965'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36966'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36967'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36968'', ''21951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36969'', ''21952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36970'', ''21952'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36971'', ''21952'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36972'', ''21954'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36973'', ''21954'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36974'', ''21960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20268'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20770'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36977'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36978'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21058'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21271'', ''21964'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36981'', ''21964'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21560'', ''21966'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36983'', ''21966'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21543'', ''21968'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36985'', ''21975'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36986'', ''21976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20670'', ''21976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36988'', ''21976'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36989'', ''21978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36990'', ''21978'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36991'', ''21979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36992'', ''21979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36993'', ''21979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36994'', ''21979'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21707'', ''21981'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21708'', ''21983'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36997'', ''21984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36998'', ''21984'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''36999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36999'', ''21984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37000'', ''21984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37001'', ''21992'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37002'', ''21992'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37003'', ''21995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37004'', ''21995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20975'', ''21996'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20976'', ''21997'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20671'', ''21998'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20977'', ''21998'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37009'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37010'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37011'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37012'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37013'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37014'', ''22000'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37015'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37016'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37017'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37018'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37019'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37020'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37021'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37022'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37023'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37024'', ''22000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37025'', ''22001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37026'', ''22002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37027'', ''22003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37028'', ''22003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37029'', ''22003'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36201'', ''22004'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37031'', ''22004'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37032'', ''22007'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20673'', ''22008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20978'', ''22008'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37035'', ''100'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20675'', ''100'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37037'', ''100'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37038'', ''100'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''100'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37040'', ''22031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37041'', ''22032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37042'', ''22032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37043'', ''22032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37044'', ''22038'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37045'', ''22038'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37046'', ''22038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37047'', ''22039'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37048'', ''22039'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37049'', ''22040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37050'', ''22041'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37051'', ''22042'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37052'', ''22043'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20435'', ''22046'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''22046'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20979'', ''22046'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37056'', ''22050'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37057'', ''22050'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37058'', ''22050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37059'', ''22050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37060'', ''22050'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37061'', ''22052'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37062'', ''22052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37063'', ''22052'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37064'', ''22052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20942'', ''22055'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20980'', ''22055'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37067'', ''22055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21649'', ''22055'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37069'', ''22055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37070'', ''22062'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37071'', ''22062'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21340'', ''22062'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37073'', ''22062'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21820'', ''22062'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37075'', ''22062'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21659'', ''22065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37077'', ''22065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24204'', ''22066'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37079'', ''22066'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20981'', ''22070'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37081'', ''22070'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37082'', ''22080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20696'', ''22081'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37084'', ''22081'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21709'', ''22081'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37086'', ''22085'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37087'', ''22085'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37088'', ''22085'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37089'', ''22086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20676'', ''22087'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20982'', ''22087'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37092'', ''22087'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37093'', ''22087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37094'', ''22090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20677'', ''22094'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20983'', ''22094'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37097'', ''22094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37098'', ''22094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37099'', ''22094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37100'', ''22097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37101'', ''22097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37102'', ''22097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37103'', ''22097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37104'', ''22097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37105'', ''22098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37106'', ''22099'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37107'', ''22100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37108'', ''22100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37109'', ''22101'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37110'', ''22103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36592'', ''22109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37112'', ''22110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30569'', ''22119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30570'', ''22119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30573'', ''22119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21242'', ''22120'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21396'', ''22120'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21547'', ''22120'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37119'', ''22121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37120'', ''22121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37121'', ''22126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37122'', ''22126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37123'', ''22128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37124'', ''22130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37125'', ''22132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37126'', ''22135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37127'', ''22137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21040'', ''22138'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21673'', ''22138'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37130'', ''22141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37131'', ''22143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36588'', ''22146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21739'', ''22146'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21740'', ''22146'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24116'', ''98'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21743'', ''98'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20678'', ''101'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20984'', ''101'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37139'', ''22155'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37140'', ''22155'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37141'', ''22156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37142'', ''22156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37143'', ''22157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37144'', ''22159'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37145'', ''22162'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37146'', ''22170'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37147'', ''22171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37148'', ''22172'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37149'', ''22172'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37150'', ''22172'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20679'', ''22174'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20987'', ''22174'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37153'', ''22176'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37154'', ''22176'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21779'', ''22176'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21770'', ''22177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37157'', ''22183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37158'', ''22184'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37159'', ''22184'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37160'', ''22184'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37161'', ''22185'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37162'', ''22185'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37163'', ''22185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37164'', ''22191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37165'', ''22192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37166'', ''22192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37167'', ''22193'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37168'', ''22193'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37169'', ''22193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37170'', ''22195'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37171'', ''22195'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37172'', ''22195'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37173'', ''22195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21788'', ''22195'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21791'', ''22195'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37176'', ''22196'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37177'', ''22197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37178'', ''22197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37179'', ''22204'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37180'', ''22204'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37181'', ''22204'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37182'', ''22204'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37183'', ''22208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37184'', ''22219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37185'', ''22223'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37186'', ''22223'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37187'', ''22223'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37188'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21818'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21825'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21831'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21840'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21841'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21844'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21845'', ''22224'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37196'', ''22226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37197'', ''22226'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37198'', ''22226'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37199'', ''22226'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37200'', ''22236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37201'', ''22236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37202'', ''22236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37203'', ''22236'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20897'', ''22246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37205'', ''22246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37206'', ''22246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37207'', ''22246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37208'', ''22246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37209'', ''22247'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37210'', ''22250'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21838'', ''22250'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37212'', ''22250'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37213'', ''22253'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37214'', ''22253'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21816'', ''22255'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21824'', ''22255'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37217'', ''22258'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37218'', ''22260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20058'', ''22261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20697'', ''22261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20820'', ''22261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21710'', ''22261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21730'', ''22261'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37224'', ''22263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37225'', ''22265'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36610'', ''22265'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37227'', ''182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37228'', ''22269'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37229'', ''22269'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37230'', ''22269'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37231'', ''22270'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37232'', ''22270'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37233'', ''22271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37234'', ''22271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37235'', ''22271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37147'', ''22272'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37237'', ''22272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37238'', ''22273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20682'', ''22274'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37240'', ''22274'', ''3'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37241'', ''22274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37242'', ''22274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37243'', ''22274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37244'', ''22276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37245'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37246'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37247'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37248'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37249'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27924'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37251'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37252'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37253'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37254'', ''25349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37255'', ''25351'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37256'', ''25352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37257'', ''25353'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37258'', ''25355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37259'', ''25355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37260'', ''25357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37261'', ''25357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37262'', ''25358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37263'', ''25359'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37263'', ''25360'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37265'', ''25361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37266'', ''25362'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37267'', ''25363'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37268'', ''25364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37269'', ''25365'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37270'', ''25366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37271'', ''25367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25353'', ''25367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37273'', ''25367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37274'', ''25368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37275'', ''25369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37276'', ''25369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37277'', ''25370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37278'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37279'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37280'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37281'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37282'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37283'', ''25371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37284'', ''25372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37285'', ''25372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37286'', ''25373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37287'', ''25373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37288'', ''25374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37289'', ''25375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37290'', ''25376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37291'', ''25376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37292'', ''25377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37293'', ''25378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37282'', ''25378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37295'', ''25378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37283'', ''25378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37297'', ''25379'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37298'', ''25379'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37299'', ''25380'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37300'', ''25380'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37301'', ''25381'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37302'', ''25382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37303'', ''25382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37304'', ''25384'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37305'', ''25385'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24987'', ''25391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24986'', ''25392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37308'', ''25392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37309'', ''25393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37310'', ''25393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37311'', ''25394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37312'', ''25394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37313'', ''25395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37314'', ''25396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37315'', ''25396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37316'', ''25396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37317'', ''25396'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37318'', ''25397'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37319'', ''25398'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37320'', ''25398'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37321'', ''25399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37322'', ''25399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37323'', ''25399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37324'', ''25399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37325'', ''25399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37326'', ''25400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37327'', ''25400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37328'', ''25401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37329'', ''25401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37330'', ''25401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37331'', ''25401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37332'', ''25402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37333'', ''25402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37334'', ''25402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37335'', ''25402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37336'', ''25402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37337'', ''25403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37338'', ''25403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37339'', ''25404'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37340'', ''25404'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37341'', ''25405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37342'', ''25405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37343'', ''25405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37344'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37345'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37346'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37347'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37348'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37349'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37350'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37351'', ''25406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37352'', ''25407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37353'', ''25407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37354'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37355'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37356'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37357'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37358'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37359'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37360'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37361'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37362'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37363'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37364'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37365'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37366'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37367'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37368'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37369'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37370'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37371'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37372'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37373'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37374'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37375'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37376'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37377'', ''25408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37354'', ''25409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37379'', ''25410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37380'', ''25410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37381'', ''25411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37382'', ''25411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37383'', ''25412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37384'', ''25412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37385'', ''25412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37368'', ''25413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37387'', ''25413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37388'', ''25413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37389'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37390'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37391'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37392'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37393'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37394'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37395'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37396'', ''25414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37397'', ''25415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37398'', ''25417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37399'', ''25417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37400'', ''25417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37401'', ''25418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37402'', ''25419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37403'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37404'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37405'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37406'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37407'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37408'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37409'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37410'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37411'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37412'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37413'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37414'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37415'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37416'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37417'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37418'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37419'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37420'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37421'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37422'', ''25420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37423'', ''25421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37424'', ''25422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37425'', ''25423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25294'', ''25423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37427'', ''25423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37428'', ''25423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37429'', ''25424'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37430'', ''25425'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37431'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37432'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37433'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37434'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37435'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37436'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37437'', ''25426'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37438'', ''25427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37439'', ''25427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37440'', ''25427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37441'', ''25427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25024'', ''25428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37443'', ''25428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37443'', ''25429'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37445'', ''25430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37446'', ''25430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37447'', ''25431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25028'', ''25432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37449'', ''25432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37450'', ''25432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37449'', ''25433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37450'', ''25433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37453'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37454'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37455'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37456'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37457'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37458'', ''25434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37459'', ''25435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37460'', ''25435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37461'', ''25436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37462'', ''25437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37463'', ''25437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37464'', ''25437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37465'', ''25437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37466'', ''25437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37467'', ''25438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37468'', ''25439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37469'', ''25439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37470'', ''25439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37471'', ''25439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37472'', ''25440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37473'', ''25440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37474'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37475'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37476'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37477'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37478'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37479'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37480'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37481'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37482'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37483'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37484'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37485'', ''25441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37486'', ''25442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37487'', ''25443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37488'', ''25444'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37489'', ''25445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37490'', ''25445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37491'', ''25446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37492'', ''25446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37493'', ''25447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37494'', ''25448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37495'', ''25448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37496'', ''25449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37497'', ''25449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37498'', ''25449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37499'', ''25449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37497'', ''25450'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37501'', ''25452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37502'', ''25454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37503'', ''25455'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37504'', ''25456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37505'', ''25457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37506'', ''25457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37507'', ''25457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25054'', ''25458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37509'', ''25458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37510'', ''25458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37511'', ''25458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37509'', ''25459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37513'', ''25460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37514'', ''25460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37515'', ''25460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25446'', ''25461'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37517'', ''25461'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37518'', ''25462'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37519'', ''25462'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37520'', ''25464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25061'', ''25465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37522'', ''25468'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37523'', ''25468'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37524'', ''25468'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37525'', ''25474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37526'', ''25475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37527'', ''25475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37528'', ''25479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37529'', ''25479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37530'', ''25479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37531'', ''25479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37532'', ''25486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37533'', ''25486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25083'', ''25488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37535'', ''25488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27149'', ''25488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25085'', ''25489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37538'', ''25491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37539'', ''25491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37540'', ''25496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37541'', ''25496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37542'', ''25496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37543'', ''25497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37544'', ''25498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37545'', ''25499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37546'', ''25499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37547'', ''25499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37548'', ''25499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37549'', ''25500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37550'', ''25500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37551'', ''25500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37552'', ''25500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37553'', ''25501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37554'', ''25501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37555'', ''25501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37556'', ''25502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37557'', ''25502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37558'', ''25503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37559'', ''25504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37560'', ''25505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37561'', ''25506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37562'', ''25507'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37563'', ''25508'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37564'', ''25509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37565'', ''25509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37566'', ''25509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37567'', ''25510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37568'', ''25510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37569'', ''25511'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37570'', ''25512'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37571'', ''25512'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37572'', ''25513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37573'', ''25513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25109'', ''25513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37575'', ''25513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37575'', ''25514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37577'', ''25515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37578'', ''25516'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37579'', ''25517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37580'', ''25518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37581'', ''25518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37582'', ''25518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37583'', ''25519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37584'', ''25519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37585'', ''25520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37586'', ''25520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37587'', ''25520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37588'', ''25521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37589'', ''25522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37590'', ''25523'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37591'', ''25524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37592'', ''25524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37593'', ''25525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37594'', ''25525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37595'', ''25525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37596'', ''25525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37597'', ''25525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37598'', ''25526'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37597'', ''25527'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37595'', ''25528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37601'', ''25529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37602'', ''25530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37603'', ''25530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37604'', ''25531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37605'', ''25531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37606'', ''25532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37607'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37608'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37609'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37610'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37611'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37612'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37613'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37614'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37615'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37616'', ''25533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27075'', ''25534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37618'', ''25534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37619'', ''25535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37620'', ''25536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37621'', ''25537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37622'', ''25537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37623'', ''25537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37624'', ''25538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37625'', ''25539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37626'', ''25539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37627'', ''25539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37628'', ''25540'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37629'', ''25541'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37630'', ''25542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37631'', ''25542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37632'', ''25542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37633'', ''25542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37634'', ''25543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37635'', ''25545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37636'', ''25546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25295'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37638'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37639'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37640'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37641'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37642'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37643'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37644'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37645'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37646'', ''25547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37647'', ''25548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37648'', ''25549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37649'', ''25549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37650'', ''25550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37651'', ''25551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37652'', ''25551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37653'', ''25552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37654'', ''25553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37655'', ''25554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37656'', ''25554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37657'', ''25554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37658'', ''25555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37659'', ''25555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37660'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37661'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37662'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37663'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37664'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37665'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37666'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37667'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37668'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37669'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37670'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37671'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37672'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37673'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37674'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37675'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37676'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37677'', ''141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37678'', ''25556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37679'', ''25556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37680'', ''25557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37681'', ''25557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37682'', ''25558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37683'', ''25559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37684'', ''25559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37685'', ''25559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37686'', ''25559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37687'', ''25559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37688'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37689'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37690'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37691'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37692'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37693'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37694'', ''25560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37695'', ''25561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37696'', ''25561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37697'', ''25562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37698'', ''25562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37699'', ''25563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37700'', ''25563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37701'', ''25563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37702'', ''25564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37703'', ''25564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37704'', ''25564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37705'', ''25565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37706'', ''25565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37707'', ''25566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37708'', ''25566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37709'', ''25566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37710'', ''25567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37711'', ''25567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37712'', ''25568'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37713'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37714'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37715'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37716'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25164'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37718'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37719'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37720'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37721'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37722'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37723'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37724'', ''341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37718'', ''25569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37726'', ''25570'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37727'', ''25571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37728'', ''25572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37729'', ''25572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37730'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37731'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37732'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37733'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37734'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37735'', ''348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37736'', ''25573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37737'', ''25573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37738'', ''25574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37739'', ''25574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37740'', ''25575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37741'', ''25575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37742'', ''25576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37743'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37744'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37745'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37746'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37747'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37748'', ''25577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37749'', ''25578'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27045'', ''25579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37751'', ''25579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37752'', ''25579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37753'', ''25580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37754'', ''25581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37755'', ''25581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37756'', ''25582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37757'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37758'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37759'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37760'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37761'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37762'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37763'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37764'', ''25583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37765'', ''25584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37766'', ''25585'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37767'', ''25586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37768'', ''25586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37769'', ''25586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37770'', ''25587'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37771'', ''25592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37772'', ''25602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37773'', ''25603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37774'', ''25604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37775'', ''25605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37776'', ''25606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37777'', ''25607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37778'', ''25616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37779'', ''25617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37780'', ''25618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37781'', ''25619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37782'', ''25620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37783'', ''25639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37784'', ''25639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37785'', ''25639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37786'', ''25639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37787'', ''25640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37788'', ''25641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37789'', ''25641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37790'', ''25641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37791'', ''25641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37792'', ''25642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37793'', ''25644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37794'', ''25647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37795'', ''25647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37796'', ''25648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37797'', ''25648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37798'', ''25648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37799'', ''25648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37800'', ''25648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37801'', ''25649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37802'', ''25650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37803'', ''25650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37804'', ''25651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37805'', ''25653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37806'', ''25669'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37807'', ''25672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37807'', ''25673'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37809'', ''25675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37810'', ''25676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37811'', ''25677'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37812'', ''25678'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37813'', ''25680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37814'', ''25680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37815'', ''25681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37816'', ''25682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37817'', ''25682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37818'', ''25683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37819'', ''25683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37820'', ''25684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37821'', ''25684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37822'', ''25685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37823'', ''25685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37824'', ''25686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37825'', ''25686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37826'', ''25687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37827'', ''25688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37828'', ''25688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37829'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37830'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37831'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37832'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37833'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37834'', ''25689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37835'', ''25690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37836'', ''25690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37837'', ''25691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37838'', ''25691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37839'', ''25691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37840'', ''25691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37841'', ''25691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37842'', ''25692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27046'', ''25693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37844'', ''25693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37845'', ''25693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37846'', ''25694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37847'', ''25695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37848'', ''25695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37849'', ''25695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37850'', ''25696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37851'', ''25697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37852'', ''25697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37427'', ''25698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37428'', ''25699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37855'', ''25700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37639'', ''25700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37640'', ''25700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37641'', ''25700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37859'', ''25701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37860'', ''25702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37861'', ''25703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37862'', ''25704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37863'', ''25705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37864'', ''25705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37865'', ''25706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37866'', ''25706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37867'', ''25706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37868'', ''25706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37869'', ''25707'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37870'', ''25707'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37871'', ''25708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37872'', ''25708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37873'', ''25709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37874'', ''25709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37875'', ''25717'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37876'', ''25719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37877'', ''25720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37878'', ''25720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37879'', ''25721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37880'', ''25722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37881'', ''25722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37882'', ''25722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37883'', ''25723'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37884'', ''25724'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37885'', ''25725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37886'', ''25725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37887'', ''25725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37888'', ''25725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37889'', ''25725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37890'', ''25726'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37891'', ''25727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37892'', ''25728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37893'', ''25728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37894'', ''25728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37895'', ''25728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37896'', ''25728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37897'', ''25729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37898'', ''25730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37899'', ''25730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37900'', ''25730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37901'', ''25731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37902'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37903'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37904'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37905'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37906'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37907'', ''25732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37908'', ''25733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37909'', ''25734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37910'', ''25734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37911'', ''25735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37912'', ''25735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37913'', ''25735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37914'', ''25736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37915'', ''25737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37916'', ''25737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37917'', ''25738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37918'', ''25738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26330'', ''25739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37920'', ''25739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37921'', ''25739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37922'', ''25740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37923'', ''25741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37924'', ''25741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37925'', ''25745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37926'', ''25745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37927'', ''25746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37928'', ''25750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37929'', ''25750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37930'', ''25750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37931'', ''25750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37932'', ''25750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37933'', ''25751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37934'', ''25751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37935'', ''25751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37936'', ''25751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37937'', ''25751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37938'', ''25754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37939'', ''25754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37940'', ''25754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37271'', ''25758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37942'', ''25758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37943'', ''25758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37944'', ''25759'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37945'', ''25759'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37946'', ''25760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37947'', ''25760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37947'', ''25761'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37949'', ''25762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37950'', ''25762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37951'', ''25762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37952'', ''25762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37953'', ''25763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37954'', ''25764'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37955'', ''25764'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37956'', ''25765'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37957'', ''25765'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37958'', ''25766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37959'', ''25766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37960'', ''25767'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37961'', ''25767'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37962'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37963'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37964'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37965'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37966'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37967'', ''25768'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37968'', ''25769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37969'', ''25769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37970'', ''25769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37971'', ''25769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37972'', ''25770'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37973'', ''25771'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37974'', ''25772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37975'', ''25773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37976'', ''25773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37977'', ''25774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37978'', ''25774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37979'', ''25774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37980'', ''25774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37981'', ''25775'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37982'', ''25778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37983'', ''25779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37984'', ''25779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37985'', ''25780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37986'', ''25781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37987'', ''25782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37988'', ''25782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37989'', ''25783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37990'', ''25783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37991'', ''25784'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37992'', ''25784'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37993'', ''25798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37994'', ''25798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26887'', ''25798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37996'', ''25798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37997'', ''25798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37998'', ''25805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''37999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37999'', ''25805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38000'', ''25805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38001'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38002'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38003'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38004'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38005'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38006'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38007'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38008'', ''25806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38009'', ''25807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38010'', ''25807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38011'', ''25808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38012'', ''25808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38013'', ''25808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38014'', ''25808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38015'', ''25809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38016'', ''25809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38017'', ''25810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38018'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38019'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38020'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38021'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38022'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38023'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38024'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38025'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38026'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38027'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38028'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38029'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38030'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38031'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38032'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38033'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38034'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38035'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38036'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38037'', ''25811'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38038'', ''25812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38039'', ''25812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38040'', ''25812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38041'', ''25812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38042'', ''25813'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38043'', ''25814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38044'', ''25814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38045'', ''25814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38046'', ''25814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38047'', ''25815'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38048'', ''25816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38049'', ''25816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38050'', ''25816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38051'', ''25816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38052'', ''25816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38053'', ''25817'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38054'', ''25817'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38055'', ''25818'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38056'', ''25843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38057'', ''25845'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38058'', ''25849'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38059'', ''25850'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37517'', ''25851'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38061'', ''25852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38062'', ''25852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38063'', ''25853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38064'', ''25853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25450'', ''25854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38066'', ''25854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38067'', ''25854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38068'', ''25854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38069'', ''25855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38070'', ''25856'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38071'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38072'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38073'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38074'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38075'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38076'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38077'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38078'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38079'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38080'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38081'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38082'', ''25872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38072'', ''25873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38071'', ''25874'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38078'', ''25874'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38073'', ''25875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38079'', ''25875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38074'', ''25876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38080'', ''25876'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38075'', ''25877'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38076'', ''25878'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38092'', ''25879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38093'', ''25879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38094'', ''25879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38095'', ''25879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38082'', ''25880'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38077'', ''25881'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27047'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38099'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38100'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38101'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38102'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38103'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38104'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38105'', ''25900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38106'', ''25901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38107'', ''25901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38108'', ''25901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38109'', ''25901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38110'', ''25902'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38111'', ''25902'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38112'', ''25903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38113'', ''25905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38114'', ''25913'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38115'', ''25916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38116'', ''25916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38117'', ''25916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38118'', ''25917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38119'', ''25918'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38120'', ''25919'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27048'', ''25920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38122'', ''25920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38123'', ''25921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38124'', ''25925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38125'', ''25928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38126'', ''25928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38127'', ''25928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38128'', ''25929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38129'', ''25930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38130'', ''25931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38131'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38132'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38133'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38134'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38135'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38136'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38137'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38138'', ''25932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38139'', ''25933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38140'', ''25933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38141'', ''25933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38142'', ''25934'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38143'', ''25935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38144'', ''25936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38145'', ''25936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25533'', ''25937'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38147'', ''25937'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38147'', ''25938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38149'', ''25939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38150'', ''25940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38151'', ''25941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38152'', ''25941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38153'', ''25942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38154'', ''25943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38155'', ''25943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38156'', ''25945'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38157'', ''25946'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38158'', ''25947'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38159'', ''25948'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38160'', ''25951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38161'', ''25951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38162'', ''25955'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38163'', ''25957'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38164'', ''25958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38165'', ''25958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38166'', ''25964'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38167'', ''25965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38168'', ''25965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38169'', ''25965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38170'', ''25965'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38171'', ''25969'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38172'', ''25971'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38173'', ''25976'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38174'', ''25976'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38175'', ''25980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38176'', ''25986'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38177'', ''25987'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38178'', ''25995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38179'', ''25999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38180'', ''26000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38181'', ''26000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38182'', ''26000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38183'', ''26000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38184'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38185'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38186'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38187'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38188'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38189'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38190'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38191'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38192'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38193'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38194'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38195'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38196'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38197'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38198'', ''26001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38199'', ''26002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38200'', ''26003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38201'', ''26011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38202'', ''26014'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38203'', ''26015'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28705'', ''26016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38205'', ''26016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38206'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38207'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38208'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38209'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38210'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38211'', ''26017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38212'', ''26023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38213'', ''26023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29168'', ''26024'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25627'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38216'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38217'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38218'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38219'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38220'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38221'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38222'', ''26031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38216'', ''26032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38224'', ''26032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38219'', ''26032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38226'', ''26032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38227'', ''26033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25630'', ''26034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25631'', ''26034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25632'', ''26034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38231'', ''26038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38232'', ''26039'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38233'', ''26043'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38234'', ''26047'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38235'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38236'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38237'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38238'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38239'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38240'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38241'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38242'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38243'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38244'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38245'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38246'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38247'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38248'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38249'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38250'', ''26048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38251'', ''26049'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38252'', ''26049'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38253'', ''26050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38254'', ''26050'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38255'', ''26052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38256'', ''26052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38257'', ''26052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38258'', ''26052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38259'', ''26053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38260'', ''26053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38261'', ''26053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38260'', ''26054'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38263'', ''26055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38264'', ''26055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38265'', ''26056'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38266'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38267'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38268'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38269'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38270'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38271'', ''26057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38272'', ''26058'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38273'', ''26059'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38274'', ''26060'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38275'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38276'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38277'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38278'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38279'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38280'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38281'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38282'', ''26061'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38283'', ''26062'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38284'', ''26063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38285'', ''26063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38286'', ''26063'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38287'', ''26064'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25661'', ''26065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38289'', ''26065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38290'', ''26065'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38289'', ''26066'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38290'', ''26066'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38293'', ''26068'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38294'', ''26069'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38295'', ''26070'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38296'', ''26074'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38297'', ''26075'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38298'', ''26076'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38299'', ''26078'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38300'', ''26079'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38301'', ''26080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38302'', ''26081'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38303'', ''26082'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38304'', ''26083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38305'', ''26087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38306'', ''26088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38307'', ''26089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38308'', ''26090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38309'', ''26090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38310'', ''26090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38311'', ''26090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38312'', ''26091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38313'', ''26091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38314'', ''26092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38315'', ''26092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38316'', ''26094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38317'', ''26094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38318'', ''26094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38319'', ''26094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38320'', ''26095'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38321'', ''26095'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38322'', ''26096'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38323'', ''26097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38324'', ''26098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38325'', ''26098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38326'', ''345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38327'', ''345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38328'', ''26106'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38329'', ''26123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38330'', ''26123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38331'', ''26123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38332'', ''26124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38333'', ''26126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38334'', ''26129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38335'', ''26129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38336'', ''26130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38337'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38338'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38339'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38340'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38341'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38342'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38343'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38344'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38345'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38346'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38347'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38348'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38349'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38350'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38351'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38352'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38353'', ''26131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38354'', ''26132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38355'', ''26132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38356'', ''26133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38357'', ''26133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38358'', ''26134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38359'', ''26134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38360'', ''26135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38361'', ''26135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38362'', ''26137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38363'', ''26138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38364'', ''26138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38365'', ''26139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38366'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38367'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38368'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38369'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38370'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38371'', ''26140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38372'', ''26141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38373'', ''26141'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38374'', ''26142'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38375'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38376'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38377'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38378'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38379'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38380'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38381'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38382'', ''26143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38383'', ''26144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38384'', ''26144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38385'', ''26145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38386'', ''26145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38387'', ''26146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38388'', ''26146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38389'', ''26146'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38390'', ''26147'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38391'', ''26147'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38392'', ''26148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38393'', ''26148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38394'', ''26148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38395'', ''26148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38396'', ''137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38397'', ''137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38398'', ''137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38399'', ''137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38400'', ''26149'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38401'', ''26149'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38402'', ''26149'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38403'', ''26150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38404'', ''26151'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38405'', ''26152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38406'', ''26153'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38407'', ''26154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38408'', ''26154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38409'', ''26154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38410'', ''26154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38408'', ''26155'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25749'', ''26156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38413'', ''26156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38414'', ''26156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38409'', ''26156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38416'', ''26156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38417'', ''26157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38418'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38419'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38420'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38421'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38422'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38423'', ''26158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38424'', ''26159'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38425'', ''26160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38426'', ''26160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38427'', ''26161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38428'', ''26161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38429'', ''26162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38430'', ''26163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38429'', ''26164'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38432'', ''26165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38433'', ''26166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38434'', ''26167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38435'', ''26169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38436'', ''26169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38437'', ''26169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38438'', ''26169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38439'', ''26170'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38440'', ''26170'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38441'', ''26170'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38442'', ''26171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38443'', ''26171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38444'', ''26171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38445'', ''26171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38446'', ''26172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38447'', ''26172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38448'', ''334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38449'', ''26173'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38450'', ''26174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38451'', ''26175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38452'', ''26176'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38453'', ''26177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38454'', ''26177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38455'', ''26177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38456'', ''26184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38457'', ''26185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38458'', ''26185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38459'', ''26185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38460'', ''26185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38461'', ''26186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38462'', ''26186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38463'', ''26187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38464'', ''26187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38465'', ''26187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38466'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38467'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38468'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38469'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38470'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38471'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38472'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38473'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38474'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38475'', ''26188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38476'', ''26189'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38477'', ''26190'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38478'', ''26191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38479'', ''26192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38480'', ''26193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38481'', ''138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38482'', ''138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38483'', ''26196'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38484'', ''26197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38485'', ''26197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38486'', ''26197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38487'', ''26198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38488'', ''26198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38489'', ''26205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38490'', ''26206'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38491'', ''26207'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38492'', ''26208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38493'', ''26208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38494'', ''26209'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38495'', ''26209'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38496'', ''26210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38497'', ''26210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38498'', ''26211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38499'', ''26211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38500'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38501'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38502'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38503'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38504'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38505'', ''26212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38506'', ''26213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38507'', ''26214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38508'', ''26214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38509'', ''26214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38510'', ''26214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38511'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38512'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38513'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38514'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38515'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38516'', ''26215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38517'', ''26216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38518'', ''26217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38519'', ''26218'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38520'', ''26218'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38521'', ''26218'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38522'', ''26218'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38523'', ''26219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38524'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38525'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38526'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38527'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38528'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38529'', ''26220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38530'', ''26221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38531'', ''26224'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38532'', ''26225'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38533'', ''26226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38534'', ''26227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38535'', ''26227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38536'', ''26227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38537'', ''26227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38538'', ''26227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38537'', ''26228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38540'', ''26229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38541'', ''26229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38542'', ''26229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38543'', ''26230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38544'', ''26230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38543'', ''26231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38544'', ''26231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38547'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38548'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38549'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38550'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38551'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38552'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38553'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38554'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38555'', ''26232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38556'', ''26233'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38557'', ''26233'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38558'', ''26234'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38559'', ''26234'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38560'', ''26234'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38561'', ''26243'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38562'', ''26243'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38563'', ''346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38564'', ''346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38565'', ''346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38566'', ''346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38567'', ''346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38568'', ''26244'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38569'', ''26245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38570'', ''26245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38571'', ''26246'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25844'', ''26247'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38573'', ''26248'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38574'', ''26250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38575'', ''26250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38576'', ''26251'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38577'', ''26251'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38578'', ''26251'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38575'', ''26251'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38580'', ''26252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38581'', ''26252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38582'', ''26253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38583'', ''26253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38584'', ''26253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38585'', ''26253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38586'', ''26253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38587'', ''26254'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38588'', ''26254'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38589'', ''26254'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38590'', ''26254'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38591'', ''26255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38592'', ''26256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25870'', ''26274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38594'', ''26274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38595'', ''26274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38595'', ''26275'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38597'', ''26276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38598'', ''26276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38599'', ''26277'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38600'', ''26277'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38601'', ''26278'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38602'', ''26279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38603'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38604'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38605'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38606'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38607'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38608'', ''26280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38609'', ''26281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38610'', ''26281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38611'', ''26282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38612'', ''26282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38613'', ''26282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38614'', ''26288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38615'', ''26288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38616'', ''26288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38617'', ''26288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38618'', ''26289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38619'', ''26289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38620'', ''26289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38621'', ''26290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38622'', ''26290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38623'', ''26293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38624'', ''26293'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38625'', ''26294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38626'', ''26294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38627'', ''26295'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38626'', ''26296'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38629'', ''26297'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38630'', ''26298'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38631'', ''26298'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27049'', ''26299'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38633'', ''26299'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38634'', ''26300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38635'', ''26300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38636'', ''26300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38637'', ''26301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38638'', ''26302'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38639'', ''26302'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38640'', ''26303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38641'', ''26303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38642'', ''26304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38643'', ''26304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38644'', ''26304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38645'', ''26304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38646'', ''26304'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38647'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38648'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38649'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38650'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38651'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38652'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38653'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38654'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38655'', ''26305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38656'', ''26306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38657'', ''26307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38658'', ''26308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38659'', ''26308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38660'', ''26309'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38661'', ''26310'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38662'', ''26310'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38663'', ''26310'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38664'', ''26311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38665'', ''26312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38666'', ''26312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38667'', ''26313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38668'', ''26313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38669'', ''26314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38670'', ''26315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38670'', ''26316'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38672'', ''26316'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38673'', ''26316'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38674'', ''26317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38675'', ''26318'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38676'', ''26319'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38677'', ''26319'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38678'', ''26319'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38679'', ''26320'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38680'', ''26321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38681'', ''26322'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38682'', ''26323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38683'', ''26323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38684'', ''26323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38685'', ''26323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38686'', ''26324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38687'', ''26325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38688'', ''26326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38689'', ''26326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38690'', ''26326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38691'', ''26327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38692'', ''26327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38693'', ''26327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38694'', ''26328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38695'', ''26329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38696'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38697'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38698'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38699'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38700'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38701'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38702'', ''26330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38703'', ''26331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38704'', ''26353'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38705'', ''26366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38706'', ''26367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38707'', ''26368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38708'', ''26369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38709'', ''26370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38710'', ''26371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38711'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38712'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38713'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38714'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38715'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38716'', ''26372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38717'', ''26373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38718'', ''26374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38719'', ''26375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38720'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38721'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38722'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38723'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38724'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38725'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38726'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38727'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38728'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38729'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38730'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38731'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38732'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38733'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38734'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38735'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38736'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38737'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38738'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38739'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38740'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38741'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38742'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38743'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38744'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38745'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38746'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38747'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38748'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38749'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38750'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38751'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38752'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38753'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38754'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38755'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38756'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38757'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38758'', ''26376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38759'', ''26377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25972'', ''26378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38759'', ''26378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38762'', ''26379'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38763'', ''26380'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38764'', ''26381'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38765'', ''26381'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38766'', ''26382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38767'', ''26384'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38768'', ''26386'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38769'', ''26387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25984'', ''26388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38771'', ''26388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38771'', ''26389'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38773'', ''26391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38774'', ''26392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38775'', ''26393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38776'', ''26397'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38777'', ''26399'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38778'', ''26400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38779'', ''26401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38780'', ''26402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38781'', ''26405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38782'', ''26405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38783'', ''26408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38784'', ''26411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38785'', ''26412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38786'', ''26413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38787'', ''26415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38788'', ''26417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38789'', ''26417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38790'', ''26417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38791'', ''26418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38792'', ''26419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38793'', ''26420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38794'', ''26421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38795'', ''26421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38796'', ''26422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38797'', ''26423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38798'', ''26428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38799'', ''26429'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38800'', ''26430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38801'', ''26430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38802'', ''26431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26027'', ''26431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38804'', ''26433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38805'', ''26433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38806'', ''26434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38807'', ''26434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38808'', ''26434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38805'', ''26435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38810'', ''26436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38811'', ''26436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38812'', ''26436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38813'', ''26437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38806'', ''26438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38807'', ''26438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38808'', ''26438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38817'', ''26438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38818'', ''26439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38819'', ''26440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38820'', ''26441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38821'', ''26441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38822'', ''26442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26037'', ''26443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38822'', ''26443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38825'', ''26446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38826'', ''26446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38827'', ''26446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38828'', ''26447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38829'', ''26447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38830'', ''26453'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38831'', ''26454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38832'', ''26455'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38833'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38834'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38835'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38836'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38837'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38838'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38839'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38840'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38841'', ''26459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38842'', ''26460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38843'', ''26462'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38844'', ''26463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38845'', ''26464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38846'', ''26465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38847'', ''26465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38848'', ''26466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38849'', ''26469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38850'', ''26470'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38851'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38852'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38853'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38854'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38855'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38856'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38857'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38858'', ''26472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38859'', ''26473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38860'', ''26474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38861'', ''26475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38862'', ''26476'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38863'', ''26476'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38864'', ''26477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38865'', ''26477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38866'', ''26478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38867'', ''26483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38868'', ''26484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38869'', ''26485'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38870'', ''26486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38871'', ''26487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38872'', ''26488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38873'', ''26489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38874'', ''26489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38875'', ''26489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38876'', ''26489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38877'', ''26490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38878'', ''26491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38879'', ''26492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38880'', ''26492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38881'', ''26492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38882'', ''26492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38883'', ''26493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38884'', ''26494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38885'', ''26494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38886'', ''26495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38887'', ''26496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38888'', ''26497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38889'', ''26498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38890'', ''26499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38891'', ''26501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38892'', ''26501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38893'', ''26501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38894'', ''26503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38895'', ''26503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38896'', ''26504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38897'', ''26505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38898'', ''26505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38899'', ''26505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38900'', ''26506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38901'', ''26507'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38902'', ''26508'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38903'', ''26509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38904'', ''26509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38905'', ''26509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38906'', ''26509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38907'', ''26511'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38908'', ''26512'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38909'', ''26513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38910'', ''26514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38911'', ''26516'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38912'', ''26517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38913'', ''26518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38914'', ''26519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38915'', ''26520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38916'', ''26521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38917'', ''26524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38918'', ''26524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38919'', ''26525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38920'', ''26526'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38921'', ''26528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38922'', ''26529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38923'', ''26530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38924'', ''26531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38925'', ''26532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38926'', ''26533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38927'', ''26534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38928'', ''26535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38929'', ''26536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38930'', ''26538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38931'', ''26538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38932'', ''26538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38933'', ''26539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38934'', ''26543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38935'', ''26547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38936'', ''26549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38937'', ''26550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38938'', ''26551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38939'', ''26552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38940'', ''26552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38941'', ''26552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38942'', ''26554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38943'', ''26556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38944'', ''26556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38945'', ''26556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38946'', ''26556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38947'', ''26557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38948'', ''26557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38949'', ''26559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38950'', ''26560'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38951'', ''26561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38952'', ''26562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38953'', ''26562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38951'', ''26563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38955'', ''26564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38956'', ''26565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38957'', ''26565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38956'', ''26566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38957'', ''26566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38960'', ''26569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38961'', ''26569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38962'', ''26569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38961'', ''26570'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38964'', ''26571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38965'', ''26572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38966'', ''26572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38967'', ''26573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38968'', ''26574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38969'', ''26581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38970'', ''26582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38971'', ''26583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38972'', ''26584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38973'', ''26585'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38974'', ''26586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38975'', ''26586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38976'', ''26588'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38977'', ''26589'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38978'', ''26589'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38979'', ''26596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38980'', ''26597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38981'', ''26597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38982'', ''26597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26195'', ''26598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38984'', ''26599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38985'', ''26601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38986'', ''26602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38987'', ''26607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38988'', ''26610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38989'', ''26611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38990'', ''26613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38991'', ''26615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38992'', ''26616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38993'', ''26617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38994'', ''26618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38995'', ''26619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38996'', ''26620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38997'', ''26621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38998'', ''26621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''38999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38999'', ''26621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39000'', ''26625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39001'', ''26625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39002'', ''26625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39003'', ''26625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39004'', ''26625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26224'', ''26628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39006'', ''26628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26225'', ''26628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26226'', ''26628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26227'', ''26628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39010'', ''26631'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39011'', ''26632'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39012'', ''26634'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39013'', ''26635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39014'', ''26636'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39015'', ''26637'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39016'', ''26638'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26235'', ''26639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39018'', ''26639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39018'', ''26640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39020'', ''26641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39021'', ''26642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39022'', ''26642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39023'', ''26642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39024'', ''26642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39025'', ''26642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39026'', ''26643'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39027'', ''26644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39028'', ''26644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39029'', ''26646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39030'', ''26646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39031'', ''26647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39032'', ''26647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39033'', ''26648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39034'', ''26648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39035'', ''26648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39036'', ''26649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39037'', ''26651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39038'', ''26652'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39039'', ''26653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39040'', ''26661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39041'', ''26661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39042'', ''26665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39043'', ''26665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39044'', ''26665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39045'', ''26665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39046'', ''26665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39043'', ''26666'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39044'', ''26666'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39049'', ''26667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39050'', ''26667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39051'', ''26680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39052'', ''26684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39053'', ''26685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39054'', ''26685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39055'', ''26686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39056'', ''26686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39057'', ''26687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39058'', ''26688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39059'', ''26689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39060'', ''26690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39061'', ''26690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39062'', ''26690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39063'', ''26690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39064'', ''26691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39065'', ''26692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39066'', ''26693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39067'', ''26693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39068'', ''26694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39069'', ''26694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39070'', ''26694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39071'', ''26694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39072'', ''26694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39073'', ''26695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39074'', ''26695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39075'', ''26696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39076'', ''26696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39077'', ''26697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39078'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39079'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39080'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39081'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39082'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39083'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39084'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39085'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39086'', ''26698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39087'', ''26699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39088'', ''26699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39089'', ''26699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39090'', ''26700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39091'', ''26700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39092'', ''26700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39093'', ''26700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39094'', ''26700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39095'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39096'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39097'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39098'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39099'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39100'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39101'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39102'', ''26701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39101'', ''26702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39104'', ''26702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39105'', ''26704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39106'', ''26704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39107'', ''26704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39108'', ''26705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39109'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39110'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39111'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39112'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39113'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39114'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39115'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39116'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39117'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39118'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39119'', ''26713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39114'', ''26714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39121'', ''26729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39122'', ''26730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39123'', ''26731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39124'', ''26731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39125'', ''26732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39126'', ''26733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39127'', ''26733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39128'', ''26733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39129'', ''26733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39130'', ''26734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37920'', ''26735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39132'', ''26736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39133'', ''26737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39134'', ''26738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39135'', ''26739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39136'', ''26739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39137'', ''26739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39138'', ''26739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39139'', ''26740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39140'', ''26741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39141'', ''26741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39142'', ''26742'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39143'', ''26742'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39144'', ''26743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39145'', ''26745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39146'', ''26746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39147'', ''26747'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39148'', ''26748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39149'', ''26749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39150'', ''26749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39151'', ''26749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37269'', ''26750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39153'', ''26751'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39154'', ''26752'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39155'', ''26753'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39156'', ''26754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39157'', ''26755'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39158'', ''26760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39159'', ''26762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39160'', ''26762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39161'', ''26763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39162'', ''26763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39163'', ''26763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39164'', ''26769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39165'', ''26769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39166'', ''26769'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39167'', ''26770'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39168'', ''26774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39169'', ''26781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39170'', ''26789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39171'', ''26798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39172'', ''26798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39173'', ''26798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39174'', ''26798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39175'', ''26799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39173'', ''26799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39177'', ''26799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39178'', ''26799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39179'', ''26800'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39180'', ''26801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38673'', ''26802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39182'', ''26804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39183'', ''26804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39184'', ''26808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39185'', ''26808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39186'', ''26814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39187'', ''26814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39188'', ''26815'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39189'', ''26816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39190'', ''26816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39191'', ''26816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39192'', ''26816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39193'', ''26816'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39194'', ''26817'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39195'', ''26818'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39196'', ''26819'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39197'', ''26820'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39198'', ''26821'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39199'', ''26821'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39200'', ''26825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39201'', ''26825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39202'', ''26825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39203'', ''26825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39204'', ''26832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39205'', ''26832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39206'', ''26832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39207'', ''26833'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39208'', ''26834'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39209'', ''26838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39210'', ''26838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39211'', ''26838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39212'', ''26839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39213'', ''26840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39214'', ''26841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39215'', ''26846'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39216'', ''26846'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39217'', ''26853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39218'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39219'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39220'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39221'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39222'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39223'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39224'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39225'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39226'', ''26854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39227'', ''26861'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39228'', ''26862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39229'', ''26862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39230'', ''26868'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39231'', ''26869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39232'', ''26870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39233'', ''26870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39234'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39235'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39236'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39237'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39238'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39239'', ''26871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39240'', ''26875'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26475'', ''26879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26476'', ''26879'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39243'', ''26883'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39244'', ''26883'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39245'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39246'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39247'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39248'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39249'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39250'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39251'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39252'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39253'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39254'', ''26893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39255'', ''26894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39256'', ''26894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39257'', ''26894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39258'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39259'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39260'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39261'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39262'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39263'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39264'', ''26895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39265'', ''26896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39266'', ''26897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39267'', ''26897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39268'', ''26898'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39269'', ''26899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39270'', ''26899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39271'', ''26900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39272'', ''26901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39273'', ''26902'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39274'', ''26902'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39275'', ''26903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39276'', ''26904'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39277'', ''26905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39278'', ''26906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39279'', ''26906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39280'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39281'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39282'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39283'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39284'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39285'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39286'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39287'', ''26925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39288'', ''26926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39289'', ''26926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39290'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39291'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39292'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39293'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39294'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39295'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39296'', ''26929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39297'', ''26930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39298'', ''26930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39299'', ''26930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39300'', ''26931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39301'', ''26932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39302'', ''26932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39303'', ''26933'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39304'', ''26938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39305'', ''26938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39306'', ''26938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39307'', ''26938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39308'', ''26939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39309'', ''26939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39310'', ''26940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37257'', ''26941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39312'', ''26941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39313'', ''26941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39314'', ''26941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39315'', ''26945'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39316'', ''26961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39317'', ''26961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39318'', ''26961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39319'', ''26962'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39320'', ''26963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39321'', ''26963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26560'', ''26963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26562'', ''26963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39324'', ''26963'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39325'', ''26964'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39326'', ''26966'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39327'', ''26970'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39328'', ''26971'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39329'', ''26972'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39330'', ''26973'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39331'', ''26973'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39332'', ''26974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39333'', ''26974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39334'', ''26974'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39335'', ''26975'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39336'', ''26975'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39337'', ''26976'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39338'', ''26976'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39339'', ''26978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39340'', ''26979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39341'', ''26982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39342'', ''26982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39343'', ''351'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39344'', ''351'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39345'', ''26983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39346'', ''26983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39347'', ''26984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39348'', ''26984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39349'', ''26985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39350'', ''26985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39351'', ''26985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39352'', ''26985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39353'', ''26985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39354'', ''26988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39355'', ''26988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39356'', ''26988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39357'', ''26989'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39358'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39359'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39360'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39361'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39362'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39363'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39364'', ''26990'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39365'', ''26991'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39366'', ''26991'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39367'', ''26991'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39368'', ''26992'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39369'', ''26993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39370'', ''26993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39371'', ''26993'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39372'', ''26994'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39373'', ''26994'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39374'', ''26995'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39375'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39376'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39377'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39378'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39379'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39380'', ''26996'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39381'', ''26997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39382'', ''26997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39383'', ''26997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39384'', ''26997'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39385'', ''26998'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39386'', ''26998'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39387'', ''26998'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39388'', ''26998'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39389'', ''26999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39390'', ''26999'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39391'', ''27000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39392'', ''27000'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39393'', ''27001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39394'', ''27001'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39395'', ''143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39396'', ''27002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39397'', ''27002'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39398'', ''27003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39399'', ''27003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39400'', ''27003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39401'', ''27003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39402'', ''27004'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39403'', ''27005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39404'', ''27005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39405'', ''27005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39406'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39407'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39408'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39409'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39410'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39411'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39412'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39413'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39414'', ''27006'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39415'', ''27007'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39416'', ''27008'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39417'', ''27009'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39418'', ''27010'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39419'', ''27011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39420'', ''27011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39421'', ''27012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39422'', ''27012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39423'', ''27013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39424'', ''27014'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39425'', ''27016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39426'', ''27016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39427'', ''27016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39428'', ''27017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39429'', ''27017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39430'', ''27017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39431'', ''27017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39432'', ''27018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39433'', ''27018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39434'', ''27019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39435'', ''27019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39436'', ''27020'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39437'', ''27021'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39438'', ''27022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39439'', ''27023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39440'', ''27023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39441'', ''27024'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39442'', ''27024'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39443'', ''27025'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39444'', ''27034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39445'', ''27041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39446'', ''27046'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39447'', ''27047'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39448'', ''27052'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39449'', ''27053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39450'', ''27053'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39451'', ''27054'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39452'', ''27055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39453'', ''27055'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39454'', ''27056'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39455'', ''27057'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39456'', ''27066'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39457'', ''27067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39458'', ''27067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39459'', ''27067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39460'', ''27067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39461'', ''27068'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39462'', ''27069'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39463'', ''27087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39464'', ''27087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39465'', ''27087'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39466'', ''27088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39467'', ''27088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39468'', ''27088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39469'', ''27088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39470'', ''27100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39471'', ''27100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39472'', ''27101'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39473'', ''27111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39474'', ''27121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39475'', ''27126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39476'', ''27126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39477'', ''27127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39478'', ''27128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39479'', ''27128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39480'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39481'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39482'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39483'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39484'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39485'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39486'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39487'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39488'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39489'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39490'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39491'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39492'', ''27129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39493'', ''27130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39494'', ''27130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39495'', ''27131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39496'', ''27131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39497'', ''27131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39498'', ''27131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39499'', ''27131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39500'', ''27132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39501'', ''27133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26730'', ''27134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39503'', ''27134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39504'', ''27134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39505'', ''27134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39503'', ''27135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39507'', ''27136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39508'', ''27136'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39509'', ''27137'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39510'', ''27138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39511'', ''27148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39512'', ''27159'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39513'', ''27160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39514'', ''27161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39515'', ''27162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39516'', ''27163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39517'', ''27163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39518'', ''27164'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39519'', ''27165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39520'', ''27165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39521'', ''27165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39522'', ''27165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39523'', ''27166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39524'', ''27167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39525'', ''27168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39526'', ''27168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39527'', ''27168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39528'', ''27169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39529'', ''27170'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39530'', ''27171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39531'', ''27172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39532'', ''27173'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39533'', ''27174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39534'', ''27175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39535'', ''27176'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39536'', ''27177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39537'', ''27177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39538'', ''27178'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39539'', ''27179'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39540'', ''27179'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39541'', ''27180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39542'', ''27181'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39543'', ''27182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39544'', ''27182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39545'', ''27183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39546'', ''27184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39547'', ''27184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39548'', ''27185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39549'', ''27185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39550'', ''27186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39551'', ''27186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39552'', ''27187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39553'', ''27188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39554'', ''27188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39555'', ''27190'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39555'', ''27191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26788'', ''27192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39558'', ''27192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39559'', ''27192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39560'', ''27193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39559'', ''27193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39562'', ''27194'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39563'', ''27195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39564'', ''27196'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39565'', ''27197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39566'', ''27198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39567'', ''27198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39568'', ''27199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39569'', ''27200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39570'', ''27201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39571'', ''27202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39572'', ''27202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39573'', ''27203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39574'', ''27203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39575'', ''27204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39576'', ''27205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39577'', ''27205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39578'', ''27205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26804'', ''27208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39580'', ''27208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39581'', ''27209'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39582'', ''27212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39583'', ''27213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39584'', ''27213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39585'', ''27213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39586'', ''27216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39587'', ''27226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39588'', ''27226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39589'', ''27226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39590'', ''27226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39591'', ''27226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39592'', ''27227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39593'', ''27249'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26846'', ''27250'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39595'', ''27252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39596'', ''27260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27051'', ''340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39598'', ''340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39599'', ''27261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39600'', ''27262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39601'', ''27262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39602'', ''27262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39603'', ''27263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39604'', ''27264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39605'', ''27264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39606'', ''27264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26862'', ''27266'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39608'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39609'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39610'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39611'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39612'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39613'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39614'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39615'', ''27271'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39616'', ''27272'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39617'', ''27273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39618'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39619'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39620'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39621'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39622'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39623'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39624'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39625'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39626'', ''27274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39627'', ''27275'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39628'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39629'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39630'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39631'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39632'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39633'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39634'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39635'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39636'', ''27276'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39637'', ''27277'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39638'', ''27278'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39639'', ''27278'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39640'', ''27279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39641'', ''27279'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39642'', ''27280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39643'', ''27280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39644'', ''27280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39645'', ''27280'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39646'', ''27281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39647'', ''27281'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39647'', ''27282'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39649'', ''27283'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39650'', ''27284'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39651'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39652'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39653'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39654'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39655'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39656'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39657'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39658'', ''27285'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39659'', ''27287'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39660'', ''27288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26887'', ''27288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39662'', ''27288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39663'', ''27288'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37996'', ''27289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37997'', ''27290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39666'', ''27291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39667'', ''27291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39668'', ''27294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27760'', ''27294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39670'', ''27300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39671'', ''27300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39672'', ''27300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39673'', ''27301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39674'', ''27301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39675'', ''27301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39676'', ''27301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39677'', ''27301'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39678'', ''27302'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39679'', ''27303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39680'', ''27306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39681'', ''27306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39682'', ''27306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39683'', ''27306'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39684'', ''27307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39685'', ''27308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39686'', ''27309'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39687'', ''27311'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39688'', ''27314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39689'', ''27314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39690'', ''27314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39691'', ''27315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39692'', ''27315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39693'', ''27321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39694'', ''27321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39695'', ''27322'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39696'', ''27322'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39697'', ''27323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39698'', ''27324'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39699'', ''27325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39700'', ''27325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39701'', ''27325'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39702'', ''27326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39703'', ''27327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39704'', ''27327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39705'', ''27327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39706'', ''27327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39707'', ''27328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39708'', ''27329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39709'', ''27330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39710'', ''27331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39711'', ''27331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39712'', ''27331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39713'', ''27332'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39714'', ''27332'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39715'', ''27333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39716'', ''27334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39717'', ''27336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39718'', ''27336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39719'', ''27337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39720'', ''27338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39721'', ''27339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39722'', ''27340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39723'', ''27340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39724'', ''27340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39725'', ''27341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39726'', ''27341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39727'', ''27342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39728'', ''27342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39729'', ''27342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39730'', ''27343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39731'', ''27343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39732'', ''27343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39733'', ''27343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39734'', ''27344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39735'', ''27345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39736'', ''27345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39737'', ''27346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39738'', ''27346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39739'', ''27346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39740'', ''27347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39741'', ''27348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39742'', ''27348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39743'', ''27349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39744'', ''27350'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39745'', ''27351'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39746'', ''27351'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39747'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39748'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39749'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39750'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39751'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39752'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39753'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39754'', ''342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39755'', ''27354'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39756'', ''27354'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39757'', ''27355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39758'', ''27357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39759'', ''27358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26954'', ''27358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39761'', ''27360'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39762'', ''27360'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39763'', ''27360'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39764'', ''27360'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39765'', ''27361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39766'', ''27361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39767'', ''27367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39768'', ''27367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39769'', ''27367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39770'', ''27367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39771'', ''27367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39772'', ''27368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39773'', ''27368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39774'', ''27368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39775'', ''27369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39776'', ''27371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39777'', ''27371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39778'', ''27372'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39779'', ''27373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39780'', ''27373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39781'', ''27373'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39782'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39783'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39784'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39785'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39786'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39787'', ''27374'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39788'', ''27375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39789'', ''27375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39790'', ''27376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39791'', ''27378'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39792'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39793'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39794'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39795'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39796'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39797'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39798'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39799'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39800'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39801'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39802'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39803'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39804'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39805'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39806'', ''27382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39807'', ''27383'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39808'', ''27384'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39809'', ''27386'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26986'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39811'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39812'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39813'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39814'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39815'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39816'', ''27387'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39817'', ''27388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39818'', ''27388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39819'', ''27389'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39820'', ''27389'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39821'', ''27390'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39822'', ''27390'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39813'', ''27391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39818'', ''27391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39825'', ''27392'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39826'', ''27393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39827'', ''27393'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39828'', ''27394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39829'', ''27395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26994'', ''27398'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39831'', ''27400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39832'', ''27401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39833'', ''27401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39834'', ''27401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39835'', ''27402'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39836'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39837'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39838'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39839'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39840'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39841'', ''27403'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39842'', ''27404'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39843'', ''27404'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39844'', ''27405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39845'', ''27405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39846'', ''27406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39847'', ''27407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39848'', ''27408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39849'', ''27409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39850'', ''27410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39851'', ''27411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39852'', ''27411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39853'', ''27412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39854'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39855'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39856'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39857'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39858'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39859'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39860'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39861'', ''27414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39862'', ''27415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39863'', ''27416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39864'', ''27416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39865'', ''27418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39866'', ''27418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39867'', ''27418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39868'', ''27418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39869'', ''27419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39870'', ''27420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39871'', ''27421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39872'', ''27421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27018'', ''27422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39874'', ''27432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39875'', ''27432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39876'', ''27432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39877'', ''27432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39878'', ''27433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39879'', ''27433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39880'', ''27434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39881'', ''27434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39882'', ''27435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39883'', ''27436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27079'', ''27437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39885'', ''27437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39886'', ''27438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39887'', ''27438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39888'', ''27438'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39889'', ''27439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39890'', ''27440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39891'', ''27440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39892'', ''27441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39891'', ''27441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39894'', ''27441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39895'', ''27442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39896'', ''27442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39897'', ''27443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39898'', ''27444'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39899'', ''27445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39900'', ''27445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39901'', ''27445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39902'', ''27445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39903'', ''27445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39904'', ''27446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39905'', ''27447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39906'', ''27448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39907'', ''27448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39908'', ''27449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39909'', ''27449'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37751'', ''27450'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37752'', ''27450'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37844'', ''27451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37845'', ''27451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38101'', ''27452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38122'', ''27453'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39916'', ''27454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38633'', ''27454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39918'', ''27455'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39598'', ''27456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39920'', ''27457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39921'', ''27458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39922'', ''27459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39923'', ''27459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39924'', ''27460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39925'', ''27461'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39926'', ''27462'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39927'', ''27462'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39928'', ''27463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39929'', ''27464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39930'', ''27475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39931'', ''27475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39932'', ''27475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39933'', ''27476'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39934'', ''27477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39935'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39936'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39937'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39938'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39939'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39940'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39941'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39942'', ''27478'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39943'', ''27479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37608'', ''27480'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37618'', ''27480'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27077'', ''27481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39947'', ''27481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39948'', ''27481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27078'', ''27481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39950'', ''27481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39951'', ''27482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39952'', ''27482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39953'', ''27483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39950'', ''27483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39955'', ''27483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39885'', ''27484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39957'', ''27485'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39958'', ''27486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39959'', ''27486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39960'', ''27487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39961'', ''27487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39962'', ''27487'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39963'', ''27488'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39964'', ''27489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39965'', ''27489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39966'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39967'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39968'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39969'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39970'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39971'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39972'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39973'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39974'', ''27490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39975'', ''27491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39976'', ''27491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39977'', ''27491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39978'', ''27491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39979'', ''27492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39980'', ''27493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39981'', ''27494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39982'', ''27494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39983'', ''27495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39984'', ''27496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39985'', ''27497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39986'', ''27498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39987'', ''27498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39988'', ''27499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39989'', ''27500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39990'', ''27528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39991'', ''27528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39992'', ''27529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39993'', ''27529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39994'', ''27531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39995'', ''27531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39996'', ''27532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39997'', ''27533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39998'', ''27534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''39999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39999'', ''27534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40000'', ''27535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40001'', ''27536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40002'', ''27538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40003'', ''27538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40004'', ''27543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40005'', ''27543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40006'', ''27544'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40007'', ''27544'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40008'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40009'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40010'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40011'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40012'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40013'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40014'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40015'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40016'', ''27546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40017'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40018'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40019'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40020'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40021'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40022'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40023'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40024'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40025'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40026'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40027'', ''27547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40028'', ''27548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40029'', ''27548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40030'', ''27549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40031'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40032'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40033'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40034'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40035'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40036'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40037'', ''27550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40038'', ''27551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40039'', ''27551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40040'', ''27552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40041'', ''27552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40042'', ''27553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40043'', ''27554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40044'', ''27554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27151'', ''27555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40046'', ''27558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40046'', ''27559'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40048'', ''27561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40049'', ''27561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40050'', ''27562'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40051'', ''27563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40052'', ''27564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40053'', ''27564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40054'', ''27564'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40055'', ''27565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40056'', ''27565'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40057'', ''27566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40058'', ''27566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40059'', ''27566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40060'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40061'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40062'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40063'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40064'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40065'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40066'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40067'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40068'', ''27567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40069'', ''27568'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40070'', ''27568'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40071'', ''27569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40072'', ''27569'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40073'', ''27570'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40074'', ''27571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40075'', ''27571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40076'', ''27572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40077'', ''27573'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27170'', ''27574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40079'', ''27574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40080'', ''27574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40081'', ''27574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40082'', ''27574'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40079'', ''27575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40084'', ''27575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40085'', ''27575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40081'', ''27575'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40087'', ''27577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40088'', ''27578'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40089'', ''27579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40090'', ''27579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40091'', ''27579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40092'', ''27579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40093'', ''27580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40094'', ''27580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40095'', ''27580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40096'', ''27581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40097'', ''27581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40098'', ''27581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40099'', ''27582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40100'', ''27582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40101'', ''27582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40102'', ''27583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40103'', ''27583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40104'', ''27583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40105'', ''27584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40106'', ''27585'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40107'', ''27586'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40108'', ''27587'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40109'', ''27588'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40110'', ''27589'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''27590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''27591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40113'', ''27591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''27591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''27591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40116'', ''27591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40117'', ''27592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37248'', ''27593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40119'', ''27594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40120'', ''27594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40121'', ''27595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''27595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40123'', ''27595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40124'', ''27595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40125'', ''27595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40126'', ''27596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27053'', ''27597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39921'', ''27597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40129'', ''27598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''27598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40131'', ''27598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40132'', ''27598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40133'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40135'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40136'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40137'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40139'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40140'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40141'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40143'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40144'', ''27599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40145'', ''27600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40146'', ''27600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40147'', ''27601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''27601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40149'', ''27601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40150'', ''27602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40151'', ''27602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40152'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40153'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40154'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40155'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40156'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40157'', ''27603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''27604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40159'', ''27604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40160'', ''27604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40161'', ''27605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40162'', ''27605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40163'', ''27605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''27606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40165'', ''27606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40166'', ''27606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40167'', ''27607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40168'', ''27607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40169'', ''27607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40170'', ''27608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40171'', ''27609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40172'', ''27609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40173'', ''27609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40174'', ''27610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''27611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40176'', ''27611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40177'', ''27612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40178'', ''27613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''27613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40180'', ''27614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40181'', ''27615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40182'', ''27616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40183'', ''27616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40184'', ''27617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40185'', ''27617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40186'', ''27617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40187'', ''27617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40188'', ''27617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40189'', ''27623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40190'', ''27624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40191'', ''27625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40192'', ''27626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40193'', ''27627'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40194'', ''27627'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40195'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40196'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40197'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40198'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40199'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40200'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28706'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40202'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40203'', ''27629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40204'', ''27630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40205'', ''27630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''27630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''27631'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''27632'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40209'', ''27632'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40210'', ''27632'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40211'', ''27633'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40212'', ''27635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40213'', ''27636'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40214'', ''27636'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40215'', ''27637'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40216'', ''27637'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40217'', ''27646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40218'', ''27648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40219'', ''27650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40220'', ''27651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40221'', ''27651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40222'', ''27652'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40223'', ''27653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40224'', ''27653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40225'', ''27654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40226'', ''27654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40227'', ''27654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40228'', ''27654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40229'', ''27654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40230'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40231'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40232'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40233'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40234'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40235'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40236'', ''27655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40237'', ''27656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40238'', ''27656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40239'', ''27657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40240'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40241'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40242'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40244'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40246'', ''27658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40248'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40250'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40251'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40252'', ''27659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40253'', ''27660'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40254'', ''27661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40255'', ''27661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40256'', ''27661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40257'', ''27661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40258'', ''27662'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''27662'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''27663'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40261'', ''27663'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40262'', ''27663'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40263'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40264'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40268'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40269'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40270'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''27664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40272'', ''27665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40273'', ''27665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40274'', ''27665'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''27666'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40276'', ''27667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40277'', ''27667'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37646'', ''27668'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40279'', ''27669'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40280'', ''27670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''27671'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40282'', ''27671'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''27671'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40284'', ''27671'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40285'', ''27672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''27672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40287'', ''27672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40288'', ''27672'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40289'', ''27673'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40290'', ''27674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40291'', ''27674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40292'', ''27674'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''27675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40294'', ''27675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''27676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40296'', ''27677'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40297'', ''27678'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27274'', ''27678'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27276'', ''27680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40300'', ''27680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''27680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40302'', ''27680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40300'', ''27681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''27681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40302'', ''27681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40306'', ''27682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''27682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40308'', ''27683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''27683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40310'', ''27683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40311'', ''27684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40312'', ''27685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''27686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40314'', ''27687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40315'', ''27688'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''27689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40317'', ''27690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40318'', ''27690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40319'', ''27691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40320'', ''27692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''27692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40322'', ''27693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40323'', ''27693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27291'', ''27693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''27694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40326'', ''27695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40327'', ''27695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''27697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40329'', ''27698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40330'', ''27699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40331'', ''27699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40332'', ''27700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40333'', ''27701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''27702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''27702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40336'', ''27702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''27703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40338'', ''27704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40339'', ''27705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40340'', ''27705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40341'', ''27705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''27709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27306'', ''27710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40344'', ''27712'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26464'', ''27713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39231'', ''27713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40347'', ''27714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''27718'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40349'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26334'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40352'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39135'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39136'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39138'', ''27719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40356'', ''140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40357'', ''140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40358'', ''140'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40359'', ''27720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40360'', ''27720'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40361'', ''27721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40362'', ''27722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40363'', ''27722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40364'', ''27722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40365'', ''27722'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40366'', ''27725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40367'', ''27725'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40368'', ''27727'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40369'', ''27728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40370'', ''27728'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''27729'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40372'', ''27730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''27730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''27730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40375'', ''27730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40376'', ''27730'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''27731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40378'', ''27731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40379'', ''27731'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40380'', ''27732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40381'', ''27732'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''27733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40383'', ''27733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40384'', ''27734'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40385'', ''27735'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40386'', ''27736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40387'', ''27736'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''27738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40389'', ''27739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''27739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40391'', ''27740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40392'', ''27740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40393'', ''27740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40394'', ''27740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40395'', ''27741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40396'', ''27741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''27742'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40398'', ''27743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''27743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40400'', ''27744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40401'', ''27744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40402'', ''27745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40403'', ''27745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40404'', ''27745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40405'', ''27745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40408'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40411'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40412'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40415'', ''27746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40416'', ''27747'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40417'', ''27748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40418'', ''27748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''27749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40420'', ''27749'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40421'', ''27750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''27755'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40423'', ''27755'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40424'', ''27755'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40425'', ''27755'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40426'', ''27758'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''27766'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40428'', ''27770'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40429'', ''27771'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''27771'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40431'', ''27772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40432'', ''27772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40433'', ''27772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40434'', ''27772'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40435'', ''27773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''27774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40437'', ''27774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40438'', ''27775'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40439'', ''27776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40440'', ''27776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40443'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40444'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40445'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40446'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40447'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40448'', ''27777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40449'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40451'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40452'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40454'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40455'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''27778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40457'', ''27779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40458'', ''27779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40459'', ''27779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40460'', ''27780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''27780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40462'', ''27780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40463'', ''27780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40464'', ''27781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40465'', ''27781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40466'', ''27782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40467'', ''27783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40468'', ''27783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''27784'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40470'', ''27785'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40471'', ''27786'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40472'', ''27787'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40473'', ''27789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''27790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40475'', ''27791'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40476'', ''27794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40477'', ''27794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40478'', ''27795'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40479'', ''27796'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40478'', ''27796'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40481'', ''27797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''27798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40483'', ''27801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40484'', ''27802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40485'', ''27803'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40486'', ''27804'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''27805'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40488'', ''27820'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40489'', ''27820'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40490'', ''27820'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40491'', ''27821'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27418'', ''27822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40493'', ''27823'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40494'', ''27825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''27826'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40496'', ''27827'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40497'', ''27828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40498'', ''27831'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40499'', ''27831'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40500'', ''27831'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''27832'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40502'', ''27835'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40503'', ''27836'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40504'', ''27837'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''27838'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40506'', ''27839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40507'', ''27839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40508'', ''27839'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40509'', ''27840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''27840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''27840'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40512'', ''27841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40513'', ''27841'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''27842'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40515'', ''27843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''27843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40517'', ''27843'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''27844'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40519'', ''27844'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40520'', ''27845'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40521'', ''27846'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40522'', ''27846'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40523'', ''27846'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40524'', ''27847'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''27847'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40526'', ''27851'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40527'', ''27851'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40528'', ''27851'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40529'', ''27851'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40530'', ''27852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40531'', ''27853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40532'', ''27853'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40533'', ''27854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40534'', ''27854'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40535'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40536'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40538'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40539'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''27855'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40541'', ''27856'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40542'', ''27856'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40543'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40544'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40545'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40546'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40547'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40548'', ''27857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40549'', ''27858'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40550'', ''27858'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40551'', ''347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40552'', ''347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40553'', ''347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40554'', ''27859'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40555'', ''27859'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40556'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40558'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40559'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40560'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40561'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40563'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40564'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40565'', ''145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40566'', ''27862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''27863'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''27864'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40569'', ''27865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40570'', ''27865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''27865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40572'', ''27865'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40573'', ''27866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40574'', ''27866'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''27868'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40576'', ''27869'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40577'', ''27871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40578'', ''27872'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40579'', ''339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40580'', ''339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40581'', ''27873'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40582'', ''27874'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40583'', ''27874'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27476'', ''27880'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40585'', ''27882'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40585'', ''27883'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40587'', ''27884'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''27888'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40589'', ''27889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40590'', ''27889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40591'', ''27889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40590'', ''27890'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''27891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40594'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40595'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40596'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40598'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40599'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40601'', ''27892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40602'', ''27893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40603'', ''27893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''27894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40605'', ''27896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40606'', ''27897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''27900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''27900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40609'', ''27901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40610'', ''27901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40611'', ''27902'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40612'', ''27903'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40613'', ''27904'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40614'', ''27905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40615'', ''27905'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40616'', ''27906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''27906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40618'', ''27906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40619'', ''27906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40620'', ''27906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40621'', ''27909'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40622'', ''27910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''27910'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40624'', ''27911'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40625'', ''27911'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27509'', ''27912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40627'', ''27912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''27914'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40629'', ''27915'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40630'', ''27916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40631'', ''27917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''27917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40633'', ''27917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40634'', ''27917'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40635'', ''27918'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40636'', ''27919'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40637'', ''27919'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40638'', ''27920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40639'', ''27920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40640'', ''27920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''27920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40642'', ''27920'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40643'', ''27921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40644'', ''27921'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40645'', ''27922'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40646'', ''27926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40647'', ''27926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40648'', ''27928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40649'', ''27928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''27930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40651'', ''27930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40652'', ''27930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40653'', ''27931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''27934'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40655'', ''27934'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40656'', ''27935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''27935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40658'', ''27935'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40659'', ''27936'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40660'', ''27937'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40661'', ''27938'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40662'', ''27939'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40663'', ''27940'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40664'', ''27941'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''27942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40666'', ''27942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40667'', ''27942'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40668'', ''27943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''27943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40670'', ''27943'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40671'', ''27944'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40672'', ''27945'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40673'', ''27946'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40674'', ''27951'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40675'', ''27954'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40676'', ''27955'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''27955'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40678'', ''27956'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40679'', ''27956'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40680'', ''27957'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40681'', ''27958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40682'', ''27958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40683'', ''27958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''27958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40685'', ''27958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40686'', ''27968'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40687'', ''27983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''27983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40689'', ''27983'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40690'', ''27984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40691'', ''27984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40692'', ''28003'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40693'', ''28011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40694'', ''28011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40695'', ''28011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40696'', ''28011'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''28012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40698'', ''28012'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40699'', ''28013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40700'', ''28014'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40701'', ''28015'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40702'', ''28016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40703'', ''28017'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''28018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40705'', ''28018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40706'', ''28018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''28018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40708'', ''28019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40709'', ''28019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''28019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''28020'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40712'', ''28020'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40713'', ''28021'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40714'', ''28022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40715'', ''28022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40716'', ''28023'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40717'', ''28024'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40718'', ''28025'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40719'', ''28026'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40720'', ''28027'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40721'', ''28030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27627'', ''28031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''28031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27628'', ''28031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40725'', ''28031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40726'', ''28031'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40727'', ''28032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''28032'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40726'', ''28033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40730'', ''28036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40731'', ''28036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40732'', ''28036'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40733'', ''28037'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40734'', ''28038'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''26336'', ''28039'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40736'', ''28039'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40737'', ''28040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40738'', ''28041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40739'', ''28041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40740'', ''28041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40741'', ''28041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40742'', ''28042'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40743'', ''28043'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40744'', ''28043'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40745'', ''28044'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40746'', ''28048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40747'', ''28062'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40749'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40750'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40752'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40753'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40754'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40755'', ''28080'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40756'', ''28081'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40757'', ''28082'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40758'', ''28083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40759'', ''28083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40760'', ''28083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40761'', ''28083'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40762'', ''28085'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40763'', ''28086'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40764'', ''28088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40765'', ''28089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40766'', ''28089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40767'', ''28089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40768'', ''28092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40769'', ''28095'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40770'', ''28097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40771'', ''28097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40772'', ''28097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40773'', ''28097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40774'', ''28097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40775'', ''28098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40776'', ''28098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40777'', ''28098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40778'', ''28099'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40779'', ''28100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40780'', ''28100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40781'', ''28100'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40782'', ''28101'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40783'', ''28102'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40784'', ''28103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40785'', ''28103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40786'', ''28103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40787'', ''28103'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40788'', ''28104'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40789'', ''28105'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40790'', ''28106'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40791'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40792'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40793'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40794'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40795'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40796'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40797'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40798'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40799'', ''28107'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40800'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40801'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40802'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40803'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40804'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40805'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40806'', ''28108'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40807'', ''28109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40808'', ''28109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40809'', ''28109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40810'', ''28109'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40811'', ''28110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40812'', ''28111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40813'', ''28112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40814'', ''28113'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40815'', ''28114'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40816'', ''28114'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40817'', ''28114'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40818'', ''28114'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40819'', ''28115'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40820'', ''28116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40821'', ''28116'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40822'', ''28117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40823'', ''28117'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40824'', ''28118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40825'', ''28118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40826'', ''28118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40827'', ''28118'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40828'', ''28119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40829'', ''28119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40830'', ''28120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40831'', ''28120'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40832'', ''28121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40833'', ''28121'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40834'', ''28122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40835'', ''28122'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40836'', ''28123'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27720'', ''28124'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27719'', ''28125'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40839'', ''28126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40840'', ''28126'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40841'', ''28127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40842'', ''28127'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40843'', ''28128'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40844'', ''28129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40845'', ''28130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40846'', ''28132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40847'', ''28133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40848'', ''28134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40849'', ''28135'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27735'', ''28139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40851'', ''28143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40852'', ''28144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40853'', ''28144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40853'', ''28145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40855'', ''28145'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40856'', ''28148'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40857'', ''28149'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40858'', ''28153'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40859'', ''28154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40860'', ''28156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40861'', ''28157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40862'', ''28157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40863'', ''28157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40864'', ''28158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40865'', ''28158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40866'', ''28159'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40867'', ''28160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40868'', ''28161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40869'', ''28162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39668'', ''28165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40871'', ''28166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40872'', ''28166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40873'', ''28167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40874'', ''28182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40875'', ''28182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40876'', ''28183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40877'', ''28183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40878'', ''28184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40879'', ''28185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40880'', ''28185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40881'', ''28186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40882'', ''28186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40883'', ''28187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40884'', ''28188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40885'', ''28189'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40886'', ''28190'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40887'', ''28191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40888'', ''28191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40889'', ''28191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40890'', ''28192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40891'', ''28192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40892'', ''28193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40893'', ''28193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40894'', ''28193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40895'', ''28193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40896'', ''28193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40897'', ''28194'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40898'', ''28195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37416'', ''28197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37422'', ''28197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39226'', ''28198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40902'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40903'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40904'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40905'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40906'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40907'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40908'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40909'', ''28200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40910'', ''28203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40911'', ''28203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40912'', ''28204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40913'', ''28204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40914'', ''395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40915'', ''395'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40916'', ''28205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40917'', ''28206'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40918'', ''28206'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40919'', ''28207'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40920'', ''28207'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40921'', ''28210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40922'', ''28210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40923'', ''28210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40924'', ''28211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40925'', ''28212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40926'', ''28213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40927'', ''28214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40928'', ''28214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40929'', ''28215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40930'', ''28215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40931'', ''28215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40932'', ''28216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40933'', ''28216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40934'', ''28216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40935'', ''28216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40936'', ''28216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40937'', ''28217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40938'', ''28217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40939'', ''28217'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40940'', ''28218'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40941'', ''28219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40942'', ''28219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40943'', ''28219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40944'', ''28224'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40945'', ''28228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40946'', ''28228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40947'', ''28228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40948'', ''28229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40949'', ''28229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40950'', ''28229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40951'', ''28230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40952'', ''28230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40953'', ''28231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40954'', ''28240'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40955'', ''28241'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40956'', ''28244'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40957'', ''28245'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40958'', ''28247'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40959'', ''28251'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40960'', ''28252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40961'', ''28252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40962'', ''28252'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40963'', ''28253'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40964'', ''28255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40965'', ''28255'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27081'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40967'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40968'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40969'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40970'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40971'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40972'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40973'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40974'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40975'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40976'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40977'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40978'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40979'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40980'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40981'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40982'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40983'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39959'', ''28256'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40985'', ''28257'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40986'', ''28257'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40987'', ''28258'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40988'', ''28260'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40989'', ''28261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40990'', ''28261'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40991'', ''28262'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40992'', ''28263'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40992'', ''28264'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40994'', ''28266'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40995'', ''28268'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40996'', ''344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40997'', ''344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40998'', ''28273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''40999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40999'', ''28289'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41000'', ''28290'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41001'', ''28291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41002'', ''28291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41003'', ''28291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41004'', ''28291'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41005'', ''28305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41006'', ''28305'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41007'', ''28312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41008'', ''28313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41009'', ''28314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41010'', ''28314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41011'', ''28315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41012'', ''28315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41013'', ''28315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41014'', ''28326'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37251'', ''28329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41016'', ''28335'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41017'', ''349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41018'', ''28339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41019'', ''28339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41020'', ''28346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41021'', ''28349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41022'', ''28349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41023'', ''28349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41024'', ''28349'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41025'', ''28358'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41026'', ''28359'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41027'', ''28361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41028'', ''28361'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41029'', ''28362'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41030'', ''28362'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41031'', ''28365'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41032'', ''28365'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41033'', ''28369'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41034'', ''28375'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41035'', ''28376'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41036'', ''28377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41037'', ''28377'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41038'', ''28382'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41039'', ''28388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41040'', ''28389'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41041'', ''28390'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41042'', ''28391'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41043'', ''28394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41044'', ''28397'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41045'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28002'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41047'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41048'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41049'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41050'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41051'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41052'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41053'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41054'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41055'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41056'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41057'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41058'', ''28405'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41059'', ''28406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41060'', ''28406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41061'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41047'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41048'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41064'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41049'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41066'', ''28407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41067'', ''28408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41068'', ''28408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41069'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41070'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41071'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41072'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41073'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41074'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41075'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41076'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41077'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41078'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41079'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41080'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41081'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41082'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41083'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41084'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41085'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41086'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41087'', ''28409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28004'', ''28410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41089'', ''28410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41090'', ''28411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41091'', ''28412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41067'', ''28413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41068'', ''28413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41094'', ''28413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41095'', ''28413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41096'', ''28414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41097'', ''28415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41098'', ''28416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41099'', ''28417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41100'', ''28418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41101'', ''28418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41102'', ''28418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41103'', ''28418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41104'', ''28419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41105'', ''28420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41106'', ''28421'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41107'', ''28422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41108'', ''28422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41109'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41110'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41111'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41112'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41113'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41114'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41115'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41116'', ''28423'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41117'', ''28424'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41109'', ''28425'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41119'', ''28427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41120'', ''28428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41121'', ''28428'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41122'', ''28429'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41123'', ''28429'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41124'', ''28430'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41125'', ''28431'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41126'', ''28432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41127'', ''28433'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41128'', ''28434'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41129'', ''28435'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41130'', ''28436'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41131'', ''28437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41132'', ''28437'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41133'', ''28439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41134'', ''28439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41135'', ''28440'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41136'', ''28441'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41137'', ''28442'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41138'', ''28443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41139'', ''28443'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41140'', ''28444'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41141'', ''28445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41142'', ''28446'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41143'', ''28447'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41144'', ''28448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41145'', ''28448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41146'', ''28448'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41147'', ''28451'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41148'', ''28460'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41149'', ''28466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28063'', ''28467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41151'', ''28467'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41151'', ''28468'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28066'', ''28469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41154'', ''28469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41155'', ''28469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41156'', ''28469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41157'', ''28469'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41158'', ''28470'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41159'', ''28471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41160'', ''28471'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41161'', ''28472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41162'', ''28472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41163'', ''28472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41164'', ''28472'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41165'', ''28473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39705'', ''28474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39706'', ''28474'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41168'', ''28475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41169'', ''28475'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41170'', ''28476'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41171'', ''28477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41172'', ''28477'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41173'', ''28479'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41174'', ''28480'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41175'', ''28481'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41176'', ''28482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41177'', ''28482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41178'', ''28482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41179'', ''28482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41180'', ''28482'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41181'', ''28483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41182'', ''28483'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41183'', ''28484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41184'', ''28484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41185'', ''28485'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41186'', ''28486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41187'', ''28486'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41188'', ''28489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41189'', ''28489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41190'', ''28489'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41191'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41192'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41193'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41194'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41195'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41196'', ''28490'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41197'', ''28491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41198'', ''28491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41199'', ''28491'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41200'', ''28493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41201'', ''28493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41202'', ''28493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41203'', ''28493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41204'', ''28493'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41205'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41206'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41207'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41208'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28090'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41210'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41211'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41212'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41213'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41214'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41215'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41216'', ''28494'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41217'', ''28495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41218'', ''28495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41219'', ''28495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41220'', ''28495'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41221'', ''28496'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41222'', ''28497'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41223'', ''28498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41224'', ''28499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41225'', ''28499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41226'', ''28500'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41227'', ''28501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41228'', ''28501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41229'', ''28502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41230'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41231'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41232'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41233'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41234'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41235'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41236'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41237'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41238'', ''28504'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41239'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41240'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41241'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41242'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41243'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41244'', ''28505'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41245'', ''28506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41246'', ''28506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41247'', ''28506'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41248'', ''28507'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41249'', ''28508'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41250'', ''28509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41251'', ''28513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41252'', ''28514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41253'', ''28515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41254'', ''28516'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41255'', ''28517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41256'', ''28517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41257'', ''28517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41258'', ''28518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41259'', ''28519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41260'', ''28519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41261'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41262'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41263'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41264'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41265'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41266'', ''28520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41267'', ''28521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41268'', ''28522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41269'', ''28522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41270'', ''28522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41271'', ''28523'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41272'', ''28523'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41273'', ''28524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41274'', ''28524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41275'', ''28524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41276'', ''28525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41277'', ''28525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41278'', ''28526'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41279'', ''28527'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41280'', ''28528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41281'', ''28528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41282'', ''28529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41283'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41284'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41285'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41286'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41287'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41288'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41289'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41290'', ''28530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41291'', ''28531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41292'', ''28532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41293'', ''28533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41294'', ''28533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41295'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41296'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41297'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41298'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41299'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41300'', ''28538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41301'', ''28542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41302'', ''28558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41303'', ''28563'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41304'', ''28566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41305'', ''28579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41306'', ''28580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41307'', ''28580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41308'', ''28580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41309'', ''28581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41310'', ''28582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41311'', ''28582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41312'', ''28582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41313'', ''28582'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41314'', ''28583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41315'', ''28583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41316'', ''28583'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41317'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41318'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41319'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41320'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41321'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41322'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41323'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41324'', ''28584'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41325'', ''28590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41326'', ''28590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41327'', ''28590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41328'', ''28590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41329'', ''28590'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41330'', ''28591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41331'', ''28591'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41332'', ''28592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41333'', ''28592'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41334'', ''28593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41335'', ''28593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41336'', ''28593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41337'', ''28593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41338'', ''28593'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41339'', ''28594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41340'', ''28594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41341'', ''28594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41342'', ''28594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41343'', ''28595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41344'', ''28595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41345'', ''28595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41346'', ''28596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41347'', ''28596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41348'', ''28597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41349'', ''28597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41350'', ''28597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41351'', ''28597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41352'', ''355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41353'', ''355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41354'', ''28598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41355'', ''28598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41356'', ''28598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41357'', ''28598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41358'', ''28598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41359'', ''28599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41360'', ''28599'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41361'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41362'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41363'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41364'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41365'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41366'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41367'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41368'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41369'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41370'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41371'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41372'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41373'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41374'', ''28600'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41375'', ''28601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41376'', ''28601'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41377'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41378'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41379'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41380'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41381'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41382'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41383'', ''28602'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41384'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41385'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41386'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41387'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41388'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41389'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41390'', ''28603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41391'', ''28604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41392'', ''28605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41393'', ''28605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28202'', ''28606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41395'', ''28606'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41395'', ''28607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41397'', ''28608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41398'', ''28608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41399'', ''28608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41400'', ''28609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41401'', ''28609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41402'', ''28610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41403'', ''28610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41404'', ''28610'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41405'', ''28611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41406'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41407'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41408'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41405'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41410'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41411'', ''28612'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41412'', ''28613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41413'', ''28613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41408'', ''28614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41415'', ''28614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41411'', ''28614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41417'', ''28614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41418'', ''28615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41419'', ''28615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41420'', ''28616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41421'', ''28616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41422'', ''28617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41423'', ''28617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41424'', ''28617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41425'', ''28618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41426'', ''28618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41427'', ''28618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41428'', ''28618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41429'', ''28619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41430'', ''28619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41431'', ''28619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41432'', ''28619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41433'', ''28619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41434'', ''331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41435'', ''331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41436'', ''331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41437'', ''28620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41438'', ''28620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41439'', ''28621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41440'', ''28621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41441'', ''330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41442'', ''330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41443'', ''28622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41444'', ''28622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28218'', ''28622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41446'', ''28622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41447'', ''28622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41448'', ''356'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41449'', ''356'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41450'', ''356'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41451'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41452'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41453'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41454'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41455'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41456'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41457'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41458'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41459'', ''28624'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41460'', ''28625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41461'', ''28626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41462'', ''28626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41463'', ''28626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41464'', ''28627'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41465'', ''28627'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41466'', ''28628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41467'', ''28628'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41468'', ''28629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41469'', ''28629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41470'', ''28629'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41471'', ''28630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41472'', ''28630'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41473'', ''28631'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41474'', ''28631'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41475'', ''28635'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41476'', ''28636'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41477'', ''28639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41478'', ''28639'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41479'', ''28640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41480'', ''28640'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41481'', ''28641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41482'', ''28641'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41483'', ''28642'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41484'', ''28643'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41485'', ''28643'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41486'', ''28644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41487'', ''28644'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41488'', ''28645'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41489'', ''28645'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41490'', ''28645'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41491'', ''28645'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41492'', ''28646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41493'', ''28646'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41494'', ''28647'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41495'', ''28648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41496'', ''28648'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41497'', ''28649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41498'', ''28649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41499'', ''28649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41500'', ''28649'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41501'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41502'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41503'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41504'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41505'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41506'', ''28650'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41507'', ''28651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41508'', ''28651'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41509'', ''28652'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41510'', ''28652'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41511'', ''28653'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41512'', ''28654'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41513'', ''28655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41514'', ''28655'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41515'', ''28656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41516'', ''28656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41517'', ''28656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41518'', ''28656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41519'', ''28656'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41520'', ''28657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41521'', ''28657'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41522'', ''28658'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41523'', ''28659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41524'', ''28659'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41525'', ''28661'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41526'', ''28664'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41527'', ''28669'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41528'', ''28670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41529'', ''28670'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41530'', ''28673'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41531'', ''28675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41532'', ''28675'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28272'', ''28676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41534'', ''28676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28273'', ''28676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41536'', ''28676'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41537'', ''28679'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41538'', ''28679'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41539'', ''28679'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41540'', ''28680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41541'', ''28680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41542'', ''28680'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41543'', ''28681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41544'', ''28681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41545'', ''28681'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41546'', ''28682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41547'', ''28682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41548'', ''28682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41549'', ''28682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41550'', ''28682'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41551'', ''28683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41552'', ''28683'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41553'', ''28684'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41554'', ''28685'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41555'', ''28686'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41556'', ''28687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41557'', ''28687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41558'', ''28687'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41559'', ''28689'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41560'', ''28690'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41561'', ''28691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41562'', ''28691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41563'', ''28691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41564'', ''28691'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41565'', ''28692'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41566'', ''28693'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41567'', ''28694'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41568'', ''28695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41569'', ''28695'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41570'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41571'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41572'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41573'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41574'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41575'', ''28696'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41576'', ''28697'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41577'', ''28698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41578'', ''28698'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41579'', ''28699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41580'', ''28699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41581'', ''28699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41582'', ''28699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41583'', ''28699'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41584'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41585'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41586'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41587'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41588'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41589'', ''28700'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41590'', ''28701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41591'', ''28701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41592'', ''28701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41593'', ''28701'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41594'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41595'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41596'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41597'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41598'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41599'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41600'', ''28702'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41601'', ''28703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41602'', ''28703'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41603'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41604'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41605'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41606'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41607'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41608'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41609'', ''28704'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41610'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41611'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41612'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41613'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41614'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41615'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41616'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41617'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41618'', ''28705'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41619'', ''28706'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41620'', ''28707'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41621'', ''28708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41622'', ''28708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41623'', ''28708'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41624'', ''28709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41625'', ''28709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41626'', ''28709'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41627'', ''28710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41628'', ''28710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41629'', ''28710'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41630'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41631'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41632'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41633'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41634'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41635'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41636'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41637'', ''28711'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41638'', ''28712'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41639'', ''28713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41640'', ''28713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41641'', ''28713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41642'', ''28713'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41643'', ''28714'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41644'', ''28715'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41645'', ''28716'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41646'', ''28719'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41647'', ''28721'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41648'', ''28733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41649'', ''28733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41650'', ''28733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41651'', ''28733'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41652'', ''28737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41653'', ''28737'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41654'', ''28738'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41654'', ''28739'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41654'', ''28740'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41654'', ''28741'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41658'', ''28743'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41659'', ''28744'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41660'', ''28745'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41661'', ''28746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41662'', ''28746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41663'', ''28746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41664'', ''28746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41665'', ''28746'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41666'', ''28748'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41667'', ''350'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28346'', ''28750'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41669'', ''28754'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41670'', ''28760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41671'', ''28760'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41672'', ''28761'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41673'', ''28762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41674'', ''28762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41675'', ''28762'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41676'', ''28763'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41677'', ''28764'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41678'', ''28771'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41679'', ''28774'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41680'', ''28775'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41681'', ''28776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41682'', ''28776'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41683'', ''28777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41684'', ''28777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41685'', ''28777'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41686'', ''28778'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41687'', ''28779'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28376'', ''28780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41689'', ''28780'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41689'', ''28781'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27056'', ''28782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39925'', ''28782'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41693'', ''28783'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41694'', ''28787'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41695'', ''28788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41696'', ''28788'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41697'', ''28789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41698'', ''28789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41699'', ''28790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41700'', ''28790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41701'', ''28790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41702'', ''28790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41703'', ''28790'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41704'', ''28791'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41705'', ''28791'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41706'', ''28792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41707'', ''28792'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41708'', ''28793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41709'', ''28793'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41710'', ''28794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41711'', ''28794'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41712'', ''28797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41713'', ''28797'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41714'', ''28798'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41715'', ''28799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41716'', ''28799'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41717'', ''28800'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41718'', ''28800'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41719'', ''28800'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41720'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41721'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41722'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41723'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41724'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41725'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41726'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41727'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41728'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41729'', ''28801'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41730'', ''28802'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41731'', ''28806'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41732'', ''28807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41733'', ''28807'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41734'', ''28808'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41735'', ''28809'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41736'', ''28810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41737'', ''28810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41738'', ''28810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41739'', ''28810'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41740'', ''28812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41741'', ''28812'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41742'', ''28813'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41743'', ''28813'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41744'', ''28814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41745'', ''28814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41746'', ''28814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41747'', ''28814'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41748'', ''28818'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41749'', ''28822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41750'', ''28822'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41751'', ''28825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41752'', ''28825'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28424'', ''28827'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41754'', ''28827'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41755'', ''28827'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28422'', ''28828'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41757'', ''28857'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41758'', ''28862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41759'', ''28862'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41760'', ''28870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41761'', ''28870'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41762'', ''28871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41763'', ''28871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41764'', ''28871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41765'', ''28871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41766'', ''28871'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41767'', ''28881'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41768'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41769'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41770'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41771'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41772'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41773'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41774'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41775'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41776'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41777'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41778'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41779'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41780'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41781'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41782'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41783'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41784'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41785'', ''28885'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41786'', ''28886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41787'', ''28886'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41788'', ''28887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41789'', ''28887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41790'', ''28887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41791'', ''28887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41792'', ''28887'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41793'', ''28888'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41794'', ''28889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41795'', ''28889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41796'', ''28889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41797'', ''28889'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41798'', ''28890'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41799'', ''28891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41800'', ''28891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41801'', ''28891'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41802'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41803'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41804'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41805'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41806'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41807'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41808'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41809'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41810'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41811'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40311'', ''28892'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41813'', ''28893'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41814'', ''28894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41815'', ''28894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41816'', ''28894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41817'', ''28894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41818'', ''28894'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41819'', ''28895'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41820'', ''28896'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28487'', ''28897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41822'', ''28897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41823'', ''28897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41824'', ''28897'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41825'', ''28899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41826'', ''28899'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41827'', ''28900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41828'', ''28900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41829'', ''28900'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41830'', ''28901'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41831'', ''28906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41832'', ''28906'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41833'', ''28907'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41834'', ''28908'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41835'', ''28908'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41836'', ''28909'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41837'', ''28911'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41838'', ''28912'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41839'', ''28916'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41840'', ''28918'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41841'', ''28919'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41842'', ''28919'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41843'', ''28923'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41844'', ''28924'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28521'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41846'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28523'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41848'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41849'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41850'', ''28925'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41848'', ''28926'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41852'', ''28927'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41853'', ''28928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41850'', ''28928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41855'', ''28928'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41856'', ''28929'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41857'', ''28930'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41858'', ''28931'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41859'', ''28932'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41860'', ''28949'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41861'', ''28950'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41862'', ''28950'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41863'', ''28953'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41864'', ''28956'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41865'', ''28957'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41866'', ''28958'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41867'', ''28959'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41868'', ''28959'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41869'', ''28960'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41870'', ''28961'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41871'', ''28962'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41872'', ''28969'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41873'', ''28978'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41874'', ''28979'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41875'', ''28980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41876'', ''28980'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41877'', ''28981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41878'', ''28981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41879'', ''28981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41880'', ''28981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41881'', ''28981'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41882'', ''28982'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41883'', ''28984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41884'', ''28984'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41885'', ''28985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41886'', ''28985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41887'', ''28985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41888'', ''28985'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28582'', ''28986'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41890'', ''28986'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41891'', ''28986'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41891'', ''28987'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41893'', ''28988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41894'', ''28988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41895'', ''28988'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41896'', ''28992'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28601'', ''29004'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28599'', ''29005'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41899'', ''29013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41900'', ''29013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41901'', ''29013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41902'', ''29013'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41903'', ''29016'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41904'', ''29018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41905'', ''29018'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41906'', ''29019'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41907'', ''29022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41908'', ''29022'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41909'', ''29030'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41910'', ''29033'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41911'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41912'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41913'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41914'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41915'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41916'', ''29034'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41917'', ''29035'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41918'', ''29035'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41919'', ''29035'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41920'', ''29040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41921'', ''29040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41922'', ''29040'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41923'', ''29041'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41924'', ''29042'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41925'', ''29043'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41926'', ''29044'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41927'', ''336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41928'', ''336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41929'', ''336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41930'', ''336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41931'', ''336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41932'', ''29045'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41933'', ''29045'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41934'', ''29046'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41935'', ''29047'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41936'', ''29047'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41937'', ''29048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41938'', ''29048'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41939'', ''29059'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41940'', ''29067'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28673'', ''29077'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28680'', ''29084'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41943'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41944'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41945'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41946'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41947'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41948'', ''29088'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41949'', ''29089'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41950'', ''29090'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41951'', ''29091'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41952'', ''29092'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41953'', ''29093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41954'', ''29093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41955'', ''29093'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41956'', ''29094'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41957'', ''29097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41958'', ''29097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41959'', ''29097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41960'', ''29097'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41961'', ''29098'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41962'', ''29099'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41963'', ''29102'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41964'', ''29102'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41965'', ''29102'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38205'', ''29110'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41967'', ''29111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40202'', ''29111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40203'', ''29111'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41970'', ''29112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41971'', ''29112'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41972'', ''29119'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41973'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41974'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41975'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41976'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41977'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41978'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41979'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41980'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41981'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41982'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41983'', ''29129'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41984'', ''29130'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41985'', ''29131'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41986'', ''29132'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41987'', ''29133'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41988'', ''29134'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41989'', ''29138'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41990'', ''29143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41991'', ''29143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41992'', ''29143'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41993'', ''29144'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41994'', ''29150'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41995'', ''29151'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41996'', ''29152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41997'', ''29152'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41998'', ''29153'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''41999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''41999'', ''29154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42000'', ''29154'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42001'', ''29155'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42002'', ''29155'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42003'', ''29156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42004'', ''29156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42005'', ''29156'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42006'', ''29157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42007'', ''29157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42008'', ''29157'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42009'', ''29158'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42010'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42011'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42012'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42013'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42014'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42015'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42016'', ''29160'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42017'', ''29161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42018'', ''29161'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42019'', ''29162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42020'', ''29162'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42021'', ''29163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42022'', ''29163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42023'', ''29163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42024'', ''29163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42025'', ''29163'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42026'', ''29164'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42027'', ''29165'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42028'', ''29166'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42029'', ''29167'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42030'', ''29168'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42031'', ''29169'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42032'', ''29171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42033'', ''29171'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42034'', ''29172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42035'', ''29172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42036'', ''29172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42037'', ''29172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42038'', ''29172'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42039'', ''29173'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42040'', ''29173'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42041'', ''29174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42042'', ''29174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42043'', ''29174'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42044'', ''29175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42045'', ''29175'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42046'', ''29176'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42047'', ''29177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42048'', ''29177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42049'', ''29177'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42050'', ''29178'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42051'', ''29179'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42052'', ''29180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42053'', ''29180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42054'', ''29180'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42055'', ''29181'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42056'', ''29182'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42057'', ''29183'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42058'', ''29184'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42059'', ''29185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42060'', ''29185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42061'', ''29185'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42062'', ''29186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42063'', ''29186'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42064'', ''29187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42065'', ''29187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42066'', ''29187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42067'', ''29187'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42068'', ''29188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42069'', ''29188'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42070'', ''29189'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42071'', ''29190'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42072'', ''29190'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42073'', ''29191'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42074'', ''29192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42075'', ''29192'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42074'', ''29193'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42077'', ''29194'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42078'', ''29195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42079'', ''29196'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42080'', ''29197'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42081'', ''29198'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39313'', ''29199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42083'', ''29199'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42084'', ''29200'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42085'', ''29201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42086'', ''29201'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42087'', ''29202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42088'', ''29202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42089'', ''29202'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42090'', ''29203'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42091'', ''29204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42092'', ''29204'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42093'', ''29205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42094'', ''29205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42095'', ''29205'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42096'', ''29207'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42097'', ''29208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42098'', ''29208'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42099'', ''29209'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42100'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42101'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42102'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42103'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42104'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28805'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42106'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42107'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42108'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42109'', ''337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42106'', ''29210'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42111'', ''29211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42112'', ''29211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42113'', ''29211'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42114'', ''29212'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42115'', ''29213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42116'', ''29213'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42117'', ''29214'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42118'', ''29215'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42119'', ''29216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42120'', ''29216'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42121'', ''29219'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42122'', ''29220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42123'', ''29220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42124'', ''29220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42125'', ''29220'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42126'', ''29221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42127'', ''29221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42128'', ''29221'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42129'', ''29222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42130'', ''29222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42131'', ''29222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42132'', ''29222'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28820'', ''29224'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42134'', ''29226'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42135'', ''29227'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42136'', ''29228'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42137'', ''29229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42138'', ''29229'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42139'', ''29230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42140'', ''29230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42141'', ''29230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42142'', ''29230'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42143'', ''29231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42144'', ''29231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42145'', ''29231'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42146'', ''29232'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42147'', ''29233'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42148'', ''29233'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42149'', ''29234'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42150'', ''29243'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42151'', ''29257'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42152'', ''29273'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40871'', ''29274'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42154'', ''29294'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28891'', ''29295'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42156'', ''29298'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42157'', ''29300'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28900'', ''29303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28901'', ''29303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28902'', ''29303'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28898'', ''29307'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42162'', ''29308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42163'', ''29308'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42164'', ''29312'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42165'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42166'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42167'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42168'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42169'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42170'', ''29313'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42171'', ''29314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42172'', ''29314'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42173'', ''29315'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42174'', ''29316'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42175'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42176'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42177'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42178'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42179'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42180'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42181'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42182'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42183'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42184'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42185'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42186'', ''29317'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42175'', ''29318'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42188'', ''29319'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42189'', ''29320'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42190'', ''29320'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42191'', ''29320'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42192'', ''29321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42193'', ''29321'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42194'', ''29322'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42195'', ''29323'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42196'', ''29327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42197'', ''29327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42198'', ''29327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42199'', ''29328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42200'', ''29328'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42201'', ''29329'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42202'', ''29330'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42203'', ''29331'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42204'', ''29333'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42205'', ''29334'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42206'', ''29336'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42207'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42208'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42209'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42210'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42211'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42212'', ''338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42213'', ''29337'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42214'', ''29338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42215'', ''29338'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42216'', ''29339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42217'', ''29339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42218'', ''29339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42219'', ''29339'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42220'', ''29340'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42221'', ''29341'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42222'', ''29342'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42223'', ''29343'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42224'', ''29344'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42225'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42226'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42227'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42228'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42229'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42230'', ''29345'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42231'', ''29346'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42232'', ''29347'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42233'', ''29348'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42234'', ''29352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42235'', ''29352'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42236'', ''29353'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42237'', ''29355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42238'', ''29355'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37274'', ''29357'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42240'', ''29364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42241'', ''29364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42242'', ''29364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42243'', ''29364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42244'', ''29364'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42245'', ''29365'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42246'', ''29366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42247'', ''29366'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42248'', ''29367'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42249'', ''29368'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42250'', ''29370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42251'', ''29370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42252'', ''29370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42253'', ''29370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42254'', ''29370'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42255'', ''29371'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42256'', ''29379'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42257'', ''29388'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42258'', ''29394'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42259'', ''29400'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42260'', ''29401'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42261'', ''29406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42262'', ''29406'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42263'', ''29407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42264'', ''29407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42265'', ''29407'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42266'', ''29408'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42267'', ''29409'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42268'', ''29410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42269'', ''29410'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42270'', ''29411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42271'', ''29411'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42272'', ''29412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42273'', ''29412'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42274'', ''29413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42275'', ''29413'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42276'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42277'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42278'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42279'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42280'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42281'', ''29414'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42282'', ''29415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42283'', ''29415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42284'', ''29415'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42285'', ''29416'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42286'', ''29417'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42287'', ''29418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42288'', ''29418'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42289'', ''29419'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42290'', ''29420'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42291'', ''29422'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42292'', ''29425'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42293'', ''29427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42294'', ''29427'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29025'', ''29429'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42296'', ''29432'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42297'', ''29439'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42298'', ''29445'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29049'', ''29452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42300'', ''29452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42301'', ''29452'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42302'', ''29453'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42303'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42304'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42305'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42306'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42307'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42300'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42309'', ''29454'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29053'', ''29455'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42311'', ''29455'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42312'', ''29456'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42313'', ''29457'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42314'', ''29458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42315'', ''29458'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29051'', ''29459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42312'', ''29459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29052'', ''29459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42313'', ''29459'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29059'', ''29463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42321'', ''29463'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42322'', ''29464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42321'', ''29464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42324'', ''29464'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42325'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42326'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42327'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42328'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42329'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42330'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42331'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42332'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42333'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42334'', ''29465'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42335'', ''29466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42333'', ''29466'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42337'', ''29473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42338'', ''29473'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42339'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42340'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42341'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42342'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42343'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42344'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42345'', ''29484'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21765'', ''29492'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42347'', ''29498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42348'', ''29498'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42349'', ''29499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42350'', ''29499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42351'', ''29499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42352'', ''29499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42353'', ''29499'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42354'', ''29501'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42355'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29093'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29094'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42358'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42359'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42353'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42361'', ''29502'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42362'', ''29503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42363'', ''29503'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42364'', ''29508'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42365'', ''29509'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39030'', ''29510'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42367'', ''29511'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42368'', ''29512'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28261'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28263'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42371'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42372'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42373'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42374'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42375'', ''29513'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42376'', ''29514'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42377'', ''29515'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42378'', ''29516'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29113'', ''29517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42380'', ''29517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42381'', ''29517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42382'', ''29517'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42381'', ''29518'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29115'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42385'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42386'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42387'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42388'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42389'', ''29519'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42390'', ''29520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42391'', ''29520'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42392'', ''29521'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29118'', ''29522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42394'', ''29522'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42395'', ''29523'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42396'', ''29523'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42397'', ''29524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42398'', ''29524'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42399'', ''29525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42400'', ''29525'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42401'', ''29526'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42402'', ''29526'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42403'', ''29527'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29124'', ''29528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42405'', ''29528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42406'', ''29528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42407'', ''29528'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42408'', ''29529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42405'', ''29529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42410'', ''29529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42406'', ''29529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42412'', ''29529'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42413'', ''29530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42414'', ''29530'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29127'', ''29531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42416'', ''29531'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42416'', ''29532'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42418'', ''29533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42419'', ''29533'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42420'', ''29534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42421'', ''29534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42422'', ''29534'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42423'', ''29535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42424'', ''29535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42425'', ''29535'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29130'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42427'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42428'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42429'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42430'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42431'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42432'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42433'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42434'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42435'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42436'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42437'', ''29536'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42438'', ''29537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42439'', ''29537'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42440'', ''29538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42441'', ''29538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42442'', ''29538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42435'', ''29538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42444'', ''29538'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42445'', ''29539'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42446'', ''29540'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42447'', ''29541'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42448'', ''29542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42449'', ''29542'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42450'', ''29543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42451'', ''29543'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42452'', ''29544'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42453'', ''29545'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42454'', ''29546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42455'', ''29546'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42456'', ''29547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42457'', ''29547'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42458'', ''29548'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42459'', ''29549'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42460'', ''29550'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42461'', ''29551'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42462'', ''29552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42463'', ''29552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42464'', ''29552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42465'', ''29552'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42466'', ''29553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42467'', ''29553'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42468'', ''29554'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42469'', ''29555'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42470'', ''29556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42471'', ''29556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42472'', ''29556'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42473'', ''29557'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42474'', ''29558'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42475'', ''29561'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42476'', ''29566'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42477'', ''29567'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42478'', ''29571'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42479'', ''29572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42480'', ''29572'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42481'', ''29576'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42482'', ''29577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42483'', ''29577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42484'', ''29577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42485'', ''29577'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42486'', ''29578'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42487'', ''29579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42488'', ''29579'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42489'', ''29580'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42490'', ''29581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42491'', ''29581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42492'', ''29581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42493'', ''29581'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42494'', ''29585'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42495'', ''29594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42496'', ''29594'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42497'', ''29595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42498'', ''29595'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42499'', ''29596'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42500'', ''29597'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42501'', ''29598'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42502'', ''29603'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42503'', ''29604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42504'', ''29604'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42505'', ''29605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42506'', ''29605'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42507'', ''29607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42508'', ''29607'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42509'', ''29608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42510'', ''29608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42511'', ''29608'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42512'', ''29609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42513'', ''29609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42514'', ''29609'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42515'', ''29611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42516'', ''29611'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42517'', ''29613'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42518'', ''29614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42519'', ''29614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42520'', ''29614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42521'', ''29614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42522'', ''29614'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25296'', ''29615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37859'', ''29615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42525'', ''29615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42526'', ''29615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42527'', ''29615'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42528'', ''29616'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42529'', ''29617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42530'', ''29617'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42531'', ''29618'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42532'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42533'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42534'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42535'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27788'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40895'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42538'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42539'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42540'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42541'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42542'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42543'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42544'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42545'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42546'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42547'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42548'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42549'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42550'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42551'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42552'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42553'', ''139'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42554'', ''29619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42555'', ''29619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42556'', ''29619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42557'', ''29619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42558'', ''29619'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42559'', ''29620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42560'', ''29620'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42561'', ''29621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42562'', ''29621'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42563'', ''29622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42564'', ''29622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42565'', ''29622'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42566'', ''29623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42567'', ''29623'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42568'', ''29625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42569'', ''29625'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42570'', ''29626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42571'', ''29626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42572'', ''29626'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42573'', ''24773'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42574'', ''24789'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42575'', ''24852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42576'', ''24852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42577'', ''24852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42578'', ''24852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42579'', ''24852'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21111'', ''195'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42581'', ''25327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42582'', ''25327'', ''2'', null);
INSERT INTO `del_icss_retrieval_mapping` VALUES (''42583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''42583'', ''25327'', ''2'', null);

-- ----------------------------
-- Table structure for del_icss_scale_content
-- ----------------------------
DROP TABLE IF EXISTS `del_icss_scale_content`;
CREATE TABLE `del_icss_scale_content` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `scale_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''量表标签id'',
  `content` text COMMENT ''内容'',
  `type` tinyint(4) NOT NULL DEFAULT ''0'' COMMENT ''0:文本，1：大数据接口填充'',
  `order_no` smallint(6) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `remark` varchar(500) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''量表内容表'';

-- ----------------------------
-- Records of del_icss_scale_content
-- ----------------------------
INSERT INTO `del_icss_scale_content` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40731'', ''量表前置内容'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40731'', null, ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40731'', ''量表后置内容'', ''0'', ''3'', null);
INSERT INTO `del_icss_scale_content` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40743'', ''量表前置内容'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40743'', '''', ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40743'', ''量表后置内容'', ''0'', ''3'', null);
INSERT INTO `del_icss_scale_content` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40742'', ''量表前置内容'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40742'', '''', ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40742'', ''量表后置内容'', ''0'', ''3'', null);
INSERT INTO `del_icss_scale_content` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40744'', ''<p>MDNS可与MNSI联合应用以确定是否存在周围神经病变，在一段时间内对患者进行评分可以评估疾病的进展情况。</p><p><br></p><p><strong>临床体格检查：</strong></p><p><br></p><p>感觉：拇指的振动觉，10g丝的触觉，拇指的针刺觉。</p><p>肌力：手指展开，拇指伸展，踝关节背屈</p><p>反射：肱二头肌反射，肱三头肌反射，股四头肌反射（膝反射），跟腱反射</p>'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40744'', '''', ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40744'', ''<p>1.计算方法：</p><p><br></p><p>感觉损伤得分=左右两侧感觉检查项目的分数之和</p><p>肌力得分=左右两侧肌力检查项目的分数之和</p><p>反射得分=左右两侧反射检查项目的分数之和</p><p>体格检查得分=感觉损伤得分+肌力得分+反射得分</p><p class=\"ql-indent-8\"><br></p><p>2.&nbsp;临床体格检查部分：</p><p>最低得分0&nbsp;最高得分46， 分数越高，周围神经病越重</p><p><span style=\"background-color: rgb(187, 187, 187);\">临床体格检查得分&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;周围神经病</span></p><p>&nbsp;&nbsp;&nbsp;&nbsp;0~6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;无</p><p>&nbsp;&nbsp;&nbsp;&nbsp;7~12&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;轻度</p><p>&nbsp;&nbsp;&nbsp;&nbsp;13~29&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;中度</p><p>&nbsp;&nbsp;&nbsp;&nbsp;30~46&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;重度</p><p><br></p><p>&nbsp;MDNS &gt; 6分为异常</p>'', ''0'', ''3'', null);
INSERT INTO `del_icss_scale_content` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40745'', ''量表前置内容'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40745'', '''', ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40745'', ''量表后置内容'', ''0'', ''3'', null);
INSERT INTO `del_icss_scale_content` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40746'', ''量表前置内容'', ''0'', ''1'', null);
INSERT INTO `del_icss_scale_content` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40746'', '''', ''1'', ''2'', null);
INSERT INTO `del_icss_scale_content` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40746'', ''量表后置内容'', ''0'', ''3'', null);

-- ----------------------------
-- Table structure for icss_buried_some_statistical
-- ----------------------------
DROP TABLE IF EXISTS `icss_buried_some_statistical`;
CREATE TABLE `icss_buried_some_statistical` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT ''医院id'',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT ''部门id'',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT ''医生id'',
  `patient_id` bigint(20) DEFAULT NULL COMMENT ''病人id'',
  `inquiry_code` varchar(255) DEFAULT NULL COMMENT ''就诊号'',
  `label_id` int(10) DEFAULT NULL COMMENT ''标签ID'',
  `label_name` varchar(100) DEFAULT NULL COMMENT ''标签名'',
  `operation_type` varchar(100) DEFAULT NULL COMMENT ''操作类型'',
  `operation_num` int(5) DEFAULT NULL COMMENT ''操作次数'',
  `status` int(5) DEFAULT ''0'' COMMENT ''是否存在标签库（0:默认有，1：无）'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8 COMMENT=''数据埋点统计表'';

-- ----------------------------
-- Records of icss_buried_some_statistical
-- ----------------------------

-- ----------------------------
-- Table structure for icss_dept_vital
-- ----------------------------
DROP TABLE IF EXISTS `icss_dept_vital`;
CREATE TABLE `icss_dept_vital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `dept_id` bigint(20) NOT NULL COMMENT ''科室id'',
  `vital_id` bigint(20) NOT NULL COMMENT ''查体id(question_id)'',
  `order_no` int(11) NOT NULL DEFAULT ''0'' COMMENT ''排序'',
  `remark` varchar(100) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=357 DEFAULT CHARSET=utf8 COMMENT=''科室查体对应表'';

-- ----------------------------
-- Records of icss_dept_vital
-- ----------------------------
INSERT INTO `icss_dept_vital` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''40'', ''1'', ''全科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''278'', ''2'', ''全科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''279'', ''3'', ''全科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''28'', ''4'', ''全科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''428'', ''22'', ''全科-发育正常'');
INSERT INTO `icss_dept_vital` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''429'', ''23'', ''全科-营养中等'');
INSERT INTO `icss_dept_vital` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''430'', ''5'', ''全科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''431'', ''24'', ''全科-自主体位'');
INSERT INTO `icss_dept_vital` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''432'', ''25'', ''全科-面容正常'');
INSERT INTO `icss_dept_vital` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''433'', ''26'', ''全科-表情安静'');
INSERT INTO `icss_dept_vital` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''434'', ''27'', ''全科-查体合作'');
INSERT INTO `icss_dept_vital` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''435'', ''6'', ''全科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''436'', ''7'', ''全科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''437'', ''28'', ''全科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''282'', ''29'', ''全科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''438'', ''30'', ''全科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''439'', ''31'', ''全科-角膜透明'');
INSERT INTO `icss_dept_vital` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''376'', ''32'', ''全科-瞳孔'');
INSERT INTO `icss_dept_vital` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''440'', ''33'', ''全科-耳廓无畸形，外耳道无溢液'');
INSERT INTO `icss_dept_vital` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''441'', ''34'', ''全科-外鼻无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''442'', ''8'', ''全科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''24031'', ''9'', ''全科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''292'', ''10'', ''全科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''443'', ''11'', ''全科-颈软'');
INSERT INTO `icss_dept_vital` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''444'', ''35'', ''全科-气管居中'');
INSERT INTO `icss_dept_vital` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''390'', ''36'', ''全科-颈静脉无怒张，肝颈静脉回流征阴性'');
INSERT INTO `icss_dept_vital` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''445'', ''12'', ''全科-甲状腺无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''446'', ''37'', ''全科-胸廓对称无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''447'', ''38'', ''全科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''448'', ''39'', ''全科-未触及胸膜摩擦感'');
INSERT INTO `icss_dept_vital` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''449'', ''40'', ''全科-叩呈清音'');
INSERT INTO `icss_dept_vital` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''450'', ''13'', ''全科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''451'', ''41'', ''全科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''452'', ''42'', ''全科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''453'', ''14'', ''全科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''454'', ''15'', ''全科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''455'', ''16'', ''全科-腹部平坦'');
INSERT INTO `icss_dept_vital` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''456'', ''17'', ''全科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''457'', ''18'', ''全科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''458'', ''19'', ''全科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''459'', ''43'', ''全科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''460'', ''20'', ''全科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''461'', ''44'', ''全科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''462'', ''45'', ''全科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''463'', ''46'', ''全科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''464'', ''21'', ''全科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''465'', ''47'', ''全科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''101'', ''466'', ''48'', ''全科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''40'', ''1'', ''消化内科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''278'', ''2'', ''消化内科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''279'', ''3'', ''消化内科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''28'', ''4'', ''消化内科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''428'', ''23'', ''消化内科-发育正常'');
INSERT INTO `icss_dept_vital` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''429'', ''24'', ''消化内科-营养中等'');
INSERT INTO `icss_dept_vital` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''430'', ''5'', ''消化内科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''435'', ''6'', ''消化内科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''436'', ''7'', ''消化内科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''437'', ''25'', ''消化内科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''282'', ''26'', ''消化内科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''438'', ''27'', ''消化内科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''439'', ''28'', ''消化内科-角膜透明'');
INSERT INTO `icss_dept_vital` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''376'', ''29'', ''消化内科-瞳孔'');
INSERT INTO `icss_dept_vital` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''442'', ''8'', ''消化内科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''24031'', ''9'', ''消化内科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''292'', ''10'', ''消化内科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''443'', ''11'', ''消化内科-颈软'');
INSERT INTO `icss_dept_vital` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''444'', ''30'', ''消化内科-气管居中'');
INSERT INTO `icss_dept_vital` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''390'', ''31'', ''消化内科-颈静脉无怒张，肝颈静脉回流征阴性'');
INSERT INTO `icss_dept_vital` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''445'', ''12'', ''消化内科-甲状腺无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''446'', ''32'', ''消化内科-胸廓对称无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''447'', ''33'', ''消化内科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''449'', ''34'', ''消化内科-叩呈清音'');
INSERT INTO `icss_dept_vital` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''450'', ''13'', ''消化内科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''451'', ''35'', ''消化内科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''452'', ''36'', ''消化内科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''453'', ''14'', ''消化内科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''454'', ''15'', ''消化内科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''455'', ''16'', ''消化内科-腹部平坦'');
INSERT INTO `icss_dept_vital` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''456'', ''17'', ''消化内科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''457'', ''18'', ''消化内科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''458'', ''19'', ''消化内科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''459'', ''20'', ''消化内科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''460'', ''21'', ''消化内科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''461'', ''37'', ''消化内科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''462'', ''38'', ''消化内科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''463'', ''39'', ''消化内科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''464'', ''22'', ''消化内科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''465'', ''40'', ''消化内科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''466'', ''41'', ''消化内科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''40'', ''1'', ''心血管内科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''278'', ''2'', ''心血管内科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''279'', ''3'', ''心血管内科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''28'', ''4'', ''心血管内科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''430'', ''5'', ''心血管内科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''435'', ''6'', ''心血管内科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''436'', ''7'', ''心血管内科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''437'', ''21'', ''心血管内科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''282'', ''22'', ''心血管内科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''438'', ''23'', ''心血管内科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''442'', ''8'', ''心血管内科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''443'', ''9'', ''心血管内科-颈软'');
INSERT INTO `icss_dept_vital` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''444'', ''10'', ''心血管内科-气管居中'');
INSERT INTO `icss_dept_vital` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''390'', ''11'', ''心血管内科-颈静脉无怒张，肝颈静脉回流征阴性'');
INSERT INTO `icss_dept_vital` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''446'', ''24'', ''心血管内科-胸廓对称无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''447'', ''25'', ''心血管内科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''450'', ''12'', ''心血管内科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''451'', ''13'', ''心血管内科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''452'', ''14'', ''心血管内科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''453'', ''15'', ''心血管内科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''454'', ''16'', ''心血管内科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''456'', ''17'', ''心血管内科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''457'', ''18'', ''心血管内科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''458'', ''26'', ''心血管内科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''459'', ''27'', ''心血管内科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''460'', ''19'', ''心血管内科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''461'', ''28'', ''心血管内科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''462'', ''29'', ''心血管内科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''463'', ''30'', ''心血管内科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''464'', ''20'', ''心血管内科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''465'', ''31'', ''心血管内科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''466'', ''32'', ''心血管内科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''40'', ''1'', ''呼吸内科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''278'', ''2'', ''呼吸内科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''279'', ''3'', ''呼吸内科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''28'', ''4'', ''呼吸内科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''430'', ''5'', ''呼吸内科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''435'', ''6'', ''呼吸内科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''436'', ''7'', ''呼吸内科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''437'', ''23'', ''呼吸内科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''282'', ''24'', ''呼吸内科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''438'', ''25'', ''呼吸内科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''442'', ''8'', ''呼吸内科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''24031'', ''9'', ''呼吸内科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''292'', ''10'', ''呼吸内科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''443'', ''11'', ''呼吸内科-颈软'');
INSERT INTO `icss_dept_vital` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''444'', ''12'', ''呼吸内科-气管居中'');
INSERT INTO `icss_dept_vital` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''390'', ''26'', ''呼吸内科-颈静脉无怒张，肝颈静脉回流征阴性'');
INSERT INTO `icss_dept_vital` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''446'', ''27'', ''呼吸内科-胸廓对称无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''447'', ''13'', ''呼吸内科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''448'', ''14'', ''呼吸内科-未触及胸膜摩擦感'');
INSERT INTO `icss_dept_vital` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''449'', ''15'', ''呼吸内科-叩呈清音'');
INSERT INTO `icss_dept_vital` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''450'', ''16'', ''呼吸内科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''451'', ''28'', ''呼吸内科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''452'', ''29'', ''呼吸内科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''453'', ''17'', ''呼吸内科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''454'', ''18'', ''呼吸内科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''456'', ''19'', ''呼吸内科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''457'', ''20'', ''呼吸内科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''458'', ''30'', ''呼吸内科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''459'', ''31'', ''呼吸内科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''460'', ''21'', ''呼吸内科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''461'', ''32'', ''呼吸内科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''462'', ''33'', ''呼吸内科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''463'', ''34'', ''呼吸内科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''464'', ''22'', ''呼吸内科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''465'', ''35'', ''呼吸内科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''466'', ''36'', ''呼吸内科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''40'', ''1'', ''内分泌科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''278'', ''2'', ''内分泌科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''279'', ''3'', ''内分泌科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''28'', ''4'', ''内分泌科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''428'', ''19'', ''内分泌科-发育正常'');
INSERT INTO `icss_dept_vital` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''429'', ''20'', ''内分泌科-营养中等'');
INSERT INTO `icss_dept_vital` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''430'', ''5'', ''内分泌科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''435'', ''21'', ''内分泌科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''436'', ''6'', ''内分泌科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''442'', ''7'', ''内分泌科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''445'', ''8'', ''内分泌科-甲状腺无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''447'', ''22'', ''内分泌科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''450'', ''9'', ''内分泌科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''451'', ''23'', ''内分泌科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''452'', ''24'', ''内分泌科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''453'', ''10'', ''内分泌科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''454'', ''11'', ''内分泌科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''456'', ''12'', ''内分泌科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''457'', ''13'', ''内分泌科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''458'', ''14'', ''内分泌科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''459'', ''25'', ''内分泌科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''460'', ''15'', ''内分泌科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''461'', ''26'', ''内分泌科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''463'', ''16'', ''内分泌科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''464'', ''17'', ''内分泌科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''465'', ''18'', ''内分泌科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''466'', ''27'', ''内分泌科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''40'', ''1'', ''肾内科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''278'', ''2'', ''肾内科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''279'', ''3'', ''肾内科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''28'', ''4'', ''肾内科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''430'', ''5'', ''肾内科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''435'', ''6'', ''肾内科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''436'', ''7'', ''肾内科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''442'', ''8'', ''肾内科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''24031'', ''9'', ''肾内科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''292'', ''10'', ''肾内科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''390'', ''21'', ''肾内科-颈静脉无怒张，肝颈静脉回流征阴性'');
INSERT INTO `icss_dept_vital` VALUES (''196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''445'', ''11'', ''肾内科-甲状腺无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''447'', ''22'', ''肾内科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''450'', ''12'', ''肾内科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''451'', ''23'', ''肾内科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''452'', ''24'', ''肾内科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''453'', ''13'', ''肾内科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''454'', ''14'', ''肾内科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''456'', ''15'', ''肾内科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''457'', ''16'', ''肾内科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''458'', ''17'', ''肾内科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''459'', ''18'', ''肾内科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''460'', ''19'', ''肾内科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''461'', ''25'', ''肾内科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''463'', ''26'', ''肾内科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''464'', ''20'', ''肾内科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''465'', ''27'', ''肾内科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''466'', ''28'', ''肾内科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''40'', ''1'', ''泌尿外科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''278'', ''2'', ''泌尿外科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''279'', ''3'', ''泌尿外科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''28'', ''4'', ''泌尿外科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''430'', ''5'', ''泌尿外科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''435'', ''6'', ''泌尿外科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''436'', ''7'', ''泌尿外科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''447'', ''18'', ''泌尿外科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''450'', ''8'', ''泌尿外科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''451'', ''19'', ''泌尿外科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''452'', ''20'', ''泌尿外科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''453'', ''9'', ''泌尿外科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''454'', ''10'', ''泌尿外科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''456'', ''11'', ''泌尿外科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''457'', ''12'', ''泌尿外科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''458'', ''13'', ''泌尿外科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''459'', ''14'', ''泌尿外科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''460'', ''15'', ''泌尿外科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''461'', ''16'', ''泌尿外科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''463'', ''21'', ''泌尿外科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''464'', ''17'', ''泌尿外科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''465'', ''22'', ''泌尿外科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''466'', ''23'', ''泌尿外科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''40'', ''1'', ''血液科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''278'', ''2'', ''血液科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''279'', ''3'', ''血液科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''28'', ''4'', ''血液科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''430'', ''5'', ''血液科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''435'', ''6'', ''血液科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''436'', ''7'', ''血液科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''442'', ''8'', ''血液科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''24031'', ''9'', ''血液科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''292'', ''10'', ''血液科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''447'', ''20'', ''血液科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''450'', ''11'', ''血液科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''451'', ''21'', ''血液科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''452'', ''22'', ''血液科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''453'', ''12'', ''血液科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''454'', ''13'', ''血液科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''456'', ''14'', ''血液科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''457'', ''15'', ''血液科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''458'', ''16'', ''血液科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''459'', ''23'', ''血液科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''460'', ''17'', ''血液科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''461'', ''24'', ''血液科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''463'', ''25'', ''血液科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''464'', ''18'', ''血液科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''465'', ''19'', ''血液科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''466'', ''26'', ''血液科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''40'', ''1'', ''神经内科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''278'', ''2'', ''神经内科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''279'', ''3'', ''神经内科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''28'', ''4'', ''神经内科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''430'', ''5'', ''神经内科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''435'', ''6'', ''神经内科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''436'', ''7'', ''神经内科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''437'', ''25'', ''神经内科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''282'', ''26'', ''神经内科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''438'', ''27'', ''神经内科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''439'', ''8'', ''神经内科-角膜透明'');
INSERT INTO `icss_dept_vital` VALUES (''273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''376'', ''9'', ''神经内科-瞳孔'');
INSERT INTO `icss_dept_vital` VALUES (''274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''442'', ''10'', ''神经内科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''24031'', ''11'', ''神经内科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''292'', ''12'', ''神经内科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''447'', ''28'', ''神经内科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''450'', ''13'', ''神经内科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''451'', ''29'', ''神经内科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''452'', ''30'', ''神经内科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''453'', ''14'', ''神经内科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''454'', ''15'', ''神经内科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''456'', ''16'', ''神经内科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''457'', ''17'', ''神经内科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''458'', ''18'', ''神经内科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''459'', ''31'', ''神经内科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''460'', ''19'', ''神经内科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''461'', ''32'', ''神经内科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''462'', ''20'', ''神经内科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''463'', ''21'', ''神经内科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''464'', ''22'', ''神经内科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''465'', ''23'', ''神经内科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''466'', ''24'', ''神经内科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''40'', ''1'', ''急诊科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''278'', ''2'', ''急诊科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''279'', ''3'', ''急诊科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''28'', ''4'', ''急诊科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''430'', ''5'', ''急诊科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''435'', ''6'', ''急诊科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''436'', ''7'', ''急诊科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''437'', ''25'', ''急诊科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''282'', ''26'', ''急诊科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''438'', ''27'', ''急诊科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''439'', ''8'', ''急诊科-角膜透明'');
INSERT INTO `icss_dept_vital` VALUES (''305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''376'', ''9'', ''急诊科-瞳孔'');
INSERT INTO `icss_dept_vital` VALUES (''306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''442'', ''10'', ''急诊科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''24031'', ''28'', ''急诊科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''292'', ''29'', ''急诊科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''447'', ''11'', ''急诊科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''450'', ''12'', ''急诊科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''451'', ''13'', ''急诊科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''452'', ''14'', ''急诊科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''453'', ''15'', ''急诊科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''454'', ''16'', ''急诊科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''456'', ''17'', ''急诊科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''457'', ''18'', ''急诊科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''458'', ''19'', ''急诊科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''459'', ''30'', ''急诊科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''460'', ''20'', ''急诊科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''461'', ''31'', ''急诊科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''462'', ''21'', ''急诊科-脊柱无畸形，活动自如'');
INSERT INTO `icss_dept_vital` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''463'', ''22'', ''急诊科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''464'', ''23'', ''急诊科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''465'', ''32'', ''急诊科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''466'', ''24'', ''急诊科-生理反射存在，病理反射未引出'');
INSERT INTO `icss_dept_vital` VALUES (''326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''40'', ''1'', ''感染科-体温'');
INSERT INTO `icss_dept_vital` VALUES (''327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''278'', ''2'', ''感染科-脉搏'');
INSERT INTO `icss_dept_vital` VALUES (''328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''279'', ''3'', ''感染科-呼吸'');
INSERT INTO `icss_dept_vital` VALUES (''329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''28'', ''4'', ''感染科-血压'');
INSERT INTO `icss_dept_vital` VALUES (''330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''430'', ''5'', ''感染科-神志清'');
INSERT INTO `icss_dept_vital` VALUES (''331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''435'', ''6'', ''感染科-皮肤粘膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''436'', ''7'', ''感染科-全身浅表淋巴结未触及'');
INSERT INTO `icss_dept_vital` VALUES (''333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''437'', ''21'', ''感染科-头颅五官无畸形'');
INSERT INTO `icss_dept_vital` VALUES (''334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''282'', ''8'', ''感染科-结膜无充血'');
INSERT INTO `icss_dept_vital` VALUES (''335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''438'', ''9'', ''感染科-巩膜无黄染'');
INSERT INTO `icss_dept_vital` VALUES (''336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''439'', ''22'', ''感染科-角膜透明'');
INSERT INTO `icss_dept_vital` VALUES (''337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''376'', ''23'', ''感染科-瞳孔'');
INSERT INTO `icss_dept_vital` VALUES (''338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''442'', ''10'', ''感染科-口唇无发绀'');
INSERT INTO `icss_dept_vital` VALUES (''339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''24031'', ''11'', ''感染科-咽无充血'');
INSERT INTO `icss_dept_vital` VALUES (''340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''292'', ''12'', ''感染科-扁桃体无肿大'');
INSERT INTO `icss_dept_vital` VALUES (''341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''447'', ''24'', ''感染科-双侧呼吸动度一致'');
INSERT INTO `icss_dept_vital` VALUES (''342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''450'', ''13'', ''感染科-未闻及明显干湿啰音'');
INSERT INTO `icss_dept_vital` VALUES (''343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''451'', ''25'', ''感染科-心前区无异常隆起'');
INSERT INTO `icss_dept_vital` VALUES (''344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''452'', ''26'', ''感染科-心界无扩大'');
INSERT INTO `icss_dept_vital` VALUES (''345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''453'', ''14'', ''感染科-心率（##）次/分，律齐'');
INSERT INTO `icss_dept_vital` VALUES (''346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''454'', ''15'', ''感染科-各瓣膜区未闻及病理性杂音'');
INSERT INTO `icss_dept_vital` VALUES (''347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''456'', ''16'', ''感染科-全腹软，无压痛、反跳痛及肌紧张'');
INSERT INTO `icss_dept_vital` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''457'', ''17'', ''感染科-肝脾肋下未及'');
INSERT INTO `icss_dept_vital` VALUES (''349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''458'', ''18'', ''感染科-肾区无叩痛'');
INSERT INTO `icss_dept_vital` VALUES (''350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''459'', ''27'', ''感染科-移动性浊音阴性'');
INSERT INTO `icss_dept_vital` VALUES (''351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''460'', ''19'', ''感染科-肠鸣音正常'');
INSERT INTO `icss_dept_vital` VALUES (''352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''461'', ''28'', ''感染科-肛门及外生殖器未查'');
INSERT INTO `icss_dept_vital` VALUES (''353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''463'', ''29'', ''感染科-四肢无畸形，关节无红肿热痛'');
INSERT INTO `icss_dept_vital` VALUES (''354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''464'', ''20'', ''感染科-双下肢无水肿'');
INSERT INTO `icss_dept_vital` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''465'', ''30'', ''感染科-四肢肌力肌张力正常'');
INSERT INTO `icss_dept_vital` VALUES (''356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''466'', ''31'', ''感染科-生理反射存在，病理反射未引出'');

-- ----------------------------
-- Table structure for icss_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_dictionary_info`;
CREATE TABLE `icss_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `group_type` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''分组（值自定义）'',
  `name` varchar(100) NOT NULL DEFAULT '''' COMMENT ''内容'',
  `val` varchar(255) NOT NULL DEFAULT '''' COMMENT ''值'',
  `return_type` int(11) NOT NULL DEFAULT ''1'' COMMENT ''返回类型（0: 都返回，1：后台维护返回 2：icss界面返回）'',
  `order_no` int(11) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT=''icss字典表'';

-- ----------------------------
-- Records of icss_dictionary_info
-- ----------------------------
INSERT INTO `icss_dictionary_info` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''主诉现病史'', ''1'', ''1'', ''10'', ''标签归属'');
INSERT INTO `icss_dictionary_info` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''其他史'', ''3'', ''1'', ''20'', ''标签归属'');
INSERT INTO `icss_dictionary_info` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''查体'', ''4'', ''1'', ''30'', ''标签归属'');
INSERT INTO `icss_dictionary_info` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''化验'', ''5'', ''1'', ''40'', ''标签归属'');
INSERT INTO `icss_dictionary_info` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''多列多选标签（杂音/初为）'', ''2'', ''1'', ''10'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''多项统一横铺标签（血压）'', ''3'', ''1'', ''20'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''症状详细（症状尾巴）'', ''4'', ''1'', ''30'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''12'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''单选含自由填写项'', ''5'', ''1'', ''40'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''组合项标签（既往史）'', ''6'', ''1'', ''50'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''化验组合'', ''7'', ''1'', ''60'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''诊断/药品/辅检标签'', ''9'', ''1'', ''70'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''症状推送类型（添加症状）'', ''11'', ''1'', ''80'', ''添加组合标签-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''多列多选标签（杂音/初为）'', ''2'', ''1'', ''10'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''多项统一横铺标签（血压）'', ''3'', ''1'', ''20'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''症状详细（症状尾巴）'', ''4'', ''1'', ''30'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''21'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''单选含自由填写项'', ''5'', ''1'', ''40'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''组合项标签（既往史）'', ''6'', ''1'', ''50'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''化验组合'', ''7'', ''1'', ''60'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''诊断/药品/辅检标签'', ''9'', ''1'', ''70'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''主诉模板'', ''1'', ''1'', ''10'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''现病史模板'', ''2'', ''1'', ''20'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''其他史模板'', ''3'', ''1'', ''30'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''查体模板'', ''4'', ''1'', ''40'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''化验模板'', ''5'', ''1'', ''50'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''辅检模板'', ''6'', ''1'', ''60'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''症状推送类型（添加症状）'', ''11'', ''1'', ''80'', ''组合标签分页过滤-填写单类型'');
INSERT INTO `icss_dictionary_info` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''从左到右，从上到下'', ''1'', ''1'', ''10'', ''成文顺序'');
INSERT INTO `icss_dictionary_info` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''按点击顺序成文'', ''0'', ''1'', ''20'', ''成文顺序'');
INSERT INTO `icss_dictionary_info` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''默认值'', ''0'', ''1'', ''10'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''单选'', ''1'', ''1'', ''20'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''多选'', ''2'', ''1'', ''30'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''数字键盘带单位'', ''5'', ''1'', ''40'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''输入框'', ''6'', ''1'', ''50'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''数字键盘'', ''7'', ''1'', ''60'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''联合推送'', ''99'', ''1'', ''80'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''单选含自由填写项'', ''11'', ''1'', ''70'', ''单标签组件类型'');
INSERT INTO `icss_dictionary_info` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''现病史空模板'', ''22'', ''1'', ''80'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''现病史空模板子模板'', ''322'', ''1'', ''90'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''主诉子模板'', ''31'', ''1'', ''100'', ''模板类型归属'');
INSERT INTO `icss_dictionary_info` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''现病史子模板'', ''32'', ''1'', ''110'', ''模板类型归属'');

-- ----------------------------
-- Table structure for icss_doctor_page_mode
-- ----------------------------
DROP TABLE IF EXISTS `icss_doctor_page_mode`;
CREATE TABLE `icss_doctor_page_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT ''医生id'',
  `mode_classify` int(11) DEFAULT NULL COMMENT ''模式分类'',
  `mode_value` int(10) DEFAULT NULL COMMENT ''模式值'',
  `remark` varchar(100) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT=''医生页面结构模式'';

-- ----------------------------
-- Records of icss_doctor_page_mode
-- ----------------------------
INSERT INTO `icss_doctor_page_mode` VALUES (''9'', ''N'', ''2018-12-13 15:02:03'', ''2019-05-07 20:38:10'', ''1'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_doctor_page_mode` VALUES (''10'', ''N'', ''2018-12-13 15:02:33'', ''2019-03-01 09:54:15'', ''2'', ''2'', ''2'', ''0'', ''0'', null);
INSERT INTO `icss_doctor_page_mode` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''2019-03-01 16:55:24'', ''0'', ''3'', ''3'', ''0'', ''0'', null);

-- ----------------------------
-- Table structure for icss_inquiry_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_detail`;
CREATE TABLE `icss_inquiry_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `inquiry_id` bigint(20) NOT NULL COMMENT ''问诊记录id'',
  `type` int(1) DEFAULT NULL COMMENT ''类型（1:主诉，2现病史，3其他史，4查体，5化验，6辅检，7诊断，8医嘱）'',
  `content` text COMMENT ''内容字符串'',
  `content_value` text COMMENT ''内容字符串纯文本'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2889 DEFAULT CHARSET=utf8 COMMENT=''问诊记录明细表'';

-- ----------------------------
-- Records of icss_inquiry_detail
-- ----------------------------
INSERT INTO `icss_inquiry_detail` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''1'', ''[\"\",\"\",\"发热\",\"、咳嗽\",\"\",\"\",\"5690\",\",\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''2'', ''[\"患者\",\"5690\",\"前\",\"\",\"出现\",\"发热\",\",\",\"\",\",\",\"\",\",\",\"咳嗽\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"。\",\"\",\"遂来就诊\",\"。\",\"自病以来\",\"神清\",\",\",\"精神可\",\",\",\"胃纳可\",\",\",\"睡眠一般\",\",\",\"\",\",\",\"体重无明显减轻\",\"。\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''3'', ''[]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''4'', ''[\"\",\"\",\"\",\"体温5 (填写)℃\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"巩膜黄染\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''5'', ''空腹血糖,空腹血糖,10mmol/L;'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''6'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''7'', ''呼吸道感染(初诊); '', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''8'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''1'', ''[\"\",\"\",\"发热\",\"\",\"\",\"\",\",\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''2'', ''[]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''3'', ''[]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''4'', ''[\"\",\"体温2℃\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''5'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''6'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''7'', ''肺结节(初诊); '', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''8'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''1'', ''[\"\",\"\",\"发热\",\"、胸闷\",\"\",\"\",\"\",\",\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''2'', ''[\"患者\",\"\",\"前\",\"\",\"出现\",\"发热\",\",\",\"\",\",\",\"\",\",\",\"胸闷\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"。\",\"\",\"遂来就诊\",\"。\",\"自病以来\",\"神清\",\",\",\"精神可\",\",\",\"胃纳可\",\",\",\"睡眠一般\",\",\",\"\",\",\",\"体重无明显减轻\",\"。\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''4'', ''[\"\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"，\",\"\",\"\"]'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''5'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''6'', '''', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''7'', ''急性胰腺炎(初诊); '', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''8'', ''1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>; ; aaaaaaaaa'', null, null);
INSERT INTO `icss_inquiry_detail` VALUES (''1561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''1'', ''[\"糖尿病复诊\"]'', ''糖尿病复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''7'', ''糖尿病(初诊); '', ''糖尿病(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''1568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''1'', ''[\"糖尿病(复诊); \"]'', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''7'', ''糖尿病(复诊); '', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''1'', ''[\"糖尿病复诊\"]'', ''糖尿病复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"有高脂血症病史\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', ''有高脂血症病史'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''7'', ''糖尿病(复诊); '', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''1'', ''[\"\",\"\",\"发热\",\"\",\"\",\"\",\",\",\"\",\"\"]'', ''发热'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"月经史：初潮年龄2小时\",\",\",\"行经天数2分钟\",\",\",\"周期3分钟\",\",\",\"停经时间2年\",\",\",\"月经规律\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', ''月经史：初潮年龄2小时,行经天数2分钟,周期3分钟,停经时间2年,月经规律,'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''5'', ''血液,WBC,20mg/L;血液,RBC,80mg/L;血液,HGB,15g/L;血液,血色,黑色;空腹血糖,空腹血糖,5mmol/L;血常规,红细胞计数,110^12/L;血常规,白细胞计数,1510^9/L;血常规,红细胞压积,1%;血常规,平均红细胞体积,1FL;血常规,红细胞分布宽度,80%;血常规,血红蛋白,1g/L;血常规,血红蛋白平均含量,1pg;血常规,血红蛋白平均浓度,1g/L;血常规,单核细胞计数,110^9/L;血常规,单核细胞百分比,1%;血常规,中性粒细胞计数,110^9/L;血常规,中性粒细胞百分比,1%;血常规,嗜酸性粒细胞计数,110^9/L;血常规,嗜酸性粒细胞百分比,1%;血常规,嗜碱性粒细胞计数,110^9/L;血常规,嗜碱性粒细胞百分比,1%;血常规,淋巴细胞计数,110^9/L;血常规,淋巴细胞百分比,1%;血常规,血小板计数,110^9/L;血常规,血小板体积分布宽度,1%;血常规,血小板平均体积,1fl;血常规,大型血小板比例,1%;血常规,血小板压积,1%;血酮,血酮,10mg/L;尿常规,白细胞脂酶(LEU),阳性;尿常规,比重(SG'', ''血液,WBC,20mg/L;血液,RBC,80mg/L;血液,HGB,15g/L;血液,血色,黑色;空腹血糖,空腹血糖,5mmol/L;血常规,红细胞计数,110^12/L;血常规,白细胞计数,1510^9/L;血常规,红细胞压积,1%;血常规,平均红细胞体积,1FL;血常规,红细胞分布宽度,80%;血常规,血红蛋白,1g/L;血常规,血红蛋白平均含量,1pg;血常规,血红蛋白平均浓度,1g/L;血常规,单核细胞计数,110^9/L;血常规,单核细胞百分比,1%;血常规,中性粒细胞计数,110^9/L;血常规,中性粒细胞百分比,1%;血常规,嗜酸性粒细胞计数,110^9/L;血常规,嗜酸性粒细胞百分比,1%;血常规,嗜碱性粒细胞计数,110^9/L;血常规,嗜碱性粒细胞百分比,1%;血常规,淋巴细胞计数,110^9/L;血常规,淋巴细胞百分比,1%;血常规,血小板计数,110^9/L;血常规,血小板体积分布宽度,1%;血常规,血小板平均体积,1fl;血常规,大型血小板比例,1%;血常规,血小板压积,1%;血酮,血酮,10mg/L;尿常规,白细胞脂酶(LEU),阳性;尿常规,比重(SG'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''7'', ''呼吸道感染(初诊); '', ''呼吸道感染(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''1'', ''[\"\",\"\",\"发热\",\"\",\"\",\"\",\",\",\"\",\"\"]'', ''发热'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\",\",\",\"行经天数2分钟\",\",\",\"周期3分钟\",\",\",\"停经时间2年\",\",\",\"月经规律\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\"]'', ''行经天数2分钟,周期3分钟,停经时间2年,月经规律,'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''7'', ''急性胰腺炎(复诊); '', ''急性胰腺炎(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''8'', ''1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。;  山莨菪碱, 东莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 瑞芬太尼, 瑞芬太尼, 哌替啶; 瑞芬太尼, 瑞芬太瑞芬太尼, 瑞芬太尼, 哌替啶尼, 哌替啶瑞芬太尼, 瑞芬太尼, 哌替啶'', ''1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。;  山莨菪碱, 东莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 瑞芬太尼, 瑞芬太尼, 哌替啶; 瑞芬太尼, 瑞芬太瑞芬太尼, 瑞芬太尼, 哌替啶尼, 哌替啶瑞芬太尼, 瑞芬太尼, 哌替啶'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''1'', ''[\"\",\"\",\"发热\",\"\",\"\",\"\",\",\",\"\",\"\"]'', ''发热'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''7'', ''肺结核(初诊); '', ''肺结核(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''1'', ''[\"\",\"\",\"发热\",\"\",\"\",\"\",\",\",\"\",\"\"]'', ''发热'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''7'', ''肺结核(初诊); '', ''肺结核(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''1'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"有高脂血症病史\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', ''有高脂血症病史'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''5'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''6'', ''心电图: 报告日期:2019-04-24;胸部X线: 报告日期:2019-04-24;心脏彩超(CDFI): 报告日期:2019-04-24;腹部彩超: 报告日期:2019-04-24;四肢多普勒血流图: 报告日期:2019-04-24;下肢彩超: 报告日期:2019-04-24;肌电图: 报告日期:2019-04-24;眼底照相: 报告日期:2019-04-24;血压监测: 报告日期:2019-04-24;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-24;泌尿系统彩超: 报告日期:2019-04-24;颈部淋巴结彩超(CDFI): 报告日期:2019-04-24;子宫附件彩超(CDFI): 报告日期:2019-04-24;颈椎MRI: 报告日期:2019-04-24;'', ''心电图: 报告日期:2019-04-24;胸部X线: 报告日期:2019-04-24;心脏彩超(CDFI): 报告日期:2019-04-24;腹部彩超: 报告日期:2019-04-24;四肢多普勒血流图: 报告日期:2019-04-24;下肢彩超: 报告日期:2019-04-24;肌电图: 报告日期:2019-04-24;眼底照相: 报告日期:2019-04-24;血压监测: 报告日期:2019-04-24;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-24;泌尿系统彩超: 报告日期:2019-04-24;颈部淋巴结彩超(CDFI): 报告日期:2019-04-24;子宫附件彩超(CDFI): 报告日期:2019-04-24;颈椎MRI: 报告日期:2019-04-24;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''7'', ''肺结核(初诊); '', ''肺结核(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''1'', ''[\"恶心，呕吐，腰痛\"]'', ''恶心，呕吐，腰痛'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''2'', ''[\"患者\",\"\",\"前\",\"\",\"出现\",\"呕吐\",\",\",\"\",\",\",\"\",\",\",\"恶心\",\",\",\"\",\",\",\"\",\",\",\"腰痛\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"。\",\"\",\"遂来就诊\",\"。\",\"自病以来\",\"神清\",\",\",\"精神可\",\",\",\"胃纳可\",\",\",\"睡眠一般\",\",\",\"\",\",\",\"体重无明显减轻\",\"。\"]'', ''患者前出现呕吐,恶心,腰痛,遂来就诊。自病以来神清,精神可,胃纳可,睡眠一般,体重无明显减轻。'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''7'', ''支气管哮喘(复诊); '', ''支气管哮喘(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''8'', ''1 避免接触各种诱发因素，包括尘螨、花粉、霉菌、宠物等过敏原，以及烟雾、冷空气等。2 坚持长期治疗和监测。3 医患配合建立伙伴关系。4 个体化治疗是关键。5 自我监测：如何测定、记录、解释哮喘日记内容：症状评分、应用药物、PEF，哮喘控制测试（ACT）变化；; '', ''1 避免接触各种诱发因素，包括尘螨、花粉、霉菌、宠物等过敏原，以及烟雾、冷空气等。2 坚持长期治疗和监测。3 医患配合建立伙伴关系。4 个体化治疗是关键。5 自我监测：如何测定、记录、解释哮喘日记内容：症状评分、应用药物、PEF，哮喘控制测试（ACT）变化；; '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''1'', ''[\"糖尿病(复诊); \"]'', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"有高脂血症病史\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', ''有高脂血症病史'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''5'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''6'', ''心电图: 报告日期:2019-04-26;胸部X线: 报告日期:2019-04-26;心脏彩超(CDFI): 报告日期:2019-04-26;腹部彩超: 报告日期:2019-04-26;四肢多普勒血流图: 报告日期:2019-04-26;下肢彩超: 报告日期:2019-04-26;肌电图: 报告日期:2019-04-26;眼底照相: 报告日期:2019-04-26;血压监测: 报告日期:2019-04-26;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-26;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-26;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-26;泌尿系统彩超: 报告日期:2019-04-26;颈部淋巴结彩超(CDFI): 报告日期:2019-04-26;子宫附件彩超(CDFI): 报告日期:2019-04-26;颈椎MRI: 报告日期:2019-04-26;'', ''心电图: 报告日期:2019-04-26;胸部X线: 报告日期:2019-04-26;心脏彩超(CDFI): 报告日期:2019-04-26;腹部彩超: 报告日期:2019-04-26;四肢多普勒血流图: 报告日期:2019-04-26;下肢彩超: 报告日期:2019-04-26;肌电图: 报告日期:2019-04-26;眼底照相: 报告日期:2019-04-26;血压监测: 报告日期:2019-04-26;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-26;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-26;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-26;泌尿系统彩超: 报告日期:2019-04-26;颈部淋巴结彩超(CDFI): 报告日期:2019-04-26;子宫附件彩超(CDFI): 报告日期:2019-04-26;颈椎MRI: 报告日期:2019-04-26;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''7'', ''糖尿病(复诊); '', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''8'', ''1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。;  门冬胰岛素, 精蛋白生物合成人胰岛素'', ''1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。;  门冬胰岛素, 精蛋白生物合成人胰岛素'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''1'', ''[\"糖尿病复诊\"]'', ''糖尿病复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"胸痛\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\",\"\",\"恶心，呕吐。腰痛\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊胸痛,恶心，呕吐。腰痛'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\",\",\",\"行经天数2分钟\",\",\",\"周期3分钟\",\",\",\"停经时间2年\",\",\",\"月经规律\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\"]'', ''行经天数2分钟,周期3分钟,停经时间2年,月经规律,'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"有高脂血症病史\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', ''有高脂血症病史'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''5'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''6'', ''心电图: 报告日期:2019-04-28;胸部X线: 报告日期:2019-04-28;心脏彩超(CDFI): 报告日期:2019-04-28;腹部彩超: 报告日期:2019-04-28;四肢多普勒血流图: 报告日期:2019-04-28;下肢彩超: 报告日期:2019-04-28;肌电图: 报告日期:2019-04-28;眼底照相: 报告日期:2019-04-28;血压监测: 报告日期:2019-04-28;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-28;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-28;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-28;泌尿系统彩超: 报告日期:2019-04-28;颈部淋巴结彩超(CDFI): 报告日期:2019-04-28;子宫附件彩超(CDFI): 报告日期:2019-04-28;颈椎MRI: 报告日期:2019-04-28;'', ''心电图: 报告日期:2019-04-28;胸部X线: 报告日期:2019-04-28;心脏彩超(CDFI): 报告日期:2019-04-28;腹部彩超: 报告日期:2019-04-28;四肢多普勒血流图: 报告日期:2019-04-28;下肢彩超: 报告日期:2019-04-28;肌电图: 报告日期:2019-04-28;眼底照相: 报告日期:2019-04-28;血压监测: 报告日期:2019-04-28;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-28;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-28;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-28;泌尿系统彩超: 报告日期:2019-04-28;颈部淋巴结彩超(CDFI): 报告日期:2019-04-28;子宫附件彩超(CDFI): 报告日期:2019-04-28;颈椎MRI: 报告日期:2019-04-28;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''7'', ''糖尿病(复诊); '', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''8'', ''; g'', ''; g'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''1'', ''[\"糖尿病复诊\"]'', ''糖尿病复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\"\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''5'', ''血常规;尿常规;血糖;空腹血糖,血糖,20mmol/L;空腹血糖,空腹血糖,13mmol/L;空腹血糖,餐后2h血糖(Glu),25mmol/L;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;'', ''血常规;尿常规;血糖;空腹血糖,血糖,20mmol/L;空腹血糖,空腹血糖,13mmol/L;空腹血糖,餐后2h血糖(Glu),25mmol/L;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''6'', ''心电图: 报告日期:2019-04-29;胸部X线: 报告日期:2019-04-29;心脏彩超(CDFI): 报告日期:2019-04-29;腹部彩超: 报告日期:2019-04-29;四肢多普勒血流图: 报告日期:2019-04-29;下肢彩超: 报告日期:2019-04-29;肌电图: 报告日期:2019-04-29;眼底照相: 报告日期:2019-04-29;血压监测: 报告日期:2019-04-29;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-29;泌尿系统彩超: 报告日期:2019-04-29;颈部淋巴结彩超(CDFI): 报告日期:2019-04-29;子宫附件彩超(CDFI): 报告日期:2019-04-29;颈椎MRI: 报告日期:2019-04-29;'', ''心电图: 报告日期:2019-04-29;胸部X线: 报告日期:2019-04-29;心脏彩超(CDFI): 报告日期:2019-04-29;腹部彩超: 报告日期:2019-04-29;四肢多普勒血流图: 报告日期:2019-04-29;下肢彩超: 报告日期:2019-04-29;肌电图: 报告日期:2019-04-29;眼底照相: 报告日期:2019-04-29;血压监测: 报告日期:2019-04-29;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-29;泌尿系统彩超: 报告日期:2019-04-29;颈部淋巴结彩超(CDFI): 报告日期:2019-04-29;子宫附件彩超(CDFI): 报告日期:2019-04-29;颈椎MRI: 报告日期:2019-04-29;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''7'', ''糖尿病(复诊); '', ''糖尿病(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''1'', ''[\"糖尿病复诊\"]'', ''糖尿病复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''2'', ''[\"患者疾病\",\"\",\"\",\"\",\",\",\"期间\",\"\",\",\",\"\",\"治疗\",\",\",\"\",\"\",\"\",\"\",\"\",\",\",\"患者本次就诊前\",\"\",\"。\",\"平饮素食\",\"\",\",\",\"\",\",\",\"体重\",\"\",\"。\",\"此次复诊\",\"\",\"。\",\"\",\"\"]'', ''患者疾病期间治疗,患者本次就诊前平饮素食体重此次复诊'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''3'', ''[\"\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\",\"\",\",\"]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''4'', ''[\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"有高脂血症病史\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\",\"\"]'', ''有高脂血症病史'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''5'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;'', ''血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''6'', ''心电图: 报告日期:2019-04-29;胸部X线: 报告日期:2019-04-29;心脏彩超(CDFI): 报告日期:2019-04-29;腹部彩超: 报告日期:2019-04-29;四肢多普勒血流图: 报告日期:2019-04-29;下肢彩超: 报告日期:2019-04-29;肌电图: 报告日期:2019-04-29;眼底照相: 报告日期:2019-04-29;血压监测: 报告日期:2019-04-29;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-29;泌尿系统彩超: 报告日期:2019-04-29;颈部淋巴结彩超(CDFI): 报告日期:2019-04-29;子宫附件彩超(CDFI): 报告日期:2019-04-29;颈椎MRI: 报告日期:2019-04-29;'', ''心电图: 报告日期:2019-04-29;胸部X线: 报告日期:2019-04-29;心脏彩超(CDFI): 报告日期:2019-04-29;腹部彩超: 报告日期:2019-04-29;四肢多普勒血流图: 报告日期:2019-04-29;下肢彩超: 报告日期:2019-04-29;肌电图: 报告日期:2019-04-29;眼底照相: 报告日期:2019-04-29;血压监测: 报告日期:2019-04-29;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-29;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-29;泌尿系统彩超: 报告日期:2019-04-29;颈部淋巴结彩超(CDFI): 报告日期:2019-04-29;子宫附件彩超(CDFI): 报告日期:2019-04-29;颈椎MRI: 报告日期:2019-04-29;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''7'', ''肺结核(复诊); '', ''肺结核(复诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''1'', ''[\"\",\"\",\"咳嗽\",\"\",\"\",\"\",\",\",\"\",\"\"]'', ''咳嗽'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''3'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''5'', ''血常规,HGB*3/HCT,445;'', ''血常规,HGB*3/HCT,445;'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''7'', ''肺结核(初诊); '', ''肺结核(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''8'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''1'', ''[\"ddd\"]'', ''ddd'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''2'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''3'', ''[\"ssss\"]'', ''ssss'', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''4'', ''[]'', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''5'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''6'', '''', '''', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''7'', ''呼吸道感染(初诊); '', ''呼吸道感染(初诊); '', null);
INSERT INTO `icss_inquiry_detail` VALUES (''2888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''8'', '''', '''', null);

-- ----------------------------
-- Table structure for icss_inquiry_drug
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_drug`;
CREATE TABLE `icss_inquiry_drug` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `inquiry_id` bigint(20) NOT NULL COMMENT ''问诊记录id'',
  `concept_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''药品概念id'',
  `concept_name` varchar(200) NOT NULL DEFAULT '''' COMMENT ''药品概念名称'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8 COMMENT=''问诊记录处方用药明细表'';

-- ----------------------------
-- Records of icss_inquiry_drug
-- ----------------------------
INSERT INTO `icss_inquiry_drug` VALUES (''1'', ''N'', ''2019-03-13 10:30:07'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''12'', ''感冒灵'', null);
INSERT INTO `icss_inquiry_drug` VALUES (''2'', ''N'', ''2019-03-13 10:30:07'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''13'', ''感冒灵2'', null);
INSERT INTO `icss_inquiry_drug` VALUES (''38'', ''N'', ''2019-04-26 14:52:01'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''27675'', ''门冬胰岛素'', null);
INSERT INTO `icss_inquiry_drug` VALUES (''39'', ''N'', ''2019-04-26 14:52:01'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''27129'', ''精蛋白生物合成人胰岛素'', null);

-- ----------------------------
-- Table structure for icss_inquiry_evaluation
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_evaluation`;
CREATE TABLE `icss_inquiry_evaluation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `inquiry_id` bigint(20) NOT NULL COMMENT ''问诊记录id'',
  `html_content` longtext COMMENT ''评估页面html内容'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8 COMMENT=''问诊记录评估结果表'';

-- ----------------------------
-- Records of icss_inquiry_evaluation
-- ----------------------------
INSERT INTO `icss_inquiry_evaluation` VALUES (''1'', ''N'', ''2019-03-13 10:30:07'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''评估内容html的'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''5'', ''N'', ''2019-04-22 15:42:52'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''{\"data\":[{\"id\":1,\"gmtCreate\":\"1970-01-02 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"疗效评估\",\"regionType\":\"1\",\"orderNo\":1,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"正常\",\"state\":0},{\"detailName\":\"1级\",\"state\":0},{\"detailName\":\"2级\",\"state\":0},{\"detailName\":\"3级\",\"state\":0}]},{\"controltype\":0,\"name\":\"BMI控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]},{\"controltype\":0,\"name\":\"血脂控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]}]}},{\"id\":2,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"血糖控制情况\",\"regionType\":\"10\",\"orderNo\":2,\"diseaseId\":21773,\"data\":null},{\"id\":3,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"整体评估\",\"regionType\":\"0\",\"orderNo\":3,\"diseaseId\":21773,\"data\":null},{\"id\":4,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"糖尿病分级管理\",\"regionType\":\"1\",\"orderNo\":4,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"常规管理\",\"state\":0},{\"detailName\":\"强化管理\",\"state\":0}]}]}}],\"chooseSelecteds\":{\"0\":{\"BMI控制情况\":\"体重达标\",\"血压控制情况\":\"2级\"},\"3\":{\"血压控制情况\":\"强化管理\"}},\"indexTimeTypes\":{\"1\":\"year\",\"2\":\"year\",\"3\":\"year\"},\"wholeAssess\":[],\"wholeAssessText\":\"ddsd\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''11'', ''N'', ''2019-04-23 15:13:26'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''20'', ''N'', ''2019-04-23 16:40:30'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''35'', ''N'', ''2019-04-23 19:17:24'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''36'', ''N'', ''2019-04-23 19:23:10'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''59'', ''N'', ''2019-04-24 16:23:49'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''{\"data\":[{\"id\":1,\"gmtCreate\":\"1970-01-02 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"疗效评估\",\"regionType\":\"1\",\"orderNo\":1,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"正常\",\"state\":0},{\"detailName\":\"1级\",\"state\":0},{\"detailName\":\"2级\",\"state\":0},{\"detailName\":\"3级\",\"state\":0}]},{\"controltype\":0,\"name\":\"BMI控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]},{\"controltype\":0,\"name\":\"血脂控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]}]}},{\"id\":2,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"血糖控制情况\",\"regionType\":\"10\",\"orderNo\":2,\"diseaseId\":21773,\"data\":null},{\"id\":3,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"整体评估\",\"regionType\":\"0\",\"orderNo\":3,\"diseaseId\":21773,\"data\":null},{\"id\":4,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"糖尿病分级管理\",\"regionType\":\"1\",\"orderNo\":4,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"常规管理\",\"state\":0},{\"detailName\":\"强化管理\",\"state\":0}]}]}}],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''61'', ''N'', ''2019-04-25 09:52:05'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''79'', ''N'', ''2019-04-26 14:52:01'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[{\"name\":\"糖尿病周围神经病变\",\"details\":[{\"type\":1,\"content\":{\"name\":\"密西根糖尿病周围神经病评分（MDNS）\",\"id\":40744,\"tagName\":\"密西根糖尿病周围神经病评分（MDNS）\"}},{\"type\":2,\"content\":{\"result\":[{\"name\":\"GFR值\",\"text\":\"30.24 ml/min•1.73m2\"},{\"name\":\"评估结论\",\"text\":\"中度下降\"}],\"name\":\"肾小球滤过率\",\"details\":[{\"controlType\":2,\"name\":\"年龄\",\"details\":[],\"uint\":\"\",\"value\":\"20\"},{\"controlType\":2,\"name\":\"血肌酐\",\"details\":[],\"uint\":\"mg/dL\",\"value\":\"2.26\"},{\"controlType\":1,\"name\":\"性别\",\"details\":[{\"detailName\":\"男\",\"state\":0,\"value\":1},{\"detailName\":\"女\",\"state\":1,\"value\":1.018}],\"uint\":\"\",\"value\":\"\"},{\"controlType\":2,\"name\":\"血肌酐\",\"details\":[],\"uint\":\"1umol/L\",\"value\":\"2.26\"}],\"resultText\":\"30.24 ml/min•1.73m2 中度下降 \"}},{\"type\":3,\"content\":{\"controlType\":0,\"name\":\"等级评估\",\"details\":[{\"detailName\":\"一级\",\"state\":0},{\"detailName\":\"二级\",\"state\":1},{\"detailName\":\"三级\",\"state\":1}]}}],\"id\":40736,\"tagName\":\"糖尿病周围神经病变\"}],\"wholeAssessText\":\"\",\"wholeIndexs\":{\"0\":[1]}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''95'', ''N'', ''2019-04-28 17:01:51'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''{\"data\":[{\"id\":1,\"gmtCreate\":\"1970-01-02 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"疗效评估\",\"regionType\":\"1\",\"orderNo\":1,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"正常\",\"state\":0},{\"detailName\":\"1级\",\"state\":0},{\"detailName\":\"2级\",\"state\":0},{\"detailName\":\"3级\",\"state\":0}]},{\"controltype\":0,\"name\":\"BMI控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]},{\"controltype\":0,\"name\":\"血脂控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]}]}},{\"id\":2,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"血糖控制情况\",\"regionType\":\"10\",\"orderNo\":2,\"diseaseId\":21773,\"data\":null},{\"id\":3,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"整体评估\",\"regionType\":\"0\",\"orderNo\":3,\"diseaseId\":21773,\"data\":null},{\"id\":4,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"糖尿病分级管理\",\"regionType\":\"1\",\"orderNo\":4,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"常规管理\",\"state\":0},{\"detailName\":\"强化管理\",\"state\":0}]}]}}],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[{\"name\":\"肾功能不全\",\"details\":[{\"type\":1,\"content\":{\"name\":\"密西根糖尿病周围神经病评分（MDNS）\",\"id\":40744,\"tagName\":\"密西根糖尿病周围神经病评分（MDNS）\"}},{\"type\":2,\"content\":{\"result\":[{\"name\":\"GFR值\",\"text\":\"\"},{\"name\":\"评估结论\",\"text\":\"\"}],\"name\":\"肾小球滤过率\",\"details\":[{\"controlType\":2,\"name\":\"年龄\",\"details\":[],\"uint\":\"\",\"value\":\"\"},{\"controlType\":2,\"name\":\"血肌酐\",\"details\":[],\"uint\":\"mg/dL\",\"value\":\"\"},{\"controlType\":1,\"name\":\"性别\",\"details\":[{\"detailName\":\"男\",\"state\":0,\"value\":1},{\"detailName\":\"女\",\"state\":1,\"value\":1.018}],\"uint\":\"\",\"value\":\"\"}]}},{\"type\":3,\"content\":{\"controlType\":0,\"name\":\"是否\",\"details\":[{\"detailName\":\"是\",\"state\":0},{\"detailName\":\"否\",\"state\":1}]}}],\"id\":40738,\"tagName\":\"肾功能不全\"}],\"wholeAssessText\":\"\",\"wholeIndexs\":{\"0\":[0,1]}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''98'', ''N'', ''2019-04-29 09:59:56'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''{\"data\":[{\"id\":1,\"gmtCreate\":\"1970-01-02 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"疗效评估\",\"regionType\":\"1\",\"orderNo\":1,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"正常\",\"state\":0},{\"detailName\":\"1级\",\"state\":0},{\"detailName\":\"2级\",\"state\":0},{\"detailName\":\"3级\",\"state\":0}]},{\"controltype\":0,\"name\":\"BMI控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]},{\"controltype\":0,\"name\":\"血脂控制情况\",\"details\":[{\"detailName\":\"体重过低\",\"state\":0},{\"detailName\":\"体重达标\",\"state\":0},{\"detailName\":\"肥胖前期\",\"state\":0},{\"detailName\":\"肥胖\",\"state\":0}]}]}},{\"id\":2,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"1\",\"modifier\":\"1\",\"regionName\":\"血糖控制情况\",\"regionType\":\"10\",\"orderNo\":2,\"diseaseId\":21773,\"data\":null},{\"id\":3,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"整体评估\",\"regionType\":\"0\",\"orderNo\":3,\"diseaseId\":21773,\"data\":null},{\"id\":4,\"gmtCreate\":\"1970-01-01 12:00:00\",\"gmtModified\":\"1970-01-01 12:00:00\",\"creator\":\"0\",\"modifier\":\"1\",\"regionName\":\"糖尿病分级管理\",\"regionType\":\"1\",\"orderNo\":4,\"diseaseId\":21773,\"data\":{\"rows\":[{\"controltype\":0,\"name\":\"血压控制情况\",\"details\":[{\"detailName\":\"常规管理\",\"state\":0},{\"detailName\":\"强化管理\",\"state\":0}]}]}}],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''99'', ''N'', ''2019-04-29 10:40:43'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''103'', ''N'', ''2019-05-06 17:04:22'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);
INSERT INTO `icss_inquiry_evaluation` VALUES (''104'', ''N'', ''2019-05-07 20:10:30'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''19'', ''{\"data\":[],\"chooseSelecteds\":{},\"indexTimeTypes\":{},\"wholeAssess\":[],\"wholeAssessText\":\"\",\"wholeIndexs\":{}}'', null);

-- ----------------------------
-- Table structure for icss_inquiry_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_info`;
CREATE TABLE `icss_inquiry_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT ''医院id'',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT ''科室id'',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT ''医生id'',
  `patient_id` bigint(20) DEFAULT NULL COMMENT ''患者id'',
  `inquiry_code` varchar(50) NOT NULL COMMENT ''就诊序列号'',
  `reg_visited_state` int(1) DEFAULT NULL COMMENT ''就诊状态（0待接诊，1接诊中，2完成接诊）'',
  `type` int(1) DEFAULT NULL COMMENT ''分类(1:门诊,2:住院)'',
  `diagnose` varchar(50) DEFAULT NULL COMMENT ''诊断'',
  `sign` int(1) DEFAULT NULL COMMENT ''类型：0：结构化 1：文本模式'',
  `data_json` longtext COMMENT ''内容JSON字符串'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT=''问诊记录表'';

-- ----------------------------
-- Records of icss_inquiry_info
-- ----------------------------
INSERT INTO `icss_inquiry_info` VALUES (''2'', ''N'', ''2019-03-13 10:30:07'', ''2019-03-13 10:30:07'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''4478'', ''1'', ''1'', ''高血压，呼吸道感染'', ''0'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"treat\":{\"commonTreatment\":\"\",\"surgeryTreatment\":\"\",\"treatment\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''3'', ''N'', ''2019-03-25 17:28:21'', ''2019-05-06 17:04:22'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''44'', ''1'', ''1'', ''肺结核'', ''0'', ''{\"lis\":{\"labelList\":[{\"questionId\":69,\"name\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null,\"value\":\"445\"},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"show\":true,\"time\":\"2019-05-06\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":1,\"treat\":null}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[1],\"mainChronicDesease\":{},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''4'', ''N'', ''2019-03-25 17:28:38'', ''2019-03-25 17:28:38'', ''0'', ''0'', ''1'', ''1'', ''1'', ''4'', ''81'', ''1'', ''1'', ''高血压，肺结节'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"value\":\"2\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体轻度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体中度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体重度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"双肺呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"( )可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"( )可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":102,\"name\":\"肺结节\",\"showType\":1,\"retrievalName\":\"肺结节\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":null,\"text\":null},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null}},\"mainsuitIds\":[4],\"currentIds\":[]}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''5'', ''N'', ''2019-03-25 17:29:35'', ''2019-03-25 17:29:35'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''48'', ''1'', ''1'', ''高血压，急性胰腺炎'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":201,\"name\":\"、胸闷\",\"value\":\"、胸闷\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":210,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"value\":\"胸闷\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40239,\"name\":\"发作特征\",\"tagName\":\"胸闷-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40242,\"name\":\"呈\",\"tagName\":\"胸闷-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43340,\"name\":\"呈\",\"questionId\":40242,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40243,\"name\":\"特征\",\"tagName\":\"胸闷-发作特征-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43341,\"name\":\"突发性发作\",\"questionId\":40243,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43342,\"name\":\"一过性发作\",\"questionId\":40243,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44151,\"name\":\"阵发性发作\",\"questionId\":40243,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44152,\"name\":\"持续性发作\",\"questionId\":40243,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44153,\"name\":\"反复性发作\",\"questionId\":40243,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44154,\"name\":\"突发突止\",\"questionId\":40243,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40241,\"name\":\"发作因素\",\"tagName\":\"胸闷-发作因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40247,\"name\":\"发作因素\",\"tagName\":\"胸闷-发作因素-发作因素\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43384,\"name\":\"运动后\",\"questionId\":40247,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43385,\"name\":\"饱食后\",\"questionId\":40247,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43386,\"name\":\"受惊后\",\"questionId\":40247,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43387,\"name\":\"劳累后\",\"questionId\":40247,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43388,\"name\":\"饥饿后\",\"questionId\":40247,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40248,\"name\":\"发作\",\"tagName\":\"胸闷-发作因素-发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43392,\"name\":\"易发\",\"questionId\":40248,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40546,\"name\":\"缓解因素\",\"tagName\":\"胸闷-发作因素-缓解因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44203,\"name\":\"休息后\",\"questionId\":40546,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44204,\"name\":\"饱食后\",\"questionId\":40546,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40547,\"name\":\"缓解\",\"tagName\":\"胸闷-发作因素-缓解\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44205,\"name\":\"缓解\",\"questionId\":40547,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40240,\"name\":\"其他情况\",\"tagName\":\"胸闷-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40244,\"name\":\"伴/无\",\"tagName\":\"胸闷-其他情况-伴\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43368,\"name\":\"伴\",\"questionId\":40244,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43369,\"name\":\"无\",\"questionId\":40244,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40245,\"name\":\"症状1\",\"tagName\":\"胸闷-其他情况-症状1\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43370,\"name\":\"心前区痛\",\"questionId\":40245,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43371,\"name\":\"发热\",\"questionId\":40245,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43372,\"name\":\"血压下降\",\"questionId\":40245,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43373,\"name\":\"出汗\",\"questionId\":40245,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43374,\"name\":\"呼吸困难\",\"questionId\":40245,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43375,\"name\":\"抽搐\",\"questionId\":40245,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40246,\"name\":\"症状2\",\"tagName\":\"胸闷-其他情况-症状2\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43377,\"name\":\"胸痛\",\"questionId\":40246,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43379,\"name\":\"无力\",\"questionId\":40246,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43380,\"name\":\"头晕\",\"questionId\":40246,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43381,\"name\":\"耳鸣\",\"questionId\":40246,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体轻度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体中度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体重度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"双肺呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"( )可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"( )可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"text\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\"},\"surgeryTreatment\":{\"content\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\",\"text\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\"},\"treatment\":[]},\"treatIndex\":0}],\"advice\":{\"commontreatment\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"adviceInput\":\"aaaaaaaaa\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null}},\"mainsuitIds\":[4,201],\"currentIds\":[4,201]}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''6'', ''N'', ''2019-04-11 10:17:43'', ''2019-04-23 15:13:26'', ''0'', ''0'', ''1'', ''1'', ''1'', ''4'', ''44'', ''1'', ''1'', ''呼吸道感染'', ''0'', ''{\"lis\":{\"labelList\":[{\"questionId\":116,\"name\":\"尿常规\",\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null,\"value\":\"阳性\"},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null,\"value\":\"22\"},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null}],\"show\":true,\"time\":\"2019-04-11\"},{\"details\":[{\"id\":35996,\"name\":\"抗肺炎支原体抗体\",\"tagName\":\"抗肺炎支原体抗体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43240,\"name\":\"阴性\",\"questionId\":35996,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42911,\"name\":\"阳性\",\"questionId\":35996,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-抗肺炎支原体抗体\",\"formulaCode\":null,\"remark\":null},{\"id\":35997,\"name\":\"抗肺炎支原体抗体(MP-IgA)\",\"tagName\":\"抗肺炎支原体抗体(MP-IgA)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43241,\"name\":\"阴性\",\"questionId\":35997,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42912,\"name\":\"阳性\",\"questionId\":35997,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-抗肺炎支原体抗体(MP-IgA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35998,\"name\":\"抗肺炎支原体抗体(MP-IgG)\",\"tagName\":\"抗肺炎支原体抗体(MP-IgG)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43242,\"name\":\"阴性\",\"questionId\":35998,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42913,\"name\":\"阳性\",\"questionId\":35998,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-抗肺炎支原体抗体(MP-IgG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35999,\"name\":\"抗肺炎支原体抗体(MP-IgM)\",\"tagName\":\"抗肺炎支原体抗体(MP-IgM)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43243,\"name\":\"阴性\",\"questionId\":35999,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42914,\"name\":\"阳性\",\"questionId\":35999,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-抗肺炎支原体抗体(MP-IgM)\",\"formulaCode\":null,\"remark\":null},{\"id\":36000,\"name\":\"人型支原体抗体\",\"tagName\":\"人型支原体抗体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43244,\"name\":\"阴性\",\"questionId\":36000,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42915,\"name\":\"阳性\",\"questionId\":36000,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-人型支原体抗体\",\"formulaCode\":null,\"remark\":null},{\"id\":36001,\"name\":\"生殖道支原体抗体\",\"tagName\":\"生殖道支原体抗体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43245,\"name\":\"阴性\",\"questionId\":36001,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42916,\"name\":\"阳性\",\"questionId\":36001,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"支原体检测-生殖道支原体抗体\",\"formulaCode\":null,\"remark\":null,\"value\":\"阴性\"},{\"id\":36002,\"name\":\"支原体培养\",\"tagName\":\"支原体培养\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"支原体检测-支原体培养\",\"formulaCode\":null,\"remark\":null,\"value\":\"22\"},{\"id\":36003,\"name\":\"支原体培养+鉴定\",\"tagName\":\"支原体培养+鉴定\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"支原体检测-支原体培养+鉴定\",\"formulaCode\":null,\"remark\":null},{\"id\":36004,\"name\":\"支原体培养+药敏\",\"tagName\":\"支原体培养+药敏\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"支原体检测-支原体培养+药敏\",\"formulaCode\":null,\"remark\":null}],\"name\":\"支原体检测\",\"questionId\":24021,\"showType\":1,\"show\":true,\"time\":\"2019-04-11\"},{\"details\":[{\"id\":35622,\"name\":\"A群链球菌培养\",\"tagName\":\"A群链球菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43104,\"name\":\"阴性\",\"questionId\":35622,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42768,\"name\":\"阳性\",\"questionId\":35622,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-A群链球菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35623,\"name\":\"白喉棒状杆菌培养\",\"tagName\":\"白喉棒状杆菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43105,\"name\":\"阴性\",\"questionId\":35623,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42769,\"name\":\"阳性\",\"questionId\":35623,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-白喉棒状杆菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35624,\"name\":\"百日咳鲍特菌培养\",\"tagName\":\"百日咳鲍特菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43106,\"name\":\"阴性\",\"questionId\":35624,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42770,\"name\":\"阳性\",\"questionId\":35624,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-百日咳鲍特菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35625,\"name\":\"肺炎克雷伯菌培养\",\"tagName\":\"肺炎克雷伯菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43107,\"name\":\"阴性\",\"questionId\":35625,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42771,\"name\":\"阳性\",\"questionId\":35625,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-肺炎克雷伯菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35626,\"name\":\"肺炎链球菌培养\",\"tagName\":\"肺炎链球菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43108,\"name\":\"阴性\",\"questionId\":35626,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42772,\"name\":\"阳性\",\"questionId\":35626,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-肺炎链球菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35627,\"name\":\"假单胞菌属培养\",\"tagName\":\"假单胞菌属培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43109,\"name\":\"阴性\",\"questionId\":35627,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42773,\"name\":\"阳性\",\"questionId\":35627,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-假单胞菌属培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35628,\"name\":\"酵母样真菌培养\",\"tagName\":\"酵母样真菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43110,\"name\":\"阴性\",\"questionId\":35628,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42774,\"name\":\"阳性\",\"questionId\":35628,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-酵母样真菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35629,\"name\":\"结核分枝杆菌培养\",\"tagName\":\"结核分枝杆菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43111,\"name\":\"阴性\",\"questionId\":35629,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42775,\"name\":\"阳性\",\"questionId\":35629,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-结核分枝杆菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35630,\"name\":\"金黄色葡萄球菌培养\",\"tagName\":\"金黄色葡萄球菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43112,\"name\":\"阴性\",\"questionId\":35630,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42776,\"name\":\"阳性\",\"questionId\":35630,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-金黄色葡萄球菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35631,\"name\":\"卡他莫拉菌培养\",\"tagName\":\"卡他莫拉菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43113,\"name\":\"阴性\",\"questionId\":35631,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42777,\"name\":\"阳性\",\"questionId\":35631,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-卡他莫拉菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35632,\"name\":\"流感嗜血杆菌培养\",\"tagName\":\"流感嗜血杆菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43114,\"name\":\"阴性\",\"questionId\":35632,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42778,\"name\":\"阳性\",\"questionId\":35632,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-流感嗜血杆菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35633,\"name\":\"诺卡菌培养\",\"tagName\":\"诺卡菌培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43115,\"name\":\"阴性\",\"questionId\":35633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42779,\"name\":\"阳性\",\"questionId\":35633,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-诺卡菌培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35634,\"name\":\"痰培养\",\"tagName\":\"痰培养\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43261,\"name\":\"阴性\",\"questionId\":35634,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43319,\"name\":\"正常菌群生长\",\"questionId\":35634,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42780,\"name\":\"阳性\",\"questionId\":35634,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-痰培养\",\"formulaCode\":null,\"remark\":null},{\"id\":35635,\"name\":\"一般细菌培养(痰)\",\"tagName\":\"一般细菌培养(痰)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43116,\"name\":\"阴性\",\"questionId\":35635,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42781,\"name\":\"阳性\",\"questionId\":35635,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-一般细菌培养(痰)\",\"formulaCode\":null,\"remark\":null},{\"id\":35636,\"name\":\"自定义\",\"tagName\":\"自定义\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43117,\"name\":\"阴性\",\"questionId\":35636,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42782,\"name\":\"阳性\",\"questionId\":35636,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"痰培养-自定义\",\"formulaCode\":null,\"remark\":null}],\"name\":\"痰培养\",\"questionId\":23941,\"showType\":1}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"血液\",\"lisExcelItem\":[{\"mealName\":\"血液\",\"itemName\":\"WBC\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"RBC\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血液\",\"itemName\":\"HGB\",\"unit\":\"g/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血液\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"}]},{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5\",\"max\":\"6.4\",\"min\":\"3.9\",\"time\":\"2018-11-28\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"5.5\",\"min\":\"3.5\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.8\",\"min\":\"0.3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"7.5\",\"min\":\"2\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.5\",\"min\":\"0.05\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0.5\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"0.8\",\"time\":\"2019-01-04\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2019-01-04\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"uniquemealName\":\"血常规\",\"itemName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0.35\",\"min\":\"0.1\",\"time\":\"2019-01-04\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10\",\"max\":\"2\",\"min\":\"1\",\"time\":\"2018年12月1号\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":82,\"name\":\"(时间)\",\"tagName\":\"初潮年龄\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"月经史：初潮年龄\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2小时\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":83,\"name\":\"(时间)\",\"tagName\":\"行经天数\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"行经天数\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":84,\"name\":\"(时间)\",\"tagName\":\"周期\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"周期\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"3分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":85,\"name\":\"(时间)\",\"tagName\":\"停经时间\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"停经时间\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2年\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":86,\"name\":\"月经是否规律\",\"tagName\":\"月经是否规律\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":97,\"name\":\"月经规律\",\"questionId\":86,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":98,\"name\":\"月经不规律\",\"questionId\":86,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"月经规律\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":87,\"name\":\"经量\",\"tagName\":\"经量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":99,\"name\":\"经量正常\",\"questionId\":87,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":100,\"name\":\"经量偏多\",\"questionId\":87,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":101,\"name\":\"经量偏少\",\"questionId\":87,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":88,\"name\":\"痛经\",\"tagName\":\"痛经\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":102,\"name\":\"无痛经\",\"questionId\":88,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":103,\"name\":\"偶有痛经习惯\",\"questionId\":88,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":104,\"name\":\"有痛经\",\"questionId\":88,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":89,\"name\":\"白带量\",\"tagName\":\"白带量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":105,\"name\":\"白带量不多\",\"questionId\":89,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":106,\"name\":\"白带量偏多\",\"questionId\":89,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":107,\"name\":\"白带颜色和形状异常\",\"questionId\":89,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":90,\"name\":\"有无异味\",\"tagName\":\"有无异味\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":108,\"name\":\"无异味\",\"questionId\":90,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":109,\"name\":\"有异常气味\",\"questionId\":90,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":497,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":497,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体轻度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体中度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体重度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"双肺呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"( )可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"( )可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":431,\"name\":\"自主体位\",\"tagName\":\"自主体位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":463,\"name\":\"自主体位\",\"questionId\":431,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":464,\"name\":\"卧位\",\"questionId\":431,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":465,\"name\":\"强迫体位\",\"questionId\":431,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":466,\"name\":\"被动体位\",\"questionId\":431,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":467,\"name\":\"端坐位\",\"questionId\":431,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":432,\"name\":\"面容正常\",\"tagName\":\"面容正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":468,\"name\":\"面容正常\",\"questionId\":432,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":469,\"name\":\"急性病容\",\"questionId\":432,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":470,\"name\":\"慢性病容\",\"questionId\":432,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":433,\"name\":\"表情安静\",\"tagName\":\"表情安静\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":471,\"name\":\"表情安静\",\"questionId\":433,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":472,\"name\":\"神情忧虑\",\"questionId\":433,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":473,\"name\":\"神情烦躁\",\"questionId\":433,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"tagName\":\"呼吸道感染\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":9,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"treat\":{\"commonTreatment\":{\"content\":null,\"text\":null},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true}},\"mainsuitIds\":[4],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''7'', ''N'', ''2019-04-18 11:17:51'', ''2019-04-18 11:17:51'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''4414'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":1,\"treat\":null}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''8'', ''N'', ''2019-04-19 13:32:20'', ''2019-04-22 15:42:52'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''4'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":null}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''9'', ''N'', ''2019-04-19 16:13:32'', ''2019-04-19 17:20:58'', ''0'', ''0'', ''1'', ''1'', ''1'', ''3'', ''44'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''10'', ''N'', ''2019-04-23 13:24:45'', ''2019-04-25 09:52:05'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''46'', ''1'', ''1'', ''支气管哮喘'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":277,\"tagName\":\"呕吐\",\"name\":\"呕吐\",\"type\":1,\"disType\":null,\"tagType\":\"8\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":276,\"name\":\"呕吐时间性质\",\"tagName\":\"呕吐-呕吐时间性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":271,\"name\":\"呕吐-呕吐时间性质-时间\",\"tagName\":\"呕吐-呕吐时间性质-时间\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":262,\"name\":\"晨起\",\"questionId\":271,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":263,\"name\":\"夜间\",\"questionId\":271,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":264,\"name\":\"餐后即刻\",\"questionId\":271,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":265,\"name\":\"呕吐物为\",\"questionId\":271,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":272,\"name\":\"呕吐-呕吐时间性质-性质\",\"tagName\":\"呕吐-呕吐时间性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":266,\"name\":\"呕吐\",\"questionId\":272,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":267,\"name\":\"干呕\",\"questionId\":272,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":268,\"name\":\"胆汁样\",\"questionId\":272,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":269,\"name\":\"咖啡样\",\"questionId\":272,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":270,\"name\":\"胃内容物\",\"questionId\":272,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":274,\"name\":\"呕吐-呕吐时间性质-连接词\",\"tagName\":\"呕吐-呕吐时间性质-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":271,\"name\":\"为\",\"questionId\":274,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":272,\"name\":\"呈\",\"questionId\":274,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":273,\"name\":\"有\",\"questionId\":274,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":274,\"name\":\"无\",\"questionId\":274,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":275,\"name\":\"呕吐-呕吐时间性质-气味\",\"tagName\":\"呕吐-呕吐时间性质-气味\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":275,\"name\":\"喷射状\",\"questionId\":275,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":276,\"name\":\"腐败气味\",\"questionId\":275,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":277,\"name\":\"粪臭味\",\"questionId\":275,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":278,\"name\":\"酸味\",\"questionId\":275,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":279,\"name\":\"特殊味道\",\"questionId\":275,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29698,\"name\":\"呕吐量\",\"tagName\":\"呕吐量\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29703,\"name\":\"呕吐-呕吐量1\",\"tagName\":\"呕吐-呕吐量1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":653,\"name\":\"量\",\"questionId\":29703,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29704,\"name\":\"呕吐-呕吐量2\",\"tagName\":\"呕吐-呕吐量2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":654,\"name\":\"少\",\"questionId\":29704,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":655,\"name\":\"多\",\"questionId\":29704,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29705,\"name\":\"呕吐-呕吐量3\",\"tagName\":\"呕吐-呕吐量3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":656,\"name\":\"约【】ml\",\"questionId\":29705,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29706,\"name\":\"呕吐-呕吐量4\",\"tagName\":\"呕吐-呕吐量4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":658,\"name\":\"【】次/天\",\"questionId\":29706,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":24280,\"tagName\":\"恶心\",\"name\":\"恶心\",\"type\":1,\"disType\":null,\"tagType\":\"8\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40416,\"name\":\"发作特征\",\"tagName\":\"恶心-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40418,\"name\":\"呈\",\"tagName\":\"恶心-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43861,\"name\":\"呈\",\"questionId\":40418,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40419,\"name\":\"特性\",\"tagName\":\"恶心-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43862,\"name\":\"持续性发作\",\"questionId\":40419,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43863,\"name\":\"反复性发作\",\"questionId\":40419,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43864,\"name\":\"阵发性发作\",\"questionId\":40419,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43865,\"name\":\"突发性\",\"questionId\":40419,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43866,\"name\":\"一过性\",\"questionId\":40419,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40420,\"name\":\"特征\",\"tagName\":\"恶心-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43867,\"name\":\"餐后加剧\",\"questionId\":40420,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43868,\"name\":\"闻异味加剧\",\"questionId\":40420,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43869,\"name\":\"晨起尤甚\",\"questionId\":40420,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43870,\"name\":\"夜间频发\",\"questionId\":40420,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40417,\"name\":\"其他情况\",\"tagName\":\"恶心-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40421,\"name\":\"伴/无\",\"tagName\":\"恶心-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43871,\"name\":\"伴\",\"questionId\":40421,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43872,\"name\":\"无\",\"questionId\":40421,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40422,\"name\":\"伴随症状\",\"tagName\":\"恶心-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43873,\"name\":\"呕吐\",\"questionId\":40422,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43874,\"name\":\"反酸\",\"questionId\":40422,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43875,\"name\":\"头晕\",\"questionId\":40422,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43876,\"name\":\"腹痛\",\"questionId\":40422,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43877,\"name\":\"吐酸水\",\"questionId\":40422,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43878,\"name\":\"呕血\",\"questionId\":40422,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43879,\"name\":\"便血\",\"questionId\":40422,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43880,\"name\":\"嗳气\",\"questionId\":40422,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43881,\"name\":\"胸闷\",\"questionId\":40422,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":25290,\"tagName\":\"腰痛\",\"name\":\"腰痛\",\"type\":1,\"disType\":null,\"tagType\":\"8\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3,\"relationModuleName\":\"病程变化\"},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":98,\"name\":\"支气管哮喘\",\"showType\":1,\"retrievalName\":\"支气管哮喘\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1 避免接触各种诱发因素，包括尘螨、花粉、霉菌、宠物等过敏原，以及烟雾、冷空气等。<br/>2 坚持长期治疗和监测。<br/>3 医患配合建立伙伴关系。<br/>4 个体化治疗是关键。<br/>5 自我监测：如何测定、记录、解释哮喘日记内容：症状评分、应用药物、PEF，哮喘控制测试（ACT）变化；<br/>\",\"text\":\"1 避免接触各种诱发因素，包括尘螨、花粉、霉菌、宠物等过敏原，以及烟雾、冷空气等。2 坚持长期治疗和监测。3 医患配合建立伙伴关系。4 个体化治疗是关键。5 自我监测：如何测定、记录、解释哮喘日记内容：症状评分、应用药物、PEF，哮喘控制测试（ACT）变化；\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":1},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{\"commontreatment\":\"1 避免接触各种诱发因素，包括尘螨、花粉、霉菌、宠物等过敏原，以及烟雾、冷空气等。2 坚持长期治疗和监测。3 医患配合建立伙伴关系。4 个体化治疗是关键。5 自我监测：如何测定、记录、解释哮喘日记内容：症状评分、应用药物、PEF，哮喘控制测试（ACT）变化；\",\"followUp\":\"2\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[277,24280,25290],\"currentIds\":[277,24280,25290],\"isFirstMainDiag\":false}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''11'', ''N'', ''2019-04-23 15:53:56'', ''2019-04-23 16:40:30'', ''0'', ''0'', ''1'', ''1'', ''1'', ''4'', ''4254'', ''1'', ''1'', ''急性胰腺炎'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":82,\"name\":\"(时间)\",\"tagName\":\"初潮年龄\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"月经史：初潮年龄\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":83,\"name\":\"(时间)\",\"tagName\":\"行经天数\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"行经天数\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":84,\"name\":\"(时间)\",\"tagName\":\"周期\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"周期\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"3分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":85,\"name\":\"(时间)\",\"tagName\":\"停经时间\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"停经时间\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2年\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":86,\"name\":\"月经是否规律\",\"tagName\":\"月经是否规律\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":97,\"name\":\"月经规律\",\"questionId\":86,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":98,\"name\":\"月经不规律\",\"questionId\":86,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"月经规律\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":87,\"name\":\"经量\",\"tagName\":\"经量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":99,\"name\":\"经量正常\",\"questionId\":87,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":100,\"name\":\"经量偏多\",\"questionId\":87,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":101,\"name\":\"经量偏少\",\"questionId\":87,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":88,\"name\":\"痛经\",\"tagName\":\"痛经\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":102,\"name\":\"无痛经\",\"questionId\":88,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":103,\"name\":\"偶有痛经习惯\",\"questionId\":88,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":104,\"name\":\"有痛经\",\"questionId\":88,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":89,\"name\":\"白带量\",\"tagName\":\"白带量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":105,\"name\":\"白带量不多\",\"questionId\":89,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":106,\"name\":\"白带量偏多\",\"questionId\":89,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":107,\"name\":\"白带颜色和形状异常\",\"questionId\":89,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":90,\"name\":\"有无异味\",\"tagName\":\"有无异味\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":108,\"name\":\"无异味\",\"questionId\":90,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":109,\"name\":\"有异常气味\",\"questionId\":90,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":497,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":497,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\",\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"月经史无殊\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":97,\"name\":\"月经史填写（总）\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"text\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\"},\"surgeryTreatment\":{\"content\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\",\"text\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；\"},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"抑制胃酸分泌药\",\"subdrugsName\":\"质子泵抑制剂\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"},{\"id\":341,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"},{\"id\":342,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胃肠解痉药\",\"subdrugsName\":\"抗胆碱药\",\"medicitionsList\":[{\"id\":344,\"medicitionName\":\"山莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"43%\"},{\"id\":345,\"medicitionName\":\"东莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"镇痛药\",\"subdrugsName\":\"阿片类强效镇痛剂\",\"medicitionsList\":[{\"id\":395,\"medicitionName\":\"瑞芬太尼\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"22%\"},{\"id\":347,\"medicitionName\":\"哌替啶\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"19%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"生长抑素制剂\",\"subdrugsName\":\"生长抑素制剂\",\"medicitionsList\":[{\"id\":348,\"medicitionName\":\"奥曲肽\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"60%\"},{\"id\":349,\"medicitionName\":\"生长抑素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"23%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"抗微生物药\",\"subdrugsName\":\"头孢类抗生素\",\"medicitionsList\":[{\"id\":355,\"medicitionName\":\"头孢呋辛\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"28%\"},{\"id\":356,\"medicitionName\":\"头孢他啶\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"22%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胰酶活性抑制剂\",\"subdrugsName\":\"胰酶活性抑制剂\",\"medicitionsList\":[{\"id\":350,\"medicitionName\":\"乌司他丁\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"41%\"},{\"id\":351,\"medicitionName\":\"加贝酯\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]}]}}],\"advice\":{\"scheme\":[{\"name\":\"急性胰腺炎\",\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"抑制胃酸分泌药\",\"subdrugsName\":\"质子泵抑制剂\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"},{\"id\":341,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"},{\"id\":342,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"}],\"treatmentStr\":\"\"},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胃肠解痉药\",\"subdrugsName\":\"抗胆碱药\",\"medicitionsList\":[{\"id\":344,\"medicitionName\":\"山莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"43%\",\"selected\":true},{\"id\":345,\"medicitionName\":\"东莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\",\"selected\":true}],\"treatmentStr\":\"山莨菪碱, 东莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱, 山莨菪碱, 东莨菪碱\"},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"镇痛药\",\"subdrugsName\":\"阿片类强效镇痛剂\",\"medicitionsList\":[{\"id\":395,\"medicitionName\":\"瑞芬太尼\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"22%\"},{\"id\":347,\"medicitionName\":\"哌替啶\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"19%\"}],\"treatmentStr\":\"瑞芬太尼, 瑞芬太尼, 哌替啶\"},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"生长抑素制剂\",\"subdrugsName\":\"生长抑素制剂\",\"medicitionsList\":[{\"id\":348,\"medicitionName\":\"奥曲肽\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"60%\"},{\"id\":349,\"medicitionName\":\"生长抑素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"23%\"}],\"treatmentStr\":\"\"},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"抗微生物药\",\"subdrugsName\":\"头孢类抗生素\",\"medicitionsList\":[{\"id\":355,\"medicitionName\":\"头孢呋辛\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"28%\"},{\"id\":356,\"medicitionName\":\"头孢他啶\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"22%\"}],\"treatmentStr\":\"\"},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胰酶活性抑制剂\",\"subdrugsName\":\"胰酶活性抑制剂\",\"medicitionsList\":[{\"id\":350,\"medicitionName\":\"乌司他丁\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"41%\"},{\"id\":351,\"medicitionName\":\"加贝酯\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}],\"treatmentStr\":\"\"}]}],\"commontreatment\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\",\"adviceInput\":\"瑞芬太尼, 瑞芬太瑞芬太尼, 瑞芬太尼, 哌替啶尼, 哌替啶瑞芬太尼, 瑞芬太尼, 哌替啶\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[null,null,null],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[4],\"currentIds\":[],\"isFirstMainDiag\":false}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''12'', ''N'', ''2019-04-23 18:32:53'', ''2019-04-24 16:23:49'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''4254'', ''1'', ''1'', ''肺结核'', ''0'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"}],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"1\",\"rate\":null},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"0\",\"rate\":null}]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{\"name\":\"糖尿病\",\"id\":21773},\"diagChronicMagItem\":{},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''13'', ''N'', ''2019-04-23 18:58:41'', ''2019-04-26 14:52:01'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''45'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-26\",\"value\":\"\"}],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{\"commontreatment\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"followUp\":\"2周1\",\"scheme\":[{\"name\":\"糖尿病\",\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\",\"selected\":true},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}],\"treatmentStr\":\"门冬胰岛素\",\"drugList\":[{\"questionId\":27675,\"tagName\":\"门冬胰岛素\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\",\"selected\":true},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}],\"treatmentStr\":\"精蛋白生物合成人胰岛素\",\"drugList\":[{\"questionId\":27129,\"tagName\":\"精蛋白生物合成人胰岛素\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}],\"treatmentStr\":\"\",\"drugList\":[]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}],\"treatmentStr\":\"\",\"drugList\":[]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}],\"treatmentStr\":\"\",\"drugList\":[]}]}],\"drugList\":[{\"questionId\":27675,\"tagName\":\"门冬胰岛素\"},{\"questionId\":27129,\"tagName\":\"精蛋白生物合成人胰岛素\"}]},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{},\"diagChronicMagItem\":{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}},\"currentIds\":[],\"isFirstMainDiag\":false}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''14'', ''N'', ''2019-04-23 19:15:31'', ''2019-04-23 19:17:24'', ''0'', ''0'', ''1'', ''1'', ''1'', ''3'', ''4254'', ''1'', ''1'', ''肺结核'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true}},\"mainsuitIds\":[4],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''15'', ''N'', ''2019-04-23 19:23:10'', ''2019-04-23 19:23:10'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''111'', ''1'', ''1'', ''肺结核'', ''0'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[4],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''16'', ''N'', ''2019-04-28 09:55:03'', ''2019-04-29 09:59:56'', ''0'', ''0'', ''1'', ''1'', ''1'', ''4'', ''1'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"20\"},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"13\"},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"25\"},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"\"},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"show\":true,\"time\":\"2019-04-29\"},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":82,\"name\":\"(时间)\",\"tagName\":\"初潮年龄\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"月经史：初潮年龄\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":83,\"name\":\"(时间)\",\"tagName\":\"行经天数\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"行经天数\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":84,\"name\":\"(时间)\",\"tagName\":\"周期\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"周期\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":85,\"name\":\"(时间)\",\"tagName\":\"停经时间\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"停经时间\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":86,\"name\":\"月经是否规律\",\"tagName\":\"月经是否规律\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":97,\"name\":\"月经规律\",\"questionId\":86,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":98,\"name\":\"月经不规律\",\"questionId\":86,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":87,\"name\":\"经量\",\"tagName\":\"经量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":99,\"name\":\"经量正常\",\"questionId\":87,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":100,\"name\":\"经量偏多\",\"questionId\":87,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":101,\"name\":\"经量偏少\",\"questionId\":87,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":88,\"name\":\"痛经\",\"tagName\":\"痛经\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":102,\"name\":\"无痛经\",\"questionId\":88,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":103,\"name\":\"偶有痛经习惯\",\"questionId\":88,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":104,\"name\":\"有痛经\",\"questionId\":88,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":89,\"name\":\"白带量\",\"tagName\":\"白带量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":105,\"name\":\"白带量不多\",\"questionId\":89,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":106,\"name\":\"白带量偏多\",\"questionId\":89,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":107,\"name\":\"白带颜色和形状异常\",\"questionId\":89,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":90,\"name\":\"有无异味\",\"tagName\":\"有无异味\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":108,\"name\":\"无异味\",\"questionId\":90,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":109,\"name\":\"有异常气味\",\"questionId\":90,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":497,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":497,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\",\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"月经史无殊\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":97,\"name\":\"月经史填写（总）\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"value\":\"\"},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"}],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[],\"普通病用药内容\":[]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"1\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"1\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[null,null,null],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{\"name\":\"糖尿病\",\"id\":21773},\"diagChronicMagItem\":{},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''17'', ''N'', ''2019-04-28 13:34:53'', ''2019-04-28 17:01:51'', ''0'', ''0'', ''1'', ''1'', ''1'', ''4'', ''440'', ''1'', ''1'', ''糖尿病'', ''0'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"。\"},{\"tagType\":\"8\",\"id\":202,\"name\":\"胸痛\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":241,\"name\":\"胸痛部位或特征\",\"tagName\":\"胸痛部位或特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":242,\"name\":\"胸痛部位或特征-胸痛部位\",\"tagName\":\"胸痛部位或特征-胸痛部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":157,\"name\":\"胸部\",\"questionId\":242,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":158,\"name\":\"心前区\",\"questionId\":242,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":159,\"name\":\"胸骨后\",\"questionId\":242,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":160,\"name\":\"剑突下\",\"questionId\":242,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":161,\"name\":\"左前胸\",\"questionId\":242,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":162,\"name\":\"右前胸\",\"questionId\":242,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":163,\"name\":\"左胁肋部\",\"questionId\":242,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":164,\"name\":\"右胁肋部\",\"questionId\":242,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":245,\"name\":\"胸痛部位或特征-特征1\",\"tagName\":\"胸痛部位或特征-特征1\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":165,\"name\":\"阵发性\",\"questionId\":245,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":166,\"name\":\"持续性\",\"questionId\":245,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":167,\"name\":\"间断性\",\"questionId\":245,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":168,\"name\":\"发作性\",\"questionId\":245,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":169,\"name\":\"突发性\",\"questionId\":245,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":170,\"name\":\"反复\",\"questionId\":245,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":171,\"name\":\"一过性\",\"questionId\":245,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":246,\"name\":\"胸痛部位或特征-特征2\",\"tagName\":\"胸痛部位或特征-特征2\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":172,\"name\":\"隐痛\",\"questionId\":246,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":173,\"name\":\"绞痛\",\"questionId\":246,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":174,\"name\":\"钝痛\",\"questionId\":246,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":175,\"name\":\"刀割样痛\",\"questionId\":246,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":176,\"name\":\"烧灼样痛\",\"questionId\":246,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":177,\"name\":\"撕裂样痛\",\"questionId\":246,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":178,\"name\":\"刺痛\",\"questionId\":246,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":247,\"name\":\"疼痛程度\",\"tagName\":\"疼痛程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":179,\"name\":\"程度较轻\",\"questionId\":247,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":180,\"name\":\"疼痛不剧可忍\",\"questionId\":247,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":181,\"name\":\"程度较重\",\"questionId\":247,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":182,\"name\":\"疼痛剧烈\",\"questionId\":247,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":183,\"name\":\"疼痛时难以忍受\",\"questionId\":247,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":250,\"name\":\"放射部位\",\"tagName\":\"放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":184,\"name\":\"无放射痛\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":185,\"name\":\"无其他部位放射\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":186,\"name\":\"疼痛可向肩部放射\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":187,\"name\":\"疼痛可向背部放射\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":188,\"name\":\"疼痛可向左臂放射\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":189,\"name\":\"疼痛可向下颌部放射\",\"questionId\":250,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":248,\"name\":\"缓解方式\",\"tagName\":\"胸痛-缓解方式\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":249,\"name\":\"胸痛-缓解方式-缓解\",\"tagName\":\"胸痛-缓解方式-缓解\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":204,\"name\":\"可自行缓解\",\"questionId\":249,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":205,\"name\":\"休息后可自行缓解\",\"questionId\":249,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":206,\"name\":\"疼痛难以自行缓解\",\"questionId\":249,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":207,\"name\":\"疼痛持续较长时间后，仍难以缓解\",\"questionId\":249,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":208,\"name\":\"服用硝酸甘油后可缓解\",\"questionId\":249,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":209,\"name\":\"服用硝酸甘油后不能缓解\",\"questionId\":249,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":251,\"name\":\"胸痛-缓解方式-加重\",\"tagName\":\"胸痛-缓解方式-加重\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":210,\"name\":\"呼吸时加重\",\"questionId\":251,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":211,\"name\":\"活动后加重\",\"questionId\":251,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"恶心，呕吐。腰痛\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":82,\"name\":\"(时间)\",\"tagName\":\"初潮年龄\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"月经史：初潮年龄\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":83,\"name\":\"(时间)\",\"tagName\":\"行经天数\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"行经天数\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":84,\"name\":\"(时间)\",\"tagName\":\"周期\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"周期\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"3分钟\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":85,\"name\":\"(时间)\",\"tagName\":\"停经时间\",\"type\":3,\"controlType\":5,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"停经时间\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"2年\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":86,\"name\":\"月经是否规律\",\"tagName\":\"月经是否规律\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":97,\"name\":\"月经规律\",\"questionId\":86,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":98,\"name\":\"月经不规律\",\"questionId\":86,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"value\":\"月经规律\"},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":87,\"name\":\"经量\",\"tagName\":\"经量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":99,\"name\":\"经量正常\",\"questionId\":87,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":100,\"name\":\"经量偏多\",\"questionId\":87,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":101,\"name\":\"经量偏少\",\"questionId\":87,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":88,\"name\":\"痛经\",\"tagName\":\"痛经\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":102,\"name\":\"无痛经\",\"questionId\":88,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":103,\"name\":\"偶有痛经习惯\",\"questionId\":88,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":104,\"name\":\"有痛经\",\"questionId\":88,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":89,\"name\":\"白带量\",\"tagName\":\"白带量\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":105,\"name\":\"白带量不多\",\"questionId\":89,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":106,\"name\":\"白带量偏多\",\"questionId\":89,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":107,\"name\":\"白带颜色和形状异常\",\"questionId\":89,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":90,\"name\":\"有无异味\",\"tagName\":\"有无异味\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":108,\"name\":\"无异味\",\"questionId\":90,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":109,\"name\":\"有异常气味\",\"questionId\":90,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":497,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":497,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\",\"},{\"id\":79,\"name\":\"月经史\",\"tagName\":\"月经史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":81,\"name\":\"月经史无殊\",\"tagName\":\"月经史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":1,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":131,\"name\":\"月经史无殊\",\"questionId\":81,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":97,\"name\":\"月经史填写（总）\",\"tagName\":\"月经史填写（总）\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":80,\"name\":\"月经史填写\",\"tagName\":\"月经史填写\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-28\",\"value\":\"\"}],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[],\"普通病用药内容\":[]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{\"adviceInput\":\"g\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[null,null,null,null,null,null,null,null,null,null],\"otherHistorySelecteds\":[null,null,null],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{\"name\":\"糖尿病\",\"id\":21773},\"diagChronicMagItem\":{},\"currentIds\":[202],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''18'', ''N'', ''2019-04-29 10:40:43'', ''2019-04-29 10:40:43'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''445222'', ''1'', ''1'', ''肺结核'', ''0'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-29\",\"value\":\"\"}],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":{\"慢病用药内容\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"1\",\"rate\":null},{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"1\",\"rate\":null},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"0\",\"rate\":null},{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"1\",\"rate\":null},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":null,\"showInfo\":\"0\",\"rate\":null}]},\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"1\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"1\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{\"name\":\"糖尿病\",\"id\":21773},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_inquiry_info` VALUES (''19'', ''N'', ''2019-05-07 20:10:30'', ''2019-05-07 20:10:30'', ''0'', ''0'', ''1'', ''1'', ''1'', ''1'', ''111144'', ''1'', ''1'', ''呼吸道感染'', ''1'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[],\"otherHistoryIsEmpty\":false,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":95,\"name\":\"呼吸道感染\",\"showType\":3,\"retrievalName\":\"上呼吸道感染\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":null,\"text\":null},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[],\"mainChronicDesease\":{},\"diagChronicMagItem\":{},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);

-- ----------------------------
-- Table structure for icss_inquiry_scale
-- ----------------------------
DROP TABLE IF EXISTS `icss_inquiry_scale`;
CREATE TABLE `icss_inquiry_scale` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `inquiry_id` bigint(20) NOT NULL COMMENT ''问诊记录id'',
  `inquiry_evaluation_id` bigint(20) NOT NULL COMMENT ''问诊记录评估结果表id'',
  `concept_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''量表概念id'',
  `concept_name` varchar(200) NOT NULL COMMENT ''量表概念名称'',
  `html_content` longtext COMMENT ''量表页面html内容'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT=''问诊记录评估结果量表明细表'';

-- ----------------------------
-- Records of icss_inquiry_scale
-- ----------------------------
INSERT INTO `icss_inquiry_scale` VALUES (''1'', ''N'', ''2019-03-13 10:30:07'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''1'', ''1'', '''', ''量表html01'', null);
INSERT INTO `icss_inquiry_scale` VALUES (''2'', ''N'', ''2019-03-13 10:30:07'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''1'', ''2'', '''', ''量表html02'', null);

-- ----------------------------
-- Table structure for icss_lis_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_lis_mapping`;
CREATE TABLE `icss_lis_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `meal_name` varchar(100) DEFAULT NULL COMMENT ''套餐名'',
  `item_name` varchar(100) DEFAULT NULL COMMENT ''项目名'',
  `unique_name` varchar(100) DEFAULT NULL COMMENT ''公表名'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2068 DEFAULT CHARSET=utf8 COMMENT=''化验项目公表映射'';

-- ----------------------------
-- Records of icss_lis_mapping
-- ----------------------------
INSERT INTO `icss_lis_mapping` VALUES (''727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮'', ''17α-羟孕酮(17α-OHP)'', ''17α-羟孕酮-17α-羟孕酮(17α-OHP)'');
INSERT INTO `icss_lis_mapping` VALUES (''728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-羟皮质类固醇'', ''尿17-羟皮质类固醇(24h)'', ''17-羟皮质类固醇-尿17-羟皮质类固醇(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-酮皮质类固醇'', ''尿17-酮皮质类固醇'', ''17-酮皮质类固醇-尿17-酮皮质类固醇'');
INSERT INTO `icss_lis_mapping` VALUES (''730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿比重渗透压试验'', ''24小时尿比重渗透压试验'', ''24小时尿比重渗透压试验-24小时尿比重渗透压试验'');
INSERT INTO `icss_lis_mapping` VALUES (''731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽'', ''Ⅰ型胶原羧基端前肽(PICP)'', ''Ⅰ型胶原羧基端前肽-Ⅰ型胶原羧基端前肽(PICP)'');
INSERT INTO `icss_lis_mapping` VALUES (''732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子测定'', ''B因子'', ''B因子测定-B因子'');
INSERT INTO `icss_lis_mapping` VALUES (''733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Coombs试验'', ''直接抗人球蛋白试验(Coombs)'', ''Coombs试验-直接抗人球蛋白试验(Coombs)'');
INSERT INTO `icss_lis_mapping` VALUES (''734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白'', ''C反应蛋白(CRP)'', ''C-反应蛋白-C反应蛋白(CRP)'');
INSERT INTO `icss_lis_mapping` VALUES (''735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白'', ''超敏C反应蛋白(hs-CRP)'', ''C-反应蛋白-超敏C反应蛋白(hs-CRP)'');
INSERT INTO `icss_lis_mapping` VALUES (''736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EB病毒DNA检测'', ''EB病毒检测-EB病毒DNA检测'');
INSERT INTO `icss_lis_mapping` VALUES (''737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EB病毒脱氧核糖核酸扩增定量'', ''EB病毒检测-EB病毒脱氧核糖核酸扩增定量'');
INSERT INTO `icss_lis_mapping` VALUES (''738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EB病毒脱氧核糖核酸扩增定性'', ''EB病毒检测-EB病毒脱氧核糖核酸扩增定性'');
INSERT INTO `icss_lis_mapping` VALUES (''739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EB病毒早期抗原(EA-IgA)'', ''EB病毒检测-EB病毒早期抗原(EA-IgA)'');
INSERT INTO `icss_lis_mapping` VALUES (''740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''抗EBV抗体(VCA-IgG)IgG'', ''EB病毒检测-抗EBV抗体(VCA-IgG)IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''抗EBV抗体(VCA-IgM)IgA'', ''EB病毒检测-抗EBV抗体(VCA-IgM)IgA'');
INSERT INTO `icss_lis_mapping` VALUES (''742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''抗EB病毒抗体测定'', ''EB病毒检测-抗EB病毒抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗Jo-1'', ''ENA抗体谱六项测定-抗Jo-1'');
INSERT INTO `icss_lis_mapping` VALUES (''744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗nRNP'', ''ENA抗体谱六项测定-抗nRNP'');
INSERT INTO `icss_lis_mapping` VALUES (''745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗Scl-70'', ''ENA抗体谱六项测定-抗Scl-70'');
INSERT INTO `icss_lis_mapping` VALUES (''746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗Sm'', ''ENA抗体谱六项测定-抗Sm'');
INSERT INTO `icss_lis_mapping` VALUES (''747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗SS-A'', ''ENA抗体谱六项测定-抗SS-A'');
INSERT INTO `icss_lis_mapping` VALUES (''748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''抗SS-B'', ''ENA抗体谱六项测定-抗SS-B'');
INSERT INTO `icss_lis_mapping` VALUES (''749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''N端-B型钠尿肽前体(NT-ProBNP)-N端-B型钠尿肽前体(NT-ProBNP)'');
INSERT INTO `icss_lis_mapping` VALUES (''750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O—129试验'', ''O—129试验'', ''O—129试验-O—129试验'');
INSERT INTO `icss_lis_mapping` VALUES (''751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-胶原特殊系列'', ''β-Crosslaps'', ''β-胶原特殊系列-β-Crosslaps'');
INSERT INTO `icss_lis_mapping` VALUES (''752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''尿人绒毛膜促性腺激素(HCG)定性'', ''β人绒毛膜促性腺激素-尿人绒毛膜促性腺激素(HCG)定性'');
INSERT INTO `icss_lis_mapping` VALUES (''753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''尿人绒毛膜促性腺激素定量'', ''β人绒毛膜促性腺激素-尿人绒毛膜促性腺激素定量'');
INSERT INTO `icss_lis_mapping` VALUES (''754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''血β人绒毛膜促性腺激素(β-HCG)'', ''β人绒毛膜促性腺激素-血β人绒毛膜促性腺激素(β-HCG)'');
INSERT INTO `icss_lis_mapping` VALUES (''755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''血β人游离绒毛膜促性腺激素(freeβ-HCG)'', ''β人绒毛膜促性腺激素-血β人游离绒毛膜促性腺激素(freeβ-HCG)'');
INSERT INTO `icss_lis_mapping` VALUES (''756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片'', ''白喉棒状杆菌涂片'', ''白喉棒状杆菌涂片-白喉棒状杆菌涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)测定'', ''白陶土部分凝血活酶时间(KPTT)'', ''白陶土部分凝血活酶时间(KPTT)测定-白陶土部分凝血活酶时间(KPTT)'');
INSERT INTO `icss_lis_mapping` VALUES (''758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', ''白血病融合基因分型'', ''白血病融合基因检测-白血病融合基因分型'');
INSERT INTO `icss_lis_mapping` VALUES (''759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', ''白血病融合基因检测'', ''白血病融合基因检测-白血病融合基因检测'');
INSERT INTO `icss_lis_mapping` VALUES (''760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙氨酸'', ''尿苯丙氨酸'', ''本丙氨酸-尿苯丙氨酸'');
INSERT INTO `icss_lis_mapping` VALUES (''761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙酮酸'', ''尿苯丙酮酸'', ''本丙酮酸-尿苯丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙酮酸'', ''血清苯丙酮酸'', ''本丙酮酸-血清苯丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：矮豚草'', ''变应原特异性IgE测定-过敏原：矮豚草'');
INSERT INTO `icss_lis_mapping` VALUES (''764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：点青霉、烟曲霉'', ''变应原特异性IgE测定-过敏原：点青霉、烟曲霉'');
INSERT INTO `icss_lis_mapping` VALUES (''765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：狗毛皮屑'', ''变应原特异性IgE测定-过敏原：狗毛皮屑'');
INSERT INTO `icss_lis_mapping` VALUES (''766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：鸡蛋白'', ''变应原特异性IgE测定-过敏原：鸡蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：芒果'', ''变应原特异性IgE测定-过敏原：芒果'');
INSERT INTO `icss_lis_mapping` VALUES (''768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：猫毛皮屑'', ''变应原特异性IgE测定-过敏原：猫毛皮屑'');
INSERT INTO `icss_lis_mapping` VALUES (''769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：牛奶'', ''变应原特异性IgE测定-过敏原：牛奶'');
INSERT INTO `icss_lis_mapping` VALUES (''770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：牛肉'', ''变应原特异性IgE测定-过敏原：牛肉'');
INSERT INTO `icss_lis_mapping` VALUES (''771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：青贝'', ''变应原特异性IgE测定-过敏原：青贝'');
INSERT INTO `icss_lis_mapping` VALUES (''772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：沙尘螨'', ''变应原特异性IgE测定-过敏原：沙尘螨'');
INSERT INTO `icss_lis_mapping` VALUES (''773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：屋尘螨'', ''变应原特异性IgE测定-过敏原：屋尘螨'');
INSERT INTO `icss_lis_mapping` VALUES (''774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：梧、桐、柳、杨、榆树'', ''变应原特异性IgE测定-过敏原：梧、桐、柳、杨、榆树'');
INSERT INTO `icss_lis_mapping` VALUES (''775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：西瓜'', ''变应原特异性IgE测定-过敏原：西瓜'');
INSERT INTO `icss_lis_mapping` VALUES (''776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：虾'', ''变应原特异性IgE测定-过敏原：虾'');
INSERT INTO `icss_lis_mapping` VALUES (''777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：蟹'', ''变应原特异性IgE测定-过敏原：蟹'');
INSERT INTO `icss_lis_mapping` VALUES (''778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：羊肉'', ''变应原特异性IgE测定-过敏原：羊肉'');
INSERT INTO `icss_lis_mapping` VALUES (''779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：腰果'', ''变应原特异性IgE测定-过敏原：腰果'');
INSERT INTO `icss_lis_mapping` VALUES (''780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：鱼'', ''变应原特异性IgE测定-过敏原：鱼'');
INSERT INTO `icss_lis_mapping` VALUES (''781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：蟑螂'', ''变应原特异性IgE测定-过敏原：蟑螂'');
INSERT INTO `icss_lis_mapping` VALUES (''782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原：自定义'', ''变应原特异性IgE测定-过敏原：自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''过敏原特异IgE'', ''变应原特异性IgE测定-过敏原特异IgE'');
INSERT INTO `icss_lis_mapping` VALUES (''784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝(HCV)RNA定量'', ''丙肝测定-丙肝(HCV)RNA定量'');
INSERT INTO `icss_lis_mapping` VALUES (''785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝(HCV)RNA定性'', ''丙肝测定-丙肝(HCV)RNA定性'');
INSERT INTO `icss_lis_mapping` VALUES (''786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝病毒(HCV)基因分型'', ''丙肝测定-丙肝病毒(HCV)基因分型'');
INSERT INTO `icss_lis_mapping` VALUES (''787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝核心抗原'', ''丙肝测定-丙肝核心抗原'');
INSERT INTO `icss_lis_mapping` VALUES (''788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝抗体(抗HCV)'', ''丙肝测定-丙肝抗体(抗HCV)'');
INSERT INTO `icss_lis_mapping` VALUES (''789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''复钙交叉时间(CRT)'', ''病理抗凝因子检测-复钙交叉时间(CRT)'');
INSERT INTO `icss_lis_mapping` VALUES (''790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''肝素'', ''病理抗凝因子检测-肝素'');
INSERT INTO `icss_lis_mapping` VALUES (''791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''狼疮抗凝物质(LAC)'', ''病理抗凝因子检测-狼疮抗凝物质(LAC)'');
INSERT INTO `icss_lis_mapping` VALUES (''792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''凝血酶原时间纠正试验'', ''病理抗凝因子检测-凝血酶原时间纠正试验'');
INSERT INTO `icss_lis_mapping` VALUES (''793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''凝血因子Ⅷ抑制物检测'', ''病理抗凝因子检测-凝血因子Ⅷ抑制物检测'');
INSERT INTO `icss_lis_mapping` VALUES (''794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C1q'', ''补体测定-C1q'');
INSERT INTO `icss_lis_mapping` VALUES (''795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C1r'', ''补体测定-C1r'');
INSERT INTO `icss_lis_mapping` VALUES (''796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C1s'', ''补体测定-C1s'');
INSERT INTO `icss_lis_mapping` VALUES (''797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C2'', ''补体测定-C2'');
INSERT INTO `icss_lis_mapping` VALUES (''798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C3'', ''补体测定-C3'');
INSERT INTO `icss_lis_mapping` VALUES (''799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C4'', ''补体测定-C4'');
INSERT INTO `icss_lis_mapping` VALUES (''800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C5'', ''补体测定-C5'');
INSERT INTO `icss_lis_mapping` VALUES (''801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C6'', ''补体测定-C6'');
INSERT INTO `icss_lis_mapping` VALUES (''802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C7'', ''补体测定-C7'');
INSERT INTO `icss_lis_mapping` VALUES (''803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C8'', ''补体测定-C8'');
INSERT INTO `icss_lis_mapping` VALUES (''804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''C9'', ''补体测定-C9'');
INSERT INTO `icss_lis_mapping` VALUES (''805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''补体旁路B因子'', ''补体测定-补体旁路B因子'');
INSERT INTO `icss_lis_mapping` VALUES (''806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌测定'', ''布氏杆菌测定'', ''布氏杆菌测定-布氏杆菌测定'');
INSERT INTO `icss_lis_mapping` VALUES (''807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间'', ''出血时间(BT)'', ''出血时间-出血时间(BT)'');
INSERT INTO `icss_lis_mapping` VALUES (''808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''肠杆菌科细菌'', ''创面分泌物培养-肠杆菌科细菌'');
INSERT INTO `icss_lis_mapping` VALUES (''809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''创面分泌物培养'', ''创面分泌物培养-创面分泌物培养'');
INSERT INTO `icss_lis_mapping` VALUES (''810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''化脓性链球菌'', ''创面分泌物培养-化脓性链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''金黄色葡萄球菌'', ''创面分泌物培养-金黄色葡萄球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''诺卡菌'', ''创面分泌物培养-诺卡菌'');
INSERT INTO `icss_lis_mapping` VALUES (''813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''铜绿假单胞菌'', ''创面分泌物培养-铜绿假单胞菌'');
INSERT INTO `icss_lis_mapping` VALUES (''814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''厌氧菌'', ''创面分泌物培养-厌氧菌'');
INSERT INTO `icss_lis_mapping` VALUES (''815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''一般细菌培养(创面分泌物)'', ''创面分泌物培养-一般细菌培养(创面分泌物)'');
INSERT INTO `icss_lis_mapping` VALUES (''816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''自定义'', ''创面分泌物培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇'', ''雌三醇(E3)'', ''雌三醇-雌三醇(E3)'');
INSERT INTO `icss_lis_mapping` VALUES (''818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮测定'', ''雌酮(E1)'', ''雌酮测定-雌酮(E1)'');
INSERT INTO `icss_lis_mapping` VALUES (''819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素'', ''促红细胞生成素(EPO)'', ''促红细胞生成素-促红细胞生成素(EPO)'');
INSERT INTO `icss_lis_mapping` VALUES (''820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''0minTSH'', ''促甲状腺释放激素兴奋试验-0minTSH'');
INSERT INTO `icss_lis_mapping` VALUES (''821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''120minTSH'', ''促甲状腺释放激素兴奋试验-120minTSH'');
INSERT INTO `icss_lis_mapping` VALUES (''822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''15minTSH'', ''促甲状腺释放激素兴奋试验-15minTSH'');
INSERT INTO `icss_lis_mapping` VALUES (''823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''30minTSH'', ''促甲状腺释放激素兴奋试验-30minTSH'');
INSERT INTO `icss_lis_mapping` VALUES (''824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''60minTSH'', ''促甲状腺释放激素兴奋试验-60minTSH'');
INSERT INTO `icss_lis_mapping` VALUES (''825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素'', ''促肾上腺皮质激素(ACTH)'', ''促肾上腺皮质激素-促肾上腺皮质激素(ACTH)'');
INSERT INTO `icss_lis_mapping` VALUES (''826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''0min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-0min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''120min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-120min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''150min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-150min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''15min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-15min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''-15min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验--15min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''180min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-180min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''30min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-30min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''60min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-60min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''90min促肾上腺皮质激素'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验-90min促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验1'', ''20min皮质醇'', ''促肾上腺皮质激素兴奋试验1-20min皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验1'', ''60min皮质醇'', ''促肾上腺皮质激素兴奋试验1-60min皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第二天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''促肾上腺皮质激素兴奋试验2-第二天24小时尿17—羟皮质类固醇(17-OH-CS)'');
INSERT INTO `icss_lis_mapping` VALUES (''838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第二天24小时尿17—酮皮质类固醇(17-KS)'', ''促肾上腺皮质激素兴奋试验2-第二天24小时尿17—酮皮质类固醇(17-KS)'');
INSERT INTO `icss_lis_mapping` VALUES (''839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第二天24小时尿游离皮质醇'', ''促肾上腺皮质激素兴奋试验2-第二天24小时尿游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第三天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''促肾上腺皮质激素兴奋试验2-第三天24小时尿17—羟皮质类固醇(17-OH-CS)'');
INSERT INTO `icss_lis_mapping` VALUES (''841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第三天24小时尿17—酮皮质类固醇(17-KS)'', ''促肾上腺皮质激素兴奋试验2-第三天24小时尿17—酮皮质类固醇(17-KS)'');
INSERT INTO `icss_lis_mapping` VALUES (''842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第三天24小时尿游离皮质醇'', ''促肾上腺皮质激素兴奋试验2-第三天24小时尿游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第四天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''促肾上腺皮质激素兴奋试验2-第四天24小时尿17—羟皮质类固醇(17-OH-CS)'');
INSERT INTO `icss_lis_mapping` VALUES (''844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第四天24小时尿17—酮皮质类固醇(17-KS)'', ''促肾上腺皮质激素兴奋试验2-第四天24小时尿17—酮皮质类固醇(17-KS)'');
INSERT INTO `icss_lis_mapping` VALUES (''845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第四天24小时尿游离皮质醇'', ''促肾上腺皮质激素兴奋试验2-第四天24小时尿游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第一天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''促肾上腺皮质激素兴奋试验2-第一天24小时尿17—羟皮质类固醇(17-OH-CS)'');
INSERT INTO `icss_lis_mapping` VALUES (''847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第一天24小时尿17—酮皮质类固醇(17-KS)'', ''促肾上腺皮质激素兴奋试验2-第一天24小时尿17—酮皮质类固醇(17-KS)'');
INSERT INTO `icss_lis_mapping` VALUES (''848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''第一天24小时尿游离皮质醇'', ''促肾上腺皮质激素兴奋试验2-第一天24小时尿游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体测定'', ''IgG'', ''单纯疱疹病毒II型抗体测定-IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体测定'', ''IgM'', ''单纯疱疹病毒II型抗体测定-IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体测定'', ''IgG'', ''单纯疱疹病毒I型抗体测定-IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体测定'', ''IgM'', ''单纯疱疹病毒I型抗体测定-IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素'', ''胆囊收缩素(CCK)'', ''胆囊收缩素-胆囊收缩素(CCK)'');
INSERT INTO `icss_lis_mapping` VALUES (''854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫直接涂片镜检'', ''滴虫直接涂片镜检'', ''滴虫直接涂片镜检-滴虫直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''二氧化碳(CO2)'', ''电解质测定-二氧化碳(CO2)'');
INSERT INTO `icss_lis_mapping` VALUES (''856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''钾(K)'', ''电解质测定-钾(K)'');
INSERT INTO `icss_lis_mapping` VALUES (''857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''离子钙(Ca2+)'', ''电解质测定-离子钙(Ca2+)'');
INSERT INTO `icss_lis_mapping` VALUES (''858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''磷(P)'', ''电解质测定-磷(P)'');
INSERT INTO `icss_lis_mapping` VALUES (''859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''氯(Cl)'', ''电解质测定-氯(Cl)'');
INSERT INTO `icss_lis_mapping` VALUES (''860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''镁(Mg)'', ''电解质测定-镁(Mg)'');
INSERT INTO `icss_lis_mapping` VALUES (''861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''钠(Na)'', ''电解质测定-钠(Na)'');
INSERT INTO `icss_lis_mapping` VALUES (''862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''阴离子隙(AG)'', ''电解质测定-阴离子隙(AG)'');
INSERT INTO `icss_lis_mapping` VALUES (''863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', ''总钙(Ca)'', ''电解质测定-总钙(Ca)'');
INSERT INTO `icss_lis_mapping` VALUES (''864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''尿淀粉酶(AMY)'', ''淀粉酶-尿淀粉酶(AMY)'');
INSERT INTO `icss_lis_mapping` VALUES (''865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''尿液胰淀粉酶(AMS)'', ''淀粉酶-尿液胰淀粉酶(AMS)'');
INSERT INTO `icss_lis_mapping` VALUES (''866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''体液淀粉酶(AMY)'', ''淀粉酶-体液淀粉酶(AMY)'');
INSERT INTO `icss_lis_mapping` VALUES (''867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''胸腔积液淀粉酶'', ''淀粉酶-胸腔积液淀粉酶'');
INSERT INTO `icss_lis_mapping` VALUES (''868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''血淀粉酶(AMY)'', ''淀粉酶-血淀粉酶(AMY)'');
INSERT INTO `icss_lis_mapping` VALUES (''869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''血胰淀粉酶(AMS)'', ''淀粉酶-血胰淀粉酶(AMS)'');
INSERT INTO `icss_lis_mapping` VALUES (''870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白'', ''淀粉样蛋白'', ''淀粉样蛋白-淀粉样蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝测定'', ''丁肝抗体(Anti-HDV)'', ''丁肝测定-丁肝抗体(Anti-HDV)'');
INSERT INTO `icss_lis_mapping` VALUES (''872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', ''非妇科脱落细胞学检查与诊断'', ''非妇科脱落细胞学检查与诊断-非妇科脱落细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', ''非妇科液基薄层细胞学检查与诊断'', ''非妇科脱落细胞学检查与诊断-非妇科液基薄层细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''PA'', ''肥达氏反应-PA'');
INSERT INTO `icss_lis_mapping` VALUES (''875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''PB'', ''肥达氏反应-PB'');
INSERT INTO `icss_lis_mapping` VALUES (''876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''PC'', ''肥达氏反应-PC'');
INSERT INTO `icss_lis_mapping` VALUES (''877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''TH'', ''肥达氏反应-TH'');
INSERT INTO `icss_lis_mapping` VALUES (''878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''TO'', ''肥达氏反应-TO'');
INSERT INTO `icss_lis_mapping` VALUES (''879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体免疫学试验'', ''冷凝集试验'', ''肺炎支原体免疫学试验-冷凝集试验'');
INSERT INTO `icss_lis_mapping` VALUES (''880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便红细胞'', ''粪便常规-粪便红细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便寄生虫卵'', ''粪便常规-粪便寄生虫卵'');
INSERT INTO `icss_lis_mapping` VALUES (''882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便脓细胞'', ''粪便常规-粪便脓细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便性状'', ''粪便常规-粪便性状'');
INSERT INTO `icss_lis_mapping` VALUES (''884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便颜色'', ''粪便常规-粪便颜色'');
INSERT INTO `icss_lis_mapping` VALUES (''885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便粘液'', ''粪便常规-粪便粘液'');
INSERT INTO `icss_lis_mapping` VALUES (''886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪寄生虫虫体'', ''粪便常规-粪寄生虫虫体'');
INSERT INTO `icss_lis_mapping` VALUES (''887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪未消化食物'', ''粪便常规-粪未消化食物'');
INSERT INTO `icss_lis_mapping` VALUES (''888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪脂肪球'', ''粪便常规-粪脂肪球'');
INSERT INTO `icss_lis_mapping` VALUES (''889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''其他'', ''粪便常规-其他'');
INSERT INTO `icss_lis_mapping` VALUES (''890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''霍乱弧菌'', ''粪便培养-霍乱弧菌'');
INSERT INTO `icss_lis_mapping` VALUES (''891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''艰难梭状杆菌'', ''粪便培养-艰难梭状杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''结核杆菌'', ''粪便培养-结核杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''志贺氏菌'', ''粪便培养-志贺氏菌'');
INSERT INTO `icss_lis_mapping` VALUES (''894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便隐血'', ''隐血'', ''粪便隐血-隐血'');
INSERT INTO `icss_lis_mapping` VALUES (''895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素检查'', ''粪胆素'', ''粪胆素检查-粪胆素'');
INSERT INTO `icss_lis_mapping` VALUES (''896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', ''妇科脱落细胞学检查与诊断'', ''妇科脱落细胞学检查与诊断-妇科脱落细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', ''妇科液基薄层细胞学检查与诊断'', ''妇科脱落细胞学检查与诊断-妇科液基薄层细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验'', ''腹膜平衡试验(PET)'', ''腹膜平衡试验-腹膜平衡试验(PET)'');
INSERT INTO `icss_lis_mapping` VALUES (''899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''白蛋白'', ''腹膜透析液检查-白蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''钙'', ''腹膜透析液检查-钙'');
INSERT INTO `icss_lis_mapping` VALUES (''901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''肌酐(Cr)'', ''腹膜透析液检查-肌酐(Cr)'');
INSERT INTO `icss_lis_mapping` VALUES (''902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''钾'', ''腹膜透析液检查-钾'');
INSERT INTO `icss_lis_mapping` VALUES (''903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''氯'', ''腹膜透析液检查-氯'');
INSERT INTO `icss_lis_mapping` VALUES (''904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''钠'', ''腹膜透析液检查-钠'');
INSERT INTO `icss_lis_mapping` VALUES (''905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''尿素(Urea)'', ''腹膜透析液检查-尿素(Urea)'');
INSERT INTO `icss_lis_mapping` VALUES (''906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''葡萄糖'', ''腹膜透析液检查-葡萄糖'');
INSERT INTO `icss_lis_mapping` VALUES (''907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''白蛋白(Alb)定量'', ''腹腔积液检查-白蛋白(Alb)定量'');
INSERT INTO `icss_lis_mapping` VALUES (''908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''淀粉酶(AMY)'', ''腹腔积液检查-淀粉酶(AMY)'');
INSERT INTO `icss_lis_mapping` VALUES (''909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''氯化物定量'', ''腹腔积液检查-氯化物定量'');
INSERT INTO `icss_lis_mapping` VALUES (''910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''黏蛋白定性'', ''腹腔积液检查-黏蛋白定性'');
INSERT INTO `icss_lis_mapping` VALUES (''911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''葡萄糖'', ''腹腔积液检查-葡萄糖'');
INSERT INTO `icss_lis_mapping` VALUES (''912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''乳酸脱氢酶(LD)'', ''腹腔积液检查-乳酸脱氢酶(LD)'');
INSERT INTO `icss_lis_mapping` VALUES (''913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''透明度'', ''腹腔积液检查-透明度'');
INSERT INTO `icss_lis_mapping` VALUES (''914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''外观'', ''腹腔积液检查-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''细胞计数'', ''腹腔积液检查-细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''总蛋白（定量）'', ''腹腔积液检查-总蛋白（定量）'');
INSERT INTO `icss_lis_mapping` VALUES (''917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''大肠埃希菌'', ''腹水培养-大肠埃希菌'');
INSERT INTO `icss_lis_mapping` VALUES (''918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''粪肠球菌'', ''腹水培养-粪肠球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''腹水培养'', ''腹水培养-腹水培养'');
INSERT INTO `icss_lis_mapping` VALUES (''920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''结核分枝杆菌'', ''腹水培养-结核分枝杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''一般细菌培养(腹水)'', ''腹水培养-一般细菌培养(腹水)'');
INSERT INTO `icss_lis_mapping` VALUES (''922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''自定义'', ''腹水培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸'', ''甘胆酸(CG)'', ''甘胆酸-甘胆酸(CG)'');
INSERT INTO `icss_lis_mapping` VALUES (''924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''5′核苷酸酶(5′NT)'', ''肝功能-5′核苷酸酶(5′NT)'');
INSERT INTO `icss_lis_mapping` VALUES (''925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''ALB/GLB'', ''肝功能-ALB/GLB'');
INSERT INTO `icss_lis_mapping` VALUES (''926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''白蛋白(Alb)'', ''肝功能-白蛋白(Alb)'');
INSERT INTO `icss_lis_mapping` VALUES (''927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''胆碱脂酶(ChE)'', ''肝功能-胆碱脂酶(ChE)'');
INSERT INTO `icss_lis_mapping` VALUES (''928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''谷氨酰基转移酶(GGT)'', ''肝功能-谷氨酰基转移酶(GGT)'');
INSERT INTO `icss_lis_mapping` VALUES (''929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''谷丙转氨酶(ALT)'', ''肝功能-谷丙转氨酶(ALT)'');
INSERT INTO `icss_lis_mapping` VALUES (''930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''谷草/谷丙'', ''肝功能-谷草/谷丙'');
INSERT INTO `icss_lis_mapping` VALUES (''931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''谷草转氨酶(AST)'', ''肝功能-谷草转氨酶(AST)'');
INSERT INTO `icss_lis_mapping` VALUES (''932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''间接胆红素(I-Bil)'', ''肝功能-间接胆红素(I-Bil)'');
INSERT INTO `icss_lis_mapping` VALUES (''933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''碱性磷酸酶(ALP)'', ''肝功能-碱性磷酸酶(ALP)'');
INSERT INTO `icss_lis_mapping` VALUES (''934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''球蛋白(GLB)'', ''肝功能-球蛋白(GLB)'');
INSERT INTO `icss_lis_mapping` VALUES (''935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''乳酸脱氢酶(LD)'', ''肝功能-乳酸脱氢酶(LD)'');
INSERT INTO `icss_lis_mapping` VALUES (''936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''腺苷脱氨酶(ADA)'', ''肝功能-腺苷脱氨酶(ADA)'');
INSERT INTO `icss_lis_mapping` VALUES (''937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''直接胆红素(D-Bil)'', ''肝功能-直接胆红素(D-Bil)'');
INSERT INTO `icss_lis_mapping` VALUES (''938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''总胆红素(T-Bil)'', ''肝功能-总胆红素(T-Bil)'');
INSERT INTO `icss_lis_mapping` VALUES (''939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''总胆汁酸(TBA)'', ''肝功能-总胆汁酸(TBA)'');
INSERT INTO `icss_lis_mapping` VALUES (''940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''总蛋白(TP)'', ''肝功能-总蛋白(TP)'');
INSERT INTO `icss_lis_mapping` VALUES (''941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''Ⅲ型胶原(CGⅢ)'', ''肝纤维化-Ⅲ型胶原(CGⅢ)'');
INSERT INTO `icss_lis_mapping` VALUES (''942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''Ⅳ型胶原(CGⅣ)'', ''肝纤维化-Ⅳ型胶原(CGⅣ)'');
INSERT INTO `icss_lis_mapping` VALUES (''943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''层粘连蛋白(LN)'', ''肝纤维化-层粘连蛋白(LN)'');
INSERT INTO `icss_lis_mapping` VALUES (''944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''单胺氧化酶(MAO)'', ''肝纤维化-单胺氧化酶(MAO)'');
INSERT INTO `icss_lis_mapping` VALUES (''945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''透明质酸(HA)'', ''肝纤维化-透明质酸(HA)'');
INSERT INTO `icss_lis_mapping` VALUES (''946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''醛固酮(ALD)'', ''高血压四项-醛固酮(ALD)'');
INSERT INTO `icss_lis_mapping` VALUES (''947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''肾素'', ''高血压四项-肾素'');
INSERT INTO `icss_lis_mapping` VALUES (''948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''血管紧张素Ⅰ(AngⅠ)'', ''高血压四项-血管紧张素Ⅰ(AngⅠ)'');
INSERT INTO `icss_lis_mapping` VALUES (''949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''血管紧张素Ⅱ(AngⅡ)'', ''高血压四项-血管紧张素Ⅱ(AngⅡ)'');
INSERT INTO `icss_lis_mapping` VALUES (''950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', ''穿刺液引流液培养'', ''各种穿刺液引流液培养-穿刺液引流液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', ''一般细菌培养(各种穿刺液引流液)'', ''各种穿刺液引流液培养-一般细菌培养(各种穿刺液引流液)'');
INSERT INTO `icss_lis_mapping` VALUES (''952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', ''自定义'', ''各种穿刺液引流液培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝测定'', ''庚肝抗体(Anti-HGVIgG)'', ''庚肝测定-庚肝抗体(Anti-HGVIgG)'');
INSERT INTO `icss_lis_mapping` VALUES (''954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈涂片'', ''宫颈涂片'', ''宫颈涂片-宫颈涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素'', ''骨钙素(OC)'', ''骨钙素-骨钙素(OC)'');
INSERT INTO `icss_lis_mapping` VALUES (''956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''骨髓NAP染色'', ''骨髓检查-骨髓NAP染色'');
INSERT INTO `icss_lis_mapping` VALUES (''957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''骨髓培养'', ''骨髓检查-骨髓培养'');
INSERT INTO `icss_lis_mapping` VALUES (''958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''骨髓染色体检查'', ''骨髓检查-骨髓染色体检查'');
INSERT INTO `icss_lis_mapping` VALUES (''959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''一般细菌培养(骨髓)'', ''骨髓检查-一般细菌培养(骨髓)'');
INSERT INTO `icss_lis_mapping` VALUES (''960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶'', ''骨型碱性磷酸酶(NBAP)'', ''骨型碱性磷酸酶-骨型碱性磷酸酶(NBAP)'');
INSERT INTO `icss_lis_mapping` VALUES (''961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''关节液培养'', ''关节液培养-关节液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''一般细菌培养(关节液)'', ''关节液培养-一般细菌培养(关节液)'');
INSERT INTO `icss_lis_mapping` VALUES (''963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''自定义'', ''关节液培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药后17α-羟孕酮(17α-OHP)'', ''过夜地塞米松抑制试验-服药后17α-羟孕酮(17α-OHP)'');
INSERT INTO `icss_lis_mapping` VALUES (''965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药后促肾上腺皮质激素(ACTH)'', ''过夜地塞米松抑制试验-服药后促肾上腺皮质激素(ACTH)'');
INSERT INTO `icss_lis_mapping` VALUES (''966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药后睾酮(T)'', ''过夜地塞米松抑制试验-服药后睾酮(T)'');
INSERT INTO `icss_lis_mapping` VALUES (''967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药后硫酸去氢表雄酮'', ''过夜地塞米松抑制试验-服药后硫酸去氢表雄酮'');
INSERT INTO `icss_lis_mapping` VALUES (''968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药后皮质醇'', ''过夜地塞米松抑制试验-服药后皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药前17α-羟孕酮(17α-OHP)'', ''过夜地塞米松抑制试验-服药前17α-羟孕酮(17α-OHP)'');
INSERT INTO `icss_lis_mapping` VALUES (''970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药前促肾上腺皮质激素(ACTH)'', ''过夜地塞米松抑制试验-服药前促肾上腺皮质激素(ACTH)'');
INSERT INTO `icss_lis_mapping` VALUES (''971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药前睾酮(T)'', ''过夜地塞米松抑制试验-服药前睾酮(T)'');
INSERT INTO `icss_lis_mapping` VALUES (''972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药前硫酸去氢表雄酮'', ''过夜地塞米松抑制试验-服药前硫酸去氢表雄酮'');
INSERT INTO `icss_lis_mapping` VALUES (''973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''服药前皮质醇'', ''过夜地塞米松抑制试验-服药前皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞(LEC)检查'', ''红斑狼疮细胞(LEC)检查'', ''红斑狼疮细胞(LEC)检查-红斑狼疮细胞(LEC)检查'');
INSERT INTO `icss_lis_mapping` VALUES (''975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞丙酮酸激酶(PK)检测'', ''丙酮酸激酶(PK)'', ''红细胞丙酮酸激酶(PK)检测-丙酮酸激酶(PK)'');
INSERT INTO `icss_lis_mapping` VALUES (''976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''白细胞计数'', ''滑膜液常规-白细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''镜检晶体'', ''滑膜液常规-镜检晶体'');
INSERT INTO `icss_lis_mapping` VALUES (''978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''量'', ''滑膜液常规-量'');
INSERT INTO `icss_lis_mapping` VALUES (''979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''黏稠性'', ''滑膜液常规-黏稠性'');
INSERT INTO `icss_lis_mapping` VALUES (''980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''透明度'', ''滑膜液常规-透明度'');
INSERT INTO `icss_lis_mapping` VALUES (''981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''外观'', ''滑膜液常规-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''细菌培养'', ''滑膜液常规-细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''血浆葡萄糖与积液葡萄糖差值'', ''滑膜液常规-血浆葡萄糖与积液葡萄糖差值'');
INSERT INTO `icss_lis_mapping` VALUES (''984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''中性粒细胞'', ''滑膜液常规-中性粒细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗(APCR)试验'', ''活化蛋白C抵抗(APCR)试验'', ''活化蛋白C抵抗(APCR)试验-活化蛋白C抵抗(APCR)试验'');
INSERT INTO `icss_lis_mapping` VALUES (''986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌直接涂片镜检'', ''霍乱弧菌直接涂片镜检'', ''霍乱弧菌直接涂片镜检-霍乱弧菌直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶活性测定'', ''肌酸激酶同工酶(CK-MB)活性'', ''肌酸激酶同工酶活性测定-肌酸激酶同工酶(CK-MB)活性'');
INSERT INTO `icss_lis_mapping` VALUES (''988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝测定'', ''甲肝抗体(Anti-HAV)'', ''甲肝测定-甲肝抗体(Anti-HAV)'');
INSERT INTO `icss_lis_mapping` VALUES (''989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素'', ''甲状旁腺激素(PTH)'', ''甲状旁腺激素-甲状旁腺激素(PTH)'');
INSERT INTO `icss_lis_mapping` VALUES (''990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能'', ''反三碘甲腺原氨酸(r T3)'', ''甲状腺功能-反三碘甲腺原氨酸(r T3)'');
INSERT INTO `icss_lis_mapping` VALUES (''991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能'', ''三碘甲腺原氨酸摄取率'', ''甲状腺功能-三碘甲腺原氨酸摄取率'');
INSERT INTO `icss_lis_mapping` VALUES (''992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''促甲状腺激素(TSH)'', ''甲状腺功能（5项）-促甲状腺激素(TSH)'');
INSERT INTO `icss_lis_mapping` VALUES (''993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''甲状腺素(T4)'', ''甲状腺功能（5项）-甲状腺素(T4)'');
INSERT INTO `icss_lis_mapping` VALUES (''994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''三碘甲状原氨酸(T3)'', ''甲状腺功能（5项）-三碘甲状原氨酸(T3)'');
INSERT INTO `icss_lis_mapping` VALUES (''995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''游离甲状腺素(FT4)'', ''甲状腺功能（5项）-游离甲状腺素(FT4)'');
INSERT INTO `icss_lis_mapping` VALUES (''996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''游离三碘甲状原氨酸(FT3)'', ''甲状腺功能（5项）-游离三碘甲状原氨酸(FT3)'');
INSERT INTO `icss_lis_mapping` VALUES (''997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验'', ''24h摄取率'', ''甲状腺摄碘试验-24h摄取率'');
INSERT INTO `icss_lis_mapping` VALUES (''998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验'', ''3h摄取率'', ''甲状腺摄碘试验-3h摄取率'');
INSERT INTO `icss_lis_mapping` VALUES (''999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''促甲状腺素受体抗体(TRAb)'', ''甲状腺自身抗体检测-促甲状腺素受体抗体(TRAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''甲状腺结合球蛋白(TBG)'', ''甲状腺自身抗体检测-甲状腺结合球蛋白(TBG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''甲状腺球蛋白(TG)'', ''甲状腺自身抗体检测-甲状腺球蛋白(TG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''抗甲状腺过氧化物酶抗体(TPOAb)'', ''甲状腺自身抗体检测-抗甲状腺过氧化物酶抗体(TPOAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''抗甲状腺球蛋白抗体(TGAb)'', ''甲状腺自身抗体检测-抗甲状腺球蛋白抗体(TGAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''抗甲状腺微粒体抗体(TMAb)'', ''甲状腺自身抗体检测-抗甲状腺微粒体抗体(TMAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原'', ''降钙素原(PCT)'', ''降钙素原-降钙素原(PCT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核检查'', ''分枝杆菌培养'', ''结核检查-分枝杆菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核检查'', ''抗结核抗体'', ''结核检查-抗结核抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''解脲脲原体基因鉴别'', ''解脲支原体检查-解脲脲原体基因鉴别'');
INSERT INTO `icss_lis_mapping` VALUES (''1009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''解脲脲原体检查培养'', ''解脲支原体检查-解脲脲原体检查培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''解脲脲原体抗体'', ''解脲支原体检查-解脲脲原体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''解脲支原体核酸测定(UU DNA)'', ''解脲支原体检查-解脲支原体核酸测定(UU DNA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精液量'', ''精液常规-精液量'');
INSERT INTO `icss_lis_mapping` VALUES (''1013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精子存活率'', ''精液常规-精子存活率'');
INSERT INTO `icss_lis_mapping` VALUES (''1014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精子活动力'', ''精液常规-精子活动力'');
INSERT INTO `icss_lis_mapping` VALUES (''1015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精子计数'', ''精液常规-精子计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精子密度'', ''精液常规-精子密度'');
INSERT INTO `icss_lis_mapping` VALUES (''1017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精子正常形态'', ''精液常规-精子正常形态'');
INSERT INTO `icss_lis_mapping` VALUES (''1018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''酸碱度(PH)'', ''精液常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''外观'', ''精液常规-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''1020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''液化时间'', ''精液常规-液化时间'');
INSERT INTO `icss_lis_mapping` VALUES (''1021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''蛋白质'', ''精液生化-蛋白质'');
INSERT INTO `icss_lis_mapping` VALUES (''1022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''果糖'', ''精液生化-果糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''柠檬酸'', ''精液生化-柠檬酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''酸性磷酸酶(ACP)'', ''精液生化-酸性磷酸酶(ACP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''铁(Fe)'', ''精液生化-铁(Fe)'');
INSERT INTO `icss_lis_mapping` VALUES (''1026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''铜(Cu)'', ''精液生化-铜(Cu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''锌(Zn)'', ''精液生化-锌(Zn)'');
INSERT INTO `icss_lis_mapping` VALUES (''1028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', ''精子顶体酶活性定量测定'', ''精子其他检查-精子顶体酶活性定量测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', ''精子尾部低渗肿胀试验'', ''精子其他检查-精子尾部低渗肿胀试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', ''抗精子抗体测定'', ''精子其他检查-抗精子抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', ''巨细胞病毒抗体IgG'', ''巨细胞病毒检测-巨细胞病毒抗体IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', ''巨细胞病毒抗体IgM'', ''巨细胞病毒检测-巨细胞病毒抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', ''血清巨细胞病毒抗原测定'', ''巨细胞病毒检测-血清巨细胞病毒抗原测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体测定'', ''抗β2-糖蛋白1抗体'', ''抗β2-糖蛋白1抗体测定-抗β2-糖蛋白1抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗Jo-1'', ''抗核抗体谱测定-抗Jo-1'');
INSERT INTO `icss_lis_mapping` VALUES (''1036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗nRNP'', ''抗核抗体谱测定-抗nRNP'');
INSERT INTO `icss_lis_mapping` VALUES (''1037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗PM-Scl抗体(抗PM-1抗体)'', ''抗核抗体谱测定-抗PM-Scl抗体(抗PM-1抗体)'');
INSERT INTO `icss_lis_mapping` VALUES (''1038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗RNP'', ''抗核抗体谱测定-抗RNP'');
INSERT INTO `icss_lis_mapping` VALUES (''1039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗Scl-70'', ''抗核抗体谱测定-抗Scl-70'');
INSERT INTO `icss_lis_mapping` VALUES (''1040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗Sm'', ''抗核抗体谱测定-抗Sm'');
INSERT INTO `icss_lis_mapping` VALUES (''1041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗SS-A'', ''抗核抗体谱测定-抗SS-A'');
INSERT INTO `icss_lis_mapping` VALUES (''1042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗SSA52'', ''抗核抗体谱测定-抗SSA52'');
INSERT INTO `icss_lis_mapping` VALUES (''1043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗SSA60'', ''抗核抗体谱测定-抗SSA60'');
INSERT INTO `icss_lis_mapping` VALUES (''1044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗SS-B'', ''抗核抗体谱测定-抗SS-B'');
INSERT INTO `icss_lis_mapping` VALUES (''1045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗单链DNA'', ''抗核抗体谱测定-抗单链DNA'');
INSERT INTO `icss_lis_mapping` VALUES (''1046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗核抗体(ANA)总谱'', ''抗核抗体谱测定-抗核抗体(ANA)总谱'');
INSERT INTO `icss_lis_mapping` VALUES (''1047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗核糖体P蛋白(rRNP)'', ''抗核抗体谱测定-抗核糖体P蛋白(rRNP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗核小体抗体(AnuA)'', ''抗核抗体谱测定-抗核小体抗体(AnuA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗双链DNA(抗dsDNA)测定'', ''抗核抗体谱测定-抗双链DNA(抗dsDNA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗线粒体M2亚型抗体(AMA-M2)'', ''抗核抗体谱测定-抗线粒体M2亚型抗体(AMA-M2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''抗核抗体谱测定-抗增殖细胞核抗原抗体(抗PCNA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗着丝点抗体'', ''抗核抗体谱测定-抗着丝点抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗组蛋白抗体(AHA)'', ''抗核抗体谱测定-抗组蛋白抗体(AHA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体测定'', ''抗红细胞抗体测定'', ''抗红细胞抗体测定-抗红细胞抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)测定'', ''抗环瓜氨酸肽抗体(抗CCP)'', ''抗环瓜氨酸肽抗体(抗CCP)测定-抗环瓜氨酸肽抗体(抗CCP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素'', ''抗利尿激素(ADH)'', ''抗利尿激素-抗利尿激素(ADH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶抗体'', ''抗链球菌激酶抗体'', ''抗链球菌激酶抗体-抗链球菌激酶抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O'', ''抗链球菌溶血素O(定量)'', ''抗链球菌溶血素O-抗链球菌溶血素O(定量)'');
INSERT INTO `icss_lis_mapping` VALUES (''1059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O'', ''抗链球菌溶血素O(定性)'', ''抗链球菌溶血素O-抗链球菌溶血素O(定性)'');
INSERT INTO `icss_lis_mapping` VALUES (''1060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶'', ''抗链球菌透明质酸酶'', ''抗链球菌透明质酸酶-抗链球菌透明质酸酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体试验'', ''抗淋巴细胞抗体试验'', ''抗淋巴细胞抗体试验-抗淋巴细胞抗体试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体测定'', ''抗脑组织抗体测定'', ''抗脑组织抗体测定-抗脑组织抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体'', ''抗平滑肌抗体'', ''抗平滑肌抗体-抗平滑肌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定'', ''IgG'', ''抗神经节苷脂抗体测定-IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定'', ''IgM'', ''抗神经节苷脂抗体测定-IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺抗体测定'', ''抗肾上腺抗体'', ''抗肾上腺抗体测定-抗肾上腺抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体测定'', ''抗肾小球基底膜抗体'', ''抗肾小球基底膜抗体测定-抗肾小球基底膜抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶'', ''抗脱氧核糖核酸酶B抗体'', ''抗脱氧核糖核酸酶-抗脱氧核糖核酸酶B抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶'', ''抗脱氧核糖核酸酶抗体'', ''抗脱氧核糖核酸酶-抗脱氧核糖核酸酶抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体检测'', ''抗胃壁细胞抗体'', ''抗胃壁细胞抗体检测-抗胃壁细胞抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体(AMA)测定'', ''抗线粒体抗体(AMA)'', ''抗线粒体抗体(AMA)测定-抗线粒体抗体(AMA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', ''IgA'', ''抗心磷脂抗体(ACA)测定-IgA'');
INSERT INTO `icss_lis_mapping` VALUES (''1073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', ''IgG'', ''抗心磷脂抗体(ACA)测定-IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', ''IgM'', ''抗心磷脂抗体(ACA)测定-IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体'', ''抗乙酰胆碱受体抗体'', ''抗乙酰胆碱受体抗体-抗乙酰胆碱受体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)测定'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''抗增殖细胞核抗原抗体(抗PCNA)测定-抗增殖细胞核抗原抗体(抗PCNA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体'', ''抗子宫内膜抗体(EMAb)'', ''抗子宫内膜抗体-抗子宫内膜抗体(EMAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒'', ''柯萨奇病毒IgG'', ''柯萨奇病毒-柯萨奇病毒IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒'', ''柯萨奇病毒IgM'', ''柯萨奇病毒-柯萨奇病毒IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''120min血糖'', ''口服葡萄糖耐量试验-120min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''180min血糖'', ''口服葡萄糖耐量试验-180min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''240min血糖'', ''口服葡萄糖耐量试验-240min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''300min血糖'', ''口服葡萄糖耐量试验-300min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''30min血糖'', ''口服葡萄糖耐量试验-30min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''60min血糖'', ''口服葡萄糖耐量试验-60min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体测定'', ''狂犬病毒抗体'', ''狂犬病毒抗体测定-狂犬病毒抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉网细胞学检查与诊断'', ''拉网细胞学检查与诊断'', ''拉网细胞学检查与诊断-拉网细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子(RF)IgA'', ''类风湿因子测定-类风湿因子(RF)IgA'');
INSERT INTO `icss_lis_mapping` VALUES (''1089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子(RF)IgD'', ''类风湿因子测定-类风湿因子(RF)IgD'');
INSERT INTO `icss_lis_mapping` VALUES (''1090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子(RF)IgE'', ''类风湿因子测定-类风湿因子(RF)IgE'');
INSERT INTO `icss_lis_mapping` VALUES (''1091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子(RF)IgG'', ''类风湿因子测定-类风湿因子(RF)IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子(RF)IgM'', ''类风湿因子测定-类风湿因子(RF)IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子'', ''类胰岛素样生长因子-1(IGF)'', ''类胰岛素样生长因子-类胰岛素样生长因子-1(IGF)'');
INSERT INTO `icss_lis_mapping` VALUES (''1094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子'', ''类胰岛素样生长因子结合蛋白-3(IGF-BP3)'', ''类胰岛素样生长因子-类胰岛素样生长因子结合蛋白-3(IGF-BP3)'');
INSERT INTO `icss_lis_mapping` VALUES (''1095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体免疫学试验'', ''立克次体免疫学试验'', ''立克次体免疫学试验-立克次体免疫学试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''CD3+'', ''淋巴细胞亚群计数-CD3+'');
INSERT INTO `icss_lis_mapping` VALUES (''1097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''CD4+'', ''淋巴细胞亚群计数-CD4+'');
INSERT INTO `icss_lis_mapping` VALUES (''1098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''CD4+/CD8+'', ''淋巴细胞亚群计数-CD4+/CD8+'');
INSERT INTO `icss_lis_mapping` VALUES (''1099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''CD8+'', ''淋巴细胞亚群计数-CD8+'');
INSERT INTO `icss_lis_mapping` VALUES (''1100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片'', ''淋球菌涂片'', ''淋球菌涂片-淋球菌涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒核糖核酸检测'', ''流感病毒核糖核酸'', ''流感病毒核糖核酸检测-流感病毒核糖核酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热抗体测定'', ''流行性出血热病毒抗体'', ''流行性出血热抗体测定-流行性出血热病毒抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定'', ''乙型脑炎病毒抗体'', ''流行性乙型脑炎病毒抗体测定-乙型脑炎病毒抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒检测'', ''轮状病毒抗原(RV)'', ''轮状病毒检测-轮状病毒抗原(RV)'');
INSERT INTO `icss_lis_mapping` VALUES (''1105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒'', ''麻疹病毒抗体IgG'', ''麻疹病毒-麻疹病毒抗体IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒'', ''麻疹病毒抗体IgM'', ''麻疹病毒-麻疹病毒抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''120min血糖'', ''馒头餐糖耐量试验-120min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''180min血糖'', ''馒头餐糖耐量试验-180min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''240min血糖'', ''馒头餐糖耐量试验-240min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''300min血糖'', ''馒头餐糖耐量试验-300min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''30min血糖'', ''馒头餐糖耐量试验-30min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''60min血糖'', ''馒头餐糖耐量试验-60min血糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''甲苯胺红不加热血清试验(TRUST)'', ''梅毒检测-甲苯胺红不加热血清试验(TRUST)'');
INSERT INTO `icss_lis_mapping` VALUES (''1114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''抗梅毒螺旋抗体(TP-Ab)'', ''梅毒检测-抗梅毒螺旋抗体(TP-Ab)'');
INSERT INTO `icss_lis_mapping` VALUES (''1115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''梅毒螺旋体涂片'', ''梅毒检测-梅毒螺旋体涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''密螺旋体颗粒凝集(TPPA)试验'', ''梅毒检测-密螺旋体颗粒凝集(TPPA)试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''血浆反应素(RPR)试验'', ''梅毒检测-血浆反应素(RPR)试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgA1'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgA1'');
INSERT INTO `icss_lis_mapping` VALUES (''1119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgA2'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgA2'');
INSERT INTO `icss_lis_mapping` VALUES (''1120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgG1'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG1'');
INSERT INTO `icss_lis_mapping` VALUES (''1121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgG2'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG2'');
INSERT INTO `icss_lis_mapping` VALUES (''1122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgG3'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG3'');
INSERT INTO `icss_lis_mapping` VALUES (''1123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定IgG4'', ''免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG4'');
INSERT INTO `icss_lis_mapping` VALUES (''1124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫组织化学染色诊断'', ''免疫组织化学染色诊断'', ''免疫组织化学染色诊断-免疫组织化学染色诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''墨汁染色'', ''新型隐球菌墨汁染色镜检'', ''墨汁染色-新型隐球菌墨汁染色镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠尿肽'', ''A型钠尿肽(ANP)'', ''钠尿肽-A型钠尿肽(ANP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠尿肽'', ''B型钠尿肽(BNP)'', ''钠尿肽-B型钠尿肽(BNP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''耐甲氧西林葡萄球菌检测(定量试验)-耐甲氧西林葡萄球菌检测(定量试验)'');
INSERT INTO `icss_lis_mapping` VALUES (''1129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''比重'', ''脑脊液常规+生化-比重'');
INSERT INTO `icss_lis_mapping` VALUES (''1130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''蛋白质定量'', ''脑脊液常规+生化-蛋白质定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''革兰染色'', ''脑脊液常规+生化-革兰染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''抗酸染色'', ''脑脊液常规+生化-抗酸染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''氯化物定量'', ''脑脊液常规+生化-氯化物定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''白蛋白'', ''脑脊液常规+生化-白蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液白细胞计数'', ''脑脊液常规+生化-脑脊液白细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液单核细胞百分比'', ''脑脊液常规+生化-脑脊液单核细胞百分比'');
INSERT INTO `icss_lis_mapping` VALUES (''1137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液红细胞计数'', ''脑脊液常规+生化-脑脊液红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液淋巴细胞百分比'', ''脑脊液常规+生化-脑脊液淋巴细胞百分比'');
INSERT INTO `icss_lis_mapping` VALUES (''1139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液腺苷脱氨酶'', ''脑脊液常规+生化-脑脊液腺苷脱氨酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液中性粒细胞百分比'', ''脑脊液常规+生化-脑脊液中性粒细胞百分比'');
INSERT INTO `icss_lis_mapping` VALUES (''1141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''葡萄糖定量'', ''脑脊液常规+生化-葡萄糖定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''乳酸'', ''脑脊液常规+生化-乳酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''酸碱度(PH)'', ''脑脊液常规+生化-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''透明度'', ''脑脊液常规+生化-透明度'');
INSERT INTO `icss_lis_mapping` VALUES (''1145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''压力'', ''脑脊液常规+生化-压力'');
INSERT INTO `icss_lis_mapping` VALUES (''1146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''颜色'', ''脑脊液常规+生化-颜色'');
INSERT INTO `icss_lis_mapping` VALUES (''1147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''β2-巨球蛋白'', ''脑脊液免疫球蛋白测定-β2-巨球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''免疫球蛋白A'', ''脑脊液免疫球蛋白测定-免疫球蛋白A'');
INSERT INTO `icss_lis_mapping` VALUES (''1149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''免疫球蛋白G'', ''脑脊液免疫球蛋白测定-免疫球蛋白G'');
INSERT INTO `icss_lis_mapping` VALUES (''1150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''免疫球蛋白M'', ''脑脊液免疫球蛋白测定-免疫球蛋白M'');
INSERT INTO `icss_lis_mapping` VALUES (''1151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''髓鞘碱性蛋白'', ''脑脊液免疫球蛋白测定-髓鞘碱性蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''A群链球菌'', ''脑脊液培养-A群链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''B群链球菌'', ''脑脊液培养-B群链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''白色念珠菌'', ''脑脊液培养-白色念珠菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''肺炎链球菌'', ''脑脊液培养-肺炎链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''假单胞菌属菌种'', ''脑脊液培养-假单胞菌属菌种'');
INSERT INTO `icss_lis_mapping` VALUES (''1157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''结核分枝杆菌'', ''脑脊液培养-结核分枝杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''卡他莫拉菌'', ''脑脊液培养-卡他莫拉菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''流感嗜血杆菌'', ''脑脊液培养-流感嗜血杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''脑脊液培养'', ''脑脊液培养-脑脊液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''脑膜败血黄杆菌'', ''脑脊液培养-脑膜败血黄杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''脑膜炎奈瑟菌'', ''脑脊液培养-脑膜炎奈瑟菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''葡萄球菌属菌种'', ''脑脊液培养-葡萄球菌属菌种'');
INSERT INTO `icss_lis_mapping` VALUES (''1164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''一般细菌培养(脑脊液)'', ''脑脊液培养-一般细菌培养(脑脊液)'');
INSERT INTO `icss_lis_mapping` VALUES (''1165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''自定义'', ''脑脊液培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''1166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定量试验'', ''内毒素鲎定量试验'', ''内毒素鲎定量试验-内毒素鲎定量试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定性试验'', ''内毒素鲎定性试验'', ''内毒素鲎定性试验-内毒素鲎定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NAG'', ''尿NAG'', ''尿NAG-尿NAG'');
INSERT INTO `icss_lis_mapping` VALUES (''1169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉检测'', ''尿卟啉定量'', ''尿卟啉检测-尿卟啉定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉检测'', ''尿卟啉定性'', ''尿卟啉检测-尿卟啉定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''白细胞脂酶(LEU)'', ''尿常规-白细胞脂酶(LEU)'');
INSERT INTO `icss_lis_mapping` VALUES (''1172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''比重(SG-U)'', ''尿常规-比重(SG-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''胆红素(BIL-U)'', ''尿常规-胆红素(BIL-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''尿胆原(URO-U)'', ''尿常规-尿胆原(URO-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''尿蛋白(PRO-U)'', ''尿常规-尿蛋白(PRO-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''尿酮体(KET-U)'', ''尿常规-尿酮体(KET-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''葡萄糖(GLU-U)'', ''尿常规-葡萄糖(GLU-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''酸碱度(PH)'', ''尿常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''维生素C(VC)'', ''尿常规-维生素C(VC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''亚硝酸盐(NIT-U)'', ''尿常规-亚硝酸盐(NIT-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', ''隐血(BLD-U)'', ''尿常规-隐血(BLD-U)'');
INSERT INTO `icss_lis_mapping` VALUES (''1182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''白细胞(计数板法)'', ''尿沉渣镜检-白细胞(计数板法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''白细胞(仪器法)'', ''尿沉渣镜检-白细胞(仪器法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''管型(仪器法)'', ''尿沉渣镜检-管型(仪器法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''红细胞(计数板法)'', ''尿沉渣镜检-红细胞(计数板法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''红细胞(仪器法)'', ''尿沉渣镜检-红细胞(仪器法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''上皮细胞(仪器法)'', ''尿沉渣镜检-上皮细胞(仪器法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''细菌(仪器法)'', ''尿沉渣镜检-细菌(仪器法)'');
INSERT INTO `icss_lis_mapping` VALUES (''1189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', ''尿蛋白测定'', ''尿蛋白测定-尿蛋白测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', ''尿蛋白定量(24h)'', ''尿蛋白测定-尿蛋白定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-FDP'', ''尿蛋白电泳分析-尿蛋白电泳-FDP'');
INSERT INTO `icss_lis_mapping` VALUES (''1192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-NAG酶'', ''尿蛋白电泳分析-尿蛋白电泳-NAG酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-RBP'', ''尿蛋白电泳分析-尿蛋白电泳-RBP'');
INSERT INTO `icss_lis_mapping` VALUES (''1194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-α1微量球蛋白'', ''尿蛋白电泳分析-尿蛋白电泳-α1微量球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-α2巨球蛋白'', ''尿蛋白电泳分析-尿蛋白电泳-α2巨球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-β2微球蛋白'', ''尿蛋白电泳分析-尿蛋白电泳-β2微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-β3微球蛋白'', ''尿蛋白电泳分析-尿蛋白电泳-β3微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-蛋白定性'', ''尿蛋白电泳分析-尿蛋白电泳-蛋白定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-尿IgG'', ''尿蛋白电泳分析-尿蛋白电泳-尿IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-轻链KAPPA定量'', ''尿蛋白电泳分析-尿蛋白电泳-轻链KAPPA定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-轻链LAMBDA定量'', ''尿蛋白电泳分析-尿蛋白电泳-轻链LAMBDA定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-微量白蛋白'', ''尿蛋白电泳分析-尿蛋白电泳-微量白蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳-中分子带'', ''尿蛋白电泳分析-尿蛋白电泳-中分子带'');
INSERT INTO `icss_lis_mapping` VALUES (''1204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿转铁蛋白'', ''尿蛋白电泳分析-尿转铁蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺测定'', ''尿儿茶酚胺(24h)'', ''尿儿茶酚胺测定-尿儿茶酚胺(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定(24h)'', ''尿钙测定(24h)'', ''尿钙测定(24h)-尿钙测定(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿高香草酸'', ''尿高香草酸'', ''尿高香草酸-尿高香草酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿含铁血黄素定性试验'', ''含铁血黄素定性试验'', ''尿含铁血黄素定性试验-含铁血黄素定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', ''畸形红细胞计数'', ''尿红细胞形态检查-畸形红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', ''尿红细胞计数'', ''尿红细胞形态检查-尿红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', ''正形红细胞计数'', ''尿红细胞形态检查-正形红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定'', ''尿肌酐'', ''尿肌酐测定-尿肌酐'');
INSERT INTO `icss_lis_mapping` VALUES (''1213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定'', ''尿肌酐定量(24h)'', ''尿肌酐测定-尿肌酐定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性试验'', ''尿肌红蛋白定性试验'', ''尿肌红蛋白定性试验-尿肌红蛋白定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基去甲肾上腺素(NMN)(24h)'', ''甲氧基去甲肾上腺素(NMN)'', ''尿甲氧基去甲肾上腺素(NMN)(24h)-甲氧基去甲肾上腺素(NMN)'');
INSERT INTO `icss_lis_mapping` VALUES (''1216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基肾上腺素(MN)(24h)'', ''甲氧基肾上腺素(MN)'', ''尿甲氧基肾上腺素(MN)(24h)-甲氧基肾上腺素(MN)'');
INSERT INTO `icss_lis_mapping` VALUES (''1217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾测定'', ''尿钾定量(24h)'', ''尿钾测定-尿钾定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''白细胞(WBC)'', ''尿镜检-白细胞(WBC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''白细胞管型'', ''尿镜检-白细胞管型'');
INSERT INTO `icss_lis_mapping` VALUES (''1220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''红细胞(RBC)'', ''尿镜检-红细胞(RBC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''红细胞管型'', ''尿镜检-红细胞管型'');
INSERT INTO `icss_lis_mapping` VALUES (''1222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''结晶'', ''尿镜检-结晶'');
INSERT INTO `icss_lis_mapping` VALUES (''1223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''颗粒管型'', ''尿镜检-颗粒管型'');
INSERT INTO `icss_lis_mapping` VALUES (''1224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''其他'', ''尿镜检-其他'');
INSERT INTO `icss_lis_mapping` VALUES (''1225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''其他管型'', ''尿镜检-其他管型'');
INSERT INTO `icss_lis_mapping` VALUES (''1226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''上皮细胞'', ''尿镜检-上皮细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''透明管型'', ''尿镜检-透明管型'');
INSERT INTO `icss_lis_mapping` VALUES (''1228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''粘液丝'', ''尿镜检-粘液丝'');
INSERT INTO `icss_lis_mapping` VALUES (''1229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松定量(24h)'', ''尿可的松定量(24h)'', ''尿可的松定量(24h)-尿可的松定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定'', ''磷'', ''尿磷测定-磷'');
INSERT INTO `icss_lis_mapping` VALUES (''1231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定'', ''尿磷测定(24h)'', ''尿磷测定-尿磷测定(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯测定'', ''氯'', ''尿氯测定-氯'');
INSERT INTO `icss_lis_mapping` VALUES (''1233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯测定'', ''尿氯定量(24h)'', ''尿氯测定-尿氯定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁测定'', ''镁'', ''尿镁测定-镁'');
INSERT INTO `icss_lis_mapping` VALUES (''1235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁测定'', ''尿镁定量(24h)'', ''尿镁测定-尿镁定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿免疫固定电泳'', ''尿免疫固定电泳'', ''尿免疫固定电泳-尿免疫固定电泳'');
INSERT INTO `icss_lis_mapping` VALUES (''1237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠测定'', ''钠'', ''尿钠测定-钠'');
INSERT INTO `icss_lis_mapping` VALUES (''1238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠测定'', ''尿钠定量(24h)'', ''尿钠测定-尿钠定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量'', ''尿尿酸定量(24h)'', ''尿尿酸定量-尿尿酸定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量'', ''尿酸(UA)'', ''尿尿酸定量-尿酸(UA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定'', ''KAP'', ''尿轻链测定-KAP'');
INSERT INTO `icss_lis_mapping` VALUES (''1242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定'', ''LAM'', ''尿轻链测定-LAM'');
INSERT INTO `icss_lis_mapping` VALUES (''1243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', ''尿去甲肾上腺素'', ''尿去甲肾上腺素-尿去甲肾上腺素'');
INSERT INTO `icss_lis_mapping` VALUES (''1244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', ''尿去甲肾上腺素(24h)'', ''尿去甲肾上腺素-尿去甲肾上腺素(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮定量(24h)'', ''尿醛固酮'', ''尿醛固酮定量(24h)-尿醛固酮'');
INSERT INTO `icss_lis_mapping` VALUES (''1246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(24h)'', ''尿肾上腺素(24h)'', ''尿肾上腺素(24h)-尿肾上腺素(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖测定'', ''尿糖定量'', ''尿糖测定-尿糖定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖测定'', ''尿糖定性'', ''尿糖测定-尿糖定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白测定'', ''微量白蛋白(mAlb)'', ''尿微量白蛋白测定-微量白蛋白(mAlb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白定量(24h)'', ''微量白蛋白(mAlb)'', ''尿微量白蛋白定量(24h)-微量白蛋白(mAlb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液总钙测定'', ''总钙(Ca)'', ''尿液总钙测定-总钙(Ca)'');
INSERT INTO `icss_lis_mapping` VALUES (''1252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''部分活化凝血活酶时间(APTT)'', ''凝血功能测定-部分活化凝血活酶时间(APTT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''国际标准化比值(INR)'', ''凝血功能测定-国际标准化比值(INR)'');
INSERT INTO `icss_lis_mapping` VALUES (''1254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''活化凝血时间(ACT)'', ''凝血功能测定-活化凝血时间(ACT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''凝血酶时间(TT)'', ''凝血功能测定-凝血酶时间(TT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''凝血酶原时间(PT)'', ''凝血功能测定-凝血酶原时间(PT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''凝血酶原时间活动度'', ''凝血功能测定-凝血酶原时间活动度'');
INSERT INTO `icss_lis_mapping` VALUES (''1258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''凝血时间(CT)'', ''凝血功能测定-凝血时间(CT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''纤维蛋白原(FG)'', ''凝血功能测定-纤维蛋白原(FG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅱ(FⅡ:C)'', ''凝血因子测定-凝血因子Ⅱ(FⅡ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅴ(FⅤ:C)'', ''凝血因子测定-凝血因子Ⅴ(FⅤ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅶ(FⅦ:C)'', ''凝血因子测定-凝血因子Ⅶ(FⅦ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅷ(FⅧ:C)'', ''凝血因子测定-凝血因子Ⅷ(FⅧ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅸ(FⅨ:C)'', ''凝血因子测定-凝血因子Ⅸ(FⅨ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅹ(FⅩ:C)'', ''凝血因子测定-凝血因子Ⅹ(FⅩ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅺ(FⅪ:C)'', ''凝血因子测定-凝血因子Ⅺ(FⅪ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子Ⅻ(FⅫ:C)'', ''凝血因子测定-凝血因子Ⅻ(FⅫ:C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌'', ''浓缩集菌抗酸菌检测'', ''浓缩集菌抗酸菌-浓缩集菌抗酸菌检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌'', ''浓缩集菌涂片抗酸染色镜检'', ''浓缩集菌抗酸菌-浓缩集菌涂片抗酸染色镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''肠杆菌科细菌培养'', ''脓液培养-肠杆菌科细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''化脓性链球菌培养'', ''脓液培养-化脓性链球菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''金黄色葡萄球菌培养'', ''脓液培养-金黄色葡萄球菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''脓液培养'', ''脓液培养-脓液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''诺卡菌培养'', ''脓液培养-诺卡菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''铜绿假单胞菌培养'', ''脓液培养-铜绿假单胞菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''厌氧菌培养'', ''脓液培养-厌氧菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''一般细菌培养(脓液)'', ''脓液培养-一般细菌培养(脓液)'');
INSERT INTO `icss_lis_mapping` VALUES (''1278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''自定义'', ''脓液培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''1279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫检查'', ''疟原虫'', ''疟原虫检查-疟原虫'');
INSERT INTO `icss_lis_mapping` VALUES (''1280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', ''大肠杆菌菌落数计数'', ''培养细菌菌落计数-大肠杆菌菌落数计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', ''培养细菌菌落计数'', ''培养细菌菌落计数-培养细菌菌落计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇'', ''血浆皮质醇测定'', ''皮质醇-血浆皮质醇测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白'', ''前白蛋白(PA)'', ''前白蛋白-前白蛋白(PA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''白细胞计数'', ''前列腺液常规检查-白细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''淀粉样体'', ''前列腺液常规检查-淀粉样体'');
INSERT INTO `icss_lis_mapping` VALUES (''1286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''红细胞计数'', ''前列腺液常规检查-红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''卵磷脂小体'', ''前列腺液常规检查-卵磷脂小体'');
INSERT INTO `icss_lis_mapping` VALUES (''1288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)'', ''前列腺液常规检查-其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)'');
INSERT INTO `icss_lis_mapping` VALUES (''1289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''粘液'', ''前列腺液常规检查-粘液'');
INSERT INTO `icss_lis_mapping` VALUES (''1290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白测定'', ''缺血修饰白蛋白(IMA)'', ''缺血修饰白蛋白测定-缺血修饰白蛋白(IMA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析'', ''染色体分析'', ''染色体分析-染色体分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体荧光原位杂交分析'', ''染色体荧光原位杂交分析'', ''染色体荧光原位杂交分析-染色体荧光原位杂交分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人附睾蛋白'', ''附睾蛋白(HE4)'', ''人附睾蛋白-附睾蛋白(HE4)'');
INSERT INTO `icss_lis_mapping` VALUES (''1294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''HIV抗体'', ''人类免疫缺陷病毒检测-HIV抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''P24抗原'', ''人类免疫缺陷病毒检测-P24抗原'');
INSERT INTO `icss_lis_mapping` VALUES (''1296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''艾滋病HIV-1型抗体'', ''人类免疫缺陷病毒检测-艾滋病HIV-1型抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''尿液人类免疫缺陷病毒测定'', ''人类免疫缺陷病毒检测-尿液人类免疫缺陷病毒测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''抗人乳头瘤病毒抗体(HPV-Ab)'', ''人乳头瘤病毒检测-抗人乳头瘤病毒抗体(HPV-Ab)'');
INSERT INTO `icss_lis_mapping` VALUES (''1299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''人乳头瘤病毒分型'', ''人乳头瘤病毒检测-人乳头瘤病毒分型'');
INSERT INTO `icss_lis_mapping` VALUES (''1300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''人乳头瘤病毒脱氧核糖核酸非扩增定性检测'', ''人乳头瘤病毒检测-人乳头瘤病毒脱氧核糖核酸非扩增定性检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''人乳头瘤病毒脱氧核糖核酸扩增检测'', ''人乳头瘤病毒检测-人乳头瘤病毒脱氧核糖核酸扩增检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠相关蛋白A(PAPP)测定'', ''PAPP'', ''妊娠相关蛋白A(PAPP)测定-PAPP'');
INSERT INTO `icss_lis_mapping` VALUES (''1303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''腹水乳糜试验'', ''乳糜试验-腹水乳糜试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''尿乳糜定性试验'', ''乳糜试验-尿乳糜定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''乳糜试验'', ''乳糜试验-乳糜试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''体液乳糜试验'', ''乳糜试验-体液乳糜试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''胸水乳糜试验'', ''乳糜试验-胸水乳糜试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''酚红排泄试验(PSP)'', ''肾功能-酚红排泄试验(PSP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''胱抑素(Cys-C)'', ''肾功能-胱抑素(Cys-C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''肌酐(Cr)'', ''肾功能-肌酐(Cr)'');
INSERT INTO `icss_lis_mapping` VALUES (''1311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''内生肌酐清除率(CCr)'', ''肾功能-内生肌酐清除率(CCr)'');
INSERT INTO `icss_lis_mapping` VALUES (''1312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿α1微球蛋白'', ''肾功能-尿α1微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿α2微球蛋白'', ''肾功能-尿α2微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿α3微球蛋白'', ''肾功能-尿α3微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿α4微球蛋白'', ''肾功能-尿α4微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿α5微球蛋白'', ''肾功能-尿α5微球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿β2-微球蛋白（β2-MG）'', ''肾功能-尿β2-微球蛋白（β2-MG）'');
INSERT INTO `icss_lis_mapping` VALUES (''1318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿蛋白定性试验'', ''肾功能-尿蛋白定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿素(Urea)'', ''肾功能-尿素(Urea)'');
INSERT INTO `icss_lis_mapping` VALUES (''1320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿素氮(BUN)'', ''肾功能-尿素氮(BUN)'');
INSERT INTO `icss_lis_mapping` VALUES (''1321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿素氮/肌酐'', ''肾功能-尿素氮/肌酐'');
INSERT INTO `icss_lis_mapping` VALUES (''1322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿素清除率'', ''肾功能-尿素清除率'');
INSERT INTO `icss_lis_mapping` VALUES (''1323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''尿酸(UA)'', ''肾功能-尿酸(UA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''肾小球滤过率(GFR)'', ''肾功能-肾小球滤过率(GFR)'');
INSERT INTO `icss_lis_mapping` VALUES (''1325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''选择性蛋白尿指数(SPI)'', ''肾功能-选择性蛋白尿指数(SPI)'');
INSERT INTO `icss_lis_mapping` VALUES (''1326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''血α1微球蛋白(α1-MG)'', ''肾功能-血α1微球蛋白(α1-MG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''血β2-微球蛋白（β2-MG）'', ''肾功能-血β2-微球蛋白（β2-MG）'');
INSERT INTO `icss_lis_mapping` VALUES (''1328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素'', ''血清肾上腺素(AD)'', ''肾上腺素-血清肾上腺素(AD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''醛固酮(ALD)(立位)'', ''肾素卧立位试验-醛固酮(ALD)(立位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''醛固酮(ALD)(卧位)'', ''肾素卧立位试验-醛固酮(ALD)(卧位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''肾素(立位)'', ''肾素卧立位试验-肾素(立位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''肾素(卧位)'', ''肾素卧立位试验-肾素(卧位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''血管紧张素(立位)'', ''肾素卧立位试验-血管紧张素(立位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''血管紧张素(卧位)'', ''肾素卧立位试验-血管紧张素(卧位)'');
INSERT INTO `icss_lis_mapping` VALUES (''1335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', ''精液渗透压'', ''渗透压检查-精液渗透压'');
INSERT INTO `icss_lis_mapping` VALUES (''1336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', ''尿液渗透压'', ''渗透压检查-尿液渗透压'');
INSERT INTO `icss_lis_mapping` VALUES (''1337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', ''血液渗透压'', ''渗透压检查-血液渗透压'');
INSERT INTO `icss_lis_mapping` VALUES (''1338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''蛋白C抵抗(APCR)'', ''生理抗凝因子检测-蛋白C抵抗(APCR)'');
INSERT INTO `icss_lis_mapping` VALUES (''1339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''蛋白C活性(PC)'', ''生理抗凝因子检测-蛋白C活性(PC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''蛋白C抗原(PC:Ag)'', ''生理抗凝因子检测-蛋白C抗原(PC:Ag)'');
INSERT INTO `icss_lis_mapping` VALUES (''1341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''蛋白S含量(PS:Ag)'', ''生理抗凝因子检测-蛋白S含量(PS:Ag)'');
INSERT INTO `icss_lis_mapping` VALUES (''1342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''抗凝血酶复合物(TAT)'', ''生理抗凝因子检测-抗凝血酶复合物(TAT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''抗凝血酶活性(AT:A)'', ''生理抗凝因子检测-抗凝血酶活性(AT:A)'');
INSERT INTO `icss_lis_mapping` VALUES (''1344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''抗凝血酶抗原(AT:Ag)'', ''生理抗凝因子检测-抗凝血酶抗原(AT:Ag)'');
INSERT INTO `icss_lis_mapping` VALUES (''1345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素'', ''生长激素(GH)'', ''生长激素-生长激素(GH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白'', ''视黄醇结合蛋白(RBP)'', ''视黄醇结合蛋白-视黄醇结合蛋白(RBP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素'', ''瘦素(LP)'', ''瘦素-瘦素(LP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查'', ''苏丹黑染色检查'', ''苏丹黑染色检查-苏丹黑染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''A群链球菌培养'', ''痰培养-A群链球菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''白喉棒状杆菌培养'', ''痰培养-白喉棒状杆菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''百日咳鲍特菌培养'', ''痰培养-百日咳鲍特菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''肺炎克雷伯菌培养'', ''痰培养-肺炎克雷伯菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''肺炎链球菌培养'', ''痰培养-肺炎链球菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''假单胞菌属培养'', ''痰培养-假单胞菌属培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''酵母样真菌培养'', ''痰培养-酵母样真菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''结核分枝杆菌培养'', ''痰培养-结核分枝杆菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''金黄色葡萄球菌培养'', ''痰培养-金黄色葡萄球菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''卡他莫拉菌培养'', ''痰培养-卡他莫拉菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''流感嗜血杆菌培养'', ''痰培养-流感嗜血杆菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''诺卡菌培养'', ''痰培养-诺卡菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''痰培养'', ''痰培养-痰培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''一般细菌培养(痰)'', ''痰培养-一般细菌培养(痰)'');
INSERT INTO `icss_lis_mapping` VALUES (''1363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''自定义'', ''痰培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''1364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片'', ''痰涂片'', ''痰涂片-痰涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''革兰染色'', ''痰液常规-革兰染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''寄生虫'', ''痰液常规-寄生虫'');
INSERT INTO `icss_lis_mapping` VALUES (''1367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''结晶'', ''痰液常规-结晶'');
INSERT INTO `icss_lis_mapping` VALUES (''1368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''抗酸染色'', ''痰液常规-抗酸染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''其他'', ''痰液常规-其他'');
INSERT INTO `icss_lis_mapping` VALUES (''1370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''色、性状、血液'', ''痰液常规-色、性状、血液'');
INSERT INTO `icss_lis_mapping` VALUES (''1371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''细胞'', ''痰液常规-细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''餐后1h血糖(Glu)'', ''糖代谢检查-餐后1h血糖(Glu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''餐后2h血糖(Glu)'', ''糖代谢检查-餐后2h血糖(Glu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''空腹血糖(Glu)'', ''糖代谢检查-空腹血糖(Glu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''随机血糖(Glu)'', ''糖代谢检查-随机血糖(Glu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''糖化白蛋白(GA)'', ''糖代谢检查-糖化白蛋白(GA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''糖化血红蛋白(GHb)'', ''糖代谢检查-糖化血红蛋白(GHb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''糖化血清蛋白(GSP)'', ''糖代谢检查-糖化血清蛋白(GSP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁染色检查'', ''骨髓铁染色'', ''铁染色检查-骨髓铁染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁染色检查'', ''血液铁染色'', ''铁染色检查-血液铁染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸'', ''同型半胱氨酸(Hcy)'', ''同型半胱氨酸-同型半胱氨酸(Hcy)'');
INSERT INTO `icss_lis_mapping` VALUES (''1382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白CER'', ''铜蓝蛋白(CER)'', ''铜蓝蛋白CER-铜蓝蛋白(CER)'');
INSERT INTO `icss_lis_mapping` VALUES (''1383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周血细胞形态学分析'', ''外周血细胞形态学分析'', ''外周血细胞形态学分析-外周血细胞形态学分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''碘(I)'', ''微量元素测定-碘(I)'');
INSERT INTO `icss_lis_mapping` VALUES (''1385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''镉(Cd)'', ''微量元素测定-镉(Cd)'');
INSERT INTO `icss_lis_mapping` VALUES (''1386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''铬(Cr)'', ''微量元素测定-铬(Cr)'');
INSERT INTO `icss_lis_mapping` VALUES (''1387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''汞(Hg)'', ''微量元素测定-汞(Hg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''锂(Li)'', ''微量元素测定-锂(Li)'');
INSERT INTO `icss_lis_mapping` VALUES (''1389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''铅(Pb)'', ''微量元素测定-铅(Pb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''铁(Fe)'', ''微量元素测定-铁(Fe)'');
INSERT INTO `icss_lis_mapping` VALUES (''1391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''铜(Cu)'', ''微量元素测定-铜(Cu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''硒(Se)'', ''微量元素测定-硒(Se)'');
INSERT INTO `icss_lis_mapping` VALUES (''1393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''锌(Zn)'', ''微量元素测定-锌(Zn)'');
INSERT INTO `icss_lis_mapping` VALUES (''1394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A(VitA)测定'', ''血清维生素A(VitA)测定'', ''维生素A(VitA)测定-血清维生素A(VitA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1'', ''血清维生素B1(VitB1)测定'', ''维生素B1-血清维生素B1(VitB1)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12'', ''血清维生素B12'', ''维生素B12-血清维生素B12'');
INSERT INTO `icss_lis_mapping` VALUES (''1397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C'', ''血浆维生素C(VitC)测定'', ''维生素C-血浆维生素C(VitC)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', ''1,25-羟维生素D3'', ''维生素D测定-1,25-羟维生素D3'');
INSERT INTO `icss_lis_mapping` VALUES (''1399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', ''25羟基维生素D3[25(OH)D]'', ''维生素D测定-25羟基维生素D3[25(OH)D]'');
INSERT INTO `icss_lis_mapping` VALUES (''1400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', ''维生素D2'', ''维生素D测定-维生素D2'');
INSERT INTO `icss_lis_mapping` VALUES (''1401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', ''胃蛋白酶原I'', ''胃蛋白酶原检测(PG)-胃蛋白酶原I'');
INSERT INTO `icss_lis_mapping` VALUES (''1402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', ''胃蛋白酶原II'', ''胃蛋白酶原检测(PG)-胃蛋白酶原II'');
INSERT INTO `icss_lis_mapping` VALUES (''1403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', ''胃蛋白酶原PGI/II比值'', ''胃蛋白酶原检测(PG)-胃蛋白酶原PGI/II比值'');
INSERT INTO `icss_lis_mapping` VALUES (''1404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素测定'', ''胃泌素'', ''胃泌素测定-胃泌素'');
INSERT INTO `icss_lis_mapping` VALUES (''1405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''BAO/MAO'', ''胃酸分泌试验-BAO/MAO'');
INSERT INTO `icss_lis_mapping` VALUES (''1406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''高峰泌酸量(PAO)'', ''胃酸分泌试验-高峰泌酸量(PAO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''基础泌酸量(BAO)'', ''胃酸分泌试验-基础泌酸量(BAO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''最大泌酸量(MAO)'', ''胃酸分泌试验-最大泌酸量(MAO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''癌细胞'', ''胃液常规-癌细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''白细胞'', ''胃液常规-白细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''胆汁测定'', ''胃液常规-胆汁测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''红细胞'', ''胃液常规-红细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''量'', ''胃液常规-量'');
INSERT INTO `icss_lis_mapping` VALUES (''1414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''黏液'', ''胃液常规-黏液'');
INSERT INTO `icss_lis_mapping` VALUES (''1415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''上皮细胞'', ''胃液常规-上皮细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''酸碱度(PH)'', ''胃液常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''外观'', ''胃液常规-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''1418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''细菌'', ''胃液常规-细菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''脑脊液细菌培养'', ''无菌体液细菌培养-脑脊液细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''无菌体液细菌培养'', ''无菌体液细菌培养-无菌体液细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''胸腔积液细菌培养'', ''无菌体液细菌培养-胸腔积液细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''戊肝DNA定量'', ''戊肝测定-戊肝DNA定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''戊肝DNA定性'', ''戊肝测定-戊肝DNA定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''戊肝抗体(Anti-HEV)IgG'', ''戊肝测定-戊肝抗体(Anti-HEV)IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''戊肝抗体(Anti-HEV)IgM'', ''戊肝测定-戊肝抗体(Anti-HEV)IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''百日咳杆菌抗体'', ''细菌抗体测定-百日咳杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''单核细胞增多性李斯特菌抗体'', ''细菌抗体测定-单核细胞增多性李斯特菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''肺炎克雷伯杆菌抗体'', ''细菌抗体测定-肺炎克雷伯杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''副百日咳杆菌抗体'', ''细菌抗体测定-副百日咳杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''结肠弯曲菌抗体'', ''细菌抗体测定-结肠弯曲菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''结核杆菌抗体'', ''细菌抗体测定-结核杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''军团菌抗体抗体'', ''细菌抗体测定-军团菌抗体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''空肠弯曲菌抗体'', ''细菌抗体测定-空肠弯曲菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''流感嗜血杆菌抗体'', ''细菌抗体测定-流感嗜血杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''脑膜炎奈瑟菌抗体'', ''细菌抗体测定-脑膜炎奈瑟菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''破伤风杆菌抗体'', ''细菌抗体测定-破伤风杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''细菌抗体测定'', ''细菌抗体测定-细菌抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''小肠结肠炎耶尔森氏菌抗体'', ''细菌抗体测定-小肠结肠炎耶尔森氏菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''幽门螺杆菌抗体'', ''细菌抗体测定-幽门螺杆菌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗原检测'', ''细菌抗原检测'', ''细菌抗原检测-细菌抗原检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''H2O2'', ''细菌性阴道炎检测-H2O2'');
INSERT INTO `icss_lis_mapping` VALUES (''1442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''白细胞酯酶'', ''细菌性阴道炎检测-白细胞酯酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''唾液酸酐酶活性'', ''细菌性阴道炎检测-唾液酸酐酶活性'');
INSERT INTO `icss_lis_mapping` VALUES (''1444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''细菌性阴道炎快速检测'', ''细菌性阴道炎检测-细菌性阴道炎快速检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''D-二聚体'', ''纤溶系统检测-D-二聚体'');
INSERT INTO `icss_lis_mapping` VALUES (''1446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''抗纤溶酶复合物'', ''纤溶系统检测-抗纤溶酶复合物'');
INSERT INTO `icss_lis_mapping` VALUES (''1447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''纤维蛋白降解产物(FDP)'', ''纤溶系统检测-纤维蛋白降解产物(FDP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性'', ''纤溶系统检测-血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性'');
INSERT INTO `icss_lis_mapping` VALUES (''1449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''血浆纤维蛋白肽BP15-42'', ''纤溶系统检测-血浆纤维蛋白肽BP15-42'');
INSERT INTO `icss_lis_mapping` VALUES (''1450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''血浆纤维蛋白肽Bβ1-42'', ''纤溶系统检测-血浆纤维蛋白肽Bβ1-42'');
INSERT INTO `icss_lis_mapping` VALUES (''1451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''血浆纤维蛋白肽B检测'', ''纤溶系统检测-血浆纤维蛋白肽B检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''血浆鱼精蛋白副凝(3P)试验'', ''纤溶系统检测-血浆鱼精蛋白副凝(3P)试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''优球蛋白溶解时间'', ''纤溶系统检测-优球蛋白溶解时间'');
INSERT INTO `icss_lis_mapping` VALUES (''1454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''优球蛋白溶解时间(ELT)测定'', ''纤溶系统检测-优球蛋白溶解时间(ELT)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定'', ''抗腺病毒抗体IgG(ADV-IgG)'', ''腺病毒抗体测定-抗腺病毒抗体IgG(ADV-IgG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定'', ''抗腺病毒抗体IgM(ADV-IgM)'', ''腺病毒抗体测定-抗腺病毒抗体IgM(ADV-IgM)'');
INSERT INTO `icss_lis_mapping` VALUES (''1457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草扁桃酸'', ''香草苦杏仁酸'', ''香草扁桃酸-香草苦杏仁酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''白细胞'', ''心包积液常规-白细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''比重'', ''心包积液常规-比重'');
INSERT INTO `icss_lis_mapping` VALUES (''1460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''葡萄糖定量'', ''心包积液常规-葡萄糖定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''乳酸脱氢酶(LD)'', ''心包积液常规-乳酸脱氢酶(LD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''酸碱度(PH)'', ''心包积液常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''透明度'', ''心包积液常规-透明度'');
INSERT INTO `icss_lis_mapping` VALUES (''1464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''外观'', ''心包积液常规-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''1465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''心包积液培养'', ''心包积液培养-心包积液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''一般细菌培养(心包积液)'', ''心包积液培养-一般细菌培养(心包积液)'');
INSERT INTO `icss_lis_mapping` VALUES (''1467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''自定义'', ''心包积液培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''1468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''白蛋白(Alb)'', ''心包积液生化-白蛋白(Alb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''腺苷脱氨酶(ADA)'', ''心包积液生化-腺苷脱氨酶(ADA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''心包积液生化'', ''心包积液生化-心包积液生化'');
INSERT INTO `icss_lis_mapping` VALUES (''1471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''肌钙蛋白Ⅰ(TnI)'', ''心肌梗死标志物-肌钙蛋白Ⅰ(TnI)'');
INSERT INTO `icss_lis_mapping` VALUES (''1472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''肌钙蛋白T(TnT)'', ''心肌梗死标志物-肌钙蛋白T(TnT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''肌酸激酶同工酶CK-MB'', ''心肌梗死标志物-肌酸激酶同工酶CK-MB'');
INSERT INTO `icss_lis_mapping` VALUES (''1474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''血清肌红蛋白(Mb)'', ''心肌梗死标志物-血清肌红蛋白(Mb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''CK-MB/CK'', ''心肌酶谱-CK-MB/CK'');
INSERT INTO `icss_lis_mapping` VALUES (''1476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''α-羟丁酸脱氢酶(α-HBD)'', ''心肌酶谱-α-羟丁酸脱氢酶(α-HBD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''α羟基丁酸脱氢酶(α-HBD)'', ''心肌酶谱-α羟基丁酸脱氢酶(α-HBD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''肌酸激酶(CK)'', ''心肌酶谱-肌酸激酶(CK)'');
INSERT INTO `icss_lis_mapping` VALUES (''1479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''肌酸激酶同工酶'', ''心肌酶谱-肌酸激酶同工酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''肌酸激酶同工酶CK-MB'', ''心肌酶谱-肌酸激酶同工酶CK-MB'');
INSERT INTO `icss_lis_mapping` VALUES (''1481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''乳酸脱氢酶(LD)'', ''心肌酶谱-乳酸脱氢酶(LD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿溶血病检测'', ''ABO血型系统抗体致新生儿溶血病检测'', ''新生儿溶血病检测-ABO血型系统抗体致新生儿溶血病检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿溶血病检测'', ''Rh血型系统抗体致新生儿溶血病检测'', ''新生儿溶血病检测-Rh血型系统抗体致新生儿溶血病检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)'', ''性激素结合球蛋白(SHBG)'', ''性激素结合球蛋白(SHBG)-性激素结合球蛋白(SHBG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''雌二醇(E2)'', ''性激素六项-雌二醇(E2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''促黄体生成素(LH)'', ''性激素六项-促黄体生成素(LH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''睾酮(T)'', ''性激素六项-睾酮(T)'');
INSERT INTO `icss_lis_mapping` VALUES (''1488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''卵泡刺激素(FSH)'', ''性激素六项-卵泡刺激素(FSH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''泌乳素(PRL)'', ''性激素六项-泌乳素(PRL)'');
INSERT INTO `icss_lis_mapping` VALUES (''1490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''孕酮(P)'', ''性激素六项-孕酮(P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''比重'', ''胸腔积液常规-比重'');
INSERT INTO `icss_lis_mapping` VALUES (''1492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''蛋白定量'', ''胸腔积液常规-蛋白定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''结核分枝杆菌'', ''胸腔积液常规-结核分枝杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''军团菌'', ''胸腔积液常规-军团菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''黏蛋白定性'', ''胸腔积液常规-黏蛋白定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''凝固性'', ''胸腔积液常规-凝固性'');
INSERT INTO `icss_lis_mapping` VALUES (''1497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''葡萄糖定量'', ''胸腔积液常规-葡萄糖定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''乳酸脱氢酶'', ''胸腔积液常规-乳酸脱氢酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''酸碱度(PH)'', ''胸腔积液常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''透明度'', ''胸腔积液常规-透明度'');
INSERT INTO `icss_lis_mapping` VALUES (''1501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''外观'', ''胸腔积液常规-外观'');
INSERT INTO `icss_lis_mapping` VALUES (''1502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''细胞计数'', ''胸腔积液常规-细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''胸水结核分枝杆菌核酸'', ''胸腔积液常规-胸水结核分枝杆菌核酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''异型细胞'', ''胸腔积液常规-异型细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''白蛋白(Alb)'', ''胸腔积液生化-白蛋白(Alb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''蛋白质'', ''胸腔积液生化-蛋白质'');
INSERT INTO `icss_lis_mapping` VALUES (''1507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''氯化物'', ''胸腔积液生化-氯化物'');
INSERT INTO `icss_lis_mapping` VALUES (''1508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''葡萄糖'', ''胸腔积液生化-葡萄糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''腺苷脱氨酶(ADA)'', ''胸腔积液生化-腺苷脱氨酶(ADA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''A群链球菌'', ''胸水培养-A群链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''大肠埃希菌'', ''胸水培养-大肠埃希菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''肺炎克雷伯菌'', ''胸水培养-肺炎克雷伯菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''结核分枝杆菌'', ''胸水培养-结核分枝杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''金黄色葡萄球菌'', ''胸水培养-金黄色葡萄球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''铜绿假单胞菌'', ''胸水培养-铜绿假单胞菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''胸水培养'', ''胸水培养-胸水培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''胸水一般细菌培养'', ''胸水培养-胸水一般细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''真菌'', ''胸水培养-真菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''自定义'', ''胸水培养-自定义'');
INSERT INTO `icss_lis_mapping` VALUES (''1520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''睾酮(T)'', ''雄性激素-睾酮(T)'');
INSERT INTO `icss_lis_mapping` VALUES (''1521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''双氢睾酮(DHT)'', ''雄性激素-双氢睾酮(DHT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''雄烯二酮(A2)'', ''雄性激素-雄烯二酮(A2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''血清去氢表雄酮'', ''雄性激素-血清去氢表雄酮'');
INSERT INTO `icss_lis_mapping` VALUES (''1524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α2巨球蛋白'', ''血α2巨球蛋白'', ''血α2巨球蛋白-血α2巨球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨测定'', ''血氨'', ''血氨测定-血氨'');
INSERT INTO `icss_lis_mapping` VALUES (''1526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''HGB*3/HCT'', ''血常规-HGB*3/HCT'');
INSERT INTO `icss_lis_mapping` VALUES (''1527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''白细胞计数(WBC)'', ''血常规-白细胞计数(WBC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''大型血小板比例(P-LCR)'', ''血常规-大型血小板比例(P-LCR)'');
INSERT INTO `icss_lis_mapping` VALUES (''1529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''单核细胞比例(MONO%)'', ''血常规-单核细胞比例(MONO%)'');
INSERT INTO `icss_lis_mapping` VALUES (''1530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''单核细胞计数(MONO)'', ''血常规-单核细胞计数(MONO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''红细胞分布宽度(RDW)'', ''血常规-红细胞分布宽度(RDW)'');
INSERT INTO `icss_lis_mapping` VALUES (''1532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''红细胞计数(RBC)'', ''血常规-红细胞计数(RBC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''红细胞压积(HCT)'', ''血常规-红细胞压积(HCT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''淋巴细胞比例(LY%)'', ''血常规-淋巴细胞比例(LY%)'');
INSERT INTO `icss_lis_mapping` VALUES (''1535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''淋巴细胞计数(LY)'', ''血常规-淋巴细胞计数(LY)'');
INSERT INTO `icss_lis_mapping` VALUES (''1536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''平均红细胞体积(MCV)'', ''血常规-平均红细胞体积(MCV)'');
INSERT INTO `icss_lis_mapping` VALUES (''1537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''平均红细胞血红蛋白含量(MCH)'', ''血常规-平均红细胞血红蛋白含量(MCH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''平均红细胞血红蛋白浓度(MCHC)'', ''血常规-平均红细胞血红蛋白浓度(MCHC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''平均血小板体积(MPV）'', ''血常规-平均血小板体积(MPV）'');
INSERT INTO `icss_lis_mapping` VALUES (''1540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''嗜碱性粒细胞百分比'', ''血常规-嗜碱性粒细胞百分比'');
INSERT INTO `icss_lis_mapping` VALUES (''1541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''嗜碱性粒细胞计数'', ''血常规-嗜碱性粒细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''嗜酸性粒细胞百分比'', ''血常规-嗜酸性粒细胞百分比'');
INSERT INTO `icss_lis_mapping` VALUES (''1543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''嗜酸性粒细胞计数'', ''血常规-嗜酸性粒细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''网织红细胞分布宽度(RDW-SD)'', ''血常规-网织红细胞分布宽度(RDW-SD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''血红蛋白浓度(HGB)'', ''血常规-血红蛋白浓度(HGB)'');
INSERT INTO `icss_lis_mapping` VALUES (''1546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''血小板计数(PLT)'', ''血常规-血小板计数(PLT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''血小板体积分布宽度(PDW)'', ''血常规-血小板体积分布宽度(PDW)'');
INSERT INTO `icss_lis_mapping` VALUES (''1548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''血小板压积(PCT)'', ''血常规-血小板压积(PCT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''中性粒细胞比例(NEUT%)'', ''血常规-中性粒细胞比例(NEUT%)'');
INSERT INTO `icss_lis_mapping` VALUES (''1550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', ''中性粒细胞计数(NEUT%)'', ''血常规-中性粒细胞计数(NEUT%)'');
INSERT INTO `icss_lis_mapping` VALUES (''1551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血沉'', ''红细胞沉降率(ESR)'', ''血沉-红细胞沉降率(ESR)'');
INSERT INTO `icss_lis_mapping` VALUES (''1552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)'', ''血管紧张素转化酶(ACE)'', ''血管紧张素转化酶(ACE)-血管紧张素转化酶(ACE)'');
INSERT INTO `icss_lis_mapping` VALUES (''1553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''埃肯菌'', ''血培养及鉴定-埃肯菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''草绿色链球菌'', ''血培养及鉴定-草绿色链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''肠球菌'', ''血培养及鉴定-肠球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''放线杆菌'', ''血培养及鉴定-放线杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''艰难梭状杆菌'', ''血培养及鉴定-艰难梭状杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''结核分枝杆菌'', ''血培养及鉴定-结核分枝杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''结核杆菌'', ''血培养及鉴定-结核杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''金黄色葡萄球菌'', ''血培养及鉴定-金黄色葡萄球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''金氏菌'', ''血培养及鉴定-金氏菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''军团菌'', ''血培养及鉴定-军团菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''立克次体'', ''血培养及鉴定-立克次体'');
INSERT INTO `icss_lis_mapping` VALUES (''1564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''牛链球菌'', ''血培养及鉴定-牛链球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''伤寒杆菌'', ''血培养及鉴定-伤寒杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''嗜血杆菌'', ''血培养及鉴定-嗜血杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''心杆菌'', ''血培养及鉴定-心杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''血培养'', ''血培养及鉴定-血培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''一般细菌培养(血)'', ''血培养及鉴定-一般细菌培养(血)'');
INSERT INTO `icss_lis_mapping` VALUES (''1570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''丙酮酸(PA)'', ''血气分析-丙酮酸(PA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''动脉血二氧化碳分压(PCO2)'', ''血气分析-动脉血二氧化碳分压(PCO2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''动脉血氧分压(PaO2)'', ''血气分析-动脉血氧分压(PaO2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''二氧化碳结合力(CO2CP)'', ''血气分析-二氧化碳结合力(CO2CP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''全血缓冲碱(BB)'', ''血气分析-全血缓冲碱(BB)'');
INSERT INTO `icss_lis_mapping` VALUES (''1575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''乳酸(LA)'', ''血气分析-乳酸(LA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''乳酸/丙酮酸'', ''血气分析-乳酸/丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''剩余碱(BE,BD)'', ''血气分析-剩余碱(BE,BD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''酸碱度(PH)'', ''血气分析-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''碳酸氢根(HCO3)'', ''血气分析-碳酸氢根(HCO3)'');
INSERT INTO `icss_lis_mapping` VALUES (''1580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''血红蛋白(Hb)'', ''血气分析-血红蛋白(Hb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''血浆渗透压(POP)'', ''血气分析-血浆渗透压(POP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''血氧饱和度(SpO2)'', ''血气分析-血氧饱和度(SpO2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''阴离子间隙(AG)'', ''血气分析-阴离子间隙(AG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血轻链测定'', ''KAP'', ''血轻链测定-KAP'');
INSERT INTO `icss_lis_mapping` VALUES (''1585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血轻链测定'', ''LAM'', ''血轻链测定-LAM'');
INSERT INTO `icss_lis_mapping` VALUES (''1586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙氨酸'', ''苯丙氨酸(PKU)'', ''血清苯丙氨酸-苯丙氨酸(PKU)'');
INSERT INTO `icss_lis_mapping` VALUES (''1587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙酮酸'', ''血清丙酮酸'', ''血清丙酮酸-血清丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''α1球蛋白'', ''血清蛋白电泳-α1球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''α2球蛋白'', ''血清蛋白电泳-α2球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''β2球蛋白'', ''血清蛋白电泳-β2球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''γ球蛋白'', ''血清蛋白电泳-γ球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''白蛋白'', ''血清蛋白电泳-白蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''丙戊酸'', ''血清药物浓度测定-丙戊酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''地高辛'', ''血清药物浓度测定-地高辛'');
INSERT INTO `icss_lis_mapping` VALUES (''1595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''儿茶酚胺'', ''血清药物浓度测定-儿茶酚胺'');
INSERT INTO `icss_lis_mapping` VALUES (''1596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''环胞霉素(Glu)'', ''血清药物浓度测定-环胞霉素(Glu)'');
INSERT INTO `icss_lis_mapping` VALUES (''1597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''卡马西平'', ''血清药物浓度测定-卡马西平'');
INSERT INTO `icss_lis_mapping` VALUES (''1598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''可的松'', ''血清药物浓度测定-可的松'');
INSERT INTO `icss_lis_mapping` VALUES (''1599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸'', ''血清游离脂肪酸(FFA)'', ''血清游离脂肪酸-血清游离脂肪酸(FFA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清粘蛋白'', ''粘蛋白'', ''血清粘蛋白-粘蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验'', ''血栓弹力图试验'', ''血栓弹力图试验-血栓弹力图试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体'', ''β-羟基丁酸(β-HB)'', ''血酮体-β-羟基丁酸(β-HB)'');
INSERT INTO `icss_lis_mapping` VALUES (''1603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体'', ''血酮体(KET)'', ''血酮体-血酮体(KET)'');
INSERT INTO `icss_lis_mapping` VALUES (''1604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫检查'', ''血吸虫抗体'', ''血吸虫检查-血吸虫抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板功能及抗体检测'', ''血小板抗体'', ''血小板功能及抗体检测-血小板抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', ''ABO血型'', ''血型-ABO血型'');
INSERT INTO `icss_lis_mapping` VALUES (''1607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', ''RH血型'', ''血型-RH血型'');
INSERT INTO `icss_lis_mapping` VALUES (''1608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', ''血型特异性抗体'', ''血型-血型特异性抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''肌钙蛋白T(TnT)'', ''血液免疫学检查-肌钙蛋白T(TnT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''肌红蛋白(Mb)'', ''血液免疫学检查-肌红蛋白(Mb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''免疫球蛋白A'', ''血液免疫学检查-免疫球蛋白A'');
INSERT INTO `icss_lis_mapping` VALUES (''1612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''免疫球蛋白D'', ''血液免疫学检查-免疫球蛋白D'');
INSERT INTO `icss_lis_mapping` VALUES (''1613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''免疫球蛋白E'', ''血液免疫学检查-免疫球蛋白E'');
INSERT INTO `icss_lis_mapping` VALUES (''1614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''免疫球蛋白G'', ''血液免疫学检查-免疫球蛋白G'');
INSERT INTO `icss_lis_mapping` VALUES (''1615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''免疫球蛋白M'', ''血液免疫学检查-免疫球蛋白M'');
INSERT INTO `icss_lis_mapping` VALUES (''1616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', ''血液培养'', ''血液培养-血液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', ''一般细菌培养(血液)'', ''血液培养-一般细菌培养(血液)'');
INSERT INTO `icss_lis_mapping` VALUES (''1618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮分析'', ''血一氧化氮(NO)'', ''血一氧化氮分析-血一氧化氮(NO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化碳分析'', ''血一氧化氮(NO)'', ''血一氧化碳分析-血一氧化氮(NO)'');
INSERT INTO `icss_lis_mapping` VALUES (''1620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''低密度脂蛋白胆固醇(LDL-C)'', ''血脂-低密度脂蛋白胆固醇(LDL-C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''甘油三酯(TG)'', ''血脂-甘油三酯(TG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''高密度脂蛋白胆固醇(HDL-C)'', ''血脂-高密度脂蛋白胆固醇(HDL-C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''极低密度脂蛋白胆固醇(VLDL-C)'', ''血脂-极低密度脂蛋白胆固醇(VLDL-C)'');
INSERT INTO `icss_lis_mapping` VALUES (''1624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''血清载脂蛋白A/B'', ''血脂-血清载脂蛋白A/B'');
INSERT INTO `icss_lis_mapping` VALUES (''1625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''载脂蛋白A(apoA)'', ''血脂-载脂蛋白A(apoA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''载脂蛋白A1(apoA1)'', ''血脂-载脂蛋白A1(apoA1)'');
INSERT INTO `icss_lis_mapping` VALUES (''1627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''载脂蛋白B(apoB)'', ''血脂-载脂蛋白B(apoB)'');
INSERT INTO `icss_lis_mapping` VALUES (''1628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''载脂蛋白E(apoE)'', ''血脂-载脂蛋白E(apoE)'');
INSERT INTO `icss_lis_mapping` VALUES (''1629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''脂蛋白a(LPa)'', ''血脂-脂蛋白a(LPa)'');
INSERT INTO `icss_lis_mapping` VALUES (''1630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''总胆固醇(TC)'', ''血脂-总胆固醇(TC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''肺炎克雷伯氏菌'', ''咽拭子培养-肺炎克雷伯氏菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''肺炎双球菌'', ''咽拭子培养-肺炎双球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''酵母菌'', ''咽拭子培养-酵母菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''结核杆菌'', ''咽拭子培养-结核杆菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''军团菌'', ''咽拭子培养-军团菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''葡萄球菌'', ''咽拭子培养-葡萄球菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', ''红细胞叶酸'', ''叶酸-红细胞叶酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', ''叶酸(FA)'', ''叶酸-叶酸(FA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', ''一般细菌培养+鉴定+药敏'', ''一般细菌培养及鉴定-一般细菌培养+鉴定+药敏'');
INSERT INTO `icss_lis_mapping` VALUES (''1640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', ''一般细菌培养及鉴定'', ''一般细菌培养及鉴定-一般细菌培养及鉴定'');
INSERT INTO `icss_lis_mapping` VALUES (''1641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查'', ''一般细菌涂片检查'', ''一般细菌涂片检查-一般细菌涂片检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''抗肺炎衣原体抗体(CP)'', ''衣原体检测-抗肺炎衣原体抗体(CP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''抗沙眼衣原体抗体-IgA'', ''衣原体检测-抗沙眼衣原体抗体-IgA'');
INSERT INTO `icss_lis_mapping` VALUES (''1644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''抗沙眼衣原体抗体-IgG'', ''衣原体检测-抗沙眼衣原体抗体-IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''抗沙眼衣原体抗体-IgM'', ''衣原体检测-抗沙眼衣原体抗体-IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''沙眼衣原体核酸测定(CT DNA)'', ''衣原体检测-沙眼衣原体核酸测定(CT DNA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''沙眼衣原体脱氧核糖核酸扩增检测'', ''衣原体检测-沙眼衣原体脱氧核糖核酸扩增检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''衣原体'', ''衣原体检测-衣原体'');
INSERT INTO `icss_lis_mapping` VALUES (''1649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''衣原体培养+鉴定'', ''衣原体检测-衣原体培养+鉴定'');
INSERT INTO `icss_lis_mapping` VALUES (''1650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物检查'', ''C肽（C-PR）'', ''胰岛素及代谢物检查-C肽（C-PR）'');
INSERT INTO `icss_lis_mapping` VALUES (''1651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''餐后2h胰岛素(Ins)'', ''胰岛素及代谢物相关检查-餐后2h胰岛素(Ins)'');
INSERT INTO `icss_lis_mapping` VALUES (''1652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''餐后胰岛素(Ins)'', ''胰岛素及代谢物相关检查-餐后胰岛素(Ins)'');
INSERT INTO `icss_lis_mapping` VALUES (''1653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''抗谷氨酸脱羧酶抗体(GAD)'', ''胰岛素及代谢物相关检查-抗谷氨酸脱羧酶抗体(GAD)'');
INSERT INTO `icss_lis_mapping` VALUES (''1654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''抗酪氨酸磷酸酶抗体(IA2)'', ''胰岛素及代谢物相关检查-抗酪氨酸磷酸酶抗体(IA2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''抗胰岛素抗体(IAB)'', ''胰岛素及代谢物相关检查-抗胰岛素抗体(IAB)'');
INSERT INTO `icss_lis_mapping` VALUES (''1656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''抗胰岛细胞抗体(IAA)'', ''胰岛素及代谢物相关检查-抗胰岛细胞抗体(IAA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''空腹胰岛素(Ins)'', ''胰岛素及代谢物相关检查-空腹胰岛素(Ins)'');
INSERT INTO `icss_lis_mapping` VALUES (''1658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''胰岛素(Ins)'', ''胰岛素及代谢物相关检查-胰岛素(Ins)'');
INSERT INTO `icss_lis_mapping` VALUES (''1659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''120min胰岛素'', ''胰岛素释放试验1-120min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''180min胰岛素'', ''胰岛素释放试验1-180min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''240min胰岛素'', ''胰岛素释放试验1-240min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''300min胰岛素'', ''胰岛素释放试验1-300min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''30min胰岛素'', ''胰岛素释放试验1-30min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''60min胰岛素'', ''胰岛素释放试验1-60min胰岛素'');
INSERT INTO `icss_lis_mapping` VALUES (''1665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''120minC肽(C-P)'', ''胰岛素释放试验2-120minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''180minC肽(C-P)'', ''胰岛素释放试验2-180minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''240minC肽(C-P)'', ''胰岛素释放试验2-240minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''300minC肽(C-P)'', ''胰岛素释放试验2-300minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''30minC肽(C-P)'', ''胰岛素释放试验2-30minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''60minC肽(C-P)'', ''胰岛素释放试验2-60minC肽(C-P)'');
INSERT INTO `icss_lis_mapping` VALUES (''1671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰多肽'', ''血浆胰多肽(PP)'', ''胰多肽-血浆胰多肽(PP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素'', ''胰高血糖素(Ins)'', ''胰高血糖素-胰高血糖素(Ins)'');
INSERT INTO `icss_lis_mapping` VALUES (''1673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝DNA定量'', ''乙肝测定-乙肝DNA定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝DNA定性'', ''乙肝测定-乙肝DNA定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝e抗体定量(HBeAb)'', ''乙肝测定-乙肝e抗体定量(HBeAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝e抗体定性(HBeAb)'', ''乙肝测定-乙肝e抗体定性(HBeAb)'');
INSERT INTO `icss_lis_mapping` VALUES (''1677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝e抗原定量(HBeAg)'', ''乙肝测定-乙肝e抗原定量(HBeAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝e抗原定性(HBeAg)'', ''乙肝测定-乙肝e抗原定性(HBeAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝S1抗体定性'', ''乙肝测定-乙肝S1抗体定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝S1抗原定性'', ''乙肝测定-乙肝S1抗原定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝S2抗体定性'', ''乙肝测定-乙肝S2抗体定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝S2抗原定性'', ''乙肝测定-乙肝S2抗原定性'');
INSERT INTO `icss_lis_mapping` VALUES (''1683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝表面抗体定量(抗HBs)'', ''乙肝测定-乙肝表面抗体定量(抗HBs)'');
INSERT INTO `icss_lis_mapping` VALUES (''1684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝表面抗体定性(抗HBs)'', ''乙肝测定-乙肝表面抗体定性(抗HBs)'');
INSERT INTO `icss_lis_mapping` VALUES (''1685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝表面抗原定量(HBsAg)'', ''乙肝测定-乙肝表面抗原定量(HBsAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝表面抗原定性(HBsAg)'', ''乙肝测定-乙肝表面抗原定性(HBsAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝核心抗体定量(抗HBc)'', ''乙肝测定-乙肝核心抗体定量(抗HBc)'');
INSERT INTO `icss_lis_mapping` VALUES (''1688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝核心抗体定性(抗HBc)'', ''乙肝测定-乙肝核心抗体定性(抗HBc)'');
INSERT INTO `icss_lis_mapping` VALUES (''1689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝核心抗原定量(HBcAg)'', ''乙肝测定-乙肝核心抗原定量(HBcAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝核心抗原定性(HBcAg)'', ''乙肝测定-乙肝核心抗原定性(HBcAg)'');
INSERT INTO `icss_lis_mapping` VALUES (''1691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙型肝炎耐药基因检测'', ''乙肝测定-乙型肝炎耐药基因检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''胺试验'', ''阴道分泌物常规-胺试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''白细胞计数'', ''阴道分泌物常规-白细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''滴虫'', ''阴道分泌物常规-滴虫'');
INSERT INTO `icss_lis_mapping` VALUES (''1695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''革兰氏阳性菌'', ''阴道分泌物常规-革兰氏阳性菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''革兰氏阴性菌'', ''阴道分泌物常规-革兰氏阴性菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''红细胞计数'', ''阴道分泌物常规-红细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''淋菌'', ''阴道分泌物常规-淋菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''霉菌孢子'', ''阴道分泌物常规-霉菌孢子'');
INSERT INTO `icss_lis_mapping` VALUES (''1700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''霉菌菌丝'', ''阴道分泌物常规-霉菌菌丝'');
INSERT INTO `icss_lis_mapping` VALUES (''1701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''清洁度'', ''阴道分泌物常规-清洁度'');
INSERT INTO `icss_lis_mapping` VALUES (''1702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''上皮细胞计数'', ''阴道分泌物常规-上皮细胞计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''酸碱度(PH)'', ''阴道分泌物常规-酸碱度(PH)'');
INSERT INTO `icss_lis_mapping` VALUES (''1704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''线索细胞'', ''阴道分泌物常规-线索细胞'');
INSERT INTO `icss_lis_mapping` VALUES (''1705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', ''胃液隐血试验'', ''隐血试验-胃液隐血试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', ''隐血试验(各种标本)'', ''隐血试验-隐血试验(各种标本)'');
INSERT INTO `icss_lis_mapping` VALUES (''1707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', ''隐血试验（自定义）'', ''隐血试验-隐血试验（自定义）'');
INSERT INTO `icss_lis_mapping` VALUES (''1708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''单纯疱疹病毒II型抗体IgM'', ''优生优育-单纯疱疹病毒II型抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''单纯疱疹病毒I型抗体IgM'', ''优生优育-单纯疱疹病毒I型抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''风疹病毒抗体IgG'', ''优生优育-风疹病毒抗体IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''风疹病毒抗体IgM'', ''优生优育-风疹病毒抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''弓形虫抗体IgG'', ''优生优育-弓形虫抗体IgG'');
INSERT INTO `icss_lis_mapping` VALUES (''1713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''弓形虫抗体IgM'', ''优生优育-弓形虫抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''巨细胞病毒抗体IgM'', ''优生优育-巨细胞病毒抗体IgM'');
INSERT INTO `icss_lis_mapping` VALUES (''1715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''C13-尿素呼吸试验'', ''幽门螺杆菌抗原检测-C13-尿素呼吸试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''C14-尿素呼吸试验'', ''幽门螺杆菌抗原检测-C14-尿素呼吸试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''N15-尿素呼吸试验'', ''幽门螺杆菌抗原检测-N15-尿素呼吸试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''快速尿素酶试验'', ''幽门螺杆菌抗原检测-快速尿素酶试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''幽门螺杆菌抗原(HP-Ag)'', ''幽门螺杆菌抗原检测-幽门螺杆菌抗原(HP-Ag)'');
INSERT INTO `icss_lis_mapping` VALUES (''1720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇'', ''游离皮质醇'', ''游离皮质醇-游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''1721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌D-葡聚糖检测'', ''D-葡聚糖'', ''真菌D-葡聚糖检测-D-葡聚糖'');
INSERT INTO `icss_lis_mapping` VALUES (''1722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌直接涂片镜检'', ''真菌直接涂片镜检'', ''真菌直接涂片镜检-真菌直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''抗肺炎支原体抗体'', ''支原体检测-抗肺炎支原体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''抗肺炎支原体抗体(MP-IgA)'', ''支原体检测-抗肺炎支原体抗体(MP-IgA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''抗肺炎支原体抗体(MP-IgG)'', ''支原体检测-抗肺炎支原体抗体(MP-IgG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''抗肺炎支原体抗体(MP-IgM)'', ''支原体检测-抗肺炎支原体抗体(MP-IgM)'');
INSERT INTO `icss_lis_mapping` VALUES (''1727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''人型支原体抗体'', ''支原体检测-人型支原体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''生殖道支原体抗体'', ''支原体检测-生殖道支原体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''支原体培养'', ''支原体检测-支原体培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''支原体培养+鉴定'', ''支原体检测-支原体培养+鉴定'');
INSERT INTO `icss_lis_mapping` VALUES (''1731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''支原体培养+药敏'', ''支原体检测-支原体培养+药敏'');
INSERT INTO `icss_lis_mapping` VALUES (''1732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''阿奇霉素'', ''支原体药敏试验-阿奇霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''红霉素'', ''支原体药敏试验-红霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''环丙沙星'', ''支原体药敏试验-环丙沙星'');
INSERT INTO `icss_lis_mapping` VALUES (''1735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''交沙霉素'', ''支原体药敏试验-交沙霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''克拉霉素'', ''支原体药敏试验-克拉霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''罗红霉素'', ''支原体药敏试验-罗红霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''米诺环素'', ''支原体药敏试验-米诺环素'');
INSERT INTO `icss_lis_mapping` VALUES (''1739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''强力霉素'', ''支原体药敏试验-强力霉素'');
INSERT INTO `icss_lis_mapping` VALUES (''1740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''司巴沙星'', ''支原体药敏试验-司巴沙星'');
INSERT INTO `icss_lis_mapping` VALUES (''1741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''四环素'', ''支原体药敏试验-四环素'');
INSERT INTO `icss_lis_mapping` VALUES (''1742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''氧氟沙星'', ''支原体药敏试验-氧氟沙星'');
INSERT INTO `icss_lis_mapping` VALUES (''1743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''左氧沙星'', ''支原体药敏试验-左氧沙星'');
INSERT INTO `icss_lis_mapping` VALUES (''1744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶测定'', ''脂肪酶(LPS)'', ''脂肪酶测定-脂肪酶(LPS)'');
INSERT INTO `icss_lis_mapping` VALUES (''1745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接涂片抗酸染色镜检'', ''直接涂片抗酸染色镜检'', ''直接涂片抗酸染色镜检-直接涂片抗酸染色镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查'', ''酯酶染色检查'', ''酯酶染色检查-酯酶染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色检查'', ''中性粒细胞碱性磷酸酶染色检查'', ''中性粒细胞碱性磷酸酶染色检查-中性粒细胞碱性磷酸酶染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''α-L-岩藻糖苷酶(AFU)'', ''肿瘤标志物-α-L-岩藻糖苷酶(AFU)'');
INSERT INTO `icss_lis_mapping` VALUES (''1749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''癌胚抗原(CEA)'', ''肿瘤标志物-癌胚抗原(CEA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''端粒酶活性'', ''肿瘤标志物-端粒酶活性'');
INSERT INTO `icss_lis_mapping` VALUES (''1751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''复合前列腺特异性抗原(CPSA)'', ''肿瘤标志物-复合前列腺特异性抗原(CPSA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''骨胶素(CY211)'', ''肿瘤标志物-骨胶素(CY211)'');
INSERT INTO `icss_lis_mapping` VALUES (''1753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''甲胎蛋白(AFP)'', ''肿瘤标志物-甲胎蛋白(AFP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''碱性胎儿蛋白(BFP)'', ''肿瘤标志物-碱性胎儿蛋白(BFP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''降钙素(CT)'', ''肿瘤标志物-降钙素(CT)'');
INSERT INTO `icss_lis_mapping` VALUES (''1756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''鳞状细胞癌相关抗原(SCC)'', ''肿瘤标志物-鳞状细胞癌相关抗原(SCC)'');
INSERT INTO `icss_lis_mapping` VALUES (''1757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''前列腺酸性磷酸酶(PAP)'', ''肿瘤标志物-前列腺酸性磷酸酶(PAP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''神经元特异性烯醇化酶(NSE)'', ''肿瘤标志物-神经元特异性烯醇化酶(NSE)'');
INSERT INTO `icss_lis_mapping` VALUES (''1759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-125'', ''肿瘤标志物-糖类抗原CA-125'');
INSERT INTO `icss_lis_mapping` VALUES (''1760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-130'', ''肿瘤标志物-糖类抗原CA-130'');
INSERT INTO `icss_lis_mapping` VALUES (''1761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-153'', ''肿瘤标志物-糖类抗原CA-153'');
INSERT INTO `icss_lis_mapping` VALUES (''1762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-199'', ''肿瘤标志物-糖类抗原CA-199'');
INSERT INTO `icss_lis_mapping` VALUES (''1763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-242'', ''肿瘤标志物-糖类抗原CA-242'');
INSERT INTO `icss_lis_mapping` VALUES (''1764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-27'', ''肿瘤标志物-糖类抗原CA-27'');
INSERT INTO `icss_lis_mapping` VALUES (''1765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-29'', ''肿瘤标志物-糖类抗原CA-29'');
INSERT INTO `icss_lis_mapping` VALUES (''1766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-50'', ''肿瘤标志物-糖类抗原CA-50'');
INSERT INTO `icss_lis_mapping` VALUES (''1767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-549'', ''肿瘤标志物-糖类抗原CA-549'');
INSERT INTO `icss_lis_mapping` VALUES (''1768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''糖类抗原CA-724'', ''肿瘤标志物-糖类抗原CA-724'');
INSERT INTO `icss_lis_mapping` VALUES (''1769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''铁蛋白(Fer)'', ''肿瘤标志物-铁蛋白(Fer)'');
INSERT INTO `icss_lis_mapping` VALUES (''1770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''胃泌素释放肽前体'', ''肿瘤标志物-胃泌素释放肽前体'');
INSERT INTO `icss_lis_mapping` VALUES (''1771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''细胞角蛋白18片段'', ''肿瘤标志物-细胞角蛋白18片段'');
INSERT INTO `icss_lis_mapping` VALUES (''1772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''细胞角蛋白19片段(CYFRA21-1)'', ''肿瘤标志物-细胞角蛋白19片段(CYFRA21-1)'');
INSERT INTO `icss_lis_mapping` VALUES (''1773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''游离前列腺特异性抗原(FPSA)'', ''肿瘤标志物-游离前列腺特异性抗原(FPSA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''脂肪酶(LPS)'', ''肿瘤标志物-脂肪酶(LPS)'');
INSERT INTO `icss_lis_mapping` VALUES (''1775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''肿瘤坏死因子(TNF)'', ''肿瘤标志物-肿瘤坏死因子(TNF)'');
INSERT INTO `icss_lis_mapping` VALUES (''1776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''肿瘤坏死因子α(TNF-α)'', ''肿瘤标志物-肿瘤坏死因子α(TNF-α)'');
INSERT INTO `icss_lis_mapping` VALUES (''1777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''肿瘤相关抗原(MG-Ags)'', ''肿瘤标志物-肿瘤相关抗原(MG-Ags)'');
INSERT INTO `icss_lis_mapping` VALUES (''1778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''肿瘤相关抗原(TA-2)'', ''肿瘤标志物-肿瘤相关抗原(TA-2)'');
INSERT INTO `icss_lis_mapping` VALUES (''1779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''总前列腺特异性抗原(TPSA)'', ''肿瘤标志物-总前列腺特异性抗原(TPSA)'');
INSERT INTO `icss_lis_mapping` VALUES (''1780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主要组织相容性抗原测定'', ''人组织相容性抗原II类(HLA－II)分型'', ''主要组织相容性抗原测定-人组织相容性抗原II类(HLA－II)分型'');
INSERT INTO `icss_lis_mapping` VALUES (''1781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主要组织相容性抗原测定'', ''人组织相容性抗原I类(HLA－I)分型'', ''主要组织相容性抗原测定-人组织相容性抗原I类(HLA－I)分型'');
INSERT INTO `icss_lis_mapping` VALUES (''1782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白'', ''转铁蛋白'', ''转铁蛋白-转铁蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE'', ''总IgE'', ''总IgE-总IgE'');
INSERT INTO `icss_lis_mapping` VALUES (''1784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体(CH50)测定'', ''CH50'', ''总补体(CH50)测定-CH50'');
INSERT INTO `icss_lis_mapping` VALUES (''1785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮'', null, ''17α-羟孕酮'');
INSERT INTO `icss_lis_mapping` VALUES (''1786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-羟皮质类固醇'', null, ''17-羟皮质类固醇'');
INSERT INTO `icss_lis_mapping` VALUES (''1787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-酮皮质类固醇'', null, ''17-酮皮质类固醇'');
INSERT INTO `icss_lis_mapping` VALUES (''1788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿比重渗透压试验'', null, ''24小时尿比重渗透压试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽'', null, ''Ⅰ型胶原羧基端前肽'');
INSERT INTO `icss_lis_mapping` VALUES (''1790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子测定'', null, ''B因子测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Coombs试验'', null, ''Coombs试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白'', null, ''C-反应蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', null, ''EB病毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', null, ''ENA抗体谱六项测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)'', null, ''N端-B型钠尿肽前体(NT-ProBNP)'');
INSERT INTO `icss_lis_mapping` VALUES (''1796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O—129试验'', null, ''O—129试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-胶原特殊系列'', null, ''β-胶原特殊系列'');
INSERT INTO `icss_lis_mapping` VALUES (''1798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', null, ''β人绒毛膜促性腺激素'');
INSERT INTO `icss_lis_mapping` VALUES (''1799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片'', null, ''白喉棒状杆菌涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)测定'', null, ''白陶土部分凝血活酶时间(KPTT)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', null, ''白血病融合基因检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙氨酸'', null, ''本丙氨酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙酮酸'', null, ''本丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', null, ''变应原特异性IgE测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', null, ''丙肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', null, ''病理抗凝因子检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', null, ''补体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌测定'', null, ''布氏杆菌测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间'', null, ''出血时间'');
INSERT INTO `icss_lis_mapping` VALUES (''1810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', null, ''创面分泌物培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇'', null, ''雌三醇'');
INSERT INTO `icss_lis_mapping` VALUES (''1812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮测定'', null, ''雌酮测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素'', null, ''促红细胞生成素'');
INSERT INTO `icss_lis_mapping` VALUES (''1814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', null, ''促甲状腺释放激素兴奋试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素'', null, ''促肾上腺皮质激素'');
INSERT INTO `icss_lis_mapping` VALUES (''1816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', null, ''促肾上腺皮质激素释放激素(CRF)兴奋试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验1'', null, ''促肾上腺皮质激素兴奋试验1'');
INSERT INTO `icss_lis_mapping` VALUES (''1818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', null, ''促肾上腺皮质激素兴奋试验2'');
INSERT INTO `icss_lis_mapping` VALUES (''1819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体测定'', null, ''单纯疱疹病毒II型抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体测定'', null, ''单纯疱疹病毒I型抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素'', null, ''胆囊收缩素'');
INSERT INTO `icss_lis_mapping` VALUES (''1822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫直接涂片镜检'', null, ''滴虫直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电解质测定'', null, ''电解质测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', null, ''淀粉酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白'', null, ''淀粉样蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝测定'', null, ''丁肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', null, ''非妇科脱落细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', null, ''肥达氏反应'');
INSERT INTO `icss_lis_mapping` VALUES (''1829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体免疫学试验'', null, ''肺炎支原体免疫学试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', null, ''粪便常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', null, ''粪便培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便隐血'', null, ''粪便隐血'');
INSERT INTO `icss_lis_mapping` VALUES (''1833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素检查'', null, ''粪胆素检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', null, ''妇科脱落细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验'', null, ''腹膜平衡试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', null, ''腹膜透析液检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', null, ''腹腔积液检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', null, ''腹水培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸'', null, ''甘胆酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', null, ''肝功能'');
INSERT INTO `icss_lis_mapping` VALUES (''1841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', null, ''肝纤维化'');
INSERT INTO `icss_lis_mapping` VALUES (''1842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', null, ''高血压四项'');
INSERT INTO `icss_lis_mapping` VALUES (''1843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', null, ''各种穿刺液引流液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝测定'', null, ''庚肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈涂片'', null, ''宫颈涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素'', null, ''骨钙素'');
INSERT INTO `icss_lis_mapping` VALUES (''1847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', null, ''骨髓检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶'', null, ''骨型碱性磷酸酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', null, ''关节液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', null, ''过夜地塞米松抑制试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞(LEC)检查'', null, ''红斑狼疮细胞(LEC)检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞丙酮酸激酶(PK)检测'', null, ''红细胞丙酮酸激酶(PK)检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', null, ''滑膜液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗(APCR)试验'', null, ''活化蛋白C抵抗(APCR)试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌直接涂片镜检'', null, ''霍乱弧菌直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶活性测定'', null, ''肌酸激酶同工酶活性测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝测定'', null, ''甲肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素'', null, ''甲状旁腺激素'');
INSERT INTO `icss_lis_mapping` VALUES (''1859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能'', null, ''甲状腺功能'');
INSERT INTO `icss_lis_mapping` VALUES (''1860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', null, ''甲状腺功能（5项）'');
INSERT INTO `icss_lis_mapping` VALUES (''1861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验'', null, ''甲状腺摄碘试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', null, ''甲状腺自身抗体检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原'', null, ''降钙素原'');
INSERT INTO `icss_lis_mapping` VALUES (''1864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核检查'', null, ''结核检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', null, ''解脲支原体检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', null, ''精液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', null, ''精液生化'');
INSERT INTO `icss_lis_mapping` VALUES (''1868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', null, ''精子其他检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', null, ''巨细胞病毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体测定'', null, ''抗β2-糖蛋白1抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', null, ''抗核抗体谱测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体测定'', null, ''抗红细胞抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)测定'', null, ''抗环瓜氨酸肽抗体(抗CCP)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素'', null, ''抗利尿激素'');
INSERT INTO `icss_lis_mapping` VALUES (''1875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶抗体'', null, ''抗链球菌激酶抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O'', null, ''抗链球菌溶血素O'');
INSERT INTO `icss_lis_mapping` VALUES (''1877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶'', null, ''抗链球菌透明质酸酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体试验'', null, ''抗淋巴细胞抗体试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体测定'', null, ''抗脑组织抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体'', null, ''抗平滑肌抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定'', null, ''抗神经节苷脂抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺抗体测定'', null, ''抗肾上腺抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体测定'', null, ''抗肾小球基底膜抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶'', null, ''抗脱氧核糖核酸酶'');
INSERT INTO `icss_lis_mapping` VALUES (''1885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体检测'', null, ''抗胃壁细胞抗体检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体(AMA)测定'', null, ''抗线粒体抗体(AMA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', null, ''抗心磷脂抗体(ACA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体'', null, ''抗乙酰胆碱受体抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)测定'', null, ''抗增殖细胞核抗原抗体(抗PCNA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体'', null, ''抗子宫内膜抗体'');
INSERT INTO `icss_lis_mapping` VALUES (''1891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒'', null, ''柯萨奇病毒'');
INSERT INTO `icss_lis_mapping` VALUES (''1892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', null, ''口服葡萄糖耐量试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体测定'', null, ''狂犬病毒抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉网细胞学检查与诊断'', null, ''拉网细胞学检查与诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', null, ''类风湿因子测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子'', null, ''类胰岛素样生长因子'');
INSERT INTO `icss_lis_mapping` VALUES (''1897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体免疫学试验'', null, ''立克次体免疫学试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', null, ''淋巴细胞亚群计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片'', null, ''淋球菌涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒核糖核酸检测'', null, ''流感病毒核糖核酸检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热抗体测定'', null, ''流行性出血热抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定'', null, ''流行性乙型脑炎病毒抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒检测'', null, ''轮状病毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒'', null, ''麻疹病毒'');
INSERT INTO `icss_lis_mapping` VALUES (''1905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', null, ''馒头餐糖耐量试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', null, ''梅毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', null, ''免疫球蛋白亚类定量测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫组织化学染色诊断'', null, ''免疫组织化学染色诊断'');
INSERT INTO `icss_lis_mapping` VALUES (''1909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''墨汁染色'', null, ''墨汁染色'');
INSERT INTO `icss_lis_mapping` VALUES (''1910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠尿肽'', null, ''钠尿肽'');
INSERT INTO `icss_lis_mapping` VALUES (''1911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测(定量试验)'', null, ''耐甲氧西林葡萄球菌检测(定量试验)'');
INSERT INTO `icss_lis_mapping` VALUES (''1912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', null, ''脑脊液常规+生化'');
INSERT INTO `icss_lis_mapping` VALUES (''1913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', null, ''脑脊液免疫球蛋白测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', null, ''脑脊液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定量试验'', null, ''内毒素鲎定量试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定性试验'', null, ''内毒素鲎定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NAG'', null, ''尿NAG'');
INSERT INTO `icss_lis_mapping` VALUES (''1918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉检测'', null, ''尿卟啉检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿常规'', null, ''尿常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', null, ''尿沉渣镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', null, ''尿蛋白测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', null, ''尿蛋白电泳分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺测定'', null, ''尿儿茶酚胺测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定(24h)'', null, ''尿钙测定(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿高香草酸'', null, ''尿高香草酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿含铁血黄素定性试验'', null, ''尿含铁血黄素定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', null, ''尿红细胞形态检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定'', null, ''尿肌酐测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性试验'', null, ''尿肌红蛋白定性试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基去甲肾上腺素(NMN)(24h)'', null, ''尿甲氧基去甲肾上腺素(NMN)(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基肾上腺素(MN)(24h)'', null, ''尿甲氧基肾上腺素(MN)(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾测定'', null, ''尿钾测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', null, ''尿镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''1934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松定量(24h)'', null, ''尿可的松定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定'', null, ''尿磷测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯测定'', null, ''尿氯测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁测定'', null, ''尿镁测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿免疫固定电泳'', null, ''尿免疫固定电泳'');
INSERT INTO `icss_lis_mapping` VALUES (''1939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠测定'', null, ''尿钠测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量'', null, ''尿尿酸定量'');
INSERT INTO `icss_lis_mapping` VALUES (''1941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定'', null, ''尿轻链测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', null, ''尿去甲肾上腺素'');
INSERT INTO `icss_lis_mapping` VALUES (''1943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮定量(24h)'', null, ''尿醛固酮定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(24h)'', null, ''尿肾上腺素(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖测定'', null, ''尿糖测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白测定'', null, ''尿微量白蛋白测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白定量(24h)'', null, ''尿微量白蛋白定量(24h)'');
INSERT INTO `icss_lis_mapping` VALUES (''1948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液总钙测定'', null, ''尿液总钙测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', null, ''凝血功能测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', null, ''凝血因子测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌'', null, ''浓缩集菌抗酸菌'');
INSERT INTO `icss_lis_mapping` VALUES (''1952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', null, ''脓液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫检查'', null, ''疟原虫检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', null, ''培养细菌菌落计数'');
INSERT INTO `icss_lis_mapping` VALUES (''1955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇'', null, ''皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''1956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白'', null, ''前白蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', null, ''前列腺液常规检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白测定'', null, ''缺血修饰白蛋白测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析'', null, ''染色体分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体荧光原位杂交分析'', null, ''染色体荧光原位杂交分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人附睾蛋白'', null, ''人附睾蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', null, ''人类免疫缺陷病毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', null, ''人乳头瘤病毒检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠相关蛋白A(PAPP)测定'', null, ''妊娠相关蛋白A(PAPP)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', null, ''乳糜试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', null, ''肾功能'');
INSERT INTO `icss_lis_mapping` VALUES (''1967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素'', null, ''肾上腺素'');
INSERT INTO `icss_lis_mapping` VALUES (''1968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', null, ''肾素卧立位试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', null, ''渗透压检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', null, ''生理抗凝因子检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素'', null, ''生长激素'');
INSERT INTO `icss_lis_mapping` VALUES (''1972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白'', null, ''视黄醇结合蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''1973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素'', null, ''瘦素'');
INSERT INTO `icss_lis_mapping` VALUES (''1974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查'', null, ''苏丹黑染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', null, ''痰培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片'', null, ''痰涂片'');
INSERT INTO `icss_lis_mapping` VALUES (''1977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', null, ''痰液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', null, ''糖代谢检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁染色检查'', null, ''铁染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''1980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸'', null, ''同型半胱氨酸'');
INSERT INTO `icss_lis_mapping` VALUES (''1981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白CER'', null, ''铜蓝蛋白CER'');
INSERT INTO `icss_lis_mapping` VALUES (''1982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周血细胞形态学分析'', null, ''外周血细胞形态学分析'');
INSERT INTO `icss_lis_mapping` VALUES (''1983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', null, ''微量元素测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A(VitA)测定'', null, ''维生素A(VitA)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1'', null, ''维生素B1'');
INSERT INTO `icss_lis_mapping` VALUES (''1986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12'', null, ''维生素B12'');
INSERT INTO `icss_lis_mapping` VALUES (''1987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C'', null, ''维生素C'');
INSERT INTO `icss_lis_mapping` VALUES (''1988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', null, ''维生素D测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', null, ''胃蛋白酶原检测(PG)'');
INSERT INTO `icss_lis_mapping` VALUES (''1990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素测定'', null, ''胃泌素测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', null, ''胃酸分泌试验'');
INSERT INTO `icss_lis_mapping` VALUES (''1992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', null, ''胃液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''1993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', null, ''无菌体液细菌培养'');
INSERT INTO `icss_lis_mapping` VALUES (''1994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', null, ''戊肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', null, ''细菌抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''1996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗原检测'', null, ''细菌抗原检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', null, ''细菌性阴道炎检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', null, ''纤溶系统检测'');
INSERT INTO `icss_lis_mapping` VALUES (''1999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定'', null, ''腺病毒抗体测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草扁桃酸'', null, ''香草扁桃酸'');
INSERT INTO `icss_lis_mapping` VALUES (''2001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', null, ''心包积液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''2002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', null, ''心包积液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''2003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', null, ''心包积液生化'');
INSERT INTO `icss_lis_mapping` VALUES (''2004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', null, ''心肌梗死标志物'');
INSERT INTO `icss_lis_mapping` VALUES (''2005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', null, ''心肌酶谱'');
INSERT INTO `icss_lis_mapping` VALUES (''2006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿溶血病检测'', null, ''新生儿溶血病检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)'', null, ''性激素结合球蛋白(SHBG)'');
INSERT INTO `icss_lis_mapping` VALUES (''2008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', null, ''性激素六项'');
INSERT INTO `icss_lis_mapping` VALUES (''2009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', null, ''胸腔积液常规'');
INSERT INTO `icss_lis_mapping` VALUES (''2010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', null, ''胸腔积液生化'');
INSERT INTO `icss_lis_mapping` VALUES (''2011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', null, ''胸水培养'');
INSERT INTO `icss_lis_mapping` VALUES (''2012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', null, ''雄性激素'');
INSERT INTO `icss_lis_mapping` VALUES (''2013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α2巨球蛋白'', null, ''血α2巨球蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''2014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨测定'', null, ''血氨测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血常规'', null, ''血常规'');
INSERT INTO `icss_lis_mapping` VALUES (''2016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血沉'', null, ''血沉'');
INSERT INTO `icss_lis_mapping` VALUES (''2017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)'', null, ''血管紧张素转化酶(ACE)'');
INSERT INTO `icss_lis_mapping` VALUES (''2018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', null, ''血培养及鉴定'');
INSERT INTO `icss_lis_mapping` VALUES (''2019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', null, ''血气分析'');
INSERT INTO `icss_lis_mapping` VALUES (''2020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血轻链测定'', null, ''血轻链测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙氨酸'', null, ''血清苯丙氨酸'');
INSERT INTO `icss_lis_mapping` VALUES (''2022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙酮酸'', null, ''血清丙酮酸'');
INSERT INTO `icss_lis_mapping` VALUES (''2023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', null, ''血清蛋白电泳'');
INSERT INTO `icss_lis_mapping` VALUES (''2024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', null, ''血清药物浓度测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸'', null, ''血清游离脂肪酸'');
INSERT INTO `icss_lis_mapping` VALUES (''2026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清粘蛋白'', null, ''血清粘蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''2027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验'', null, ''血栓弹力图试验'');
INSERT INTO `icss_lis_mapping` VALUES (''2028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体'', null, ''血酮体'');
INSERT INTO `icss_lis_mapping` VALUES (''2029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫检查'', null, ''血吸虫检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板功能及抗体检测'', null, ''血小板功能及抗体检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', null, ''血型'');
INSERT INTO `icss_lis_mapping` VALUES (''2032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', null, ''血液免疫学检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', null, ''血液培养'');
INSERT INTO `icss_lis_mapping` VALUES (''2034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮分析'', null, ''血一氧化氮分析'');
INSERT INTO `icss_lis_mapping` VALUES (''2035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化碳分析'', null, ''血一氧化碳分析'');
INSERT INTO `icss_lis_mapping` VALUES (''2036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', null, ''血脂'');
INSERT INTO `icss_lis_mapping` VALUES (''2037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', null, ''咽拭子培养'');
INSERT INTO `icss_lis_mapping` VALUES (''2038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', null, ''叶酸'');
INSERT INTO `icss_lis_mapping` VALUES (''2039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', null, ''一般细菌培养及鉴定'');
INSERT INTO `icss_lis_mapping` VALUES (''2040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查'', null, ''一般细菌涂片检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', null, ''衣原体检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物检查'', null, ''胰岛素及代谢物检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', null, ''胰岛素及代谢物相关检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', null, ''胰岛素释放试验1'');
INSERT INTO `icss_lis_mapping` VALUES (''2045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', null, ''胰岛素释放试验2'');
INSERT INTO `icss_lis_mapping` VALUES (''2046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰多肽'', null, ''胰多肽'');
INSERT INTO `icss_lis_mapping` VALUES (''2047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素'', null, ''胰高血糖素'');
INSERT INTO `icss_lis_mapping` VALUES (''2048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', null, ''乙肝测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', null, ''阴道分泌物常规'');
INSERT INTO `icss_lis_mapping` VALUES (''2050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', null, ''隐血试验'');
INSERT INTO `icss_lis_mapping` VALUES (''2051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', null, ''优生优育'');
INSERT INTO `icss_lis_mapping` VALUES (''2052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', null, ''幽门螺杆菌抗原检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇'', null, ''游离皮质醇'');
INSERT INTO `icss_lis_mapping` VALUES (''2054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌D-葡聚糖检测'', null, ''真菌D-葡聚糖检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌直接涂片镜检'', null, ''真菌直接涂片镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''2056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', null, ''支原体检测'');
INSERT INTO `icss_lis_mapping` VALUES (''2057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', null, ''支原体药敏试验'');
INSERT INTO `icss_lis_mapping` VALUES (''2058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶测定'', null, ''脂肪酶测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接涂片抗酸染色镜检'', null, ''直接涂片抗酸染色镜检'');
INSERT INTO `icss_lis_mapping` VALUES (''2060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查'', null, ''酯酶染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色检查'', null, ''中性粒细胞碱性磷酸酶染色检查'');
INSERT INTO `icss_lis_mapping` VALUES (''2062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', null, ''肿瘤标志物'');
INSERT INTO `icss_lis_mapping` VALUES (''2063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主要组织相容性抗原测定'', null, ''主要组织相容性抗原测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白'', null, ''转铁蛋白'');
INSERT INTO `icss_lis_mapping` VALUES (''2065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE'', null, ''总IgE'');
INSERT INTO `icss_lis_mapping` VALUES (''2066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体(CH50)测定'', null, ''总补体(CH50)测定'');
INSERT INTO `icss_lis_mapping` VALUES (''2067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖'', ''空腹血糖'', ''空腹血糖-空腹血糖'');

-- ----------------------------
-- Table structure for icss_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_detail`;
CREATE TABLE `icss_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `module_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''名称'',
  `flag` varchar(255) NOT NULL DEFAULT '''' COMMENT ''特殊标识(1：插入选择症状 2：现病史整体模板截取末尾标识,处理主诉多个病情变化复制功能 3：打开模板(病程变化) 4：插入主诉的主|伴症状业务 5：从主诉-现病史的症状起始位置)'',
  `prefix` varchar(100) NOT NULL DEFAULT '''' COMMENT ''模板前缀内容'',
  `suffix` varchar(100) NOT NULL DEFAULT '''' COMMENT ''模型后置内容'',
  `question_id` bigint(20) DEFAULT NULL COMMENT ''questionId'',
  `relation_module` bigint(20) DEFAULT NULL COMMENT ''关联模板'',
  `order_no` int(11) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=306 DEFAULT CHARSET=utf8 COMMENT=''模型明细表'';

-- ----------------------------
-- Records of icss_module_detail
-- ----------------------------
INSERT INTO `icss_module_detail` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', '''', '''', '''', ''7'', null, ''2'', ''主诉通用特征描述'');
INSERT INTO `icss_module_detail` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''1'', '''', '''', ''8'', null, ''4'', ''添加症状'');
INSERT INTO `icss_module_detail` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', '''', '''', '''', ''210'', null, ''6'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''3'', '''', '''', null, ''6'', ''8'', ''添加病情变化'');
INSERT INTO `icss_module_detail` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''210'', null, ''3'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''57'', null, ''7'', ''诱因'');
INSERT INTO `icss_module_detail` VALUES (''10'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''7'', null, ''11'', ''主诉通用特征描述'');
INSERT INTO `icss_module_detail` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''4'', '''', '''', ''21'', null, ''13'', ''添加其他症状'');
INSERT INTO `icss_module_detail` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''2'', '''', '''', ''402'', null, ''15'', ''有无治疗'');
INSERT INTO `icss_module_detail` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''3'', '''', '''', null, ''3'', ''17'', ''病程变化'');
INSERT INTO `icss_module_detail` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''32'', null, ''25'', ''精神状态'');
INSERT INTO `icss_module_detail` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''60'', null, ''23'', ''意识情况'');
INSERT INTO `icss_module_detail` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''61'', null, ''27'', ''食欲'');
INSERT INTO `icss_module_detail` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''62'', null, ''29'', ''睡眠'');
INSERT INTO `icss_module_detail` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''63'', null, ''31'', ''二便情况'');
INSERT INTO `icss_module_detail` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''64'', null, ''33'', ''体重情况'');
INSERT INTO `icss_module_detail` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''210'', null, ''1'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''57'', null, ''3'', ''诱因'');
INSERT INTO `icss_module_detail` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''66'', null, ''6'', ''上诉'');
INSERT INTO `icss_module_detail` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''21'', null, ''8'', ''添加其他症状'');
INSERT INTO `icss_module_detail` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''402'', null, ''10'', ''有无治疗'');
INSERT INTO `icss_module_detail` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''45'', null, ''1'', ''既往史'');
INSERT INTO `icss_module_detail` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''53'', null, ''3'', ''过敏史'');
INSERT INTO `icss_module_detail` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''75'', null, ''5'', ''个人史'');
INSERT INTO `icss_module_detail` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''79'', null, ''7'', ''月经史'');
INSERT INTO `icss_module_detail` VALUES (''30'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', null, null, ''9'', ''婚育史'');
INSERT INTO `icss_module_detail` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''210'', null, ''3'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''57'', null, ''7'', ''诱因'');
INSERT INTO `icss_module_detail` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''8'', null, ''13'', ''添加症状'');
INSERT INTO `icss_module_detail` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''402'', null, ''15'', ''有无治疗'');
INSERT INTO `icss_module_detail` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', ''3'', '''', '''', null, ''3'', ''17'', ''病程变化'');
INSERT INTO `icss_module_detail` VALUES (''38'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', '''', '''', '''', ''119'', null, ''5'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', '''', '''', '''', ''119'', null, ''7'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''123'', null, ''1'', ''患者'');
INSERT INTO `icss_module_detail` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''124'', null, ''5'', ''前'');
INSERT INTO `icss_module_detail` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''125'', null, ''9'', ''出现'');
INSERT INTO `icss_module_detail` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''126'', null, ''19'', ''遂来就诊'');
INSERT INTO `icss_module_detail` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''127'', null, ''21'', ''自病以来'');
INSERT INTO `icss_module_detail` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''128'', null, ''20'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''24'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''26'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''28'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''30'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''32'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''124'', null, ''2'', ''前_文字'');
INSERT INTO `icss_module_detail` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''125'', null, ''5'', ''出现_文字'');
INSERT INTO `icss_module_detail` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''119'', null, ''9'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''123'', null, ''1'', ''患者'');
INSERT INTO `icss_module_detail` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''124'', null, ''5'', ''前'');
INSERT INTO `icss_module_detail` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''125'', null, ''11'', ''出现'');
INSERT INTO `icss_module_detail` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', '''', '''', '''', ''7'', null, ''10'', ''主诉通用特征描述'');
INSERT INTO `icss_module_detail` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''1'', '''', '''', ''8'', null, ''20'', ''添加症状'');
INSERT INTO `icss_module_detail` VALUES (''107'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', '''', '''', '''', ''119'', null, ''30'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', '''', '''', '''', ''210'', null, ''40'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', '''', '''', '''', ''119'', null, ''50'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''144'', ''Y'', ''2019-01-03 13:33:03'', ''2019-01-03 13:36:04'', ''80'', ''80'', ''23'', '''', '''', '''', ''2'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''145'', ''Y'', ''2019-01-03 13:36:04'', ''2019-01-03 13:38:47'', ''80'', ''80'', ''23'', '''', '''', '''', ''2'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''146'', ''N'', ''2019-01-07 10:21:09'', ''2019-01-07 10:21:09'', ''80'', ''80'', ''24'', '''', '''', '''', ''119'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', '''', '''', '''', ''119'', null, ''11'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''128'', null, ''16'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', '''', '''', '''', ''128'', null, ''20'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''119'', null, ''14'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''119'', null, ''14'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5'', '''', '''', '''', ''128'', null, ''16'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', '''', '''', '''', ''128'', null, ''50'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''2'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''4'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''6'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''497'', null, ''8'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''158'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''29763'', null, ''10'', ''既往体质'');
INSERT INTO `icss_module_detail` VALUES (''159'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''11'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''160'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''29767'', null, ''12'', ''预防接种'');
INSERT INTO `icss_module_detail` VALUES (''161'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''13'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''162'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''29769'', null, ''14'', ''手术史'');
INSERT INTO `icss_module_detail` VALUES (''163'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''15'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''164'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''29770'', null, ''16'', ''输血史'');
INSERT INTO `icss_module_detail` VALUES (''165'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''17'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''40175'', null, ''18'', ''家族史'');
INSERT INTO `icss_module_detail` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''19'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''40350'', null, ''20'', ''家族相关传染病史'');
INSERT INTO `icss_module_detail` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', '''', '''', '''', ''225'', null, ''21'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''170'', ''N'', ''2019-03-19 09:46:53'', ''2019-03-19 09:46:53'', ''99'', ''99'', ''25'', '''', '''', '''', ''1'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''171'', ''N'', ''2019-03-19 10:06:39'', ''2019-03-19 10:06:39'', ''99'', ''99'', ''26'', '''', '''', '''', ''1'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''172'', ''N'', ''2019-03-19 10:08:42'', ''2019-03-19 10:08:42'', ''99'', ''99'', ''27'', '''', '''', '''', ''1'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''173'', ''N'', ''2019-03-20 15:35:34'', ''2019-03-20 15:35:34'', ''99'', ''99'', ''28'', '''', '''', '''', ''1'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40747'', null, ''1'', ''患者疾病'');
INSERT INTO `icss_module_detail` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40748'', null, ''2'', ''疾病'');
INSERT INTO `icss_module_detail` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''210'', null, ''3'', ''时间单位'');
INSERT INTO `icss_module_detail` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''4'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40749'', null, ''5'', ''期间'');
INSERT INTO `icss_module_detail` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40750'', null, ''6'', ''给药途径'');
INSERT INTO `icss_module_detail` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''7'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40751'', null, ''8'', ''药物'');
INSERT INTO `icss_module_detail` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40752'', null, ''9'', ''治疗'');
INSERT INTO `icss_module_detail` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''10'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40753'', null, ''11'', ''用量'');
INSERT INTO `icss_module_detail` VALUES (''185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40754'', null, ''12'', ''单位'');
INSERT INTO `icss_module_detail` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40755'', null, ''13'', ''频次'');
INSERT INTO `icss_module_detail` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''14'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40756'', null, ''15'', ''患者本次就诊前'');
INSERT INTO `icss_module_detail` VALUES (''189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40757'', null, ''16'', ''血糖检测情况'');
INSERT INTO `icss_module_detail` VALUES (''190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''128'', null, ''17'', ''。'');
INSERT INTO `icss_module_detail` VALUES (''191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40758'', null, ''18'', ''平饮素食'');
INSERT INTO `icss_module_detail` VALUES (''192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40759'', null, ''19'', ''控制情况'');
INSERT INTO `icss_module_detail` VALUES (''193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''20'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40760'', null, ''21'', ''运动情况'');
INSERT INTO `icss_module_detail` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''225'', null, ''22'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40761'', null, ''23'', ''体重'');
INSERT INTO `icss_module_detail` VALUES (''197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40762'', null, ''24'', ''体重变化情况'');
INSERT INTO `icss_module_detail` VALUES (''198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''128'', null, ''25'', ''。'');
INSERT INTO `icss_module_detail` VALUES (''199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40763'', null, ''26'', ''此次复诊'');
INSERT INTO `icss_module_detail` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''40764'', null, ''27'', ''不适症状'');
INSERT INTO `icss_module_detail` VALUES (''201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', '''', '''', '''', ''128'', null, ''28'', ''。'');
INSERT INTO `icss_module_detail` VALUES (''202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''45'', null, ''1'', ''既往史'');
INSERT INTO `icss_module_detail` VALUES (''203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''53'', null, ''3'', ''过敏史'');
INSERT INTO `icss_module_detail` VALUES (''204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''75'', null, ''5'', ''个人史'');
INSERT INTO `icss_module_detail` VALUES (''205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''79'', null, ''7'', ''月经史'');
INSERT INTO `icss_module_detail` VALUES (''206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''225'', null, ''2'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''225'', null, ''4'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''225'', null, ''6'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''497'', null, ''8'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''40175'', null, ''18'', ''家族史'');
INSERT INTO `icss_module_detail` VALUES (''211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''225'', null, ''19'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''40350'', null, ''20'', ''家族相关传染病史'');
INSERT INTO `icss_module_detail` VALUES (''213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30'', '''', '''', '''', ''225'', null, ''21'', ''，'');
INSERT INTO `icss_module_detail` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''210'', null, ''1'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''57'', null, ''3'', ''诱因'');
INSERT INTO `icss_module_detail` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''66'', null, ''6'', ''上诉'');
INSERT INTO `icss_module_detail` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''21'', null, ''8'', ''添加其他症状'');
INSERT INTO `icss_module_detail` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''402'', null, ''10'', ''有无治疗'');
INSERT INTO `icss_module_detail` VALUES (''219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''124'', null, ''2'', ''前_文字'');
INSERT INTO `icss_module_detail` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''125'', null, ''5'', ''出现_文字'');
INSERT INTO `icss_module_detail` VALUES (''221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''119'', null, ''9'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''31'', '''', '''', '''', ''128'', null, ''20'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''428'', null, ''6'', null);
INSERT INTO `icss_module_detail` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''429'', null, ''7'', null);
INSERT INTO `icss_module_detail` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''40769'', null, ''8'', null);
INSERT INTO `icss_module_detail` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''40770'', null, ''9'', null);
INSERT INTO `icss_module_detail` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''40771'', null, ''10'', null);
INSERT INTO `icss_module_detail` VALUES (''228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''423'', null, ''11'', null);
INSERT INTO `icss_module_detail` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''434'', null, ''12'', null);
INSERT INTO `icss_module_detail` VALUES (''230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''435'', null, ''13'', null);
INSERT INTO `icss_module_detail` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''24864'', null, ''14'', null);
INSERT INTO `icss_module_detail` VALUES (''232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''24852'', null, ''15'', null);
INSERT INTO `icss_module_detail` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''464'', null, ''16'', null);
INSERT INTO `icss_module_detail` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''437'', null, ''17'', null);
INSERT INTO `icss_module_detail` VALUES (''235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''282'', null, ''18'', null);
INSERT INTO `icss_module_detail` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''438'', null, ''19'', null);
INSERT INTO `icss_module_detail` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''439'', null, ''20'', null);
INSERT INTO `icss_module_detail` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''376'', null, ''21'', null);
INSERT INTO `icss_module_detail` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''440'', null, ''22'', null);
INSERT INTO `icss_module_detail` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''441'', null, ''23'', null);
INSERT INTO `icss_module_detail` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''443'', null, ''24'', null);
INSERT INTO `icss_module_detail` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''445'', null, ''25'', null);
INSERT INTO `icss_module_detail` VALUES (''243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''446'', null, ''26'', null);
INSERT INTO `icss_module_detail` VALUES (''244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''40414'', null, ''27'', null);
INSERT INTO `icss_module_detail` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''40406'', null, ''28'', null);
INSERT INTO `icss_module_detail` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29690'', null, ''29'', null);
INSERT INTO `icss_module_detail` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29691'', null, ''30'', null);
INSERT INTO `icss_module_detail` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29693'', null, ''31'', null);
INSERT INTO `icss_module_detail` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29694'', null, ''32'', null);
INSERT INTO `icss_module_detail` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29677'', null, ''33'', null);
INSERT INTO `icss_module_detail` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''455'', null, ''34'', null);
INSERT INTO `icss_module_detail` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''456'', null, ''35'', null);
INSERT INTO `icss_module_detail` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''459'', null, ''36'', null);
INSERT INTO `icss_module_detail` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''458'', null, ''37'', null);
INSERT INTO `icss_module_detail` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''460'', null, ''38'', null);
INSERT INTO `icss_module_detail` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''462'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''29737'', null, ''2'', null);
INSERT INTO `icss_module_detail` VALUES (''258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''464'', null, ''3'', null);
INSERT INTO `icss_module_detail` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''466'', null, ''4'', null);
INSERT INTO `icss_module_detail` VALUES (''260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', '''', '''', '''', ''465'', null, ''5'', null);
INSERT INTO `icss_module_detail` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''69'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''116'', null, ''2'', null);
INSERT INTO `icss_module_detail` VALUES (''263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''208'', null, ''3'', null);
INSERT INTO `icss_module_detail` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''207'', null, ''4'', null);
INSERT INTO `icss_module_detail` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''35646'', null, ''5'', null);
INSERT INTO `icss_module_detail` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''147'', null, ''6'', null);
INSERT INTO `icss_module_detail` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23807'', null, ''7'', null);
INSERT INTO `icss_module_detail` VALUES (''268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23932'', null, ''8'', null);
INSERT INTO `icss_module_detail` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''35650'', null, ''9'', null);
INSERT INTO `icss_module_detail` VALUES (''270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''35649'', null, ''10'', null);
INSERT INTO `icss_module_detail` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''24001'', null, ''11'', null);
INSERT INTO `icss_module_detail` VALUES (''272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23859'', null, ''12'', null);
INSERT INTO `icss_module_detail` VALUES (''273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''377'', null, ''13'', null);
INSERT INTO `icss_module_detail` VALUES (''274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23797'', null, ''14'', null);
INSERT INTO `icss_module_detail` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''35153'', null, ''15'', null);
INSERT INTO `icss_module_detail` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23971'', null, ''16'', null);
INSERT INTO `icss_module_detail` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''33'', '''', '''', '''', ''23938'', null, ''17'', null);
INSERT INTO `icss_module_detail` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23488'', null, ''1'', null);
INSERT INTO `icss_module_detail` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''369'', null, ''2'', null);
INSERT INTO `icss_module_detail` VALUES (''280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23495'', null, ''3'', null);
INSERT INTO `icss_module_detail` VALUES (''281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''22494'', null, ''4'', null);
INSERT INTO `icss_module_detail` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23296'', null, ''5'', null);
INSERT INTO `icss_module_detail` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23421'', null, ''6'', null);
INSERT INTO `icss_module_detail` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''22642'', null, ''7'', null);
INSERT INTO `icss_module_detail` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23595'', null, ''8'', null);
INSERT INTO `icss_module_detail` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23566'', null, ''9'', null);
INSERT INTO `icss_module_detail` VALUES (''287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23423'', null, ''10'', null);
INSERT INTO `icss_module_detail` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23442'', null, ''11'', null);
INSERT INTO `icss_module_detail` VALUES (''289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23444'', null, ''12'', null);
INSERT INTO `icss_module_detail` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''22939'', null, ''13'', null);
INSERT INTO `icss_module_detail` VALUES (''291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''22789'', null, ''14'', null);
INSERT INTO `icss_module_detail` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''23722'', null, ''15'', null);
INSERT INTO `icss_module_detail` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', '''', '''', '''', ''22829'', null, ''16'', null);
INSERT INTO `icss_module_detail` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''210'', null, ''1'', ''主诉时间'');
INSERT INTO `icss_module_detail` VALUES (''295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''57'', null, ''3'', ''诱因'');
INSERT INTO `icss_module_detail` VALUES (''296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''66'', null, ''6'', ''上诉'');
INSERT INTO `icss_module_detail` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''21'', null, ''8'', ''添加其他症状'');
INSERT INTO `icss_module_detail` VALUES (''298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''402'', null, ''10'', ''有无治疗'');
INSERT INTO `icss_module_detail` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''124'', null, ''2'', ''前_文字'');
INSERT INTO `icss_module_detail` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''125'', null, ''5'', ''出现_文字'');
INSERT INTO `icss_module_detail` VALUES (''301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''119'', null, ''9'', ''，_文字'');
INSERT INTO `icss_module_detail` VALUES (''302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', '''', '''', '''', ''128'', null, ''20'', ''。_文字'');
INSERT INTO `icss_module_detail` VALUES (''303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', ''3'', '''', '''', null, ''35'', ''29'', ''病情变化子模板'');
INSERT INTO `icss_module_detail` VALUES (''305'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', '''', '''', '''', ''29'', null, ''1'', null);

-- ----------------------------
-- Table structure for icss_module_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_module_info`;
CREATE TABLE `icss_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(100) NOT NULL DEFAULT '''' COMMENT ''名称'',
  `type` int(11) NOT NULL DEFAULT ''0'' COMMENT ''类型(1.主诉 2.现病史 3.其他史 4.查体 5.化验 6.辅检 7.诊断 8.医嘱 22.现病史空模板  31.主诉子模板 32.现病史子模板 322.现病史空模板子模板'',
  `module_type` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''(0.通用 1.根据科室划分 2.慢病)'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  `relation_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''关联id'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 COMMENT=''模型表'';

-- ----------------------------
-- Records of icss_module_info
-- ----------------------------
INSERT INTO `icss_module_info` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''主诉模板'', ''1'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''现病史模板'', ''2'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''病程变化'', ''32'', ''0'', ''现病史-病程变化'', ''0'');
INSERT INTO `icss_module_info` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''其他史模板'', ''3'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''1'', ''1'', ''现病史空模板'', ''22'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''2018-12-05 14:23:33'', ''1'', ''1'', ''添加病情变化'', ''31'', ''0'', ''主诉-添加病情变化'', ''0'');
INSERT INTO `icss_module_info` VALUES (''23'', ''Y'', ''2019-01-03 09:41:49'', ''2019-01-03 13:38:47'', ''80'', ''80'', ''接口测试1'', ''2'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''24'', ''Y'', ''2019-01-07 10:21:09'', ''2019-01-07 10:21:09'', ''80'', ''80'', ''测试002301'', ''1'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''25'', ''Y'', ''2019-03-19 09:46:52'', ''2019-03-19 09:46:52'', ''99'', ''99'', ''测试慢病模板'', ''1'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''26'', ''Y'', ''2019-03-19 10:06:39'', ''2019-03-19 10:06:39'', ''99'', ''99'', ''测试慢病模板1'', ''1'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''27'', ''Y'', ''2019-03-19 10:08:42'', ''2019-03-19 10:08:42'', ''99'', ''99'', ''测试慢病模板12'', ''1'', ''0'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''28'', ''Y'', ''2019-03-20 15:35:34'', ''2019-03-20 15:35:34'', ''99'', ''99'', ''123'', ''1'', ''2'', null, ''0'');
INSERT INTO `icss_module_info` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病现病史模板'', ''2'', ''2'', ''糖尿病现病史模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病其他史模板'', ''3'', ''2'', ''糖尿病其他史模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病现病史空模板'', ''22'', ''2'', ''糖尿病现病史空模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病查体模板'', ''4'', ''2'', ''糖尿病查体模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病化验模板'', ''5'', ''2'', ''糖尿病化验模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病辅检模板'', ''6'', ''2'', ''糖尿病辅检模板'', ''1'');
INSERT INTO `icss_module_info` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病现病史病程变化'', ''32'', ''2'', ''慢病现病史病程变化'', ''1'');
INSERT INTO `icss_module_info` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化验模板'', ''5'', ''0'', null, ''0'');

-- ----------------------------
-- Table structure for icss_print_record
-- ----------------------------
DROP TABLE IF EXISTS `icss_print_record`;
CREATE TABLE `icss_print_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(300) DEFAULT NULL COMMENT ''名称'',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT ''医院id'',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT ''部门id'',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT ''医生id'',
  `patient_id` bigint(20) DEFAULT NULL COMMENT ''患者id'',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT ''就诊号'',
  `content` longtext COMMENT ''文本内容'',
  `data_json` longtext COMMENT ''内容JSON字符串(打印页面展示)'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=235 DEFAULT CHARSET=utf8 COMMENT=''打印记录表'';

-- ----------------------------
-- Records of icss_print_record
-- ----------------------------

-- ----------------------------
-- Table structure for icss_question_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_detail`;
CREATE TABLE `icss_question_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `question_id` bigint(20) NOT NULL DEFAULT ''0'' COMMENT ''question_id'',
  `name` varchar(100) NOT NULL DEFAULT '''' COMMENT ''名称'',
  `order_no` int(11) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `default_select` char(1) NOT NULL DEFAULT ''0'' COMMENT ''是否默认被选中（0：不选中，1：选中）'',
  `code` int(11) DEFAULT ''0'' COMMENT ''特殊编码(0：默认，1：伴，2：无)'',
  `abnormal` int(11) DEFAULT ''0'' COMMENT ''是否异常（0：正常，1：异常）'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=47814 DEFAULT CHARSET=utf8 COMMENT=''标签明细表'';

-- ----------------------------
-- Records of icss_question_detail
-- ----------------------------
INSERT INTO `icss_question_detail` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''程度较轻'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''程度较重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2'', ''程度剧烈'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240'', ''不易咳出'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240'', ''咳出费力'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''反复'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''突发'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''持续'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18'', ''间断'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''9'', ''伴'', ''1'', ''0'', ''1'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''上'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''14'', ''下'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''前'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15'', ''后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''16'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''再发'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''19'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17'', ''加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22'', ''伴'', ''1'', ''0'', ''1'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''22'', ''无'', ''2'', ''0'', ''2'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', ''左上肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29'', ''右上肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''精神可'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''精神一般'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''心尖区'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''肺动脉瓣区'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''主动脉瓣区'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''主动脉瓣第二听诊区'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''三尖瓣区'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', ''可闻及'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35'', ''未闻及'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''2/6'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''3/6'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''4/6'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''5/6'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''6/6'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37'', ''收缩期'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37'', ''舒张期'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''37'', ''全期'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''吹风样杂音'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''隆隆样杂音'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''喷射样杂音'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''叹气样杂音'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''机器样杂音'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''39'', ''各瓣膜听诊区未闻及明显心脏杂音'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''48'', ''年'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''48'', ''月'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''48'', ''日'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''未经治疗'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''未进行正规治疗'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''自服药物治疗'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''病情控制尚可'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''病情控制不欠佳'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''目前未觉有相关不适表现'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''病情时轻时重，控制不佳'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''52'', ''无'', ''1'', ''0'', ''2'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''51'', ''既往史无殊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''54'', ''过敏史无殊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"青霉素\"过敏史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"磺胺类\"过敏史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"蚕豆\"过敏史'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"( )\"过敏史'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''56'', ''天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''56'', ''小时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''56'', ''月'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''73'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''56'', ''年'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''无明显诱因下'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''因淋雨后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''因受凉后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''接触类似病人后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''接触刺激性气体后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''运动劳累后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''57'', ''于季节变化时'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''神清'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''胃纳可'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''睡眠一般'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''体重无明显减轻'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''66'', ''病情加重'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24'', ''未经诊疗'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''77'', ''无烟酒嗜好'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''77'', ''无饮酒嗜好'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''77'', ''无吸烟嗜好'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''93'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''78'', ''有饮酒习惯'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''78'', ''有吸烟习惯'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''78'', ''饮酒,每天约( )ml,已饮( )年'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''78'', ''吸烟,每天约( )支,已吸( )年'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''86'', ''月经规律'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''86'', ''月经不规律'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''87'', ''经量正常'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''87'', ''经量偏多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''87'', ''经量偏少'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''88'', ''无痛经'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''88'', ''偶有痛经习惯'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''88'', ''有痛经'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''89'', ''白带量不多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''89'', ''白带量偏多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''89'', ''白带颜色和形状异常'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''90'', ''无异味'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''90'', ''有异常气味'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''110'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:41:21'', ''0'', ''dddd'', ''91'', ''测试'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''111'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:41:21'', ''0'', ''dddd'', ''92'', ''测试'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''112'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:41:21'', ''0'', ''dddd'', ''93'', ''测试'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''113'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:41:21'', ''0'', ''dddd'', ''93'', ''测试'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''108'', ''初为'', ''1'', ''0'', ''3'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''108'', '',后为'', ''2'', ''0'', ''4'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''白色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''绿色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''黄色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''红色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''铁锈色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''粘痰'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''脓痰'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''泡沫痰'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''浆液痰'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''脓臭痰'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''110'', ''胶冻样痰'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''128'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''痰量少'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''129'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''痰量中等'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''130'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''痰量大'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''81'', ''月经史无殊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''113'', ''阴性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''113'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''117'', ''阴性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''117'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''76'', ''个人史无殊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''170'', ''干咳'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''170'', ''带痰'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''227'', ''为'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''227'', ''呈'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''229'', ''刺激性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''229'', ''阵发性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''229'', ''持续性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''229'', ''慢性'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''229'', '',夜间咳嗽为主'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''231'', ''干咳'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''231'', ''咳'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''231'', ''呛咳'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''231'', ''湿性咳嗽'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''109'', ''粉红色'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''233'', ''痰量少11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''234'', ''痰量中等222'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''236'', ''痰量多'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240'', ''难以咳出'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240'', ''能自行咳出'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''239'', ''痰液粘稠'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''胸部'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''心前区'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''胸骨后'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''剑突下'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''左前胸'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''右前胸'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''左胁肋部'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''242'', ''右胁肋部'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''阵发性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''持续性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''间断性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''发作性'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''突发性'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''反复'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''245'', ''一过性'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''隐痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''绞痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''钝痛'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''刀割样痛'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''烧灼样痛'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''撕裂样痛'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''246'', ''刺痛'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''247'', ''程度较轻'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''247'', ''疼痛不剧可忍'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''247'', ''程度较重'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''247'', ''疼痛剧烈'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''247'', ''疼痛时难以忍受'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''无放射痛'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''无其他部位放射'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''疼痛可向肩部放射'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''疼痛可向背部放射'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''疼痛可向左臂放射'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''250'', ''疼痛可向下颌部放射'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''可自行缓解'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''休息后可自行缓解'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''疼痛难以自行缓解'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''疼痛持续较长时间后，仍难以缓解'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''服用硝酸甘油后可缓解'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''249'', ''服用硝酸甘油后不能缓解'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''251'', ''呼吸时加重'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''251'', ''活动后加重'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''254'', ''呈持续性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''254'', ''呈间歇性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''254'', ''呈不规则波动'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''255'', ''以低热为主'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''255'', ''为中度热'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''255'', ''为高热'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''255'', ''为急性高热'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''上'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''下'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''左'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''右'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''中'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''全'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''剑突下'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''256'', ''脐周'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''257'', ''腹部'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''257'', ''腹'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''阵发性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''持续性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''间断性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''发作性'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''突发性'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''反复'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''一过性'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''261'', ''转移性'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''隐痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''绞痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''钝痛'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''刀割样痛'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''烧灼样痛'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''撕裂样痛'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''刺痛'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''胀痛'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''262'', ''坠痛'', ''90'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''266'', ''程度较轻'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''266'', ''疼痛不剧可忍'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''266'', ''程度较重'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''266'', ''疼痛剧烈'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''无放射痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''无其他部位放射'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''疼痛可向肩部放射'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''疼痛可向背部放射'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''疼痛可向左臂放射'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''267'', ''疼痛可向下颌部放射'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''可自行缓解'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''休息后可自行缓解'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''疼痛难以自行缓解'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''疼痛持续较长时间后，仍难以缓解'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''排便后可缓解'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''269'', ''排便后不能缓解'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''271'', ''晨起'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''271'', ''夜间'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''271'', ''餐后即刻'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''271'', ''呕吐物为'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''272'', ''呕吐'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''272'', ''干呕'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''272'', ''胆汁样'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''272'', ''咖啡样'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''272'', ''胃内容物'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''274'', ''为'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''274'', ''呈'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''274'', ''有'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''274'', ''无'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''275'', ''喷射状'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''275'', ''腐败气味'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''275'', ''粪臭味'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''275'', ''酸味'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''275'', ''特殊味道'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''284'', ''水肿'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''284'', ''无水肿'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''285'', ''苍白'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''285'', ''无苍白'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''286'', ''可见滤泡'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''286'', ''无滤泡'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''283'', ''结膜无充血'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24031'', ''咽无充血'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24031'', ''咽红'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24031'', ''咽稍充血'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24031'', ''咽部充血'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''293'', ''扁桃体轻度肿大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''293'', ''扁桃体中度肿大'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''293'', ''扁桃体重度肿大'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''294'', ''无充血'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''294'', ''有充血'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''295'', ''扁桃体表面有白色分泌物'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''295'', ''扁桃体表面有黄色分泌物'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''296'', ''有假膜'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''296'', ''有脓点'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''297'', ''扁桃体无肿大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''283'', ''结膜有充血'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''380'', ''双侧瞳孔'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''380'', ''左侧瞳孔'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''380'', ''右侧瞳孔'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''385'', ''等大等圆'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''385'', ''散大'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''385'', ''呈针尖样'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''388'', ''对光反射灵敏'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''388'', ''对光反射迟钝'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''388'', ''对光反射消失'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''391'', ''颈静脉无怒张，肝颈静脉回流征阴性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''392'', ''颈静脉轻度充盈'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''392'', ''颈静脉怒张'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''393'', ''肝颈静脉回流征阴性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''393'', ''肝颈静脉回流征阳性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''394'', ''颈动脉无异常搏动'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''394'', ''颈动脉异常搏动'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''精神欠佳'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''精神差'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''意识模糊'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''意识丧失'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''胃纳差'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''食欲欠佳'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''食欲较好'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''食欲亢进'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''拒食'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''睡眠可'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''睡眠质量欠佳'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''失眠'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''62'', ''白天嗜睡'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''嗜睡'', ''21'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60'', ''昏睡'', ''22'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''32'', ''精神亢奋'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''61'', ''厌食'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''二便无殊'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''大便无殊'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''大便不规律'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''大便稀'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''大便硬'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''400'', ''大便干结'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''401'', ''小便无殊'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''401'', ''小便黄'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''401'', ''小便困难'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''401'', ''遗尿'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''401'', ''小便带血'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''肥胖'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''偏瘦'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''体重增加'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''营养不良'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''64'', ''恶病质'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''未经治疗'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''使用( )后好转'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''使用( )后未见明显好转'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''于( )诊治( ),未见明显好转'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''于( )诊治,经( )后未见明显好转'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''404'', ''痰量少'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''404'', ''痰量中等'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''404'', ''痰量多'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''404'', ''痰量多，一次可达( )ml'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''404'', ''一次可咳出大量( )痰'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''402'', ''于( ),经( )后好转,未痊愈'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''66'', ''症状加重'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''66'', ''上述症状加重'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''未予重视,不规律服药治疗'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''自服( )治疗'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''49'', ''使用( )治疗'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''416'', ''双眼睑水肿'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''416'', ''双眼睑无水肿'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''473'', ''呈'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''洗肉水样便'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''水样便'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''脓血样便'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''糊状便'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''果酱样便'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''米泔水样便'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''蛋花汤样便'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''粘液脓血便'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''黏液便'', ''90'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''474'', ''黄稀便'', ''100'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''475'', ''一天【】次、每次约【】ml'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''479'', ''上腹胀'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''479'', ''中腹胀'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''479'', ''下腹胀'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''479'', ''全腹胀'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''479'', ''呈全腹胀痛'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''478'', ''为主'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''477'', ''以'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''477'', ''为'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''饥饿时'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''餐后'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''运动后'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''精神紧张时'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''劳累后'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''480'', ''情绪不佳时'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''481'', ''明显'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''481'', ''加重'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''481'', ''进行性加重'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''477'', ''呈'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''484'', ''暗红色'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''484'', ''鲜红'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''484'', ''柏油样便'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''484'', ''果酱样便'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''485'', ''大便'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''481'', ''缓解'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''491'', ''口唇无发绀'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''491'', ''口唇发绀'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''492'', ''口周无疱疹'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''492'', ''口周可见疱疹'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''493'', ''皮肤无皲裂'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''493'', ''表面可见皲裂'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''494'', ''皮肤无溃疡'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''494'', ''表面可见溃疡'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''叩诊呈清音'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''叩诊呈过清音'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''叩诊呈浊音'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''叩诊呈实音'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''422'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40407'', ''( )叩呈为(过清音；浊音；实音)'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40415'', ''未闻及明显干湿啰音'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40415'', ''双肺呼吸音粗，未闻及明显干湿啰音'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40415'', ''( )可闻及湿啰音'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40415'', ''( )可闻及干性啰音'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''496'', ''律齐'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''496'', ''律不齐'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''498'', ''全腹软，无压痛、反跳痛及肌紧张'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''499'', ''全腹软'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''500'', ''无压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''500'', ''有压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''501'', ''无反跳痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''501'', ''有反跳痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''502'', ''无肌紧张'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''502'', ''有肌紧张'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''503'', ''肝脾肋下未及'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''504'', ''肝肋下( )cm触及'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''504'', ''脾肋下( )cm触及'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''质软'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''质硬'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''质韧'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''光滑'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''有结节'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''无压痛'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''505'', ''有压痛'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''506'', ''Murphy征阴性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''506'', ''Murphy征阳性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''506'', ''肝区叩击痛阴性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''506'', ''肝区叩击痛阳性'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''517'', ''肠鸣音亢进'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''517'', ''肠鸣音减弱'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''517'', ''肠鸣音消失'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''515'', ''肠鸣音正常'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''516'', ''肠鸣音( )次/分'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''430'', ''神志清'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''430'', ''神志模糊'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''430'', ''昏睡'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''430'', ''昏迷'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''430'', ''谵妄'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''431'', ''自主体位'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''431'', ''卧位'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''431'', ''强迫体位'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''431'', ''被动体位'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''431'', ''端坐位'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''432'', ''面容正常'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''432'', ''急性病容'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''432'', ''慢性病容'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''433'', ''表情安静'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''433'', ''神情忧虑'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''433'', ''神情烦躁'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''434'', ''查体合作'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''434'', ''查体不合作'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29627'', ''全身浅表淋巴结未触及'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29628'', ''( )可触及肿大淋巴结'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29629'', ''质硬'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29629'', ''质软'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29630'', ''( )大小约( )cm'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29631'', ''可活动'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29631'', ''不可活动'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29632'', ''有粘连'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29632'', ''无粘连'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29633'', ''头颅五官无畸形'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29634'', ''尖颅畸形'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29634'', ''巨颅畸形'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29634'', ''方颅畸形'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29635'', ''囟门已闭合'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29635'', ''囟门末闭合'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''438'', ''巩膜无黄染'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''438'', ''巩膜黄染'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29636'', ''角膜透明'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29637'', ''角膜'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''溃疡'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''瘢痕'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''色素沉着'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''云翳'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''白斑'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''浑浊'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29638'', ''透明'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29639'', ''耳廓无畸形，外耳道无溢液'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29640'', ''双'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29640'', ''左'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29640'', ''右'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29641'', ''耳廓无畸形'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29641'', ''耳廓畸形'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29642'', ''外耳道无溢液'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29642'', ''外耳道溢液'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29642'', ''溢淡黄色液体'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29643'', ''无牵拉痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29643'', ''有牵拉痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29644'', ''乳突区无压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29644'', ''乳突区压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''52'', ''有'', ''2'', ''0'', ''1'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29647'', ''外鼻无畸形'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29648'', ''鞍鼻'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29648'', ''酒糟鼻'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29649'', ''鼻翼无煽动'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29649'', ''鼻翼煽动'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29650'', ''鼻腔无异常分泌物'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29650'', ''鼻腔可见黄色分泌物'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29650'', ''鼻腔可见异常分泌物'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29651'', ''鼻中隔无偏曲'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29651'', ''鼻中隔向左偏曲'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29651'', ''鼻中隔向右偏曲'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29652'', ''鼻窦区无压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29652'', ''鼻窦区有轻度压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''443'', ''颈软'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''443'', ''颈强直'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''443'', ''颈部僵硬，活动受限'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''444'', ''气管居中'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''444'', ''气管偏右'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''444'', ''气管偏左'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''水肿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''局部'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''局限性'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''全身性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''轻度'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29653'', ''重度'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''水肿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''，以'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''，初为'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''，后为'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29654'', ''，后发展至'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''颜面部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''眼睑'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''上肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''下肢'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''四肢'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''胸部'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''腹部'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29655'', ''全身'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''为主'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''，发展迅速'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''，渐进性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''，为凹陷性水肿'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''448'', ''未触及胸膜摩擦感'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''，为非凹陷性水肿'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''448'', ''可触及胸膜摩擦感'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29656'', ''，为粘液性水肿'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29657'', ''甲状腺无肿大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29658'', ''甲状腺轻度肿大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29658'', ''甲状腺肿大'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29659'', ''质硬'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29659'', ''质软'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29660'', ''有压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29660'', ''无压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29661'', ''有震颤'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29661'', ''无震颤'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29662'', ''有血管杂音'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29662'', ''无血管杂音'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''52'', ''否认'', ''3'', ''0'', ''2'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''痰中带血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''咯血量少'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''咯血量中等'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''大咯血'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29663'', ''24小时咯血量约为()ml'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''鲜红色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''铁锈色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''暗红色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''浆液性粉红色泡沫痰'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29664'', ''粘稠暗红色血痰'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29665'', ''胸廓对称无畸形'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29666'', ''胸廓对称'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29666'', ''胸廓不对称'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29667'', ''呈鸡胸'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29667'', ''呈漏洞胸'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29667'', ''呈桶状胸'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29667'', ''呈扁平胸'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29668'', ''可见局部隆起'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29668'', ''可见局部塌陷'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29669'', ''有皮下气肿'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29669'', ''无皮下气肿'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29670'', ''胸骨有压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29670'', ''胸骨无压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29677'', ''心界无扩大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29679'', ''心界增大'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29679'', ''心界向左下增大'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29679'', ''心界向左右两侧增大'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29680'', ''呈普大型'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29680'', ''呈靴型'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29680'', ''呈梨型'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''发绀'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''局部'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''周围性'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''中心性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''全身性'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''混合性'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''轻度发绀'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''重度发绀'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29682'', ''中度发绀'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29683'', ''发绀'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29683'', ''，以'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29683'', ''，为'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29683'', ''，可累积'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''发绀'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''口唇'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''指甲'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''四肢末梢'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29684'', ''全身皮肤'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''发绀'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''为主'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''，程度较轻'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''，程度较重'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''，发绀处皮温偏高'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29685'', ''，发绀处皮温偏低'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''428'', ''发育正常'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''428'', ''发育异常'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''428'', ''发育延迟'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''428'', ''发育迟滞'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''429'', ''营养中等'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''429'', ''营养良好'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''429'', ''营养不良'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''429'', ''营养肥胖'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29686'', ''双侧呼吸动度一致'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29687'', ''呼吸节律规整'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29687'', ''呼吸节律不规整'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29688'', ''右侧'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29688'', ''左侧'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29688'', ''双侧'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29689'', ''呼吸增强'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29689'', ''呼吸减弱'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29690'', ''心前区无异常隆起'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29691'', ''未见心尖异常搏动'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29691'', ''心尖搏动强度和范围异常偏大'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29692'', ''心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29692'', ''心尖搏动位于左第5肋间，左锁骨中线内侧 cm'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29693'', ''无震颤'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29693'', ''可扪及震颤'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29694'', ''无心包摩擦感'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29694'', ''可扪及心膜摩擦感'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29703'', ''量'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29704'', ''少'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29704'', ''多'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29705'', ''约【】ml'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29706'', ''【】次/天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29709'', ''量'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29710'', ''少'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29710'', ''多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29711'', ''约【】ml'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29712'', ''【】次/天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29714'', ''颜色呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29715'', ''鲜红色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29715'', ''暗红色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29715'', ''棕褐色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29715'', ''咖啡色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29716'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29716'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29717'', ''血块'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29717'', ''凝血块'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29718'', ''有黑便'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29718'', ''无黑便'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''34'', ''各瓣膜听诊区'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36'', ''病理性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29719'', ''肾区'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29720'', ''左侧'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29720'', ''右侧'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29720'', ''双侧'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29721'', ''有叩痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29722'', ''无压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''27922'', ''有压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''459'', ''移动性浊音阴性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''459'', ''移动性浊音阳性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29723'', ''肛门及外生殖器未查'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29724'', ''肛门未见异常'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29724'', ''无肿块'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29724'', ''无肛裂、肛瘘'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29724'', ''肛门未查'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29725'', ''外生殖器无畸形'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29725'', ''无溃疡'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29725'', ''无局部肿胀'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29725'', ''外生殖器未查'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50'', ''( )控制可'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29726'', ''脊柱无畸形,活动自如'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29727'', ''脊柱'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29728'', ''前凸'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29728'', ''后凸'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29728'', ''侧凸'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29729'', ''有压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29729'', ''无压痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29730'', ''有叩击痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29730'', ''无叩击痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29731'', ''活动受限'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29731'', ''活动自如'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29731'', ''僵硬'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29732'', ''腹部平坦'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29733'', ''腹部'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29734'', ''膨隆'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29734'', ''呈舟状腹'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29735'', ''可见局部凹陷'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29736'', ''双下肢无水肿'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''四肢'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''双上肢'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''双下肢'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''左上肢'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''右上肢'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''左下肢'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29737'', ''右下肢'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29738'', ''凹陷性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29738'', ''非凹陷性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29738'', ''粘液性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29739'', ''水肿'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29744'', ''四肢肌力肌张力正常'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29745'', ''肌张力减退'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29745'', ''肌张力增高'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力Ⅰ级'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力Ⅱ级'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力Ⅲ级'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力Ⅳ级'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力Ⅴ级'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29747'', ''生理反射存在，病理反射未引出'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29748'', ''生理反射存在'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29748'', ''生理反射减弱'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''病理反射未引出'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''巴彬斯基征阳性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''奥本海默征阳性'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''戈登征阳性'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''查多克征阳性'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''霍夫曼征阳性'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29749'', ''其他病理反射未引出'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29750'', ''脑膜刺激征阴性'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29750'', ''脑膜刺激征阳性'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29754'', ''四肢无畸形，关节无红肿热痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29755'', ''无静脉曲张'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29755'', ''可见静脉曲张'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''无'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''可见'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''杵状指'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''畸形'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29756'', ''骨折'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''各关节'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''肩关节'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''肘关节'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''腕关节'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''髋关节'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''膝关节'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29757'', ''踝关节'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''无'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''可见'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''红肿疼痛'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''积液'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''肿胀'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''强直'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29758'', ''脱臼'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''皮肤粘膜无黄染'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''皮肤粘膜黄染'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''面色苍白'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''嘴唇发绀'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''皮肤潮红'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''皮肤黝黑'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''435'', ''可见色素沉着'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''38'', ''杂音'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29764'', ''既往体质一般'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29765'', ''既往体健'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29766'', ''既往体质较差'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29763'', ''既往体质一般'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29763'', ''既往体键'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29763'', ''既往体质较差'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29735'', ''可见局部隆起'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29767'', ''按国家规定接种疫苗'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29767'', ''预防接种不详'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29767'', ''尚未接种疫苗'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29767'', ''仅完成部分疫苗的接种'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29768'', ''未见胃肠型和蠕动波'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29769'', ''无重大手术及外伤史'', ''10'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29769'', ''()曾行()术，术后恢复可'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29769'', ''()年前曾行()术，术后恢复可'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29721'', ''无叩痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29722'', ''有压痛'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力0级'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29770'', ''否认输血史'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29770'', ''有输血史'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29770'', ''曾输()'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29746'', ''肌力减退'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41534'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''54'', ''无食物及药物过敏史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"牛奶\"过敏史'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''55'', ''有\"海鲜\"过敏史'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29772'', ''平素每【】天排便一次伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29773'', ''排便费力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29773'', ''排便不尽感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29773'', ''便后滴血'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29773'', ''便秘腹泻交替'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29775'', ''全身皮肤'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29775'', ''四肢皮肤'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29775'', ''黏膜'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29775'', ''巩膜'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29776'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29776'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29777'', ''黄染'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29778'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''柠檬色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''浅黄色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''金黄色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''黄绿色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''深绿色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29779'', ''褐色'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''上背部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''下背部'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''胸背部'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''肩胛区'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''尾椎处'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''骶骨处'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29792'', ''腰背部'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29793'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''放射性疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''牵拉性疼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''酸痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''咳嗽痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''挤压痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''顽固性疼痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''隐痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''剧痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29794'', ''钝痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29797'', ''患者出现'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29798'', ''无痛性血尿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29798'', ''运动后血尿'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29798'', ''无症状血尿'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29799'', ''【】小时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29799'', ''【】天'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29800'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''腹部疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''脐周疼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''输尿管巡行周边疼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''腰腹部疼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''肾绞痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''尿痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''排尿困难'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29801'', ''排尿不畅'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29802'', ''小便起始段'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29802'', ''小便中段'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29802'', ''小便终末段'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29802'', ''小便全程'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''鲜红色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''淡红色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''暗红色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''棕红色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''酱油色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29803'', ''黑色'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29804'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29804'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29805'', ''颗粒'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29805'', ''絮状物'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29805'', ''结石'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29805'', ''结晶体'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''呈阵发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''呈一过性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''呈反复性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''呈突发性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29806'', ''呈持续性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29808'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29808'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29808'', ''双'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''膝关节'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''踝关节'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''肘关节'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''髋关节'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''肩关节'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''指关节'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''趾关节'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29809'', ''腕关节'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29810'', ''游走性疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29810'', ''持续性疼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29810'', ''发作性疼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29811'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''红肿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''肿胀'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''发热'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''晨僵'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''积液'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''肌肉萎缩'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''畸形'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29812'', ''强直'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29817'', ''尿痛发生在'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29818'', ''排尿开始时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29818'', ''排尿终末时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29818'', ''排尿突然中断时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29819'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29820'', ''刺痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29820'', ''烧灼感痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29820'', ''刀割样痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29820'', ''灼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24042'', ''出生于原籍'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24042'', ''出生于()'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', '''', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''农民'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''工人'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''教师'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''干部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''退休'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24046'', ''()'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24043'', ''无疫区居留史'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24043'', ''有疫区居留史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24043'', ''近期到过()疫区'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24048'', ''无冶游史'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24048'', ''有冶游史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24047'', ''无长期工业粉尘、毒物及放射性物质接触史'', ''1'', ''1'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24047'', ''有反射性接触史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40110'', ''无食物及药物过敏史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''阵发性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''持续性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''阵发性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''反复发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''间行性'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40111'', ''慢性进行性'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''前额'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''头顶'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''后枕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''右侧颈部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''左侧颈部'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''右侧颞部'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''左侧颞部'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''右侧眼眶'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''左侧眼眶'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''游走不固定'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40112'', ''全头部'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40113'', ''轻度'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40113'', ''中度'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40113'', ''重度'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''跳痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''紧箍痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''胀痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''爆裂样痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''针刺样痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''昏痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''牵扯样痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''压迫样痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''钝痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''带帽痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''锐痛'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''钻痛'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''隐痛'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40114'', ''电击样痛'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''脑力活动后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''体力活动后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''睡眠后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''按摩后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''冷敷后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''热敷后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''睡眠后'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''四处活动后'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40115'', ''分散注意力后'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40116'', ''疼痛好转'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40116'', ''疼痛加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40116'', ''疼痛不变'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40119'', ''结核'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40119'', ''肝炎'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40119'', ''性病'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40117'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40119'', ''艾滋病'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''恶心感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''呕吐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''对声音感觉不适'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''对光线感觉不适'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''头昏'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''眼睛发红'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''流泪'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''面部出汗'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''眩晕'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''视觉症状'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''耳鸣'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40118'', ''畏臭（香水、汽油、烟味等）'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40120'', ''疼痛发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40121'', ''呈季节性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40121'', ''呈周期性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''父亲'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40121'', ''无规律'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''母亲'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40121'', ''每天定时'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''哥哥'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''姐姐'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''弟弟'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''春季频发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''妹妹'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''夏季频发	'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24055'', ''直系亲属中'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40147'', ''否认家族性传染病史'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41737'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40147'', ''家族中无结核等传染病史'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''秋季频发'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''冬季频发'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''()am'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40122'', ''()pm'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40109'', ''每次发作持续时间()到()分钟'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40109'', ''每次发作持续时间()到()小时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40123'', ''【直系亲属】患有【家族相关传染病】'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40127'', ''眩晕呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''阵发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''持续性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''阵发性加重发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''反复发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''间行性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40128'', ''慢性进行性发作'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40129'', ''发作时感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''旋转'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''浮动'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''双下肢发软'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''站立不稳'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''摇晃'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40130'', ''倾斜'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40131'', ''能'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40131'', ''不能'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40132'', ''直立行走'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40133'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''视力模糊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''恶心'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''听力下降'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''共济失调'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''呕吐'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''耳鸣'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''头痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40134'', ''眼球震颤'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40137'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''口吐白沫'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''角弓反张'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''牙关紧闭'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''口唇发绀'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''小便失禁'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''大便失禁'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''呼之不应'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40138'', ''眼球上翻'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40141'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''角弓反张'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''牙关紧闭'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''全身痉挛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''眼球上翻'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''尿失禁'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40142'', ''神经错乱'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40145'', ''餐后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40145'', ''运功后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40145'', ''劳累后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40146'', ''出现'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40146'', ''加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''呕吐后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''排便后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''打嗝'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''休息'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40148'', ''热敷'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40149'', ''能'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40149'', ''不能'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40149'', ''可'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40150'', ''缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40150'', ''自行缓解'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''血友病'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''遗传性多囊肾'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''先天性聋哑'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''21三体综合征 '', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''苯丙酮尿症'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''地中海贫血'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''先天性心脏病'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''糖尿病'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''41810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40158'', ''原发性高血压'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35006'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35013'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35016'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35017'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35018'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35019'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35020'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35021'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35029'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35034'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35036'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35037'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35038'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35039'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35040'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35041'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35042'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35043'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35044'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35045'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35046'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35047'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35048'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35049'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35050'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35051'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35052'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35053'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35054'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35055'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35056'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35058'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35060'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35061'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35064'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35079'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35081'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35082'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35083'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35084'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35085'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35086'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35087'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35088'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35089'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35122'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35123'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35124'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35125'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35144'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35152'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35158'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35159'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35160'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35163'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35164'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35165'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35166'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35167'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35190'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35191'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35192'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35193'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35194'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35195'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35223'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35224'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35225'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35226'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35229'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35230'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35232'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35234'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35235'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35236'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35250'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35252'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35253'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35254'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35255'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35261'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35276'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35280'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35281'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35282'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35283'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35284'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35292'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35303'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35304'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35305'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35306'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35307'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35308'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35309'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35310'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35311'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35312'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35313'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35314'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35315'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35316'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35317'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35318'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35319'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35320'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35321'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35322'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35323'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35324'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35325'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35326'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35327'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35330'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35332'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35336'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35342'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35348'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35350'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35351'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35352'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35359'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35361'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35362'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35363'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35364'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35365'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35373'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35375'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35376'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35377'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35378'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35379'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35386'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35387'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35388'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35389'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35390'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35398'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35404'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35405'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35417'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35419'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35425'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35426'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35427'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35428'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35429'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35430'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35431'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35432'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35433'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35434'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35435'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35436'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35437'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35438'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35440'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35444'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35446'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35447'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35448'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35449'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35450'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35452'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35453'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35454'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35471'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35481'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35487'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35495'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35496'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35499'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35501'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35521'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35541'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35543'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35544'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35545'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35546'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35547'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35548'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35549'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35550'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35551'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35552'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35560'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35562'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35567'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35568'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35569'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35570'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35571'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35576'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35577'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35578'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35579'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35580'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35591'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35622'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35623'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35624'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35625'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35626'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35627'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35628'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35629'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35630'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35631'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35632'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35633'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35634'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35635'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35636'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35637'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35638'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35639'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35640'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35641'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35643'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35644'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35682'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35683'', ''正常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35684'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35685'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35686'', ''正常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35687'', ''正常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35688'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35690'', ''正常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35691'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35692'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35693'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35694'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35695'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35696'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35697'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35698'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35699'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35700'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35701'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35702'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35703'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35704'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35705'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35706'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35707'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35708'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35709'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35711'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35712'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35715'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35716'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35717'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35725'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35728'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35729'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35738'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35739'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35740'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35766'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35767'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35776'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35783'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35784'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35785'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35786'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35787'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35788'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35789'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35790'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35791'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35792'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35826'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35827'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35828'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35829'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35830'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35831'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35832'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35833'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35834'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35835'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35836'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35837'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35838'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35839'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35840'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35841'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35842'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35877'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35878'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35889'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35890'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35904'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35905'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35906'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35907'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35908'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35909'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35915'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35916'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35917'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35918'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35921'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35926'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35927'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35928'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35929'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35949'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35951'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35952'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35953'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35954'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35955'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35957'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35959'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35961'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35963'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35965'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35966'', ''异常'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35967'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35969'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35970'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35971'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35972'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35973'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35977'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35978'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35979'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35980'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35981'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35982'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35983'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35984'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35985'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35986'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35987'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35988'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35989'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35990'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35991'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35992'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35996'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35997'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35998'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35999'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36000'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36001'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36023'', ''阳性'', ''2'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_detail` VALUES (''42918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35006'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35013'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35016'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35017'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35018'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35019'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35020'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35021'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35034'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35036'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35037'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35038'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35039'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35040'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35041'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35042'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35043'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35044'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35045'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35046'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35047'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35048'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35049'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35050'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35051'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35052'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35053'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35054'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35055'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35056'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35058'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35060'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35061'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35064'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35079'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35081'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35083'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35084'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35085'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35086'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35087'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35088'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35089'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35122'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35123'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35124'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35125'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35143'', ''淀粉样蛋白'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35144'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35152'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35158'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35159'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35160'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35163'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35164'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35165'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35166'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35167'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35190'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35191'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35193'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35194'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35195'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35225'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35226'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35229'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35236'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35250'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35252'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35253'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35254'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35255'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35261'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35276'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35280'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35281'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35282'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35283'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35284'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35292'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35303'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''42999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35304'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35305'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35306'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35307'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35308'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35309'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35310'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35311'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35312'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35313'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35314'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35315'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35316'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35317'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35318'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35319'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35320'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35321'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35322'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35323'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35324'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35325'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35326'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35327'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35330'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35332'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35336'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35342'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35348'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35350'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35351'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35352'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35359'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35361'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35362'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35363'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35364'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35365'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35375'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35376'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35377'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35378'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35379'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35386'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35387'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35389'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35390'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35404'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35405'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35417'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35419'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35425'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35426'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35427'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35428'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35429'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35430'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35431'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35432'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35434'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35435'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35436'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35437'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35438'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35440'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35444'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35446'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35447'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35448'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35449'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35450'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35452'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35453'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35454'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35471'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35481'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35487'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35495'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35496'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35499'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35501'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35521'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35541'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35543'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35544'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35545'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35547'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35548'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35549'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35550'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35551'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35552'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35560'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35562'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35567'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35568'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35569'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35570'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35571'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35576'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35577'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35578'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35579'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35580'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35591'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35622'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35623'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35624'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35625'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35626'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35627'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35628'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35629'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35630'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35631'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35632'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35633'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35635'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35636'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35638'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35639'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35640'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35641'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35643'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35644'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35682'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35683'', ''异常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35684'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35685'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35686'', ''异常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35687'', ''异常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35688'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35690'', ''异常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35691'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35692'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35693'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35694'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35695'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35696'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35697'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35698'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35699'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35700'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35701'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35702'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35703'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35704'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35705'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35706'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35707'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35708'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35709'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35711'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35712'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35715'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35716'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35717'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35725'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35728'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35729'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35740'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35766'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35767'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35776'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35783'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35784'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35785'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35786'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35787'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35788'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35790'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35791'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35792'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35826'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35827'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35828'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35829'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35830'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35831'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35832'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35833'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35834'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35835'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35836'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35837'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35838'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35839'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35840'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35842'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35877'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35878'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35904'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35905'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35906'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35907'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35908'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35909'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35915'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35916'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35917'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35918'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35921'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35926'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35927'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35928'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35929'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35949'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35951'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35952'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35953'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35954'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35955'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35957'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35959'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35961'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35963'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35965'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35966'', ''正常'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35967'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35968'', ''小杆菌3+'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35969'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35970'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35971'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35972'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35973'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35977'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35978'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35979'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35980'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35981'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35982'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35983'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35984'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35985'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35986'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35987'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35988'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35989'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35990'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35991'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35992'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35996'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35997'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35998'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35999'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36000'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36001'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36023'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35029'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35082'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35192'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35223'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35224'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35230'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35232'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35234'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35235'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35373'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35388'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35398'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35433'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35546'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35634'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35637'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35738'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35739'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35789'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35841'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35889'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35890'', ''阴性'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36005'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36006'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36007'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36008'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36009'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36010'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36011'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36012'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36013'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36014'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36015'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36016'', ''高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36005'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36006'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36007'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36008'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36009'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36010'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36011'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36012'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36013'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36014'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36015'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36016'', ''中'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36005'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36006'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36007'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36008'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36009'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36010'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36011'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36012'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36013'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36014'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36015'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''36016'', ''低'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35029'', ''未检出白喉棒状杆菌'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35082'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35192'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35223'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35224'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35230'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35232'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35234'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35235'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35373'', ''未检出淋球菌'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35388'', ''未检出梅毒螺旋体'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35398'', ''未检出隐球菌'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35433'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35546'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35634'', ''正常菌群生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35637'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35738'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35739'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35789'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35841'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35889'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''35890'', ''无细菌生长'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40242'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''突发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''一过性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''父母'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''父母兄弟姐妹'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''父亲'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''母亲'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''哥哥'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''姐姐'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''弟弟'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''妹妹'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''直系亲属中'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''体健'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''均体健'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''有'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''无'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''有家族遗传病及特殊疾病史'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''有同样疾病'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''糖尿病'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''血友病'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''遗传性多囊肾'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''先天性聋哑'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''21三体综合征'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''苯丙酮尿症'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''地中海贫血'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''先天性心脏病'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''糖尿病'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40208'', ''原发性高血压'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40244'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40244'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''心前区痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''发热'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''血压下降'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''出汗'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''呼吸困难'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40245'', ''抽搐'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40246'', ''胸痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40246'', ''无力'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40246'', ''头晕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40246'', ''耳鸣'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''运动后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''饱食后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''受惊后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''劳累后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40247'', ''饥饿后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40248'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29690'', ''心前区异常隆起'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29691'', ''可见心尖异常搏动'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''看近清楚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''看远清楚'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''看远看近都不清楚'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''有重影'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''暗视能力减弱'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40249'', ''视觉疲劳'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40251'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40252'', ''急剧进行'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40252'', ''渐进性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40252'', ''持续性'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40253'', ''加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29733'', ''全腹'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29734'', ''平坦'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29768'', ''可见胃肠型和蠕动波'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40258'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''突发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''一过性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''持续性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''反复性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40259'', ''突发突止'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''运动后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''饱食后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''受惊后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''劳累后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40260'', ''饥饿后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40261'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40262'', ''休息后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40262'', ''饱食后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40263'', ''缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40264'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40264'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''心前区痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''发热'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''血压下降'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''出汗'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''呼吸困难'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40265'', ''抽搐'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''胸痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''胸闷'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''无力'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''头晕'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40266'', ''耳鸣'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40269'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40269'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40270'', ''上肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40270'', ''下肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40270'', ''手'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40270'', ''足'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''拇指'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''食指'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''无名指'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''中指'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''小指'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''大拇趾'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''第二趾'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''第三趾'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''第四趾'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''次趾'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''第五趾'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40271'', ''末趾'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40272'', ''近端'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40272'', ''远端'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40273'', ''麻木'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40274'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40274'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''疼痛感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''烧灼感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''撕裂感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''蚁行感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''感觉异常'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40275'', ''肢体无力感'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40279'', ''右侧肢体'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40279'', ''左侧肢体'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40280'', ''急性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40280'', ''突发性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40280'', ''一过性'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''偏瘫'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''轻瘫'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''全瘫'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''半身不遂'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''意识障碍性偏瘫'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''弛缓性偏瘫'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40281'', ''痉挛性偏瘫'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40282'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40282'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''同侧面部肌肉瘫痪'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''同侧舌肌瘫痪'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''言语不利'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''吐词不清'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', ''口眼歪斜'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40283'', '''', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40284'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40284'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40285'', ''上肢肌张力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40285'', ''下肢肌张力'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40285'', ''上肢肌力'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40285'', ''下肢肌力'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''0级'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''1级'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''2级'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''3级'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''4级'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40286'', ''5级'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40292'', ''表现为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''吸气性呼吸困难'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''呼气性呼吸困难'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''混合性呼吸困难'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''潮式呼吸'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40293'', ''间停呼吸'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40294'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40295'', ''端坐呼吸'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40295'', ''平卧呼吸'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40295'', ''张口呼吸'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40296'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40296'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40297'', ''三凹征'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40298'', ''呼吸加深'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40298'', ''呼吸变浅'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40298'', ''呼吸浅而快'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40298'', ''深大呼吸'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40298'', ''呼吸浅而慢'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''患有'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''无家族遗传病及特殊疾病史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''无同样疾病'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40299'', ''呼吸频率加快\r\n呼吸频率减慢\r\n'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40299'', ''呼吸频率加快\r\n呼吸频率减慢\r\n'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40300'', ''约()次/分'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''平卧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''端坐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''运动后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''劳累后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''饱食后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40301'', ''休息后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40302'', ''症状加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40302'', ''症状缓解'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40303'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40303'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''头晕'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''咳嗽'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''胸闷'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''胸痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''咳血'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''咳粉红色泡沫样痰'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40304'', ''乏力'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''家族有'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40306'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''突发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''一过性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''持续性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''反复性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40307'', ''进行性发作'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40308'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40308'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''排尿延迟'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''射程短'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿线变细'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿流滴沥'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿潴留'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''排不尽感'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿频'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿急'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40309'', ''尿痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40312'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''干痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''刺痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''钝痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''烧灼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''隐痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''胀痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40313'', ''跳痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40314'', ''阵发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40314'', ''持续性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40314'', ''反复性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''否认族遗传病及特殊疾病史'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40315'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40207'', ''否认样疾病'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40315'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''发热'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''咀嚼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''吞咽通'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''疱疹'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''溃疡'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''声嘶'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''吞咽困难'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''张口困难'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''咽痒'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40316'', ''咳嗽'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40206'', ''否认'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40319'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40320'', ''右侧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40320'', ''左侧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40320'', ''双侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''阵发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''交替性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''持续性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''季节性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40321'', ''进行性加重'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40322'', ''春季多发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40322'', ''夏季多发'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40322'', ''秋季多发'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40322'', ''冬季多发'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40323'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40323'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''黄水样分泌物'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''鼻涕带血'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''黄脓鼻涕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''鼻出血'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''鼻痒'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40324'', ''打喷嚏'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''头昏'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''头痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''头晕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''记忆力下降'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''气喘'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40325'', ''发热'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40327'', ''鼻涕呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''白色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''黄色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''红色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''黑色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''灰白色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''清水样'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40328'', ''黄水样'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40329'', ''涕中带血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40329'', ''涕中未见血性分泌物'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40330'', ''量多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40330'', ''量少'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40330'', ''中量'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''面部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''耳后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''发际'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''胸背'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''颈'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''口腔内'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''四肢'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''咽峡'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''全身'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''鼻梁'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40334'', ''双颊'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''斑疹'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''丘疹'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''水疱'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''脓疱'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''风团'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''结节'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''溃疡'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''红斑'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''白斑'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''玫瑰疹'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40335'', ''蝶形红斑'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40336'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''对称性分布'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''全身性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''簇状'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''带状排列'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''散发'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40337'', ''不对称分布'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40338'', ''局部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40339'', ''发红'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40339'', ''瘙痒'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40339'', ''发热'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40339'', ''疼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40340'', ''疹间皮肤正常'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40341'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40341'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''痉痒感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''头痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''心慌'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''灼热感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''关节痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''无脱屑及色素沉着'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''咽痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40342'', ''腹泻'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40345'', ''双耳'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40345'', ''右耳'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40345'', ''左耳'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40346'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40346'', ''间歇性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40346'', ''突发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40346'', ''一过性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40347'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''铃声'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''嗡嗡声'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''哨声'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''汽笛声'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''海涛声'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''丝丝生'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''吼声'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40348'', ''耳鸣声无法形容'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40349'', ''音调高'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40349'', ''音调低'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40349'', ''音调高低不等'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''家族中'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40351'', ''否认家族性传染病史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40352'', ''结核'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40352'', ''肝炎'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40352'', ''性病'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40352'', ''艾滋病'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40356'', ''痛苦面容'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40356'', ''正常面容'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40356'', ''紧张面容'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40357'', ''对疼痛刺激有反应\r\n对疼痛刺激无反应\r\n'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40357'', ''对疼痛刺激有反应\r\n对疼痛刺激无反应\r\n'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40358'', ''呼吸节律紊乱'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40358'', ''呼吸不规则'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40358'', ''呼吸均匀'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40359'', ''血压下降'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40359'', ''血压升高'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40360'', ''角膜反射消失'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40360'', ''角膜反射减弱'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40361'', ''虹膜无黄染'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40361'', ''虹膜黄染'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40362'', ''瞳孔缩小'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40362'', ''瞳孔放大'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40362'', ''瞳孔大小不等'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40363'', ''()mm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40363'', ''左()mm'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40363'', ''右()mm'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40364'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40364'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40365'', ''大小便失禁'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40365'', ''全身肌肉松弛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40365'', ''去大脑强直'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40365'', ''口角流涎'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40368'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40369'', ''突然发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40369'', ''持续性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40369'', ''进行性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40370'', ''变现为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''失音'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''声不出'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''不能言'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''声哑'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40371'', ''喉中声嘶'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40372'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40372'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''吞咽痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''咽痒'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''口干'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''发热'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''嘴唇干燥'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''咳嗽'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40373'', ''干咳'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40376'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''突发性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''一过性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''持续性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''反复性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40377'', ''进行性发作'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40378'', ''表现为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40379'', ''普食'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40379'', ''软食'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40379'', ''流质饮食'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40379'', ''喝水'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40380'', ''吞咽困难'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40381'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40381'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''反酸'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''胃部不适'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''胃部灼热感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''胸口灼热感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''胃痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40382'', ''吞咽疼痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40385'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40386'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40386'', ''进行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40386'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40387'', ''表现为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''刺痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''钝痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''烧灼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''隐痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''胀痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40388'', ''跳痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40389'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40389'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''发热'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''恶心'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''咳嗽'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''咳痰'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''痰中带血'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''口干'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''咽痒'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40390'', ''咽部灼热感'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40394'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40395'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40395'', ''进行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40395'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40396'', ''表现为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''头重脚轻'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''视物旋转'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''自身倾倒感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''旋转性眩晕'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''站立不稳'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''指物偏斜'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40397'', ''平衡失调'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40398'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40398'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''恶心'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''呕吐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''面色苍白'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''出汗'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''头疼'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''乏力'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''胸闷'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40399'', ''呼吸困难'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''饱食后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''运动后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''劳累后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''思考时'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''体位改变时'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0'', ''嘈杂环境中'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40401'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40401'', ''发作症状加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40402'', ''休息后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40403'', ''症状缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40403'', ''症状无改善'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40408'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''进行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''突发性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''双肺'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''左肺'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''左上肺'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''左下肺'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''右肺'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''右上肺'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40409'', ''一过性'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''右中肺'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''右下肺'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40406'', ''肺底'', ''90'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''遇冷空气后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''饮食辛辣后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''冷饮后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''热饮后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''烟酒后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''运动后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''劳累后'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''夜间'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''清晨'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40410'', ''午后'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40411'', ''咳嗽加剧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40412'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40412'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''胸痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''咽痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''声音嘶哑'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''恶心'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''呕吐'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''咽干'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40413'', ''口干'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''双肺'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''左肺'', ''20'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''左上肺'', ''30'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''左下肺'', ''40'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''右肺'', ''50'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''右上肺'', ''60'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''右中肺'', ''70'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''右下肺'', ''80'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40414'', ''肺底'', ''90'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40418'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''反复性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''突发性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40419'', ''一过性'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40420'', ''餐后加剧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40420'', ''闻异味加剧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40420'', ''晨起尤甚'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40420'', ''夜间频发'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40421'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40421'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''呕吐'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''反酸'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''头晕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''腹痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''吐酸水'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''呕血'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''便血'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''嗳气'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40422'', ''胸闷'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40425'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40426'', ''反复发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40426'', ''持续性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40426'', ''渐行性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40426'', ''阵发性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''夜间尤甚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''饱餐后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''饥饿后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''饮食生冷后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40427'', ''饮食辛辣后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40428'', ''加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40428'', ''缓解'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40429'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40429'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''牙龈肿痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''大便干'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''口干'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''口苦'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''心烦易怒'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''胃部不适'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''胸骨后不适'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''胃脘灼痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''腹部绞痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40430'', ''腹部不适'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40434'', ''大便'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40435'', ''呈柏油状'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40435'', ''干燥'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40435'', ''不成型'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''棕黑色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''墨汁黑'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''亮黑色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''灰暗色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40436'', ''暗黑色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40437'', ''排便费力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40437'', ''易排出'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40437'', ''排便不畅'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40437'', ''有排不尽感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40438'', ''()次/()天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40439'', ''肝门有排气'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40439'', ''肝门无排气'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40440'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40440'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''恶心'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''呕吐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''腹部不适'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''腹部胀痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''手脚发凉'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''腹痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''腹胀'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''反酸'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40441'', ''嗳气'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40444'', ''包块约()cm*()cm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40445'', ''触之柔软'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40445'', ''质硬'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40445'', ''质软'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40446'', ''边界清楚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40446'', ''移动度可'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40446'', ''表面光滑'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40447'', ''局部皮肤红'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40447'', ''肤色正常'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40448'', ''有压痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40448'', ''无压痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40449'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40449'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''腹部不适'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''腹痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''腹胀'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''呕吐'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40450'', ''发热'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''脸部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''四肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''全身'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''腹部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40453'', ''背部'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40454'', ''皮肤发黄'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40455'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40455'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''恶心'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''呕吐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''腹部不适'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''乏力'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''食欲不振'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''厌食'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40456'', ''厌油食'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40460'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40460'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''上肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''下肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''四肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''足'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''手'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''足背'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''手背'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''胸部'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''背部'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''全身'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''腹股沟'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''大腿内侧'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''手臂'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''腹部'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''脸部'', ''15'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''额头'', ''16'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40461'', ''颈部'', ''17'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40462'', ''出现皮下瘀斑'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40463'', ''范围约()cm*()cm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40464'', ''瘀斑大小约()mm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40465'', ''压之褪色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40465'', ''压之不褪色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40466'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40466'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40467'', ''痛感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40467'', ''瘙痒感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40467'', ''灼热感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40468'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40468'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''牙龈出血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''发热'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''43999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''月经过多'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''食欲下降'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40469'', ''厌食'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40473'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40473'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''上肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''下肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''四肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''足'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''手'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''足背'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''手背'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''胸部'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''背部'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''全身'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''腹股沟'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''大腿内侧'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''手臂'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''腹部'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''脸部'', ''15'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''额头'', ''16'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40474'', ''颈部'', ''17'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40475'', ''出现皮下瘀点'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40476'', ''范围约()cm*()cm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40477'', ''瘀点大小约()mm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40478'', ''压之褪色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40478'', ''压之不褪色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40479'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40479'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40480'', ''痛感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40480'', ''瘙痒感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40480'', ''灼热感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40481'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40481'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''牙龈出血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''发热'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''月经过多'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''食欲下降'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40482'', ''厌食'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40486'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40486'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''上肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''下肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''四肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''足'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''手'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''足背'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''手背'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''胸部'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''背部'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''全身'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''腹股沟'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''大腿内侧'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''手臂'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''腹部'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''脸部'', ''15'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''额头'', ''16'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40487'', ''颈部'', ''17'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40488'', ''出现皮下紫癜'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40489'', ''范围约()cm*()cm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40490'', ''紫癜大小约()mm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40491'', ''压之褪色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40491'', ''压之不褪色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40492'', ''有'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40492'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40493'', ''痛感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40493'', ''瘙痒感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40493'', ''灼热感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40494'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40494'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''牙龈出血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''发热'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''月经过多'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''食欲下降'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40495'', ''厌食'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40500'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''持续性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''渐行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''反复性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''突发性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40501'', ''一过性'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40502'', ''发作时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40503'', ''视物不清'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40503'', ''视物模糊'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40503'', ''双目失明'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40504'', ''约()min自动恢复'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''午后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''餐后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''晨起时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''体位改变后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''劳累后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''咳嗽时'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''饥饿时'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''动怒时'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''情绪激动时'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40505'', ''受惊时'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40506'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40506'', ''频发'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40507'', ''平卧位'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40507'', ''蹲位'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40507'', ''坐位'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40508'', ''能加快恢复'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40509'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40509'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''头晕'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''恶心'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''呕吐'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''意识模糊'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''乏力'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40510'', ''手脚麻木'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''左上'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''右上'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''右下'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''左下'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''左'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''右'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''上'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40514'', ''下'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40515'', ''肩甲区'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40515'', ''腰背部'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40515'', ''胸背部'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40515'', ''背'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''突发性疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''急性疼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''反复发作性疼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''一过性疼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40516'', ''慢性疼痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40517'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40517'', ''为'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''撕裂样痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''钝痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''绞痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''酸痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''挤压痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''咳嗽痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''放射性疼痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''牵拉样痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''痉挛性疼痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40518'', ''胀痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40519'', ''热敷后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40519'', ''冷敷后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40519'', ''按摩后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40520'', ''缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40520'', ''加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40521'', ''拒按'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40521'', ''拒压'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40522'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40522'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40523'', ''咳嗽'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40523'', ''胸闷'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40523'', ''胸痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40523'', ''呼吸困难'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''持续性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''反复性发作'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40243'', ''突发突止'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40526'', ''双'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40526'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40526'', ''左'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40527'', ''四肢'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40527'', ''上肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40527'', ''下肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40528'', ''乏力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40529'', ''感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40529'', ''未感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40530'', ''精神疲乏'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40530'', ''精神不振'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40530'', ''极易疲劳'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40531'', ''能'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40531'', ''不能'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40532'', ''进行正常活动'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40532'', ''进行轻体力劳动'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40533'', ''休息时也感疲乏'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40533'', ''休息后好转'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40533'', ''休息前后无明显变化'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40536'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40536'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''口腔溃疡'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''嘴唇干裂'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''咳嗽'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''痰多'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''少痰'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''无痰'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''口苦'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''咽干'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''烦躁'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''心慌'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''尿频'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40537'', ''发热'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40538'', ''喜'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40539'', ''冷饮'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40539'', ''热饮'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40539'', ''甜饮'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''午后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''餐后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''晨起时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''上午'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''下午'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40540'', ''夜间'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40541'', ''口干感更甚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40542'', ''多饮后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40542'', ''饮水后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40543'', ''无明显变化'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40543'', ''好转'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40546'', ''休息后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40546'', ''饱食后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40547'', ''缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40549'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40549'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40550'', ''口腔溃疡'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40550'', ''嘴唇干裂'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40550'', ''口苦'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40550'', ''咽干'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40551'', ''喜'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40552'', ''冷饮'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40552'', ''热饮'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40552'', ''甜饮'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40552'', ''酸饮'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40554'', ''一天()次，()ml/次'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40556'', ''等传染病史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40556'', ''等病史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40556'', ''病史'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40555'', ''夜间尿多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40555'', ''白天尿多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40558'', ''身高()cm体重()cm,BMI:()'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40559'', ''既往体重正常'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40559'', ''既往偏瘦'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40559'', ''既往偏胖'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40560'', ''平素营养一般'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40560'', ''平素营养良好'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40560'', ''平素营养差'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40561'', ''喜素食'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40561'', ''喜荤食'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''饮食不规律'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''饮食规律'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''不吃早餐'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''经常暴饮暴食'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''经常酗酒'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40562'', ''长期喝酒'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40564'', ''()月前体重()kg，现体重()kg'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40565'', ''平素营养一般'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40565'', ''平素营养良好'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40565'', ''平素营养差'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40566'', ''喜素食'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40566'', ''喜荤食'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''饮食不规律'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''饮食规律'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''不吃早餐'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''经常暴饮暴食'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''经常酗酒'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40567'', ''长期喝酒'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''手足冰凉'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''手脚冰凉'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''四肢冰凉'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''手足冰冷'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''手脚冰冷'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''四肢冰冷'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''小腹冰冷'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''手足发凉'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''腰膝酸软'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''关节僵硬'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40568'', ''关节活动不利'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''全身性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''局部性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''掌趾'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''腋窝'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''鼻尖'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''前额'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40571'', ''胸部'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40572'', ''多汗'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40573'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40574'', ''阵发性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40574'', ''反复发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40574'', ''渐行性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''夜间尤甚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''白天尤甚'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''活动后尤甚'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''情绪激动时尤甚'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''紧张时尤甚'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''餐后尤甚'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40575'', ''运动后尤甚'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40576'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40577'', ''手足潮冷'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40577'', ''手足发绀'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40579'', ''味觉无变化'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40579'', ''味觉转变'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40580'', ''嗜酸'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40580'', ''嗜辛辣'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40580'', ''嗜甜'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40580'', ''嗜咸'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40583'', ''双手掌'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40583'', ''双足底'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40583'', ''全身'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40583'', ''面部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40584'', ''均有毛发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40585'', ''分布均匀'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40585'', ''呈对称分布'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40585'', ''分布不均'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质硬'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质软'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质粗'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质细'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质粗硬'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质软细'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质短粗'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40586'', ''质细长'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40587'', ''量多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40587'', ''量少'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''呈金色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''呈黑色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''呈黄色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''呈红色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40588'', ''呈白色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40589'', ''色淡'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40589'', ''色浓'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40591'', ''口淡无味'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40592'', ''进食减少'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40592'', ''进食无味'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40592'', ''无饥饿感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''第一腰椎'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''第二腰椎'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''第三腰椎'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''第四腰椎'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40597'', ''第五腰椎'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40598'', ''左()cm'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40598'', ''右()cm'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40599'', ''处'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40599'', ''双侧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40599'', ''左侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40599'', ''右侧'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''弯腰时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''上楼时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''下楼时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''挑东西时'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''转身时'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40600'', ''走路时'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40601'', ''疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40602'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40603'', ''持续性'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40603'', ''反复发作性'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40603'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''撕裂样痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''钝痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''绞痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''酸痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''挤压痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''咳嗽痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''放射性疼痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''牵拉痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''痉挛性疼痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''胀痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''叩痛'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''刺痛'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''反射痛'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''坠痛'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''跳痛'', ''15'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''抽掣样痛'', ''16'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40604'', ''刀割样痛'', ''17'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40605'', ''可放射至'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40606'', ''双侧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40606'', ''左侧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40606'', ''右侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''臀部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''下肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''小腿外侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''大腿后方'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''足背外侧'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40607'', ''足底'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''热敷后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''冷敷后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''蹲下后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''按摩后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''平躺后'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''体位改变后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40608'', ''咳嗽时'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40609'', ''疼痛缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40609'', ''疼痛加剧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40609'', ''疼痛无明显变化'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40610'', ''拒按'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40610'', ''喜按'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40612'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40613'', ''反复性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40613'', ''渐行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40613'', ''阵发性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40614'', ''排尿时需要屏气用力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40614'', ''排尿费力'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40615'', ''排尿中断时有时伴阴茎头部剧烈疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40616'', ''排尿需要屏气用力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40616'', ''排尿费力'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40618'', ''约()次/天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40619'', ''单次排尿量减少'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40619'', ''单次排尿量增多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40619'', ''单次排尿量正常'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40620'', ''约()ml/次'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40621'', ''淡黄色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40621'', ''无色透明'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40621'', ''深黄色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40622'', ''无排尿不适感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40622'', ''排尿时伴尿道口灼热感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40622'', ''伴排不尽感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40624'', ''约()次/晚'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40625'', ''咳嗽时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40625'', ''跑步时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40625'', ''打喷嚏时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40625'', ''上楼时'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40627'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''黄色'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''淡红色'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''浓茶色'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''无色'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''淡白色'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''乳白色'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40628'', ''深黄色'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40629'', ''无'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40629'', ''可见'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40630'', ''晶体'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40630'', ''絮状物'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40631'', ''泡多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40631'', ''无泡'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40633'', ''左侧鼻腔出血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40633'', ''右侧鼻腔出血'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40633'', ''双侧鼻腔出血'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40634'', ''色鲜红'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40635'', ''量多'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40635'', ''量少'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40636'', ''自行填塞()min后拔出'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40637'', ''未再出血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40637'', ''又出血不止'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40639'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40639'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40640'', ''嗅觉减退'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40643'', ''出血量量少'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40643'', ''出血量量多'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40644'', ''进食时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40644'', ''说话时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40644'', ''口腔肌肉活动时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40645'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40646'', ''晨起第一口痰'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40647'', ''痰中带血'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40647'', ''痰中无血'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40648'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40648'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40649'', ''口臭'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40649'', ''身上碰撞后青紫难消'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40649'', ''月经量增多'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40649'', ''经期延长'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40652'', ''右侧'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40652'', ''左侧'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40652'', ''双侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40653'', ''第()'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''肋骨疼痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''腓骨疼痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''胫骨疼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''尺骨疼痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''桡骨疼痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''髋骨疼痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''跟骨疼痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''掌骨疼痛'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''胸骨疼痛'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''肩胛骨疼痛'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''指骨疼痛'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''趾骨疼痛'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''跖骨疼痛'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''股骨疼痛'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40654'', ''肱骨疼痛'', ''15'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40655'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40656'', ''剧痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40656'', ''隐痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40656'', ''游走性疼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''劳累时'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''活动时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''咳嗽时'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''热敷'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40657'', ''冷敷'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40658'', ''疼痛加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40658'', ''疼痛缓解'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40661'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40662'', ''反复性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40662'', ''持续性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40662'', ''渐行性加重'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40662'', ''间歇性发作'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40663'', ''呼吸深快'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40663'', ''呼吸浅快'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40664'', ''约()次/分'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''劳累后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''未休息好时'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''活动后'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''饱餐后'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''饥饿时'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''感冒后'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''休息后'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''激动时'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''受惊后'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40665'', ''夜间'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40666'', ''易发'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40666'', ''缓解'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40667'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40667'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40668'', ''口周麻木'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40668'', ''肢端麻木'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40668'', ''手足搐搦'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40668'', ''呼吸暂停'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40671'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40672'', ''反复发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40672'', ''渐行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40672'', ''持续性发作'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40672'', ''一过性'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40673'', ''为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40674'', ''整只手脚麻木'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40674'', ''手脚远端麻木'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40674'', ''手脚近端麻木'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40675'', ''晨起时发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40676'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40676'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''手脚乏力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''蚁行感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''疼痛感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''撕裂感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''烧灼感'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40677'', ''手足肿胀'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40679'', ''呼之不应'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40679'', ''呼之能应'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40680'', ''时有谵语'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40680'', ''语无伦次'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40681'', ''对答切题'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40681'', ''对答不切题'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40683'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40683'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40683'', ''双侧'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''膝'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''踝'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''腕'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''髁'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''颈'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''肩'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40684'', ''肘'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40685'', ''关节扭伤'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40686'', ''当即伤处肿痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40687'', ''无法活动'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40690'', ''枕部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40690'', ''颞部'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40690'', ''额部'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40690'', ''顶部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40691'', ''可见长()cm深()cm伤口'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40692'', ''边缘整齐'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40692'', ''边缘不齐'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40693'', ''无皮肤缺损'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40693'', ''有皮肤缺损'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40696'', ''左'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40696'', ''右'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''全身多处'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''上肢'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''下肢'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''腹部'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''背部'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''阴部'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''臀部'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''手'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''足'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''脸'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''头部'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''颈部'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''大腿'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40697'', ''小腿'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40698'', ''烫伤'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40699'', ''创部红肿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40700'', ''疼痛感强烈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40700'', ''无疼痛感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40701'', ''可见散在水疱约()cm*()cm，部位溃破'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40702'', ''有皮肤撕脱'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40702'', ''无皮肤撕脱'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''月经周期延长至()天'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''月经周期缩短至()天'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''经期延长至()天'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''经期缩短至()天'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''经量增多'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40704'', ''经量减少'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40705'', ''经血有血块'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40705'', ''经血无血块'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40706'', ''伴'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40706'', ''无'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''乏力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''头晕'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''头痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''腰痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40707'', ''腹痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40709'', ''为'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''肛门直肠部'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''前阴'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''骶尾部'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''肛管前后位'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40710'', ''肛门两侧'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''刺痛'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''胀痛'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''灼痛'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''坠痛'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''跳痛'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''抽掣样痛'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40711'', ''刀割痛'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40712'', ''肛周皮肤红肿'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40712'', ''肛周皮肤正常'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40714'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40715'', ''全身性发作'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40715'', ''局限性发作'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40716'', ''渐行性加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40717'', ''每次发作持续()分钟左右'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40718'', ''经按摩热敷后能消退'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40718'', ''经按摩热敷后不能消退'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40720'', ''渐行性加重'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40721'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''蚁走感'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''电击感'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''麻胀感'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''热感'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''凉感'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''针刺感'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40722'', ''电击感'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40724'', ''呈'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40725'', ''渐行性加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40726'', ''外耳道未见'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40726'', ''外耳道可见'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40727'', ''脓性分泌物'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40727'', ''异常分泌物'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40727'', ''疖肿'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40729'', ''热敷后'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40729'', ''冷敷后'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40730'', ''疼痛缓解'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40730'', ''疼痛加重'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40730'', ''疼痛无缓解'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''1型糖尿病'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''1.5型糖尿病'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''2型糖尿病'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''3型糖尿病'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40748'', ''其他型糖尿病'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40750'', ''口服'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40750'', ''皮下注射'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''格列齐特'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''瑞格列奈'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''吡格列酮'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''阿卡波糖'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''西格列汀'', ''5'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''恩格列净'', ''6'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''利拉鲁肽'', ''7'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''艾塞那肽'', ''8'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''达格列净'', ''9'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''沙格列汀'', ''10'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''伏格列波糖'', ''11'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''罗格列酮'', ''12'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''那格列奈'', ''13'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40751'', ''格列美脲'', ''14'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40754'', ''g'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40754'', ''mg'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40754'', ''iu'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40755'', ''qd'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40755'', ''bid'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40755'', ''tid'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40757'', ''未检测血糖'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40757'', ''自测血糖'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40757'', ''偶尔检测血糖'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40759'', ''未控制'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40759'', ''控制佳'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40759'', ''控制差'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40760'', ''锻炼'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40760'', ''不锻炼'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40760'', ''锻炼少'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40762'', ''无变化'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40762'', ''升高'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40762'', ''下降'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40765'', ''伴'', ''1'', ''0'', ''1'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40765'', ''无'', ''2'', ''0'', ''2'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''未感不适'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''有多饮'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''有多食'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''有多尿'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40767'', ''有视力模糊'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40767'', ''有手脚麻木'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40767'', ''有下肢浮肿'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40768'', ''有乏力'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40768'', ''有皮肤瘙痒'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40768'', ''有痛觉异常'', ''3'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''44680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40768'', ''有口干'', ''4'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40769'', ''步入病史'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40769'', ''推入病史'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40770'', ''自动体位'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40770'', ''角弓反张强迫体位'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40771'', ''正常面容'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40771'', ''急性病容'', ''2'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_detail` VALUES (''47813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40771'', ''慢性病容'', ''3'', ''0'', ''0'', ''0'', null);

-- ----------------------------
-- Table structure for icss_question_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_info`;
CREATE TABLE `icss_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `tag_name` varchar(100) NOT NULL DEFAULT '''' COMMENT ''标签名'',
  `name` varchar(100) NOT NULL DEFAULT '''' COMMENT ''内容'',
  `sex_type` tinyint(11) NOT NULL DEFAULT ''3'' COMMENT ''性别(1：男 2：女 3：通用)'',
  `age_begin` int(11) NOT NULL DEFAULT ''0'' COMMENT ''最小年龄'',
  `age_end` int(11) NOT NULL DEFAULT ''200'' COMMENT ''最大年龄'',
  `tag_type` tinyint(4) NOT NULL DEFAULT ''1'' COMMENT ''标签标识(1：单标签，例如： 程度，最高温度 2：组合标签-杂音类型 3：组合标签-血压类型 4：组合标签-咳嗽类型 5：竖铺组合项(不用)，例如：有无治疗 6：组合标签-既往史类型 7：化验类型 8：文字标签，9：空标签，例如：辅检，诊断，药品 10：分类，例如：既往史的疾病，前端不用 11：推送类型，例如：添加症状)'',
  `control_type` tinyint(4) DEFAULT NULL COMMENT ''控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：待定 4：待定 5：数字键盘带单位 6：文本框 7：数字键盘文本框  11：下拉单选括号占位符，有无治疗 99：联合推送)'',
  `type` tinyint(4) DEFAULT NULL COMMENT ''类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断,8:药品，9：药品分类，10：不良反应 21：量表，22：推送指标）'',
  `item_type` tinyint(4) NOT NULL DEFAULT ''1'' COMMENT ''元素类型(0：主标签，例如主诉现病史-症状标签，1：次标签：主诉现病史-其他标签)\r\n'',
  `sub_type` tinyint(4) NOT NULL DEFAULT ''0'' COMMENT ''检索类型 (0：能检索，代表项目，1：不能检索，代表描述)'',
  `label_prefix` varchar(100) NOT NULL DEFAULT '''' COMMENT ''前置内容'',
  `label_suffix` varchar(100) NOT NULL DEFAULT '''' COMMENT ''后置内容'',
  `min_value` decimal(20,6) DEFAULT NULL COMMENT ''最小值'',
  `max_value` decimal(20,6) DEFAULT NULL COMMENT ''最大值'',
  `text_generate` tinyint(4) NOT NULL DEFAULT ''0'' COMMENT ''文本生成规则(0：点选顺序，例如初为 1：从上到下，从左到右，例如查体杂音 2：从左到右，从上到下，例如伴/无)'',
  `copy_type` tinyint(4) NOT NULL DEFAULT ''0'' COMMENT ''是否复制 (0：不复制，1：复制)'',
  `show_add` varchar(100) NOT NULL DEFAULT ''0'' COMMENT ''复制文本（0：不显示，其他：文字内容）'',
  `show_info` tinyint(4) NOT NULL DEFAULT ''0'' COMMENT ''显示 i (0：不显示， 1：显示)'',
  `joint` varchar(100) NOT NULL DEFAULT '''' COMMENT ''标签后的连接符(例如：杂音下的 闻及|2/6之间的逗号，界面本身不显示)'',
  `formula_code` varchar(255) DEFAULT NULL,
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag_name,type` (`tag_name`,`type`,`is_deleted`,`tag_type`,`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=40774 DEFAULT CHARSET=utf8 COMMENT=''标签基础表'';

-- ----------------------------
-- Records of icss_question_info
-- ----------------------------
INSERT INTO `icss_question_info` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳嗽'', ''咳嗽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''程度'', ''程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳出通畅度'', ''咳出通畅度'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''发热'', ''发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''最高温度'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''最高温度'', ''℃'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高热'', ''高热'', ''3'', ''0'', ''200'', ''1'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述'', ''主诉通用特征描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''添加症状'', ''添加症状'', ''3'', ''0'', ''200'', ''11'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''1'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉-伴'', ''主诉-伴'', ''3'', ''0'', ''200'', ''1'', ''4'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''症状-推送'', ''症状-推送'', ''3'', ''0'', ''200'', ''1'', ''99'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉时间'', ''主诉时间'', ''3'', ''0'', ''200'', ''3'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉-添加病情变化'', ''添加病情变化'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''1'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉-添加主症状'', ''添加主症状'', ''3'', ''0'', ''200'', ''1'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述-上中下'', ''主诉通用特征描述-上中下'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述-前后'', ''主诉通用特征描述-前后'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''16'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述-左右'', ''主诉通用特征描述-左右'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述-加重再发'', ''主诉通用特征描述-加重再发'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉通用特征描述-特性'', ''主诉通用特征描述-特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉时间-输入框'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''添加其他症状'', ''添加其他症状'', ''3'', ''0'', ''200'', ''11'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''2'', ''1'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''添加其他症状-伴无'', ''添加其他症状-伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有无治疗'', ''有无治疗'', ''3'', ''0'', ''200'', ''5'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有无治疗-未经诊疗'', ''有无治疗-未经诊疗'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有无治疗-使用（）后好转'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''1'', ''1'', ''1'', ''使用'', ''后好转'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有无治疗-使用（）后未见明显好转'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''1'', ''1'', ''1'', ''使用'', ''后未见明显好转'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血压'', ''血压'', ''3'', ''0'', ''200'', ''3'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''部位'', ''(部位)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', ''血压'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''30'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''收缩压'', ''(收缩压)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''31'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''舒张压'', ''(舒张压)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''1'', ''/'', ''mmHg'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''精神状态'', ''精神状态'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''33'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音'', ''杂音'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''1'', '''', '''', null, null, ''1'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-部位'', ''杂音-部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-闻及'', ''杂音-闻及'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-级别'', ''杂音-级别'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-期别类型'', ''杂音-期别类型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-样类型'', ''杂音-样类型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杂音-正常'', ''杂音-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''体温'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', ''体温'', ''℃'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''45'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史'', ''既往史'', ''3'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''1'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高血压'', ''高血压'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高血压-时间'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高血压-时间单位'', ''高血压-时间单位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史-治疗情况'', ''治疗情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史-病情控制'', ''病情控制'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史无殊'', ''既往史无殊'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史-无'', ''既往史-无'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''过敏史'', ''过敏史'', ''3'', ''0'', ''200'', ''2'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''过敏史-过敏史无殊'', ''过敏史-过敏史无殊'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''过敏史-选项'', ''过敏史-选项'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''主诉时间-单位'', ''单位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''诱因'', ''诱因'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''意识情况'', ''意识情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''食欲'', ''食欲'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''62'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''睡眠'', ''睡眠'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''63'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''二便情况'', ''二便情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''64'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''体重情况'', ''体重情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''病程变化'', ''病程变化'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''上诉'', ''上诉'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血常规'', ''血常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''71'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史-疾病选项'', ''既往史-疾病选项'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''72'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咽喉痛'', ''咽喉痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''73'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肝恶性肿瘤'', ''肝恶性肿瘤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''74'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有高血压病史'', ''有高血压病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''个人史'', ''个人史'', ''3'', ''0'', ''200'', ''2'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''个人史无殊'', ''个人史无殊'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''无烟酒嗜好'', ''无烟酒嗜好'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有烟酒习惯'', ''有烟酒习惯'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''月经史'', ''月经史'', ''2'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''80'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''月经史填写'', ''月经史填写'', ''2'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''月经史无殊'', ''月经史无殊'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''初潮年龄'', ''(时间)'', ''2'', ''0'', ''200'', ''1'', ''5'', ''3'', ''0'', ''1'', ''月经史：初潮年龄'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', ''yjs_1'', null);
INSERT INTO `icss_question_info` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''行经天数'', ''(时间)'', ''2'', ''0'', ''200'', ''1'', ''5'', ''3'', ''0'', ''1'', ''行经天数'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', ''yjs_2'', null);
INSERT INTO `icss_question_info` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''周期'', ''(时间)'', ''2'', ''0'', ''200'', ''1'', ''5'', ''3'', ''0'', ''1'', ''周期'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', ''yjs_3'', null);
INSERT INTO `icss_question_info` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''停经时间'', ''(时间)'', ''2'', ''0'', ''200'', ''1'', ''5'', ''3'', ''0'', ''1'', ''停经时间'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', ''yjs_4'', null);
INSERT INTO `icss_question_info` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''月经是否规律'', ''月经是否规律'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''经量'', ''经量'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''痛经'', ''痛经'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''白带量'', ''白带量'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有无异味'', ''有无异味'', ''2'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''91'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 16:11:17'', ''0'', ''1'', ''测试'', '''', ''3'', ''0'', ''200'', ''1'', ''0'', ''0'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''92'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:17:26'', ''0'', ''1'', ''测试2'', '''', ''3'', ''0'', ''200'', ''1'', ''0'', ''0'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''93'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 14:17:26'', ''0'', ''1'', ''测试3'', '''', ''3'', ''0'', ''200'', ''1'', ''0'', ''0'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肺部阴影'', ''肺部阴影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''95'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''呼吸道感染'', ''呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''96'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''超敏C反应蛋白'', ''超敏C反应蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''月经史填写（总）'', ''月经史填写（总）'', ''2'', ''0'', ''200'', ''1'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''支气管哮喘'', ''支气管哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肺炎'', ''肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咽炎'', ''咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''支气管炎'', ''支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肺结节'', ''肺结节'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''慢性咽炎'', ''慢性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肺部感染'', ''肺部感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高血压'', ''高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳痰'', ''咳痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳痰性状'', ''咳痰性状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''初为后为'', ''初为后为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳痰颜色'', ''咳痰颜色'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳痰性质'', ''咳痰性质'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''痰量'', ''痰量'', ''3'', ''0'', ''200'', ''5'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''腹部B超'', ''腹部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''113'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''白细胞计数(WBC)'', ''白细胞计数(WBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''尿常规'', ''尿常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', '','', '','', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''于（###）医院治疗,经（###）后未见明显好转'', ''于（###）医院治疗,经（###）后未见明显好转'', ''3'', ''0'', ''200'', ''3'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''于（###）医院治疗'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''1'', ''1'', ''1'', ''于'', ''医院治疗,'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''经（###）后未见明显好转'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''1'', ''1'', ''1'', ''经'', ''后未见明显好转'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患者'', ''患者'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''前'', ''前'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''出现'', ''出现'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''遂来就诊'', ''遂来就诊'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''自病以来'', ''自病以来'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''。'', ''。'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', '',前'', '',前'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''心脏病'', ''心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''支气管扩张剂'', ''支气管扩张剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''抗生素类(喹诺酮类)'', ''抗生素类(喹诺酮类)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''化痰药(粘液溶解药)'', ''化痰药(粘液溶解药)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''糖皮质激素类'', ''糖皮质激素类'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''抗胃酸药(质子泵抑制剂)'', ''抗胃酸药(质子泵抑制剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''多索茶碱'', ''多索茶碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''二羟丙茶碱'', ''二羟丙茶碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''左氧氟沙星'', ''左氧氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''莫西沙星'', ''莫西沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''氨溴索'', ''氨溴索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''典韦'', ''典韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''甲泼尼龙'', ''甲泼尼龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''杀虫剂'', ''杀虫剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''泮托拉唑'', ''泮托拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''鬼谷子'', ''鬼谷子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''电解质测定'', ''电解质测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肾功能常规检查'', ''肾功能常规检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血葡萄糖测定'', ''血葡萄糖测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''心肌酶谱常规检查'', ''心肌酶谱常规检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肝功能常规检查'', ''肝功能常规检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血清总胆汁酸测定'', ''血清总胆汁酸测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''153'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血清胆碱酯酶'', ''血清胆碱酯酶'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''154'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''红细胞沉降率测定(ESR)'', ''红细胞沉降率测定(ESR)'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''155'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''大便常规+隐血试验'', ''大便常规+隐血试验'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''正位胸片'', ''正位胸片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''支气管扩张试验'', ''支气管扩张试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肺功能检查'', ''肺功能检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''常规十二导心电图检测'', ''常规十二导心电图检测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''肝胆胰脾彩超检查'', ''肝胆胰脾彩超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''泌尿系统彩超检查'', ''泌尿系统彩超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''心脏超声检查'', ''心脏超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''喉镜检查'', ''喉镜检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''慢性胃炎'', ''慢性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''咳嗽类型'', ''咳嗽类型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃酸药(H2受体阻断剂)'', ''抗胃酸药(H2受体阻断剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆汁结合剂'', ''胆汁结合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏膜保护剂'', ''黏膜保护剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性痢疾'', ''细菌性痢疾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋软骨炎'', ''肋软骨炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节炎'', ''关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节病'', ''关节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节扭伤'', ''踝关节扭伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风'', ''痛风'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节痛'', ''关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足痛'', ''足痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足损伤'', ''足损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腱鞘炎'', ''腱鞘炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''高血压家族史'', ''高血压家族史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛'', ''头痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒'', ''畏寒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕'', ''头晕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力'', ''乏力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身酸痛'', ''全身酸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促'', ''气促'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷'', ''胸闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛'', ''胸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞'', ''鼻塞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''空腹血糖'', ''空腹血糖'', ''3'', ''0'', ''200'', ''7'', ''6'', ''5'', ''0'', ''0'', '''', ''mmol/L'', ''3.900000'', ''6.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, '''');
INSERT INTO `icss_question_info` VALUES (''208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血糖'', ''血糖'', ''3'', ''0'', ''200'', ''7'', ''6'', ''5'', ''0'', ''0'', '''', ''mmol/L'', ''3.900000'', ''6.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, '''');
INSERT INTO `icss_question_info` VALUES (''209'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''尿酸'', ''尿酸'', ''3'', ''0'', ''200'', ''7'', ''6'', ''5'', ''0'', ''0'', '''', ''µmol/L'', ''90.000000'', ''420.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, '''');
INSERT INTO `icss_question_info` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''时间单位'', ''时间单位'', ''3'', ''0'', ''200'', ''1'', ''5'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有无治疗2'', ''有无治疗2'', ''3'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有无治疗2-下拉内容'', ''有无治疗2-下拉内容'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''于(###)医院就诊，经(###)后未见明显好转'', ''使用填写后好转'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''于(###)医院就诊，'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''3'', ''0'', ''1'', ''于'', ''医院就诊,'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经(###)后未见明显好转'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''3'', ''0'', ''1'', ''经'', ''后未见明显好转'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''既往史病史（时间）'', ''时间单位'', ''3'', ''0'', ''200'', ''1'', ''5'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病'', ''糖尿病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有糖尿病史'', ''有糖尿病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''225'', ''N'', ''2019-01-07 10:21:09'', ''2019-01-07 10:21:09'', ''0'', ''0'', '','', '','', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽性质'', ''咳嗽性质'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽性质-为呈'', ''咳嗽性质-为呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽性质-性质'', ''咳嗽性质-性质'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽性质-咳类型'', ''咳嗽性质-咳类型'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量少'', ''痰量少'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量中等'', ''痰量中等'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量多'', ''痰量多'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量多，一次可达（##）ml'', ''（填写）'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''痰量多,一次可达'', ''ml'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一次可咳出大量（##）痰'', ''（填写）'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''一次可咳出大量'', ''痰'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳出通畅度-痰液粘稠'', ''咳出通畅度-痰液粘稠'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳出通畅度-不易咳出'', ''咳出通畅度-不易咳出'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛部位或特征'', ''胸痛部位或特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛部位或特征-胸痛部位'', ''胸痛部位或特征-胸痛部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛部位或特征-特征1'', ''胸痛部位或特征-特征1'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛部位或特征-特征2'', ''胸痛部位或特征-特征2'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疼痛程度'', ''疼痛程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛-缓解方式'', ''缓解方式'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛-缓解方式-缓解'', ''胸痛-缓解方式-缓解'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射部位'', ''放射部位'', ''3'', ''0'', ''200'', ''1'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸痛-缓解方式-加重'', ''胸痛-缓解方式-加重'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''程度特点'', ''程度特点'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''程度特点-性质'', ''程度特点-性质'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''程度特点-热度'', ''程度特点-热度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-部位或特征-方位'', ''腹痛-部位或特征-方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-部位或特征-部位'', ''腹痛-部位或特征-部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-部位或特征-性质'', ''腹痛-部位或特征-性质'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-部位或特征-痛'', ''腹痛-部位或特征-痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-部位或特征'', ''部位或特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛'', ''腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-疼痛程度'', ''疼痛程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-放射部位'', ''放射部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹痛-缓解方式'', ''缓解方式'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐时间性质-时间'', ''呕吐-呕吐时间性质-时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐时间性质-性质'', ''呕吐-呕吐时间性质-性质'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐时间性质-连接词'', ''呕吐-呕吐时间性质-连接词'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐时间性质-气味'', ''呕吐-呕吐时间性质-气味'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐时间性质'', ''呕吐时间性质'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐'', ''呕吐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉搏'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', ''脉搏'', ''次/分'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', ''呼吸'', ''次/分'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胰腺炎'', ''急性胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血'', ''结膜无充血'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血-充血'', ''结膜无充血-充血'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血-水肿'', ''结膜无充血-水肿'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血-苍白'', ''结膜无充血-苍白'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血-滤泡'', ''结膜无充血-滤泡'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大'', ''扁桃体无肿大'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大-程度'', ''扁桃体无肿大-程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大-充血'', ''扁桃体无肿大-充血'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大-分泌物'', ''扁桃体无肿大-分泌物'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大-其他'', ''扁桃体无肿大-其他'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体无肿大-正常'', ''扁桃体无肿大-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''299'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞分布宽度(RDW)'', ''红细胞分布宽度(RDW)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''10.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''300'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网络红细胞分布宽度(RDW-SD)'', ''网络红细胞分布宽度(RDW-SD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''301'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白浓度(HGB)'', ''血红蛋白浓度(HGB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''g/L'', ''110.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''304'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白浓度(MCHC)'', ''平均红细胞血红蛋白浓度(MCHC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''L'', ''300.000000'', ''360.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''306'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数(WBC)'', ''白细胞计数(WBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''4.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''307'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞计数(MONO)'', ''单核细胞计数(MONO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''0.300000'', ''0.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''308'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞比例(MONO%)'', ''单核细胞比例(MONO%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''3.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''310'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞计数(NEUT%)'', ''中性粒细胞计数(NEUT%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''2.000000'', ''7.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''311'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞比例(NEUT%)'', ''中性粒细胞比例(NEUT%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''50.000000'', ''70.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''313'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞百分比'', ''嗜酸性粒细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''0.004000'', ''0.080000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''314'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞计数'', ''嗜碱性粒细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''0.120000'', ''0.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''315'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞百分比'', ''嗜碱性粒细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''0.030000'', ''0.080000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''316'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞计数(LY)'', ''淋巴细胞计数(LY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''0.800000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢菌素类抗生素(头孢菌素类抗生素)'', ''头孢菌素类抗生素(头孢菌素类抗生素)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喹诺酮类抗菌药(喹诺酮类抗菌药)'', ''喹诺酮类抗菌药(喹诺酮类抗菌药)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗微生物药(碳青霉烯类)'', ''抗微生物药(碳青霉烯类)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰药(黏痰溶解作用)'', ''祛痰药(黏痰溶解作用)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳药(中枢性镇咳药)'', ''镇咳药(中枢性镇咳药)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑制胃酸分泌药(质子泵抑制剂)'', ''抑制胃酸分泌药(质子泵抑制剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠解痉药(抗胆碱药)'', ''胃肠解痉药(抗胆碱药)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇痛药(阿片类强效镇痛剂)'', ''镇痛药(阿片类强效镇痛剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长抑素制剂(生长抑素制剂)'', ''生长抑素制剂(生长抑素制剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶活性抑制剂(胰酶活性抑制剂)'', ''胰酶活性抑制剂(胰酶活性抑制剂)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗微生物药(喹诺酮类抗菌药)'', ''抗微生物药(喹诺酮类抗菌药)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗微生物药(头孢类抗生素)'', ''抗微生物药(头孢类抗生素)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''9'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''329'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞比例(LY%)'', ''淋巴细胞比例(LY%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''17.000000'', ''50.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟'', ''头孢噻肟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢曲松'', ''头孢曲松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄他培南'', ''厄他培南'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴己新'', ''溴己新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸'', ''乙酰半胱氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬'', ''右美沙芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷托维林'', ''喷托维林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可待因'', ''可待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑'', ''奥美拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰索拉唑'', ''兰索拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山莨菪碱'', ''山莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''东莨菪碱'', ''东莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬太尼'', ''芬太尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌替啶'', ''哌替啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥曲肽'', ''奥曲肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长抑素'', ''生长抑素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌司他丁'', ''乌司他丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加贝酯'', ''加贝酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''352'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板计数(PLT)'', ''血小板计数(PLT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''10^9/L'', ''100.000000'', ''300.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛'', ''头孢呋辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢他啶'', ''头孢他啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''360'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板体积分布宽度(PDW)'', ''血小板体积分布宽度(PDW)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''10.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''361'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均血小板体积(MPV）'', ''平均血小板体积(MPV）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''FL'', ''7.000000'', ''13.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''362'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大型血小板比例(P-LCR)'', ''大型血小板比例(P-LCR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''10.000000'', ''50.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''363'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板压积(PCT)'', ''血小板压积(PCT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''%'', ''0.100000'', ''0.350000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''364'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HGB*3/HCT'', ''HGB*3/HCT'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''365'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C反应蛋白(CRP)'', ''C反应蛋白(CRP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''μg/L'', ''800.000000'', ''8000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部CT'', ''腹部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺CT'', ''胰腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部CT'', ''胸部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线'', ''胸部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部平片'', ''胸部平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺B超'', ''胰腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部MRI'', ''腹部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔'', ''瞳孔'', ''3'', ''0'', ''200'', ''3'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C-反应蛋白'', ''C-反应蛋白'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''378'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清淀粉酶'', ''血清淀粉酶'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''379'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液淀粉酶'', ''尿液淀粉酶'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔-方位'', ''双侧瞳孔'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔'', ''瞳孔'', ''3'', ''0'', ''200'', ''8'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔-形态'', ''等大等圆'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '','', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔-直径'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', ''直径约'', ''mm,'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瞳孔-反应'', ''光反射灵敏'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''389'', ''N'', ''2019-01-07 10:21:09'', ''2019-01-07 10:21:09'', ''0'', ''0'', '','', '','', ''3'', ''0'', ''200'', ''8'', ''0'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张,肝颈静脉回流征阴性'', ''颈静脉无怒张,肝颈静脉回流征阴性'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张,肝颈静脉回流征阴性-正常'', ''颈静脉无怒张,肝颈静脉回流征阴性-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张,肝颈静脉回流征阴性-程度'', ''颈静脉无怒张,肝颈静脉回流征阴性-程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张,肝颈静脉回流征阴性-回流征'', ''颈静脉无怒张,肝颈静脉回流征阴性-回流征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉无怒张,肝颈静脉回流征阴性-搏动'', ''颈静脉无怒张,肝颈静脉回流征阴性-搏动'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞芬太尼'', ''瑞芬太尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便情况-大便'', ''二便情况-大便'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便情况-小便'', ''二便情况-小便'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有无治疗'', ''有无治疗'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量'', ''痰量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心病'', ''冠心病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑梗死'', ''脑梗死'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血'', ''脑出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡'', ''消化性溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胃炎'', ''慢性胃炎'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死'', ''心肌梗死'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症'', ''高脂血症'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风'', ''痛风'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨折'', ''骨折'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜无充血-眼睑'', ''结膜无充血-眼睑'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有冠心病病史'', ''有冠心病病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有脑梗死病史'', ''有脑梗死病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有脑出血病史'', ''有脑出血病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有消化性溃疡病史'', ''有消化性溃疡病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有慢性胃炎病史'', ''有慢性胃炎病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有心肌梗死病史'', ''有心肌梗死病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有高脂血症病史'', ''有高脂血症病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有痛风病史'', ''有痛风病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有骨折病史'', ''有骨折病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''426'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶(LPS)'', ''脂肪酶(LPS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''0'', ''0'', '''', ''ml'', ''0.200000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶测定'', ''脂肪酶测定'', ''3'', ''0'', ''200'', ''1'', ''0'', ''5'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育正常'', ''发育正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养中等'', ''营养中等'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志清'', ''神志清'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自主体位'', ''自主体位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面容正常'', ''面容正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情安静'', ''表情安静'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''查体合作'', ''查体合作'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粘膜无黄染'', ''皮肤粘膜无黄染'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及'', ''全身浅表淋巴结未触及'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅五官无畸形'', ''头颅五官无畸形'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜无黄染'', ''巩膜无黄染'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜透明'', ''角膜透明'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液'', ''耳廓无畸形,外耳道无溢液'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形'', ''外鼻无畸形'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀'', ''口唇无发绀'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈软'', ''颈软'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管居中'', ''气管居中'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大'', ''甲状腺无肿大'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形'', ''胸廓对称无畸形'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致'', ''双侧呼吸动度一致'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未触及胸膜摩擦感'', ''未触及胸膜摩擦感'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩呈清音'', ''叩呈清音'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未闻及明显干湿啰音'', ''未闻及明显干湿啰音'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起'', ''心前区无异常隆起'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心界无扩大'', ''心界无扩大'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率（##）次/分,律齐'', ''心率（##）次/分,律齐'', ''3'', ''0'', ''200'', ''3'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各瓣膜区未闻及病理性杂音'', ''各瓣膜区未闻及病理性杂音'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦'', ''腹部平坦'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张'', ''全腹软,无压痛、反跳痛及肌紧张'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及'', ''肝脾肋下未及'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''1'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛'', ''肾区无叩痛'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移动性浊音阴性'', ''移动性浊音阴性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣音正常'', ''肠鸣音正常'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门及外生殖器未查'', ''肛门及外生殖器未查'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如'', ''脊柱无畸形,活动自如'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛'', ''四肢无畸形,关节无红肿热痛'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢无水肿'', ''双下肢无水肿'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肌力肌张力正常'', ''四肢肌力肌张力正常'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在,病理反射未引出'', ''生理反射存在,病理反射未引出'', ''3'', ''0'', ''200'', ''2'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻'', ''腹泻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀'', ''腹胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳气'', ''嗳气'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反酸'', ''反酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便血'', ''便血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻-腹泻大便性状'', ''腹泻大便性状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''症状-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻-腹泻大便性状-性状'', ''腹泻-腹泻大便性状-性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻-腹泻量'', ''腹泻量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-部位'', ''部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呈以为'', ''呈以为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-部位-为主'', ''腹胀-部位-为主'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-部位-部位列表'', ''腹胀-部位-部位列表'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反酸嗳气-第二列'', ''反酸-第一列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反酸嗳气-第三列'', ''反酸-第二列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反酸-描述'', ''特征描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便血-性状'', ''性状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便血-性状-具体项'', ''便血-性状-具体项'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便血-性状-大便'', ''便血-性状-大便'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳气-体征描述'', ''体征描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一天次'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''一天'', ''次'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''每次ml'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每次'', ''ml'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀-有无发绀'', ''口唇无发绀-有无发绀'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀-有无疱疹'', ''口唇无发绀-有无疱疹'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀-有无皲裂'', ''口唇无发绀-有无皲裂'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇无发绀-有无溃疡'', ''口唇无发绀-有无溃疡'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率-心率'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', ''心率'', ''次/分,'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心率-律齐'', ''律齐'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', '','', '','', ''2'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张-正常'', ''全腹软,无压痛、反跳痛及肌紧张-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张-部位'', ''全腹软,无压痛、反跳痛及肌紧张-部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张-有无压痛'', ''全腹软,无压痛、反跳痛及肌紧张-有无压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张-有无反跳痛'', ''全腹软,无压痛、反跳痛及肌紧张-有无反跳痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹软,无压痛、反跳痛及肌紧张-有无肌紧张'', ''全腹软,无压痛、反跳痛及肌紧张-有无肌紧张'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及-正常'', ''肝脾肋下未及-正常'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及-肋下'', ''肝脾肋下未及-肋下'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及-质地/表面/压痛'', ''肝脾肋下未及-质地/表面/压痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾肋下未及-Murphy征/肝区叩痛'', ''肝脾肋下未及-Murphy征/肝区叩痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣音正常-正常'', ''肠鸣音正常-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣音正常-输入'', ''肠鸣音正常-输入'', ''3'', ''0'', ''200'', ''1'', ''7'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠鸣音正常-性质'', ''肠鸣音正常-性质'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压'', ''血压'', ''3'', ''0'', ''200'', ''8'', ''0'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1.5型糖尿病'', ''1.5型糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1型糖尿病'', ''1型糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''2型糖尿病'', ''2型糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型呼吸衰竭'', ''Ⅰ型呼吸衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅱ型呼吸衰竭'', ''Ⅱ型呼吸衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Barrett食管'', ''Barrett食管'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒性肠炎'', ''EB病毒性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H型高血压'', ''H型高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''lgA肾病'', ''lgA肾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Q-T间期延长综合征'', ''Q-T间期延长综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''T幼稚淋巴细胞白血病'', ''T幼稚淋巴细胞白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿尔茨海默病'', ''阿尔茨海默病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴非痢疾性肠炎'', ''阿米巴非痢疾性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴结肠炎'', ''阿米巴结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴痢疾'', ''阿米巴痢疾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米巴性肝脓肿'', ''阿米巴性肝脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林哮喘'', ''阿司匹林哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾森曼格综合征'', ''艾森曼格综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病'', ''艾滋病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安装子宫内节育器'', ''安装子宫内节育器'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区肿物'', ''鞍区肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕疙瘩'', ''疤痕疙瘩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白癜风'', ''白癜风'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉'', ''白喉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白内障'', ''白内障'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白塞病'', ''白塞病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色糠疹'', ''白色糠疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞疾患'', ''白细胞疾患'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞减少症'', ''白细胞减少症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞异常'', ''白细胞异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病'', ''白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳'', ''百日咳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''败血症'', ''败血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑秃'', ''斑秃'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕'', ''瘢痕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕子宫'', ''瘢痕子宫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半身水肿'', ''半身水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半月板损伤'', ''半月板损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包茎'', ''包茎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包皮过长'', ''包皮过长'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包皮炎'', ''包皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲍温病'', ''鲍温病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门癌'', ''贲门癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贲门失弛缓症'', ''贲门失弛缓症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻癌'', ''鼻癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻白喉'', ''鼻白喉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血'', ''鼻出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦炎'', ''鼻窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨骨折'', ''鼻骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻前庭炎'', ''鼻前庭炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔囊肿'', ''鼻腔囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔肿物'', ''鼻腔肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻息肉'', ''鼻息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽癌'', ''鼻咽癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽炎'', ''鼻咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎'', ''鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻中隔偏曲'', ''鼻中隔偏曲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻肿物'', ''鼻肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭合性气胸'', ''闭合性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭角型青光眼'', ''闭角型青光眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭经'', ''闭经'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁平苔癣'', ''扁平苔癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁平疣'', ''扁平疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体恶性肿瘤'', ''扁桃体恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体肥大'', ''扁桃体肥大'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体疾病'', ''扁桃体疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体炎'', ''扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扁桃体肿物'', ''扁桃体肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变形杆菌肠炎'', ''变形杆菌肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变异型心绞痛'', ''变异型心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应性皮肤血管炎'', ''变应性皮肤血管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘'', ''便秘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨骨折'', ''髌骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙型病毒性肝炎'', ''丙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒感染'', ''病毒感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肠炎'', ''病毒性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肺炎'', ''病毒性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性腹泻'', ''病毒性腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性肝炎'', ''病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性呼吸道感染'', ''病毒性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性角膜炎'', ''病毒性角膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性颅内感染'', ''病毒性颅内感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性脑膜炎'', ''病毒性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性脑炎'', ''病毒性脑炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性皮疹'', ''病毒性皮疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性食管炎'', ''病毒性食管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性胃肠炎'', ''病毒性胃肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性心包炎'', ''病毒性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性心肌炎'', ''病毒性心肌炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病毒性咽喉炎'', ''病毒性咽喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理性骨折'', ''病理性骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦房结综合征'', ''病态窦房结综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病态窦房结综合症'', ''病态窦房结综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体出血'', ''玻璃体出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体浑浊'', ''玻璃体浑浊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起功能障碍'', ''勃起功能障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哺乳疾病'', ''哺乳疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不安腿综合征'', ''不安腿综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不典型慢性粒细胞白血病（aCML）'', ''不典型慢性粒细胞白血病（aCML）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不适和疲劳'', ''不适和疲劳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不完全性肠梗阻'', ''不完全性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不稳定型心绞痛（UA）'', ''不稳定型心绞痛（UA）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不育由于男方无精症'', ''不育由于男方无精症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不育由于输卵管不畅'', ''不育由于输卵管不畅'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不孕症'', ''不孕症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布加综合征'', ''布加综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌病'', ''布氏杆菌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''擦伤'', ''擦伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''残胃癌'', ''残胃癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕蚀性角膜溃疡'', ''蚕蚀性角膜溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后病'', ''产后病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后即刻医疗照顾和检查'', ''产后即刻医疗照顾和检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后贫血'', ''产后贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠穿孔'', ''肠穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠梗阻'', ''肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠绞痛'', ''肠绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠结核'', ''肠结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠溃疡'', ''肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠瘘'', ''肠瘘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠扭转'', ''肠扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠套叠'', ''肠套叠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠息肉'', ''肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉夹层'', ''肠系膜动脉夹层'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉栓塞'', ''肠系膜动脉栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉栓塞伴肠坏死'', ''肠系膜动脉栓塞伴肠坏死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜恶性肿瘤'', ''肠系膜恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜静脉血栓形成'', ''肠系膜静脉血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜静脉血栓形成伴肠坏死'', ''肠系膜静脉血栓形成伴肠坏死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结炎'', ''肠系膜淋巴结炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜囊肿'', ''肠系膜囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜上动脉闭塞'', ''肠系膜上动脉闭塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜下动脉闭塞'', ''肠系膜下动脉闭塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜肿瘤'', ''肠系膜肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠炎'', ''肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠易激综合征'', ''肠易激综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠粘连'', ''肠粘连'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠肿物'', ''肠肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''车祸伤'', ''车祸伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尘肺'', ''尘肺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性肺结核'', ''陈旧性肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性脑梗死'', ''陈旧性脑梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性心肌梗塞'', ''陈旧性心肌梗塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈旧性心肌梗死'', ''陈旧性心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成年型多囊肾'', ''成年型多囊肾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''成人斯蒂尔病'', ''成人斯蒂尔病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痴呆'', ''痴呆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臭汗症'', ''臭汗症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''初发型心绞痛'', ''初发型心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性单核细胞增多症'', ''传染性单核细胞增多症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染性非典型肺炎'', ''传染性非典型肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘息性支气管肺炎'', ''喘息性支气管肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤后骨质疏松'', ''创伤后骨质疏松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤后应激障碍'', ''创伤后应激障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性肝破裂'', ''创伤性肝破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性气胸'', ''创伤性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创伤性心包炎'', ''创伤性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体功能减退症'', ''垂体功能减退症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体瘤'', ''垂体瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体前叶功能减退症'', ''垂体前叶功能减退症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇炎'', ''唇炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丛集性头痛'', ''丛集性头痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猝死'', ''猝死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痤疮'', ''痤疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打伤'', ''打伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便潜血'', ''大便潜血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠癌'', ''大肠癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大动脉炎'', ''大动脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大疱性表皮松解症'', ''大疱性表皮松解症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大疱性类天疱疮'', ''大疱性类天疱疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大叶性肺炎'', ''大叶性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉曲张'', ''大隐静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉曲张伴溃疡'', ''大隐静脉曲张伴溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代谢综合征'', ''代谢综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹'', ''带状疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹脑炎'', ''带状疱疹脑炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹性神经根炎'', ''带状疱疹性神经根炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''带状疱疹性坐骨神经痛'', ''带状疱疹性坐骨神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹毒'', ''丹毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹'', ''单纯疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯收缩期高血压'', ''单纯收缩期高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯舒张期高血压'', ''单纯舒张期高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性甲状腺肿'', ''单纯性甲状腺肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯性肾囊肿'', ''单纯性肾囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单胎活产'', ''单胎活产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道疾病'', ''胆道疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道结石'', ''胆道结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道术后残留结石'', ''胆道术后残留结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管癌'', ''胆管癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管梗阻'', ''胆管梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石'', ''胆管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石伴急性胆囊炎'', ''胆管结石伴急性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管结石合并胆管炎'', ''胆管结石合并胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管炎'', ''胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊癌'', ''胆囊癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊穿孔'', ''胆囊穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊管结石'', ''胆囊管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊疾病'', ''胆囊疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石'', ''胆囊结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴坏疽性胆囊炎'', ''胆囊结石伴坏疽性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴急性胆囊炎'', ''胆囊结石伴急性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴急性化脓性胆囊炎'', ''胆囊结石伴急性化脓性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石伴慢性胆囊炎'', ''胆囊结石伴慢性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石合并胆囊炎'', ''胆囊结石合并胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊结石嵌顿'', ''胆囊结石嵌顿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊颈部结石嵌顿'', ''胆囊颈部结石嵌顿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊息肉'', ''胆囊息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊腺肌症'', ''胆囊腺肌症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎'', ''胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊炎伴胆石症'', ''胆囊炎伴胆石症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊占位性病变'', ''胆囊占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆源性胰腺炎'', ''胆源性胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石'', ''胆总管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴胆管炎'', ''胆总管结石伴胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴急性胆管炎'', ''胆总管结石伴急性胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴急性胆囊炎'', ''胆总管结石伴急性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆总管结石伴慢性胆囊炎'', ''胆总管结石伴慢性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白尿'', ''蛋白尿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质-能量营养不良症'', ''蛋白质-能量营养不良症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒睫'', ''倒睫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''登革热'', ''登革热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低促性腺激素性腺功能减退症'', ''低促性腺激素性腺功能减退症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙血症'', ''低钙血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低高密度脂蛋白血症'', ''低高密度脂蛋白血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾型周期性瘫痪'', ''低钾型周期性瘫痪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钾血症'', ''低钾血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低颅压综合征'', ''低颅压综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低色素性贫血'', ''低色素性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低位肠梗阻'', ''低位肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖昏迷'', ''低血糖昏迷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖症'', ''低血糖症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血压'', ''低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫性阴道炎'', ''滴虫性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地中海贫血'', ''地中海贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫病'', ''癫痫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌伤'', ''跌伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耵聍栓塞'', ''耵聍栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉导管未闭'', ''动脉导管未闭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉瘤'', ''动脉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉型肺动脉高压'', ''动脉型肺动脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉硬化'', ''动脉硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉硬化闭塞症'', ''动脉硬化闭塞症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻疮'', ''冻疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房传导阻滞'', ''窦房传导阻滞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦房折返性心动过速'', ''窦房折返性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性停搏'', ''窦性停搏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心动过缓'', ''窦性心动过缓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心动过速'', ''窦性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦性心律失常'', ''窦性心律失常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''短肠综合征'', ''短肠综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''短暂性脑缺血发作'', ''短暂性脑缺血发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多瓣膜病'', ''多瓣膜病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多部位神经痛'', ''多部位神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多部位性呼吸道感染'', ''多部位性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性大动脉炎'', ''多发性大动脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性骨髓瘤'', ''多发性骨髓瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性末梢神经炎'', ''多发性末梢神经炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多发性周围神经炎'', ''多发性周围神经炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗症'', ''多汗症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多毛细胞白血病'', ''多毛细胞白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊卵巢综合征'', ''多囊卵巢综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多囊肾'', ''多囊肾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多胎妊娠'', ''多胎妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多形红斑'', ''多形红斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多形性日光疹'', ''多形性日光疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶化型劳力性心绞痛'', ''恶化型劳力性心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶劣心境障碍'', ''恶劣心境障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性骨肿瘤'', ''恶性骨肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性淋巴瘤'', ''恶性淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶性胸腔积液'', ''恶性胸腔积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童期糖尿病'', ''儿童期糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部疾病'', ''耳部疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋'', ''耳聋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣'', ''耳鸣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳外伤'', ''耳外伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣关闭不全'', ''二尖瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣后叶脱垂'', ''二尖瓣后叶脱垂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣疾病'', ''二尖瓣疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂'', ''二尖瓣脱垂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂伴闭锁不全'', ''二尖瓣脱垂伴闭锁不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣脱垂综合征'', ''二尖瓣脱垂综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣狭窄'', ''二尖瓣狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二尖瓣狭窄伴三尖瓣关闭不全'', ''二尖瓣狭窄伴三尖瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发热'', ''发热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法洛四联症'', ''法洛四联症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性食管炎'', ''反流性食管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性胃炎'', ''反流性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流性咽炎'', ''反流性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房间隔缺损'', ''房间隔缺损'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室传导阻滞'', ''房室传导阻滞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室交界性心律失常'', ''房室交界性心律失常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室结折返性心动过速（AVNRT）'', ''房室结折返性心动过速（AVNRT）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房室折返性心动过速（AVRT）'', ''房室折返性心动过速（AVRT）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性期前收缩'', ''房性期前收缩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性心动过速'', ''房性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房性心律失常'', ''房性心律失常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射性皮炎'', ''放射性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非ST段抬高性急性冠状动脉综合征'', ''非ST段抬高性急性冠状动脉综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非梗阻性肥厚型心肌病'', ''非梗阻性肥厚型心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非霍奇金淋巴瘤'', ''非霍奇金淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非糜烂性反流病'', ''非糜烂性反流病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非肾性蛋白尿'', ''非肾性蛋白尿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非心源性猝死'', ''非心源性猝死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非增殖性糖尿病性视网膜病变'', ''非增殖性糖尿病性视网膜病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥大性咽炎'', ''肥大性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥厚型心肌病'', ''肥厚型心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥胖症'', ''肥胖症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌'', ''肺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌晚期'', ''肺癌晚期'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺癌转移'', ''肺癌转移'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺大泡'', ''肺大泡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣关闭不全'', ''肺动脉瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉瓣狭窄'', ''肺动脉瓣狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉高压'', ''肺动脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核'', ''肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结节病'', ''肺结节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺脓肿'', ''肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺泡蛋白沉积症'', ''肺泡蛋白沉积症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气肿'', ''肺气肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺栓塞'', ''肺栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺水肿'', ''肺水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺外结节病'', ''肺外结节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺腺癌'', ''肺腺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷白杆菌肺炎'', ''肺炎克雷白杆菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌肺炎'', ''肺炎链球菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎球菌感染'', ''肺炎球菌感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎衣原体肺炎'', ''肺炎衣原体肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体性肺炎'', ''肺炎支原体性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺源性心脏病'', ''肺源性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺占位性病变'', ''肺占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺真菌感染'', ''肺真菌感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺肿物'', ''肺肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''废用性骨质疏松'', ''废用性骨质疏松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痱子'', ''痱子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分离性障碍'', ''分离性障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分裂情感性障碍'', ''分裂情感性障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分泌性中耳炎'', ''分泌性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿热'', ''风湿热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性二尖瓣狭窄'', ''风湿性二尖瓣狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿性心脏病'', ''风湿性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风团'', ''风团'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹'', ''风疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜂窝织炎'', ''蜂窝织炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾炎'', ''附睾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附件炎'', ''附件炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性呼吸道感染'', ''复发性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性视网膜脱离'', ''复发性视网膜脱离'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复发性心包炎'', ''复发性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦炎'', ''副鼻窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副伤寒'', ''副伤寒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁软组织感染'', ''腹壁软组织感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁疝'', ''腹壁疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部感染'', ''腹部感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部肿物'', ''腹部肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟疝'', ''腹股沟疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟斜疝'', ''腹股沟斜疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟直疝'', ''腹股沟直疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜型子宫内膜异位症'', ''腹膜型子宫内膜异位症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔感染'', ''腹腔感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔脓肿'', ''腹腔脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹外疝'', ''腹外疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹泻'', ''腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀'', ''腹胀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝癌'', ''肝癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝挫裂伤'', ''肝挫裂伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石'', ''肝胆管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴胆管炎'', ''肝胆管结石伴胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴胆囊炎'', ''肝胆管结石伴胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆管结石伴慢性胆囊炎'', ''肝胆管结石伴慢性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能不全'', ''肝功能不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能衰竭'', ''肝功能衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能紊乱'', ''肝功能紊乱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能异常'', ''肝功能异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝囊肿'', ''肝囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管癌'', ''肝内胆管癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管结石'', ''肝内胆管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内胆管结石伴胆管炎'', ''肝内胆管结石伴胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝内占位性病变'', ''肝内占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脓肿'', ''肝脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脾破裂'', ''肝脾破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝损伤'', ''肝损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝细胞癌'', ''肝细胞癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''肝纤维化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝性脑病'', ''肝性脑病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝血管瘤'', ''肝血管瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎'', ''肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎后肝硬化'', ''肝炎后肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化'', ''肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食道胃底静脉曲张破裂'', ''肝硬化伴食道胃底静脉曲张破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食管静脉曲张'', ''肝硬化伴食管静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴食管静脉曲张破裂出血'', ''肝硬化伴食管静脉曲张破裂出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化伴胃底静脉曲张'', ''肝硬化伴胃底静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝硬化腹水'', ''肝硬化腹水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏破裂'', ''肝脏破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝占位性病变'', ''肝占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝肿瘤'', ''肝肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝肿物'', ''肝肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒'', ''感冒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胆囊炎'', ''感染性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性腹泻'', ''感染性腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性胃肠炎'', ''感染性胃肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感染性心内膜炎'', ''感染性心内膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感音神经性耳聋'', ''感音神经性耳聋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干眼症'', ''干眼症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干燥综合征'', ''干燥综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冈上肌肌腱炎'', ''冈上肌肌腱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠病'', ''肛肠病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛管炎'', ''肛管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛裂'', ''肛裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛瘘'', ''肛瘘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门搔痒症'', ''肛门搔痒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门瘙痒症'', ''肛门瘙痒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛乳头肥大'', ''肛乳头肥大'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周感染'', ''肛周感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周脓肿'', ''肛周脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高胆固醇血症'', ''高胆固醇血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高低密度脂蛋白血症'', ''高低密度脂蛋白血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高甘油三酯血症'', ''高甘油三酯血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高钾型周期性瘫痪'', ''高钾型周期性瘫痪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高泌乳素血症'', ''高泌乳素血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高尿酸血症'', ''高尿酸血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗高血糖状态'', ''高渗高血糖状态'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高位肠梗阻'', ''高位肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血糖'', ''高血糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级'', ''高血压1级'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压1级(高危)'', ''高血压1级(高危)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级'', ''高血压2级'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压2级(高危)'', ''高血压2级(高危)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级'', ''高血压3级'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压3级(极高危)'', ''高血压3级(极高危)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性脑病'', ''高血压性脑病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性肾病'', ''高血压性肾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压性心脏病'', ''高血压性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血脂'', ''高血脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高胰岛素血症'', ''高胰岛素血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高原肺水肿'', ''高原肺水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高脂血症性胰腺炎'', ''高脂血症性胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸癌'', ''睾丸癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸附睾炎'', ''睾丸附睾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸扭转'', ''睾丸扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸鞘膜积液'', ''睾丸鞘膜积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''割伤'', ''割伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨骨折'', ''跟骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟腱炎'', ''跟腱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梗阻性黄疸'', ''梗阻性黄疸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更换子宫内节育器'', ''更换子宫内节育器'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能失调性子宫出血'', ''功能失调性子宫出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性便秘'', ''功能性便秘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性腹痛综合征'', ''功能性腹痛综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性腹胀'', ''功能性腹胀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性胃肠病'', ''功能性胃肠病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''功能性消化不良'', ''功能性消化不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨骨折'', ''肱骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨外上髁炎'', ''肱骨外上髁炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌'', ''宫颈癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈肥大'', ''宫颈肥大'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈机能不全'', ''宫颈机能不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈糜烂'', ''宫颈糜烂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈内膜炎'', ''宫颈内膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈上皮内瘤样病变'', ''宫颈上皮内瘤样病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈上皮内肿瘤'', ''宫颈上皮内肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈息肉'', ''宫颈息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈腺体囊肿'', ''宫颈腺体囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎'', ''宫颈炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎性疾病'', ''宫颈炎性疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈原位癌'', ''宫颈原位癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈增生'', ''宫颈增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈肿瘤'', ''宫颈肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫内节育器'', ''宫内节育器'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔粘连'', ''宫腔粘连'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巩膜炎'', ''巩膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩虫病'', ''钩虫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钩端螺旋体病'', ''钩端螺旋体病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨粗隆间骨折'', ''股骨粗隆间骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨骨折'', ''股骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨颈骨折'', ''股骨颈骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨头坏死'', ''股骨头坏死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨头无菌性坏死'', ''股骨头无菌性坏死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股外侧皮神经卡压综合征'', ''股外侧皮神经卡压综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股外侧皮神经综合症'', ''股外侧皮神经综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股癣'', ''股癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节疾病'', ''骨关节疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨关节炎'', ''骨关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨巨细胞瘤'', ''骨巨细胞瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瘤'', ''骨瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆骨折'', ''骨盆骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肉瘤'', ''骨肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨软骨瘤'', ''骨软骨瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓增生异常综合征'', ''骨髓增生异常综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛'', ''骨痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨纤维肉瘤'', ''骨纤维肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨尤文肉瘤'', ''骨尤文肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨折'', ''骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松伴骨折'', ''骨质疏松伴骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松症'', ''骨质疏松症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼓膜穿孔'', ''鼓膜穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤'', ''关节扭伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节脱位'', ''关节脱位'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉栓塞'', ''冠状动脉栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉粥样硬化性心脏病'', ''冠状动脉粥样硬化性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头包皮炎'', ''龟头包皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头炎'', ''龟头炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘窝囊肿'', ''腘窝囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过度通气综合征'', ''过度通气综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏反应'', ''过敏反应'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性鼻炎'', ''过敏性鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性鼻炎伴哮喘'', ''过敏性鼻炎伴哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性肺炎'', ''过敏性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性皮炎'', ''过敏性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性皮疹'', ''过敏性皮疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性哮喘'', ''过敏性哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏性紫癜'', ''过敏性紫癜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过期妊娠'', ''过期妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼾症'', ''鼾症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下肿物'', ''颌下肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑变病'', ''黑变病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑布拉痒疹'', ''黑布拉痒疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑棘皮病'', ''黑棘皮病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色素瘤'', ''黑色素瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色素痣'', ''黑色素痣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亨特氏综合征'', ''亨特氏综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红皮病'', ''红皮病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虹膜睫状体炎'', ''虹膜睫状体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉癌'', ''喉癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉白喉'', ''喉白喉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉气管狭窄'', ''喉气管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉炎'', ''喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉肿物'', ''喉肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜血肿'', ''后腹膜血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后循环缺血'', ''后循环缺血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸窘迫综合征'', ''呼吸窘迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难'', ''呼吸困难'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸衰竭'', ''呼吸衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胡桃夹综合征'', ''胡桃夹综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹部癌'', ''壶腹部癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹部肿瘤'', ''壶腹部肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壶腹周围恶性肿瘤'', ''壶腹周围恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花斑糠疹'', ''花斑糠疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''划伤'', ''划伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜炎'', ''滑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑囊炎'', ''滑囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性扁桃体炎'', ''化脓性扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性肝脓肿'', ''化脓性肝脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性脑膜炎'', ''化脓性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性心包炎'', ''化脓性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性中耳炎'', ''化脓性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化学性胃炎'', ''化学性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节骨折'', ''踝关节骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节痛'', ''踝关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄斑裂孔'', ''黄斑裂孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄褐斑'', ''黄褐斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体破裂'', ''黄体破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠溃疡'', ''回肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛔虫病'', ''蛔虫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会厌囊肿'', ''会厌囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型肝硬化'', ''混合型肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合型高脂血症'', ''混合型高脂血症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性蛋白尿'', ''混合性蛋白尿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性结缔组织病'', ''混合性结缔组织病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合性心绞痛'', ''混合性心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合痔'', ''混合痔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''获得性大疱性表皮松懈症'', ''获得性大疱性表皮松懈症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱'', ''霍乱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍纳综合征'', ''霍纳综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍奇金淋巴瘤'', ''霍奇金淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''机械性肠梗阻'', ''机械性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌腱炎'', ''肌腱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌筋膜炎'', ''肌筋膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉劳损'', ''肌肉劳损'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌痛'', ''肌痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌营养不良症'', ''肌营养不良症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌张力障碍'', ''肌张力障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸡眼'', ''鸡眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基底细胞瘤'', ''基底细胞瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉兰巴雷综合征'', ''吉兰巴雷综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急腹症'', ''急腹症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性ST段抬高性心肌梗死'', ''急性ST段抬高性心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性白血病'', ''急性白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻窦炎'', ''急性鼻窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻咽炎'', ''急性鼻咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性鼻炎'', ''急性鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性闭角型青光眼'', ''急性闭角型青光眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性扁桃体炎'', ''急性扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性肝炎'', ''急性病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性喉炎'', ''急性病毒性喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽喉炎'', ''急性病毒性咽喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性病毒性咽炎'', ''急性病毒性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠梗阻'', ''急性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肠炎'', ''急性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性充血性扁桃体炎'', ''急性充血性扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血坏死型胰腺炎'', ''急性出血坏死型胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性出血坏死性肠炎'', ''急性出血坏死性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性穿孔性阑尾炎'', ''急性穿孔性阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性单纯性阑尾炎'', ''急性单纯性阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆管炎'', ''急性胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''20999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆囊炎'', ''急性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胆源型胰腺炎'', ''急性胆源型胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性低血压'', ''急性低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性非ST段抬高型心肌梗死'', ''急性非ST段抬高型心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性非ST段抬高型心肌梗死非ST段抬高型心肌梗死'', ''急性非ST段抬高型心肌梗死非ST段抬高型心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺脓肿'', ''急性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺栓塞'', ''急性肺栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺水肿'', ''急性肺水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肺炎'', ''急性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性风湿热'', ''急性风湿热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腐蚀性食管炎'', ''急性腐蚀性食管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性附件炎'', ''急性附件炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腹膜炎'', ''急性腹膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腹泻'', ''急性腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肝炎'', ''急性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性感染性胃炎'', ''急性感染性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性感染性支气管炎'', ''急性感染性支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性根尖周炎'', ''急性根尖周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性梗阻性化脓性胆管炎'', ''急性梗阻性化脓性胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性宫颈炎'', ''急性宫颈炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性冠状动脉综合征（ACS）'', ''急性冠状动脉综合征（ACS）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性喉炎'', ''急性喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性呼吸窘迫综合征'', ''急性呼吸窘迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性呼吸衰竭'', ''急性呼吸衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓梗阻性胆管炎'', ''急性化脓梗阻性胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性扁桃体炎'', ''急性化脓性扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性骨髓炎'', ''急性化脓性骨髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性关节炎'', ''急性化脓性关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性阑尾炎'', ''急性化脓性阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性弥漫性腹膜炎'', ''急性化脓性弥漫性腹膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性支气管炎'', ''急性化脓性支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性化脓性中耳炎'', ''急性化脓性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏疽性阑尾炎伴阑尾周围炎'', ''急性坏疽性阑尾炎伴阑尾周围炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性坏死性肠炎'', ''急性坏死性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性会厌炎'', ''急性会厌炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脊髓炎'', ''急性脊髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性间质性肾炎'', ''急性间质性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑发作'', ''急性焦虑发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性溃疡性口腔炎'', ''急性溃疡性口腔炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎'', ''急性阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎伴腹膜炎'', ''急性阑尾炎伴腹膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎穿孔伴阑尾周围脓肿'', ''急性阑尾炎穿孔伴阑尾周围脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性阑尾炎及阑尾周围炎'', ''急性阑尾炎及阑尾周围炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性泪囊炎'', ''急性泪囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性糜烂性胃炎'', ''急性糜烂性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性脓胸'', ''急性脓胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性膀胱炎'', ''急性膀胱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性疱疹性咽峡炎'', ''急性疱疹性咽峡炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性盆腔炎'', ''急性盆腔炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性前列腺炎'', ''急性前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性乳腺炎'', ''急性乳腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性腮腺炎'', ''急性腮腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性上呼吸道感染'', ''急性上呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾功能不全'', ''急性肾功能不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾衰竭'', ''急性肾衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾损伤'', ''急性肾损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾小球肾炎'', ''急性肾小球肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾炎'', ''急性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性肾盂肾炎'', ''急性肾盂肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性视网膜坏死综合征'', ''急性视网膜坏死综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性水肿型胰腺炎'', ''急性水肿型胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性特发性血小板减少性紫癜'', ''急性特发性血小板减少性紫癜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃肠穿孔'', ''急性胃肠穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃肠炎'', ''急性胃肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃扩张'', ''急性胃扩张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃扭转'', ''急性胃扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胃炎'', ''急性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性吸入性肺脓肿'', ''急性吸入性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性痢疾'', ''急性细菌性痢疾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细菌性前列腺炎'', ''急性细菌性前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性细支气管炎'', ''急性细支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包积液'', ''急性心包积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包填塞'', ''急性心包填塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心包炎'', ''急性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心肌梗死'', ''急性心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性心力衰竭'', ''急性心力衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性血气胸'', ''急性血气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性牙周炎'', ''急性牙周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽扁桃体炎'', ''急性咽扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽喉炎'', ''急性咽喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽结膜炎'', ''急性咽结膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性咽炎'', ''急性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性硬膜下血肿'', ''急性硬膜下血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性右心衰竭'', ''急性右心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性支气管炎'', ''急性支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性中耳炎'', ''急性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性重症胰腺炎'', ''急性重症胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性子宫内膜炎'', ''急性子宫内膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性左心衰竭'', ''急性左心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓灰质炎'', ''脊髓灰质炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓损伤'', ''脊髓损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱侧弯'', ''脊柱侧弯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱炎'', ''脊柱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎疾病'', ''脊椎疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎前移'', ''脊椎前移'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发型肺结核'', ''继发型肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性低血压'', ''继发性低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肺脓肿'', ''继发性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性肝癌'', ''继发性肝癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性干燥综合征'', ''继发性干燥综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性高血压'', ''继发性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性气胸'', ''继发性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性营养不良'', ''继发性营养不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''继发性自发性气胸'', ''继发性自发性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫性呼吸道感染'', ''寄生虫性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性慢性良性天疱疮'', ''家族性慢性良性天疱疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性息肉病'', ''家族性息肉病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲沟炎'', ''甲沟炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型H1N1流感'', ''甲型H1N1流感'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型H1N2流感'', ''甲型H1N2流感'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型病毒性肝炎'', ''甲型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲癣'', ''甲癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能减退症'', ''甲状旁腺功能减退症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能亢进症'', ''甲状旁腺功能亢进症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺癌'', ''甲状腺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能疾病'', ''甲状腺功能疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退'', ''甲状腺功能减退'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能减退性肌病'', ''甲状腺功能减退性肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进'', ''甲状腺功能亢进'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能亢进性心脏病'', ''甲状腺功能亢进性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能异常'', ''甲状腺功能异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺疾病'', ''甲状腺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结节'', ''甲状腺结节'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺囊肿'', ''甲状腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺腺瘤'', ''甲状腺腺瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺炎'', ''甲状腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺肿物'', ''甲状腺肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假膜性肠炎'', ''假膜性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖锐湿疣'', ''尖锐湿疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺疾病'', ''间质性肺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肺炎'', ''间质性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间质性肾炎'', ''间质性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩峰下滑囊炎'', ''肩峰下滑囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节痛'', ''肩关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节炎'', ''肩关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩痛'', ''肩痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩袖损伤'', ''肩袖损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩周炎'', ''肩周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑板腺囊肿'', ''睑板腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑腺炎'', ''睑腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腱鞘囊肿'', ''腱鞘囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆膜下子宫肌瘤'', ''浆膜下子宫肌瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞白血病'', ''浆细胞白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浆细胞瘤'', ''浆细胞瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降结肠息肉'', ''降结肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交界性早搏'', ''交界性早搏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原性疾病'', ''胶原性疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑'', ''焦虑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑症'', ''焦虑症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜变性'', ''角膜变性'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜穿孔'', ''角膜穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜溃疡'', ''角膜溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜溃疡性穿孔'', ''角膜溃疡性穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜内皮炎'', ''角膜内皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜上皮脱落'', ''角膜上皮脱落'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜炎'', ''角膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜异物'', ''角膜异物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞窄性肠梗阻'', ''绞窄性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接触性皮炎'', ''接触性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠癌'', ''结肠癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠恶性肿瘤个人史'', ''结肠恶性肿瘤个人史'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠梗阻'', ''结肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠扭转'', ''结肠扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠憩室'', ''结肠憩室'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠憩室炎'', ''结肠憩室炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠息肉'', ''结肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠炎'', ''结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠肿瘤'', ''结肠肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠肿物'', ''结肠肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结缔组织病'', ''结缔组织病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性肠炎'', ''结核性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性肺炎'', ''结核性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性腹膜炎'', ''结核性腹膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性颅内感染'', ''结核性颅内感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性脑膜炎'', ''结核性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性胸膜炎'', ''结核性胸膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核性胸腔积液'', ''结核性胸腔积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节病'', ''结节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节性多动脉炎'', ''结节性多动脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结节性红斑'', ''结节性红斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜出血'', ''结膜出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜炎'', ''结膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜异物'', ''结膜异物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疥疮'', ''疥疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筋膜炎'', ''筋膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紧张型头痛'', ''紧张型头痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''近视'', ''近视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浸润型肺结核'', ''浸润型肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突综合征'', ''茎突综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经前紧张综合症'', ''经前紧张综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经前期综合征'', ''经前期综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊炎'', ''精囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神分裂症'', ''精神分裂症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神障碍'', ''精神障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉曲张'', ''精索静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部肿块'', ''颈部肿块'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞'', ''颈动脉闭塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞和狭窄'', ''颈动脉闭塞和狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉闭塞综合征'', ''颈动脉闭塞综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉夹层'', ''颈动脉夹层'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉体肿瘤'', ''颈动脉体肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉狭窄'', ''颈动脉狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉硬化'', ''颈动脉硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈肩综合征'', ''颈肩综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎病'', ''颈椎病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎骨折'', ''颈椎骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎骨折伴截瘫'', ''颈椎骨折伴截瘫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨骨折'', ''胫腓骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫骨骨折'', ''胫骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前黏液性水肿'', ''胫前黏液性水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉曲张性皮炎'', ''静脉曲张性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉曲张综合症'', ''静脉曲张综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息型甲状腺炎'', ''静息型甲状腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静息性心绞痛'', ''静息性心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝病'', ''酒精性肝病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性肝硬化'', ''酒精性肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精性脂肪肝'', ''酒精性脂肪肝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒精依赖综合征'', ''酒精依赖综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酒渣鼻'', ''酒渣鼻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨大胎儿'', ''巨大胎儿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒感染'', ''巨细胞病毒感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨幼细胞性贫血'', ''巨幼细胞性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后出血'', ''绝经后出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后骨质疏松'', ''绝经后骨质疏松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌肺炎'', ''军团菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波西肉瘤'', ''卡波西肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开放性气胸'', ''开放性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开角型青光眼'', ''开角型青光眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗磷脂抗体综合征'', ''抗磷脂抗体综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体综合征'', ''抗心磷脂抗体综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽变异性哮喘'', ''咳嗽变异性哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽晕厥综合征'', ''咳嗽晕厥综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗恩病'', ''克罗恩病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠溃疡'', ''空肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孔源性视网膜脱离'', ''孔源性视网膜脱离'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇疱疹'', ''口唇疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干症'', ''口干症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔阿弗他溃疡'', ''口腔阿弗他溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔溃疡'', ''口腔溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疣'', ''口腔疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎'', ''口炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''库欣综合征'', ''库欣综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节痛'', ''髋关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节炎'', ''髋关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病'', ''狂犬病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶上神经痛'', ''眶上神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡型肠结核'', ''溃疡型肠结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性结肠炎'', ''溃疡性结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溃疡性口炎'', ''溃疡性口炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扩张型心肌病'', ''扩张型心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾残株炎'', ''阑尾残株炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾脓肿'', ''阑尾脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾炎'', ''阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾周围脓肿'', ''阑尾周围脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狼疮性肾炎'', ''狼疮性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''朗格汉斯细胞组织增生症'', ''朗格汉斯细胞组织增生症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳力性心绞痛'', ''劳力性心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性高血压'', ''老年性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性骨质疏松'', ''老年性骨质疏松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性黄斑变性'', ''老年性黄斑变性'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性阴道炎'', ''老年性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老视'', ''老视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺综合征'', ''雷诺综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨骨折'', ''肋骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋间神经痛'', ''肋间神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪道阻塞'', ''泪道阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪囊炎'', ''泪囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类癌综合症'', ''类癌综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿性关节炎'', ''类风湿性关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梨状肌综合征'', ''梨状肌综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梨状窝癌'', ''梨状窝癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粒细胞减少症'', ''粒细胞减少症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粒细胞缺乏症'', ''粒细胞缺乏症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性发作性位置性眩晕'', ''良性发作性位置性眩晕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''良性骨肿瘤'', ''良性骨肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴管炎'', ''淋巴管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结肿大'', ''淋巴结肿大'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴瘤'', ''淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞性脑膜炎'', ''淋巴细胞性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋病'', ''淋病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌'', ''鳞状细胞癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流产'', ''流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流产后感染'', ''流产后感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌肺炎'', ''流感嗜血杆菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感性呼吸道感染'', ''流感性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性斑疹伤寒'', ''流行性斑疹伤寒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性感冒'', ''流行性感冒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性脑膜炎'', ''流行性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性腮腺炎'', ''流行性腮腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎'', ''流行性乙型脑炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨缺损修补'', ''颅骨缺损修补'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内感染'', ''颅内感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内占位性病变'', ''颅内占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢恶性肿瘤'', ''卵巢恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢过度刺激综合症'', ''卵巢过度刺激综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢黄体囊肿'', ''卵巢黄体囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢畸胎瘤'', ''卵巢畸胎瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢交界恶性浆液性囊腺瘤'', ''卵巢交界恶性浆液性囊腺瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢滤泡囊肿'', ''卵巢滤泡囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢囊肿'', ''卵巢囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢囊肿蒂扭转'', ''卵巢囊肿蒂扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢扭转'', ''卵巢扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢脓肿'', ''卵巢脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢巧克力样囊肿'', ''卵巢巧克力样囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢炎'', ''卵巢炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢早衰'', ''卵巢早衰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢粘液性囊肿'', ''卵巢粘液性囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢肿瘤'', ''卵巢肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢子宫内膜异位'', ''卵巢子宫内膜异位'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢子宫内膜异位囊肿'', ''卵巢子宫内膜异位囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒肠炎'', ''轮状病毒肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绿脓杆菌肠炎'', ''绿脓杆菌肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻痹性肠梗阻'', ''麻痹性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹'', ''麻疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马凡综合症'', ''马凡综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦克尔憩室'', ''麦克尔憩室'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络膜视网膜炎'', ''脉络膜视网膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螨皮炎'', ''螨皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性白血病'', ''慢性白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻窦炎'', ''慢性鼻窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻咽炎'', ''慢性鼻咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性鼻炎'', ''慢性鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性扁桃体炎'', ''慢性扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性扁桃体炎急性发作'', ''慢性扁桃体炎急性发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性丙型病毒性肝炎'', ''慢性丙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肠炎'', ''慢性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性喘息性支气管炎'', ''慢性喘息性支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胆管炎'', ''慢性胆管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胆囊炎'', ''慢性胆囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性低血压'', ''慢性低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非化脓性关节炎'', ''慢性非化脓性关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性非细菌性前列腺炎'', ''慢性非细菌性前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肥厚性鼻炎'', ''慢性肥厚性鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺脓肿'', ''慢性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺栓塞'', ''慢性肺栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺炎'', ''慢性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肺源性心脏病'', ''慢性肺源性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性附件炎'', ''慢性附件炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性腹泻'', ''慢性腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肝炎'', ''慢性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性格林巴利氏综合征'', ''慢性格林巴利氏综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性根尖周炎'', ''慢性根尖周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性宫颈炎'', ''慢性宫颈炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性喉炎'', ''慢性喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性呼吸衰竭'', ''慢性呼吸衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性化脓性骨髓炎'', ''慢性化脓性骨髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性化脓性中耳炎'', ''慢性化脓性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性活动型丙型病毒性肝炎'', ''慢性活动型丙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性活动型乙型病毒性肝炎'', ''慢性活动型乙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性吉兰巴雷综合征'', ''慢性吉兰巴雷综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肺疾病'', ''慢性间质性肺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肝炎'', ''慢性间质性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性间质性肾炎'', ''慢性间质性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性焦虑'', ''慢性焦虑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性结肠炎'', ''慢性结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阑尾炎'', ''慢性阑尾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性泪囊炎'', ''慢性泪囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒-单核细胞白血病（CMML）'', ''慢性粒-单核细胞白血病（CMML）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性粒细胞白血病（CML）'', ''慢性粒细胞白血病（CML）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性淋巴细胞白血病（CLL）'', ''慢性淋巴细胞白血病（CLL）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性脑膜炎'', ''慢性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性尿道炎'', ''慢性尿道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性膀胱炎'', ''慢性膀胱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性盆腔炎'', ''慢性盆腔炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性前列腺炎'', ''慢性前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性浅表性胃炎'', ''慢性浅表性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性缺血性脑血管病'', ''慢性缺血性脑血管病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性腮腺炎'', ''慢性腮腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性上颌窦炎'', ''慢性上颌窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾病'', ''慢性肾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾衰竭'', ''慢性肾衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾小球肾炎'', ''慢性肾小球肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾炎'', ''慢性肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性肾盂肾炎'', ''慢性肾盂肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性髓系白血病'', ''慢性髓系白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性缩窄性心包炎'', ''慢性缩窄性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性特发性血小板减少性紫癜'', ''慢性特发性血小板减少性紫癜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性萎缩性胃炎'', ''慢性萎缩性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性细菌性前列腺炎'', ''慢性细菌性前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性心力衰竭'', ''慢性心力衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性血吸虫性肝病'', ''慢性血吸虫性肝病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙髓炎'', ''慢性牙髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙龈炎'', ''慢性牙龈炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性牙周炎'', ''慢性牙周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性咽喉炎'', ''慢性咽喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性胰腺炎'', ''慢性胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性乙型病毒性肝炎'', ''慢性乙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阴道炎'', ''慢性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性硬膜下血肿'', ''慢性硬膜下血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性右心衰竭'', ''慢性右心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎'', ''慢性支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎伴肺气肿'', ''慢性支气管炎伴肺气肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性支气管炎急性发作'', ''慢性支气管炎急性发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性中耳炎'', ''慢性中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性中性粒细胞白血病'', ''慢性中性粒细胞白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性子宫内膜炎'', ''慢性子宫内膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺病伴急性加重'', ''慢性阻塞性肺病伴急性加重'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢性阻塞性肺疾病'', ''慢性阻塞性肺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠溃疡'', ''盲肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠息肉'', ''盲肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠炎'', ''盲肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猫抓病'', ''猫抓病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛囊炎'', ''毛囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫瑰糠疹'', ''玫瑰糠疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒'', ''梅毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅尼埃病'', ''梅尼埃病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门静脉高压'', ''门静脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉性肝硬化'', ''门脉性肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弥漫性甲状腺肿'', ''弥漫性甲状腺肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜烂性唇炎'', ''糜烂性唇炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜烂性胃炎'', ''糜烂性胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿道狭窄'', ''泌尿道狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系结石'', ''泌尿系结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫低下宿主肺炎'', ''免疫低下宿主肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面神经炎'', ''面神经炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膜性肾病'', ''膜性肾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林金黄色葡萄球菌感染'', ''耐甲氧西林金黄色葡萄球菌感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性不育症'', ''男性不育症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性乳房发育'', ''男性乳房发育'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''难免流产'', ''难免流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''难免早产'', ''难免早产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛲虫病'', ''蛲虫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血'', ''脑出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑出血后遗症'', ''脑出血后遗症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑挫伤'', ''脑挫伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑动脉瘤'', ''脑动脉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑动脉瘤破裂'', ''脑动脉瘤破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干梗塞'', ''脑干梗塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑梗死'', ''脑梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑积水'', ''脑积水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑胶质瘤'', ''脑胶质瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑鸣'', ''脑鸣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜瘤'', ''脑膜瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜瘤（大脑）'', ''脑膜瘤（大脑）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎'', ''脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脓肿'', ''脑脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑缺血灶'', ''脑缺血灶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑外伤后综合征'', ''脑外伤后综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑萎缩'', ''脑萎缩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管病'', ''脑血管病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管供血不足'', ''脑血管供血不足'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管瘤'', ''脑血管瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血栓形成'', ''脑血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑占位性病变'', ''脑占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌骨质疏松症'', ''内分泌骨质疏松症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内痔'', ''内痔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性肺炎'', ''念珠菌性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性食管炎'', ''念珠菌性食管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''念珠菌性阴道炎'', ''念珠菌性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿崩症'', ''尿崩症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道结石'', ''尿道结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道狭窄'', ''尿道狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道炎'', ''尿道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道综合症'', ''尿道综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路感染'', ''尿路感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿失禁'', ''尿失禁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿潴留'', ''尿潴留'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节不正'', ''颞颌关节不正'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节紊乱综合征'', ''颞下颌关节紊乱综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛皮癣'', ''牛皮癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扭伤'', ''扭伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓毒症'', ''脓毒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓疱疮'', ''脓疱疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓气胸'', ''脓气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓性胸腔积液'', ''脓性胸腔积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟疾'', ''疟疾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺如病毒肠炎'', ''诺如病毒肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性不孕症'', ''女性不孕症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性继发性不孕'', ''女性继发性不孕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性慢性盆腔炎'', ''女性慢性盆腔炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性原发性不孕'', ''女性原发性不孕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森病'', ''帕金森病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排卵期出血'', ''排卵期出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱癌'', ''膀胱癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱过度活动症'', ''膀胱过度活动症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱结石'', ''膀胱结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱颈梗阻'', ''膀胱颈梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱息肉'', ''膀胱息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱炎'', ''膀胱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱肿瘤'', ''膀胱肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱肿物'', ''膀胱肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡性结膜炎'', ''泡性结膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹'', ''疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹病毒感染'', ''疱疹病毒感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹病毒性脑炎'', ''疱疹病毒性脑炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹性咽炎'', ''疱疹性咽炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎发育不良'', ''胚胎发育不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎停止发育'', ''胚胎停止发育'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎移植术后'', ''胚胎移植术后'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎移植术前'', ''胚胎移植术前'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆底肌痉挛综合征'', ''盆底肌痉挛综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔囊肿'', ''盆腔囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔炎'', ''盆腔炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔炎后遗症'', ''盆腔炎后遗症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淤血综合症'', ''盆腔淤血综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔肿物'', ''盆腔肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤T细胞淋巴瘤'', ''皮肤T细胞淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病'', ''皮肤病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤淀粉样变性'', ''皮肤淀粉样变性'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤恶性黑色素瘤'', ''皮肤恶性黑色素瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤恶性肿瘤'', ''皮肤恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤及软组织感染'', ''皮肤及软组织感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤溃疡'', ''皮肤溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤鳞状细胞癌'', ''皮肤鳞状细胞癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤疱疹'', ''皮肤疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤肿物'', ''皮肤肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肌炎'', ''皮肌炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下结节'', ''皮下结节'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下肿物'', ''皮下肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮癣'', ''皮癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮炎'', ''皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹'', ''皮疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮脂腺囊肿'', ''皮脂腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾挫裂伤'', ''脾挫裂伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾梗死'', ''脾梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾功能亢进'', ''脾功能亢进'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏破裂'', ''脾脏破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏头痛'', ''偏头痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胼胝'', ''胼胝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贫血'', ''贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风'', ''破伤风'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌性肺炎'', ''葡萄球菌性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄胎'', ''葡萄胎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通感冒'', ''普通感冒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他弥漫性实质性肺疾病'', ''其他弥漫性实质性肺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐疝'', ''脐疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管白喉'', ''气管白喉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管狭窄'', ''气管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管炎'', ''气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管支气管疾病'', ''气管支气管疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气胸'', ''气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂静脉压迫综合征'', ''髂静脉压迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前房角狭窄'', ''前房角狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺恶性肿瘤'', ''前列腺恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺疾病'', ''前列腺疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺结石'', ''前列腺结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺囊肿'', ''前列腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺炎'', ''前列腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺炎性疾病'', ''前列腺炎性疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺原位癌'', ''前列腺原位癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺增生'', ''前列腺增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺肿瘤'', ''前列腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺肿瘤特殊筛查'', ''前列腺肿瘤特殊筛查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺囊肿'', ''前庭大腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺脓肿'', ''前庭大腺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭大腺炎'', ''前庭大腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前庭神经元炎'', ''前庭神经元炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前置胎盘'', ''前置胎盘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嵌顿疝'', ''嵌顿疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嵌顿性腹股沟斜疝'', ''嵌顿性腹股沟斜疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腔隙性脑梗死'', ''腔隙性脑梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强迫症'', ''强迫症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强直性脊柱炎'', ''强直性脊柱炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桥本氏甲状腺炎'', ''桥本氏甲状腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感'', ''禽流感'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''禽流感性呼吸道感染'', ''禽流感性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青光眼'', ''青光眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻度抑郁发作'', ''轻度抑郁发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情感性精神障碍'', ''情感性精神障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疹性荨麻疹'', ''丘疹性荨麻疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈光不正'', ''屈光不正'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''躯体形式障碍'', ''躯体形式障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''取除子宫内节育器'', ''取除子宫内节育器'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''取卵术后'', ''取卵术后'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龋齿'', ''龋齿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身黏液性水肿'', ''全身黏液性水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全心衰竭'', ''全心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺铁性贫血'', ''缺铁性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性结肠炎'', ''缺血性结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性心肌病'', ''缺血性心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血性心脏病'', ''缺血性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡骨骨折'', ''桡骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工流产'', ''人工流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人流后'', ''人流后'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''韧带疾患'', ''韧带疾患'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠高血压综合征'', ''妊娠高血压综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺结核'', ''妊娠合并肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺囊性纤维化'', ''妊娠合并肺囊性纤维化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并肺炎'', ''妊娠合并肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠合并哮喘'', ''妊娠合并哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠剧吐'', ''妊娠剧吐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠期糖尿病'', ''妊娠期糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠状态'', ''妊娠状态'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日晒斑'', ''日晒斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日照性皮炎'', ''日照性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒毛膜癌'', ''绒毛膜癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶血性贫血'', ''溶血性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉芽肿性血管炎'', ''肉芽肿性血管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房包块'', ''乳房包块'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房疾患'', ''乳房疾患'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房结节'', ''乳房结节'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房肿物'', ''乳房肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳痛症'', ''乳痛症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺癌'', ''乳腺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管内乳头状瘤'', ''乳腺导管内乳头状瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管原位癌'', ''乳腺导管原位癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺囊性增生病'', ''乳腺囊性增生病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺囊肿'', ''乳腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺脓肿'', ''乳腺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维囊性增生'', ''乳腺纤维囊性增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维腺瘤'', ''乳腺纤维腺瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺纤维腺囊肿'', ''乳腺纤维腺囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺腺病'', ''乳腺腺病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺炎'', ''乳腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺硬化性腺病'', ''乳腺硬化性腺病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺原位癌'', ''乳腺原位癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺增生'', ''乳腺增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺增生病'', ''乳腺增生病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺肿瘤'', ''乳腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软骨肉瘤'', ''软骨肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软下疳'', ''软下疳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软组织挫伤'', ''软组织挫伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弱精症'', ''弱精症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺区肿物'', ''腮腺区肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺肿瘤'', ''腮腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三叉神经痛'', ''三叉神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三度房室传导阻滞'', ''三度房室传导阻滞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣病变'', ''三尖瓣病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣关闭不全'', ''三尖瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖瓣脱垂'', ''三尖瓣脱垂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''搔痒症'', ''搔痒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘙痒症'', ''瘙痒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙门氏菌肠炎'', ''沙门氏菌肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼'', ''沙眼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛前神经痛'', ''筛前神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疝气'', ''疝气'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒'', ''伤寒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒副伤寒'', ''伤寒副伤寒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦恶性肿瘤'', ''上颌窦恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦炎'', ''上颌窦炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨恶性肿瘤'', ''上颌骨恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨骨折'', ''上颌骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上呼吸道感染'', ''上呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上睑下垂'', ''上睑下垂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腔静脉综合征'', ''上腔静脉综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道出血'', ''上消化道出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉栓塞'', ''上肢动脉栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉栓塞和血栓形成'', ''上肢动脉栓塞和血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉血栓形成'', ''上肢动脉血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢深静脉血栓形成'', ''上肢深静脉血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢损伤'', ''上肢损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧伤'', ''烧伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌恶性肿瘤'', ''舌恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨大角综合征'', ''舌骨大角综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌咽神经痛'', ''舌咽神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社区获得性肺炎'', ''社区获得性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''深部浸润型子宫内膜异位症'', ''深部浸润型子宫内膜异位症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经官能症'', ''神经官能症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经介导性晕厥'', ''神经介导性晕厥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经痛'', ''神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经性皮炎'', ''神经性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾癌'', ''肾癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾病综合征'', ''肾病综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾错构瘤'', ''肾错构瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾动脉硬化'', ''肾动脉硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能异常'', ''肾功能异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水'', ''肾积水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水伴肾结石'', ''肾积水伴肾结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾积水伴输尿管结石'', ''肾积水伴输尿管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾结核'', ''肾结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾结石'', ''肾结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾囊肿'', ''肾囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺肿块'', ''肾上腺肿块'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺肿瘤'', ''肾上腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾实质性高血压'', ''肾实质性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾透明细胞癌'', ''肾透明细胞癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾细胞癌'', ''肾细胞癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾腺癌'', ''肾腺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾性蛋白尿'', ''肾性蛋白尿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾性高血压'', ''肾性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾血管性高血压'', ''肾血管性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎'', ''肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂癌'', ''肾盂癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂肾炎'', ''肾盂肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾肿瘤'', ''肾肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾肿物'', ''肾肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾综合征出血热'', ''肾综合征出血热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗出性胸腔积液'', ''渗出性胸腔积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升结肠息肉'', ''升结肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生育咨询'', ''生育咨询'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖器疱疹'', ''生殖器疱疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带癌'', ''声带癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带白斑'', ''声带白斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带麻痹'', ''声带麻痹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带囊肿'', ''声带囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带息肉'', ''声带息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带小结'', ''声带小结'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带原位癌'', ''声带原位癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声带肿物'', ''声带肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失眠症'', ''失眠症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疹'', ''湿疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疹性唇炎'', ''湿疹性唇炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠癌'', ''十二指肠癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠梗阻'', ''十二指肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡'', ''十二指肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡伴出血'', ''十二指肠溃疡伴出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠溃疡伴穿孔'', ''十二指肠溃疡伴穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠球部溃疡'', ''十二指肠球部溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠息肉'', ''十二指肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠炎'', ''十二指肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠肿物'', ''十二指肠肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道中上段恶性肿瘤'', ''食道中上段恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道中下段恶性肿瘤'', ''食道中下段恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管癌'', ''食管癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管贲门粘膜撕裂综合征'', ''食管贲门粘膜撕裂综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管穿孔'', ''食管穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管良性肿瘤'', ''食管良性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管裂孔疝'', ''食管裂孔疝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管胃底静脉曲张破裂'', ''食管胃底静脉曲张破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管炎'', ''食管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物'', ''食管异物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物穿孔'', ''食管异物穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管肿物'', ''食管肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物过敏'', ''食物过敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物中毒'', ''食物中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力异常'', ''视力异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜部分性静脉阻塞'', ''视网膜部分性静脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜动脉阻塞'', ''视网膜动脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜分支静脉阻塞'', ''视网膜分支静脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜静脉阻塞'', ''视网膜静脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜裂孔'', ''视网膜裂孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜劈裂症'', ''视网膜劈裂症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜色素变性'', ''视网膜色素变性'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜脱离'', ''视网膜脱离'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜中央动脉阻塞'', ''视网膜中央动脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜中央静脉阻塞'', ''视网膜中央静脉阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室间隔缺损'', ''室间隔缺损'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室内传导阻滞'', ''室内传导阻滞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室上性心动过速'', ''室上性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性期前收缩'', ''室性期前收缩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性心动过速'', ''室性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''室性心律失常'', ''室性心律失常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜铬细胞瘤'', ''嗜铬细胞瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噬血细胞综合征'', ''噬血细胞综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手损伤'', ''手损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手癣'', ''手癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足口病'', ''手足口病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管梗阻'', ''输精管梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管闭锁'', ''输卵管闭锁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管不全梗阻（双侧）'', ''输卵管不全梗阻（双侧）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管不全梗阻（左侧）'', ''输卵管不全梗阻（左侧）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管堵塞不孕'', ''输卵管堵塞不孕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻'', ''输卵管梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻（双侧）'', ''输卵管梗阻（双侧）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管梗阻（右侧）'', ''输卵管梗阻（右侧）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管积水'', ''输卵管积水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管妊娠'', ''输卵管妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管通而不畅'', ''输卵管通而不畅'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管炎'', ''输卵管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管梗阻'', ''输尿管梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管结石'', ''输尿管结石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管狭窄'', ''输尿管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后呼吸道感染'', ''术后呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摔伤'', ''摔伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双踝骨折'', ''双踝骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双角子宫'', ''双角子宫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双胎妊娠'', ''双胎妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双相情感障碍'', ''双相情感障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘'', ''水痘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿'', ''水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠呼吸暂停综合征'', ''睡眠呼吸暂停综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠障碍'', ''睡眠障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝虫病'', ''丝虫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''损伤'', ''损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''损伤史'', ''损伤史'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩窄性心包炎'', ''缩窄性心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨骨折'', ''锁骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿发育异常'', ''胎儿发育异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿宫内窘迫'', ''胎儿宫内窘迫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿畸形'', ''胎儿畸形'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿生长受限'', ''胎儿生长受限'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎膜早破'', ''胎膜早破'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炭疽病'', ''炭疽病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖耐量异常'', ''糖耐量异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病'', ''糖尿病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病母婴综合征'', ''糖尿病母婴综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病前期'', ''糖尿病前期'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病乳酸性酸中毒'', ''糖尿病乳酸性酸中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病肾病'', ''糖尿病肾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病心血管病'', ''糖尿病心血管病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性白内障'', ''糖尿病性白内障'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性脑血管病'', ''糖尿病性脑血管病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性神经病变'', ''糖尿病性神经病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性视网膜病'', ''糖尿病性视网膜病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病酮症酸中毒'', ''糖尿病酮症酸中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性胃轻瘫'', ''糖尿病性胃轻瘫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性心肌病'', ''糖尿病性心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性心脏病'', ''糖尿病性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围血管病变'', ''糖尿病周围血管病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围神经病变'', ''糖尿病周围神经病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病性足病'', ''糖尿病性足病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤'', ''烫伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性肺动脉高压'', ''特发性肺动脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性肺纤维化'', ''特发性肺纤维化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性脊柱侧弯'', ''特发性脊柱侧弯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性间质性肺炎'', ''特发性间质性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性血小板减少性紫癜（ITP）'', ''特发性血小板减少性紫癜（ITP）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特发性震颤'', ''特发性震颤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特殊类型胃炎'', ''特殊类型胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特应性皮炎'', ''特应性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特指肩损害'', ''特指肩损害'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体位性低血压'', ''体位性低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体位性晕厥'', ''体位性晕厥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体癣'', ''体癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体质性低血压'', ''体质性低血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天疱疮'', ''天疱疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌肺炎'', ''铜绿假单胞菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风石'', ''痛风石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风性关节炎'', ''痛风性关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风性滑囊炎'', ''痛风性滑囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经'', ''痛经'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤'', ''头部外伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮肿物'', ''头皮肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛'', ''头痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头癣'', ''头癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突发性耳聋'', ''突发性耳聋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀位分娩'', ''臀位分娩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱屑性唇炎'', ''脱屑性唇炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道胆脂瘤'', ''外耳道胆脂瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道疖'', ''外耳道疖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道炎'', ''外耳道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤'', ''外伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤证'', ''外伤证'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴白癜风'', ''外阴白癜风'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴瘙痒症'', ''外阴瘙痒症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴炎'', ''外阴炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外痔'', ''外痔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周动脉疾病'', ''外周动脉疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弯曲菌肠炎'', ''弯曲菌肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节痛'', ''腕关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节周围炎'', ''腕关节周围炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕管综合征'', ''腕管综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网球肘'', ''网球肘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''围绝经期综合征'', ''围绝经期综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A缺乏病'', ''维生素A缺乏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12缺乏性贫血'', ''维生素B12缺乏性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12缺乏症'', ''维生素B12缺乏症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C缺乏症'', ''维生素C缺乏症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D缺乏病'', ''维生素D缺乏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素缺乏病'', ''维生素缺乏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎缩性鼻炎'', ''萎缩性鼻炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃癌'', ''胃癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠炎'', ''胃肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃穿孔'', ''胃穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃溃疡'', ''胃溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃溃疡合并出血'', ''胃溃疡合并出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃淋巴瘤'', ''胃淋巴瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素瘤'', ''胃泌素瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃平滑肌肉瘤'', ''胃平滑肌肉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡'', ''胃十二指肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡伴出血'', ''胃十二指肠溃疡伴出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡伴穿孔'', ''胃十二指肠溃疡伴穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃十二指肠溃疡急性穿孔'', ''胃十二指肠溃疡急性穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管反流病'', ''胃食管反流病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃食管静脉曲张'', ''胃食管静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛'', ''胃痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃息肉'', ''胃息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃炎'', ''胃炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃占位性病变'', ''胃占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肿物'', ''胃肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳定型心绞痛'', ''稳定型心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊型病毒性肝炎'', ''戊型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸入性肺炎'', ''吸入性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矽肺'', ''矽肺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矽肺性肺纤维化'', ''矽肺性肺纤维化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝骨关节病'', ''膝骨关节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节半月板撕裂'', ''膝关节半月板撕裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节病'', ''膝关节病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节损伤'', ''膝关节损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节炎'', ''膝关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''习惯性流产'', ''习惯性流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''席汉综合征'', ''席汉综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性红斑狼疮'', ''系统性红斑狼疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性血管炎'', ''系统性血管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''系统性硬化症'', ''系统性硬化症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肺炎'', ''细菌性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性肝脓肿'', ''细菌性肝脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性呼吸道感染'', ''细菌性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性角膜炎'', ''细菌性角膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性颅内感染'', ''细菌性颅内感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性脑膜炎'', ''细菌性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性食物中毒'', ''细菌性食物中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎'', ''细菌性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细支气管炎'', ''细支气管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狭窄性腱鞘炎'', ''狭窄性腱鞘炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下消化道出血'', ''下消化道出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉栓塞'', ''下肢动脉栓塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉栓塞和血栓形成'', ''下肢动脉栓塞和血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉狭窄'', ''下肢动脉狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉血栓'', ''下肢动脉血栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉硬化闭塞症'', ''下肢动脉硬化闭塞症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉粥样硬化'', ''下肢动脉粥样硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉粥样硬化闭塞症'', ''下肢动脉粥样硬化闭塞症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉回流障碍'', ''下肢静脉回流障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉机能不全'', ''下肢静脉机能不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张'', ''下肢静脉曲张'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴静脉炎'', ''下肢静脉曲张伴静脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴溃疡'', ''下肢静脉曲张伴溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴溃疡感染'', ''下肢静脉曲张伴溃疡感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张伴皮炎'', ''下肢静脉曲张伴皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉曲张合并静脉炎'', ''下肢静脉曲张合并静脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉血栓形成'', ''下肢静脉血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉炎'', ''下肢静脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉血栓形成'', ''下肢深静脉血栓形成'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢神经痛'', ''下肢神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢损伤'', ''下肢损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢血栓性静脉炎'', ''下肢血栓性静脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢肿胀'', ''下肢肿胀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性胆道闭锁'', ''先天性胆道闭锁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性心脏病'', ''先天性心脏病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆临产'', ''先兆临产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆流产'', ''先兆流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先兆早产'', ''先兆早产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''限制型心肌病'', ''限制型心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒性肠炎'', ''腺病毒性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道出血'', ''消化道出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道穿孔'', ''消化道穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡'', ''消化性溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡伴出血'', ''消化性溃疡伴出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化性溃疡伴穿孔'', ''消化性溃疡伴穿孔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦'', ''消瘦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠梗阻'', ''小肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠溃疡'', ''小肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠扭转'', ''小肠扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠息肉'', ''小肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠肿物'', ''小肠肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻'', ''小儿腹泻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿急性呼吸窘迫综合征'', ''小儿急性呼吸窘迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑梗死'', ''小脑梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小细胞肺癌'', ''小细胞肺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液'', ''心包积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包疾病'', ''心包疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包填塞'', ''心包填塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包炎'', ''心包炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电图异常'', ''心电图异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过缓'', ''心动过缓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房颤动'', ''心房颤动'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心房扑动'', ''心房扑动'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗塞'', ''心肌梗塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死'', ''心肌梗死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌疾病'', ''心肌疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌炎'', ''心肌炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心绞痛'', ''心绞痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心力衰竭'', ''心力衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律失常'', ''心律失常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心室颤动'', ''心室颤动'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心室扑动'', ''心室扑动'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性猝死'', ''心源性猝死'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性哮喘'', ''心源性哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心源性休克'', ''心源性休克'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏瓣膜病'', ''心脏瓣膜病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏传导阻滞'', ''心脏传导阻滞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏神经官能症'', ''心脏神经官能症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏性晕厥'', ''心脏性晕厥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿持续性肺动脉高压'', ''新生儿持续性肺动脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿呼吸窘迫综合征'', ''新生儿呼吸窘迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿黄疸'', ''新生儿黄疸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿贫血'', ''新生儿贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猩红热'', ''猩红热'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性病性淋巴肉芽肿'', ''性病性淋巴肉芽肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性功能障碍'', ''性功能障碍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓出口综合症'', ''胸廓出口综合症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓畸形合并妊娠'', ''胸廓畸形合并妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷'', ''胸闷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸膜疾病'', ''胸膜疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液'', ''胸腔积液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺恶性肿瘤'', ''胸腺恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肿瘤'', ''胸腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎骨折'', ''胸椎骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''休克'', ''休克'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕'', ''眩晕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕征'', ''眩晕征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕综合征'', ''眩晕综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管闭塞性脉管炎'', ''血管闭塞性脉管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管瘤'', ''血管瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管神经性水肿'', ''血管神经性水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血行播散型肺结核'', ''血行播散型肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气胸'', ''血气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓闭塞性脉管炎'', ''血栓闭塞性脉管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓性静脉炎'', ''血栓性静脉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫病'', ''血吸虫病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫性肝硬化'', ''血吸虫性肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板减少症'', ''血小板减少症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板增多'', ''血小板增多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板增多症'', ''血小板增多症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血胸'', ''血胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血友病'', ''血友病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血源性肺脓肿'', ''血源性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寻常型天疱疮'', ''寻常型天疱疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寻常疣'', ''寻常疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹'', ''荨麻疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荨麻疹性血管炎'', ''荨麻疹性血管炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕈样肉芽肿'', ''蕈样肉芽肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压疮'', ''压疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力性尿失禁'', ''压力性尿失禁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压伤'', ''压伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙列不齐'', ''牙列不齐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙髓炎'', ''牙髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈炎'', ''牙龈炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙周炎'', ''牙周炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''21999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性肺炎'', ''亚急性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚急性甲状腺炎'', ''亚急性甲状腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚临床甲状腺功能亢进症'', ''亚临床甲状腺功能亢进症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚临床流产'', ''亚临床流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽白喉'', ''咽白喉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽扁桃体炎'', ''咽扁桃体炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部异物'', ''咽部异物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部肿物'', ''咽部肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽鼓管阻塞'', ''咽鼓管阻塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉炎'', ''咽喉炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉异物'', ''咽喉异物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉疣'', ''咽喉疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟草依赖综合征'', ''烟草依赖综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部疾病'', ''眼部疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底出血'', ''眼底出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑痉挛'', ''眼睑痉挛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼角抽搐'', ''眼角抽搐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌肠炎'', ''厌氧菌肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌感染'', ''厌氧菌感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊水过少'', ''羊水过少'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背肌筋膜炎'', ''腰背肌筋膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰肌劳损'', ''腰肌劳损'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛病'', ''腰痛病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎病'', ''腰椎病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨关节炎'', ''腰椎骨关节炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨折'', ''腰椎骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎骨质增生'', ''腰椎骨质增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎关节强硬'', ''腰椎关节强硬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎管狭窄'', ''腰椎管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎管狭窄症'', ''腰椎管狭窄症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎滑脱'', ''腰椎滑脱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘变性'', ''腰椎间盘变性'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出伴脊髓病'', ''腰椎间盘突出伴脊髓病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘突出症'', ''腰椎间盘突出症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘退行性病变'', ''腰椎间盘退行性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘脱出伴脊髓炎'', ''腰椎间盘脱出伴脊髓炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘脱出伴坐骨神经痛'', ''腰椎间盘脱出伴坐骨神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬伤'', ''咬伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性骨质疏松'', ''药物性骨质疏松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物性皮炎'', ''药物性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药物中毒'', ''药物中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋臭'', ''腋臭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一氧化碳中毒'', ''一氧化碳中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''医源性气胸'', ''医源性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''医院获得性肺炎'', ''医院获得性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰头癌'', ''胰头癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺癌'', ''胰腺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺炎'', ''胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺占位性病变'', ''胰腺占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺肿瘤'', ''胰腺肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺肿物'', ''胰腺肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性大疱性表皮松懈症'', ''遗传性大疱性表皮松懈症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性心肌病'', ''遗传性心肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙醇中毒'', ''乙醇中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原携带者'', ''乙肝表面抗原携带者'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝病毒携带者'', ''乙肝病毒携带者'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型病毒性肝炎'', ''乙型病毒性肝炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎小三阳'', ''乙型肝炎小三阳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠癌'', ''乙状结肠癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠扭转'', ''乙状结肠扭转'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙状结肠息肉'', ''乙状结肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常体重减轻'', ''异常体重减轻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异常子宫出血'', ''异常子宫出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异位妊娠'', ''异位妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异位妊娠伴出血'', ''异位妊娠伴出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁发作'', ''抑郁发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁症'', ''抑郁症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁状态'', ''抑郁状态'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识丧失'', ''意识丧失'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢出性蛋白尿'', ''溢出性蛋白尿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翼状胬肉'', ''翼状胬肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道炎'', ''阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎癌'', ''阴茎癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊湿疹'', ''阴囊湿疹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿物'', ''阴囊肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑病'', ''银屑病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐翅虫皮炎'', ''隐翅虫皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐匿性肾小球肾炎'', ''隐匿性肾小球肾炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌肺炎'', ''隐球菌肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌性肺炎'', ''隐球菌性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐球菌性脑膜炎'', ''隐球菌性脑膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿型多囊肾'', ''婴儿型多囊肾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养不良'', ''营养不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性巨幼细胞性贫血'', ''营养性巨幼细胞性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性贫血'', ''营养性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养性消瘦'', ''营养性消瘦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜外血肿'', ''硬膜外血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜下出血'', ''硬膜下出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬膜下血肿'', ''硬膜下血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脑膜外血肿'', ''硬脑膜外血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门梗阻'', ''幽门梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门管溃疡'', ''幽门管溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺旋杆菌感染'', ''幽门螺旋杆菌感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疣'', ''疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疣状表皮发育不良'', ''疣状表皮发育不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心衰竭'', ''右心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幼年型粒单核细胞白血病'', ''幼年型粒单核细胞白血病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幼女性阴道炎'', ''幼女性阴道炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淤积性皮炎'', ''淤积性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼鳞病'', ''鱼鳞病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''预激综合征'', ''预激综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发型肺结核'', ''原发型肺结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性胆汁性肝硬化'', ''原发性胆汁性肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肺动脉高压'', ''原发性肺动脉高压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肺脓肿'', ''原发性肺脓肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性肝癌'', ''原发性肝癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性干燥综合征'', ''原发性干燥综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性高血压'', ''原发性高血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性喉癌'', ''原发性喉癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性甲状旁腺功能亢进症'', ''原发性甲状旁腺功能亢进症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性气胸'', ''原发性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性醛固酮增多症'', ''原发性醛固酮增多症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性三叉神经痛'', ''原发性三叉神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板减少症'', ''原发性血小板减少症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性血小板增多症'', ''原发性血小板增多症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性营养不良'', ''原发性营养不良'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性自发性气胸'', ''原发性自发性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原位黑色素瘤'', ''原位黑色素瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圆锥角膜'', ''圆锥角膜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''院内获得性呼吸道感染'', ''院内获得性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调'', ''月经失调'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥'', ''晕厥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕期胆汁淤积症'', ''孕期胆汁淤积症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动神经元病'', ''运动神经元病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动性哮喘'', ''运动性哮喘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''砸伤'', ''砸伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再生障碍性贫血'', ''再生障碍性贫血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早搏'', ''早搏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产'', ''早产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产儿'', ''早产儿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早产临产'', ''早产临产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增生型肠结核'', ''增生型肠结核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增殖性糖尿病性视网膜病变'', ''增殖性糖尿病性视网膜病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘连性肠梗阻'', ''粘连性肠梗阻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘连性肩关节囊炎'', ''粘连性肩关节囊炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液性水肿'', ''粘液性水肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张力性气胸'', ''张力性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨骨折'', ''掌骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌跖角化病'', ''掌跖角化病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性肺炎'', ''真菌性肺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌性呼吸道感染'', ''真菌性呼吸道感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性室上性心动过速'', ''阵发性室上性心动过速'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性心房颤动'', ''阵发性心房颤动'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''震颤'', ''震颤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正钾型周期性瘫痪'', ''正钾型周期性瘫痪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张伴感染'', ''支气管扩张伴感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张伴咯血'', ''支气管扩张伴咯血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管扩张症'', ''支气管扩张症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管狭窄'', ''支气管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管哮喘急性发作'', ''支气管哮喘急性发作'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体感染'', ''支原体感染'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体震颤'', ''肢体震颤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体肿物'', ''肢体肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪肝'', ''脂肪肝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪瘤'', ''脂肪瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性角化病'', ''脂溢性角化病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性皮炎'', ''脂溢性皮炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溢性脱发'', ''脂溢性脱发'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠癌'', ''直肠癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠癌术后'', ''直肠癌术后'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠静脉曲张破裂'', ''直肠静脉曲张破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠溃疡'', ''直肠溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠息肉'', ''直肠息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠炎'', ''直肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠乙状结肠炎'', ''直肠乙状结肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠肿瘤'', ''直肠肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠肿物'', ''直肠肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物神经功能紊乱'', ''植物神经功能紊乱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨骨折'', ''跖骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖疣'', ''跖疣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨骨折'', ''指骨骨折'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮'', ''痔疮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智齿异常'', ''智齿异常'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中毒'', ''中毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中毒性肠炎'', ''中毒性肠炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳炎'', ''中耳炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中浆病'', ''中浆病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中暑'', ''中暑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中心性浆液性脉络膜视网膜病变'', ''中心性浆液性脉络膜视网膜病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中心性浆液性视网膜病'', ''中心性浆液性视网膜病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤'', ''肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤待排'', ''肿瘤待排'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤特殊筛查'', ''肿瘤特殊筛查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重复肾'', ''重复肾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症肌无力'', ''重症肌无力'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重症中暑'', ''重症中暑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性瘫痪'', ''周期性瘫痪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经病'', ''周围神经病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经损伤'', ''周围神经损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围型肺癌'', ''周围型肺癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围性面神经麻痹'', ''周围性面神经麻痹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节痛'', ''肘关节痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘管综合征'', ''肘管综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛛网膜下腔出血'', ''蛛网膜下腔出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣关闭不全'', ''主动脉瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣及三尖瓣关闭不全'', ''主动脉瓣及三尖瓣关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣疾病'', ''主动脉瓣疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄'', ''主动脉瓣狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瓣狭窄合并关闭不全'', ''主动脉瓣狭窄合并关闭不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层'', ''主动脉夹层'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层壁间血肿'', ''主动脉夹层壁间血肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层动脉瘤'', ''主动脉夹层动脉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉夹层动脉瘤破裂'', ''主动脉夹层动脉瘤破裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉口狭窄'', ''主动脉口狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉溃疡'', ''主动脉溃疡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉瘤'', ''主动脉瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉缩窄'', ''主动脉缩窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉狭窄'', ''主动脉狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抓伤'', ''抓伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移性肝癌'', ''转移性肝癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''撞伤'', ''撞伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉狭窄'', ''椎动脉狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉压迫综合征'', ''椎动脉压迫综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎管内占位性病变'', ''椎管内占位性病变'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎管狭窄'', ''椎管狭窄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎基底动脉供血不足'', ''椎基底动脉供血不足'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘疾患'', ''椎间盘疾患'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘疾患性腰痛伴坐骨神经痛'', ''椎间盘疾患性腰痛伴坐骨神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘移位性脊髓神经根压迫'', ''椎间盘移位性脊髓神经根压迫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锥体外系综合征'', ''锥体外系综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫瘢痕妊娠'', ''子宫瘢痕妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫出血'', ''子宫出血'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫恶性肿瘤'', ''子宫恶性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫复旧不全'', ''子宫复旧不全'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肌瘤'', ''子宫肌瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫疾病'', ''子宫疾病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫角妊娠'', ''子宫角妊娠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮不典型增生'', ''子宫颈鳞状上皮不典型增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈鳞状上皮增生'', ''子宫颈鳞状上皮增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫颈赘生物'', ''子宫颈赘生物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫良性肿瘤'', ''子宫良性肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫囊肿'', ''子宫囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器残留'', ''子宫内节育器残留'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器断裂'', ''子宫内节育器断裂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器嵌顿'', ''子宫内节育器嵌顿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器脱落'', ''子宫内节育器脱落'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内节育器移位'', ''子宫内节育器移位'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜癌'', ''子宫内膜癌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜薄'', ''子宫内膜薄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜不典型增生'', ''子宫内膜不典型增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜非典型增生'', ''子宫内膜非典型增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜复杂性增生'', ''子宫内膜复杂性增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜瘤'', ''子宫内膜瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜囊肿'', ''子宫内膜囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜息肉'', ''子宫内膜息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜腺性增生'', ''子宫内膜腺性增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜炎'', ''子宫内膜炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜异位症'', ''子宫内膜异位症'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫内膜增生'', ''子宫内膜增生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫憩室'', ''子宫憩室'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫脱垂'', ''子宫脱垂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫息肉'', ''子宫息肉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腺肌病'', ''子宫腺肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫腺肌瘤'', ''子宫腺肌瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫粘连'', ''子宫粘连'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫粘膜下平滑肌瘤'', ''子宫粘膜下平滑肌瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肿瘤'', ''子宫肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫肿物'', ''子宫肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫纵隔'', ''子宫纵隔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宮腺肌病'', ''子宮腺肌病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子痫前期'', ''子痫前期'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性颅内低压'', ''自发性颅内低压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自发性气胸'', ''自发性气胸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自然流产'', ''自然流产'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性肝病'', ''自身免疫性肝病'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性肝硬化'', ''自身免疫性肝硬化'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性甲状腺炎'', ''自身免疫性甲状腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自身免疫性胰腺炎'', ''自身免疫性胰腺炎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵隔肿瘤'', ''纵隔肿瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵隔肿物'', ''纵隔肿物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足癣'', ''足癣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性肺气肿'', ''阻塞性肺气肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻塞性睡眠呼吸暂停综合征'', ''阻塞性睡眠呼吸暂停综合征'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻生牙'', ''阻生牙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左房粘液瘤'', ''左房粘液瘤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心衰竭'', ''左心衰竭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨结节囊肿'', ''坐骨结节囊肿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经损伤'', ''坐骨神经损伤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经痛'', ''坐骨神经痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''7'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12导联心电图'', ''12导联心电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''18导联心电图'', ''18导联心电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时动态血压'', ''24小时动态血压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区X线计算机体层(CT)平扫'', ''鞍区X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区X线计算机体层(CT)增强扫描'', ''鞍区X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区磁共振成像'', ''鞍区磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞍区磁共振增强成像'', ''鞍区磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部B超'', ''鼻部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部CT'', ''鼻部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部MRI'', ''鼻部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部X线'', ''鼻部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部鼻窦X线计算机体层(CT)平扫'', ''鼻部鼻窦X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部鼻窦X线计算机体层(CT)增强扫描'', ''鼻部鼻窦X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部彩超'', ''鼻部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部内镜'', ''鼻部内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻部造影检查'', ''鼻部造影检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻彩超'', ''鼻彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦磁共振成像'', ''鼻窦磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦磁共振增强成像'', ''鼻窦磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦镜'', ''鼻窦镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨B超'', ''鼻骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨CT'', ''鼻骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨MRI'', ''鼻骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨侧位X线摄影'', ''鼻骨侧位X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨侧位片'', ''鼻骨侧位片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻骨正位片'', ''鼻骨正位片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻平片'', ''鼻平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔B超'', ''鼻腔B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔CT'', ''鼻腔CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔MRI'', ''鼻腔MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔镜'', ''鼻腔镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部CT'', ''鼻咽部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽部MRI'', ''鼻咽部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽侧位X线摄影'', ''鼻咽侧位X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽磁共振成像'', ''鼻咽磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽磁共振增强成像'', ''鼻咽磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻咽镜'', ''鼻咽镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨CT'', ''髌骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髌骨MRI'', ''髌骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃体MRI'', ''玻璃体MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''彩色多普勒超声药物血管功能试验'', ''彩色多普勒超声药物血管功能试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''彩色室壁动力学检查'', ''彩色室壁动力学检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''残余尿测定'', ''残余尿测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠B超'', ''肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠CT'', ''肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠MRI'', ''肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠钡餐造影'', ''肠钡餐造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠彩超(CDFI)'', ''肠彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道镜'', ''肠道镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道镜（电子肠镜）'', ''肠道镜（电子肠镜）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠动静脉造影'', ''肠动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠动脉造影'', ''肠动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠套叠充气造影及整复'', ''肠套叠充气造影及整复'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜CT'', ''肠系膜CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜动脉造影'', ''肠系膜动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结B超'', ''肠系膜淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结MRI'', ''肠系膜淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结彩超(CDFI)'', ''肠系膜淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜淋巴结造影'', ''肠系膜淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜上下动脉彩色多普勒超声检查'', ''肠系膜上下动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠系膜血管造影'', ''肠系膜血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠造影'', ''肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声斑点跟踪成像'', ''超声斑点跟踪成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声图象计算机三维重建技术(3DE)'', ''超声图象计算机三维重建技术(3DE)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超声心动图'', ''超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超选择脑血管造影术'', ''超选择脑血管造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续心电监测'', ''持续心电监测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉MRI'', ''尺动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉彩超(CDFI)'', ''尺动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺动脉造影'', ''尺动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉MRI'', ''尺静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉彩超(CDFI)'', ''尺静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺静脉造影'', ''尺静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨CT'', ''尺桡骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨MRI'', ''尺桡骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尺桡骨X线摄影'', ''尺桡骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科X线计算机体层(CT)平扫'', ''齿科X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齿科X线计算机体层(CT)增强扫描'', ''齿科X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁B超检查'', ''床旁B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁X线摄影'', ''床旁X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁彩色多普勒超声检查'', ''床旁彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''床旁透视'', ''床旁透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纯音听阈测定'', ''纯音听阈测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振单脏器磁敏感加权成像'', ''磁共振单脏器磁敏感加权成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振单脏器弥散加权成像'', ''磁共振单脏器弥散加权成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振弥散张量成像'', ''磁共振弥散张量成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振器官体积测量'', ''磁共振器官体积测量'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振全身弥散加权成像'', ''磁共振全身弥散加权成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振三维导航定位'', ''磁共振三维导航定位'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振心脏功能评价'', ''磁共振心脏功能评价'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁共振增强三维导航定位'', ''磁共振增强三维导航定位'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠灌肠造影B超检查'', ''大肠灌肠造影B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑B超'', ''大脑B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑MRI'', ''大脑MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑TCD'', ''大脑TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑彩超'', ''大脑彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑脑磁图'', ''大脑脑磁图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑脑电图'', ''大脑脑电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑平片'', ''大脑平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑睡眠脑电图'', ''大脑睡眠脑电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大脑造影'', ''大脑造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿CT'', ''大腿CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿MRI'', ''大腿MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿X线计算机体层(CT)平扫'', ''大腿X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿X线计算机体层(CT)增强扫描'', ''大腿X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿磁共振成像'', ''大腿磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿磁共振增强成像'', ''大腿磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉MRI'', ''大隐静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉彩超(CDFI)'', ''大隐静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大隐静脉造影'', ''大隐静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器薄层扫描'', ''单脏器薄层扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器磁共振动态增强成像'', ''单脏器磁共振动态增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器单体素磁共振波谱分析'', ''单脏器单体素磁共振波谱分析'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器多体素磁共振波谱分析'', ''单脏器多体素磁共振波谱分析'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灌注成像'', ''单脏器灌注成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灌注磁共振成像'', ''单脏器灌注磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单脏器灰阶立体成像'', ''单脏器灰阶立体成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道MRI'', ''胆道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道MRICP'', ''胆道MRICP'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道彩超'', ''胆道彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道平片'', ''胆道平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆道造影'', ''胆道造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管B超'', ''胆管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆管CT'', ''胆管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊B超'', ''胆囊B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊CT'', ''胆囊CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊MRI'', ''胆囊MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊彩超(CDFI)'', ''胆囊彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊超声造影'', ''胆囊超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊胆道收缩功能B超检查'', ''胆囊胆道收缩功能B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管B超'', ''胆胰管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管CT'', ''胆胰管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管MRI'', ''胆胰管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管彩超(CDFI)'', ''胆胰管彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆胰管超声造影'', ''胆胰管超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节CT'', ''骶髂关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节MRI'', ''骶髂关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线计算机体层(CT)平扫'', ''骶髂关节X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线计算机体层(CT)增强扫描'', ''骶髂关节X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节X线摄影'', ''骶髂关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节磁共振成像'', ''骶髂关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节磁共振增强成像'', ''骶髂关节磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶髂关节关节镜'', ''骶髂关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部X线计算机体层(CT)平扫'', ''骶尾部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶尾部X线计算机体层(CT)增强扫描'', ''骶尾部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶椎CT'', ''骶椎CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骶椎MRI'', ''骶椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电测听'', ''电测听'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电子小肠镜'', ''电子小肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''电子直肠镜'', ''电子直肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍B超'', ''蝶鞍B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍CT'', ''蝶鞍CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍MRI'', ''蝶鞍MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍TCD'', ''蝶鞍TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍彩超'', ''蝶鞍彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍平片'', ''蝶鞍平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶鞍造影'', ''蝶鞍造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦B超'', ''蝶窦B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦MRI'', ''蝶窦MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦彩超'', ''蝶窦彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦平片'', ''蝶窦平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蝶窦造影'', ''蝶窦造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动静脉造影'', ''动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动态心电图'', ''动态心电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窦道瘘管X线造影'', ''窦道瘘管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒踝臂指数测定'', ''多普勒踝臂指数测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒脑血流图'', ''多普勒脑血流图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒胎心记数'', ''多普勒胎心记数'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒小儿血压检测'', ''多普勒小儿血压检测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多普勒眼部血流图'', ''多普勒眼部血流图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦B超'', ''额窦B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额窦MRI'', ''额窦MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部CT'', ''耳部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部MRI'', ''耳部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部x线'', ''耳部x线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部X线计算机体层(CT)平扫'', ''耳部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳部X线计算机体层(CT)增强扫描'', ''耳部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内镜'', ''耳内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳声发射'', ''耳声发射'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''房水MRI'', ''房水MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉MRI'', ''腓静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉彩超(CDFI)'', ''腓静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腓静脉造影'', ''腓静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺B超'', ''肺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺MRI'', ''肺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺彩超'', ''肺彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动静脉造影'', ''肺动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉CT三维成像'', ''肺动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉磁共振血管增强成像'', ''肺动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉漂浮导管'', ''肺动脉漂浮导管'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺动脉造影'', ''肺动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺功能'', ''肺功能'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺静脉CT三维成像'', ''肺静脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺静脉造影'', ''肺静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气管镜'', ''肺气管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺小结节CT三维成像'', ''肺小结节CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺造影'', ''肺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''负荷超声心动图'', ''负荷超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''负荷心电图'', ''负荷心电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科内镜'', ''妇科内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾B超'', ''附睾B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾CT'', ''附睾CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾MRI'', ''附睾MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾彩超(CDFI)'', ''附睾彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦B超'', ''副鼻窦B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦CT'', ''副鼻窦CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦MRI'', ''副鼻窦MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副鼻窦X线摄影'', ''副鼻窦X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁B超'', ''腹壁B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁CT'', ''腹壁CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁MRI'', ''腹壁MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁彩超'', ''腹壁彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁平片'', ''腹壁平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹壁造影'', ''腹壁造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部X线'', ''腹部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部X线摄影'', ''腹部X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部彩超'', ''腹部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部穿刺'', ''腹部穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部动静脉造影'', ''腹部动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部静脉尿路造影'', ''腹部静脉尿路造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部尿路X线摄影(KUB)'', ''腹部尿路X线摄影(KUB)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平片'', ''腹部平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部透视'', ''腹部透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管B超'', ''腹部血管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管CT'', ''腹部血管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管MRI'', ''腹部血管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管彩超'', ''腹部血管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部血管造影'', ''腹部血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部造影'', ''腹部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟B超'', ''腹股沟B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟CT'', ''腹股沟CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟MRI'', ''腹股沟MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟彩超'', ''腹股沟彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟彩超(CDFI)'', ''腹股沟彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟超声造影'', ''腹股沟超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结B超'', ''腹股沟淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结B超检查'', ''腹股沟淋巴结B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结MRI'', ''腹股沟淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结彩超(CDFI)'', ''腹股沟淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结彩色多普勒超声检查'', ''腹股沟淋巴结彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟淋巴结造影'', ''腹股沟淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后B超'', ''腹膜后B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后B超检查'', ''腹膜后B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后CT'', ''腹膜后CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后MRI'', ''腹膜后MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后彩超(CDFI)'', ''腹膜后彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜后彩色多普勒超声检查'', ''腹膜后彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔B超'', ''腹腔B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔MRI'', ''腹腔MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔彩超'', ''腹腔彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔穿刺'', ''腹腔穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔动脉彩色多普勒超声检查'', ''腹腔动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液B超检查'', ''腹腔积液B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液彩超'', ''腹腔积液彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔镜'', ''腹腔镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔造影'', ''腹腔造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉彩色多普勒超声检查'', ''腹主动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹主动脉磁共振血管增强成像'', ''腹主动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆胰脾B超检查'', ''肝胆胰脾B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝胆胰脾彩色多普勒超声检查'', ''肝胆胰脾彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝静脉彩色多普勒超声检查'', ''肝静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏B超'', ''肝脏B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏CT'', ''肝脏CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏MRI'', ''肝脏MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏彩超(CDFI)'', ''肝脏彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏超声造影'', ''肝脏超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏穿刺'', ''肝脏穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏动静脉造影'', ''肝脏动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝脏动脉造影'', ''肝脏动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠B超'', ''肛肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠CT'', ''肛肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠MRI'', ''肛肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠彩超'', ''肛肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠平片'', ''肛肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛肠造影'', ''肛肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸B超'', ''睾丸B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸CT'', ''睾丸CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸MRI'', ''睾丸MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸彩超(CDFI)'', ''睾丸彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨CT'', ''跟骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨MRI'', ''跟骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跟骨X线摄影'', ''跟骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉MRI'', ''肱动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉彩超(CDFI)'', ''肱动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱动脉造影'', ''肱动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨CT'', ''肱骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨MRI'', ''肱骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱骨X线摄影'', ''肱骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉MRI'', ''肱静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉彩超(CDFI)'', ''肱静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肱静脉造影'', ''肱静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈CT'', ''宫颈CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈MRI'', ''宫颈MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔彩色多普勒声学造影检查'', ''宫腔彩色多普勒声学造影检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫腔输卵管B超造影检查'', ''宫腔输卵管B超造影检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉MRI'', ''股动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉彩超(CDFI)'', ''股动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股动脉造影'', ''股动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨CT'', ''股骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨MRI'', ''股骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股骨X线摄影'', ''股骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉MRI'', ''股静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉彩超(CDFI)'', ''股静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''股静脉造影'', ''股静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨龄相X线摄影'', ''骨龄相X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆CT'', ''骨盆CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆MRI'', ''骨盆MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆X线摄影'', ''骨盆X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆部X线计算机体层(CT)平扫'', ''骨盆部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆部X线计算机体层(CT)增强扫描'', ''骨盆部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆平片'', ''骨盆平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨盆造影'', ''骨盆造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓穿刺'', ''骨髓穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节B超检查'', ''关节B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节彩色多普勒超声检查'', ''关节彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节镜'', ''关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节造影'', ''关节造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉CT'', ''冠脉CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉MRI'', ''冠脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉磁共振成像'', ''冠脉磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉光学相干成像'', ''冠脉光学相干成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉造影'', ''冠脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠状动脉CT三维成像'', ''冠状动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉MRI'', ''贵要静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉彩超(CDFI)'', ''贵要静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贵要静脉造影'', ''贵要静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉MRI'', ''腘动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉彩超(CDFI)'', ''腘动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘动脉造影'', ''腘动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉MRI'', ''腘静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉彩超(CDFI)'', ''腘静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腘静脉造影'', ''腘静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马磁共振成像'', ''海马磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦磁共振成像'', ''海绵窦磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海绵窦磁共振增强成像'', ''海绵窦磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核素肺显像'', ''核素肺显像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核素心肌显像'', ''核素心肌显像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌面部造影'', ''颌面部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺B超'', ''颌下腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺CT'', ''颌下腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺MRI'', ''颌下腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌下腺彩超(CDFI)'', ''颌下腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉CT'', ''喉CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉MRI'', ''喉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉电图'', ''喉电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉镜'', ''喉镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉声图'', ''喉声图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结B超'', ''后腹膜淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结MRI'', ''后腹膜淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结彩超(CDFI)'', ''后腹膜淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后腹膜淋巴结造影'', ''后腹膜淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝部CT'', ''踝部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝部MRI'', ''踝部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节MRI'', ''踝关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节X线摄影'', ''踝关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节磁共振成像'', ''踝关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节磁共振增强成像'', ''踝关节磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝关节关节镜'', ''踝关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠B超'', ''回肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠CT'', ''回肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠MRI'', ''回肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠彩超'', ''回肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠平片'', ''回肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回肠造影'', ''回肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌电图'', ''肌电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊神经神经电图'', ''脊神经神经电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓B超'', ''脊髓B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓CT'', ''脊髓CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓MRI'', ''脊髓MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓彩超'', ''脊髓彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓磁共振水成像(MRM)'', ''脊髓磁共振水成像(MRM)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓平片'', ''脊髓平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓造影'', ''脊髓造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱B超'', ''脊柱B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱CT'', ''脊柱CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱MRI'', ''脊柱MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱X线'', ''脊柱X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱彩超'', ''脊柱彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊椎穿刺'', ''脊椎穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺B超'', ''甲状旁腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺CT'', ''甲状旁腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺MRI'', ''甲状旁腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺彩超(CDFI)'', ''甲状旁腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺功能显像'', ''甲状旁腺功能显像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺B超'', ''甲状腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺B超检查'', ''甲状腺B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺CT'', ''甲状腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺MRI'', ''甲状腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺彩超(CDFI)'', ''甲状腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺彩色多普勒超声检查'', ''甲状腺彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺超声造影'', ''甲状腺超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能显像'', ''甲状腺功能显像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺吸碘功能试验'', ''甲状腺吸碘功能试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部CT'', ''肩部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩部MRI'', ''肩部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节CT'', ''肩关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节MRI'', ''肩关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节X线摄影'', ''肩关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节磁共振成像'', ''肩关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节磁共振增强成像'', ''肩关节磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节关节镜'', ''肩关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨CT'', ''肩胛骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨MRI'', ''肩胛骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛骨X线摄影'', ''肩胛骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩锁关节X线摄影'', ''肩锁关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜MRI'', ''角膜MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠B超'', ''结肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠CT'', ''结肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠CT三维成像'', ''结肠CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠MRI'', ''结肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠X线造影'', ''结肠X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠钡剂灌肠'', ''结肠钡剂灌肠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠彩超'', ''结肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠彩超(CDFI)'', ''结肠彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠镜'', ''结肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠镜（电子结肠镜）'', ''结肠镜（电子结肠镜）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠平片'', ''结肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠造影'', ''结肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突B超'', ''茎突B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突CT'', ''茎突CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突MRI'', ''茎突MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突X线摄影'', ''茎突X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突彩超'', ''茎突彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突平片'', ''茎突平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茎突造影'', ''茎突造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经T管胆道X线造影'', ''经T管胆道X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经电子内镜逆行胰胆管造影术(ERCP)'', ''经电子内镜逆行胰胆管造影术(ERCP)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部妇科B超检查'', ''经腹部妇科B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部妇科彩色多普勒超声检查'', ''经腹部妇科彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经腹部胎儿常规B超检查'', ''经腹部胎儿常规B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅彩色多普勒超声'', ''经颅彩色多普勒超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒CO2吸入试验'', ''经颅多普勒CO2吸入试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声动脉栓子监测'', ''经颅多普勒超声动脉栓子监测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声动脉压迫试验'', ''经颅多普勒超声动脉压迫试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声发泡试验'', ''经颅多普勒超声发泡试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒超声检查'', ''经颅多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒法卵圆孔未闭鉴别检查'', ''经颅多普勒法卵圆孔未闭鉴别检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经颅多普勒卧立位试验'', ''经颅多普勒卧立位试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管超选择性肝动脉造影术'', ''经皮穿刺插管超选择性肝动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管冠状动脉造影术'', ''经皮穿刺插管冠状动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管间接门静脉造影术'', ''经皮穿刺插管间接门静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管脑血管造影术'', ''经皮穿刺插管脑血管造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管上腔静脉造影术'', ''经皮穿刺插管上腔静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管上肢静脉造影术'', ''经皮穿刺插管上肢静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管下腔静脉造影术'', ''经皮穿刺插管下腔静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管性腺静脉造影术'', ''经皮穿刺插管性腺静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肠系膜上动脉造影术'', ''经皮穿刺插管选择性肠系膜上动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肠系膜下动脉造影术'', ''经皮穿刺插管选择性肠系膜下动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性腹腔动脉干造影术'', ''经皮穿刺插管选择性腹腔动脉干造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肝动脉造影术'', ''经皮穿刺插管选择性肝动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肝静脉造影术'', ''经皮穿刺插管选择性肝静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肋间动脉造影术'', ''经皮穿刺插管选择性肋间动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性脾动脉造影术'', ''经皮穿刺插管选择性脾动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性髂内动脉造影术'', ''经皮穿刺插管选择性髂内动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性上肢动脉造影术'', ''经皮穿刺插管选择性上肢动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾动脉造影术'', ''经皮穿刺插管选择性肾动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾静脉造影术'', ''经皮穿刺插管选择性肾静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性肾上腺动脉造影术'', ''经皮穿刺插管选择性肾上腺动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性锁骨下动脉造影术'', ''经皮穿刺插管选择性锁骨下动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胃十二指肠动脉造影术'', ''经皮穿刺插管选择性胃十二指肠动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胃左动脉造影术'', ''经皮穿刺插管选择性胃左动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性下肢动脉造影术'', ''经皮穿刺插管选择性下肢动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性胸廓内动脉造影术'', ''经皮穿刺插管选择性胸廓内动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性支气管动脉造影术'', ''经皮穿刺插管选择性支气管动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管选择性子宫动脉造影术'', ''经皮穿刺插管选择性子宫动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管右心室造影术'', ''经皮穿刺插管右心室造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管主动脉造影术'', ''经皮穿刺插管主动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺插管左心室造影术'', ''经皮穿刺插管左心室造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺股动脉插管全脑血管造影术'', ''经皮穿刺股动脉插管全脑血管造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺桡动脉插管全脑血管造影术'', ''经皮穿刺桡动脉插管全脑血管造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺输精管X线造影'', ''经皮穿刺输精管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮穿刺下肢静脉造影术'', ''经皮穿刺下肢静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经肝穿刺胆管造影术'', ''经皮经肝穿刺胆管造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经肝穿刺门静脉造影术'', ''经皮经肝穿刺门静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮经脾穿刺门静脉造影术'', ''经皮经脾穿刺门静脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮选择性腰动脉造影术'', ''经皮选择性腰动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经皮选择性主动脉造影术'', ''经皮选择性主动脉造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食道超声心动图'', ''经食道超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食管彩色超声心动图检查'', ''经食管彩色超声心动图检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经食管实时三维超声心动图检查'', ''经食管实时三维超声心动图检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经纤维内镜逆行胰胆管造影术(ERCP)'', ''经纤维内镜逆行胰胆管造影术(ERCP)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经胸实时三维超声心动图检查'', ''经胸实时三维超声心动图检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道彩色多普勒超声检查'', ''经阴道彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道妇科B超检查'', ''经阴道妇科B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经阴道子宫输卵管造影'', ''经阴道子宫输卵管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经直肠B超常规检查'', ''经直肠B超常规检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经直肠彩色多普勒超声检查'', ''经直肠彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晶状体MRI'', ''晶状体MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺B超'', ''精囊腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺CT'', ''精囊腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺MRI'', ''精囊腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺彩超(CDFI)'', ''精囊腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精囊腺造影'', ''精囊腺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉B超'', ''精索静脉B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉CT'', ''精索静脉CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉MRI'', ''精索静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精索静脉彩超(CDFI)'', ''精索静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部B超'', ''颈部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部CT'', ''颈部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MRI'', ''颈部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部MRIA'', ''颈部MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线'', ''颈部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线计算机体层(CT)平扫'', ''颈部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部X线计算机体层(CT)增强扫描'', ''颈部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部彩超'', ''颈部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部彩超(CDFI)'', ''颈部彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部磁共振成像'', ''颈部磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部磁共振增强成像'', ''颈部磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部动静脉造影'', ''颈部动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结B超'', ''颈部淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结MRI'', ''颈部淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结彩超(CDFI)'', ''颈部淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部淋巴结造影'', ''颈部淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管CT'', ''颈部气管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管MRI'', ''颈部气管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管碘游造影'', ''颈部气管碘游造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部气管气管镜'', ''颈部气管气管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织B超'', ''颈部软组织B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织MRI'', ''颈部软组织MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织彩超'', ''颈部软组织彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织平片'', ''颈部软组织平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部软组织造影'', ''颈部软组织造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部透视'', ''颈部透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管B超'', ''颈部血管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管CT'', ''颈部血管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管MRI'', ''颈部血管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管彩超'', ''颈部血管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管平片'', ''颈部血管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部血管造影'', ''颈部血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部造影'', ''颈部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动静脉MRI'', ''颈动静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动静脉彩超'', ''颈动静脉彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉CT三维成像'', ''颈动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉MRI'', ''颈动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉彩超(CDFI)'', ''颈动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉彩色多普勒超声检查'', ''颈动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉磁共振血管增强成像'', ''颈动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈动脉造影'', ''颈动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉MRI'', ''颈静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉彩超(CDFI)'', ''颈静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉彩色多普勒超声检查'', ''颈静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈静脉造影'', ''颈静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉B超'', ''颈内静脉B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉MRI'', ''颈内静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉彩超'', ''颈内静脉彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈内静脉造影'', ''颈内静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉B超'', ''颈外静脉B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉MRI'', ''颈外静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉彩超'', ''颈外静脉彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈外静脉造影'', ''颈外静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎CT'', ''颈椎CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎MRI'', ''颈椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线计算机体层(CT)平扫'', ''颈椎X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线计算机体层(CT)增强扫描'', ''颈椎X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎X线摄影'', ''颈椎X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎穿刺脊髓X线造影'', ''颈椎穿刺脊髓X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎磁共振成像'', ''颈椎磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎磁共振增强成像'', ''颈椎磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎间盘X线造影'', ''颈椎间盘X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈椎神经根X线造影'', ''颈椎神经根X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨CT'', ''胫腓骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨MRI'', ''胫腓骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫腓骨X线摄影'', ''胫腓骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉MRI'', ''胫后动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉彩超(CDFI)'', ''胫后动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后动脉造影'', ''胫后动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉MRI'', ''胫后静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉彩超(CDFI)'', ''胫后静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫后静脉造影'', ''胫后静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉MRI'', ''胫前动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉彩超(CDFI)'', ''胫前动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前动脉造影'', ''胫前动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉MRI'', ''胫前静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉彩超(CDFI)'', ''胫前静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胫前静脉造影'', ''胫前静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉肾盂X线造影'', ''静脉肾盂X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''静脉肾盂造影'', ''静脉肾盂造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可疑胎儿异常的产前彩色多普勒超声诊断'', ''可疑胎儿异常的产前彩色多普勒超声诊断'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠B超'', ''空肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠CT'', ''空肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠MRI'', ''空肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠彩超'', ''空肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠平片'', ''空肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠造影'', ''空肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔B超'', ''口腔B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔CT'', ''口腔CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔MRI'', ''口腔MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔彩超'', ''口腔彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔平片'', ''口腔平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔曲面体层摄影'', ''口腔曲面体层摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔造影'', ''口腔造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口咽部MRI'', ''口咽部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部CT'', ''髋部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部MRI'', ''髋部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部X线计算机体层(CT)平扫'', ''髋部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋部X线计算机体层(CT)平扫增强扫描'', ''髋部X线计算机体层(CT)平扫增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节CT'', ''髋关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节MRI'', ''髋关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节X线摄影'', ''髋关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髋关节关节镜'', ''髋关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶磁共振成像'', ''眶磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眶磁共振增强成像'', ''眶磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾B超'', ''阑尾B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾CT'', ''阑尾CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾MRI'', ''阑尾MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾彩超(CDFI)'', ''阑尾彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾平片'', ''阑尾平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阑尾造影'', ''阑尾造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨CT'', ''肋骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨MRI'', ''肋骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋骨X线摄影'', ''肋骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪道X线造影'', ''泪道X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作C/U形臂引导'', ''临床操作C/U形臂引导'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作X线透视引导'', ''临床操作X线透视引导'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作磁共振引导'', ''临床操作磁共振引导'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''临床操作数字减影(DSA)引导'', ''临床操作数字减影(DSA)引导'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结造影'', ''淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底B超'', ''颅底B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底MRI'', ''颅底MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底TCD'', ''颅底TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底部CT'', ''颅底部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底彩超'', ''颅底彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底磁共振成像'', ''颅底磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底磁共振增强成像'', ''颅底磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底平片'', ''颅底平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅底造影'', ''颅底造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨CT'', ''颅顶骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MRI'', ''颅顶骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨MRIA'', ''颅顶骨MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅顶骨透视'', ''颅顶骨透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨B超'', ''颅骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨CT'', ''颅骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨MRI'', ''颅骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨彩超'', ''颅骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨平片'', ''颅骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅骨造影'', ''颅骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑CT'', ''颅脑CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑DSA'', ''颅脑DSA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑MRI'', ''颅脑MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑MRIA'', ''颅脑MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑磁共振成像'', ''颅脑磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑造影'', ''颅脑造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅内动脉CT三维成像'', ''颅内动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢B超'', ''卵巢B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢CT'', ''卵巢CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢MRI'', ''卵巢MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢彩超'', ''卵巢彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵巢造影'', ''卵巢造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠B超'', ''盲肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠MRI'', ''盲肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠彩超'', ''盲肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盲肠造影'', ''盲肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统CT三维成像'', ''门脉系统CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门脉系统彩色多普勒超声检查'', ''门脉系统彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系B超检查'', ''泌尿系B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系彩色多普勒超声检查'', ''泌尿系彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系内镜'', ''泌尿系内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系逆行X线造影'', ''泌尿系逆行X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统B超'', ''泌尿系统B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统CT'', ''泌尿系统CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统MRI'', ''泌尿系统MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统彩超'', ''泌尿系统彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统磁共振水成像(MRU)'', ''泌尿系统磁共振水成像(MRU)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌尿系统造影'', ''泌尿系统造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部B超'', ''面颅部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部CT'', ''面颅部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部MRI'', ''面颅部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部X线'', ''面颅部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅部彩超'', ''面颅部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨B超'', ''面颅骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨CT'', ''面颅骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨MRI'', ''面颅骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨X线'', ''面颅骨X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨彩超'', ''面颅骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨平片'', ''面颅骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面颅骨造影'', ''面颅骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官B超'', ''男性器官B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官CT'', ''男性器官CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官MRI'', ''男性器官MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官X线'', ''男性器官X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官彩超'', ''男性器官彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官平片'', ''男性器官平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性器官造影'', ''男性器官造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性生殖系统彩色多普勒超声检查'', ''男性生殖系统彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体B超'', ''脑垂体B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体CT'', ''脑垂体CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体MRI'', ''脑垂体MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体TCD'', ''脑垂体TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体彩超'', ''脑垂体彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体平片'', ''脑垂体平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑垂体造影'', ''脑垂体造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑磁图'', ''脑磁图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑电图'', ''脑电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干B超'', ''脑干B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干CT'', ''脑干CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干MRI'', ''脑干MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干TCD'', ''脑干TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干彩超'', ''脑干彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干平片'', ''脑干平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑干造影'', ''脑干造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑功能磁共振成像'', ''脑功能磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑静脉+静脉窦造影术'', ''脑静脉+静脉窦造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑神经脑磁图'', ''脑神经脑磁图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑神经神经电图'', ''脑神经神经电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑室引流通畅性彩色多普勒超声检查'', ''脑室引流通畅性彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管B超'', ''脑血管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管CT'', ''脑血管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管DSA'', ''脑血管DSA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管MRI'', ''脑血管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管TCD'', ''脑血管TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管彩超'', ''脑血管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管平片'', ''脑血管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管造影'', ''脑血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳内镜'', ''内耳内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内分泌器官造影'', ''内分泌器官造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道CT'', ''内听道CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道MRI'', ''内听道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道x线'', ''内听道x线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道磁共振成像'', ''内听道磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道磁共振增强成像'', ''内听道磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内听道内镜'', ''内听道内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''22999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道B超'', ''尿道B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道CT'', ''尿道CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道MRI'', ''尿道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道彩超(CDFI)'', ''尿道彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道镜'', ''尿道镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道逆行X线造影'', ''尿道逆行X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道造影'', ''尿道造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路CT'', ''尿路CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿路平片'', ''尿路平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨B超'', ''颞骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨CT'', ''颞骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨MRI'', ''颞骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨TCD'', ''颞骨TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨彩超'', ''颞骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨平片'', ''颞骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞骨造影'', ''颞骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节B超'', ''颞颌关节B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节CT'', ''颞颌关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节MRI'', ''颞颌关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节X线摄影'', ''颞颌关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节彩超'', ''颞颌关节彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节平片'', ''颞颌关节平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞颌关节造影'', ''颞颌关节造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节X线造影'', ''颞下颌关节X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞下颌关节磁共振成像'', ''颞下颌关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官MRI'', ''女性器官MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官彩超'', ''女性器官彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官平片'', ''女性器官平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性器官造影'', ''女性器官造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统B超'', ''女性生殖系统B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统CT'', ''女性生殖系统CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统MRI'', ''女性生殖系统MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统X线'', ''女性生殖系统X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性生殖系统彩超'', ''女性生殖系统彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排泄性尿道X线造影'', ''排泄性尿道X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱B超'', ''膀胱B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱CT'', ''膀胱CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱MRI'', ''膀胱MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱彩超(CDFI)'', ''膀胱彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱残余尿量B超测定'', ''膀胱残余尿量B超测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱静脉肾盂造影'', ''膀胱静脉肾盂造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱镜'', ''膀胱镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱逆行X线造影'', ''膀胱逆行X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膀胱造影'', ''膀胱造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎B超'', ''胚胎B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚胎彩超(CDFI)'', ''胚胎彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部B超'', ''盆部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部CT'', ''盆部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部MRI'', ''盆部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部彩超'', ''盆部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部平片'', ''盆部平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部透视'', ''盆部透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆部造影'', ''盆部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔B超'', ''盆腔B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔CT'', ''盆腔CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔MRI'', ''盆腔MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔X线计算机体层(CT)平扫'', ''盆腔X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔X线计算机体层(CT)增强扫描'', ''盆腔X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔彩超(CDFI)'', ''盆腔彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔磁共振成像'', ''盆腔磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔磁共振增强成像'', ''盆腔磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔动脉CT三维成像'', ''盆腔动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔镜'', ''盆腔镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结B超'', ''盆腔淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结MRI'', ''盆腔淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结彩超(CDFI)'', ''盆腔淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔淋巴结造影'', ''盆腔淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆腔造影'', ''盆腔造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏B超'', ''脾脏B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏CT'', ''脾脏CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏MRI'', ''脾脏MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏彩超(CDFI)'', ''脾脏彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾脏超声造影'', ''脾脏超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通二维超声心动图'', ''普通二维超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普通心脏M型超声检查'', ''普通心脏M型超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管B超'', ''气管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管CT'', ''气管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管MRI'', ''气管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管内镜'', ''气管内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管平片'', ''气管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管树CT三维成像'', ''气管树CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管相X线摄影'', ''气管相X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气管支气管镜'', ''气管支气管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂动脉彩色多普勒超声检查'', ''髂动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髂静脉彩色多普勒超声检查'', ''髂静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂CT'', ''前臂CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂MRI'', ''前臂MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂X线计算机体层(CT)平扫'', ''前臂X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂X线计算机体层(CT)增强扫描'', ''前臂X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂磁共振成像'', ''前臂磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂磁共振增强成像'', ''前臂磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺B超'', ''前列腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺CT'', ''前列腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺MRI'', ''前列腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺彩超(CDFI)'', ''前列腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺磁共振成像'', ''前列腺磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺造影'', ''前列腺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''球后血管彩色多普勒超声检查'', ''球后血管彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全方位心脏M型超声检查'', ''全方位心脏M型超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全脊柱X线计算机体层(CT)平扫'', ''全脊柱X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全脊柱X线计算机体层(CT)增强扫描'', ''全脊柱X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全消化道造影'', ''全消化道造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓CT'', ''颧弓CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MRI'', ''颧弓MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓MRIA'', ''颧弓MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颧弓X线摄影'', ''颧弓X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉MRI'', ''桡动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉彩超(CDFI)'', ''桡动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡动脉造影'', ''桡动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉MRI'', ''桡静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉彩超(CDFI)'', ''桡静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桡静脉造影'', ''桡静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突CT'', ''乳突CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突MRI'', ''乳突MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突X线摄影'', ''乳突X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳突平片'', ''乳突平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺B超'', ''乳腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺B超检查'', ''乳腺B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺CT'', ''乳腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺MRI'', ''乳腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺X线摄影'', ''乳腺X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺彩超(CDFI)'', ''乳腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺彩色多普勒超声检查'', ''乳腺彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺磁共振成像'', ''乳腺磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺导管X线造影'', ''乳腺导管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺钼靶'', ''乳腺钼靶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结B超'', ''乳腺前哨淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结CT'', ''乳腺前哨淋巴结CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结MRI'', ''乳腺前哨淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结彩超(CDFI)'', ''乳腺前哨淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺前哨淋巴结造影'', ''乳腺前哨淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳腺造影'', ''乳腺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺B超'', ''腮腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺CT'', ''腮腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺MRI'', ''腮腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腮腺彩超(CDFI)'', ''腮腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦B超'', ''筛窦B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦MRI'', ''筛窦MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦彩超'', ''筛窦彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦平片'', ''筛窦平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筛窦造影'', ''筛窦造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂CT'', ''上臂CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂MRI'', ''上臂MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂X线计算机体层(CT)平扫'', ''上臂X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂X线计算机体层(CT)增强扫描'', ''上臂X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂磁共振成像'', ''上臂磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上臂磁共振增强成像'', ''上臂磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上额窦MRI'', ''上额窦MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部X线计算机体层(CT)平扫'', ''上腹部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部X线计算机体层(CT)增强扫描'', ''上腹部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部磁共振成像'', ''上腹部磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部磁共振增强成像'', ''上腹部磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部动脉CT三维成像'', ''上腹部动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部X线计算机体层(CT)平扫'', ''上颌部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌部X线计算机体层(CT)增强扫描'', ''上颌部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌窦B超'', ''上颌窦B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨B超'', ''上颌骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨CT'', ''上颌骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨MRI'', ''上颌骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨彩超'', ''上颌骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨平片'', ''上颌骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颌骨造影'', ''上颌骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部B超'', ''上颈部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MRI'', ''上颈部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部MRIA'', ''上颈部MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上颈部彩超(CDFI)'', ''上颈部彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上消化道X线造影'', ''上消化道X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢B超'', ''上肢B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢CT'', ''上肢CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢MRI'', ''上肢MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢X线'', ''上肢X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢彩超'', ''上肢彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉CT三维成像'', ''上肢动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢动脉彩色多普勒超声检查'', ''上肢动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢多普勒血流图'', ''上肢多普勒血流图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨B超'', ''上肢骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨MRI'', ''上肢骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨彩超'', ''上肢骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨平片'', ''上肢骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢骨造影'', ''上肢骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节B超'', ''上肢关节B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节CT'', ''上肢关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节MRI'', ''上肢关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节彩超'', ''上肢关节彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节平片'', ''上肢关节平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢关节造影'', ''上肢关节造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢肌肉肌电图'', ''上肢肌肉肌电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢静脉切开造影术'', ''上肢静脉切开造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢平片'', ''上肢平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢浅静脉彩色多普勒超声检查'', ''上肢浅静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢深静脉彩色多普勒超声检查'', ''上肢深静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢造影'', ''上肢造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨B超'', ''舌骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨CT'', ''舌骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨MRI'', ''舌骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨彩超'', ''舌骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨平片'', ''舌骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌骨造影'', ''舌骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下神经孔X线摄影'', ''舌下神经孔X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺B超'', ''舌下腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺CT'', ''舌下腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺MRI'', ''舌下腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺彩超'', ''舌下腺彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺平片'', ''舌下腺平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌下腺造影'', ''舌下腺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经电图'', ''神经电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾穿刺'', ''肾穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺B超'', ''肾上腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺B超检查'', ''肾上腺B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺CT'', ''肾上腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺MRI'', ''肾上腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺X线计算机体层(CT)平扫'', ''肾上腺X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺X线计算机体层(CT)增强扫描'', ''肾上腺X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺彩超(CDFI)'', ''肾上腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺彩色多普勒超声检查'', ''肾上腺彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺超声造影'', ''肾上腺超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺磁共振成像'', ''肾上腺磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺磁共振增强成像'', ''肾上腺磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾盂造影'', ''肾盂造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏B超'', ''肾脏B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏CT'', ''肾脏CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏MRI'', ''肾脏MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏彩超(CDFI)'', ''肾脏彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏超声造影'', ''肾脏超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏静脉肾盂造影'', ''肾脏静脉肾盂造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏肾镜'', ''肾脏肾镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾脏造影'', ''肾脏造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声导抗测听'', ''声导抗测听'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠B超'', ''十二指肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠CT'', ''十二指肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠MRI'', ''十二指肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠钡餐造影'', ''十二指肠钡餐造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠彩超'', ''十二指肠彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠肠镜'', ''十二指肠肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠平片'', ''十二指肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠胃镜'', ''十二指肠胃镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠血管造影'', ''十二指肠血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十二指肠造影'', ''十二指肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道CT'', ''食道CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道MRI'', ''食道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食道食管镜'', ''食道食管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管X线造影'', ''食管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管镜'', ''食管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食管异物X线造影'', ''食管异物X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管B超'', ''视神经管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管CT'', ''视神经管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管MRI'', ''视神经管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管TCD'', ''视神经管TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管彩超'', ''视神经管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管平片'', ''视神经管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经管造影'', ''视神经管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视神经孔X线摄影'', ''视神经孔X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜CT'', ''视网膜CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜MRI'', ''视网膜MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜平片'', ''视网膜平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视网膜眼底镜'', ''视网膜眼底镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手CT'', ''手CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手MRI'', ''手MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部X线计算机体层(CT)平扫'', ''手部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手部X线计算机体层(CT)增强扫描'', ''手部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手磁共振成像'', ''手磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手腕关节X线摄影'', ''手腕关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管B超'', ''输精管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管CT'', ''输精管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管MRI'', ''输精管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管彩超(CDFI)'', ''输精管彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输精管造影'', ''输精管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管B超'', ''输卵管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管MRI'', ''输卵管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管彩超'', ''输卵管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管平片'', ''输卵管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输卵管造影'', ''输卵管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管B超'', ''输尿管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管CT'', ''输尿管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管MRI'', ''输尿管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管彩超(CDFI)'', ''输尿管彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管静脉肾盂造影'', ''输尿管静脉肾盂造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管镜'', ''输尿管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输尿管造影'', ''输尿管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中B超检查'', ''术中B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中彩色多普勒超声检查'', ''术中彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中经食管彩色超声心动图监测'', ''术中经食管彩色超声心动图监测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中经心外膜超声心动图'', ''术中经心外膜超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术中透视'', ''术中透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧精索静脉彩色多普勒超声检查'', ''双侧精索静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双髋关节磁共振成像'', ''双髋关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾动脉彩色多普勒超声检查'', ''双肾动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双肾静脉彩色多普勒超声检查'', ''双肾静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手磁共振增强成像'', ''双手磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢负重位X线摄影'', ''双下肢负重位X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼B超检查'', ''双眼B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼彩色多普勒超声检查'', ''双眼彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双足磁共振增强成像'', ''双足磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠图'', ''睡眠图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉MRI'', ''四肢动静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉彩超'', ''四肢动静脉彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢动静脉造影'', ''四肢动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢多普勒血流图'', ''四肢多普勒血流图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节X线造影'', ''四肢关节X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢关节透视'', ''四肢关节透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢间接淋巴管X线造影'', ''四肢间接淋巴管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢造影'', ''四肢造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢直接淋巴管X线造影'', ''四肢直接淋巴管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨CT'', ''锁骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨MRI'', ''锁骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结B超'', ''锁骨上淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结CT'', ''锁骨上淋巴结CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结MRI'', ''锁骨上淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结彩超(CDFI)'', ''锁骨上淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨上淋巴结造影'', ''锁骨上淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉MRI'', ''锁骨下动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉彩超(CDFI)'', ''锁骨下动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下动脉造影'', ''锁骨下动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉MRI'', ''锁骨下静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉彩超(CDFI)'', ''锁骨下静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下静脉造影'', ''锁骨下静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结B超'', ''锁骨下淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结CT'', ''锁骨下淋巴结CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结MRI'', ''锁骨下淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结彩超'', ''锁骨下淋巴结彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结平片'', ''锁骨下淋巴结平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁骨下淋巴结造影'', ''锁骨下淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿彩色多普勒超声检查'', ''胎儿彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿二维超声心动图'', ''胎儿二维超声心动图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿颈后透明层彩色多普勒超声测定'', ''胎儿颈后透明层彩色多普勒超声测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿三维超声成像'', ''胎儿三维超声成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿生物物理相评分'', ''胎儿生物物理相评分'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿系统性彩色多普勒超声筛查'', ''胎儿系统性彩色多普勒超声筛查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎儿心脏彩色多普勒超声检查'', ''胎儿心脏彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表血管彩色多普勒超声标记'', ''体表血管彩色多普勒超声标记'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表肿物B超检查'', ''体表肿物B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体表肿物彩色多普勒超声检查'', ''体表肿物彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听性脑干反应'', ''听性脑干反应'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部X线计算机体层(CT)平扫'', ''头部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部X线计算机体层(CT)增强扫描'', ''头部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部磁共振增强成像'', ''头部磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部透视'', ''头部透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉MRI'', ''头静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉彩超(CDFI)'', ''头静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头静脉造影'', ''头静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅B超'', ''头颅B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅CT'', ''头颅CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MRI'', ''头颅MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅MRIA'', ''头颅MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅X线'', ''头颅X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅X线摄影'', ''头颅X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅彩超'', ''头颅彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅动脉磁共振血管增强成像'', ''头颅动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅多导睡眠图'', ''头颅多导睡眠图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅非增强磁共振动脉血管成像'', ''头颅非增强磁共振动脉血管成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅非增强磁共振静脉血管成像'', ''头颅非增强磁共振静脉血管成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅透视'', ''头颅透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透析内瘘彩色多普勒超声检查'', ''透析内瘘彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透析造瘘术前上肢血管评价及标记'', ''透析造瘘术前上肢血管评价及标记'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部CT'', ''臀胯骶部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部MRI'', ''臀胯骶部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀胯骶部X线'', ''臀胯骶部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺B超'', ''唾液腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺CT'', ''唾液腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺MRI'', ''唾液腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺X线造影'', ''唾液腺X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺彩超'', ''唾液腺彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺平片'', ''唾液腺平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液腺造影'', ''唾液腺造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道CT'', ''外耳道CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道MRI'', ''外耳道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道x线'', ''外耳道x线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外耳道内镜'', ''外耳道内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕部CT'', ''腕部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕部MRI'', ''腕部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕骨MRI'', ''腕骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节MRI'', ''腕关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腕关节关节镜'', ''腕关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾骨X线摄影'', ''尾骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾椎CT'', ''尾椎CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尾椎MRI'', ''尾椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃B超'', ''胃B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃CT'', ''胃CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃MRI'', ''胃MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃钡餐造影'', ''胃钡餐造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃彩超(CDFI)'', ''胃彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠充盈造影B超检查'', ''胃肠充盈造影B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道B超检查'', ''胃肠道B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道彩色多普勒超声检查'', ''胃肠道彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠排空试验-钡餐透视法'', ''胃肠排空试验-钡餐透视法'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃充盈排空功能B超检查'', ''胃充盈排空功能B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃镜'', ''胃镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃血管造影'', ''胃血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃造影'', ''胃造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝部CT'', ''膝部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝部MRI'', ''膝部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节CT'', ''膝关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节MRI'', ''膝关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节X线摄影'', ''膝关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节磁共振成像'', ''膝关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节关节镜'', ''膝关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部X线计算机体层(CT)平扫'', ''下腹部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部X线计算机体层(CT)增强扫描'', ''下腹部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部磁共振成像'', ''下腹部磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部磁共振增强成像'', ''下腹部磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部动脉CT三维成像'', ''下腹部动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部X线计算机体层(CT)平扫'', ''下颌部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌部X线计算机体层(CT)增强扫描'', ''下颌部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨B超'', ''下颌骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨CT'', ''下颌骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨MRI'', ''下颌骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨X线摄影'', ''下颌骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨彩超'', ''下颌骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨平片'', ''下颌骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌骨造影'', ''下颌骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部B超'', ''下颈部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MRI'', ''下颈部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部MRIA'', ''下颈部MRIA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颈部彩超(CDFI)'', ''下颈部彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉CT三维成像'', ''下腔静脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉彩色多普勒超声检查'', ''下腔静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腔静脉磁共振血管增强成像'', ''下腔静脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下咽X线造影'', ''下咽X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢B超'', ''下肢B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢CT'', ''下肢CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢MRI'', ''下肢MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢X线'', ''下肢X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢彩超'', ''下肢彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉CT三维成像'', ''下肢动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉彩色多普勒超声检查'', ''下肢动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢动脉磁共振血管增强成像'', ''下肢动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢多普勒彩超'', ''下肢多普勒彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢多普勒血流图'', ''下肢多普勒血流图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨B超'', ''下肢骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨CT'', ''下肢骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨MRI'', ''下肢骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨彩超'', ''下肢骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨平片'', ''下肢骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢骨造影'', ''下肢骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节B超'', ''下肢关节B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节CT'', ''下肢关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节MRI'', ''下肢关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节彩超'', ''下肢关节彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节平片'', ''下肢关节平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢关节造影'', ''下肢关节造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢肌肉肌电图'', ''下肢肌肉肌电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢静脉切开造影术'', ''下肢静脉切开造影术'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢平片'', ''下肢平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢浅静脉彩色多普勒超声检查'', ''下肢浅静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉CT三维成像'', ''下肢深静脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉彩色多普勒超声检查'', ''下肢深静脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢深静脉超声'', ''下肢深静脉超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢造影'', ''下肢造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺B超检查'', ''涎腺B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涎腺彩色多普勒超声检查'', ''涎腺彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道MRI'', ''消化道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道彩超'', ''消化道彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道平片'', ''消化道平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化道造影'', ''消化道造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠B超'', ''小肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠CT'', ''小肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠MRI'', ''小肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠X线造影'', ''小肠X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠彩超(CDFI)'', ''小肠彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠插管X线造影'', ''小肠插管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠充盈排空功能B超检查'', ''小肠充盈排空功能B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠镜'', ''小肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠平片'', ''小肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠造影'', ''小肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颅脑B超检查'', ''小儿颅脑B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿颅脑彩色多普勒超声检查'', ''小儿颅脑彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑B超'', ''小脑B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑CT'', ''小脑CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑MRI'', ''小脑MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑TCD'', ''小脑TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑彩超'', ''小脑彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑平片'', ''小脑平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑造影'', ''小脑造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿CT'', ''小腿CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿MRI'', ''小腿MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿X线计算机体层(CT)平扫'', ''小腿X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿X线计算机体层(CT)增强扫描'', ''小腿X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿磁共振成像'', ''小腿磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿磁共振增强成像'', ''小腿磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉MRI'', ''小隐静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉彩超(CDFI)'', ''小隐静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小隐静脉造影'', ''小隐静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包B超'', ''心包B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包CT'', ''心包CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包MRI'', ''心包MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包彩超(CDFI)'', ''心包彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包超声造影'', ''心包超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心导管检查'', ''心导管检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电监测'', ''心电监测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心电图'', ''心电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌灌注超声造影'', ''心肌灌注超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏B超'', ''心脏B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏CT'', ''心脏CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏CT成像'', ''心脏CT成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏MRI'', ''心脏MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏X线摄影'', ''心脏X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏彩超(CDFI)'', ''心脏彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏彩色多普勒超声'', ''心脏彩色多普勒超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏超声声学定量'', ''心脏超声声学定量'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏超声造影'', ''心脏超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏磁共振平扫成像'', ''心脏磁共振平扫成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏磁共振增强成像'', ''心脏磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏光学相干成像'', ''心脏光学相干成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏机械运动同步功能超声检测'', ''心脏机械运动同步功能超声检测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏右心漂浮导管'', ''心脏右心漂浮导管'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏运动平板'', ''心脏运动平板'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏造影'', ''心脏造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁B超'', ''胸壁B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁CT'', ''胸壁CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁MRI'', ''胸壁MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁彩超'', ''胸壁彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁平片'', ''胸壁平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸壁造影'', ''胸壁造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部B超'', ''胸部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部MRI'', ''胸部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线计算机体层(CT)平扫'', ''胸部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线计算机体层(CT)增强扫描'', ''胸部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部X线摄影'', ''胸部X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部彩超'', ''胸部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部超声'', ''胸部超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部穿刺'', ''胸部穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部磁共振成像'', ''胸部磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部磁共振增强成像'', ''胸部磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管B超'', ''胸部大血管B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管CT'', ''胸部大血管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管MRI'', ''胸部大血管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管彩超'', ''胸部大血管彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管平片'', ''胸部大血管平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部大血管造影'', ''胸部大血管造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部动静脉造影'', ''胸部动静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结B超'', ''胸部淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结CT'', ''胸部淋巴结CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结MRI'', ''胸部淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结彩超'', ''胸部淋巴结彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结平片'', ''胸部淋巴结平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部淋巴结造影'', ''胸部淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部透视'', ''胸部透视'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部胸腔积液B超'', ''胸部胸腔积液B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部造影'', ''胸部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨CT'', ''胸骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨MRI'', ''胸骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨X线摄影'', ''胸骨X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔B超'', ''胸腔B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔B超检查'', ''胸腔B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔MRI'', ''胸腔MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔彩超(CDFI)'', ''胸腔彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔彩色多普勒超声检查'', ''胸腔彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔穿刺'', ''胸腔穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节CT'', ''胸锁关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节MRI'', ''胸锁关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸锁关节关节镜'', ''胸锁关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺B超'', ''胸腺B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺CT'', ''胸腺CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺MRI'', ''胸腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺彩超(CDFI)'', ''胸腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腰段X线摄影'', ''胸腰段X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸主动脉磁共振血管增强成像'', ''胸主动脉磁共振血管增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎CT'', ''胸椎CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎MRI'', ''胸椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎X线摄影'', ''胸椎X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎磁共振成像'', ''胸椎磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸椎磁共振增强成像'', ''胸椎磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''选择性冠脉造影'', ''选择性冠脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管PICCO'', ''血管PICCO'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管斑块成像'', ''血管斑块成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管斑块增强成像'', ''血管斑块增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管超声造影'', ''血管超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血压监测'', ''血压监测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙片X线摄影'', ''牙片X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙片X线一次成像(RVG)'', ''牙片X线一次成像(RVG)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙平片'', ''牙平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽MRI'', ''咽MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部CT'', ''咽部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉B超'', ''咽喉B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉MRI'', ''咽喉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部B超'', ''咽喉部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部CT'', ''咽喉部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部MRI'', ''咽喉部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部X线'', ''咽喉部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部彩超'', ''咽喉部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部平片'', ''咽喉部平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部造影'', ''咽喉部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉彩超'', ''咽喉彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉造影'', ''咽喉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽造影'', ''咽造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部A超'', ''眼部A超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部B超'', ''眼部B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部CT'', ''眼部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部MRI'', ''眼部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线'', ''眼部X线'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线计算机体层(CT)平扫'', ''眼部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部X线计算机体层(CT)增强扫描'', ''眼部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部彩超'', ''眼部彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部造影'', ''眼部造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底镜'', ''眼底镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底血管荧光造影'', ''眼底血管荧光造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼底照相'', ''眼底照相'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶B超'', ''眼眶B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶CT'', ''眼眶CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶MRI'', ''眼眶MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶TCD'', ''眼眶TCD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶X线摄影'', ''眼眶X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶彩超'', ''眼眶彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶平片'', ''眼眶平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶造影'', ''眼眶造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球A超'', ''眼球A超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球B超'', ''眼球B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球CT'', ''眼球CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球MRI'', ''眼球MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球彩超'', ''眼球彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球平片'', ''眼球平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼造影'', ''眼造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰骶椎MRI'', ''腰骶椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎CT'', ''腰椎CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎MRI'', ''腰椎MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线计算机体层(CT)平扫'', ''腰椎X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线计算机体层(CT)增强扫描'', ''腰椎X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎X线摄影'', ''腰椎X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎穿刺'', ''腰椎穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎穿刺脊髓X线造影'', ''腰椎穿刺脊髓X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎磁共振成像'', ''腰椎磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎磁共振增强成像'', ''腰椎磁共振增强成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰椎间盘X线造影'', ''腰椎间盘X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬合片X线摄影'', ''咬合片X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉MRI'', ''腋动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉彩超(CDFI)'', ''腋动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋动脉造影'', ''腋动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉MRI'', ''腋静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉彩超(CDFI)'', ''腋静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋静脉造影'', ''腋静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结B超检查'', ''腋窝淋巴结B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋窝淋巴结彩色多普勒超声检查'', ''腋窝淋巴结彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结B超'', ''腋下淋巴结B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结CT'', ''腋下淋巴结CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结MRI'', ''腋下淋巴结MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结彩超(CDFI)'', ''腋下淋巴结彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腋下淋巴结造影'', ''腋下淋巴结造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰胆管系统磁共振水成像(MRCP)'', ''胰胆管系统磁共振水成像(MRCP)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺MRI'', ''胰腺MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺彩超(CDFI)'', ''胰腺彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺超声造影'', ''胰腺超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰腺穿刺'', ''胰腺穿刺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道B超'', ''阴道B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道MRI'', ''阴道MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道彩超(CDFI)'', ''阴道彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道镜'', ''阴道镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道平片'', ''阴道平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道造影'', ''阴道造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体动脉X线造影'', ''阴茎海绵体动脉X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎海绵体静脉X线造影'', ''阴茎海绵体静脉X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊B超'', ''阴囊B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊CT'', ''阴囊CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊MRI'', ''阴囊MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊彩超(CDFI)'', ''阴囊彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊切开输精管X线造影'', ''阴囊切开输精管X线造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹B超检查'', ''右下腹B超检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹彩色多普勒超声检查'', ''右下腹彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心超声造影'', ''右心超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心导管检查'', ''右心导管检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右心室造影'', ''右心室造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕妇-胎儿血流动力学彩超检测'', ''孕妇-胎儿血流动力学彩超检测'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脏器超声造影检查'', ''脏器超声造影检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨CT'', ''掌骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌骨MRI'', ''掌骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节CT'', ''掌关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节MRI'', ''掌关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''掌关节关节镜'', ''掌关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管激发试验'', ''支气管激发试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管镜'', ''支气管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支气管舒张试验'', ''支气管舒张试验'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨骨骼计算机体层(CT)平扫'', ''肢带骨骨骼计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢带骨骨骼计算机体层(CT)增强扫描'', ''肢带骨骨骼计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠B超'', ''直肠B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠CT'', ''直肠CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠MRI'', ''直肠MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠钡剂灌肠'', ''直肠钡剂灌肠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠彩超(CDFI)'', ''直肠彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠磁共振成像'', ''直肠磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠镜'', ''直肠镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠平片'', ''直肠平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直肠造影'', ''直肠造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''植物神经神经电图'', ''植物神经神经电图'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨CT'', ''跖骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跖骨MRI'', ''跖骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨CT'', ''指骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指骨MRI'', ''指骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节CT'', ''指关节CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节MRI'', ''指关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''指关节关节镜'', ''指关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''趾骨CT'', ''趾骨CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''趾骨MRI'', ''趾骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中耳内镜'', ''中耳内镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周围神经造影'', ''周围神经造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部CT'', ''肘部CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部MRI'', ''肘部MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节MRI'', ''肘关节MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节X线摄影'', ''肘关节X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节磁共振成像'', ''肘关节磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节关节镜'', ''肘关节关节镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉B超'', ''主动脉B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CT'', ''主动脉CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CTA'', ''主动脉CTA'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉CT三维成像'', ''主动脉CT三维成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉MRI'', ''主动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉彩超(CDFI)'', ''主动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉超声'', ''主动脉超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉血管内超声'', ''主动脉血管内超声'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主动脉造影'', ''主动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎动脉彩色多普勒超声检查'', ''椎动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨B超'', ''椎骨B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨MRI'', ''椎骨MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨彩超'', ''椎骨彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨平片'', ''椎骨平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎骨造影'', ''椎骨造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椎间盘MRI'', ''椎间盘MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫B超'', ''子宫B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫CT'', ''子宫CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫MRI'', ''子宫MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫彩超(CDFI)'', ''子宫彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫超声造影'', ''子宫超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件B超'', ''子宫附件B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件CT'', ''子宫附件CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件MRI'', ''子宫附件MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件彩超(CDFI)'', ''子宫附件彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件超声造影'', ''子宫附件超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫附件宫腔镜'', ''子宫附件宫腔镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''子宫宫腔镜'', ''子宫宫腔镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈B超'', ''纵膈B超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈CT'', ''纵膈CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈MRI'', ''纵膈MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈彩超'', ''纵膈彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈平片'', ''纵膈平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管CT'', ''纵膈气管CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管MRI'', ''纵膈气管MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈气管气管镜'', ''纵膈气管气管镜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纵膈造影'', ''纵膈造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足CT'', ''足CT'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足MRI'', ''足MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足X线摄影'', ''足X线摄影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉MRI'', ''足背动脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉彩超(CDFI)'', ''足背动脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背动脉造影'', ''足背动脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉MRI'', ''足背静脉MRI'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉彩超(CDFI)'', ''足背静脉彩超(CDFI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足背静脉造影'', ''足背静脉造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足磁共振成像'', ''足磁共振成像'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足动脉彩色多普勒超声检查'', ''足动脉彩色多普勒超声检查'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足多普勒彩超'', ''足多普勒彩超'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部X线计算机体层(CT)平扫'', ''足踝部X线计算机体层(CT)平扫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足踝部X线计算机体层(CT)增强扫描'', ''足踝部X线计算机体层(CT)增强扫描'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''组织多普勒显像(TDI)'', ''组织多普勒显像(TDI)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心超声造影'', ''左心超声造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室收缩功能超声测定'', ''左心室收缩功能超声测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室舒张功能超声测定'', ''左心室舒张功能超声测定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左心室造影'', ''左心室造影'', ''3'', ''0'', ''200'', ''9'', ''0'', ''6'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮'', ''17α-羟孕酮'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-羟皮质类固醇'', ''17-羟皮质类固醇'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17-酮皮质类固醇'', ''17-酮皮质类固醇'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿比重渗透压试验'', ''24小时尿比重渗透压试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽'', ''Ⅰ型胶原羧基端前肽'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子测定'', ''B因子测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Coombs试验'', ''Coombs试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒检测'', ''EB病毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ENA抗体谱六项测定'', ''ENA抗体谱六项测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O—129试验'', ''O—129试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-胶原特殊系列'', ''β-胶原特殊系列'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β人绒毛膜促性腺激素'', ''β人绒毛膜促性腺激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片'', ''白喉棒状杆菌涂片'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)测定'', ''白陶土部分凝血活酶时间(KPTT)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', ''白血病融合基因检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙氨酸'', ''本丙氨酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''本丙酮酸'', ''本丙酮酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''变应原特异性IgE测定'', ''变应原特异性IgE测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝测定'', ''丙肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''病理抗凝因子检测'', ''病理抗凝因子检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体测定'', ''补体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌测定'', ''布氏杆菌测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间'', ''出血时间'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''创面分泌物培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇'', ''雌三醇'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮测定'', ''雌酮测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素'', ''促红细胞生成素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺释放激素兴奋试验'', ''促甲状腺释放激素兴奋试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素'', ''促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''促肾上腺皮质激素释放激素(CRF)兴奋试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验1'', ''促肾上腺皮质激素兴奋试验1'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素兴奋试验2'', ''促肾上腺皮质激素兴奋试验2'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体测定'', ''单纯疱疹病毒II型抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体测定'', ''单纯疱疹病毒I型抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素'', ''胆囊收缩素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫直接涂片镜检'', ''滴虫直接涂片镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶'', ''淀粉酶'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白'', ''淀粉样蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝测定'', ''丁肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', ''非妇科脱落细胞学检查与诊断'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥达氏反应'', ''肥达氏反应'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎支原体免疫学试验'', ''肺炎支原体免疫学试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便常规'', ''粪便常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便培养'', ''粪便培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便隐血'', ''粪便隐血'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素检查'', ''粪胆素检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', ''妇科脱落细胞学检查与诊断'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验'', ''腹膜平衡试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液检查'', ''腹膜透析液检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹腔积液检查'', ''腹腔积液检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''腹水培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸'', ''甘胆酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝功能'', ''肝功能'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝纤维化'', ''肝纤维化'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压四项'', ''高血压四项'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''各种穿刺液引流液培养'', ''各种穿刺液引流液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝测定'', ''庚肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈涂片'', ''宫颈涂片'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素'', ''骨钙素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓检查'', ''骨髓检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶'', ''骨型碱性磷酸酶'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''关节液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过夜地塞米松抑制试验'', ''过夜地塞米松抑制试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞(LEC)检查'', ''红斑狼疮细胞(LEC)检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞丙酮酸激酶(PK)检测'', ''红细胞丙酮酸激酶(PK)检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滑膜液常规'', ''滑膜液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗(APCR)试验'', ''活化蛋白C抵抗(APCR)试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌直接涂片镜检'', ''霍乱弧菌直接涂片镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶活性测定'', ''肌酸激酶同工酶活性测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝测定'', ''甲肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素'', ''甲状旁腺激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能'', ''甲状腺功能'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺功能（5项）'', ''甲状腺功能（5项）'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺摄碘试验'', ''甲状腺摄碘试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺自身抗体检测'', ''甲状腺自身抗体检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原'', ''降钙素原'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核检查'', ''结核检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体检查'', ''解脲支原体检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液常规'', ''精液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液生化'', ''精液生化'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子其他检查'', ''精子其他检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒检测'', ''巨细胞病毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体测定'', ''抗β2-糖蛋白1抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体谱测定'', ''抗核抗体谱测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体测定'', ''抗红细胞抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)测定'', ''抗环瓜氨酸肽抗体(抗CCP)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素'', ''抗利尿激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶抗体'', ''抗链球菌激酶抗体'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O'', ''抗链球菌溶血素O'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶'', ''抗链球菌透明质酸酶'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体试验'', ''抗淋巴细胞抗体试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体测定'', ''抗脑组织抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体'', ''抗平滑肌抗体'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗神经节苷脂抗体测定'', ''抗神经节苷脂抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺抗体测定'', ''抗肾上腺抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体测定'', ''抗肾小球基底膜抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶'', ''抗脱氧核糖核酸酶'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体检测'', ''抗胃壁细胞抗体检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体(AMA)测定'', ''抗线粒体抗体(AMA)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗心磷脂抗体(ACA)测定'', ''抗心磷脂抗体(ACA)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体'', ''抗乙酰胆碱受体抗体'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)测定'', ''抗增殖细胞核抗原抗体(抗PCNA)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体'', ''抗子宫内膜抗体'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒'', ''柯萨奇病毒'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服葡萄糖耐量试验'', ''口服葡萄糖耐量试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体测定'', ''狂犬病毒抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉网细胞学检查与诊断'', ''拉网细胞学检查与诊断'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子测定'', ''类风湿因子测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子'', ''类胰岛素样生长因子'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体免疫学试验'', ''立克次体免疫学试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞亚群计数'', ''淋巴细胞亚群计数'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片'', ''淋球菌涂片'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒核糖核酸检测'', ''流感病毒核糖核酸检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热抗体测定'', ''流行性出血热抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性乙型脑炎病毒抗体测定'', ''流行性乙型脑炎病毒抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒检测'', ''轮状病毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒'', ''麻疹病毒'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''馒头餐糖耐量试验'', ''馒头餐糖耐量试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒检测'', ''梅毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定'', ''免疫球蛋白亚类定量测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫组织化学染色诊断'', ''免疫组织化学染色诊断'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''墨汁染色'', ''墨汁染色'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠尿肽'', ''钠尿肽'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液常规+生化'', ''脑脊液常规+生化'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液免疫球蛋白测定'', ''脑脊液免疫球蛋白测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''脑脊液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定量试验'', ''内毒素鲎定量试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定性试验'', ''内毒素鲎定性试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NAG'', ''尿NAG'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉检测'', ''尿卟啉检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿沉渣镜检'', ''尿沉渣镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', ''尿蛋白测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳分析'', ''尿蛋白电泳分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺测定'', ''尿儿茶酚胺测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定(24h)'', ''尿钙测定(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿高香草酸'', ''尿高香草酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿含铁血黄素定性试验'', ''尿含铁血黄素定性试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞形态检查'', ''尿红细胞形态检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐测定'', ''尿肌酐测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性试验'', ''尿肌红蛋白定性试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基去甲肾上腺素(NMN)(24h)'', ''尿甲氧基去甲肾上腺素(NMN)(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿甲氧基肾上腺素(MN)(24h)'', ''尿甲氧基肾上腺素(MN)(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾测定'', ''尿钾测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镜检'', ''尿镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松定量(24h)'', ''尿可的松定量(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定'', ''尿磷测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯测定'', ''尿氯测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁测定'', ''尿镁测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿免疫固定电泳'', ''尿免疫固定电泳'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠测定'', ''尿钠测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量'', ''尿尿酸定量'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿轻链测定'', ''尿轻链测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', ''尿去甲肾上腺素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮定量(24h)'', ''尿醛固酮定量(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(24h)'', ''尿肾上腺素(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖测定'', ''尿糖测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白测定'', ''尿微量白蛋白测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿微量白蛋白定量(24h)'', ''尿微量白蛋白定量(24h)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液总钙测定'', ''尿液总钙测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血功能测定'', ''凝血功能测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子测定'', ''凝血因子测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌'', ''浓缩集菌抗酸菌'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''脓液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫检查'', ''疟原虫检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', ''培养细菌菌落计数'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮质醇'', ''皮质醇'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白'', ''前白蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺液常规检查'', ''前列腺液常规检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白测定'', ''缺血修饰白蛋白测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析'', ''染色体分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体荧光原位杂交分析'', ''染色体荧光原位杂交分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人附睾蛋白'', ''人附睾蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人类免疫缺陷病毒检测'', ''人类免疫缺陷病毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒检测'', ''人乳头瘤病毒检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妊娠相关蛋白A(PAPP)测定'', ''妊娠相关蛋白A(PAPP)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''乳糜试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能'', ''肾功能'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素'', ''肾上腺素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素卧立位试验'', ''肾素卧立位试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''渗透压检查'', ''渗透压检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理抗凝因子检测'', ''生理抗凝因子检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素'', ''生长激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白'', ''视黄醇结合蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素'', ''瘦素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查'', ''苏丹黑染色检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''痰培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片'', ''痰涂片'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰液常规'', ''痰液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖代谢检查'', ''糖代谢检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁染色检查'', ''铁染色检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸'', ''同型半胱氨酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白CER'', ''铜蓝蛋白CER'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周血细胞形态学分析'', ''外周血细胞形态学分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量元素测定'', ''微量元素测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A(VitA)测定'', ''维生素A(VitA)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1'', ''维生素B1'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12'', ''维生素B12'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C'', ''维生素C'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D测定'', ''维生素D测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原检测(PG)'', ''胃蛋白酶原检测(PG)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素测定'', ''胃泌素测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃酸分泌试验'', ''胃酸分泌试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液常规'', ''胃液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''无菌体液细菌培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝测定'', ''戊肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''细菌抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗原检测'', ''细菌抗原检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎检测'', ''细菌性阴道炎检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶系统检测'', ''纤溶系统检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺病毒抗体测定'', ''腺病毒抗体测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草扁桃酸'', ''香草扁桃酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液常规'', ''心包积液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''心包积液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''心包积液生化'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌梗死标志物'', ''心肌梗死标志物'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌酶谱'', ''心肌酶谱'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生儿溶血病检测'', ''新生儿溶血病检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)'', ''性激素结合球蛋白(SHBG)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素六项'', ''性激素六项'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液常规'', ''胸腔积液常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液生化'', ''胸腔积液生化'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''胸水培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄性激素'', ''雄性激素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α2巨球蛋白'', ''血α2巨球蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨测定'', ''血氨测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血沉'', ''血沉'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)'', ''血管紧张素转化酶(ACE)'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养及鉴定'', ''血培养及鉴定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血气分析'', ''血气分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血轻链测定'', ''血轻链测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙氨酸'', ''血清苯丙氨酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙酮酸'', ''血清丙酮酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清蛋白电泳'', ''血清蛋白电泳'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清药物浓度测定'', ''血清药物浓度测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸'', ''血清游离脂肪酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清粘蛋白'', ''血清粘蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验'', ''血栓弹力图试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体'', ''血酮体'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫检查'', ''血吸虫检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板功能及抗体检测'', ''血小板功能及抗体检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型'', ''血型'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液免疫学检查'', ''血液免疫学检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', ''血液培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''23999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮分析'', ''血一氧化氮分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化碳分析'', ''血一氧化碳分析'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂'', ''血脂'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽拭子培养'', ''咽拭子培养'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', ''叶酸'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', ''一般细菌培养及鉴定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查'', ''一般细菌涂片检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体检测'', ''衣原体检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物检查'', ''胰岛素及代谢物检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素及代谢物相关检查'', ''胰岛素及代谢物相关检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验1'', ''胰岛素释放试验1'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素释放试验2'', ''胰岛素释放试验2'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰多肽'', ''胰多肽'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素'', ''胰高血糖素'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝测定'', ''乙肝测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道分泌物常规'', ''阴道分泌物常规'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验'', ''隐血试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优生优育'', ''优生优育'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原检测'', ''幽门螺杆菌抗原检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇'', ''游离皮质醇'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌D-葡聚糖检测'', ''真菌D-葡聚糖检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌直接涂片镜检'', ''真菌直接涂片镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体检测'', ''支原体检测'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体药敏试验'', ''支原体药敏试验'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接涂片抗酸染色镜检'', ''直接涂片抗酸染色镜检'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查'', ''酯酶染色检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色检查'', ''中性粒细胞碱性磷酸酶染色检查'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤标志物'', ''肿瘤标志物'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''主要组织相容性抗原测定'', ''主要组织相容性抗原测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白'', ''转铁蛋白'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE'', ''总IgE'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总补体(CH50)测定'', ''总补体(CH50)测定'', ''3'', ''0'', ''200'', ''7'', ''0'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽无充血'', ''咽无充血'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24032'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体质'', ''体质'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24034'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治疗情况'', ''治疗情况'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24035'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治疗效果'', ''治疗效果'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24036'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接种'', ''接种'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24037'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手术史'', ''手术史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24038'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''术后情况'', ''术后情况'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24039'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤史'', ''外伤史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24040'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血史'', ''输血史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24041'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏介质'', ''过敏介质'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''出生地'', ''出生地'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''疫区居留'', ''疫区居留'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24044'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饮酒'', ''饮酒'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24045'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸烟'', ''吸烟'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''职业'', ''职业'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毒物接触史'', ''毒物接触史'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''冶游史'', ''冶游史'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24049'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结婚年龄'', ''结婚年龄'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24050'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''配偶健康情况'', ''配偶健康情况'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24051'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫妻生活'', ''夫妻生活'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经时间'', ''月经时间'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24053'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带'', ''白带'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24054'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直系亲属健康情况'', ''直系亲属健康情况'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直系亲属'', ''直系亲属'', ''3'', ''0'', ''200'', ''1'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24056'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族遗传病史'', ''家族遗传病史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传病'', ''遗传病'', ''3'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24058'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族性传染病史'', ''家族性传染病史'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24059'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''传染病'', ''传染病'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24061'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单位'', ''单位'', ''3'', ''0'', ''200'', ''3'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼之不应'', ''呼之不应'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼之能应'', ''呼之能应'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷'', ''昏迷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏睡'', ''昏睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神错乱'', ''精神错乱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神恍惚'', ''精神恍惚'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅昏迷'', ''浅昏迷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清'', ''神志不清'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志错乱'', ''神志错乱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜睡'', ''嗜睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识不清'', ''意识不清'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识淡漠'', ''意识淡漠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识丧失'', ''意识丧失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识紊乱'', ''意识紊乱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''意识障碍'', ''意识障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谵妄'', ''谵妄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠过度'', ''睡眠过度'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''思睡'', ''思睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贪睡'', ''贪睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜睡'', ''喜睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白天思睡'', ''白天思睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多梦'', ''多梦'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多醒'', ''多醒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噩梦'', ''噩梦'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经失眠'', ''绝经失眠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速动眼睡眠行为障碍'', ''快速动眼睡眠行为障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦魇'', ''梦魇'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦呓'', ''梦呓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梦游'', ''梦游'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失眠'', ''失眠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡不实'', ''睡不实'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠差'', ''睡眠差'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠时间减少'', ''睡眠时间减少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠瘫痪症'', ''睡眠瘫痪症'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠异常'', ''睡眠异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠障碍'', ''睡眠障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''续睡困难'', ''续睡困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜寐欠佳'', ''夜寐欠佳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜睡不安'', ''夜睡不安'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易惊醒'', ''易惊醒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易醒'', ''易醒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早醒'', ''早醒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠行为异常'', ''睡眠行为异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异相睡眠'', ''异相睡眠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻触'', ''幻触'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻觉'', ''幻觉'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻视'', ''幻视'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻听'', ''幻听'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻味'', ''幻味'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幻嗅'', ''幻嗅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内脏幻觉'', ''内脏幻觉'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗳腐'', ''嗳腐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带豆腐渣状'', ''白带豆腐渣状'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带过多'', ''白带过多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带褐色'', ''白带褐色'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带异常'', ''白带异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓性白带'', ''脓性白带'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血性白带'', ''血性白带'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带臭'', ''白带臭'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带异味'', ''白带异味'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摆痛'', ''摆痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白斑'', ''白斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑疮'', ''斑疮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑块'', ''斑块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑'', ''红斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫斑'', ''紫斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑疹'', ''斑疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包块'', ''包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包块痛'', ''包块痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛'', ''背痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血'', ''鼻出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涕中带血'', ''涕中带血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻裂'', ''鼻裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔不适'', ''鼻腔不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔干燥'', ''鼻腔干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻腔异物'', ''鼻腔异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻痛'', ''鼻痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻外伤'', ''鼻外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻痒'', ''鼻痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻肿'', ''鼻肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷嚏'', ''喷嚏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右鼻痛'', ''右鼻痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻溢液'', ''鼻溢液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流脓涕'', ''流脓涕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流清涕'', ''流清涕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕'', ''流涕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长期流涕'', ''长期流涕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻翼煽动'', ''鼻翼煽动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闭眼运动'', ''闭眼运动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情痴呆'', ''表情痴呆'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情呆板'', ''表情呆板'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表情呆滞'', ''表情呆滞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''濒死感'', ''濒死感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跛行'', ''跛行'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不畅'', ''不畅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不适感'', ''不适感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不自主运动'', ''不自主运动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚抖动'', ''脚抖动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身抽搐'', ''全身抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身体抽动'', ''身体抽动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手抖动'', ''手抖动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚不灵活'', ''手脚不灵活'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手震颤'', ''手震颤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''擦伤'', ''擦伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后恶露不尽'', ''产后恶露不尽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹鸣'', ''腹鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮热'', ''潮热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''车祸伤'', ''车祸伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉重感'', ''沉重感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨僵'', ''晨僵'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耻骨痛'', ''耻骨痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐'', ''抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''潮热出汗'', ''潮热出汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗'', ''出汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出汗异常'', ''出汗异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大汗淋漓'', ''大汗淋漓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盗汗'', ''盗汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗'', ''多汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发汗'', ''发汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发冷'', ''发冷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷汗'', ''冷汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少汗'', ''少汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少津'', ''少津'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少津液'', ''少津液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无汗'', ''无汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无明显出汗'', ''无明显出汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗'', ''虚汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚脱'', ''虚脱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血'', ''出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血反复不止'', ''出血反复不止'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大出血'', ''大出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接触性出血'', ''接触性出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杵状指'', ''杵状指'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇红'', ''唇红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇溃疡'', ''唇溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇疱疹'', ''唇疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唇肿痛'', ''唇肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺痛'', ''刺痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猝倒'', ''猝倒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窜动'', ''窜动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窜麻'', ''窜麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打哈欠'', ''打哈欠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''打鼾'', ''打鼾'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便变细'', ''大便变细'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便形状异常'', ''大便形状异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏油样便'', ''柏油样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便中带血'', ''便中带血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便带血'', ''大便带血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便发黑'', ''大便发黑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便黑'', ''大便黑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便拉血'', ''大便拉血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便色黑'', ''大便色黑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便色黑如柏油'', ''大便色黑如柏油'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便血性'', ''大便血性'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便颜色异常'', ''大便颜色异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便有血丝'', ''大便有血丝'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋花汤样便'', ''蛋花汤样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果酱样便'', ''果酱样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便'', ''黑便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色大便'', ''黑色大便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄便'', ''黄便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假膜便'', ''假膜便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解黑便'', ''解黑便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡样便'', ''咖啡样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米泔样便'', ''米泔样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓血便'', ''脓血便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陶土样便'', ''陶土样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洗肉水样便'', ''洗肉水样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜红色血便'', ''鲜红色血便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜血样便'', ''鲜血样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕褐色便'', ''棕褐色便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便后肛门滴血'', ''便后肛门滴血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘'', ''便秘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便溏'', ''便溏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便不成形'', ''大便不成形'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便次数减少'', ''大便次数减少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便干燥'', ''大便干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便失禁'', ''大便失禁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便疼痛'', ''大便疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便习惯改变'', ''大便习惯改变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便异常'', ''大便异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便如羊粪状'', ''粪便如羊粪状'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑色糊状便'', ''黑色糊状便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糊状粘液便'', ''糊状粘液便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄色水样便'', ''黄色水样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便次数减少'', ''排便次数减少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便次数增多'', ''排便次数增多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便后肛门出血'', ''排便后肛门出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便后肛门滴血'', ''排便后肛门滴血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便困难'', ''排便困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便异常'', ''排便异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''数天大便一次'', ''数天大便一次'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''数天未大便'', ''数天未大便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水样便'', ''水样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羊屎粒样便'', ''羊屎粒样便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液便'', ''粘液便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪泻'', ''脂肪泻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便正常'', ''大便正常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大量脓性分泌物'', ''大量脓性分泌物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大腿外伤'', ''大腿外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大象腿'', ''大象腿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大小便失禁'', ''大小便失禁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大小便习惯改变'', ''大小便习惯改变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒刺'', ''倒刺'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倒睫'', ''倒睫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耵聍栓塞'', ''耵聍栓塞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻指'', ''冻指'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毒疮'', ''毒疮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钝痛'', ''钝痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多泪'', ''多泪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多疑'', ''多疑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮'', ''多饮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅口疮'', ''鹅口疮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呃逆'', ''呃逆'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶病质'', ''恶病质'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶风'', ''恶风'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨起恶心'', ''晨起恶心'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心'', ''恶心'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心想吐'', ''恶心想吐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道痛'', ''耳道痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道肿胀'', ''耳道肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓水肿'', ''耳廓水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内痛'', ''耳内痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳痛'', ''耳痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳肿块'', ''耳肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳肿胀'', ''耳肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内耳肿块'', ''内耳肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右耳闷'', ''右耳闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右耳鸣'', ''右耳鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左耳闷'', ''左耳闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左耳鸣'', ''左耳鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳出血'', ''耳出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流血'', ''耳道流血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流脓'', ''耳道流脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道流液'', ''耳道流液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道溢脓'', ''耳道溢脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳朵流脓'', ''耳朵流脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳溢脓'', ''耳溢脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳痒'', ''耳痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳道异物感'', ''耳道异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内异物感'', ''耳内异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳异物感'', ''耳异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二便正常'', ''二便正常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀'', ''发绀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发麻'', ''发麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''波状热'', ''波状热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弛张热'', ''弛张热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''持续性发热'', ''持续性发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低热'', ''低热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地中海弛张热'', ''地中海弛张热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额头发烫'', ''额头发烫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''忽冷忽热'', ''忽冷忽热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''忽热'', ''忽热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稽留热'', ''稽留热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间歇热'', ''间歇热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两手两足心发热'', ''两手两足心发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马尔他热'', ''马尔他热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒发热'', ''畏寒发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏热'', ''畏热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阵发性发热'', ''阵发性发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性发热'', ''周期性发热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发育不良'', ''发育不良'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦热'', ''烦热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦躁'', ''烦躁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反跳痛'', ''反跳痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放射痛'', ''放射痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''飞蚊症'', ''飞蚊症'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肥胖'', ''肥胖'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''见红'', ''见红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绝经后阴道出血'', ''绝经后阴道出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停经'', ''停经'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经'', ''痛经'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴白斑'', ''外阴白斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴包块'', ''外阴包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴发红'', ''外阴发红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴溃疡'', ''外阴溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴皮疹'', ''外阴皮疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴瘙痒'', ''外阴瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴水肿'', ''外阴水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴痛'', ''外阴痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴肿胀'', ''外阴肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外阴灼热感'', ''外阴灼热感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无月经初潮'', ''无月经初潮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道不规则流血'', ''阴道不规则流血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道出血'', ''阴道出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道恶露'', ''阴道恶露'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道恶露未净'', ''阴道恶露未净'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道干涩'', ''阴道干涩'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道流血淋漓不尽'', ''阴道流血淋漓不尽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道流液'', ''阴道流液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道瘙痒'', ''阴道瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道少量流血'', ''阴道少量流血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道少许流血'', ''阴道少许流血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道痛'', ''阴道痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块'', ''腹部包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道痛'', ''肠道痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠绞痛'', ''肠绞痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠痉挛'', ''肠痉挛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠痛'', ''肠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠子痛'', ''肠子痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部不适'', ''腹部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘肠气痛'', ''盘肠气痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹胀'', ''全腹胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹饱胀'', ''上腹饱胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹部不适'', ''上腹部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹堵塞'', ''上腹堵塞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹闷胀'', ''上腹闷胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹胀'', ''上腹胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脘腹满闷不舒'', ''脘腹满闷不舒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹坠胀感'', ''下腹坠胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胀气'', ''胀气'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟包块'', ''腹股沟包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟痛'', ''腹股沟痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹股沟异物'', ''腹股沟异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部坠痛'', ''腹部坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹钝痛'', ''腹钝痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹隐痛'', ''腹隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀痛'', ''腹胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹坠痛'', ''腹坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝区痛'', ''肝区痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝区隐痛'', ''肝区隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹痛'', ''空腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女性下体坠痛'', ''女性下体坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐周痛'', ''脐周痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脐周隐痛'', ''脐周隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全腹痛'', ''全腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹痛'', ''上腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上腹胀痛'', ''上腹胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛'', ''胃痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃胀'', ''胃胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃灼热'', ''胃灼热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹痛'', ''下腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹坠痛'', ''下腹坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间腹痛'', ''夜间腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右肋弓下疼痛'', ''右肋弓下疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右上腹痛'', ''右上腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右上腹隐痛'', ''右上腹隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右下腹痛'', ''右下腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中上腹痛'', ''中上腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中下腹痛'', ''中下腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移性右下腹疼痛'', ''转移性右下腹疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坠痛'', ''坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坠胀感'', ''坠胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左上腹痛'', ''左上腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左下腹痛'', ''左下腹痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水'', ''腹水'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹围增大'', ''腹围增大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晨泻'', ''晨泻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五更泄泻'', ''五更泄泻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''触觉异常'', ''触觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感觉异常'', ''感觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感觉障碍'', ''感觉障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛觉异常'', ''痛觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''温觉异常'', ''温觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干呕'', ''干呕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干涩'', ''干涩'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干涩感'', ''干涩感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿物脱出'', ''肛门肿物脱出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门出血'', ''肛门出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛'', ''肛门疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门脱出'', ''肛门脱出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿痛'', ''肛门肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门肿胀'', ''肛门肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠胀感'', ''肛门坠胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门坠胀痛'', ''肛门坠胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛旁肿块'', ''肛旁肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周潮湿'', ''肛周潮湿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周排便'', ''肛周排便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周排气'', ''肛周排气'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛周瘙痒'', ''肛周瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸痛'', ''睾丸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾丸肿大'', ''睾丸肿大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯血'', ''咯血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''步态摇晃'', ''步态摇晃'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颤抖步态'', ''颤抖步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动作不灵活'', ''动作不灵活'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''共济失调'', ''共济失调'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''共济失调步态'', ''共济失调步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕金森步态'', ''帕金森步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蹒跚步态'', ''蹒跚步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小脑共济失调步态'', ''小脑共济失调步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摇晃步态'', ''摇晃步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''站立不稳'', ''站立不稳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''震颤步态'', ''震颤步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨擦感'', ''骨擦感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛'', ''骨痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨折'', ''骨折'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质疏松'', ''骨质疏松'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驼背'', ''驼背'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节不利'', ''关节不利'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节挫伤'', ''关节挫伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节弹响'', ''关节弹响'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节浮肿'', ''关节浮肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动时弹响'', ''关节活动时弹响'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动时弹响'', ''活动时弹响'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动时膝关节交锁感'', ''活动时膝关节交锁感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''久站后屈膝困难'', ''久站后屈膝困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''久坐后伸膝困难'', ''久坐后伸膝困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈膝困难'', ''屈膝困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伸膝困难'', ''伸膝困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节交锁感'', ''膝关节交锁感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度变小'', ''关节活动度变小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度变窄'', ''关节活动度变窄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度减小'', ''关节活动度减小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度下降'', ''关节活动度下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动度小'', ''关节活动度小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围变小'', ''关节活动范围变小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围变窄'', ''关节活动范围变窄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动范围减小'', ''关节活动范围减小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节活动障碍'', ''关节活动障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节畸形'', ''关节畸形'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节僵硬'', ''关节僵硬'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤'', ''关节扭伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节强直'', ''关节强直'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节水肿'', ''关节水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节肿胀'', ''关节肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节酸痛'', ''关节酸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛'', ''关节疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节肿痛'', ''关节肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膝关节疼痛'', ''膝关节疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘部胀'', ''肘部胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘关节疼痛'', ''肘关节疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''光过敏'', ''光过敏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头红肿'', ''龟头红肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头皮疹'', ''龟头皮疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟头破损'', ''龟头破损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒战'', ''寒战'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑眼圈'', ''黑眼圈'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部不适'', ''喉部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部梗阻感'', ''喉部梗阻感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉部异物感'', ''喉部异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉咙发紧'', ''喉咙发紧'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉鸣'', ''喉鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉痛'', ''喉痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉异物感'', ''喉异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''端坐呼吸'', ''端坐呼吸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼气困难'', ''呼气困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难'', ''呼吸困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸浅快'', ''呼吸浅快'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸深重'', ''呼吸深重'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气喘'', ''气喘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气短'', ''气短'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''深大呼吸'', ''深大呼吸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸气困难'', ''吸气困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间端坐呼吸'', ''夜间端坐呼吸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间多动'', ''夜间多动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间睡眠不能平躺'', ''夜间睡眠不能平躺'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间睡眠时不能平躺'', ''夜间睡眠时不能平躺'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间阵发性呼吸困难'', ''夜间阵发性呼吸困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口呼吸'', ''张口呼吸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘鸣'', ''喘鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸减弱'', ''呼吸减弱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸浅'', ''呼吸浅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸时快时慢'', ''呼吸时快时慢'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸衰竭'', ''呼吸衰竭'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸衰弱'', ''呼吸衰弱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸异常'', ''呼吸异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘'', ''咳喘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哮喘'', ''哮喘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸骤停'', ''呼吸骤停'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠窒息'', ''睡眠窒息'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间呼吸暂停'', ''夜间呼吸暂停'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝疼痛'', ''踝疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踝肿痛'', ''踝肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸'', ''黄疸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄染'', ''黄染'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼黄尿黄'', ''眼黄尿黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴部瘙痒'', ''会阴部瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴部疼痛'', ''会阴部疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴处发红'', ''会阴处发红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴红'', ''会阴红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴瘙痒'', ''会阴瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''会阴痛'', ''会阴痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动障碍'', ''活动障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉抽搐'', ''肌肉抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉痉挛'', ''肌肉痉挛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉酸痛'', ''肌肉酸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉疼痛'', ''肌肉疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌肉萎缩'', ''肌肉萎缩'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌卫'', ''肌卫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌无力'', ''肌无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸软'', ''酸软'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸痛'', ''酸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸胀'', ''酸胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畸形'', ''畸形'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''挤压痛'', ''挤压痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆功能丧失'', ''记忆功能丧失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆力下降'', ''记忆力下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''记忆丧失'', ''记忆丧失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健忘'', ''健忘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗忘'', ''遗忘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲改变'', ''甲改变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假肢痛'', ''假肢痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖锐痛'', ''尖锐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩峰痛'', ''肩峰痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩关节痛'', ''肩关节痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩胛痛'', ''肩胛痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肩痛'', ''肩痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右肩痛'', ''右肩痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左肩痛'', ''左肩痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下不适'', ''剑突下不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下疼痛'', ''剑突下疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下隐痛'', ''剑突下隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下胀'', ''剑突下胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剑突下胀痛'', ''剑突下胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞痛'', ''绞痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''悲观厌世'', ''悲观厌世'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冲动毁物'', ''冲动毁物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定向力障碍'', ''定向力障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对答切题'', ''对答切题'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反应迟钝'', ''反应迟钝'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孤僻懒散'', ''孤僻懒散'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行为异常'', ''行为异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胡言乱语'', ''胡言乱语'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑发作'', ''急性焦虑发作'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性焦虑症'', ''急性焦虑症'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急燥'', ''急燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''讲话无逻辑'', ''讲话无逻辑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦虑'', ''焦虑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''焦躁'', ''焦躁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊恐'', ''惊恐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''惊吓'', ''惊吓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精力不足'', ''精力不足'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神差'', ''精神差'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神紧张'', ''精神紧张'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神紊乱'', ''精神紊乱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精神运动性不安'', ''精神运动性不安'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逻辑混乱'', ''逻辑混乱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''闷闷不乐'', ''闷闷不乐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内疚感'', ''内疚感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪低落'', ''情绪低落'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪改变'', ''情绪改变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''情绪激动'', ''情绪激动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤人毁物'', ''伤人毁物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''社交障碍'', ''社交障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妄想'', ''妄想'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萎靡不振'', ''萎靡不振'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兴奋话多'', ''兴奋话多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兴趣丧失'', ''兴趣丧失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性格改变'', ''性格改变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性格急躁易怒'', ''性格急躁易怒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羞愧感'', ''羞愧感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压抑感'', ''压抑感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间惊叫'', ''夜间惊叫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜间恐惧'', ''夜间恐惧'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜惊'', ''夜惊'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑郁'', ''抑郁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑制状态'', ''抑制状态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易憋醒'', ''易憋醒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易激动'', ''易激动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''周期性嗜睡'', ''周期性嗜睡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注意力差'', ''注意力差'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自卑'', ''自卑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自杀行为'', ''自杀行为'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自杀企图'', ''自杀企图'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自语自笑'', ''自语自笑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部包块'', ''颈部包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部不适'', ''颈部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部活动障碍'', ''颈部活动障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部僵硬感'', ''颈部僵硬感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部疼痛'', ''颈部疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部异物'', ''颈部异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部异物感'', ''颈部异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部肿胀'', ''颈部肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈项强直'', ''颈项强直'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈部增粗'', ''颈部增粗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳'', ''干咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喝水呛咳'', ''喝水呛咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食呛咳'', ''进食呛咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呛咳'', ''呛咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻咳'', ''轻咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少痰'', ''少痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿咳'', ''湿咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰量甚少'', ''痰量甚少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰鸣'', ''痰鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰少'', ''痰少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无痰'', ''无痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饮水呛咳'', ''饮水呛咳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色粘液痰'', ''白色粘液痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白痰'', ''白痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稠痰'', ''稠痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉红色泡沫痰'', ''粉红色泡沫痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯白色粘液痰'', ''咯白色粘液痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄色粘液痰'', ''黄色粘液痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄痰'', ''黄痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回吸血涕'', ''回吸血涕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳白色粘液痰'', ''咳白色粘液痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏脓性痰'', ''黏脓性痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓痰'', ''脓痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫痰'', ''泡沫痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰不易咳出'', ''痰不易咳出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰多'', ''痰多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰干不易咳出'', ''痰干不易咳出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘稠痰'', ''粘稠痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘痰'', ''粘痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''啃手指'', ''啃手指'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烦渴'', ''烦渴'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反复口渴'', ''反复口渴'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口渴'', ''口渴'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口渴喜饮'', ''口渴喜饮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猖獗龋齿'', ''猖獗龋齿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口臭'', ''口臭'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇干裂'', ''口唇干裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇干燥'', ''口唇干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇畸形'', ''口唇畸形'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口唇麻木'', ''口唇麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干'', ''口干'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角皲裂'', ''口角皲裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角溃烂'', ''口角溃烂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角裂痛'', ''口角裂痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口苦'', ''口苦'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔溃疡'', ''口腔溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疱疹'', ''口腔疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔疼痛'', ''口腔疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔异味'', ''口腔异味'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔粘膜白斑'', ''口腔粘膜白斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口舌干燥'', ''口舌干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口舌生疮'', ''口舌生疮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口酸'', ''口酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涎'', ''流涎'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磨牙'', ''磨牙'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫唾液'', ''泡沫唾液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兔唇'', ''兔唇'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液粘稠'', ''唾液粘稠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下颌痛'', ''下颌痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿流涎'', ''小儿流涎'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙缺损'', ''牙缺损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙痛'', ''牙痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血'', ''牙龈出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈疼痛'', ''牙龈疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈肿痛'', ''牙龈肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘴角干裂'', ''嘴角干裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩击痛'', ''叩击痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胯肿'', ''胯肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸部肿胀'', ''脸部肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脸肿胀'', ''脸肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裂伤'', ''裂伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴结肿大'', ''淋巴结肿大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴水肿'', ''淋巴水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常'', ''毛发异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤多毛'', ''皮肤多毛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤少毛'', ''皮肤少毛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿不尽'', ''尿不尽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿臭'', ''尿臭'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿床'', ''尿床'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道出血'', ''尿道出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道滴白'', ''尿道滴白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道分泌物增多'', ''尿道分泌物增多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道口瘙痒'', ''尿道口瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道损伤'', ''尿道损伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道溢脓'', ''尿道溢脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿道灼热感'', ''尿道灼热感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿滴血'', ''尿滴血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿精'', ''尿精'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿失禁'', ''尿失禁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气尿'', ''气尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精痛'', ''射精痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''射精障碍'', ''射精障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手淫'', ''手淫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血精'', ''血精'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗尿'', ''遗尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部表情呆板'', ''面部表情呆板'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部表情肌无力'', ''面部表情肌无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部不适'', ''面部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部抽搐'', ''面部抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部呆板'', ''面部呆板'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部呆滞'', ''面部呆滞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部僵硬'', ''面部僵硬'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部麻木'', ''面部麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部神经麻木'', ''面部神经麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部疼痛'', ''面部疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肿痛'', ''面部肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部肿胀'', ''面部肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面肌痉挛'', ''面肌痉挛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面具脸'', ''面具脸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面容淡漠'', ''面容淡漠'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面瘫'', ''面瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色苍白'', ''面色苍白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色潮红'', ''面色潮红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色晦暗'', ''面色晦暗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色黧黑'', ''面色黧黑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面色萎黄'', ''面色萎黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精浊'', ''精浊'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎痛'', ''阴茎痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎肿块'', ''阴茎肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴茎肿胀'', ''阴茎肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊潮湿'', ''阴囊潮湿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊瘙痒'', ''阴囊瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊痛'', ''阴囊痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿大'', ''阴囊肿大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊肿块'', ''阴囊肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊坠痛'', ''阴囊坠痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴囊坠胀感'', ''阴囊坠胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多尿'', ''多尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿量异常'', ''尿量异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿'', ''少尿'', ''3'', ''0'', ''200'', ''3'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无尿'', ''无尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酱油色尿'', ''酱油色尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿白'', ''尿白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红'', ''尿红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿黄'', ''尿黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色黄'', ''尿色黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色深'', ''尿色深'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊'', ''尿液混浊'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿质异常'', ''尿质异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓茶色尿'', ''浓茶色尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡沫尿'', ''泡沫尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉眼血尿'', ''肉眼血尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石灰水样尿'', ''石灰水样尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淘米水样尿'', ''淘米水样尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便浑浊色白'', ''小便浑浊色白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿'', ''血尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动后呕吐'', ''活动后呕吐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剧烈呕吐'', ''剧烈呕吐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血'', ''呕血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕热'', ''怕热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜冷怕热'', ''喜冷怕热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大便不畅'', ''大便不畅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''里急后重'', ''里急后重'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便不尽感'', ''排便不尽感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便费力'', ''排便费力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便时间延长'', ''排便时间延长'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排便阻塞感'', ''排便阻塞感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛'', ''尿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿外渗'', ''尿外渗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿中排石'', ''尿中排石'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿潴留'', ''尿潴留'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿不适'', ''排尿不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便刺痛'', ''小便刺痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便隐痛'', ''小便隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿无力'', ''尿无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难'', ''排尿困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''憋尿困难'', ''憋尿困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白尿'', ''蛋白尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽后有尿液流出'', ''咳嗽后有尿液流出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快步走有尿液流出'', ''快步走有尿液流出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''漏尿'', ''漏尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿急'', ''尿急'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿流变细'', ''尿流变细'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿频'', ''尿频'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿色发红'', ''尿色发红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液溢出'', ''尿液溢出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿不畅'', ''排尿不畅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿等待'', ''排尿等待'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿异常'', ''排尿异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断'', ''排尿中断'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿频'', ''夜尿频'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排气排便减少'', ''排气排便减少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排气增多'', ''排气增多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疖肿'', ''疖肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓头'', ''脓头'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发热感'', ''皮肤发热感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮温正常'', ''皮温正常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''油性皮肤'', ''油性皮肤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手指膜样脱皮'', ''手指膜样脱皮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤苍白'', ''皮肤苍白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤出血点'', ''皮肤出血点'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤粗糙'', ''皮肤粗糙'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发红'', ''皮肤发红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄'', ''皮肤发黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发麻'', ''皮肤发麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常'', ''皮肤感觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤干燥'', ''皮肤干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤巩膜黄染'', ''皮肤巩膜黄染'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤过敏'', ''皮肤过敏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤红肿'', ''皮肤红肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤结节'', ''皮肤结节'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤皲裂'', ''皮肤皲裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤溃疡'', ''皮肤溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤皮疹瘙痒'', ''皮肤皮疹瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤青紫'', ''皮肤青紫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘙痒'', ''皮肤瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤色素沉着'', ''皮肤色素沉着'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤湿冷'', ''皮肤湿冷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤水肿'', ''皮肤水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤烫伤'', ''皮肤烫伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤疼痛'', ''皮肤疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤脱皮'', ''皮肤脱皮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤脱屑'', ''皮肤脱屑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤萎缩'', ''皮肤萎缩'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤硬化'', ''皮肤硬化'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点'', ''皮肤瘀点'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤增厚'', ''皮肤增厚'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤紫斑'', ''皮肤紫斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮损'', ''皮损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮损疼痛'', ''皮损疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胼胝'', ''胼胝'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡协调障碍'', ''平衡协调障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血点'', ''出血点'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下出血'', ''皮下出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下出血点'', ''皮下出血点'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑'', ''皮下瘀斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀斑'', ''瘀斑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀点'', ''瘀点'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血'', ''瘀血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜'', ''紫癜'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑丘疹'', ''斑丘疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风团'', ''风团'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颌疱疹'', ''颌疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泡疹瘙痒'', ''泡疹瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疱疹'', ''疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹'', ''皮疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疱疹'', ''丘疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丘疹'', ''丘疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘'', ''水痘'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱'', ''水疱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水疱瘙痒'', ''水疱瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牵拉痛'', ''牵拉痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牵涉痛'', ''牵涉痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身不适'', ''全身不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身酸胀'', ''全身酸胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''男性乳房发育'', ''男性乳房发育'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房包块'', ''乳房包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房过大'', ''乳房过大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房过小'', ''乳房过小'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房橘皮样变'', ''乳房橘皮样变'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房两侧不对称'', ''乳房两侧不对称'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房皮肤溃疡'', ''乳房皮肤溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房痛'', ''乳房痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房下垂'', ''乳房下垂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房胀痛'', ''乳房胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳房肿胀'', ''乳房肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头凹陷'', ''乳头凹陷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头皲裂'', ''乳头皲裂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头内陷'', ''乳头内陷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头疱疹'', ''乳头疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头湿疹'', ''乳头湿疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头痛'', ''乳头痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头溢血'', ''乳头溢血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳头溢液'', ''乳头溢液'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳硬结'', ''乳硬结'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳汁淤积'', ''乳汁淤积'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢乳'', ''溢乳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘢痕瘙痒'', ''瘢痕瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘙痒'', ''瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臂痛'', ''臂痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上髁骨折'', ''上髁骨折'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢上抬费力'', ''上肢上抬费力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上肢肿胀'', ''上肢肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌两边紫暗'', ''舌两边紫暗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌麻木'', ''舌麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌糜烂'', ''舌糜烂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌破损'', ''舌破损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔暗紫'', ''舌苔暗紫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔发黑'', ''舌苔发黑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌苔黄腻'', ''舌苔黄腻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌瘫'', ''舌瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌疼痛'', ''舌疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌咬伤'', ''舌咬伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌质红'', ''舌质红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌肿胀'', ''舌肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舌灼热'', ''舌灼热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咬舌'', ''咬舌'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身高过矮'', ''身高过矮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''身高过高'', ''身高过高'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不痛不痒'', ''不痛不痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''踩棉花感'', ''踩棉花感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扶物行走'', ''扶物行走'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇'', ''黑矇'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄绿视'', ''黄绿视'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间歇性跛行'', ''间歇性跛行'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角弓反张'', ''角弓反张'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''截瘫'', ''截瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食漏口'', ''进食漏口'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噤声'', ''噤声'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐惧'', ''恐惧'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恐水'', ''恐水'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口角歪斜'', ''口角歪斜'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口吐白沫'', ''口吐白沫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口吐血沫'', ''口吐血沫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口眼歪斜'', ''口眼歪斜'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷诺现象'', ''雷诺现象'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颅脑外伤'', ''颅脑外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻木'', ''麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻痛'', ''麻痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木僵'', ''木僵'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕热多汗'', ''怕热多汗'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫'', ''偏瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软瘫'', ''软瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丧失兴趣'', ''丧失兴趣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物重影'', ''视物重影'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物昏花'', ''视物昏花'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手不可持物'', ''手不可持物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手抖'', ''手抖'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足抽搐'', ''手足抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手抖动'', ''双手抖动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双手震颤'', ''双手震颤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡觉抽搐'', ''睡觉抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠抽搐'', ''睡眠抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢瘫痪'', ''四肢瘫痪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘫痪'', ''瘫痪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天旋地转'', ''天旋地转'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''位置性眩晕'', ''位置性眩晕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卧床不起'', ''卧床不起'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五软'', ''五软'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸吮无力'', ''吸吮无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩光'', ''眩光'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕'', ''眩晕'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙齿松动'', ''牙齿松动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙关紧闭'', ''牙关紧闭'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼白上翻'', ''眼白上翻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部抽搐'', ''眼部抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬瘫'', ''硬瘫'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口困难'', ''张口困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''张口睡觉'', ''张口睡觉'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睁眼无力'', ''睁眼无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抓握无力'', ''抓握无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路不稳'', ''走路不稳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路发飘感'', ''走路发飘感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路摇晃'', ''走路摇晃'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''走路摇晃感'', ''走路摇晃感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阻力感'', ''阻力感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醉酒步态'', ''醉酒步态'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经放射痛'', ''坐骨神经放射痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经牵拉痛'', ''坐骨神经牵拉痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐骨神经痛'', ''坐骨神经痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反流食物'', ''反流食物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咀嚼障碍'', ''咀嚼障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拒食'', ''拒食'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲减退'', ''食欲减退'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲亢进'', ''食欲亢进'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲异常'', ''食欲异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜盐'', ''嗜盐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏食'', ''畏食'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无食欲'', ''无食欲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌食'', ''厌食'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌油'', ''厌油'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏盲'', ''偏盲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视野缺损'', ''视野缺损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手疱疹'', ''手疱疹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脱皮'', ''手脱皮'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手外伤'', ''手外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手足厚大'', ''手足厚大'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''面部浮肿'', ''面部浮肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿'', ''水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑晨起浮肿'', ''眼睑晨起浮肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''24999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体水肿'', ''肢体水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠肌阵挛'', ''睡眠肌阵挛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睡眠尚可'', ''睡眠尚可'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒后不适感'', ''醒后不适感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''撕裂样疼痛'', ''撕裂样疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红色痰'', ''红色痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓血痰'', ''脓血痰'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰中带血'', ''痰中带血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤'', ''烫伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体型异常'', ''体型异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降'', ''体重下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重增加'', ''体重增加'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋'', ''耳聋'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳闷'', ''耳闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣'', ''耳鸣'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内闭塞感'', ''耳内闭塞感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳内堵塞感'', ''耳内堵塞感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老年性耳聋'', ''老年性耳聋'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''怕声音'', ''怕声音'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉过敏'', ''听觉过敏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉受损'', ''听觉受损'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉异常'', ''听觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听觉障碍'', ''听觉障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降'', ''听力下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听音失真'', ''听音失真'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏声'', ''畏声'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噪声性耳聋'', ''噪声性耳聋'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重听'', ''重听'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头闷'', ''头闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮包块'', ''头皮包块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮挫伤'', ''头皮挫伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮发麻'', ''头皮发麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮干'', ''头皮干'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮裂伤'', ''头皮裂伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮平整'', ''头皮平整'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮瘙痒'', ''头皮瘙痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮撕脱伤'', ''头皮撕脱伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发白'', ''头发白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发干枯'', ''头发干枯'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头发稀'', ''头发稀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秃发'', ''秃发'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱发'', ''脱发'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顶枕部胀痛'', ''顶枕部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''额部胀痛'', ''额部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后脑部胀痛'', ''后脑部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''后枕部胀痛'', ''后枕部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颞枕部胀痛'', ''颞枕部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部胀痛'', ''头部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部肿块'', ''头部肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头沉重感'', ''头沉重感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮痛'', ''头皮痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头枕部胀痛'', ''头枕部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枕部胀痛'', ''枕部胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头胀'', ''头胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哽咽感'', ''哽咽感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食哽咽'', ''进食哽咽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食哽咽感'', ''进食哽咽感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食后呕吐'', ''进食后呕吐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''进食疼痛感'', ''进食疼痛感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食物哽咽感'', ''食物哽咽感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽哽噎感'', ''吞咽哽噎感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽梗阻'', ''吞咽梗阻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽痛'', ''吞咽痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍'', ''吞咽障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''臀部疼痛'', ''臀部疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枪弹伤'', ''枪弹伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤处痛'', ''伤处痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摔伤'', ''摔伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤'', ''头部外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮损伤'', ''头皮损伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头皮外伤'', ''头皮外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外伤'', ''外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉减退'', ''味觉减退'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉消失'', ''味觉消失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉异常'', ''味觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''味觉障碍'', ''味觉障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄绿色胆汁样液体'', ''黄绿色胆汁样液体'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饥饿痛'', ''饥饿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳亢易饥'', ''纳亢易饥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心'', ''烧心'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧灼痛'', ''烧灼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排便'', ''停止排便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排气'', ''停止排气'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''停止排气排便'', ''停止排气排便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通气不畅'', ''通气不畅'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异食癖'', ''异食癖'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异物感'', ''异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''易饥'', ''易饥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚酸'', ''脚酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚肿'', ''脚肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿麻'', ''腿麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿酸'', ''腿酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿痛'', ''腿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腿外伤'', ''腿外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下蹲屈曲起立受限'', ''下蹲屈曲起立受限'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下蹲屈曲受限'', ''下蹲屈曲受限'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下腹部肿块'', ''下腹部肿块'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢乏力'', ''下肢乏力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢活动受限'', ''下肢活动受限'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢活动障碍'', ''下肢活动障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢麻木无力'', ''下肢麻木无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢水肿'', ''下肢水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢酸胀感'', ''下肢酸胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢抬举费力'', ''下肢抬举费力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢瘫痪'', ''下肢瘫痪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢疼痛'', ''下肢疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢无力'', ''下肢无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下肢肿胀'', ''下肢肿胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿酸'', ''小腿酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小腿痛'', ''小腿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左膝下蹲屈曲起立受限'', ''左膝下蹲屈曲起立受限'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后饱胀'', ''餐后饱胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''饭后饱胀'', ''饭后饱胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部饱胀'', ''腹部饱胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏食'', ''偏食'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾泻'', ''肾泻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消化不良'', ''消化不良'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早饱'', ''早饱'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦'', ''消瘦'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便白而浊'', ''小便白而浊'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少'', ''小便次数少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便异常'', ''小便异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便正常'', ''小便正常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过缓'', ''心动过缓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心动过速'', ''心动过速'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸'', ''心悸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律不齐'', ''心律不齐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心律失常'', ''心律失常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脏骤停'', ''心脏骤停'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起功能障碍'', ''勃起功能障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起痛'', ''勃起痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''勃起异常'', ''勃起异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性功能障碍'', ''性功能障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性幻想'', ''性幻想'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性交出血'', ''性交出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性交疼痛'', ''性交疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性冷淡'', ''性冷淡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性情急躁'', ''性情急躁'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性欲亢奋'', ''性欲亢奋'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阳痿'', ''阳痿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗精'', ''遗精'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''早泄'', ''早泄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活动后胸闷'', ''活动后胸闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷'', ''心前区闷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷胀感'', ''心前区闷胀感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压迫感'', ''心前区压迫感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自觉胸中堵塞'', ''自觉胸中堵塞'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岔气'', ''岔气'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急性胸肋痛'', ''急性胸肋痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肋下隐痛'', ''肋下隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区刺痛'', ''心前区刺痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区闷痛'', ''心前区闷痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区疼痛'', ''心前区疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区压榨痛'', ''心前区压榨痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区隐痛'', ''心前区隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区胀痛'', ''心前区胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区针刺样不适'', ''心前区针刺样不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区针刺样痛'', ''心前区针刺样痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区灼热感'', ''心前区灼热感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部不适感'', ''胸部不适感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸部刺痛'', ''胸部刺痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸骨后疼痛'', ''胸骨后疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸肋痛'', ''胸肋痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸胀'', ''胸胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''休克'', ''休克'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉倒错'', ''嗅觉倒错'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉过敏'', ''嗅觉过敏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉灵敏'', ''嗅觉灵敏'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉丧失'', ''嗅觉丧失'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉下降'', ''嗅觉下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉异常'', ''嗅觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗅觉障碍'', ''嗅觉障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浅表静脉迂曲'', ''浅表静脉迂曲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管蚯蚓状凸起'', ''血管蚯蚓状凸起'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全程血尿'', ''全程血尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无痛性血尿'', ''无痛性血尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洗肉水样尿'', ''洗肉水样尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''终末血尿'', ''终末血尿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血肿'', ''血肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽异物感'', ''吞咽异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部不适'', ''咽部不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部干'', ''咽部干'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部干燥'', ''咽部干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部僵硬感'', ''咽部僵硬感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部紧缩感'', ''咽部紧缩感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部疼痛'', ''咽部疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部压迫感'', ''咽部压迫感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部异物'', ''咽部异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部异物感'', ''咽部异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部鱼刺'', ''咽部鱼刺'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽部灼热'', ''咽部灼热'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽干'', ''咽干'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉部干燥'', ''咽喉部干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉反流'', ''咽喉反流'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痒'', ''咽喉痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉异物感'', ''咽喉异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛'', ''咽痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛不适'', ''咽痛不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痒'', ''咽痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽异物感'', ''咽异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑'', ''声音嘶哑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失控感'', ''失控感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失声'', ''失声'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜异物'', ''角膜异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜充血'', ''结膜充血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜干燥'', ''结膜干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结膜下出血'', ''结膜下出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪点外翻'', ''泪点外翻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泪液分泌过少'', ''泪液分泌过少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流泪'', ''流泪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上睑下垂'', ''上睑下垂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失明'', ''失明'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视觉漂浮物'', ''视觉漂浮物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视觉异常'', ''视觉异常'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力下降'', ''视力下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力障碍'', ''视力障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视力逐渐下降'', ''视力逐渐下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视盲'', ''视盲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视疲劳'', ''视疲劳'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物变形'', ''视物变形'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物成双'', ''视物成双'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊'', ''视物模糊'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物闪光'', ''视物闪光'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物旋转'', ''视物旋转'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼红'', ''双眼红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼溢泪'', ''双眼溢泪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双眼直视'', ''双眼直视'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏光'', ''畏光'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''下睑外翻'', ''下睑外翻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斜视'', ''斜视'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部分泌物多'', ''眼部分泌物多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部烧灼感'', ''眼部烧灼感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼部异物感'', ''眼部异物感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼充血'', ''眼充血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼充血不适'', ''眼充血不适'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼出血'', ''眼出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼干涩'', ''眼干涩'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼巩膜红'', ''眼巩膜红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼红'', ''眼红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼花感'', ''眼花感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼黄'', ''眼黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑出血'', ''眼睑出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑红'', ''眼睑红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑结膜充血'', ''眼睑结膜充血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑痉挛'', ''眼睑痉挛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑水肿'', ''眼睑水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼睑外翻'', ''眼睑外翻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼角抽搐'', ''眼角抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜充血'', ''眼结膜充血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜干燥'', ''眼结膜干燥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜水肿'', ''眼结膜水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼结膜下出血'', ''眼结膜下出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶抽紧感'', ''眼眶抽紧感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼眶痛'', ''眼眶痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼内异物'', ''眼内异物'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼皮下垂'', ''眼皮下垂'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼前黑影'', ''眼前黑影'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球充血'', ''眼球充血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球发红'', ''眼球发红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球发黄'', ''眼球发黄'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球浮肿'', ''眼球浮肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球内陷'', ''眼球内陷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球水肿'', ''眼球水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球突出'', ''眼球突出'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼球震颤'', ''眼球震颤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼痛'', ''眼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼痒'', ''眼痒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼胀'', ''眼胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼胀痛'', ''眼胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼肿'', ''眼肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼肿痛'', ''眼肿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼周疼痛'', ''眼周疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜盲'', ''夜盲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢泪'', ''溢泪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溢脓'', ''溢脓'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迎风流泪'', ''迎风流泪'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''用眼不能持久'', ''用眼不能持久'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右眼红'', ''右眼红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘膜苍白出血'', ''粘膜苍白出血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左眼红'', ''左眼红'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白眼球水肿'', ''白眼球水肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睑浮肿'', ''睑浮肿'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不断眨眼'', ''不断眨眼'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虹视'', ''虹视'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背僵硬'', ''腰背僵硬'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛'', ''腰背痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部叩击痛'', ''腰部叩击痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部隐痛'', ''腰部隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰胯疼痛'', ''腰胯疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰部麻木'', ''腰部麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰酸'', ''腰酸'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛'', ''腰痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰腿痛'', ''腰腿痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰胀'', ''腰胀'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥'', ''晕厥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐痛'', ''隐痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''营养不良'', ''营养不良'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''不能说话'', ''不能说话'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发音障碍'', ''发音障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沟通障碍'', ''沟通障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''构音障碍'', ''构音障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寡言'', ''寡言'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿不清'', ''口齿不清'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口齿清楚'', ''口齿清楚'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''失语'', ''失语'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''突然不能说话'', ''突然不能说话'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''语言障碍'', ''语言障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量减少'', ''经量减少'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经量增多'', ''经量增多'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期缩短'', ''经期缩短'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经期延长'', ''经期延长'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经淋漓不尽'', ''月经淋漓不尽'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调'', ''月经失调'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动量下降'', ''运动量下降'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动失调'', ''运动失调'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''运动协调障碍'', ''运动协调障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胀痛'', ''胀痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走不便'', ''行走不便'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走不利'', ''行走不利'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走困难'', ''行走困难'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''行走障碍'', ''行走障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前臂不能旋转'', ''前臂不能旋转'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐'', ''肢体抽搐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽筋'', ''肢体抽筋'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽痛'', ''肢体抽痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''1'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抖动'', ''肢体抖动'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体发白'', ''肢体发白'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体发冷'', ''肢体发冷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体活动障碍'', ''肢体活动障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体酸痛'', ''肢体酸痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体疼痛'', ''肢体疼痛'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体外伤'', ''肢体外伤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体无力'', ''肢体无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体震颤'', ''肢体震颤'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肘不能内收'', ''肘不能内收'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脚麻'', ''脚麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木'', ''手脚麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手麻'', ''手麻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢粗短'', ''四肢粗短'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢麻木'', ''四肢麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木'', ''肢体麻木'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木无力'', ''肢体麻木无力'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''窒息感'', ''窒息感'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痴呆'', ''痴呆'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力减退'', ''智力减退'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力缺陷'', ''智力缺陷'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智力障碍'', ''智力障碍'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马蹄内翻足'', ''马蹄内翻足'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双足内翻'', ''双足内翻'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足溃疡'', ''足溃疡'', ''3'', ''0'', ''200'', ''4'', ''0'', ''1'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0.9%氯化钠注射液'', ''0.9%氯化钠注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''10%葡萄糖注射液'', ''10%葡萄糖注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12种复合维生素'', ''12种复合维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23价肺炎球菌多糖疫苗'', ''23价肺炎球菌多糖疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30/70混合重组人胰岛素'', ''30/70混合重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖氯化钠注射液'', ''5%葡萄糖氯化钠注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5%葡萄糖注射液'', ''5%葡萄糖注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50%葡萄糖注射液'', ''50%葡萄糖注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''50/50混合重组人胰岛素'', ''50/50混合重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ACYW135群脑膜炎球菌多糖疫苗'', ''ACYW135群脑膜炎球菌多糖疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌多糖疫苗'', ''A群C群脑膜炎球菌多糖疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群C群脑膜炎球菌结合疫苗'', ''A群C群脑膜炎球菌结合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌'', ''A群链球菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群脑膜炎球菌多糖疫苗'', ''A群脑膜炎球菌多糖疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A型肉毒毒素'', ''A型肉毒毒素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''b型流感嗜血杆菌结合疫苗'', ''b型流感嗜血杆菌结合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-谷氨酰胺呱仑酸钠'', ''L-谷氨酰胺呱仑酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''L-赖氨酸盐酸盐'', ''L-赖氨酸盐酸盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N(2)-L-丙氨酰-L-谷氨酰胺'', ''N(2)-L-丙氨酰-L-谷氨酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ω-3鱼油脂肪乳'', ''ω-3鱼油脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿巴卡韦'', ''阿巴卡韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿柏西普'', ''阿柏西普'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿苯达唑'', ''阿苯达唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿比多尔'', ''阿比多尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿比特龙'', ''阿比特龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达木单抗'', ''阿达木单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿达帕林'', ''阿达帕林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿德福韦酯'', ''阿德福韦酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿伐斯汀'', ''阿伐斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法骨化醇'', ''阿法骨化醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿法替尼'', ''阿法替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿夫唑嗪'', ''阿夫唑嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿戈美拉汀'', ''阿戈美拉汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿格列汀'', ''阿格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血颗粒'', ''阿归养血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿归养血糖浆'', ''阿归养血糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿加曲班'', ''阿加曲班'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶'', ''阿胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶补血口服液'', ''阿胶补血口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶当归口服液'', ''阿胶当归口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶胶囊'', ''阿胶胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿胶养血颗粒'', ''阿胶养血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿桔'', ''阿桔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿桔片'', ''阿桔片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿咖酚'', ''阿咖酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿卡波糖'', ''阿卡波糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿拉坦五味丸'', ''阿拉坦五味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿立哌唑'', ''阿立哌唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿利沙坦酯'', ''阿利沙坦酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠'', ''阿仑膦酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿仑膦酸钠维D3'', ''阿仑膦酸钠维D3'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿罗洛尔'', ''阿罗洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿洛西林'', ''阿洛西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米卡星'', ''阿米卡星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米洛利'', ''阿米洛利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿米替林'', ''阿米替林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫罗芬'', ''阿莫罗芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林'', ''阿莫西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林氟氯西林'', ''阿莫西林氟氯西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾'', ''阿莫西林克拉维酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(14:1)'', ''阿莫西林克拉维酸钾(14:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4'', ''阿莫西林克拉维酸钾(4'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(4:1)'', ''阿莫西林克拉维酸钾(4:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7'', ''阿莫西林克拉维酸钾(7'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林克拉维酸钾(7:1)'', ''阿莫西林克拉维酸钾(7:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿莫西林舒巴坦'', ''阿莫西林舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿那曲唑'', ''阿那曲唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿娜尔妇洁液'', ''阿娜尔妇洁液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿帕替尼'', ''阿帕替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿哌沙班'', ''阿哌沙班'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿普唑仑'', ''阿普唑仑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素'', ''阿奇霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素枸橼酸二氢钠'', ''阿奇霉素枸橼酸二氢钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素磷酸二氢钠'', ''阿奇霉素磷酸二氢钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿曲库铵'', ''阿曲库铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿瑞匹坦'', ''阿瑞匹坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿舒瑞韦'', ''阿舒瑞韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿司匹林'', ''阿司匹林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿糖胞苷'', ''阿糖胞苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因'', ''阿替卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替卡因肾上腺素'', ''阿替卡因肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替洛尔'', ''阿替洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿替普酶'', ''阿替普酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀'', ''阿托伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托伐他汀钙'', ''阿托伐他汀钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托品'', ''阿托品'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿托西班'', ''阿托西班'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿维A'', ''阿维A'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠'', ''阿魏酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸钠葡萄糖'', ''阿魏酸钠葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿魏酸哌嗪'', ''阿魏酸哌嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿西美辛'', ''阿西美辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔洛韦'', ''阿昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔莫司'', ''阿昔莫司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿昔替尼'', ''阿昔替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎胞苷'', ''阿扎胞苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎司琼'', ''阿扎司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿扎司琼氯化钠'', ''阿扎司琼氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿折地平'', ''阿折地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃克替尼'', ''埃克替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑'', ''埃索美拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃索美拉唑镁'', ''埃索美拉唑镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾迪注射液'', ''艾迪注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾地苯醌'', ''艾地苯醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾附暖宫丸'', ''艾附暖宫丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾拉莫德'', ''艾拉莫德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾普拉唑'', ''艾普拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾瑞昔布'', ''艾瑞昔布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾塞那肽'', ''艾塞那肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑'', ''艾司奥美拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司奥美拉唑镁'', ''艾司奥美拉唑镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司洛尔'', ''艾司洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司西酞普兰'', ''艾司西酞普兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾司唑仑'', ''艾司唑仑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾愈胶囊'', ''艾愈胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''爱普列特'', ''爱普列特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安多霖'', ''安多霖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安多霖胶囊'', ''安多霖胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安儿宁颗粒'', ''安儿宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安非他酮'', ''安非他酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄片'', ''安宫牛黄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安宫牛黄丸'', ''安宫牛黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安康欣胶囊'', ''安康欣胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安坤胶囊'', ''安坤胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乐片'', ''安乐片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安立生坦'', ''安立生坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安罗替尼'', ''安罗替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络化纤丸'', ''安络化纤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛胶囊'', ''安络痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安络痛片'', ''安络痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安乃近'', ''安乃近'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安脑丸'', ''安脑丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑胶囊'', ''安神补脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑颗粒'', ''安神补脑颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑片'', ''安神补脑片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补脑液'', ''安神补脑液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安神补心丸'', ''安神补心丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安他唑啉'', ''安他唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胎丸'', ''安胎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安体舒通'', ''安体舒通'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安替可'', ''安替可'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安替可胶囊'', ''安替可胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安妥沙星'', ''安妥沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃片'', ''安胃片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃疡胶囊'', ''安胃疡胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安胃止痛胶囊'', ''安胃止痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''安中片'', ''安中片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桉柠蒎'', ''桉柠蒎'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶'', ''氨苯蝶啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苯蝶啶氢氯噻嗪'', ''氨苯蝶啶氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林'', ''氨苄西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨苄西林舒巴坦'', ''氨苄西林舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨茶碱'', ''氨茶碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨碘肽'', ''氨碘肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚待因(Ⅰ)'', ''氨酚待因(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚甲硫氨酸'', ''氨酚甲硫氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖黄烷胺'', ''氨酚咖黄烷胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚咖那敏'', ''氨酚咖那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯雷伪麻'', ''氨酚氯雷伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚氯汀伪麻'', ''氨酚氯汀伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚麻美'', ''氨酚麻美'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚美伪麻片与苯酚伪麻'', ''氨酚美伪麻片与苯酚伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚那敏三味浸膏'', ''氨酚那敏三味浸膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚羟考酮'', ''氨酚羟考酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲'', ''氨酚曲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚曲马多'', ''氨酚曲马多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚沙芬'', ''氨酚沙芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚双氢可待因'', ''氨酚双氢可待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚烷胺那敏'', ''氨酚烷胺那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻'', ''氨酚伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻(Ⅱ)'', ''氨酚伪麻(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬'', ''氨酚伪麻美芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬(Ⅲ)/氨麻美敏(Ⅲ)'', ''氨酚伪麻美芬(Ⅲ)/氨麻美敏(Ⅲ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬/氨麻美敏Ⅱ'', ''氨酚伪麻美芬/氨麻美敏Ⅱ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬Ⅱ'', ''氨酚伪麻美芬Ⅱ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻美芬Ⅱ/氨麻苯美'', ''氨酚伪麻美芬Ⅱ/氨麻苯美'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏'', ''氨酚伪麻那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅰ)'', ''氨酚伪麻那敏(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅱ)'', ''氨酚伪麻那敏(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚伪麻那敏(Ⅲ)'', ''氨酚伪麻那敏(Ⅲ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酚右敏'', ''氨酚右敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磺必利'', ''氨磺必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基比林'', ''氨基比林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基己酸'', ''氨基己酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基葡萄糖'', ''氨基葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基葡萄糖钾'', ''氨基葡萄糖钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸'', ''氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨基酸葡萄糖'', ''氨基酸葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸'', ''氨甲苯酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲苯酸氯化钠'', ''氨甲苯酸氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸'', ''氨甲环酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨甲环酸氯化钠'', ''氨甲环酸氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨金黄敏'', ''氨金黄敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖黄敏'', ''氨咖黄敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨咖愈敏'', ''氨咖愈敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨来闩悼谇惶片'', ''氨来闩悼谇惶片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酪酸'', ''氨酪酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨磷汀'', ''氨磷汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平'', ''氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平阿托伐他汀钙'', ''氨氯地平阿托伐他汀钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨氯地平贝那普利'', ''氨氯地平贝那普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美敏'', ''氨麻美敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨麻美明'', ''氨麻美明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨曲南'', ''氨曲南'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨肽素'', ''氨肽素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨糖美辛'', ''氨糖美辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨酮戊酸'', ''氨酮戊酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索氯化钠'', ''氨溴索氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴索葡萄糖'', ''氨溴索葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氨溴特罗'', ''氨溴特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胺碘酮'', ''胺碘酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼'', ''昂丹司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼氯化钠'', ''昂丹司琼氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昂丹司琼葡萄糖'', ''昂丹司琼葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥布卡因'', ''奥布卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥氮平'', ''奥氮平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥卡西平'', ''奥卡西平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥拉西坦'', ''奥拉西坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥洛他定'', ''奥洛他定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥马珠单抗'', ''奥马珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美拉唑镁'', ''奥美拉唑镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯'', ''奥美沙坦酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥美沙坦酯氢氯噻嗪'', ''奥美沙坦酯氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥普力农'', ''奥普力农'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉秦'', ''奥沙拉秦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙拉嗪'', ''奥沙拉嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂'', ''奥沙利铂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙利铂甘露醇'', ''奥沙利铂甘露醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙普秦'', ''奥沙普秦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥沙西泮'', ''奥沙西泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥司他韦'', ''奥司他韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥替溴铵'', ''奥替溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥昔布宁'', ''奥昔布宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝'', ''奥硝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑'', ''奥硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑氯化钠'', ''奥硝唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥硝唑葡萄糖'', ''奥硝唑葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷'', ''奥扎格雷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奥扎格雷钠氯化钠'', ''奥扎格雷钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐胶囊'', ''澳泰乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''澳泰乐颗粒'', ''澳泰乐颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八宝丹胶囊'', ''八宝丹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍胶囊'', ''八珍胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒'', ''八珍颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍颗粒（无蔗糖）'', ''八珍颗粒（无蔗糖）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍片'', ''八珍片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母胶囊'', ''八珍益母胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母片'', ''八珍益母片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八珍益母丸'', ''八珍益母丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正胶囊'', ''八正胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正颗粒'', ''八正颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''八正片'', ''八正片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴戟口服液'', ''巴戟口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴利昔单抗'', ''巴利昔单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴柳氮钠'', ''巴柳氮钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴洛沙星'', ''巴洛沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴氯芬'', ''巴氯芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴曲酶'', ''巴曲酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巴特日七味丸'', ''巴特日七味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疤痕止痒软化乳膏'', ''疤痕止痒软化乳膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白百抗痨颗粒'', ''白百抗痨颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白带丸'', ''白带丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白癜风胶囊'', ''白癜风胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白花油'', ''白花油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白灵片'', ''白灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白苓健脾颗粒'', ''白苓健脾颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白脉软膏'', ''白脉软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白眉蛇毒血凝酶'', ''白眉蛇毒血凝酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白葡奈氏菌'', ''白葡奈氏菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白芍总苷'', ''白芍总苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白石清热颗粒'', ''白石清热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白消安'', ''白消安'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百艾洗液'', ''百艾洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百安洗液'', ''百安洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百宝丹胶囊'', ''百宝丹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百补增力丸'', ''百补增力丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百草妇炎清栓'', ''百草妇炎清栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金口服液'', ''百合固金口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金片'', ''百合固金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百合固金丸'', ''百合固金丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳静糖浆'', ''百咳静糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百咳宁颗粒'', ''百咳宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令胶囊'', ''百令胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百令片'', ''百令片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊颗粒'', ''百蕊颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百蕊片'', ''百蕊片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热胶囊'', ''百癣夏塔热胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百癣夏塔热片'', ''百癣夏塔热片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏洁洗剂'', ''柏洁洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柏子养心丸'', ''柏子养心丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''班布特罗'', ''班布特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥素'', ''斑蝥素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''斑蝥酸钠'', ''斑蝥酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根颗粒'', ''板蓝根颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''板蓝根注射液'', ''板蓝根注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半水合雌二醇'', ''半水合雌二醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏露糖浆'', ''半夏露糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''半夏糖浆'', ''半夏糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''包醛氧淀粉'', ''包醛氧淀粉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱'', ''胞磷胆碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱钠氯化钠'', ''胞磷胆碱钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胞磷胆碱葡萄糖'', ''胞磷胆碱葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄荷喉片'', ''薄荷喉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝片'', ''薄芝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薄芝糖肽'', ''薄芝糖肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝宝乐'', ''宝宝乐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宝咳宁颗粒'', ''宝咳宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保儿安颗粒'', ''保儿安颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康凝胶'', ''保妇康凝胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康泡沫剂'', ''保妇康泡沫剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保妇康栓'', ''保妇康栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和颗粒'', ''保和颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保和丸'', ''保和丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济口服液'', ''保济口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保济丸'', ''保济丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保利尔胶囊'', ''保利尔胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵'', ''保胎灵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎灵胶囊'', ''保胎灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧片'', ''保胎无忧片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保胎无忧散'', ''保胎无忧散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''保泰松'', ''保泰松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葆宫止血颗粒'', ''葆宫止血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''北豆根胶囊'', ''北豆根胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠'', ''贝伐珠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝伐珠单抗'', ''贝伐珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝羚胶囊'', ''贝羚胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美前列素'', ''贝美前列素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美素噻吗洛尔'', ''贝美素噻吗洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝美索噻吗洛尔'', ''贝美索噻吗洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝敏伪麻'', ''贝敏伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝母花流浸膏'', ''贝母花流浸膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利'', ''贝那普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝那普利氢氯噻嗪'', ''贝那普利氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝尼地平'', ''贝尼地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝诺酯'', ''贝诺酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贝前列素'', ''贝前列素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他胡萝卜素'', ''倍他胡萝卜素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他洛尔'', ''倍他洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松'', ''倍他米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他米松磷酸钠'', ''倍他米松磷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他司汀'', ''倍他司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''倍他司汀氯化钠'', ''倍他司汀氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥'', ''苯巴比妥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯巴比妥东莨菪碱'', ''苯巴比妥东莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙哌林'', ''苯丙哌林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丁酸氮芥'', ''苯丁酸氮芥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明'', ''苯海拉明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海拉明薄荷脑'', ''苯海拉明薄荷脑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯海索'', ''苯海索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺顺阿曲库铵'', ''苯磺顺阿曲库铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸阿曲库铵'', ''苯磺酸阿曲库铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸氨氯地平'', ''苯磺酸氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯磺酸左旋氨氯地平'', ''苯磺酸左旋氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯甲醇'', ''苯甲醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯妥英钠'', ''苯妥英钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯酰甲硝唑'', ''苯酰甲硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯溴马隆'', ''苯溴马隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎贝特'', ''苯扎贝特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎氯铵'', ''苯扎氯铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯扎溴铵'', ''苯扎溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯唑西林'', ''苯唑西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻窦炎口服液'', ''鼻窦炎口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻康片'', ''鼻康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎康片'', ''鼻炎康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻炎片'', ''鼻炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊片'', ''鼻渊片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊舒口服液'', ''鼻渊舒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻渊通窍颗粒'', ''鼻渊通窍颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比阿培南'', ''比阿培南'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比拜克胶囊'', ''比拜克胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比伐芦定'', ''比伐芦定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比卡鲁胺'', ''比卡鲁胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比沙可啶'', ''比沙可啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔'', ''比索洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比索洛尔氢氯噻嗪'', ''比索洛尔氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡贝地尔'', ''吡贝地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡格列酮'', ''吡格列酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡格列酮二甲双胍'', ''吡格列酮二甲双胍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡喹酮'', ''吡喹酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦'', ''吡拉西坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡拉西坦氯化钠'', ''吡拉西坦氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫醇'', ''吡硫醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡硫翁锌'', ''吡硫翁锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡罗昔康'', ''吡罗昔康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡美莫司'', ''吡美莫司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嘧司特钾'', ''吡嘧司特钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡诺克辛'', ''吡诺克辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡哌酸'', ''吡哌酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡嗪酰胺'', ''吡嗪酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吡柔比星'', ''吡柔比星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋雷尼替丁'', ''铋雷尼替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铋镁豆蔻'', ''铋镁豆蔻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萆薢分清丸'', ''萆薢分清丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓖麻油'', ''蓖麻油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹祺胶囊'', ''痹祺胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痹痛宁胶囊'', ''痹痛宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄达赖氨酸'', ''苄达赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苄星青霉素'', ''苄星青霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通胶囊'', ''便通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便通片'', ''便通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油'', ''标准桃金娘油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''标准桃金娘油肠溶胶囊'', ''标准桃金娘油肠溶胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''表柔比星'', ''表柔比星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲煎丸'', ''鳖甲煎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳖甲消痔胶囊'', ''鳖甲消痔胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''别嘌醇'', ''别嘌醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰黄肤乐软膏'', ''冰黄肤乐软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰硼散'', ''冰硼散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冰珍清目滴眼液'', ''冰珍清目滴眼液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙氨酰谷氨酰胺'', ''丙氨酰谷氨酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚'', ''丙泊酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚脂肪乳'', ''丙泊酚脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙泊酚中/长链脂肪乳'', ''丙泊酚中/长链脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙卡特罗'', ''丙卡特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫氧嘧啶'', ''丙硫氧嘧啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙硫异烟胺'', ''丙硫异烟胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙美卡因'', ''丙美卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙帕他莫'', ''丙帕他莫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙哌维林'', ''丙哌维林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸倍氯米松'', ''丙酸倍氯米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氟替卡松'', ''丙酸氟替卡松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸睾酮'', ''丙酸睾酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸交沙霉素'', ''丙酸交沙霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酸氯倍他索'', ''丙酸氯倍他索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸镁'', ''丙戊酸镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸钠'', ''丙戊酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酰胺'', ''丙戊酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云锭'', ''拨云锭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拨云退翳丸'', ''拨云退翳丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸酶'', ''玻璃酸酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玻璃酸钠'', ''玻璃酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''菠萝蛋白酶'', ''菠萝蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泊沙康唑'', ''泊沙康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博安霉素'', ''博安霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博来霉素'', ''博来霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博莱霉素'', ''博莱霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''博性康药膜'', ''博性康药膜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肺活血胶囊'', ''补肺活血胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补金片'', ''补金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补脾益肠丸'', ''补脾益肠丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾固齿丸'', ''补肾固齿丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾强身片'', ''补肾强身片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑胶囊'', ''补肾益脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益脑丸'', ''补肾益脑丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿胶囊'', ''补肾益寿胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补肾益寿片'', ''补肾益寿片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补天灵片'', ''补天灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补心气口服液'', ''补心气口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补血生乳颗粒'', ''补血生乳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补液盐'', ''补液盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气合剂'', ''补中益气合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气颗粒'', ''补中益气颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气口服液'', ''补中益气口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸'', ''补中益气丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸(浓缩丸)'', ''补中益气丸(浓缩丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补中益气丸（水丸）'', ''补中益气丸（水丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布比卡因'', ''布比卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德'', ''布地奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布地奈德福莫特罗'', ''布地奈德福莫特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布桂嗪'', ''布桂嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布拉氏酵母菌'', ''布拉氏酵母菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布林佐胺'', ''布林佐胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛芬'', ''布洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻'', ''布洛伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布洛伪麻那敏'', ''布洛伪麻那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布美他尼'', ''布美他尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布南色林'', ''布南色林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布替萘芬'', ''布替萘芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布托啡诺'', ''布托啡诺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参柴肝康软胶囊'', ''参柴肝康软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参丹散结胶囊'', ''参丹散结胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参蛾助阳合剂'', ''参蛾助阳合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参附注射液'', ''参附注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参桂鹿茸丸'', ''参桂鹿茸丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参黄养阴胶囊'', ''参黄养阴胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参莲胶囊'', ''参莲胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术颗粒'', ''参苓白术颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参苓白术散'', ''参苓白术散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦地黄丸'', ''参麦地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参麦注射液'', ''参麦注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参七乳泰片'', ''参七乳泰片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪扶正注射液'', ''参芪扶正注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪肝康片'', ''参芪肝康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪健胃颗粒'', ''参芪健胃颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖胶囊'', ''参芪降糖胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖颗粒'', ''参芪降糖颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪降糖片'', ''参芪降糖片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪十一味颗粒'', ''参芪十一味颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子胶囊'', ''参芪五味子胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芪五味子片'', ''参芪五味子片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸保胎丸'', ''参茸保胎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参茸强肾片'', ''参茸强肾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参三七伤药片'', ''参三七伤药片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参松养心胶囊'', ''参松养心胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参维冻干蜂王浆片'', ''参维冻干蜂王浆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参仙升脉口服液'', ''参仙升脉口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''参芎葡萄糖'', ''参芎葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚕茸柱天胶囊'', ''蚕茸柱天胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎滴丸'', ''苍耳子鼻炎滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苍耳子鼻炎胶囊'', ''苍耳子鼻炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草分枝杆菌F.U.36'', ''草分枝杆菌F.U.36'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草木犀流浸液'', ''草木犀流浸液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草酸艾司西酞普兰'', ''草酸艾司西酞普兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草乌甲素'', ''草乌甲素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶苯海明'', ''茶苯海明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱'', ''茶碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱缓释'', ''茶碱缓释'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茶碱麻黄碱'', ''茶碱麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡滴丸'', ''柴胡滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴胡注射液'', ''柴胡注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄颗粒'', ''柴黄颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴黄清热颗粒'', ''柴黄清热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柴银口服液'', ''柴银口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾麝救心丸'', ''蟾麝救心丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蟾酥注射液'', ''蟾酥注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安胶囊'', ''产妇安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产妇安颗粒'', ''产妇安颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复康颗粒'', ''产复康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产复欣颗粒'', ''产复欣颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后康膏'', ''产后康膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''产后逐瘀胶囊'', ''产后逐瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠道病毒71型灭活疫苗(Vero细胞)'', ''肠道病毒71型灭活疫苗(Vero细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠康片'', ''肠康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养'', ''肠内营养'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(SP)'', ''肠内营养(SP)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP)'', ''肠内营养(TP)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF)'', ''肠内营养(TPF)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-D)'', ''肠内营养(TPF-D)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-DM)'', ''肠内营养(TPF-DM)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-FOS)'', ''肠内营养(TPF-FOS)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TPF-T)'', ''肠内营养(TPF-T)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP-HE)'', ''肠内营养(TP-HE)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠内营养(TP-MCT)'', ''肠内营养(TP-MCT)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠泰合剂'', ''肠泰合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃散'', ''肠胃散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠胃舒胶囊'', ''肠胃舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠炎宁糖浆'', ''肠炎宁糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香化气胶囊'', ''沉香化气胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沉香曲'', ''沉香曲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''陈香露白露片'', ''陈香露白露片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿白带丸'', ''除湿白带丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒软膏'', ''除湿止痒软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''除湿止痒洗液'', ''除湿止痒洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川百止痒洗剂'', ''川百止痒洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷胶囊'', ''川贝枇杷胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝枇杷糖浆'', ''川贝枇杷糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝清肺糖浆'', ''川贝清肺糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川贝雪梨膏'', ''川贝雪梨膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川黄口服液'', ''川黄口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调颗粒'', ''川芎茶调颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎茶调片'', ''川芎茶调片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪'', ''川芎嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪氯化钠'', ''川芎嗪氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎嗪葡萄糖'', ''川芎嗪葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川芎清脑颗粒'', ''川芎清脑颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''川蛭通络胶囊'', ''川蛭通络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿琥宁'', ''穿琥宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿黄清热胶囊'', ''穿黄清热胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿王消炎片'', ''穿王消炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿心莲片'', ''穿心莲片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘咳宁片'', ''喘咳宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喘可治注射液'', ''喘可治注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草颗粒'', ''垂盆草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂盆草片'', ''垂盆草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''垂体后叶'', ''垂体后叶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''椿乳凝胶'', ''椿乳凝胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磁朱丸'', ''磁朱丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇'', ''雌二醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇/雌二醇地屈孕酮'', ''雌二醇/雌二醇地屈孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇地屈孕酮'', ''雌二醇地屈孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇屈螺酮'', ''雌二醇屈螺酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌莫司汀'', ''雌莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''次氯酸钠'', ''次氯酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加胶囊'', ''刺五加胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加脑灵胶囊'', ''刺五加脑灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''刺五加注射液'', ''刺五加注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁黄补肾胶囊'', ''苁黄补肾胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉通便口服液'', ''苁蓉通便口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苁蓉益肾颗粒'', ''苁蓉益肾颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肝细胞生长素'', ''促肝细胞生长素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促皮质素'', ''促皮质素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氨己酸锌'', ''醋氨己酸锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋甲唑胺'', ''醋甲唑胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋氯芬酸'', ''醋氯芬酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸钙'', ''醋酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醋酸亮丙瑞林'', ''醋酸亮丙瑞林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达比加群酯'', ''达比加群酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达泊西汀'', ''达泊西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素'', ''达肝素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达肝素钠'', ''达肝素钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达格列净'', ''达格列净'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达卡巴嗪'', ''达卡巴嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁'', ''达克罗宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达克罗宁氯己定硫'', ''达克罗宁氯己定硫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达拉他韦'', ''达拉他韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达立通颗粒'', ''达立通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达那唑'', ''达那唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达诺瑞韦'', ''达诺瑞韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达沙替尼'', ''达沙替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''达托霉素'', ''达托霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大败毒胶囊'', ''大败毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大补阴丸'', ''大补阴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大观霉素'', ''大观霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆胶囊'', ''大黄利胆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄利胆片'', ''大黄利胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄庶虫丸'', ''大黄庶虫丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄碳酸氢钠'', ''大黄碳酸氢钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄通便颗粒'', ''大黄通便颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄叶绿素铜钠'', ''大黄叶绿素铜钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蜇虫丸'', ''大黄蜇虫丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫胶囊'', ''大黄蛰虫胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大黄蛰虫片'', ''大黄蛰虫片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络胶囊'', ''大活络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大活络丸'', ''大活络丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大山楂丸'', ''大山楂丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜'', ''大蒜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大蒜素'', ''大蒜素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天胶囊'', ''大株红景天胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大株红景天注射液'', ''大株红景天注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''代温灸膏'', ''代温灸膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参川芎嗪'', ''丹参川芎嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参滴注液'', ''丹参滴注液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参多酚酸'', ''丹参多酚酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参胶囊'', ''丹参胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参片'', ''丹参片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参软胶囊'', ''丹参软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参舒心胶囊'', ''丹参舒心胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮ⅡA磺酸钠'', ''丹参酮ⅡA磺酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参酮胶囊'', ''丹参酮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹参注射液'', ''丹参注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑胶囊'', ''丹灯通脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹灯通脑片'', ''丹灯通脑片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹莪妇康煎膏'', ''丹莪妇康煎膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹红注射液'', ''丹红注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀胶囊'', ''丹黄祛瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹黄祛瘀片'', ''丹黄祛瘀片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹鹿通督片'', ''丹鹿通督片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚'', ''丹皮酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚磺酸钠'', ''丹皮酚磺酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹皮酚软膏'', ''丹皮酚软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七胶囊'', ''丹七胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七片'', ''丹七片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹七软胶囊'', ''丹七软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹芪偏瘫胶囊'', ''丹芪偏瘫胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹田降脂丸'', ''丹田降脂丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹膝颗粒'', ''丹膝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹香冠心注射液'', ''丹香冠心注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹珍头痛胶囊'', ''丹珍头痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥胶囊'', ''丹栀逍遥胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丹栀逍遥片'', ''丹栀逍遥片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''25999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单磷酸阿糖腺苷'', ''单磷酸阿糖腺苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单唾液酸四己糖神经节苷脂'', ''单唾液酸四己糖神经节苷脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯'', ''单硝酸异山梨酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯氯化钠'', ''单硝酸异山梨酯氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单硝酸异山梨酯葡萄糖'', ''单硝酸异山梨酯葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆康片'', ''胆康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆乐胶囊'', ''胆乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆木浸膏片'', ''胆木浸膏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆宁片'', ''胆宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石利通片'', ''胆石利通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆石片'', ''胆石片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆舒胶囊'', ''胆舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆酸钠'', ''胆酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆香鼻炎胶囊'', ''胆香鼻炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆益宁片'', ''胆益宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弹性酶'', ''弹性酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白琥珀酸铁'', ''蛋白琥珀酸铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氮芥'', ''氮芥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氮卓斯汀'', ''氮卓斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当飞利肝宁胶囊'', ''当飞利肝宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归补血口服液'', ''当归补血口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归腹痛宁滴丸'', ''当归腹痛宁滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟胶囊'', ''当归龙荟胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''当归龙荟丸'', ''当归龙荟丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锝[99Tc]亚甲基二膦酸盐'', ''锝[99Tc]亚甲基二膦酸盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素'', ''灯盏花素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素滴丸'', ''灯盏花素滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素分散片'', ''灯盏花素分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素片'', ''灯盏花素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏花素注射液'', ''灯盏花素注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏生脉胶囊'', ''灯盏生脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灯盏细辛注射液'', ''灯盏细辛注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素'', ''低分子肝素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子肝素钙'', ''低分子肝素钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低分子右旋糖酐氨基酸'', ''低分子右旋糖酐氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液'', ''低钙腹膜透析液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G1.5%)'', ''低钙腹膜透析液(乳酸盐-G1.5%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G2.5%)'', ''低钙腹膜透析液(乳酸盐-G2.5%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低钙腹膜透析液(乳酸盐-G4.25%)'', ''低钙腹膜透析液(乳酸盐-G4.25%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白锌胰岛素'', ''低精蛋白锌胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低精蛋白重组人胰岛素'', ''低精蛋白重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水'', ''滴通鼻炎水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴通鼻炎水喷雾剂'', ''滴通鼻炎水喷雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迪诺康胶囊'', ''迪诺康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥司明'', ''地奥司明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康'', ''地奥心血康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康胶囊'', ''地奥心血康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奥心血康软胶囊'', ''地奥心血康软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地巴唑'', ''地巴唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地尔硫卓'', ''地尔硫卓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地尔硫卓(Ⅱ)'', ''地尔硫卓(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地芬尼多'', ''地芬尼多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氟烷'', ''地氟烷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛'', ''地高辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素'', ''地红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地红霉素肠'', ''地红霉素肠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地喹氯铵'', ''地喹氯铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地拉罗司'', ''地拉罗司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地氯雷他定'', ''地氯雷他定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地奈德'', ''地奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地诺前列酮'', ''地诺前列酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地屈孕酮'', ''地屈孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地塞米松'', ''地塞米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地特胰岛素'', ''地特胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西泮'', ''地西泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地西他滨'', ''地西他滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌'', ''地衣芽孢杆菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地衣芽孢杆菌活菌'', ''地衣芽孢杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地榆升白片'', ''地榆升白片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地佐辛'', ''地佐辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''递法明'', ''递法明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄'', ''颠茄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颠茄片'', ''颠茄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癫痫康胶囊'', ''癫痫康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''点舌丸'', ''点舌丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘比醇'', ''碘比醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘酊'', ''碘酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘佛醇'', ''碘佛醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘甘油'', ''碘甘油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘海醇'', ''碘海醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘化油'', ''碘化油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘解磷定'', ''碘解磷定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘克沙醇'', ''碘克沙醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘帕醇'', ''碘帕醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘普罗胺'', ''碘普罗胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打七厘片'', ''跌打七厘片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打万花油'', ''跌打万花油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跌打镇痛膏'', ''跌打镇痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯羟酸'', ''丁苯羟酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞'', ''丁苯酞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁苯酞氯化钠'', ''丁苯酞氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁丙诺啡'', ''丁丙诺啡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁二磺酸腺苷蛋氨酸'', ''丁二磺酸腺苷蛋氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁咯地尔'', ''丁咯地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁桂儿脐贴'', ''丁桂儿脐贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁卡因'', ''丁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁螺环酮'', ''丁螺环酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁硼'', ''丁硼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁酸氢化可的松'', ''丁酸氢化可的松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁溴东莨菪碱'', ''丁溴东莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹'', ''定坤丹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''定坤丹(水蜜丸)'', ''定坤丹(水蜜丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''东方活血膏'', ''东方活血膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草胶囊'', ''冬凌草胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冬凌草片'', ''冬凌草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻疮膏'', ''冻疮膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干甲型肝炎减毒活疫苗'', ''冻干甲型肝炎减毒活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(Vero细胞)'', ''冻干人用狂犬病疫苗(Vero细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干人用狂犬病疫苗(人二倍体细胞)'', ''冻干人用狂犬病疫苗(人二倍体细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冻干水痘减毒活疫苗'', ''冻干水痘减毒活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁滴丸'', ''都梁滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁软胶囊'', ''都梁软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''都梁丸'', ''都梁丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独活寄生合剂'', ''独活寄生合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独圣活血片'', ''独圣活血片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味滴丸'', ''独一味滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味分散片'', ''独一味分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味胶囊'', ''独一味胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味颗粒'', ''独一味颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味片'', ''独一味片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味软胶囊'', ''独一味软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''独一味丸'', ''独一味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杜仲颗粒'', ''杜仲颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肚痛健胃整肠丸'', ''肚痛健胃整肠丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度洛西汀'', ''度洛西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''度他雄胺'', ''度他雄胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流分散片'', ''断血流分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流胶囊'', ''断血流胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流泡腾片'', ''断血流泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''断血流片'', ''断血流片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸钠'', ''对氨基水杨酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对氨基水杨酸异烟肼'', ''对氨基水杨酸异烟肼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚'', ''对乙酰氨基酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''对乙酰氨基酚维生素C'', ''对乙酰氨基酚维生素C'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴胺'', ''多巴胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴酚丁胺'', ''多巴酚丁胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多巴丝肼'', ''多巴丝肼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多动宁胶囊'', ''多动宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多磺酸粘多糖'', ''多磺酸粘多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多拉司琼'', ''多拉司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多酶片'', ''多酶片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多奈哌齐'', ''多奈哌齐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多黏菌素B'', ''多黏菌素B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多廿烷醇'', ''多廿烷醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多潘立酮'', ''多潘立酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多柔比星'', ''多柔比星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多柔比星脂质体'', ''多柔比星脂质体'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多塞平'', ''多塞平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多沙普仑'', ''多沙普仑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多沙唑嗪'', ''多沙唑嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多索茶碱葡萄糖'', ''多索茶碱葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖蛋白'', ''多糖蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多糖铁复合物'', ''多糖铁复合物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维(6)'', ''多维(6)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维铁'', ''多维铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素'', ''多维元素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(15)'', ''多维元素(15)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(21)'', ''多维元素(21)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多维元素(29)'', ''多维元素(29)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西环素'', ''多西环素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多西他赛'', ''多西他赛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯磷脂酰胆碱'', ''多烯磷脂酰胆碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多烯酸乙酯'', ''多烯酸乙酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素'', ''多种微量元素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素(Ⅰ)'', ''多种微量元素(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种微量元素(Ⅱ)'', ''多种微量元素(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种维生素(12)'', ''多种维生素(12)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多种油脂肪乳'', ''多种油脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹅去氧胆酸'', ''鹅去氧胆酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛾苓丸'', ''蛾苓丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦'', ''厄贝沙坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄贝沙坦氢氯噻嗪'', ''厄贝沙坦氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄多司坦'', ''厄多司坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厄洛替尼'', ''厄洛替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨'', ''恩曲他滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩曲他滨替诺福韦'', ''恩曲他滨替诺福韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋'', ''恩他卡朋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩他卡朋双多巴'', ''恩他卡朋双多巴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恩替卡韦'', ''恩替卡韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿肤康搽剂'', ''儿肤康搽剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿脾醒颗粒'', ''儿脾醒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿童回春颗粒'', ''儿童回春颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿泻停颗粒'', ''儿泻停颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋胶囊'', ''耳聋胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳聋左慈丸'', ''耳聋左慈丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二丁酰环磷腺苷钙'', ''二丁酰环磷腺苷钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氟尼柳'', ''二氟尼柳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲弗林'', ''二甲弗林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲硅油'', ''二甲硅油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍'', ''二甲双胍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列本脲'', ''二甲双胍格列本脲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列吡嗪'', ''二甲双胍格列吡嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二甲双胍格列齐特'', ''二甲双胍格列齐特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二硫化硒'', ''二硫化硒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氯乙酸二异丙胺'', ''二氯乙酸二异丙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二妙丸'', ''二妙丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二母宁嗽颗粒'', ''二母宁嗽颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二羟丙茶碱氯化钠'', ''二羟丙茶碱氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氢麦角碱'', ''二氢麦角碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二巯丙磺'', ''二巯丙磺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十七味定坤丸'', ''二十七味定坤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味鬼臼丸'', ''二十五味鬼臼丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚胶囊'', ''二十五味珊瑚胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珊瑚丸'', ''二十五味珊瑚丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味松石丸'', ''二十五味松石丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二十五味珍珠丸'', ''二十五味珍珠丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维葡醛内酯'', ''二维葡醛内酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维三七桂利嗪'', ''二维三七桂利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二维亚铁'', ''二维亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧丙嗪'', ''二氧丙嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二乙酰氨乙酸乙二胺'', ''二乙酰氨乙酸乙二胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐地那非'', ''伐地那非'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐尼克兰'', ''伐尼克兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伐昔洛韦'', ''伐昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法可林'', ''法可林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法罗培南'', ''法罗培南'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁'', ''法莫替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁钙镁'', ''法莫替丁钙镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法莫替丁氯化钠'', ''法莫替丁氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''法舒地尔'', ''法舒地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛酸钙片'', ''泛酸钙片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛昔洛韦'', ''泛昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泛影葡胺'', ''泛影葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣颗粒'', ''防风通圣颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''防风通圣丸'', ''防风通圣丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放线菌素D'', ''放线菌素D'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布丙醇'', ''非布丙醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非布司他'', ''非布司他'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平'', ''非洛地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非洛地平(Ⅱ)'', ''非洛地平(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非那雄胺'', ''非那雄胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非尼拉敏萘甲唑啉'', ''非尼拉敏萘甲唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非尼拉敏盐酸萘甲唑啉'', ''非尼拉敏盐酸萘甲唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特'', ''非诺贝特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非诺贝特(Ⅱ)'', ''非诺贝特(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非索非那定'', ''非索非那定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺结核丸'', ''肺结核丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺力咳合剂'', ''肺力咳合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁胶囊'', ''肺宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁颗粒'', ''肺宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁口服液'', ''肺宁口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺宁片'', ''肺宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺气肿片'', ''肺气肿片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺泰胶囊'', ''肺泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芬布芬'', ''芬布芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚氨咖敏'', ''酚氨咖敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚苄明'', ''酚苄明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚磺乙胺'', ''酚磺乙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖'', ''酚咖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖麻敏'', ''酚咖麻敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚咖片'', ''酚咖片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美'', ''酚麻美'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚麻美敏'', ''酚麻美敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚美愈伪麻'', ''酚美愈伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚酞'', ''酚酞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚妥拉明'', ''酚妥拉明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粉尘螨'', ''粉尘螨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奋乃静'', ''奋乃静'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风寒感冒颗粒'', ''风寒感冒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风热感冒颗粒'', ''风热感冒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿定胶囊'', ''风湿定胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿二十五味丸'', ''风湿二十五味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿福音丸'', ''风湿福音丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛胶囊'', ''风湿骨痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿骨痛片'', ''风湿骨痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿喷雾剂'', ''风湿喷雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿祛痛胶囊'', ''风湿祛痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风湿液'', ''风湿液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛安胶囊'', ''风痛安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风痛片'', ''风痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风油精'', ''风油精'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康分散片'', ''枫蓼肠胃康分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康胶囊'', ''枫蓼肠胃康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康颗粒'', ''枫蓼肠胃康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枫蓼肠胃康片'', ''枫蓼肠胃康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸'', ''夫西地酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夫西地酸钠'', ''夫西地酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋苄西林'', ''呋苄西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋布西林'', ''呋布西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋麻'', ''呋麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃硫胺'', ''呋喃硫胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃妥因'', ''呋喃妥因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋喃唑酮'', ''呋喃唑酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呋塞米'', ''呋塞米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤疾洗剂'', ''肤疾洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤芩洗剂'', ''肤芩洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤舒止痒膏'', ''肤舒止痒膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痒颗粒'', ''肤痒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肤痔清软膏'', ''肤痔清软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏格列波糖'', ''伏格列波糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏立康唑'', ''伏立康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伏硫西汀'', ''伏硫西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扶正化瘀胶囊'', ''扶正化瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芙朴感冒颗粒'', ''芙朴感冒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟胞嘧啶'', ''氟胞嘧啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬'', ''氟比洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬巴布'', ''氟比洛芬巴布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬凝胶'', ''氟比洛芬凝胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟比洛芬酯'', ''氟比洛芬酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟吡汀'', ''氟吡汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟达拉滨'', ''氟达拉滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伐他汀'', ''氟伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟芬那酸丁酯'', ''氟芬那酸丁酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟奋乃静'', ''氟奋乃静'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟伏沙明'', ''氟伏沙明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟桂利嗪'', ''氟桂利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑'', ''氟康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑氯化钠'', ''氟康唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟康唑葡萄糖'', ''氟康唑葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星'', ''氟罗沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟罗沙星葡萄糖'', ''氟罗沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟氯西林'', ''氟氯西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟马西尼'', ''氟马西尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟米龙'', ''氟米龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟尿嘧啶'', ''氟尿嘧啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟脲苷'', ''氟脲苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶'', ''氟哌啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌啶醇'', ''氟哌啶醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌利多'', ''氟哌利多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟哌噻吨美利曲辛'', ''氟哌噻吨美利曲辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松'', ''氟轻松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟轻松维B6'', ''氟轻松维B6'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟他胺'', ''氟他胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟维司群'', ''氟维司群'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氟西汀'', ''氟西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福多司坦'', ''福多司坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福莫司汀'', ''福莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福莫特罗'', ''福莫特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''福辛普利'', ''福辛普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Ⅰ'', ''辅酶Ⅰ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶A'', ''辅酶A'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10'', ''辅酶Q10'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辅酶Q10氯化钠'', ''辅酶Q10氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇必舒阴道泡腾片'', ''妇必舒阴道泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇洁舒洗液'', ''妇洁舒洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康口服液'', ''妇康口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇康宁片'', ''妇康宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科得生丸'', ''妇科得生丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科断红饮胶囊'', ''妇科断红饮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金胶囊'', ''妇科千金胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科千金片'', ''妇科千金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科十味片'', ''妇科十味片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科调经片'', ''妇科调经片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科养荣胶囊'', ''妇科养荣胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科再造胶囊'', ''妇科再造胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带胶囊'', ''妇科止带胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科止带片'', ''妇科止带片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇可靖胶囊'', ''妇可靖胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐胶囊'', ''妇乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐颗粒'', ''妇乐颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇乐片'', ''妇乐片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇宁栓'', ''妇宁栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇平胶囊'', ''妇平胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复胶囊'', ''妇炎康复胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康复片'', ''妇炎康复片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎康片'', ''妇炎康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎灵泡腾片'', ''妇炎灵泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎清洗剂'', ''妇炎清洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒胶囊'', ''妇炎舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎舒片'', ''妇炎舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消胶囊'', ''妇炎消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇炎消泡腾片'', ''妇炎消泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇月康胶囊'', ''妇月康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛胶囊'', ''附桂骨痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附桂骨痛颗粒'', ''附桂骨痛颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中片'', ''附子理中片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附子理中丸'', ''附子理中丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方α-酮酸'', ''复方α-酮酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方阿嗪米特'', ''复方阿嗪米特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨茶碱'', ''复方氨茶碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚甲麻'', ''复方氨酚甲麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚那敏'', ''复方氨酚那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚葡锌'', ''复方氨酚葡锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚烷胺'', ''复方氨酚烷胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚溴敏'', ''复方氨酚溴敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨酚愈敏'', ''复方氨酚愈敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基丁酸维E'', ''复方氨基丁酸维E'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸'', ''复方氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸(15)双肽(2)'', ''复方氨基酸(15)双肽(2)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨基酸双肽'', ''复方氨基酸双肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨林巴比妥'', ''复方氨林巴比妥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨肽素'', ''复方氨肽素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氨维'', ''复方氨维'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方八维甲睾酮'', ''复方八维甲睾酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方斑蝥胶囊'', ''复方斑蝥胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方北豆根氨酚那敏'', ''复方北豆根氨酚那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方贝母片'', ''复方贝母片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍氯米松樟脑'', ''复方倍氯米松樟脑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方倍他米松'', ''复方倍他米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白'', ''复方吡拉西坦脑蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方吡拉西坦脑蛋白水解物'', ''复方吡拉西坦脑蛋白水解物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鳖甲软肝片'', ''复方鳖甲软肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方别嘌醇'', ''复方别嘌醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙谷胺西咪替丁'', ''复方丙谷胺西咪替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丙酸氯倍他索'', ''复方丙酸氯倍他索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方草珊瑚含片'', ''复方草珊瑚含片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方川芎胶囊'', ''复方川芎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方穿心莲片'', ''复方穿心莲片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方次没食子酸铋Ⅱ'', ''复方次没食子酸铋Ⅱ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苁蓉益智胶囊'', ''复方苁蓉益智胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸地塞米松'', ''复方醋酸地塞米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸氟轻松'', ''复方醋酸氟轻松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸棉酚'', ''复方醋酸棉酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方醋酸曲安奈德'', ''复方醋酸曲安奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参滴丸'', ''复方丹参滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参胶囊'', ''复方丹参胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参片'', ''复方丹参片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丹参丸'', ''复方丹参丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胆通胶囊'', ''复方胆通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地芬诺酯'', ''复方地芬诺酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙胶囊'', ''复方地龙胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地龙片'', ''复方地龙片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方地西泮'', ''复方地西泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方颠茄铋镁'', ''复方颠茄铋镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方电解质'', ''复方电解质'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香开胃贴'', ''复方丁香开胃贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方丁香罗勒'', ''复方丁香罗勒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杜仲健骨颗粒'', ''复方杜仲健骨颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方对乙酰氨基酚'', ''复方对乙酰氨基酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多维元素(23)'', ''复方多维元素(23)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方多粘菌素B'', ''复方多粘菌素B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方莪术油'', ''复方莪术油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方二氯醋酸二异丙胺'', ''复方二氯醋酸二异丙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方泛影葡胺'', ''复方泛影葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酚咖伪麻'', ''复方酚咖伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁胶囊'', ''复方风湿宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁片'', ''复方风湿宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方风湿宁注射液'', ''复方风湿宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方扶芳藤合剂'', ''复方扶芳藤合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟米松'', ''复方氟米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氟尿嘧啶'', ''复方氟尿嘧啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方福尔可定'', ''复方福尔可定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草'', ''复方甘草'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草片'', ''复方甘草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵'', ''复方甘草酸铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸铵苷'', ''复方甘草酸铵苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵'', ''复方甘草酸单铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S'', ''复方甘草酸单铵S'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸单铵S氯化钠'', ''复方甘草酸单铵S氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草酸苷'', ''复方甘草酸苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘草浙贝氯化铵'', ''复方甘草浙贝氯化铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甘露醇'', ''复方甘露醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝浸膏'', ''复方肝浸膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素钠尿囊素'', ''复方肝素钠尿囊素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方肝素尿囊素'', ''复方肝素尿囊素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方感冒灵颗粒'', ''复方感冒灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方公英片'', ''复方公英片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方谷氨酰胺'', ''复方谷氨酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方骨肽'', ''复方骨肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方瓜子金颗粒'', ''复方瓜子金颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蛤青注射液'', ''复方蛤青注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方海蛇胶囊'', ''复方海蛇胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红豆杉胶囊'', ''复方红豆杉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方红衣补血口服液'', ''复方红衣补血口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方猴头胶囊'', ''复方猴头胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方虎杖氨敏'', ''复方虎杖氨敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方环磷酰胺'', ''复方环磷酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄柏液涂剂'', ''复方黄柏液涂剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄连素片'', ''复方黄连素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方黄松洗液'', ''复方黄松洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺甲恶唑'', ''复方磺胺甲恶唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磺胺嘧啶锌'', ''复方磺胺嘧啶锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方活脑舒胶囊'', ''复方活脑舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲苯咪唑'', ''复方甲苯咪唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲硝唑'', ''复方甲硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方甲氧那明'', ''复方甲氧那明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方角菜酸酯'', ''复方角菜酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金刚烷胺氨基比林'', ''复方金刚烷胺氨基比林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金钱草颗粒'', ''复方金钱草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方金银花颗粒'', ''复方金银花颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗氯化铵'', ''复方桔梗氯化铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗麻黄碱'', ''复方桔梗麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方桔梗止咳片'', ''复方桔梗止咳片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方聚乙二醇电解质'', ''复方聚乙二醇电解质'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡力孜然'', ''复方卡力孜然'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方卡托普利'', ''复方卡托普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方可待因'', ''复方可待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑'', ''复方克霉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方克霉唑(Ⅱ)'', ''复方克霉唑(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参水杨酸'', ''复方苦参水杨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参洗剂'', ''复方苦参洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦参注射液'', ''复方苦参注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎分散片'', ''复方苦木消炎分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方苦木消炎胶囊'', ''复方苦木消炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方赖氨酸'', ''复方赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蓝棕果'', ''复方蓝棕果'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雷尼替丁'', ''复方雷尼替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利多卡因'', ''复方利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平'', ''复方利血平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方利血平氨苯蝶啶'', ''复方利血平氨苯蝶啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方磷酸可待因'', ''复方磷酸可待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫黄'', ''复方硫黄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸氢黄连素'', ''复方硫酸氢黄连素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸软骨素'', ''复方硫酸软骨素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸双肼屈嗪'', ''复方硫酸双肼屈嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸新霉素'', ''复方硫酸新霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁'', ''复方硫酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方硫酸亚铁叶酸'', ''复方硫酸亚铁叶酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳安咖'', ''复方柳安咖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方柳唑'', ''复方柳唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方芦丁'', ''复方芦丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鹿茸健骨胶囊'', ''复方鹿茸健骨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗布麻'', ''复方罗布麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方罗汉果止咳颗粒'', ''复方罗汉果止咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方铝酸铋'', ''复方铝酸铋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯丙那林溴己新'', ''复方氯丙那林溴己新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯化钠'', ''复方氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定'', ''复方氯己定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯己定地塞米松'', ''复方氯己定地塞米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯霉素'', ''复方氯霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氯唑沙宗'', ''复方氯唑沙宗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方梅笠草片'', ''复方梅笠草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方门冬维甘'', ''复方门冬维甘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方米非司酮'', ''复方米非司酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方木尼孜其'', ''复方木尼孜其'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方萘普生'', ''复方萘普生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方南星止痛膏'', ''复方南星止痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑蛋白水解物'', ''复方脑蛋白水解物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方脑肽节苷脂'', ''复方脑肽节苷脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿囊素'', ''复方尿囊素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方尿维氨'', ''复方尿维氨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方牛胎肝提取物'', ''复方牛胎肝提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胚肝铁铵'', ''复方胚肝铁铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方蒲芩胶囊'', ''复方蒲芩胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方青黛胶囊'', ''复方青黛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢溴酸右美沙芬'', ''复方氢溴酸右美沙芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝'', ''复方氢氧化铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方氢氧化铝镁'', ''复方氢氧化铝镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方清带灌注液'', ''复方清带灌注液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素'', ''复方庆大霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因'', ''复方庆大霉素普鲁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方庆大霉素普鲁卡因维B12'', ''复方庆大霉素普鲁卡因维B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲安奈德'', ''复方曲安奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲马多'', ''复方曲马多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲尼司特'', ''复方曲尼司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方曲肽'', ''复方曲肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸'', ''复方乳酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乳酸钠葡萄糖'', ''复方乳酸钠葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三七胶囊'', ''复方三七胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维B'', ''复方三维B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方三维亚油酸'', ''复方三维亚油酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方沙棘籽油栓'', ''复方沙棘籽油栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方伤痛胶囊'', ''复方伤痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方麝香注射液'', ''复方麝香注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方十一烯酸锌曲安奈德'', ''复方十一烯酸锌曲安奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通胶囊'', ''复方石淋通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石淋通片'', ''复方石淋通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方石韦胶囊'', ''复方石韦胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方嗜酸乳杆菌'', ''复方嗜酸乳杆菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双花片'', ''复方双花片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方双氯芬酸钠'', ''复方双氯芬酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯巴布'', ''复方水杨酸甲酯巴布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方水杨酸甲酯苯海拉明'', ''复方水杨酸甲酯苯海拉明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方碳酸钙'', ''复方碳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方藤果痔疮栓'', ''复方藤果痔疮栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻蜜环糖肽'', ''复方天麻蜜环糖肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方天麻片'', ''复方天麻片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方酮康唑'', ''复方酮康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方头孢克洛'', ''复方头孢克洛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方土槿皮酊'', ''复方土槿皮酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方托吡卡胺'', ''复方托吡卡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维U颠茄铋铝'', ''复方维U颠茄铋铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素'', ''复方维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(3)'', ''复方维生素(3)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素(4)'', ''复方维生素(4)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方维生素B12'', ''复方维生素B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白'', ''复方胃蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方胃蛋白酶'', ''复方胃蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方夏天无片'', ''复方夏天无片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鲜竹沥液'', ''复方鲜竹沥液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶'', ''复方消化酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消化酶(Ⅱ)'', ''复方消化酶(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方消旋山莨菪碱'', ''复方消旋山莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌布'', ''复方锌布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方锌铁钙'', ''复方锌铁钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方新霉素多粘菌素'', ''复方新霉素多粘菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方杏香兔耳风片'', ''复方杏香兔耳风片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方玄驹胶囊'', ''复方玄驹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方雪莲烧伤膏'', ''复方雪莲烧伤膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通胶囊'', ''复方血栓通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通片'', ''复方血栓通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方血栓通软胶囊'', ''复方血栓通软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方亚油酸乙酯'', ''复方亚油酸乙酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿米洛利'', ''复方盐酸阿米洛利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸阿替卡因'', ''复方盐酸阿替卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸利多卡因'', ''复方盐酸利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸麻黄碱'', ''复方盐酸麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方盐酸伪麻黄碱'', ''复方盐酸伪麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方一枝蒿颗粒'', ''复方一枝蒿颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方乙酰水杨酸'', ''复方乙酰水杨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方异丙托溴铵'', ''复方异丙托溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵胶囊'', ''复方益肝灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵片'', ''复方益肝灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝灵软胶囊'', ''复方益肝灵软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益肝丸'', ''复方益肝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母草胶囊'', ''复方益母草胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方益母胶囊'', ''复方益母胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨酚维C'', ''复方银翘氨酚维C'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方银翘氨敏'', ''复方银翘氨敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养'', ''复方营养'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养(整蛋白型肠内营养)'', ''复方营养(整蛋白型肠内营养)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方营养混悬剂'', ''复方营养混悬剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐40'', ''复方右旋糖酐40'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方右旋糖酐70'', ''复方右旋糖酐70'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草滴丸'', ''复方鱼腥草滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草合剂'', ''复方鱼腥草合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草颗粒'', ''复方鱼腥草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方鱼腥草片'', ''复方鱼腥草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方愈创木酚磺酸钾'', ''复方愈创木酚磺酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方枣仁胶囊'', ''复方枣仁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方皂矾丸'', ''复方皂矾丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟柳碱'', ''复方樟柳碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方樟脑'', ''复方樟脑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方追风膏'', ''复方追风膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复方紫荆皮水杨酸'', ''复方紫荆皮水杨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肝宁片'', ''复肝宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合氨基酸(8-11)'', ''复合氨基酸(8-11)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合辅酶'', ''复合辅酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸氢钾'', ''复合磷酸氢钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合磷酸酯酶'', ''复合磷酸酯酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合乳酸菌'', ''复合乳酸菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素'', ''复合维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合维生素B'', ''复合维生素B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明胶囊'', ''复明胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复明片'', ''复明片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复肾宁胶囊'', ''复肾宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富马酸亚铁'', ''富马酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''富血口服液'', ''富血口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹可安片'', ''腹可安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液'', ''腹膜透析液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐)'', ''腹膜透析液(乳酸盐)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G1.5%)'', ''腹膜透析液(乳酸盐-G1.5%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G2.5%)'', ''腹膜透析液(乳酸盐-G2.5%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜透析液(乳酸盐-G4.25%)'', ''腹膜透析液(乳酸盐-G4.25%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嘎日迪五味丸'', ''嘎日迪五味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆贝葡胺'', ''钆贝葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆喷酸葡胺'', ''钆喷酸葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆双胺'', ''钆双胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钆特酸葡胺'', ''钆特酸葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙泊三醇倍他米松'', ''钙泊三醇倍他米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨双唑'', ''甘氨双唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨双唑钠'', ''甘氨双唑钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘氨酸碳酸钙'', ''甘氨酸碳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵'', ''甘草酸二铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草酸二铵氯化钠'', ''甘草酸二铵氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘草锌'', ''甘草锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘海胃康胶囊'', ''甘海胃康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘精胰岛素'', ''甘精胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露醇'', ''甘露醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘露聚糖肽'', ''甘露聚糖肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘羟铝'', ''甘羟铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油'', ''甘油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油果糖氯化钠'', ''甘油果糖氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油磷酸钠'', ''甘油磷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油氯化钠'', ''甘油氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝必复胶囊'', ''肝必复胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝达康颗粒'', ''肝达康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐胶囊'', ''肝复乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝复乐片'', ''肝复乐片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝加欣片'', ''肝加欣片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝康宁片'', ''肝康宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝爽颗粒'', ''肝爽颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝水解肽'', ''肝水解肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏胶囊'', ''肝苏胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏片'', ''肝苏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝苏软胶囊'', ''肝苏软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素'', ''肝素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素封管'', ''肝素封管'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素钙'', ''肝素钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感咳双清胶囊'', ''感咳双清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒安片'', ''感冒安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒解毒颗粒'', ''感冒解毒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒咳嗽颗粒'', ''感冒咳嗽颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵胶囊'', ''感冒灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒灵颗粒'', ''感冒灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热胶囊'', ''感冒清热胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热颗粒'', ''感冒清热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒清热片'', ''感冒清热片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感冒退热颗粒'', ''感冒退热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感清糖浆'', ''感清糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''感特灵胶囊'', ''感特灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干酵母'', ''干酵母'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰'', ''肛泰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰软膏'', ''肛泰软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛泰栓'', ''肛泰栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高纯度尿促性素'', ''高纯度尿促性素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高锰酸钾'', ''高锰酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱'', ''高三尖杉酯碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高三尖杉酯碱氯化钠'', ''高三尖杉酯碱氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗枸橼酸盐嘌呤'', ''高渗枸橼酸盐嘌呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高渗氯化钠羟乙基淀粉40'', ''高渗氯化钠羟乙基淀粉40'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素'', ''高乌甲素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高乌甲素贴'', ''高乌甲素贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戈那瑞林'', ''戈那瑞林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戈舍瑞林'', ''戈舍瑞林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼'', ''格拉司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼氯化钠'', ''格拉司琼氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格拉司琼葡萄糖'', ''格拉司琼葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列本脲'', ''格列本脲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列吡嗪'', ''格列吡嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列喹酮'', ''格列喹酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列美脲'', ''格列美脲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特'', ''格列齐特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''格列齐特(Ⅱ)'', ''格列齐特(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根芩连片'', ''葛根芩连片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素'', ''葛根素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛根素葡萄糖'', ''葛根素葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛兰心宁软胶囊'', ''葛兰心宁软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葛酮通络胶囊'', ''葛酮通络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平胶囊'', ''根痛平胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平颗粒'', ''根痛平颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''根痛平丸'', ''根痛平丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安胶囊'', ''更年安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更年安片'', ''更年安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦'', ''更昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''更昔洛韦葡萄糖'', ''更昔洛韦葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈癌栓'', ''宫颈癌栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈炎康栓'', ''宫颈炎康栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤宁胶囊'', ''宫瘤宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清胶囊'', ''宫瘤清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清颗粒'', ''宫瘤清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤清片'', ''宫瘤清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫瘤消胶囊'', ''宫瘤消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血宁胶囊'', ''宫血宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫血停颗粒'', ''宫血停颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康胶囊'', ''宫炎康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎康颗粒'', ''宫炎康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平分散片'', ''宫炎平分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平胶囊'', ''宫炎平胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫炎平片'', ''宫炎平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞溴红'', ''汞溴红'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狗皮膏'', ''狗皮膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸地氯雷他定'', ''枸地氯雷他定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸磺新啶'', ''枸磺新啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾'', ''枸橼酸铋钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋钾/替硝唑/克拉霉素'', ''枸橼酸铋钾/替硝唑/克拉霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铋雷尼替丁'', ''枸橼酸铋雷尼替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钙'', ''枸橼酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钾'', ''枸橼酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙比利'', ''枸橼酸莫沙比利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸莫沙必利'', ''枸橼酸莫沙必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸钠抗凝剂'', ''枸橼酸钠抗凝剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸氢钾钠'', ''枸橼酸氢钾钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸铁铵'', ''枸橼酸铁铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枸橼酸锌'', ''枸橼酸锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''古汉养生精片'', ''古汉养生精片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸'', ''谷氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钾'', ''谷氨酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸钠'', ''谷氨酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酸诺氟沙星'', ''谷氨酸诺氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺'', ''谷氨酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰胺呱仑酸钠'', ''谷氨酰胺呱仑酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷胱甘肽'', ''谷胱甘肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷红'', ''谷红'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷赖胰岛素'', ''谷赖胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素'', ''谷维素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷维素双维B'', ''谷维素双维B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺胶囊'', ''骨刺胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁胶囊'', ''骨刺宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺宁片'', ''骨刺宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺片'', ''骨刺片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺平片'', ''骨刺平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨刺消痛胶囊'', ''骨刺消痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨瓜提取物'', ''骨瓜提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨化三醇'', ''骨化三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸胶囊'', ''骨筋丸胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨筋丸片'', ''骨筋丸片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨康胶囊'', ''骨康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨疏康颗粒（无糖型）'', ''骨疏康颗粒（无糖型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨松宝胶囊'', ''骨松宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽'', ''骨肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨肽氯化钠'', ''骨肽氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨通贴膏（聚异丁烯型）'', ''骨通贴膏（聚异丁烯型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛灵酊'', ''骨痛灵酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨友灵搽剂'', ''骨友灵搽剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨质宁'', ''骨质宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本丸'', ''固本丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固本益肠片'', ''固本益肠片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肠止泻丸'', ''固肠止泻丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾安胎丸'', ''固肾安胎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''固肾生发丸'', ''固肾生发丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瓜蒌皮注射液'', ''瓜蒌皮注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呱西替柳'', ''呱西替柳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁胶囊'', ''冠脉宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠脉宁片'', ''冠脉宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参滴丸'', ''冠心丹参滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心丹参胶囊'', ''冠心丹参胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心宁注射液'', ''冠心宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心七味胶囊'', ''冠心七味胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冠心舒通胶囊'', ''冠心舒通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱氨酸'', ''胱氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾合剂'', ''归脾合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾胶囊'', ''归脾胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸'', ''归脾丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归脾丸（浓缩丸）'', ''归脾丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芪颗粒'', ''归芪颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归芍调经片'', ''归芍调经片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''归元筋骨宁湿敷剂'', ''归元筋骨宁湿敷剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龟甲胶'', ''龟甲胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑降钙素'', ''鲑降钙素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲑鱼降钙素'', ''鲑鱼降钙素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鬼臼毒素'', ''鬼臼毒素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸氟奋乃静'', ''癸氟奋乃静'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癸酸氟哌啶醇'', ''癸酸氟哌啶醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂附地黄丸'', ''桂附地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂利嗪'', ''桂利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂林西瓜霜'', ''桂林西瓜霜'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁胶囊'', ''桂龙咳喘宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂龙咳喘宁片'', ''桂龙咳喘宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂哌齐特'', ''桂哌齐特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓胶囊'', ''桂枝茯苓胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓片'', ''桂枝茯苓片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸'', ''桂枝茯苓丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桂枝茯苓丸(浓缩水丸)'', ''桂枝茯苓丸(浓缩水丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国公酒'', ''国公酒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖'', ''果糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钙'', ''果糖二磷酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖二磷酸钠'', ''果糖二磷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖氯化钠'', ''果糖氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧苯甲酰'', ''过氧苯甲酰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化氢'', ''过氧化氢'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过氧化碳酰胺'', ''过氧化碳酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哈西奈德'', ''哈西奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛤蚧定喘丸'', ''蛤蚧定喘丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还少胶囊'', ''还少胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原固精丸'', ''还原固精丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''还原型谷胱甘肽'', ''还原型谷胱甘肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海狗丸'', ''海狗丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海昆肾喜胶囊'', ''海昆肾喜胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马巴戟胶囊'', ''海马巴戟胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海马多鞭丸'', ''海马多鞭丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''海蛇痹宁胶囊'', ''海蛇痹宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寒喘祖帕颗粒'', ''寒喘祖帕颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汉防己甲素'', ''汉防己甲素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒿甲醚'', ''蒿甲醚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚝贝钙片咀嚼片'', ''蚝贝钙片咀嚼片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''和血明目片'', ''和血明目片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''河车大造胶囊'', ''河车大造胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荷丹片'', ''荷丹片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核黄素磷酸钠'', ''核黄素磷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核酪'', ''核酪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核糖核酸Ⅰ'', ''核糖核酸Ⅰ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''核糖核酸Ⅱ'', ''核糖核酸Ⅱ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑骨藤追风活络胶囊'', ''黑骨藤追风活络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恒古骨伤愈合剂'', ''恒古骨伤愈合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红核妇洁洗液'', ''红核妇洁洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花黄色素氯化钠注射液'', ''红花黄色素氯化钠注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花清肝十三味丸'', ''红花清肝十三味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥胶囊'', ''红花逍遥胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥颗粒'', ''红花逍遥颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花逍遥片'', ''红花逍遥片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花油'', ''红花油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红花注射液'', ''红花注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结胶囊'', ''红金消结胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红金消结片'', ''红金消结片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素'', ''红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药胶囊'', ''红药胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红药片'', ''红药片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉痛消炎丸'', ''喉痛消炎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喉症丸'', ''喉症丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎颗粒'', ''猴耳环消炎颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴耳环消炎片'', ''猴耳环消炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌片'', ''猴头菌片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猴头菌提取物'', ''猴头菌提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厚朴排气合剂'', ''厚朴排气合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葫芦素片'', ''葫芦素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎地肠溶胶囊'', ''虎地肠溶胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散胶囊'', ''虎力散胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虎力散片'', ''虎力散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酸亚铁'', ''琥珀酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀酰明胶'', ''琥珀酰明胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥珀消石(无糖型)'', ''琥珀消石(无糖型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琥乙红霉素'', ''琥乙红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝胶囊'', ''护肝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁胶囊'', ''护肝宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝宁片'', ''护肝宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''护肝片'', ''护肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红胶囊'', ''花红胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红颗粒'', ''花红颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''花红片'', ''花红片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素'', ''华蟾素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素胶囊'', ''华蟾素胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素片'', ''华蟾素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华蟾素注射液'', ''华蟾素注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华法林'', ''华法林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''华佗再造丸'', ''华佗再造丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积颗粒'', ''化积颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化积口服液'', ''化积口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔胶囊'', ''化痔胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔片'', ''化痔片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化痔栓'', ''化痔栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化滞柔肝颗粒'', ''化滞柔肝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐耳颗粒'', ''槐耳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''槐杞黄颗粒'', ''槐杞黄颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环孢素'', ''环孢素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环吡酮胺'', ''环吡酮胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丙沙星'', ''环丙沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷酰胺'', ''环磷酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷'', ''环磷腺苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷氯化钠'', ''环磷腺苷氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺'', ''环磷腺苷葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡胺葡萄糖'', ''环磷腺苷葡胺葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环磷腺苷葡萄糖'', ''环磷腺苷葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环喷托酯'', ''环喷托酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丝氨酸'', ''环丝氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环索奈德'', ''环索奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环酯红霉素'', ''环酯红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄豆苷元'', ''黄豆苷元'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄葵胶囊'', ''黄葵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连胶囊'', ''黄连胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清胶囊'', ''黄连上清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清颗粒'', ''黄连上清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清片'', ''黄连上清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄连上清丸'', ''黄连上清丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪精'', ''黄芪精'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪颗粒'', ''黄芪颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪片'', ''黄芪片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪生脉饮'', ''黄芪生脉饮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芪注射液'', ''黄芪注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩胶囊'', ''黄芩胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄芩茎叶解毒胶囊'', ''黄芩茎叶解毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄氏响声丸'', ''黄氏响声丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素分散片'', ''黄藤素分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素胶囊'', ''黄藤素胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素片'', ''黄藤素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄藤素软胶囊'', ''黄藤素软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄体酮'', ''黄体酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄酮哌酯'', ''黄酮哌酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄杨宁片'', ''黄杨宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄栀花口服液'', ''黄栀花口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺醋酰'', ''磺胺醋酰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶'', ''磺胺嘧啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺胺嘧啶银'', ''磺胺嘧啶银'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺苄西林'', ''磺苄西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磺达肝癸钠'', ''磺达肝癸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灰树花胶囊'', ''灰树花胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春胶囊'', ''回春胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回春散'', ''回春散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''回生口服液'', ''回生口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴拉西坦'', ''茴拉西坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茴三硫'', ''茴三硫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合糖电解质'', ''混合糖电解质'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''混合重组人胰岛素'', ''混合重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活力苏口服液'', ''活力苏口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活络油'', ''活络油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血解痛膏'', ''活血解痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血通脉胶囊'', ''活血通脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛膏'', ''活血止痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛胶囊'', ''活血止痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛片'', ''活血止痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活血止痛软胶囊'', ''活血止痛软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆滴丸'', ''藿胆滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆片'', ''藿胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿胆丸'', ''藿胆丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香清胃胶囊'', ''藿香清胃胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气滴丸'', ''藿香正气滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气胶囊'', ''藿香正气胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气口服液'', ''藿香正气口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气软胶囊'', ''藿香正气软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气水'', ''藿香正气水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸'', ''藿香正气丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藿香正气丸（浓缩丸）'', ''藿香正气丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌氨肽苷'', ''肌氨肽苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌醇烟酸酯'', ''肌醇烟酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷'', ''肌苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷氯化钠'', ''肌苷氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷片'', ''肌苷片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷葡萄糖'', ''肌苷葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌苷注射液'', ''肌苷注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷片'', ''积雪苷片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''积雪苷霜软膏'', ''积雪苷霜软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉法酯'', ''吉法酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非罗齐'', ''吉非罗齐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉非替尼'', ''吉非替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉米沙星'', ''吉米沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉他霉素'', ''吉他霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉西他滨'', ''吉西他滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吉祥安坤丸'', ''吉祥安坤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''急支糖浆'', ''急支糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可喊'', ''己酮可可喊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''己酮可可碱'', ''己酮可可碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊髓灰质炎灭活疫苗'', ''脊髓灰质炎灭活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''季德胜蛇药片'', ''季德胜蛇药片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加巴喷丁'', ''加巴喷丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加兰他敏'', ''加兰他敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加尼瑞克'', ''加尼瑞克'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加替沙星'', ''加替沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味天麻胶囊'', ''加味天麻胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''加味逍遥丸'', ''加味逍遥丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氨蝶呤'', ''甲氨蝶呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯咪唑'', ''甲苯咪唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲地孕酮'', ''甲地孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲芬那酸'', ''甲芬那酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲酚皂'', ''甲酚皂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素'', ''甲砜霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲砜霉素甘氨酸酯'', ''甲砜霉素甘氨酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲睾酮'', ''甲睾酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲钴胺'', ''甲钴胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硫氨酸维B1'', ''甲硫氨酸维B1'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氯芬酯'', ''甲氯芬酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''26999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲萘氢醌'', ''甲萘氢醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲哌卡因'', ''甲哌卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲哌卡因/肾上腺素'', ''甲哌卡因/肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲泼尼龙琥珀酸钠'', ''甲泼尼龙琥珀酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲羟孕酮'', ''甲羟孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲巯咪唑'', ''甲巯咪唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝维参'', ''甲硝维参'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑'', ''甲硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑芬布芬'', ''甲硝唑芬布芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑呋喃唑酮'', ''甲硝唑呋喃唑酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑磷酸二钠'', ''甲硝唑磷酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯化钠'', ''甲硝唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定'', ''甲硝唑氯己定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑氯己定(浓)'', ''甲硝唑氯己定(浓)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑葡萄糖'', ''甲硝唑葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲硝唑维B6'', ''甲硝唑维B6'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲型肝炎灭活疫苗(人二倍体细胞)'', ''甲型肝炎灭活疫苗(人二倍体细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧苄啶'', ''甲氧苄啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧氯普胺'', ''甲氧氯普胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧明'', ''甲氧明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧沙林'', ''甲氧沙林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺'', ''甲状腺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲紫'', ''甲紫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尖吻蝮蛇血凝酶'', ''尖吻蝮蛇血凝酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间苯三酚'', ''间苯三酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间羟胺'', ''间羟胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱式硝酸铋'', ''碱式硝酸铋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健宝灵颗粒'', ''健宝灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿强骨颗粒'', ''健儿强骨颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿清解液'', ''健儿清解液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健儿消食口服液'', ''健儿消食口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健民咽喉片'', ''健民咽喉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑补肾丸'', ''健脑补肾丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脑胶囊'', ''健脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血颗粒'', ''健脾生血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾生血片'', ''健脾生血片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾益肾颗粒'', ''健脾益肾颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健脾止泻宁颗粒'', ''健脾止泻宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消食片'', ''健胃消食片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃消炎颗粒'', ''健胃消炎颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡颗粒'', ''健胃愈疡颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健胃愈疡片'', ''健胃愈疡片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜酚'', ''姜酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姜黄消痤搽剂'', ''姜黄消痤搽剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖宁胶囊'', ''降糖宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒胶囊'', ''降糖舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降糖舒丸'', ''降糖舒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵分散片'', ''降脂灵分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂灵胶囊'', ''降脂灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂宁颗粒'', ''降脂宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通便胶囊'', ''降脂通便胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通络软胶囊'', ''降脂通络软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降脂通脉胶囊'', ''降脂通脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交联玻璃酸钠'', ''交联玻璃酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体果胶铋'', ''胶体果胶铋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶体酒石酸铋'', ''胶体酒石酸铋'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胶原酶'', ''胶原酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角鲨烯'', ''角鲨烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绞股蓝总苷'', ''绞股蓝总苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘胶囊'', ''接骨七厘胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘片'', ''接骨七厘片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘散'', ''接骨七厘散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''接骨七厘丸'', ''接骨七厘丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白胶囊'', ''洁白胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁白丸'', ''洁白丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁尔阴洗液'', ''洁尔阴洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洁肤净洗剂'', ''洁肤净洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳'', ''结构脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结构脂肪乳(C6-24)'', ''结构脂肪乳(C6-24)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结合雌激素'', ''结合雌激素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核菌素纯蛋白衍生物'', ''结核菌素纯蛋白衍生物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核灵片'', ''结核灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核丸'', ''结核丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石康胶囊'', ''结石康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通胶囊'', ''结石通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结石通片'', ''结石通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解表追风丸'', ''解表追风丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解毒痤疮丸'', ''解毒痤疮丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解痉镇痛酊'', ''解痉镇痛酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金参润喉合剂'', ''金参润喉合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金蝉止痒胶囊'', ''金蝉止痒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金胆片'', ''金胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚胶囊'', ''金刚胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤胶囊'', ''金刚藤胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤咀嚼片'', ''金刚藤咀嚼片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤颗粒'', ''金刚藤颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤软胶囊'', ''金刚藤软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚藤丸'', ''金刚藤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚烷胺'', ''金刚烷胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金刚乙胺'', ''金刚乙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金骨莲胶囊'', ''金骨莲胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金果饮'', ''金果饮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金菊利咽口含片'', ''金菊利咽口含片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气片'', ''金匮肾气片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金匮肾气丸'', ''金匮肾气丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花分散片'', ''金莲花分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花胶囊'', ''金莲花胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲花颗粒'', ''金莲花颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热胶囊'', ''金莲清热胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金莲清热泡腾片'', ''金莲清热泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金龙胶囊'', ''金龙胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金霉素'', ''金霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金葡素'', ''金葡素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草胶囊'', ''金钱草胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草颗粒'', ''金钱草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金钱草片'', ''金钱草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦胶囊'', ''金荞麦胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金荞麦片'', ''金荞麦片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓开音丸'', ''金嗓开音丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓利咽胶囊'', ''金嗓利咽胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓清音丸'', ''金嗓清音丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓散结丸'', ''金嗓散结丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金嗓子喉片'', ''金嗓子喉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金糖宁胶囊'', ''金糖宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金天格胶囊'', ''金天格胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金乌骨通胶囊'', ''金乌骨通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金玄痔科熏洗散'', ''金玄痔科熏洗散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金银花软胶囊'', ''金银花软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金振口服液'', ''金振口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''津力达颗粒'', ''津力达颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''筋伤宁湿敷剂'', ''筋伤宁湿敷剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''近视乐眼药水'', ''近视乐眼药水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京都念慈庵蜜炼川贝枇杷膏'', ''京都念慈庵蜜炼川贝枇杷膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''京万红'', ''京万红'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经带宁胶囊'', ''经带宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''经舒颗粒'', ''经舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荆肤止痒颗粒'', ''荆肤止痒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸'', ''精氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸阿司匹林'', ''精氨酸阿司匹林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精氨酸布洛芬'', ''精氨酸布洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白生物合成人胰岛素'', ''精蛋白生物合成人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌胰岛素'', ''精蛋白锌胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素'', ''精蛋白锌重组赖脯胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和(25R)'', ''精蛋白锌重组赖脯胰岛素混和(25R)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组赖脯胰岛素混和(50R)'', ''精蛋白锌重组赖脯胰岛素混和(50R)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素'', ''精蛋白锌重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白锌重组人胰岛素混合'', ''精蛋白锌重组人胰岛素混合'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素'', ''精蛋白重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合(30/70)'', ''精蛋白重组人胰岛素混合(30/70)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精蛋白重组人胰岛素混合(40/60)'', ''精蛋白重组人胰岛素混合(40/60)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌胶囊'', ''精乌胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精乌片'', ''精乌片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制狗皮膏'', ''精制狗皮膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制冠心片'', ''精制冠心片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精制银翘解毒片'', ''精制银翘解毒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈复康颗粒'', ''颈复康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈康胶囊'', ''颈康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈舒颗粒'', ''颈舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颈腰康胶囊'', ''颈腰康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九合维生素'', ''九合维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味肝泰胶囊'', ''九味肝泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活颗粒'', ''九味羌活颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味羌活片'', ''九味羌活片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味双解口服液'', ''九味双解口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''九味镇心颗粒'', ''九味镇心颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桔贝合剂'', ''桔贝合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红胶囊'', ''橘红胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红颗粒'', ''橘红颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红痰咳液'', ''橘红痰咳液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''橘红丸'', ''橘红丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锯叶棕果实提取物'', ''锯叶棕果实提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚苯乙烯磺酸钙'', ''聚苯乙烯磺酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚多卡醇'', ''聚多卡醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚桂醇'', ''聚桂醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚磺苯乙烯'', ''聚磺苯乙烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚肌胞'', ''聚肌胞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚甲酚磺醛'', ''聚甲酚磺醛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚明胶肽'', ''聚明胶肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚普瑞锌'', ''聚普瑞锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚维酮碘'', ''聚维酮碘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇'', ''聚乙二醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇4000'', ''聚乙二醇4000'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素'', ''聚乙二醇干扰素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2a'', ''聚乙二醇干扰素α-2a'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α2b'', ''聚乙二醇干扰素α2b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇干扰素α-2b'', ''聚乙二醇干扰素α-2b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙二醇化重组人粒细胞刺激因子'', ''聚乙二醇化重组人粒细胞刺激因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''聚乙烯醇'', ''聚乙烯醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卷曲霉素'', ''卷曲霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡酸'', ''咖啡酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖啡因'', ''咖啡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咖酚伪麻'', ''咖酚伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴胆碱'', ''卡巴胆碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡巴拉汀'', ''卡巴拉汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡贝缩宫素'', ''卡贝缩宫素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡波姆'', ''卡波姆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊芬净'', ''卡泊芬净'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇'', ''卡泊三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡泊三醇倍他米松'', ''卡泊三醇倍他米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡铂'', ''卡铂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌纯蛋白衍生物'', ''卡介菌纯蛋白衍生物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核'', ''卡介菌多糖核'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡介菌多糖核酸'', ''卡介菌多糖核酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺'', ''卡络磺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠'', ''卡络磺钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡络磺钠氯化钠'', ''卡络磺钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡马西平'', ''卡马西平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫氟'', ''卡莫氟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡莫司汀'', ''卡莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡那霉素'', ''卡那霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡培他滨'', ''卡培他滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列甲酯'', ''卡前列甲酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡前列素氨丁三醇'', ''卡前列素氨丁三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡替洛尔'', ''卡替洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡托普利'', ''卡托普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡维地洛'', ''卡维地洛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡左双多巴'', ''卡左双多巴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂'', ''开喉剑喷雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开喉剑喷雾剂(儿童型)'', ''开喉剑喷雾剂(儿童型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露'', ''开塞露'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开塞露(含甘油)'', ''开塞露(含甘油)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气胶囊'', ''开胸顺气胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''开胸顺气丸'', ''开胸顺气丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦西酯'', ''坎地沙坦西酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坎地沙坦酯'', ''坎地沙坦酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾扶正片'', ''康艾扶正片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康艾注射液'', ''康艾注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康柏西普'', ''康柏西普'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇灵胶囊'', ''康妇灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇软膏'', ''康妇软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇消炎栓'', ''康妇消炎栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康妇炎胶囊'', ''康妇炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康复新液'', ''康复新液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特软胶囊'', ''康莱特软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康莱特注射液'', ''康莱特注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康乐鼻炎片'', ''康乐鼻炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''康力欣胶囊'', ''康力欣胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠酸莫米松'', ''糠酸莫米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糠甾醇'', ''糠甾醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗扁桃腺炎合剂'', ''抗扁桃腺炎合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒胶囊'', ''抗病毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒颗粒'', ''抗病毒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒口服液'', ''抗病毒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒糖浆'', ''抗病毒糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗病毒丸（浓缩丸）'', ''抗病毒丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗蝮蛇毒血清'', ''抗蝮蛇毒血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗感颗粒'', ''抗感颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎分散片'', ''抗宫炎分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎胶囊'', ''抗宫炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗宫炎片'', ''抗宫炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生胶囊'', ''抗骨增生胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗骨增生片'', ''抗骨增生片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗狂犬病血清'', ''抗狂犬病血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗痨胶囊'', ''抗痨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗人T细胞兔免疫球蛋白'', ''抗人T细胞兔免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗蛇毒血清'', ''抗蛇毒血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗栓再造丸'', ''抗栓再造丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗五步蛇毒血清'', ''抗五步蛇毒血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗眼镜蛇毒血清'', ''抗眼镜蛇毒血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗银环蛇毒血清'', ''抗银环蛇毒血清'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肿瘤免疫核糖核酸'', ''抗肿瘤免疫核糖核酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''考来烯胺'', ''考来烯胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''考来烯胺散'', ''考来烯胺散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壳脂胶囊'', ''壳脂胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘宁口服液'', ''咳喘宁口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳喘清片'', ''咳喘清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳舒糖浆'', ''咳舒糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳嗽糖浆'', ''咳嗽糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳速停糖浆'', ''咳速停糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵胶囊'', ''咳特灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咳特灵片'', ''咳特灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可达灵片'', ''可达灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可待因桔梗'', ''可待因桔梗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可的松'', ''可的松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可可钙糖'', ''可可钙糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可乐定'', ''可乐定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可溶性止血纱布'', ''可溶性止血纱布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痤隐酮'', ''克痤隐酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痤隐酮凝胶'', ''克痤隐酮凝胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克感额日敦片'', ''克感额日敦片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳胶囊'', ''克咳胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克咳片'', ''克咳片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素'', ''克拉霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉屈滨'', ''克拉屈滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痢痧胶囊'', ''克痢痧胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素'', ''克林霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素甲硝唑'', ''克林霉素甲硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯'', ''克林霉素磷酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素磷酸酯氯化钠'', ''克林霉素磷酸酯氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素氯化钠'', ''克林霉素氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素葡萄糖'', ''克林霉素葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克林霉素棕榈酸酯'', ''克林霉素棕榈酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克仑特罗'', ''克仑特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克仑特罗栓'', ''克仑特罗栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克罗米通'', ''克罗米通'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克洛己新'', ''克洛己新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克霉唑'', ''克霉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克痒舒洗液'', ''克痒舒洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克唑替尼'', ''克唑替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐'', ''口服补液盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(Ⅰ)'', ''口服补液盐(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(Ⅱ)'', ''口服补液盐(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐(I)'', ''口服补液盐(I)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服补液盐Ⅲ'', ''口服补液盐Ⅲ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服轮状病毒活疫苗'', ''口服轮状病毒活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服乳杆菌LB'', ''口服乳杆菌LB'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服水解蛋白'', ''口服水解蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口服五维葡萄糖'', ''口服五维葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口腔炎喷雾剂'', ''口腔炎喷雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎颗粒'', ''口炎颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口炎清颗粒'', ''口炎清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枯草杆菌二联活菌'', ''枯草杆菌二联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱'', ''苦参碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱氯化钠'', ''苦参碱氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参碱葡萄糖'', ''苦参碱葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参凝胶'', ''苦参凝胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参软膏'', ''苦参软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素'', ''苦参素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素氯化钠'', ''苦参素氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦参素葡萄糖'', ''苦参素葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦碟子注射液'', ''苦碟子注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦甘颗粒'', ''苦甘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苦黄注射液'', ''苦黄注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宽胸气雾剂'', ''宽胸气雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病人免疫球蛋白'', ''狂犬病人免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喹硫平'', ''喹硫平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喹那普利'', ''喹那普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康胶囊'', ''坤复康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤复康片'', ''坤复康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤灵丸'', ''坤灵丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤宁口服液'', ''坤宁口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坤泰胶囊'', ''坤泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉贝尔'', ''拉贝尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉贝洛尔'', ''拉贝洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉呋替丁'', ''拉呋替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉克替醇'', ''拉克替醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉米夫定'', ''拉米夫定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉莫三嗪'', ''拉莫三嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉帕替尼'', ''拉帕替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦前列素'', ''拉坦前列素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉坦噻吗'', ''拉坦噻吗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉替拉韦钾'', ''拉替拉韦钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉西地平'', ''拉西地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉氧头孢'', ''拉氧头孢'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽孢杆菌活菌'', ''蜡样芽孢杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜡样芽胞杆菌'', ''蜡样芽胞杆菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒风湿膏'', ''辣椒风湿膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辣椒碱'', ''辣椒碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来氟米特'', ''来氟米特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来那度胺'', ''来那度胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''来曲唑'', ''来曲唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨肌醇维B12'', ''赖氨肌醇维B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨匹林'', ''赖氨匹林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨葡锌'', ''赖氨葡锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸'', ''赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸磷酸氢钙'', ''赖氨酸磷酸氢钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸氯化钠'', ''赖氨酸氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸维B12'', ''赖氨酸维B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖氨酸盐酸盐'', ''赖氨酸盐酸盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利'', ''赖诺普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖诺普利氢氯噻嗪'', ''赖诺普利氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赖脯胰岛素'', ''赖脯胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兰瑞肽'', ''兰瑞肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩颗粒'', ''蓝芩颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蓝芩口服液'', ''蓝芩口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''榄香烯'', ''榄香烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''劳拉西泮'', ''劳拉西泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''老鹳草软膏'', ''老鹳草软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌肠球菌三联活菌'', ''酪酸梭菌肠球菌三联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌'', ''酪酸梭菌二联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌二联活菌散'', ''酪酸梭菌二联活菌散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酪酸梭菌活菌'', ''酪酸梭菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐卡地平'', ''乐卡地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉胶囊'', ''乐脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉颗粒'', ''乐脉颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐脉丸'', ''乐脉丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乐孕宁颗粒'', ''乐孕宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''了哥王片'', ''了哥王片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷贝拉唑'', ''雷贝拉唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤多苷片'', ''雷公藤多苷片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤内酯'', ''雷公藤内酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷公藤片'', ''雷公藤片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷洛昔芬'', ''雷洛昔芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷米普利'', ''雷米普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷莫司琼'', ''雷莫司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷尼替丁'', ''雷尼替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷沙吉兰'', ''雷沙吉兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷替曲塞'', ''雷替曲塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷丸片'', ''雷丸片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雷珠单抗'', ''雷珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理气舒心片'', ''理气舒心片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中片'', ''理中片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''理中丸'', ''理中丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林'', ''利巴韦林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林氯化钠'', ''利巴韦林氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利巴韦林葡萄糖'', ''利巴韦林葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利胆排石颗粒'', ''利胆排石颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多布比卡因'', ''利多布比卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因'', ''利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(Ⅰ)'', ''利多卡因(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(Ⅱ)'', ''利多卡因(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因(溶剂用)'', ''利多卡因(溶剂用)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因胶浆'', ''利多卡因胶浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定'', ''利多卡因氯己定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利多卡因氯己定(成模型)'', ''利多卡因氯己定(成模型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利伐沙班'', ''利伐沙班'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利凡诺'', ''利凡诺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺胶囊'', ''利肺胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利肺片'', ''利肺片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利夫康'', ''利夫康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利夫康洗剂'', ''利夫康洗剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福布汀'', ''利福布汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福霉素'', ''利福霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福喷丁'', ''利福喷丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平'', ''利福平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福平(Ⅱ)'', ''利福平(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利福昔明'', ''利福昔明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利格列汀'', ''利格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利可君'', ''利可君'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉鲁肽'', ''利拉鲁肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利拉萘酯'', ''利拉萘酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利鲁唑'', ''利鲁唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺'', ''利奈唑胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利奈唑胺葡萄糖'', ''利奈唑胺葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利脑心胶囊'', ''利脑心胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮'', ''利培酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利培酮微球'', ''利培酮微球'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利塞膦酸钠'', ''利塞膦酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利舒康胶囊'', ''利舒康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利托君'', ''利托君'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利妥昔单抗'', ''利妥昔单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利血平'', ''利血平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''利扎曲普坦'', ''利扎曲普坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莉芙敏'', ''莉芙敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莉芙敏片'', ''莉芙敏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟胶囊'', ''连花清瘟胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连花清瘟颗粒'', ''连花清瘟颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连蒲双清胶囊'', ''连蒲双清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''连翘败毒片'', ''连翘败毒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲必治注射液'', ''莲必治注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲胆消炎滴丸'', ''莲胆消炎滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎胶囊'', ''莲芝消炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莲芝消炎软胶囊'', ''莲芝消炎软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯苄唑'', ''联苯苄唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯双酯'', ''联苯双酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联苯乙酸'', ''联苯乙酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''联磺甲氧苄啶'', ''联磺甲氧苄啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链霉蛋白酶'', ''链霉蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''链霉素'', ''链霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B'', ''两性霉素B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''两性霉素B脂质体'', ''两性霉素B脂质体'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮丙瑞林缓释微球'', ''亮丙瑞林缓释微球'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮丙瑞林微球'', ''亮丙瑞林微球'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亮菌甲素'', ''亮菌甲素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疗癣卡西甫丸'', ''疗癣卡西甫丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林旦'', ''林旦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素'', ''林可霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素利多卡因'', ''林可霉素利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''林可霉素维B6'', ''林可霉素维B6'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素'', ''磷霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷霉素氨丁三醇'', ''磷霉素氨丁三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸奥司他韦'', ''磷酸奥司他韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸苯丙哌林'', ''磷酸苯丙哌林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸川芎嗪'', ''磷酸川芎嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸雌莫司汀'', ''磷酸雌莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氟达拉滨'', ''磷酸氟达拉滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸肌酸钠'', ''磷酸肌酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸可待因'', ''磷酸可待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸铝'', ''磷酸铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸氯喹'', ''磷酸氯喹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸钠盐'', ''磷酸钠盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸哌嗪'', ''磷酸哌嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷酸西格列汀'', ''磷酸西格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠'', ''膦甲酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''膦甲酸钠氯化钠'', ''膦甲酸钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵孢多糖'', ''灵孢多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝孢子粉胶囊'', ''灵芝孢子粉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝胶囊'', ''灵芝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灵芝浸膏片'', ''灵芝浸膏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苓桂咳喘宁胶囊'', ''苓桂咳喘宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊感冒口服液'', ''羚羊感冒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角胶囊'', ''羚羊角胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角颗粒'', ''羚羊角颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羚羊角口服液'', ''羚羊角口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒裂解疫苗'', ''流感病毒裂解疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感丸'', ''流感丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫必利'', ''硫必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫代硫酸钠'', ''硫代硫酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫鸟嘌呤'', ''硫鸟嘌呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫普罗宁'', ''硫普罗宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫软膏'', ''硫软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸氨基葡萄糖钾'', ''硫酸氨基葡萄糖钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡'', ''硫酸钡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅰ型)'', ''硫酸钡(Ⅰ型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸钡(Ⅱ型)'', ''硫酸钡(Ⅱ型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸链霉素'', ''硫酸链霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸镁'', ''硫酸镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸沙丁胺醇'', ''硫酸沙丁胺醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌'', ''硫酸锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸锌尿囊素'', ''硫酸锌尿囊素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫酸亚铁'', ''硫酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫糖铝'', ''硫糖铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫辛酸'', ''硫辛酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硫唑嘌呤'', ''硫唑嘌呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳胺酚'', ''柳胺酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶'', ''柳氮磺吡啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳氮磺吡啶结'', ''柳氮磺吡啶结'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳酚咖敏'', ''柳酚咖敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柳栎浸膏'', ''柳栎浸膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六氟化硫'', ''六氟化硫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六合氨基酸'', ''六合氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六甲蜜胺'', ''六甲蜜胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六君子丸'', ''六君子丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六神丸'', ''六神丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消胶囊'', ''六味安消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味安消散'', ''六味安消散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味补血胶囊'', ''六味补血胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄胶囊'', ''六味地黄胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄颗粒（无糖型）'', ''六味地黄颗粒（无糖型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄软胶囊'', ''六味地黄软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸'', ''六味地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸(浓缩丸)'', ''六味地黄丸(浓缩丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（浓缩丸）'', ''六味地黄丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味地黄丸（异型小蜜丸）'', ''六味地黄丸（异型小蜜丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味丁香片'', ''六味丁香片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味木香胶囊'', ''六味木香胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味能消胶囊'', ''六味能消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''六味消痔胶囊'', ''六味消痔胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙胆泻肝胶囊'', ''龙胆泻肝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙凤宝胶囊'', ''龙凤宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙虎人丹'', ''龙虎人丹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿胶囊'', ''龙鹿胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙鹿丸'', ''龙鹿丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙牡壮骨颗粒'', ''龙牡壮骨颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''龙血竭胶囊'', ''龙血竭胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒胶囊'', ''癃闭舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃闭舒片'', ''癃闭舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清胶囊'', ''癃清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癃清片'', ''癃清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卢帕他定'', ''卢帕他定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦氟沙星'', ''芦氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦荟珍珠胶囊'', ''芦荟珍珠胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦可替尼'', ''芦可替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芦笋菠萝蛋白酶'', ''芦笋菠萝蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炉甘石'', ''炉甘石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松'', ''卤米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松/三氯生'', ''卤米松/三氯生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卤米松三氯生'', ''卤米松三氯生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿川活络胶囊'', ''鹿川活络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿瓜多肽'', ''鹿瓜多肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿角胶'', ''鹿角胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿茸精注射液'', ''鹿茸精注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎膏'', ''鹿胎膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鹿胎颗粒'', ''鹿胎颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂'', ''卵磷脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂络合碘'', ''卵磷脂络合碘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗浮山风湿膏药'', ''罗浮山风湿膏药'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗格列酮'', ''罗格列酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素'', ''罗红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素氨溴索'', ''罗红霉素氨溴索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗库溴铵'', ''罗库溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗哌卡因'', ''罗哌卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗哌卡因氯化钠'', ''罗哌卡因氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗沙替丁醋酸酯'', ''罗沙替丁醋酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗通定'', ''罗通定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺内酯'', ''螺内酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻'', ''螺旋藻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻胶囊'', ''螺旋藻胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螺旋藻片'', ''螺旋藻片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠分散片'', ''裸花紫珠分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠胶囊'', ''裸花紫珠胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''裸花紫珠颗粒'', ''裸花紫珠颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛贝林'', ''洛贝林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛铂'', ''洛铂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛度沙胺'', ''洛度沙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛伐他汀'', ''洛伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛芬待因'', ''洛芬待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美利嗪'', ''洛美利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星'', ''洛美沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星氯化钠'', ''洛美沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛美沙星葡萄糖'', ''洛美沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛莫司汀'', ''洛莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛哌丁胺'', ''洛哌丁胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦/利托那韦'', ''洛匹那韦/利托那韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛匹那韦利托那韦'', ''洛匹那韦利托那韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬'', ''洛索洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洛索洛芬钠'', ''洛索洛芬钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驴胶补血颗粒'', ''驴胶补血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁加'', ''铝镁加'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝镁匹林(Ⅱ)'', ''铝镁匹林(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铝碳酸镁'', ''铝碳酸镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯胺酮'', ''氯胺酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯苯那敏'', ''氯苯那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯丙嗪'', ''氯丙嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氮平'', ''氯氮平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯法齐明'', ''氯法齐明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬待因'', ''氯芬待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯芬黄敏'', ''氯芬黄敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化铵'', ''氯化铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙'', ''氯化钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钙溴化钠'', ''氯化钙溴化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化琥珀胆碱'', ''氯化琥珀胆碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾'', ''氯化钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钾氯化钠'', ''氯化钾氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化钠'', ''氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化锶[89Sr]'', ''氯化锶[89Sr]'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯己定'', ''氯己定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯解磷定'', ''氯解磷定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹'', ''氯喹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯喹那多/普罗雌烯'', ''氯喹那多/普罗雌烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯雷他定'', ''氯雷他定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯磷酸二钠'', ''氯磷酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯膦酸二钠'', ''氯膦酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯马斯汀'', ''氯马斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯霉素'', ''氯霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯米芬'', ''氯米芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯米帕明'', ''氯米帕明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯诺昔康'', ''氯诺昔康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普鲁卡因'', ''氯普鲁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯普噻吨'', ''氯普噻吨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾'', ''氯沙坦钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯沙坦钾氢氯噻嗪'', ''氯沙坦钾氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺'', ''氯替泼诺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯替泼诺妥布霉素'', ''氯替泼诺妥布霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯硝西泮'', ''氯硝西泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯氧喹'', ''氯氧喹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑沙宗'', ''氯唑沙宗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯唑西林'', ''氯唑西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄碱'', ''麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻黄止嗽胶囊'', ''麻黄止嗽胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁软胶囊'', ''麻仁软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠软胶囊'', ''麻仁润肠软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁润肠丸'', ''麻仁润肠丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻仁丸'', ''麻仁丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马栗种子提取物'', ''马栗种子提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马洛替酯'', ''马洛替酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白'', ''马破伤风免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马破伤风免疫球蛋白(F(ab’)2)'', ''马破伤风免疫球蛋白(F(ab’)2)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马普替林'', ''马普替林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''马应龙麝香痔疮膏'', ''马应龙麝香痔疮膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啡'', ''吗啡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啉胍'', ''吗啉胍'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗啉硝唑氯化钠'', ''吗啉硝唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吗替麦考酚酯'', ''吗替麦考酚酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''迈之灵'', ''迈之灵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦当乳通颗粒'', ''麦当乳通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦迪霉素'', ''麦迪霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦角新碱'', ''麦角新碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦考酚'', ''麦考酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麦神开胃口服液'', ''麦神开胃口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康胶囊'', ''脉管复康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉管复康片'', ''脉管复康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络宁注射液'', ''脉络宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉络舒通丸'', ''脉络舒通丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉平片'', ''脉平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脉血康胶囊'', ''脉血康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''满山白糖浆'', ''满山白糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''螨变应原皮肤点刺试剂'', ''螨变应原皮肤点刺试剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''慢肝养阴胶囊'', ''慢肝养阴胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''矛头蝮蛇血凝酶'', ''矛头蝮蛇血凝酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玫芦消痤膏'', ''玫芦消痤膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美芬那敏铵'', ''美芬那敏铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美金刚'', ''美金刚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美罗培南'', ''美罗培南'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林'', ''美洛西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛西林舒巴坦'', ''美洛西林舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美洛昔康'', ''美洛昔康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美敏伪麻'', ''美敏伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美扑伪麻'', ''美扑伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉秦'', ''美沙拉秦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美沙拉嗪'', ''美沙拉嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美司钠'', ''美司钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美索巴莫'', ''美索巴莫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他多辛'', ''美他多辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美他环素'', ''美他环素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美托洛尔'', ''美托洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美西律'', ''美西律'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''美辛唑酮红古豆醇酯'', ''美辛唑酮红古豆醇酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁加铝'', ''镁加铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸氨氯地平'', ''门冬氨酸氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钙'', ''门冬氨酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾'', ''门冬氨酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸钾镁'', ''门冬氨酸钾镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬氨酸鸟氨酸'', ''门冬氨酸鸟氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺'', ''门冬酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬酰胺酶'', ''门冬酰胺酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素'', ''门冬胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素30'', ''门冬胰岛素30'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''门冬胰岛素50'', ''门冬胰岛素50'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石'', ''蒙脱石'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒙脱石散'', ''蒙脱石散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特'', ''孟鲁司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孟鲁司特钠'', ''孟鲁司特钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪达普利'', ''咪达普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪达唑仑'', ''咪达唑仑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑'', ''咪康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪康唑氯倍他索'', ''咪康唑氯倍他索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪喹莫特'', ''咪喹莫特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑立宾'', ''咪唑立宾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咪唑斯汀'', ''咪唑斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糜蛋白酶'', ''糜蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米安色林'', ''米安色林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米氮平'', ''米氮平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米多君'', ''米多君'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮'', ''米非司酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮(Ⅱ)'', ''米非司酮(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮/米索前列醇'', ''米非司酮/米索前列醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米非司酮片'', ''米非司酮片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列醇'', ''米格列醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米格列奈钙'', ''米格列奈钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米卡芬净'', ''米卡芬净'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米力农'', ''米力农'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺地尔'', ''米诺地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺环素'', ''米诺环素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米曲菌胰酶'', ''米曲菌胰酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米索前列醇'', ''米索前列醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米托蒽醌'', ''米托蒽醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋胶囊'', ''泌淋胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌淋清胶囊'', ''泌淋清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蜜炼川贝枇杷膏'', ''蜜炼川贝枇杷膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭活埃希的松'', ''灭活埃希的松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭菌水'', ''灭菌水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭菌注射用水'', ''灭菌注射用水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''灭箘水'', ''灭箘水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明胶'', ''明胶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明胶海绵'', ''明胶海绵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目地黄丸'', ''明目地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''明目蒺藜丸'', ''明目蒺藜丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''摩罗丹（浓缩丸）'', ''摩罗丹（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫匹罗星'', ''莫匹罗星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫沙必利'', ''莫沙必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''莫西沙星氯化钠'', ''莫西沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''母牛分枝杆菌'', ''母牛分枝杆菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牡蛎碳酸钙'', ''牡蛎碳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木丹颗粒'', ''木丹颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木瓜片'', ''木瓜片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木糖醇'', ''木糖醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''木香顺气丸'', ''木香顺气丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那氟沙星'', ''那氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那格列奈'', ''那格列奈'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那屈肝素钙'', ''那屈肝素钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''那他霉素'', ''那他霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳洛酮'', ''纳洛酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳美芬'', ''纳美芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纳米炭'', ''纳米炭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾镁钙葡萄糖'', ''钠钾镁钙葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠钾葡萄糖'', ''钠钾葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠林格'', ''钠林格'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠石灰'', ''钠石灰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈达铂'', ''奈达铂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈福泮'', ''奈福泮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈替米星'', ''奈替米星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''奈韦拉平'', ''奈韦拉平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘丁美酮'', ''萘丁美酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘夫西林'', ''萘夫西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘敏维'', ''萘敏维'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘哌地尔'', ''萘哌地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生'', ''萘普生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生钠氯化钠'', ''萘普生钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘普生伪麻黄碱'', ''萘普生伪麻黄碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬'', ''萘替芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''萘替芬酮康唑'', ''萘替芬酮康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安滴丸'', ''脑安滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安胶囊'', ''脑安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安颗粒'', ''脑安颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑安片'', ''脑安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑蛋白水解物'', ''脑蛋白水解物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生片'', ''脑得生片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑得生丸（浓缩丸）'', ''脑得生丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑苷肌肽'', ''脑苷肌肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑立清胶囊'', ''脑立清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑灵素片'', ''脑灵素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脉泰胶囊'', ''脑脉泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓康复胶囊'', ''脑栓康复胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑栓通胶囊'', ''脑栓通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清胶囊'', ''脑心清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心清片'', ''脑心清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑心舒口服液'', ''脑心舒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血康胶囊'', ''脑血康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑震宁颗粒'', ''脑震宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内消瘰疬丸'', ''内消瘰疬丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼尔雌醇'', ''尼尔雌醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼非卡兰'', ''尼非卡兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼卡地平'', ''尼卡地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可刹米'', ''尼可刹米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼可地尔'', ''尼可地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼洛替尼'', ''尼洛替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼麦角林'', ''尼麦角林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼美舒利'', ''尼美舒利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫地平'', ''尼莫地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼莫司汀'', ''尼莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼群地平'', ''尼群地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼索地平'', ''尼索地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼妥珠单抗'', ''尼妥珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尼扎替丁'', ''尼扎替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促卵泡激素'', ''尿促卵泡激素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促卵泡素'', ''尿促卵泡素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿促性素'', ''尿促性素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿多酸肽'', ''尿多酸肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿感宁颗粒'', ''尿感宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿激酶'', ''尿激酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿嘧啶替加氟'', ''尿嘧啶替加氟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿囊素铝'', ''尿囊素铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿塞通片'', ''尿塞通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿石通丸'', ''尿石通丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素'', ''尿素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]呼气试验药盒'', ''尿素[13C]呼气试验药盒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[13C]呼气试验诊断试剂盒'', ''尿素[13C]呼气试验诊断试剂盒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素[14C]呼气试验药盒'', ''尿素[14C]呼气试验药盒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素维E'', ''尿素维E'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁泌泰胶囊'', ''宁泌泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宁心宝胶囊'', ''宁心宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝结芽孢杆菌活菌'', ''凝结芽孢杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶'', ''凝血酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗接种家兔炎症皮肤提取物'', ''牛痘疫苗接种家兔炎症皮肤提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛痘疫苗致炎兔皮提取物'', ''牛痘疫苗致炎兔皮提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛肺表面活性剂'', ''牛肺表面活性剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压胶囊'', ''牛黄降压胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄降压片'', ''牛黄降压片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒片'', ''牛黄解毒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄解毒软胶囊'', ''牛黄解毒软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄宁宫片'', ''牛黄宁宫片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄千金散'', ''牛黄千金散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄清感胶囊'', ''牛黄清感胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清胶囊'', ''牛黄上清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄上清片'', ''牛黄上清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝胶囊'', ''牛黄蛇胆川贝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄蛇胆川贝液'', ''牛黄蛇胆川贝液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎片'', ''牛黄消炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄消炎丸'', ''牛黄消炎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛黄痔清栓'', ''牛黄痔清栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺酸'', ''牛磺酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛磺熊去氧胆酸'', ''牛磺熊去氧胆酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓氯化钠'', ''浓氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓氯化钠注射液'', ''浓氯化钠注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩当归丸'', ''浓缩当归丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓替硝唑'', ''浓替硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓维磷'', ''浓维磷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味散'', ''暖宫七味散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫七味丸'', ''暖宫七味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子胶囊'', ''暖宫孕子胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''暖宫孕子丸'', ''暖宫孕子丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星'', ''诺氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺氟沙星葡萄糖'', ''诺氟沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金胶囊'', ''女金胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''女金片'', ''女金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欧龙马'', ''欧龙马'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕歌斯'', ''帕歌斯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕拉米韦氯化钠'', ''帕拉米韦氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕利哌酮'', ''帕利哌酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕罗西汀'', ''帕罗西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕洛诺司琼'', ''帕洛诺司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠'', ''帕米膦酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕米膦酸二钠葡萄糖'', ''帕米膦酸二钠葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕尼培南倍他米隆'', ''帕尼培南倍他米隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕瑞昔布'', ''帕瑞昔布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕司烟肼'', ''帕司烟肼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕珠沙星'', ''帕珠沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''帕珠沙星氯化钠'', ''帕珠沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排毒清脂片'', ''排毒清脂片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石颗粒'', ''排石颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排石利胆颗粒'', ''排石利胆颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌甲酯'', ''哌甲酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌库溴铵'', ''哌库溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林'', ''哌拉西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林三唑巴坦'', ''哌拉西林三唑巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林舒巴坦'', ''哌拉西林舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林舒巴坦(2:1)'', ''哌拉西林舒巴坦(2:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌拉西林他唑巴坦'', ''哌拉西林他唑巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌罗匹隆'', ''哌罗匹隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哌唑嗪'', ''哌唑嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盘龙七片'', ''盘龙七片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胚宝胶囊'', ''胚宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利'', ''培哚普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利叔丁胺'', ''培哚普利叔丁胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培哚普利吲达帕胺'', ''培哚普利吲达帕胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培氟沙星'', ''培氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培氟沙星葡萄糖'', ''培氟沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培坤丸'', ''培坤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培美曲塞二钠'', ''培美曲塞二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培门冬酶'', ''培门冬酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培元通脑胶囊'', ''培元通脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培唑帕尼'', ''培唑帕尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷他佐辛'', ''喷他佐辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷托维林氯化铵'', ''喷托维林氯化铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喷昔洛韦'', ''喷昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净胶囊'', ''盆炎净胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净咀嚼片'', ''盆炎净咀嚼片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净颗粒'', ''盆炎净颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎净片'', ''盆炎净片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盆炎清栓'', ''盆炎清栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸'', ''硼酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸洗液'', ''硼酸洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌'', ''硼酸氧化锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼酸氧化锌冰片'', ''硼酸氧化锌冰片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硼替佐米'', ''硼替佐米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒片'', ''皮肤病血毒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤病血毒丸'', ''皮肤病血毒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤康洗液'', ''皮肤康洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮内卡介苗'', ''皮内卡介苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽'', ''脾氨肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾氨肽冻干粉'', ''脾氨肽冻干粉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脾多肽'', ''脾多肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹多莫德'', ''匹多莫德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹伐他汀钙'', ''匹伐他汀钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''匹维溴铵'', ''匹维溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''品名:金刚藤片'', ''品名:金刚藤片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐冲'', ''平衡盐冲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平衡盐溶液'', ''平衡盐溶液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消胶囊'', ''平消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平消片'', ''平消片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平阳霉素'', ''平阳霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸钙'', ''苹果酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸氯波必利'', ''苹果酸氯波必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸奈诺沙星'', ''苹果酸奈诺沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苹果酸舒尼替尼'', ''苹果酸舒尼替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泼尼松'', ''泼尼松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泼尼松龙'', ''泼尼松龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风抗毒素'', ''破伤风抗毒素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风人免疫球蛋白'', ''破伤风人免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扑尔伪麻'', ''扑尔伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛内酯'', ''葡醛内酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡醛酸钠'', ''葡醛酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖'', ''葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉'', ''葡萄糖粉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖粉剂'', ''葡萄糖粉剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠'', ''葡萄糖氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖氯化钠钾'', ''葡萄糖氯化钠钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙'', ''葡萄糖酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸钙锌'', ''葡萄糖酸钙锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸氯己定'', ''葡萄糖酸氯己定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸锌'', ''葡萄糖酸锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸亚铁'', ''葡萄糖酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖酸依诺沙星'', ''葡萄糖酸依诺沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲参胶囊'', ''蒲参胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎胶囊'', ''蒲地蓝消炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎口服液'', ''蒲地蓝消炎口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲地蓝消炎片'', ''蒲地蓝消炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蒲公英颗粒'', ''蒲公英颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普伐他汀'', ''普伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普济痔疮栓'', ''普济痔疮栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉克索'', ''普拉克索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普拉洛芬'', ''普拉洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安胶囊'', ''普乐安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普乐安片'', ''普乐安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普芦卡必利'', ''普芦卡必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因'', ''普鲁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因青霉素'', ''普鲁卡因青霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普鲁卡因肾上腺素'', ''普鲁卡因肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普仑司特'', ''普仑司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗布考'', ''普罗布考'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗雌烯'', ''普罗雌烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗碘铵'', ''普罗碘铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普罗帕酮'', ''普罗帕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普萘洛尔'', ''普萘洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普瑞巴林'', ''普瑞巴林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''普适泰'', ''普适泰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七氟烷'', ''七氟烷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七价肺炎球菌结合疫苗'', ''七价肺炎球菌结合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七厘胶囊'', ''七厘胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味肝胆清胶囊'', ''七味肝胆清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七味铁屑胶囊'', ''七味铁屑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶莲片'', ''七叶莲片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安分散片'', ''七叶神安分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶神安片'', ''七叶神安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶洋地黄双苷'', ''七叶洋地黄双苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''七叶皂苷钠'', ''七叶皂苷钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多夫定'', ''齐多夫定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐多拉米双夫定'', ''齐多拉米双夫定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''齐拉西酮'', ''齐拉西酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参胶囊'', ''芪参胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪参益气滴丸'', ''芪参益气滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪骨胶囊'', ''芪骨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪斛楂颗粒(无糖型)'', ''芪斛楂颗粒(无糖型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪甲利肺胶囊'', ''芪甲利肺胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪胶升白胶囊'', ''芪胶升白胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪苈强心胶囊'', ''芪苈强心胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪蓉润肠口服液'', ''芪蓉润肠口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芪麝丸'', ''芪麝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蕲蛇酶'', ''蕲蛇酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麒麟丸'', ''麒麟丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸'', ''杞菊地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞菊地黄丸（浓缩丸）'', ''杞菊地黄丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杞枣口服液'', ''杞枣口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''启脾口服液'', ''启脾口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气血双补丸'', ''气血双补丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛胶囊'', ''气滞胃痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气滞胃痛颗粒'', ''气滞胃痛颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎胶囊'', ''千柏鼻炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''千柏鼻炎片'', ''千柏鼻炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通胶囊'', ''前列安通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列安通片'', ''前列安通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列倍喜胶囊'', ''前列倍喜胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列闭尔通栓'', ''前列闭尔通栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔'', ''前列地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列地尔干'', ''前列地尔干'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列回春胶囊'', ''前列回春胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通颗粒'', ''前列癃闭通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列癃闭通片'', ''前列癃闭通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列平胶囊'', ''前列平胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐胶囊'', ''前列舒乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐片'', ''前列舒乐片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒乐软胶囊'', ''前列舒乐软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒通胶囊'', ''前列舒通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列舒丸'', ''前列舒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰胶囊'', ''前列泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列泰片'', ''前列泰片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通片'', ''前列通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀胶囊'', ''前列通瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列通瘀片'', ''前列通瘀片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''27999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷胶囊'', ''茜芷胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茜芷片'', ''茜芷片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肝片'', ''强肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强骨胶囊'', ''强骨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力碘'', ''强力碘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩胶囊'', ''强力定眩胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力定眩片'', ''强力定眩片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力康颗粒'', ''强力康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷胶囊'', ''强力枇杷胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力枇杷露'', ''强力枇杷露'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力天麻杜仲胶囊'', ''强力天麻杜仲胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强肾片'', ''强肾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苯磺酸钙'', ''羟苯磺酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟苄唑'', ''羟苄唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟丙甲纤维素'', ''羟丙甲纤维素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基脲'', ''羟基脲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基喜树碱'', ''羟基喜树碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟基喜树碱氯化钠'', ''羟基喜树碱氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲烟胺'', ''羟甲烟胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟甲唑啉'', ''羟甲唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟考酮'', ''羟考酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟氯喹'', ''羟氯喹'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟糖甘'', ''羟糖甘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟喜树碱'', ''羟喜树碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉(200/0.5)氯化钠'', ''羟乙基淀粉(200/0.5)氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉130/0.4氯化钠'', ''羟乙基淀粉130/0.4氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉200/0.5氯化钠'', ''羟乙基淀粉200/0.5氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉20氯化钠'', ''羟乙基淀粉20氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羟乙基淀粉40氯化钠'', ''羟乙基淀粉40氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秦川通痹胶囊'', ''秦川通痹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青柏洁身洗液'', ''青柏洁身洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉胺'', ''青霉胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素'', ''青霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素V钾'', ''青霉素V钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青霉素钠'', ''青霉素钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''青鹏软膏'', ''青鹏软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轻身减肥片'', ''轻身减肥片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化可的松'', ''氢化可的松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化可的松琥珀酸钠'', ''氢化可的松琥珀酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢化泼尼松'', ''氢化泼尼松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢钾钠'', ''氢钾钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢醌'', ''氢醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯吡格雷'', ''氢氯吡格雷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氯噻嗪'', ''氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢吗啡酮'', ''氢吗啡酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氢氧化铝'', ''氢氧化铝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清艾条'', ''清艾条'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肺消炎丸'', ''清肺消炎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清肝降压胶囊'', ''清肝降压胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清感九味丸'', ''清感九味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清喉利咽颗粒'', ''清喉利咽颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火胶囊'', ''清火胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清火栀麦片'', ''清火栀麦片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵胶囊'', ''清开灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵颗粒'', ''清开灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵口服液'', ''清开灵口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵片'', ''清开灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清开灵注射液'', ''清开灵注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咳平喘颗粒'', ''清咳平喘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清脑复神液'', ''清脑复神液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宁丸'', ''清宁丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热暗疮胶囊'', ''清热暗疮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八昧胶襄'', ''清热八昧胶襄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热八味丸'', ''清热八味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒胶囊'', ''清热解毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒颗粒'', ''清热解毒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒口服液'', ''清热解毒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热解毒软胶囊'', ''清热解毒软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热灵颗粒'', ''清热灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热祛湿颗粒'', ''清热祛湿颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结胶囊'', ''清热散结胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热散结片'', ''清热散结片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋片'', ''清热通淋片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热通淋丸'', ''清热通淋丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁胶囊'', ''清热消炎宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清热消炎宁片'', ''清热消炎宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胃黄连片'', ''清胃黄连片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清宣止咳颗粒'', ''清宣止咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽滴丸'', ''清咽滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清咽润喉丸'', ''清咽润喉丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清胰利胆片'', ''清胰利胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素'', ''庆大霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因'', ''庆大霉素普鲁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因B12'', ''庆大霉素普鲁卡因B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庆大霉素普鲁卡因维B12'', ''庆大霉素普鲁卡因维B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''琼玉膏'', ''琼玉膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''秋水仙碱'', ''秋水仙碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巯嘌呤'', ''巯嘌呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''驱白巴布期片'', ''驱白巴布期片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈螺酮炔雌醇'', ''屈螺酮炔雌醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屈他维林'', ''屈他维林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛斑调经胶囊'', ''祛斑调经胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛胶囊'', ''祛风止痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛片'', ''祛风止痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛风止痛丸'', ''祛风止痛丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰灵口服液'', ''祛痰灵口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛痰止咳颗粒'', ''祛痰止咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祛瘀散结片'', ''祛瘀散结片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德'', ''曲安奈德'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德尿素'', ''曲安奈德尿素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德新霉素'', ''曲安奈德新霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安奈德益康唑'', ''曲安奈德益康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲安西龙'', ''曲安西龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲伏前列素'', ''曲伏前列素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁'', ''曲克芦丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁氯化钠'', ''曲克芦丁氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁脑蛋白水解物'', ''曲克芦丁脑蛋白水解物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲克芦丁香豆素'', ''曲克芦丁香豆素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲马多'', ''曲马多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲美布汀'', ''曲美布汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲美他嗪'', ''曲美他嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲咪新'', ''曲咪新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲尼司特'', ''曲尼司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹布通'', ''曲匹布通'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲匹地尔'', ''曲匹地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲普瑞林'', ''曲普瑞林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲妥珠单抗'', ''曲妥珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲昔派特'', ''曲昔派特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''曲唑酮'', ''曲唑酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氨加压素'', ''去氨加压素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲斑蝥素'', ''去甲斑蝥素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲肾上腺素'', ''去甲肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去甲万古霉素'', ''去甲万古霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁胺'', ''去铁胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去铁酮'', ''去铁酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去痛'', ''去痛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去痛片'', ''去痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧氟尿苷'', ''去氧氟尿苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧肾上腺素'', ''去氧肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去氧孕烯炔雌醇'', ''去氧孕烯炔雌醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''去乙酰毛花苷'', ''去乙酰毛花苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全氟丙烷人血白蛋白微球'', ''全氟丙烷人血白蛋白微球'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻胶囊'', ''全天麻胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全天麻片'', ''全天麻片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔雌醇环丙孕酮'', ''炔雌醇环丙孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炔诺酮'', ''炔诺酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热毒宁注射液'', ''热毒宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清胶囊'', ''热淋清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清颗粒'', ''热淋清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''热淋清片'', ''热淋清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参多糖'', ''人参多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参多糖注射液'', ''人参多糖注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参健脾片'', ''人参健脾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人参首乌片'', ''人参首乌片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人工牛黄甲硝唑'', ''人工牛黄甲硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫球蛋白'', ''人免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人免疫球蛋白(pH4)'', ''人免疫球蛋白(pH4)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血酶原复合物'', ''人凝血酶原复合物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人凝血因子Ⅷ'', ''人凝血因子Ⅷ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘'', ''人胎盘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘脂多糖'', ''人胎盘脂多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人胎盘组织液'', ''人胎盘组织液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人纤维蛋白原'', ''人纤维蛋白原'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人血白蛋白'', ''人血白蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人用狂犬病疫苗(Vero细胞)'', ''人用狂犬病疫苗(Vero细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壬苯醇醚'', ''壬苯醇醚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''日舒安洗液'', ''日舒安洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''绒促性素'', ''绒促性素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溶菌酶'', ''溶菌酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柔红霉素'', ''柔红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白'', ''鞣酸蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸蛋白酵母'', ''鞣酸蛋白酵母'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鞣酸加压素'', ''鞣酸加压素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肉蔻五味丸'', ''肉蔻五味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意金黄散'', ''如意金黄散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''如意珍宝丸'', ''如意珍宝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳杆菌LB'', ''乳杆菌LB'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳杆菌活菌'', ''乳杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳果糖'', ''乳果糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消颗粒'', ''乳核内消颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消片'', ''乳核内消片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳核内消液'', ''乳核内消液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳疾灵胶囊'', ''乳疾灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康片'', ''乳康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳康丸'', ''乳康丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消颗粒'', ''乳块消颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消口服液'', ''乳块消口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳块消片'', ''乳块消片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁颗粒'', ''乳宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳宁丸'', ''乳宁丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖散结片'', ''乳癖散结片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消颗粒'', ''乳癖消颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳癖消片'', ''乳癖消片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钙'', ''乳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星'', ''乳酸环丙沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸环丙沙星氯化钠'', ''乳酸环丙沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌'', ''乳酸菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸菌素'', ''乳酸菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸米力农'', ''乳酸米力农'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠'', ''乳酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸钠林格'', ''乳酸钠林格'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸司帕沙星'', ''乳酸司帕沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸亚铁'', ''乳酸亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸依沙吖啶'', ''乳酸依沙吖啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星'', ''乳酸左氧氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星氯化钠'', ''乳酸左氧氟沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸左氧氟沙星葡萄糖'', ''乳酸左氧氟沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳泰胶囊'', ''乳泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糖酸阿奇霉素'', ''乳糖酸阿奇霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糖酸红霉素'', ''乳糖酸红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳增宁片'', ''乳增宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软骨素'', ''软骨素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软脉灵口服液'', ''软脉灵口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''软皂'', ''软皂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞巴派特'', ''瑞巴派特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞波西汀'', ''瑞波西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞戈非尼'', ''瑞戈非尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞格列奈'', ''瑞格列奈'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瑞舒伐他汀钙'', ''瑞舒伐他汀钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润肺膏'', ''润肺膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''润燥止痒胶囊'', ''润燥止痒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞克硝唑'', ''塞克硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞来昔布'', ''塞来昔布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞曲司特'', ''塞曲司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''塞瑞替尼'', ''塞瑞替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻氯匹定'', ''噻氯匹定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻吗洛尔'', ''噻吗洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''噻托溴铵'', ''噻托溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛庚啶'', ''赛庚啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛洛多辛'', ''赛洛多辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛洛唑啉'', ''赛洛唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛霉安散'', ''赛霉安散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''赛胃安胶囊'', ''赛胃安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三分三浸膏片'', ''三分三浸膏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三黄片'', ''三黄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三尖杉酯碱'', ''三尖杉酯碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三金片'', ''三金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰胶囊'', ''三九胃泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三九胃泰颗粒'', ''三九胃泰颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸胞苷二钠'', ''三磷酸胞苷二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠'', ''三磷酸腺苷二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷二钠氯化镁'', ''三磷酸腺苷二钠氯化镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三磷酸腺苷辅酶胰岛素'', ''三磷酸腺苷辅酶胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三拗片'', ''三拗片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七化痔丸'', ''三七化痔丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七胶囊'', ''三七胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药胶囊'', ''三七伤药胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七伤药片'', ''三七伤药片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七通舒胶囊'', ''三七通舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七血伤宁胶囊'', ''三七血伤宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三七止血咀嚼片'', ''三七止血咀嚼片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维B'', ''三维B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三维制霉素'', ''三维制霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三味痔疮栓'', ''三味痔疮栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三阳血傣合剂'', ''三阳血傣合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三氧化二砷'', ''三氧化二砷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三乙醇胺'', ''三乙醇胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三子止咳胶囊'', ''三子止咳胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三唑仑'', ''三唑仑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散风活络丸'', ''散风活络丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''散结镇痛胶囊'', ''散结镇痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''桑菊感冒片'', ''桑菊感冒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘萘甲那敏鼻'', ''色甘萘甲那敏鼻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色甘酸钠'', ''色甘酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色苷酸钠'', ''色苷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''涩肠止泻散'', ''涩肠止泻散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丙蝶呤'', ''沙丙蝶呤'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙丁胺醇'', ''沙丁胺醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格雷酯'', ''沙格雷酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙格列汀'', ''沙格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘干乳剂'', ''沙棘干乳剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙棘颗粒'', ''沙棘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙库巴曲缬沙坦'', ''沙库巴曲缬沙坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙利度胺'', ''沙利度胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松'', ''沙美特罗替卡松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙美特罗替卡松粉'', ''沙美特罗替卡松粉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''砂连和胃胶囊'', ''砂连和胃胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲨肝醇'', ''鲨肝醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山蜡梅叶颗粒'', ''山蜡梅叶颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山梨醇'', ''山梨醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山麦健脾口服液'', ''山麦健脾口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山香圆颗粒'', ''山香圆颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂精降脂片'', ''山楂精降脂片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''山楂丸'', ''山楂丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒Vi多糖疫苗'', ''伤寒Vi多糖疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打胶囊'', ''伤科跌打胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科跌打片'', ''伤科跌打片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科接骨片'', ''伤科接骨片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤科灵喷雾剂'', ''伤科灵喷雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤湿止痛膏'', ''伤湿止痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上清片'', ''上清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芍倍注射液'', ''芍倍注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀胶囊'', ''少腹逐瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀颗粒'', ''少腹逐瘀颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少腹逐瘀丸'', ''少腹逐瘀丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少林风湿跌打膏'', ''少林风湿跌打膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆陈皮胶囊'', ''蛇胆陈皮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝枇杷膏'', ''蛇胆川贝枇杷膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝散'', ''蛇胆川贝散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇胆川贝液'', ''蛇胆川贝液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛇毒血凝酶'', ''蛇毒血凝酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍雷肽酶'', ''舍雷肽酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舍曲林'', ''舍曲林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香保心丸'', ''麝香保心丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香海马追风膏'', ''麝香海马追风膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛搽剂'', ''麝香祛痛搽剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香祛痛气雾剂'', ''麝香祛痛气雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香通心滴丸'', ''麝香通心滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香镇痛膏'', ''麝香镇痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香正骨酊'', ''麝香正骨酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香痔疮栓'', ''麝香痔疮栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风膏'', ''麝香追风膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝香追风止痛膏'', ''麝香追风止痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麝珠明目滴眼液'', ''麝珠明目滴眼液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神农镇痛膏'', ''神农镇痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神衰康胶囊'', ''神衰康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神香苏合丸'', ''神香苏合丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神州跌打丸'', ''神州跌打丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾安胶囊'', ''肾安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾复康胶囊'', ''肾复康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁颗粒'', ''肾康宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康宁片'', ''肾康宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾康注射液'', ''肾康注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色片腙'', ''肾上腺色片腙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色棕'', ''肾上腺色棕'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺色腙'', ''肾上腺色腙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾上腺素'', ''肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒'', ''肾石通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通颗粒（无糖型）'', ''肾石通颗粒（无糖型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾石通片'', ''肾石通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾舒颗粒（无糖型）'', ''肾舒颗粒（无糖型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁胶囊'', ''肾衰宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾衰宁颗粒'', ''肾衰宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎康复片'', ''肾炎康复片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎片'', ''肾炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎舒片'', ''肾炎舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾炎四味丸'', ''肾炎四味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''升血小板胶囊'', ''升血小板胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生白合剂'', ''生白合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生精胶囊'', ''生精胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理氯化钠'', ''生理氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉胶囊'', ''生脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方)'', ''生脉饮(党参方)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉饮(党参方、低糖)'', ''生脉饮(党参方、低糖)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生脉注射液'', ''生脉注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生乳汁'', ''生乳汁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生物合成人胰岛素'', ''生物合成人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝合剂'', ''生血宝合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宝颗粒'', ''生血宝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生血宁片'', ''生血宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''圣约翰草提取物'', ''圣约翰草提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''施保利通片'', ''施保利通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清胶囊'', ''湿毒清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿毒清片'', ''湿毒清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿润烧伤膏'', ''湿润烧伤膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''湿疡气雾剂'', ''湿疡气雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十三味红花丸'', ''十三味红花丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十维铁'', ''十维铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味活血丸'', ''十味活血丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十味龙胆花颗粒'', ''十味龙胆花颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一酸睾酮'', ''十一酸睾酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪胶囊'', ''十一味参芪胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''十一味参芪片'', ''十一味参芪片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石斛夜光丸'', ''石斛夜光丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石黄抗菌胶囊'', ''石黄抗菌胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石蜡油'', ''石蜡油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石淋通颗粒'', ''石淋通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃胶囊'', ''石榴健胃胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石榴健胃散'', ''石榴健胃散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''石杉碱甲'', ''石杉碱甲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食母生'', ''食母生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寿星补汁'', ''寿星补汁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒巴坦'', ''舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒必利'', ''舒必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆胶囊'', ''舒胆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒胆片'', ''舒胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒芬太尼'', ''舒芬太尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝解郁胶囊'', ''舒肝解郁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝宁注射液'', ''舒肝宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒肝片'', ''舒肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒更葡糖钠'', ''舒更葡糖钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒冠颗粒'', ''舒冠颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血胶囊'', ''舒筋活血胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋活血片'', ''舒筋活血片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒筋通络颗粒'', ''舒筋通络颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒乐康胶囊'', ''舒乐康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒林酸'', ''舒林酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒洛地特'', ''舒洛地特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒马普坦'', ''舒马普坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒泌通片'', ''舒泌通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒秘胶囊'', ''舒秘胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒眠胶囊'', ''舒眠胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒脑欣滴丸'', ''舒脑欣滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒他西林'', ''舒他西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒心宁片'', ''舒心宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''舒血宁注射液'', ''舒血宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏风解毒胶囊'', ''疏风解毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏肝益阳胶囊'', ''疏肝益阳胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疏血通注射液'', ''疏血通注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''输血用枸橼酸钠'', ''输血用枸橼酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼠神经生长因子'', ''鼠神经生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''薯蓣皂苷'', ''薯蓣皂苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双醋瑞因'', ''双醋瑞因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹胶囊'', ''双丹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双丹颗粒'', ''双丹颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双分伪麻'', ''双分伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双骨三子胶囊'', ''双骨三子胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双虎清肝颗粒'', ''双虎清肝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双环醇'', ''双环醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连含片'', ''双黄连含片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连胶囊'', ''双黄连胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒'', ''双黄连颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连颗粒(无蔗糖)'', ''双黄连颗粒(无蔗糖)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连口服液'', ''双黄连口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双黄连片'', ''双黄连片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双橘颗粒'', ''双橘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸'', ''双氯芬酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸二乙胺'', ''双氯芬酸二乙胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钾'', ''双氯芬酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸利多卡因'', ''双氯芬酸利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠'', ''双氯芬酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(Ⅱ)'', ''双氯芬酸钠(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(I)'', ''双氯芬酸钠(I)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠(IV)'', ''双氯芬酸钠(IV)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氯芬酸钠利多卡因'', ''双氯芬酸钠利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双嘧达莫'', ''双嘧达莫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双扑伪麻'', ''双扑伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌活菌'', ''双歧杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌乳杆菌三联活菌'', ''双歧杆菌乳杆菌三联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌三联活菌'', ''双歧杆菌三联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双歧杆菌四联活菌'', ''双歧杆菌四联活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双羟萘酸曲普瑞林'', ''双羟萘酸曲普瑞林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢克脲塞'', ''双氢克脲塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢麦角毒碱'', ''双氢麦角毒碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰'', ''双唑泰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰棉'', ''双唑泰棉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双唑泰泡腾'', ''双唑泰泡腾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水痘减毒活疫苗'', ''水痘减毒活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾'', ''水飞蓟宾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟宾葡甲胺'', ''水飞蓟宾葡甲胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水飞蓟素'', ''水飞蓟素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水解蛋白'', ''水解蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水溶性维生素'', ''水溶性维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸'', ''水杨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯酚'', ''水杨酸苯酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸苯甲酸松'', ''水杨酸苯甲酸松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水杨酸冰醋酸'', ''水杨酸冰醋酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺苯磺阿曲库铵'', ''顺苯磺阿曲库铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺铂'', ''顺铂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''顺气化痰片'', ''顺气化痰片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司来吉兰'', ''司来吉兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司莫司汀'', ''司莫司汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司帕沙星'', ''司帕沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他夫定'', ''司他夫定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司他斯汀'', ''司他斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司坦唑醇'', ''司坦唑醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝白祛斑'', ''丝白祛斑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丝裂霉素'', ''丝裂霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素'', ''四环素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素醋酸可的松'', ''四环素醋酸可的松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒合剂'', ''四季抗病毒合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季抗病毒胶囊'', ''四季抗病毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季青片'', ''四季青片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四季三黄片'', ''四季三黄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四妙丸'', ''四妙丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四磨汤口服液'', ''四磨汤口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神片'', ''四神片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四神丸'', ''四神丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味脾胃舒颗粒'', ''四味脾胃舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四味珍层冰硼滴眼液'', ''四味珍层冰硼滴眼液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四物颗粒'', ''四物颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四烯甲萘醌'', ''四烯甲萘醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''松龄血脉康胶囊'', ''松龄血脉康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏子油软胶囊'', ''苏子油软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速克感冒胶囊'', ''速克感冒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''速效心痛滴丸'', ''速效心痛滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸枣仁合剂'', ''酸枣仁合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲淀粉钠'', ''羧甲淀粉钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素'', ''羧甲基纤维素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲基纤维素钠'', ''羧甲基纤维素钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦'', ''羧甲司坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦(含糖型)'', ''羧甲司坦(含糖型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''羧甲司坦(无糖型)'', ''羧甲司坦(无糖型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩宫素'', ''缩宫素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缩泉胶囊'', ''缩泉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索拉非尼'', ''索拉非尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索利那新'', ''索利那新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索磷布韦'', ''索磷布韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''索他洛尔'', ''索他洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锁阳补肾胶囊'', ''锁阳补肾胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他达拉非'', ''他达拉非'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他氟前列素'', ''他氟前列素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他卡西醇'', ''他卡西醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他克莫司'', ''他克莫司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他莫昔芬'', ''他莫昔芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''他扎罗汀'', ''他扎罗汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胎盘多肽'', ''胎盘多肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酞丁安'', ''酞丁安'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰咳净散'', ''痰咳净散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰热清注射液'', ''痰热清注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦度螺酮'', ''坦度螺酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦洛新'', ''坦洛新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坦索罗辛'', ''坦索罗辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳[13C]尿素呼气试验诊断试剂'', ''碳[13C]尿素呼气试验诊断试剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙'', ''碳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3'', ''碳酸钙D3'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙D3(Ⅱ)'', ''碳酸钙D3(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙甘氨酸'', ''碳酸钙甘氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸钙泡腾'', ''碳酸钙泡腾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸镧'', ''碳酸镧'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸锂'', ''碳酸锂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸利多卡因'', ''碳酸利多卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢钠'', ''碳酸氢钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸司维拉姆'', ''碳酸司维拉姆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖脉康颗粒'', ''糖脉康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特比萘芬'', ''特比萘芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特布他林'', ''特布他林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特拉唑嗪'', ''特拉唑嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特立帕肽'', ''特立帕肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特利加压素'', ''特利加压素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''特洛伪麻'', ''特洛伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨胶囊'', ''藤黄健骨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨片'', ''藤黄健骨片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藤黄健骨丸'', ''藤黄健骨丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替比夫定'', ''替比夫定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替勃龙'', ''替勃龙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替格瑞洛'', ''替格瑞洛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替吉奥'', ''替吉奥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加氟'', ''替加氟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加环素'', ''替加环素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替加色罗'', ''替加色罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替卡西林克拉维酸钾'', ''替卡西林克拉维酸钾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替考拉宁'', ''替考拉宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替罗非班'', ''替罗非班'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替罗非班氯化钠'', ''替罗非班氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦'', ''替米沙坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替米沙坦氢氯噻嗪'', ''替米沙坦氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替莫唑胺'', ''替莫唑胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替尼泊苷'', ''替尼泊苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替诺福韦二吡呋酯'', ''替诺福韦二吡呋酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替普瑞酮'', ''替普瑞酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑'', ''替硝唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑氯化钠'', ''替硝唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替硝唑葡萄糖'', ''替硝唑葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''替扎尼定'', ''替扎尼定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天丹通络胶囊'', ''天丹通络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天佛参口服液'', ''天佛参口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天胡荽愈肝片'', ''天胡荽愈肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻钩藤颗粒'', ''天麻钩藤颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻素'', ''天麻素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻头风灵片'', ''天麻头风灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麻眩晕宁合剂'', ''天麻眩晕宁合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天麦消渴片'', ''天麦消渴片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天然维生素E'', ''天然维生素E'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心片'', ''天王补心片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天王补心丸'', ''天王补心丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天一止咳糖浆'', ''天一止咳糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''天智颗粒'', ''天智颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦胶囊'', ''甜梦胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甜梦口服液'', ''甜梦口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经促孕丸'', ''调经促孕丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经祛斑胶囊'', ''调经祛斑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养血丸'', ''调经养血丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经养颜片'', ''调经养颜片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益灵片'', ''调经益灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母胶囊'', ''调经益母胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调经益母片'', ''调经益母片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''调胃舒肝丸'', ''调胃舒肝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''跳骨片'', ''跳骨片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁铵锌铜维B1'', ''铁铵锌铜维B1'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通痹胶囊'', ''通痹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通便灵胶囊'', ''通便灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络骨质宁膏'', ''通络骨质宁膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通络开痹片'', ''通络开痹片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉降糖胶囊'', ''通脉降糖胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉颗粒'', ''通脉颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通脉片'', ''通脉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎胶囊'', ''通窍鼻炎胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎颗粒'', ''通窍鼻炎颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍鼻炎片'', ''通窍鼻炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通窍耳聋丸'', ''通窍耳聋丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通塞脉片'', ''通塞脉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通舒口爽片'', ''通舒口爽片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通天口服液'', ''通天口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通心络胶囊'', ''通心络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺胶囊'', ''通宣理肺胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺颗粒'', ''通宣理肺颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通宣理肺丸'', ''通宣理肺丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通用名:阿娜尔妇洁液'', ''通用名:阿娜尔妇洁液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''通滞苏润江胶囊'', ''通滞苏润江胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌'', ''铜绿假单胞菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮咯酸氨丁三醇'', ''酮咯酸氨丁三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康他索'', ''酮康他索'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮康唑'', ''酮康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮洛芬'', ''酮洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酮替芬'', ''酮替芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风定胶囊'', ''痛风定胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛风舒片'', ''痛风舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛经宝颗粒'', ''痛经宝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛舒片'', ''痛舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痛血康胶囊'', ''痛血康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄'', ''头孢氨苄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢氨苄甲氧苄啶'', ''头孢氨苄甲氧苄啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢吡肟'', ''头孢吡肟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢丙烯'', ''头孢丙烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢泊肟酯'', ''头孢泊肟酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地尼'', ''头孢地尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地秦'', ''头孢地秦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢地嗪'', ''头孢地嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢呋辛酯'', ''头孢呋辛酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢甲肟'', ''头孢甲肟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛'', ''头孢克洛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克洛(Ⅱ)'', ''头孢克洛(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢克肟'', ''头孢克肟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢拉定'', ''头孢拉定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢硫脒'', ''头孢硫脒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢美唑'', ''头孢美唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢孟多'', ''头孢孟多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢孟多酯钠'', ''头孢孟多酯钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢米诺'', ''头孢米诺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢尼西'', ''头孢尼西'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮'', ''头孢哌酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮钠舒巴坦'', ''头孢哌酮钠舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦'', ''头孢哌酮舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦(2'', ''头孢哌酮舒巴坦(2'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮舒巴坦(2:1)'', ''头孢哌酮舒巴坦(2:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮他唑巴坦'', ''头孢哌酮他唑巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢哌酮他唑巴坦(8:1)'', ''头孢哌酮他唑巴坦(8:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢匹胺'', ''头孢匹胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢匹罗'', ''头孢匹罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢羟氨苄'', ''头孢羟氨苄'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻吩'', ''头孢噻吩'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻利'', ''头孢噻利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟舒巴坦'', ''头孢噻肟舒巴坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢噻肟舒巴坦(2:1)'', ''头孢噻肟舒巴坦(2:1)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢他美酯'', ''头孢他美酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢特仑新戊酯'', ''头孢特仑新戊酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢替安'', ''头孢替安'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢替唑'', ''头孢替唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢西丁'', ''头孢西丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑林'', ''头孢唑林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑啉'', ''头孢唑啉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头孢唑肟'', ''头孢唑肟'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛胶囊'', ''头风痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头风痛丸'', ''头风痛丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛定糖浆'', ''头痛定糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛宁胶囊'', ''头痛宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''土霉素'', ''土霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''兔抗人胸腺细胞免疫球蛋白'', ''兔抗人胸腺细胞免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''退障眼膏'', ''退障眼膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡卡胺'', ''托吡卡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托吡酯'', ''托吡酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托泊替康'', ''托泊替康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托伐普坦'', ''托伐普坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托法替布'', ''托法替布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托氟沙星'', ''托氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托拉塞米'', ''托拉塞米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托莫西汀'', ''托莫西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托尼萘酸'', ''托尼萘酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托瑞米芬'', ''托瑞米芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托特罗定'', ''托特罗定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼'', ''托烷司琼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼氯化钠'', ''托烷司琼氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托烷司琼葡萄糖'', ''托烷司琼葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托西酸舒他西林'', ''托西酸舒他西林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''托珠单抗'', ''托珠单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脱氧核苷酸钠'', ''脱氧核苷酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素'', ''妥布霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥布霉素地塞米松'', ''妥布霉素地塞米松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥洛特罗'', ''妥洛特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妥舒沙星'', ''妥舒沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人凝血酶'', ''外用冻干人凝血酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干人纤维蛋白'', ''外用冻干人纤维蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人表皮生长因子'', ''外用冻干重组人表皮生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用冻干重组人酸性成纤维细胞生长因子'', ''外用冻干重组人酸性成纤维细胞生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用溃疡散'', ''外用溃疡散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用万应膏'', ''外用万应膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组牛碱性成纤维细胞生长因子'', ''外用重组牛碱性成纤维细胞生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人表皮生长因子'', ''外用重组人表皮生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人碱性成纤维细胞生长因子'', ''外用重组人碱性成纤维细胞生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外用重组人粒细胞巨噬细胞刺激因子'', ''外用重组人粒细胞巨噬细胞刺激因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万古霉素'', ''万古霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万灵五香膏'', ''万灵五香膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''万通筋骨片'', ''万通筋骨片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尪痹胶囊'', ''尪痹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''王氏保赤丸'', ''王氏保赤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维A酸'', ''维A酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘'', ''维C银翘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘胶囊'', ''维C银翘胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维C银翘片'', ''维C银翘片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2果糖酸钙'', ''维D2果糖酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2磷葡钙'', ''维D2磷葡钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D2乳酸钙'', ''维D2乳酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维D钙'', ''维D钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝(Ⅲ)'', ''维U颠茄铝(Ⅲ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维U颠茄铝镁'', ''维U颠茄铝镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺'', ''维胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯'', ''维胺酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维胺酯维E'', ''维胺酯维E'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维妇康洗液'', ''维妇康洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维格列汀'', ''维格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维库溴铵'', ''维库溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维拉帕米'', ''维拉帕米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维磷葡钙'', ''维磷葡钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维酶素'', ''维酶素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维莫非尼'', ''维莫非尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A'', ''维生素A'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AD'', ''维生素AD'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素AE'', ''维生素AE'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素A棕榈酸酯'', ''维生素A棕榈酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B1'', ''维生素B1'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B12'', ''维生素B12'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B2'', ''维生素B2'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4'', ''维生素B4'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B4(磷酸氨基嘌呤)'', ''维生素B4(磷酸氨基嘌呤)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素B6'', ''维生素B6'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C'', ''维生素C'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C钙'', ''维生素C钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C氯化钠'', ''维生素C氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D'', ''维生素D'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2'', ''维生素D2'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D3'', ''维生素D3'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E'', ''维生素E'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素E烟酸酯'', ''维生素E烟酸酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K1'', ''维生素K1'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素K3'', ''维生素K3'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维替泊芬'', ''维替泊芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维铁'', ''维铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁合剂'', ''维血宁合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维血宁颗粒'', ''维血宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃铋镁'', ''胃铋镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠宁片'', ''胃肠宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶'', ''胃蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃得安片'', ''胃得安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃尔宁片'', ''胃尔宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃复春片'', ''胃复春片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康胶囊'', ''胃康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃康灵胶囊'', ''胃康灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐宁片'', ''胃乐宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃乐舒口服液'', ''胃乐舒口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃苏颗粒'', ''胃苏颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃痛宁片'', ''胃痛宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃炎康胶囊'', ''胃炎康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''温胃舒胶囊'', ''温胃舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''文拉法辛'', ''文拉法辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''稳心颗粒'', ''稳心颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通胶囊'', ''翁沥通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''翁沥通颗粒'', ''翁沥通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌苯美司'', ''乌苯美司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤分散片'', ''乌鸡白凤分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤胶囊'', ''乌鸡白凤胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤颗粒'', ''乌鸡白凤颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤片'', ''乌鸡白凤片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡白凤丸'', ''乌鸡白凤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌鸡增乳胶囊'', ''乌鸡增乳胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金活血止痛胶囊'', ''乌金活血止痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌金片'', ''乌金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌拉地尔'', ''乌拉地尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌灵胶囊'', ''乌灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌洛托品'', ''乌洛托品'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乌蛇止痒丸'', ''乌蛇止痒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屋尘螨变应原'', ''屋尘螨变应原'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''屋尘螨变应原制剂'', ''屋尘螨变应原制剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无比山药丸'', ''无比山药丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五参芪苓丸'', ''五参芪苓丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五氟利多'', ''五氟利多'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五福化毒丸'', ''五福化毒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五加生化胶囊'', ''五加生化胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五淋化石丸'', ''五淋化石丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五灵丸'', ''五灵丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五苓胶囊'', ''五苓胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五水头孢唑林'', ''五水头孢唑林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维B'', ''五维B'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维赖氨酸'', ''五维赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维葡钙'', ''五维葡钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五维他'', ''五维他'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五味麝香丸'', ''五味麝香丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯滴丸'', ''五酯滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯胶囊'', ''五酯胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯片'', ''五酯片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五酯软胶囊'', ''五酯软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗软胶囊'', ''五子衍宗软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''五子衍宗丸'', ''五子衍宗丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶'', ''午时茶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''午时茶颗粒'', ''午时茶颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇'', ''戊酸雌二醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊酸雌二醇/雌二醇环丙孕酮'', ''戊酸雌二醇/雌二醇环丙孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊乙奎醚'', ''戊乙奎醚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西吡氯铵'', ''西吡氯铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西达本胺'', ''西达本胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地吡罗昔康'', ''西地吡罗昔康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘'', ''西地碘'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西地碘含'', ''西地碘含'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀'', ''西格列汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西格列汀二甲双胍(I)'', ''西格列汀二甲双胍(I)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西瓜霜润喉片'', ''西瓜霜润喉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄胶囊'', ''西黄胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西黄丸'', ''西黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西甲硅油'', ''西甲硅油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西罗莫司'', ''西罗莫司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西洛他唑'', ''西洛他唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁'', ''西咪替丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西咪替丁(甲氰咪胍)'', ''西咪替丁(甲氰咪胍)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西那卡塞'', ''西那卡塞'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼必利'', ''西尼必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西尼地平'', ''西尼地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依固龈液'', ''西帕依固龈液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西帕依麦孜彼子胶囊'', ''西帕依麦孜彼子胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西曲瑞克'', ''西曲瑞克'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西沙必利'', ''西沙必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西索米星'', ''西索米星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西酞普兰'', ''西酞普兰'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西替利嗪'', ''西替利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''西妥昔单抗'', ''西妥昔单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附白喉破伤风联合疫苗'', ''吸附白喉破伤风联合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附破伤风疫苗'', ''吸附破伤风疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破联合疫苗'', ''吸附无细胞百白破联合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吸附无细胞百白破灭活脊髓灰质炎和b型流感嗜血杆菌(结合)联合疫苗'', ''吸附无细胞百白破灭活脊髓灰质炎和b型流感嗜血杆菌(结合)联合疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒酵母'', ''硒酵母'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锡类散'', ''锡类散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨莶风湿片'', ''豨莶风湿片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''豨蛭络达胶囊'', ''豨蛭络达胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''喜炎平注射液'', ''喜炎平注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞色素C'', ''细胞色素C'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌溶解产物'', ''细菌溶解产物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细辛脑'', ''细辛脑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草颗粒'', ''夏枯草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草口服液'', ''夏枯草口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏枯草片'', ''夏枯草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夏天无'', ''夏天无'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙乐雄胶囊'', ''仙乐雄胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙灵骨葆胶囊'', ''仙灵骨葆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''仙茸壮阳片'', ''仙茸壮阳片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤溶酶'', ''纤溶酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜益母草胶囊'', ''鲜益母草胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鲜竹沥'', ''鲜竹沥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷钴胺'', ''腺苷钴胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香丹注射液'', ''香丹注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖'', ''香菇多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖片'', ''香菇多糖片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菇多糖注射液'', ''香菇多糖注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊胶囊'', ''香菊胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香菊片'', ''香菊片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连片'', ''香连片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香连丸'', ''香连丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂六君丸'', ''香砂六君丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂平胃颗粒'', ''香砂平胃颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃颗粒'', ''香砂养胃颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃片'', ''香砂养胃片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃软胶囊'', ''香砂养胃软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸'', ''香砂养胃丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香砂养胃丸（浓缩丸）'', ''香砂养胃丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香药胃安片'', ''香药胃安片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥颗粒'', ''逍遥颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸'', ''逍遥丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(浓缩丸)'', ''逍遥丸(浓缩丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（浓缩丸）'', ''逍遥丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸(水丸)'', ''逍遥丸(水丸)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逍遥丸（水丸）'', ''逍遥丸（水丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平片'', ''消癌平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癌平注射液'', ''消癌平注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痤丸'', ''消痤丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消积洁白丸'', ''消积洁白丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消结安胶囊'', ''消结安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘胶囊'', ''消咳喘胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘片'', ''消咳喘片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消咳喘糖浆'', ''消咳喘糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴降糖胶囊'', ''消渴降糖胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴平片'', ''消渴平片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消渴丸'', ''消渴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消疲灵颗粒'', ''消疲灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消乳散结胶囊'', ''消乳散结胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消食健儿冲剂'', ''消食健儿冲剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓肠溶胶囊'', ''消栓肠溶胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓颗粒'', ''消栓颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓口服液'', ''消栓口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络胶囊'', ''消栓通络胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络颗粒'', ''消栓通络颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消栓通络片'', ''消栓通络片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消糖灵胶囊'', ''消糖灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痛贴膏'', ''消痛贴膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋卡多曲'', ''消旋卡多曲'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消旋山莨菪碱'', ''消旋山莨菪碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆分散片'', ''消炎利胆分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆胶囊'', ''消炎利胆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆片'', ''消炎利胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎利胆软胶囊'', ''消炎利胆软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎生肌膏'', ''消炎生肌膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消炎止咳片'', ''消炎止咳片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银胶囊'', ''消银胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消银颗粒'', ''消银颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘀康胶囊'', ''消瘀康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消癥益肝片'', ''消癥益肝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔灵注射液'', ''消痔灵注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔软膏'', ''消痔软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消痔丸'', ''消痔丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝苯地平'', ''硝苯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔'', ''硝呋太尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝呋太尔制霉菌素'', ''硝呋太尔制霉菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝普钠'', ''硝普钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油'', ''硝酸甘油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸甘油氯化钠'', ''硝酸甘油氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸毛果芸香碱'', ''硝酸毛果芸香碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸咪康唑'', ''硝酸咪康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸舍他康唑'', ''硝酸舍他康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯'', ''硝酸异山梨酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯氯化钠'', ''硝酸异山梨酯氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸异山梨酯葡萄糖'', ''硝酸异山梨酯葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硝酸益康唑'', ''硝酸益康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小败毒膏'', ''小败毒膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗胺'', ''小檗胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱'', ''小檗碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小檗碱甲氧苄啶'', ''小檗碱甲氧苄啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡胶囊'', ''小柴胡胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒'', ''小柴胡颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡颗粒（无蔗糖）'', ''小柴胡颗粒（无蔗糖）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小柴胡片'', ''小柴胡片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚黄那敏'', ''小儿氨酚黄那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚匹林'', ''小儿氨酚匹林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨酚烷胺'', ''小儿氨酚烷胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿氨咖黄敏'', ''小儿氨咖黄敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宝泰康颗粒'', ''小儿宝泰康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿贝诺酯维B1'', ''小儿贝诺酯维B1'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿布洛芬'', ''小儿布洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿柴桂退热颗粒'', ''小儿柴桂退热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肠胃康颗粒'', ''小儿肠胃康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿豉翘清热颗粒'', ''小儿豉翘清热颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿电解质补给'', ''小儿电解质补给'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿定喘口服液'', ''小儿定喘口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿对乙酰氨基酚'', ''小儿对乙酰氨基酚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿多维生素'', ''小儿多维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺咳颗粒'', ''小儿肺咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘颗粒'', ''小儿肺热咳喘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿肺热咳喘口服液'', ''小儿肺热咳喘口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿酚氨咖敏'', ''小儿酚氨咖敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨酚烷胺'', ''小儿复方氨酚烷胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸'', ''小儿复方氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(18AA-Ⅰ)'', ''小儿复方氨基酸(18AA-Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(18AA－I)'', ''小儿复方氨基酸(18AA－I)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方氨基酸(19AA-Ⅰ)'', ''小儿复方氨基酸(19AA-Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方磺胺甲噁唑'', ''小儿复方磺胺甲噁唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方赖氨酸'', ''小儿复方赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿复方四维亚铁'', ''小儿复方四维亚铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻宁泡腾颗粒'', ''小儿腹泻宁泡腾颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿腹泻贴'', ''小儿腹泻贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒颗粒'', ''小儿感冒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒宁糖浆'', ''小儿感冒宁糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿感冒退热糖浆'', ''小儿感冒退热糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化毒散'', ''小儿化毒散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化食口服液'', ''小儿化食口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿化痰止咳糖浆'', ''小儿化痰止咳糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解表颗粒'', ''小儿解表颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿解感颗粒'', ''小儿解感颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿金翘颗粒'', ''小儿金翘颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵颗粒'', ''小儿咳喘灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵口服液'', ''小儿咳喘灵口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咳喘灵泡腾片'', ''小儿咳喘灵泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺化痰泡腾片'', ''小儿清肺化痰泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清肺颗粒'', ''小儿清肺颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清解颗粒'', ''小儿清解颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热宁颗粒'', ''小儿清热宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿清热止咳口服液'', ''小儿清热止咳口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清颗粒'', ''小儿热速清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿热速清口服液'', ''小儿热速清口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿善存'', ''小儿善存'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿生血糖浆'', ''小儿生血糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿双清颗粒'', ''小儿双清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维钙'', ''小儿四维钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿四维葡钙'', ''小儿四维葡钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿碳酸钙D3'', ''小儿碳酸钙D3'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿维生素'', ''小儿维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美芬'', ''小儿伪麻美芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿伪麻美沙芬'', ''小儿伪麻美沙芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿五维赖氨酸'', ''小儿五维赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消积止咳口服液'', ''小儿消积止咳口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿消食颗粒'', ''小儿消食颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泄泻停颗粒'', ''小儿泄泻停颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿泻速停颗粒'', ''小儿泻速停颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿宣肺止咳颗粒'', ''小儿宣肺止咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿咽扁颗粒'', ''小儿咽扁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿盐酸赖氨酸'', ''小儿盐酸赖氨酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止咳糖浆'', ''小儿止咳糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿止泻贴'', ''小儿止泻贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小儿智力糖浆'', ''小儿智力糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中胶囊'', ''小建中胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小建中颗粒'', ''小建中颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金胶囊'', ''小金胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金片'', ''小金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小金丸'', ''小金丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小麦纤维素'', ''小麦纤维素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛脾提取物'', ''小牛脾提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血清去蛋白'', ''小牛血清去蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物'', ''小牛血去蛋白提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小牛血去蛋白提取物氯化钠'', ''小牛血去蛋白提取物氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''协日嘎四味汤胶囊'', ''协日嘎四味汤胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬更昔洛韦'', ''缬更昔洛韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦'', ''缬沙坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平'', ''缬沙坦氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氨氯地平(Ⅰ)'', ''缬沙坦氨氯地平(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缬沙坦氢氯噻嗪'', ''缬沙坦氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泻肺定喘片'', ''泻肺定喘片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心宝丸'', ''心宝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心达康滴丸'', ''心达康滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心肌肽'', ''心肌肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可宁胶囊'', ''心可宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒胶囊'', ''心可舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒颗粒'', ''心可舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒片'', ''心可舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心可舒丸'', ''心可舒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉隆注射液'', ''心脉隆注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''28999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通胶囊'', ''心脉通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脉通片'', ''心脉通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑健胶囊'', ''心脑健胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑宁胶囊'', ''心脑宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑舒通片'', ''心脑舒通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣'', ''心脑欣'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣片'', ''心脑欣片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心脑欣丸'', ''心脑欣丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心神宁胶囊'', ''心神宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒宝片'', ''心舒宝片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心舒乐片'', ''心舒乐片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心通口服液'', ''心通口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心无忧片'', ''心无忧片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悦胶囊'', ''心悦胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛伐他汀'', ''辛伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''辛芩颗粒'', ''辛芩颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''欣力康胶囊'', ''欣力康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新福菌素'', ''新福菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新癀片'', ''新癀片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新霉素'', ''新霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新霉素氟轻松'', ''新霉素氟轻松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化颗粒'', ''新生化颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新生化片'', ''新生化片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新斯的明'', ''新斯的明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新雪胶囊'', ''新雪胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑静注射液'', ''醒脑静注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脑再造胶囊'', ''醒脑再造胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醒脾养儿颗粒'', ''醒脾养儿颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏仁止咳糖浆'', ''杏仁止咳糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳颗粒'', ''杏苏止咳颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏苏止咳糖浆'', ''杏苏止咳糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''杏芎氯化钠'', ''杏芎氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎菊上清片'', ''芎菊上清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''芎芷痛瘀散'', ''芎芷痛瘀散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺法新'', ''胸腺法新'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺肽'', ''胸腺肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腺五肽'', ''胸腺五肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆粉'', ''熊胆粉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆含片'', ''熊胆含片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆胶囊'', ''熊胆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊胆开明片'', ''熊胆开明片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''熊去氧胆酸'', ''熊去氧胆酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴吡斯的明'', ''溴吡斯的明'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴丙胺太林'', ''溴丙胺太林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠'', ''溴芬酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴芬酸钠水合物'', ''溴芬酸钠水合物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴己新葡萄糖'', ''溴己新葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴米那普鲁卡因'', ''溴米那普鲁卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴莫尼定'', ''溴莫尼定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''溴隐亭'', ''溴隐亭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停胶囊'', ''虚汗停胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''虚汗停颗粒'', ''虚汗停颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宣肺止嗽合剂'', ''宣肺止嗽合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦甘桔颗粒'', ''玄麦甘桔颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玄麦柑桔胶囊'', ''玄麦柑桔胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕宁片'', ''眩晕宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪胆素片'', ''雪胆素片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山金罗汉止痛涂膜剂'', ''雪山金罗汉止痛涂膜剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雪山胃宝胶囊'', ''雪山胃宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血必净注射液'', ''血必净注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀胶囊'', ''血府逐瘀胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀口服液'', ''血府逐瘀口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀片'', ''血府逐瘀片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血府逐瘀丸'', ''血府逐瘀丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康胶囊'', ''血康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血康口服液'', ''血康口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血美安胶囊'', ''血美安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿安胶囊'', ''血尿安胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血凝酶'', ''血凝酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通滴丸'', ''血塞通滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通分散片'', ''血塞通分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊'', ''血塞通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通胶囊<p>'', ''血塞通胶囊<p>'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通颗粒'', ''血塞通颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通片'', ''血塞通片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血塞通软胶囊'', ''血塞通软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁胶囊'', ''血栓心脉宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓心脉宁片'', ''血栓心脉宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液保存液'', ''血液保存液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液保存液(Ⅰ)'', ''血液保存液(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换基础液'', ''血液滤过置换基础液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液滤过置换液'', ''血液滤过置换液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂康胶囊'', ''血脂康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血脂灵片'', ''血脂灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血滞通胶囊'', ''血滞通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油'', ''鸦胆子油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油口服乳液'', ''鸦胆子油口服乳液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油乳注射液'', ''鸦胆子油乳注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鸦胆子油软胶囊'', ''鸦胆子油软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚胺培南西司他丁'', ''亚胺培南西司他丁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚甲蓝'', ''亚甲蓝'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硫酸氢钠甲萘醌'', ''亚硫酸氢钠甲萘醌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚砷酸氯化钠'', ''亚砷酸氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硒酸钠'', ''亚硒酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钙'', ''亚叶酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚叶酸钠'', ''亚叶酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽立爽口含滴丸'', ''咽立爽口含滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽炎片'', ''咽炎片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸'', ''烟酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酸占替诺'', ''烟酸占替诺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烟酰胺'', ''烟酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康胶囊'', ''岩鹿乳康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''岩鹿乳康片'', ''岩鹿乳康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎琥宁'', ''炎琥宁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁片'', ''炎可宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎可宁丸'', ''炎可宁丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消胶囊'', ''炎立消胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎立消片'', ''炎立消片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎宁颗粒'', ''炎宁颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清颗粒'', ''炎热清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''炎热清片'', ''炎热清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸氮芥'', ''盐酸氮芥'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''盐酸吗啡'', ''盐酸吗啡'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眼氨肽'', ''眼氨肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''洋参雪哈口服液'', ''洋参雪哈口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃颗粒'', ''养胃颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒胶囊'', ''养胃舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养胃舒颗粒'', ''养胃舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心生脉颗粒'', ''养心生脉颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养心氏片'', ''养心氏片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神颗粒'', ''养血安神颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神片'', ''养血安神片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血安神糖浆'', ''养血安神糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血当归胶囊'', ''养血当归胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑颗粒'', ''养血清脑颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血清脑丸'', ''养血清脑丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血生发胶囊'', ''养血生发胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养血饮口服液'', ''养血饮口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养阴清肺颗粒'', ''养阴清肺颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''养正消积胶囊'', ''养正消积胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星'', ''氧氟沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星氯化钠'', ''氧氟沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星葡萄糖'', ''氧氟沙星葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌'', ''氧化锌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化锌硫'', ''氧化锌硫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧化樟脑'', ''氧化樟脑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痹通胶囊'', ''腰痹通胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛片'', ''腰痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药艾条'', ''药艾条'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''药用炭'', ''药用炭'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野菊花注射液'', ''野菊花注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野马追糖浆'', ''野马追糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野木瓜注射液'', ''野木瓜注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''野苏胶囊'', ''野苏胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶绿素铜钠'', ''叶绿素铜钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸'', ''叶酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠胶囊'', ''叶下珠胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶下珠片'', ''叶下珠片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清胶囊'', ''一清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清颗粒'', ''一清颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一清片'', ''一清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸'', ''伊班膦酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊班膦酸钠'', ''伊班膦酸钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊布利特'', ''伊布利特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊布替尼'', ''伊布替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊达比星'', ''伊达比星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊伐布雷定'', ''伊伐布雷定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊立替康'', ''伊立替康'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊马替尼'', ''伊马替尼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊米苷酶'', ''伊米苷酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊木萨克片'', ''伊木萨克片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊曲康唑'', ''伊曲康唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊沙佐米'', ''伊沙佐米'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊索拉定'', ''伊索拉定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊托必利'', ''伊托必利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伊血安颗粒'', ''伊血安颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依巴斯汀'', ''依巴斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依达拉奉'', ''依达拉奉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依地酸钙钠'', ''依地酸钙钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依非韦伦'', ''依非韦伦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依降钙素'', ''依降钙素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依马打正红花油'', ''依马打正红花油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依美斯汀'', ''依美斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利'', ''依那普利'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利拉'', ''依那普利拉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利氢氯噻嗪'', ''依那普利氢氯噻嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那普利叶酸'', ''依那普利叶酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依那西普'', ''依那西普'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺肝素'', ''依诺肝素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依诺沙星'', ''依诺沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依帕司他'', ''依帕司他'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依匹斯汀'', ''依匹斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依普黄酮'', ''依普黄酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依沙吖啶'', ''依沙吖啶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替巴肽'', ''依替巴肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替膦酸二钠'', ''依替膦酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替米星'', ''依替米星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依替米星氯化钠'', ''依替米星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托泊苷'', ''依托泊苷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托度酸'', ''依托度酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托芬那酯'', ''依托芬那酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托红霉素'', ''依托红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托考昔'', ''依托考昔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯'', ''依托咪酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托咪酯乳状'', ''依托咪酯乳状'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依托孕烯'', ''依托孕烯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依维莫司'', ''依维莫司'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依西美坦'', ''依西美坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布'', ''依折麦布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''依折麦布辛伐他汀'', ''依折麦布辛伐他汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素'', ''胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原'', ''胰激肽原'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰激肽原酶'', ''胰激肽原酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰酶'', ''胰酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''移因子'', ''移因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺吡嗪利福异烟(Ⅱ)'', ''乙胺吡嗪利福异烟(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙胺丁醇'', ''乙胺丁醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝清热解毒胶囊'', ''乙肝清热解毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙磺酸尼达尼布'', ''乙磺酸尼达尼布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙哌立松'', ''乙哌立松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰胺'', ''乙酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰半胱氨酸泡腾'', ''乙酰半胱氨酸泡腾'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺'', ''乙酰谷酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰谷酰胺氯化钠'', ''乙酰谷酰胺氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰螺旋霉素'', ''乙酰螺旋霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰麦迪霉素'', ''乙酰麦迪霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙酰唑胺'', ''乙酰唑胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎人免疫球蛋白'', ''乙型肝炎人免疫球蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎减毒活疫苗'', ''乙型脑炎减毒活疫苗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎灭活疫苗(Vero细胞)'', ''乙型脑炎灭活疫苗(Vero细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙氧苯柳胺'', ''乙氧苯柳胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙嗪'', ''异丙嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙肾上腺素'', ''异丙肾上腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异丙托溴铵'', ''异丙托溴铵'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异氟烷'', ''异氟烷'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福'', ''异福'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福片'', ''异福片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异福酰胺'', ''异福酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异甘草酸镁'', ''异甘草酸镁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异环磷酰胺'', ''异环磷酰胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异帕米星'', ''异帕米星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异山梨醇'', ''异山梨醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸'', ''异维A酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异维A酸红霉素'', ''异维A酸红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异烟肼'', ''异烟肼'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抑肽酶'', ''抑肽酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆胶囊'', ''益胆胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益胆片'', ''益胆片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝乐胶囊'', ''益肝乐胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵滴丸'', ''益肝灵滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵分散片'', ''益肝灵分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵片'', ''益肝灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵软胶囊'', ''益肝灵软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肝灵液体胶囊'', ''益肝灵液体胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益康倍松'', ''益康倍松'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脉康片'', ''益脉康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草膏'', ''益母草膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草胶囊'', ''益母草胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草颗粒'', ''益母草颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草片'', ''益母草片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草软胶囊'', ''益母草软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母草注射液'', ''益母草注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益母颗粒（无糖型）'', ''益母颗粒（无糖型）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑胶囊'', ''益脑胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑宁片'', ''益脑宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益脑片'', ''益脑片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气复脉胶囊'', ''益气复脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气和胃胶囊'', ''益气和胃胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气活血颗粒'', ''益气活血颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气维血胶囊'', ''益气维血胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益气养血口服液'', ''益气养血口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾蠲痹丸'', ''益肾蠲痹丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益肾灵颗粒'', ''益肾灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益视颗粒'', ''益视颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心巴迪然吉布亚颗粒'', ''益心巴迪然吉布亚颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心康泰胶囊'', ''益心康泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心颗粒'', ''益心颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒胶囊'', ''益心舒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒颗粒'', ''益心舒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒片'', ''益心舒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心舒丸'', ''益心舒丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮分散片'', ''益心酮分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益心酮胶囊'', ''益心酮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''益血生胶囊'', ''益血生胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''因卡膦酸二钠'', ''因卡膦酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴道用乳杆菌活菌'', ''阴道用乳杆菌活菌'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵胆平肝胶囊'', ''茵胆平肝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄颗粒'', ''茵栀黄颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茵栀黄口服液'', ''茵栀黄口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心脑通软胶囊'', ''银丹心脑通软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银丹心泰滴丸'', ''银丹心泰滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银花泌炎灵片'', ''银花泌炎灵片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄滴丸'', ''银黄滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄含片'', ''银黄含片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄胶囊'', ''银黄胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄颗粒'', ''银黄颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银黄片'', ''银黄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘合剂'', ''银翘合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒合剂'', ''银翘解毒合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒胶囊'', ''银翘解毒胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒颗粒'', ''银翘解毒颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒片'', ''银翘解毒片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银翘解毒软胶囊'', ''银翘解毒软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵膏'', ''银屑灵膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银屑灵颗粒'', ''银屑灵颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏达莫'', ''银杏达莫'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏二萜内酯葡胺'', ''银杏二萜内酯葡胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏二萜内酯葡胺注射液'', ''银杏二萜内酯葡胺注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏露'', ''银杏露'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏蜜环'', ''银杏蜜环'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏内酯注射液'', ''银杏内酯注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯'', ''银杏酮酯'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯滴丸'', ''银杏酮酯滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏酮酯片'', ''银杏酮酯片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶'', ''银杏叶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶滴丸'', ''银杏叶滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶分散片'', ''银杏叶分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶胶囊'', ''银杏叶胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶片'', ''银杏叶片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物'', ''银杏叶提取物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶提取物片'', ''银杏叶提取物片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''银杏叶丸'', ''银杏叶丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''引阳索胶囊'', ''引阳索胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哒帕胺'', ''吲哒帕胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺'', ''吲达帕胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲达帕胺(Ⅱ)'', ''吲达帕胺(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚布芬'', ''吲哚布芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚菁绿'', ''吲哚菁绿'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛'', ''吲哚美辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛巴布'', ''吲哚美辛巴布'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吲哚美辛呋喃唑酮'', ''吲哚美辛呋喃唑酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蚓激酶'', ''蚓激酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''茚达特罗'', ''茚达特罗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''英夫利西单抗'', ''英夫利西单抗'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''英卡膦酸二钠'', ''英卡膦酸二钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾口服液'', ''婴儿健脾口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散'', ''婴儿健脾散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''婴儿健脾散(微粉细粒型)'', ''婴儿健脾散(微粉细粒型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟碱'', ''罂粟碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟碱氯化钠'', ''罂粟碱氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罂粟乙碘油'', ''罂粟乙碘油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''荧光素钠'', ''荧光素钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硬脂酸红霉素'', ''硬脂酸红霉素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛹虫草菌粉胶囊'', ''蛹虫草菌粉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尤瑞克林'', ''尤瑞克林'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右丙亚胺'', ''右丙亚胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右归胶囊'', ''右归胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右雷佐生'', ''右雷佐生'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美沙芬愈创甘油醚'', ''右美沙芬愈创甘油醚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右美托咪定'', ''右美托咪定'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋布洛芬'', ''右旋布洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐20葡萄糖'', ''右旋糖酐20葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氨基酸'', ''右旋糖酐40氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40氯化钠'', ''右旋糖酐40氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐40葡萄糖'', ''右旋糖酐40葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐羟丙甲纤维素'', ''右旋糖酐羟丙甲纤维素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋糖酐铁'', ''右旋糖酐铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬'', ''右旋酮洛芬'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右旋酮洛芬氨丁三醇'', ''右旋酮洛芬氨丁三醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''右佐匹克隆'', ''右佐匹克隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹胶囊'', ''瘀血痹胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘀血痹片'', ''瘀血痹片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''余甘子喉片'', ''余甘子喉片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼精蛋白'', ''鱼精蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼石脂'', ''鱼石脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草滴眼液'', ''鱼腥草滴眼液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草素'', ''鱼腥草素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼腥草注射液'', ''鱼腥草注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鱼油脂肪乳'', ''鱼油脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风胶囊'', ''玉屏风胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风颗粒'', ''玉屏风颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉屏风口服液'', ''玉屏风口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉泉颗粒'', ''玉泉颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''玉叶清火胶囊'', ''玉叶清火胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''郁金银屑片'', ''郁金银屑片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈创甘油醚'', ''愈创甘油醚'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚待因'', ''愈酚待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚甲麻那敏'', ''愈酚甲麻那敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻'', ''愈酚伪麻'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈酚伪麻待因'', ''愈酚伪麻待因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈裂贴膏'', ''愈裂贴膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美'', ''愈美'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈美甲麻敏'', ''愈美甲麻敏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈伤灵胶囊'', ''愈伤灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''愈心痛胶囊'', ''愈心痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛滴丸'', ''元胡止痛滴丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛分散片'', ''元胡止痛分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛颗粒'', ''元胡止痛颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛片'', ''元胡止痛片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''元胡止痛软胶囊'', ''元胡止痛软胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月见草油'', ''月见草油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕痛定胶囊'', ''晕痛定胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药'', ''云南白药'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药创可贴'', ''云南白药创可贴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药酊'', ''云南白药酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药膏'', ''云南白药膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药胶囊'', ''云南白药胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南白药气雾剂'', ''云南白药气雾剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云南红药胶囊'', ''云南红药胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝胞内糖肽'', ''云芝胞内糖肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝肝泰颗粒'', ''云芝肝泰颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''云芝糖肽胶囊'', ''云芝糖肽胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康颗粒'', ''孕康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康口服液'', ''孕康口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕康糖浆'', ''孕康糖浆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕三烯酮'', ''孕三烯酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血胶囊'', ''再造生血胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''再造生血片'', ''再造生血片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脏连丸'', ''脏连丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神胶囊'', ''枣仁安神胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枣仁安神颗粒'', ''枣仁安神颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠'', ''藻酸双酯钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''藻酸双酯钠氯化钠'', ''藻酸双酯钠氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泽桂癃爽胶囊'', ''泽桂癃爽胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光胶囊'', ''增光胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增光片'', ''增光片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''增乳膏'', ''增乳膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎冲十三味丸'', ''扎冲十三味丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎来普隆'', ''扎来普隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎鲁司特'', ''扎鲁司特'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''扎那米韦'', ''扎那米韦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''樟柳碱'', ''樟柳碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春胺'', ''长春胺'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春地辛'', ''长春地辛'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春碱'', ''长春碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春瑞滨'', ''长春瑞滨'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀'', ''长春西汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀氯化钠'', ''长春西汀氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春西汀葡萄糖'', ''长春西汀葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长春新碱'', ''长春新碱'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳'', ''长链脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''长链脂肪乳(00)'', ''长链脂肪乳(00)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''障眼明胶囊'', ''障眼明胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蔗糖铁'', ''蔗糖铁'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正胶囊'', ''贞芪扶正胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''贞芪扶正颗粒'', ''贞芪扶正颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍宝丸'', ''珍宝丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄安宫片'', ''珍黄安宫片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄胶囊'', ''珍黄胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍黄片'', ''珍黄片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍菊降压'', ''珍菊降压'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍菊降压片'', ''珍菊降压片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍石烧伤膏'', ''珍石烧伤膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠明目滴眼液'', ''珍珠明目滴眼液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珍珠胃安九'', ''珍珠胃安九'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源胶囊'', ''振源胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源口服液'', ''振源口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''振源片'', ''振源片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁胶囊'', ''镇咳宁胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镇咳宁口服液'', ''镇咳宁口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''整蛋白型肠内营养剂'', ''整蛋白型肠内营养剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正柴胡饮颗粒'', ''正柴胡饮颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正骨水'', ''正骨水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正红花油'', ''正红花油'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁缓释片'', ''正清风痛宁缓释片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正清风痛宁注射液'', ''正清风痛宁注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天胶囊'', ''正天胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正天丸'', ''正天丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄口服液'', ''知柏地黄口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸'', ''知柏地黄丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''知柏地黄丸（浓缩丸）'', ''知柏地黄丸（浓缩丸）'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必泰胶囊'', ''脂必泰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂必妥片'', ''脂必妥片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳'', ''脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(10%)/氨基酸(15)/葡萄糖(20%)'', ''脂肪乳(10%)/氨基酸(15)/葡萄糖(20%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳(C14-24)'', ''脂肪乳(C14-24)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸'', ''脂肪乳氨基酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(11%)'', ''脂肪乳氨基酸(17)葡萄糖(11%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(17)葡萄糖(19%)'', ''脂肪乳氨基酸(17)葡萄糖(19%)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸(18)'', ''脂肪乳氨基酸(18)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪乳氨基酸葡萄糖'', ''脂肪乳氨基酸葡萄糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂康颗粒'', ''脂康颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂可清胶囊'', ''脂可清胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂清片'', ''脂清片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素'', ''脂溶性维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅰ)'', ''脂溶性维生素(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅱ)'', ''脂溶性维生素(Ⅱ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂溶性维生素(Ⅱ)/水溶性维生素'', ''脂溶性维生素(Ⅱ)/水溶性维生素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳宁嗽胶囊'', ''止咳宁嗽胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳枇杷颗粒'', ''止咳枇杷颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止咳桃花散'', ''止咳桃花散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰胶囊'', ''止嗽化痰胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止嗽化痰颗粒'', ''止嗽化痰颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化癓片'', ''止痛化癓片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化癥胶囊'', ''止痛化癥胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛化症片'', ''止痛化症片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痛消炎软膏'', ''止痛消炎软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝胶囊'', ''止血宝胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止血宝颗粒'', ''止血宝颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒酊'', ''止痒酊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''止痒消炎水'', ''止痒消炎水'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术颗粒'', ''枳术颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''枳术宽中胶囊'', ''枳术宽中胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''至灵胶囊'', ''至灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志苓胶囊'', ''志苓胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''制霉菌素'', ''制霉菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治咳川贝枇杷露'', ''治咳川贝枇杷露'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜康栓'', ''治糜康栓'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治糜灵泡腾片'', ''治糜灵泡腾片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治偏痛胶囊'', ''治偏痛胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''治伤软膏'', ''治伤软膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''致康胶囊'', ''致康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮胶囊'', ''痔疮胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疮片'', ''痔疮片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔疾洗液'', ''痔疾洗液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康胶囊'', ''痔康胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔康片'', ''痔康片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痔宁片'', ''痔宁片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''智杞颗粒'', ''智杞颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C6-24)'', ''中/长链脂肪乳(C6-24)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中/长链脂肪乳(C8-24)'', ''中/长链脂肪乳(C8-24)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中风回春丸'', ''中风回春丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性蛋白酶'', ''中性蛋白酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中长链脂肪乳'', ''中长链脂肪乳'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中长链脂肪乳(C8-24Ve)'', ''中长链脂肪乳(C8-24Ve)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿节风分散片'', ''肿节风分散片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生片'', ''众生片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''众生丸'', ''众生丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重感灵胶囊'', ''重感灵胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组促卵泡素β'', ''重组促卵泡素β'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组改构人肿瘤坏死因子'', ''重组改构人肿瘤坏死因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组甘精胰岛素'', ''重组甘精胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组赖脯胰岛素'', ''重组赖脯胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组链激酶'', ''重组链激酶'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组牛碱性成纤维细胞生长因子'', ''重组牛碱性成纤维细胞生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人Ⅱ型肿瘤坏死因子受体-抗体融合蛋白'', ''重组人Ⅱ型肿瘤坏死因子受体-抗体融合蛋白'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人p53腺病毒'', ''重组人p53腺病毒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人TNK组织型纤溶酶原激活剂'', ''重组人TNK组织型纤溶酶原激活剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-11'', ''重组人白介素-11'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-11(Ⅰ)'', ''重组人白介素-11(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2'', ''重组人白介素-2'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白介素-2(125Ala)'', ''重组人白介素-2(125Ala)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-11'', ''重组人白细胞介素-11'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2'', ''重组人白细胞介素-2'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人白细胞介素-2(125Ala)'', ''重组人白细胞介素-2(125Ala)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子'', ''重组人表皮生长因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子(Ⅰ)'', ''重组人表皮生长因子(Ⅰ)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子(酵母)'', ''重组人表皮生长因子(酵母)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人表皮生长因子衍生物'', ''重组人表皮生长因子衍生物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素'', ''重组人促红素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素(CHO细胞)'', ''重组人促红素(CHO细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促红素-β(CHO细胞)'', ''重组人促红素-β(CHO细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促黄体激素 '', ''重组人促黄体激素 '', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促黄体激素α'', ''重组人促黄体激素α'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人促卵泡激素'', ''重组人促卵泡激素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α1b'', ''重组人干扰素α1b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2a'', ''重组人干扰素α2a'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b'', ''重组人干扰素α2b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α-2b'', ''重组人干扰素α-2b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素α2b(假单胞菌)'', ''重组人干扰素α2b(假单胞菌)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素β1b'', ''重组人干扰素β1b'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人干扰素γ'', ''重组人干扰素γ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人红细胞生成素'', ''重组人红细胞生成素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子'', ''重组人粒细胞刺激因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞刺激因子(CHO细胞)'', ''重组人粒细胞刺激因子(CHO细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞集落刺激因子'', ''重组人粒细胞集落刺激因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人粒细胞巨噬细胞刺激因子'', ''重组人粒细胞巨噬细胞刺激因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人脑利钠肽'', ''重组人脑利钠肽'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人尿激酶原'', ''重组人尿激酶原'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅶa'', ''重组人凝血因子Ⅶa'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅷ'', ''重组人凝血因子Ⅷ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人凝血因子Ⅸ'', ''重组人凝血因子Ⅸ'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人绒促性素'', ''重组人绒促性素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素'', ''重组人生长激素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人生长激素(rhGH)'', ''重组人生长激素(rhGH)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血管内皮抑制素'', ''重组人血管内皮抑制素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人血小板生成素'', ''重组人血小板生成素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素'', ''重组人胰岛素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人胰岛素混合'', ''重组人胰岛素混合'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组人组织型纤溶酶原激酶衍生物'', ''重组人组织型纤溶酶原激酶衍生物'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(CHO细胞)'', ''重组乙型肝炎疫苗(CHO细胞)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(汉逊酵母)'', ''重组乙型肝炎疫苗(汉逊酵母)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''重组乙型肝炎疫苗(酿酒酵母)'', ''重组乙型肝炎疫苗(酿酒酵母)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''朱砂安神丸'', ''朱砂安神丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀保婴散'', ''珠珀保婴散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀猴枣散'', ''珠珀猴枣散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''珠珀惊风散'', ''珠珀惊风散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''猪肺磷脂'', ''猪肺磷脂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹红菌素'', ''竹红菌素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥合剂'', ''竹沥合剂'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''竹沥胶囊'', ''竹沥胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''逐瘀通脉胶囊'', ''逐瘀通脉胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参'', ''注射用丹参'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用丹参多酚酸盐'', ''注射用丹参多酚酸盐'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用灯盏花素'', ''注射用灯盏花素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用红花黄色素'', ''注射用红花黄色素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用黄芪多糖'', ''注射用黄芪多糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用双黄连'', ''注射用双黄连'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用血塞通'', ''注射用血塞通'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''注射用益气复脉'', ''注射用益气复脉'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖'', ''转化糖'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转化糖电解质'', ''转化糖电解质'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转移因子'', ''转移因子'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节胶囊'', ''壮骨关节胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨关节丸'', ''壮骨关节丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''壮骨麝香止痛膏'', ''壮骨麝香止痛膏'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨胶囊'', ''追风透骨胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风透骨丸'', ''追风透骨丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''追风药酒'', ''追风药酒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋肾育胎丸'', ''滋肾育胎丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴胶囊'', ''滋心阴胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴颗粒'', ''滋心阴颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滋心阴口服液'', ''滋心阴口服液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫河车胶囊'', ''紫河车胶囊'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫龙金片'', ''紫龙金片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇'', ''紫杉醇'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇(白蛋白结合型)'', ''紫杉醇(白蛋白结合型)'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫杉醇脂质体'', ''紫杉醇脂质体'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈哌泊塞嗪'', ''棕榈哌泊塞嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''棕榈酸帕利哌酮'', ''棕榈酸帕利哌酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''足光散'', ''足光散'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖卡木颗粒'', ''祖卡木颗粒'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻片'', ''祖师麻片'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''祖师麻注射液'', ''祖师麻注射液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左奥硝唑氯化钠'', ''左奥硝唑氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左布比卡因'', ''左布比卡因'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左布诺洛尔'', ''左布诺洛尔'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左归丸'', ''左归丸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左甲状腺素'', ''左甲状腺素'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡巴斯汀'', ''左卡巴斯汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左卡尼汀'', ''左卡尼汀'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左羟丙哌嗪口服溶液'', ''左羟丙哌嗪口服溶液'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮'', ''左炔诺孕酮'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左炔诺孕酮宫内节育系统'', ''左炔诺孕酮宫内节育系统'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西孟旦'', ''左西孟旦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左西替利嗪'', ''左西替利嗪'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋氨氯地平'', ''左旋氨氯地平'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋多巴'', ''左旋多巴'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左旋咪唑'', ''左旋咪唑'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左亚叶酸钙'', ''左亚叶酸钙'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氟沙星氯化钠'', ''左氧氟沙星氯化钠'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧氰沙星'', ''左氧氰沙星'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左乙拉西坦'', ''左乙拉西坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐米曲普坦'', ''佐米曲普坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''佐匹克隆'', ''佐匹克隆'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''坐珠达西'', ''坐珠达西'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唑吡坦'', ''唑吡坦'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唑来膦酸'', ''唑来膦酸'', ''3'', ''0'', ''200'', ''9'', ''0'', ''8'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-正常'', ''全身浅表淋巴结未触及'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-可触及肿大淋巴结'', ''全身浅表淋巴结未触及-可触及肿大淋巴结'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-质硬'', ''全身浅表淋巴结未触及-质硬'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-大小'', ''全身浅表淋巴结未触及-大小'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-活动'', ''全身浅表淋巴结未触及-活动'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全身浅表淋巴结未触及-粘连'', ''全身浅表淋巴结未触及-粘连'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅五官无畸形-头颅五官无畸形'', ''头颅五官无畸形-头颅五官无畸形'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅五官无畸形-畸形'', ''头颅五官无畸形-畸形'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头颅五官无畸形-囟门'', ''头颅五官无畸形-囟门'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜透明-角膜透明'', ''角膜透明-角膜透明'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜透明-角膜'', ''角膜透明-角膜'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''角膜透明-选项'', ''角膜透明-选项'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-正常'', ''耳廓无畸形,外耳道无溢液-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-左右双'', ''耳廓无畸形,外耳道无溢液-左右双'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-畸形'', ''耳廓无畸形,外耳道无溢液-畸形'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-溢液'', ''耳廓无畸形,外耳道无溢液-溢液'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-牵拉痛'', ''耳廓无畸形,外耳道无溢液-牵拉痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳廓无畸形,外耳道无溢液-压痛'', ''耳廓无畸形,外耳道无溢液-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿部位或特征'', ''水肿部位或特征'', ''3'', ''0'', ''200'', ''2'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往史-诊断选项'', ''既往史-诊断选项'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-正常'', ''外鼻无畸形-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-鼻型'', ''外鼻无畸形-鼻型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-煽动'', ''外鼻无畸形-煽动'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-分泌物'', ''外鼻无畸形-分泌物'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-偏曲'', ''外鼻无畸形-偏曲'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外鼻无畸形-压痛'', ''外鼻无畸形-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿程度和部位'', ''水肿程度和部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿初为后为'', ''水肿初为后为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿部位'', ''水肿部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''水肿性状'', ''水肿性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-正常'', ''甲状腺无肿大-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-肿大'', ''甲状腺无肿大-肿大'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-质地'', ''甲状腺无肿大-质地'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-压痛'', ''甲状腺无肿大-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-震颤'', ''甲状腺无肿大-震颤'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺无肿大-血管杂音'', ''甲状腺无肿大-血管杂音'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯血量'', ''咯血量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咯血颜色'', ''咯血颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-正常'', ''胸廓对称无畸形-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-胸廓对称'', ''胸廓对称无畸形-胸廓对称'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-胸型'', ''胸廓对称无畸形-胸型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-隆起塌陷'', ''胸廓对称无畸形-隆起塌陷'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-皮下气肿'', ''胸廓对称无畸形-皮下气肿'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸廓对称无畸形-压痛'', ''胸廓对称无畸形-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝'', ''乙肝'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核'', ''结核'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀部位或特征'', ''发绀部位或特征'', ''3'', ''0'', ''200'', ''2'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒'', ''伤寒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病'', ''艾滋病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒'', ''梅毒'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心界无扩大-正常'', ''心界无扩大-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝'', ''丙肝'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心界无扩大-增大'', ''心界无扩大-增大'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心界无扩大-形态'', ''心界无扩大-形态'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝炎'', ''肝炎'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀程度'', ''发绀程度'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀以为'', ''发绀以为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀部位'', ''发绀部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀特性'', ''发绀特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致-正常'', ''双侧呼吸动度一致-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致-节律'', ''双侧呼吸动度一致-节律'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致-方向'', ''双侧呼吸动度一致-方向'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双侧呼吸动度一致-增强减弱'', ''双侧呼吸动度一致-增强减弱'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起-隆起'', ''心前区无异常隆起-隆起'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起-搏动'', ''心前区无异常隆起-搏动'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起-位置'', ''心前区无异常隆起-位置'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起-震颤'', ''心前区无异常隆起-震颤'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心前区无异常隆起-摩擦感'', ''心前区无异常隆起-摩擦感'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有乙肝病史'', ''有乙肝病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有结核病史'', ''有结核病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有伤寒病史'', ''有伤寒病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐量'', ''呕吐量'', ''3'', ''0'', ''200'', ''2'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有艾滋病病史'', ''有艾滋病病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有梅毒病史'', ''有梅毒病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有丙肝病史'', ''有丙肝病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有肝炎病史'', ''有肝炎病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐量1'', ''呕吐-呕吐量1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐量2'', ''呕吐-呕吐量2'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐量3'', ''呕吐-呕吐量3'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕吐-呕吐量4'', ''呕吐-呕吐量4'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血量'', ''呕血量'', ''3'', ''0'', ''200'', ''2'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血颜色'', ''呕血颜色'', ''3'', ''0'', ''200'', ''2'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕血量1'', ''呕血-呕血量1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕血量2'', ''呕血-呕血量2'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕血量3'', ''呕血-呕血量3'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕血量4'', ''呕血-呕血量4'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕吐颜色1'', ''呕血-呕吐颜色1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕吐颜色2'', ''呕血-呕吐颜色2'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕吐颜色3'', ''呕血-呕吐颜色3'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕吐颜色4'', ''呕血-呕吐颜色4'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呕血-呕吐颜色5'', ''呕血-呕吐颜色5'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛-肾区'', ''肾区无叩痛-肾区'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛-方位'', ''肾区无叩痛-方位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛-叩痛'', ''肾区无叩痛-叩痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾区无叩痛-压痛'', ''肾区无叩痛-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门及外生殖器未查-正常'', ''肛门及外生殖器未查-正常'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门及外生殖器未查-第一列'', ''肛门及外生殖器未查-第一列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门及外生殖器未查-第二列'', ''肛门及外生殖器未查-第二列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-正常'', ''脊柱无畸形,活动自如-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-脊柱'', ''脊柱无畸形,活动自如-脊柱'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-凸'', ''脊柱无畸形,活动自如-凸'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-压痛'', ''脊柱无畸形,活动自如-压痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-叩击痛'', ''脊柱无畸形,活动自如-叩击痛'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脊柱无畸形,活动自如-活动'', ''脊柱无畸形,活动自如-活动'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦-第一列'', ''腹部平坦-第一列'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦-第二列'', ''腹部平坦-第二列'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦-第三列'', ''腹部平坦-第三列'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢无水肿-正常'', ''双下肢无水肿-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢'', ''四肢'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢无水肿-凹陷性'', ''双下肢无水肿-凹陷性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双下肢无水肿-水肿'', ''双下肢无水肿-水肿'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肌力肌张力正常-正常'', ''四肢肌力肌张力正常-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肌力肌张力正常-肌张力减退'', ''四肢肌力肌张力正常-肌张力减退'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', ''，'', null, null);
INSERT INTO `icss_question_info` VALUES (''29746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢肌力肌张力正常-肌力级别'', ''四肢肌力肌张力正常-肌力级别'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', ''，'', null, null);
INSERT INTO `icss_question_info` VALUES (''29747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在,病理反射未引出-正常'', ''生理反射存在,病理反射未引出-正常'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在,病理反射未引出-第一列'', ''生理反射存在,病理反射未引出-第一列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在,病理反射未引出-第二列'', ''生理反射存在,病理反射未引出-第二列'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生理反射存在,病理反射未引出-第三列'', ''生理反射存在,病理反射未引出-第三列'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛-正常'', ''四肢无畸形,关节无红肿热痛-正常'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛-静脉曲张'', ''四肢无畸形,关节无红肿热痛-静脉曲张'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛-杵状指'', ''四肢无畸形,关节无红肿热痛-杵状指'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛-关节'', ''四肢无畸形,关节无红肿热痛-关节'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四肢无畸形,关节无红肿热痛-红肿疼痛'', ''四肢无畸形,关节无红肿热痛-红肿疼痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', '''', '''', ''3'', ''0'', ''200'', ''1'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''既往体质'', ''既往体质'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''预防接种'', ''预防接种'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部平坦-第四列'', ''腹部平坦-第四列'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''29769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''手术史'', ''手术史'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''输血史'', ''输血史'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘描述'', ''便秘描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘描述-频次'', ''便秘描述-频次'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''便秘描述-特征'', ''便秘描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述'', ''黄疸描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述-部位'', ''黄疸描述-部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述-有无'', ''黄疸描述-有无'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述-特征'', ''黄疸描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述-呈'', ''黄疸描述-呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黄疸描述-颜色'', ''黄疸描述-颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛描述'', ''腰背痛描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛描述-部位'', ''腰背痛描述-部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛描述-呈'', ''腰背痛描述-呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰背痛描述-特征'', ''腰背痛描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述'', ''血尿时间描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述'', ''血尿过程描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述-患者出现'', ''血尿时间描述-患者出现'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述-特征'', ''血尿时间描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述-时间'', ''血尿时间描述-时间'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述-伴'', ''血尿时间描述-伴'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿时间描述-部位特征'', ''血尿时间描述-部位特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述-时段'', ''血尿过程描述-时段'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述-颜色'', ''血尿过程描述-颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述-有无'', ''血尿过程描述-有无'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述-性状'', ''血尿过程描述-性状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血尿过程描述-特性'', ''血尿过程描述-特性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述'', ''关节疼痛描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述-方向'', ''关节疼痛描述-方向'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述-部位'', ''关节疼痛描述-部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述-特性'', ''关节疼痛描述-特性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述-伴'', ''关节疼痛描述-伴'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛描述-特征'', ''关节疼痛描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿频-频次'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每小时排尿'', ''次'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿频-量'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每次'', ''ml'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛描述'', ''尿痛描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛描述-尿痛发生在'', ''尿痛描述-尿痛发生在'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛描述-发作时间'', ''尿痛描述-发作时间'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛描述-呈'', ''尿痛描述-呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''29820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿痛描述-特征'', ''尿痛描述-特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''17α-羟孕酮(17α-OHP)'', ''17α-羟孕酮(17α-OHP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.310000'', ''2.130000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿17-羟皮质类固醇(24h)'', ''尿17-羟皮质类固醇(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/24h'', ''17.300000'', ''79.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿17-酮皮质类固醇'', ''尿17-酮皮质类固醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/24h'', ''31.000000'', ''69.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24小时尿比重渗透压试验'', ''24小时尿比重渗透压试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅰ型胶原羧基端前肽(PICP)'', ''Ⅰ型胶原羧基端前肽(PICP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''50.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B因子'', ''B因子'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''100.000000'', ''400.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接抗人球蛋白试验(Coombs)'', ''直接抗人球蛋白试验(Coombs)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C反应蛋白(CRP)'', ''C反应蛋白(CRP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''800.000000'', ''8000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''超敏C反应蛋白(hs-CRP)'', ''超敏C反应蛋白(hs-CRP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.068000'', ''8.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒DNA检测'', ''EB病毒DNA检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定量'', ''EB病毒脱氧核糖核酸扩增定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒脱氧核糖核酸扩增定性'', ''EB病毒脱氧核糖核酸扩增定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''EB病毒早期抗原(EA-IgA)'', ''EB病毒早期抗原(EA-IgA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EBV抗体(VCA-IgG)IgG'', ''抗EBV抗体(VCA-IgG)IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EBV抗体(VCA-IgM)IgA'', ''抗EBV抗体(VCA-IgM)IgA'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗EB病毒抗体测定'', ''抗EB病毒抗体测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Jo-1'', ''抗Jo-1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗nRNP'', ''抗nRNP'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Scl-70'', ''抗Scl-70'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Sm'', ''抗Sm'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-A'', ''抗SS-A'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-B'', ''抗SS-B'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''N端-B型钠尿肽前体(NT-ProBNP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''0.000000'', ''78.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''O—129试验'', ''O—129试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-Crosslaps'', ''β-Crosslaps'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿人绒毛膜促性腺激素(HCG)定性'', ''尿人绒毛膜促性腺激素(HCG)定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''5.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿人绒毛膜促性腺激素定量'', ''尿人绒毛膜促性腺激素定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''5.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β人绒毛膜促性腺激素(β-HCG)'', ''血β人绒毛膜促性腺激素(β-HCG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.200000'', ''0.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β人游离绒毛膜促性腺激素(freeβ-HCG)'', ''血β人游离绒毛膜促性腺激素(freeβ-HCG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌涂片'', ''白喉棒状杆菌涂片'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白陶土部分凝血活酶时间(KPTT)'', ''白陶土部分凝血活酶时间(KPTT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因分型'', ''白血病融合基因分型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白血病融合基因检测'', ''白血病融合基因检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿苯丙氨酸'', ''尿苯丙氨酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''46.000000'', ''109.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿苯丙酮酸'', ''尿苯丙酮酸'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清苯丙酮酸'', ''血清苯丙酮酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：矮豚草'', ''过敏原：矮豚草'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：点青霉、烟曲霉'', ''过敏原：点青霉、烟曲霉'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：狗毛皮屑'', ''过敏原：狗毛皮屑'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：鸡蛋白'', ''过敏原：鸡蛋白'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：芒果'', ''过敏原：芒果'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：猫毛皮屑'', ''过敏原：猫毛皮屑'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：牛奶'', ''过敏原：牛奶'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：牛肉'', ''过敏原：牛肉'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：青贝'', ''过敏原：青贝'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：沙尘螨'', ''过敏原：沙尘螨'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：屋尘螨'', ''过敏原：屋尘螨'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：梧、桐、柳、杨、榆树'', ''过敏原：梧、桐、柳、杨、榆树'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：西瓜'', ''过敏原：西瓜'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：虾'', ''过敏原：虾'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：蟹'', ''过敏原：蟹'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：羊肉'', ''过敏原：羊肉'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：腰果'', ''过敏原：腰果'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：鱼'', ''过敏原：鱼'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：蟑螂'', ''过敏原：蟑螂'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原：自定义'', ''过敏原：自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''过敏原特异IgE'', ''过敏原特异IgE'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝(HCV)RNA定量'', ''丙肝(HCV)RNA定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝(HCV)RNA定性'', ''丙肝(HCV)RNA定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝病毒(HCV)基因分型'', ''丙肝病毒(HCV)基因分型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝核心抗原'', ''丙肝核心抗原'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙肝抗体(抗HCV)'', ''丙肝抗体(抗HCV)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复钙交叉时间(CRT)'', ''复钙交叉时间(CRT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''s'', ''138.000000'', ''257.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肝素'', ''肝素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''0.009000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狼疮抗凝物质(LAC)'', ''狼疮抗凝物质(LAC)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间纠正试验'', ''凝血酶原时间纠正试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''s'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅷ抑制物检测'', ''凝血因子Ⅷ抑制物检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1q'', ''C1q'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''180.000000'', ''190.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1r'', ''C1r'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C1s'', ''C1s'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C2'', ''C2'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.800000'', ''1.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C3'', ''C3'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''60.000000'', ''150.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C4'', ''C4'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''130.000000'', ''370.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C5'', ''C5'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''38.000000'', ''90.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C6'', ''C6'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.040000'', ''0.065000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C7'', ''C7'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''49.000000'', ''70.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C8'', ''C8'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''43.000000'', ''63.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C9'', ''C9'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''47.000000'', ''69.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''补体旁路B因子'', ''补体旁路B因子'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.100000'', ''0.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''布氏杆菌测定'', ''布氏杆菌测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''出血时间(BT)'', ''出血时间(BT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''2.000000'', ''7.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠杆菌科细菌'', ''肠杆菌科细菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''创面分泌物培养'', ''创面分泌物培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性链球菌'', ''化脓性链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌'', ''金黄色葡萄球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺卡菌'', ''诺卡菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌'', ''铜绿假单胞菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌'', ''厌氧菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(创面分泌物)'', ''一般细菌培养(创面分泌物)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌三醇(E3)'', ''雌三醇(E3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/24h'', ''88.700000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌酮(E1)'', ''雌酮(E1)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''111.000000'', ''629.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促红细胞生成素(EPO)'', ''促红细胞生成素(EPO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''4.300000'', ''29.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0minTSH'', ''0minTSH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120minTSH'', ''120minTSH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15minTSH'', ''15minTSH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30minTSH'', ''30minTSH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60minTSH'', ''60minTSH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促肾上腺皮质激素(ACTH)'', ''促肾上腺皮质激素(ACTH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pg/ml'', ''0.000000'', ''46.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''0min促肾上腺皮质激素'', ''0min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min促肾上腺皮质激素'', ''120min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''150min促肾上腺皮质激素'', ''150min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''15min促肾上腺皮质激素'', ''15min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''-15min促肾上腺皮质激素'', ''-15min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min促肾上腺皮质激素'', ''180min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min促肾上腺皮质激素'', ''30min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min促肾上腺皮质激素'', ''60min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''90min促肾上腺皮质激素'', ''90min促肾上腺皮质激素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''20min皮质醇'', ''20min皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min皮质醇'', ''60min皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''第二天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿17—酮皮质类固醇(17-KS)'', ''第二天24小时尿17—酮皮质类固醇(17-KS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第二天24小时尿游离皮质醇'', ''第二天24小时尿游离皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''第三天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿17—酮皮质类固醇(17-KS)'', ''第三天24小时尿17—酮皮质类固醇(17-KS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第三天24小时尿游离皮质醇'', ''第三天24小时尿游离皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''第四天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿17—酮皮质类固醇(17-KS)'', ''第四天24小时尿17—酮皮质类固醇(17-KS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第四天24小时尿游离皮质醇'', ''第四天24小时尿游离皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''第一天24小时尿17—羟皮质类固醇(17-OH-CS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿17—酮皮质类固醇(17-KS)'', ''第一天24小时尿17—酮皮质类固醇(17-KS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''第一天24小时尿游离皮质醇'', ''第一天24小时尿游离皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgG'', ''IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgM'', ''IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgG'', ''IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgM'', ''IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆囊收缩素(CCK)'', ''胆囊收缩素(CCK)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''5.000000'', ''800.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫直接涂片镜检'', ''滴虫直接涂片镜检'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧化碳(CO2)'', ''二氧化碳(CO2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''21.000000'', ''29.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾(K)'', ''钾(K)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''3.500000'', ''5.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''离子钙(Ca2+)'', ''离子钙(Ca2+)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷(P)'', ''磷(P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.970000'', ''1.620000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯(Cl)'', ''氯(Cl)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''96.000000'', ''110.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁(Mg)'', ''镁(Mg)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.800000'', ''1.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠(Na)'', ''钠(Na)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''135.000000'', ''145.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子隙(AG)'', ''阴离子隙(AG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''8.000000'', ''16.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)'', ''总钙(Ca)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿淀粉酶(AMY)'', ''尿淀粉酶(AMY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''1200.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液胰淀粉酶(AMS)'', ''尿液胰淀粉酶(AMS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''温氏单位'', ''4.000000'', ''32.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液淀粉酶(AMY)'', ''体液淀粉酶(AMY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液淀粉酶'', ''胸腔积液淀粉酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血淀粉酶(AMY)'', ''血淀粉酶(AMY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''200.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血胰淀粉酶(AMS)'', ''血胰淀粉酶(AMS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''20.000000'', ''90.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样蛋白'', ''淀粉样蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丁肝抗体(Anti-HDV)'', ''丁肝抗体(Anti-HDV)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科脱落细胞学检查与诊断'', ''非妇科脱落细胞学检查与诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''非妇科液基薄层细胞学检查与诊断'', ''非妇科液基薄层细胞学检查与诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PA'', ''PA'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''1.250000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PB'', ''PB'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''1.250000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PC'', ''PC'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''1.250000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TH'', ''TH'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''0.625000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''TO'', ''TO'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''1.250000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''冷凝集试验'', ''冷凝集试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便红细胞'', ''粪便红细胞'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便寄生虫卵'', ''粪便寄生虫卵'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便脓细胞'', ''粪便脓细胞'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便性状'', ''粪便性状'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便颜色'', ''粪便颜色'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪便粘液'', ''粪便粘液'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪寄生虫虫体'', ''粪寄生虫虫体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪未消化食物'', ''粪未消化食物'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪脂肪球'', ''粪脂肪球'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他'', ''其他'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌'', ''霍乱弧菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艰难梭状杆菌'', ''艰难梭状杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌'', ''结核杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''志贺氏菌'', ''志贺氏菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血'', ''隐血'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪胆素'', ''粪胆素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科脱落细胞学检查与诊断'', ''妇科脱落细胞学检查与诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妇科液基薄层细胞学检查与诊断'', ''妇科液基薄层细胞学检查与诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹膜平衡试验(PET)'', ''腹膜平衡试验(PET)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白'', ''白蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钙'', ''钙'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)'', ''肌酐(Cr)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钾'', ''钾'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯'', ''氯'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠'', ''钠'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素(Urea)'', ''尿素(Urea)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖'', ''葡萄糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)定量'', ''白蛋白(Alb)定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉酶(AMY)'', ''淀粉酶(AMY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物定量'', ''氯化物定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏蛋白定性'', ''黏蛋白定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖'', ''葡萄糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)'', ''乳酸脱氢酶(LD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''透明度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞计数'', ''细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总蛋白（定量）'', ''总蛋白（定量）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.000000'', ''25.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠埃希菌'', ''大肠埃希菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粪肠球菌'', ''粪肠球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水培养'', ''腹水培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''结核分枝杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(腹水)'', ''一般细菌培养(腹水)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘胆酸(CG)'', ''甘胆酸(CG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.400000'', ''2.980000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''5′核苷酸酶(5′NT)'', ''5′核苷酸酶(5′NT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''11.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ALB/GLB'', ''ALB/GLB'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.500000'', ''2.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)'', ''白蛋白(Alb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''35.000000'', ''55.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆碱脂酶(ChE)'', ''胆碱脂酶(ChE)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''143.000000'', ''460.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷氨酰基转移酶(GGT)'', ''谷氨酰基转移酶(GGT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''5.000000'', ''55.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷丙转氨酶(ALT)'', ''谷丙转氨酶(ALT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''9.000000'', ''51.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷草/谷丙'', ''谷草/谷丙'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.800000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''谷草转氨酶(AST)'', ''谷草转氨酶(AST)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''45.000000'', ''125.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''间接胆红素(I-Bil)'', ''间接胆红素(I-Bil)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''1.000000'', ''20.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性磷酸酶(ALP)'', ''碱性磷酸酶(ALP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''40.000000'', ''150.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''球蛋白(GLB)'', ''球蛋白(GLB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''20.000000'', ''40.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)'', ''乳酸脱氢酶(LD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''109.000000'', ''245.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)'', ''腺苷脱氨酶(ADA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接胆红素(D-Bil)'', ''直接胆红素(D-Bil)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol/L'', ''0.000000'', ''3.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆红素(T-Bil)'', ''总胆红素(T-Bil)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''3.400000'', ''17.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆汁酸(TBA)'', ''总胆汁酸(TBA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总蛋白(TP)'', ''总蛋白(TP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''60.000000'', ''80.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅲ型胶原(CGⅢ)'', ''Ⅲ型胶原(CGⅢ)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/ml'', ''0.000000'', ''0.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Ⅳ型胶原(CGⅣ)'', ''Ⅳ型胶原(CGⅣ)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''140.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''层粘连蛋白(LN)'', ''层粘连蛋白(LN)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''98.400000'', ''133.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单胺氧化酶(MAO)'', ''单胺氧化酶(MAO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/mL'', ''0.000000'', ''36.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明质酸(HA)'', ''透明质酸(HA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol/L'', ''200.000000'', ''564.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)'', ''醛固酮(ALD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''138.000000'', ''415.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素'', ''肾素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg·L-1/h'', ''1.000000'', ''2.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅰ(AngⅠ)'', ''血管紧张素Ⅰ(AngⅠ)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''11.000000'', ''88.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素Ⅱ(AngⅡ)'', ''血管紧张素Ⅱ(AngⅡ)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''10.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''穿刺液引流液培养'', ''穿刺液引流液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(各种穿刺液引流液)'', ''一般细菌培养(各种穿刺液引流液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''庚肝抗体(Anti-HGVIgG)'', ''庚肝抗体(Anti-HGVIgG)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''宫颈涂片'', ''宫颈涂片'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨钙素(OC)'', ''骨钙素(OC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''4.800000'', ''10.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓NAP染色'', ''骨髓NAP染色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓培养'', ''骨髓培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓染色体检查'', ''骨髓染色体检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(骨髓)'', ''一般细菌培养(骨髓)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨型碱性磷酸酶(NBAP)'', ''骨型碱性磷酸酶(NBAP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节液培养'', ''关节液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(关节液)'', ''一般细菌培养(关节液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后17α-羟孕酮(17α-OHP)'', ''服药后17α-羟孕酮(17α-OHP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后促肾上腺皮质激素(ACTH)'', ''服药后促肾上腺皮质激素(ACTH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后睾酮(T)'', ''服药后睾酮(T)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后硫酸去氢表雄酮'', ''服药后硫酸去氢表雄酮'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药后皮质醇'', ''服药后皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前17α-羟孕酮(17α-OHP)'', ''服药前17α-羟孕酮(17α-OHP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前促肾上腺皮质激素(ACTH)'', ''服药前促肾上腺皮质激素(ACTH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前睾酮(T)'', ''服药前睾酮(T)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前硫酸去氢表雄酮'', ''服药前硫酸去氢表雄酮'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''服药前皮质醇'', ''服药前皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红斑狼疮细胞(LEC)检查'', ''红斑狼疮细胞(LEC)检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸激酶(PK)'', ''丙酮酸激酶(PK)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数'', ''白细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镜检晶体'', ''镜检晶体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量'', ''量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ml'', ''0.000000'', ''3.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏稠性'', ''黏稠性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''透明度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌培养'', ''细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆葡萄糖与积液葡萄糖差值'', ''血浆葡萄糖与积液葡萄糖差值'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.000000'', ''0.560000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞'', ''中性粒细胞'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''25.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化蛋白C抵抗(APCR)试验'', ''活化蛋白C抵抗(APCR)试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霍乱弧菌直接涂片镜检'', ''霍乱弧菌直接涂片镜检'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶(CK-MB)活性'', ''肌酸激酶同工酶(CK-MB)活性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲肝抗体(Anti-HAV)'', ''甲肝抗体(Anti-HAV)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状旁腺激素(PTH)'', ''甲状旁腺激素(PTH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''1.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''反三碘甲腺原氨酸(r T3)'', ''反三碘甲腺原氨酸(r T3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''0.200000'', ''0.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲腺原氨酸摄取率'', ''三碘甲腺原氨酸摄取率'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''23.000000'', ''35.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺激素(TSH)'', ''促甲状腺激素(TSH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mIU/L'', ''0.340000'', ''5.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺素(T4)'', ''甲状腺素(T4)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''78.400000'', ''157.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''三碘甲状原氨酸(T3)'', ''三碘甲状原氨酸(T3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.340000'', ''2.730000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离甲状腺素(FT4)'', ''游离甲状腺素(FT4)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''0.580000'', ''1.670000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离三碘甲状原氨酸(FT3)'', ''游离三碘甲状原氨酸(FT3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''3.670000'', ''10.430000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24h摄取率'', ''24h摄取率'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''20.000000'', ''45.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3h摄取率'', ''3h摄取率'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''5.000000'', ''25.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促甲状腺素受体抗体(TRAb)'', ''促甲状腺素受体抗体(TRAb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺结合球蛋白(TBG)'', ''甲状腺结合球蛋白(TBG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''1.000000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲状腺球蛋白(TG)'', ''甲状腺球蛋白(TG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''5.000000'', ''40.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺过氧化物酶抗体(TPOAb)'', ''抗甲状腺过氧化物酶抗体(TPOAb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺球蛋白抗体(TGAb)'', ''抗甲状腺球蛋白抗体(TGAb)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗甲状腺微粒体抗体(TMAb)'', ''抗甲状腺微粒体抗体(TMAb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素原(PCT)'', ''降钙素原(PCT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''0.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''分枝杆菌培养'', ''分枝杆菌培养'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗结核抗体'', ''抗结核抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体基因鉴别'', ''解脲脲原体基因鉴别'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体检查培养'', ''解脲脲原体检查培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲脲原体抗体'', ''解脲脲原体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''解脲支原体核酸测定(UU DNA)'', ''解脲支原体核酸测定(UU DNA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液量'', ''精液量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ml'', ''2.000000'', ''6.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子存活率'', ''精子存活率'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.750000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子活动力'', ''精子活动力'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''50.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子计数'', ''精子计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^6/ml'', ''20.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子密度'', ''精子密度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''万/ml'', ''1500.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子正常形态'', ''精子正常形态'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''30.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''7.200000'', ''8.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''液化时间'', ''液化时间'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''0.000000'', ''60.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质'', ''蛋白质'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/dl'', ''2.800000'', ''4.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''果糖'', ''果糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''54.000000'', ''58.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柠檬酸'', ''柠檬酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''152.000000'', ''360.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸性磷酸酶(ACP)'', ''酸性磷酸酶(ACP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''48.800000'', ''208.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁(Fe)'', ''铁(Fe)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/ml'', ''0.760000'', ''0.850000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜(Cu)'', ''铜(Cu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/ml'', ''1.700000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锌(Zn)'', ''锌(Zn)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/ml'', ''84.000000'', ''186.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子顶体酶活性定量测定'', ''精子顶体酶活性定量测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精子尾部低渗肿胀试验'', ''精子尾部低渗肿胀试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗精子抗体测定'', ''抗精子抗体测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体IgG'', ''巨细胞病毒抗体IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体IgM'', ''巨细胞病毒抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清巨细胞病毒抗原测定'', ''血清巨细胞病毒抗原测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗β2-糖蛋白1抗体'', ''抗β2-糖蛋白1抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Jo-1'', ''抗Jo-1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗nRNP'', ''抗nRNP'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗PM-Scl抗体(抗PM-1抗体)'', ''抗PM-Scl抗体(抗PM-1抗体)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗RNP'', ''抗RNP'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Scl-70'', ''抗Scl-70'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗Sm'', ''抗Sm'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-A'', ''抗SS-A'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA52'', ''抗SSA52'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SSA60'', ''抗SSA60'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗SS-B'', ''抗SS-B'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗单链DNA'', ''抗单链DNA'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核抗体(ANA)总谱'', ''抗核抗体(ANA)总谱'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核糖体P蛋白(rRNP)'', ''抗核糖体P蛋白(rRNP)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗核小体抗体(AnuA)'', ''抗核小体抗体(AnuA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗双链DNA(抗dsDNA)测定'', ''抗双链DNA(抗dsDNA)测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体M2亚型抗体(AMA-M2)'', ''抗线粒体M2亚型抗体(AMA-M2)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗着丝点抗体'', ''抗着丝点抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗组蛋白抗体(AHA)'', ''抗组蛋白抗体(AHA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗红细胞抗体测定'', ''抗红细胞抗体测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗环瓜氨酸肽抗体(抗CCP)'', ''抗环瓜氨酸肽抗体(抗CCP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''RU/ml'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗利尿激素(ADH)'', ''抗利尿激素(ADH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μu/ml'', ''1.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌激酶抗体'', ''抗链球菌激酶抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(定量)'', ''抗链球菌溶血素O(定量)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''500.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌溶血素O(定性)'', ''抗链球菌溶血素O(定性)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗链球菌透明质酸酶'', ''抗链球菌透明质酸酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''0.780000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗淋巴细胞抗体试验'', ''抗淋巴细胞抗体试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脑组织抗体测定'', ''抗脑组织抗体测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗平滑肌抗体'', ''抗平滑肌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgG'', ''IgG'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgM'', ''IgM'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾上腺抗体'', ''抗肾上腺抗体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肾小球基底膜抗体'', ''抗肾小球基底膜抗体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶B抗体'', ''抗脱氧核糖核酸酶B抗体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗脱氧核糖核酸酶抗体'', ''抗脱氧核糖核酸酶抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胃壁细胞抗体'', ''抗胃壁细胞抗体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗线粒体抗体(AMA)'', ''抗线粒体抗体(AMA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgA'', ''IgA'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgG'', ''IgG'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''IgM'', ''IgM'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗乙酰胆碱受体抗体'', ''抗乙酰胆碱受体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''抗增殖细胞核抗原抗体(抗PCNA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗子宫内膜抗体(EMAb)'', ''抗子宫内膜抗体(EMAb)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒IgG'', ''柯萨奇病毒IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''柯萨奇病毒IgM'', ''柯萨奇病毒IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min血糖'', ''120min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min血糖'', ''180min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240min血糖'', ''240min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300min血糖'', ''300min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min血糖'', ''30min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min血糖'', ''60min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''狂犬病毒抗体'', ''狂犬病毒抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''拉网细胞学检查与诊断'', ''拉网细胞学检查与诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgA'', ''类风湿因子(RF)IgA'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgD'', ''类风湿因子(RF)IgD'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgE'', ''类风湿因子(RF)IgE'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgG'', ''类风湿因子(RF)IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类风湿因子(RF)IgM'', ''类风湿因子(RF)IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子-1(IGF)'', ''类胰岛素样生长因子-1(IGF)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''类胰岛素样生长因子结合蛋白-3(IGF-BP3)'', ''类胰岛素样生长因子结合蛋白-3(IGF-BP3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体免疫学试验'', ''立克次体免疫学试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD3+'', ''CD3+'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/μL'', ''955.000000'', ''2860.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD4+'', ''CD4+'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/μL'', ''450.000000'', ''1440.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD4+/CD8+'', ''CD4+/CD8+'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.000000'', ''2.870000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CD8+'', ''CD8+'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/μL'', ''320.000000'', ''1250.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋球菌涂片'', ''淋球菌涂片'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感病毒核糖核酸'', ''流感病毒核糖核酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流行性出血热病毒抗体'', ''流行性出血热病毒抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型脑炎病毒抗体'', ''乙型脑炎病毒抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''轮状病毒抗原(RV)'', ''轮状病毒抗原(RV)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体IgG'', ''麻疹病毒抗体IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''麻疹病毒抗体IgM'', ''麻疹病毒抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min血糖'', ''120min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min血糖'', ''180min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240min血糖'', ''240min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300min血糖'', ''300min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min血糖'', ''30min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min血糖'', ''60min血糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲苯胺红不加热血清试验(TRUST)'', ''甲苯胺红不加热血清试验(TRUST)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗梅毒螺旋抗体(TP-Ab)'', ''抗梅毒螺旋抗体(TP-Ab)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''梅毒螺旋体涂片'', ''梅毒螺旋体涂片'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''密螺旋体颗粒凝集(TPPA)试验'', ''密螺旋体颗粒凝集(TPPA)试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆反应素(RPR)试验'', ''血浆反应素(RPR)试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgA1'', ''免疫球蛋白亚类定量测定IgA1'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgA2'', ''免疫球蛋白亚类定量测定IgA2'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG1'', ''免疫球蛋白亚类定量测定IgG1'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG2'', ''免疫球蛋白亚类定量测定IgG2'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG3'', ''免疫球蛋白亚类定量测定IgG3'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白亚类定量测定IgG4'', ''免疫球蛋白亚类定量测定IgG4'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫组织化学染色诊断'', ''免疫组织化学染色诊断'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''新型隐球菌墨汁染色镜检'', ''新型隐球菌墨汁染色镜检'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A型钠尿肽(ANP)'', ''A型钠尿肽(ANP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.110000'', ''0.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B型钠尿肽(BNP)'', ''B型钠尿肽(BNP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''1.500000'', ''9.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''耐甲氧西林葡萄球菌检测(定量试验)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重'', ''比重'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.006000'', ''0.100800'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质定量'', ''蛋白质定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''150.000000'', ''450.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰染色'', ''革兰染色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酸染色'', ''抗酸染色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物定量'', ''氯化物定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''120.000000'', ''132.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白'', ''白蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液白细胞计数'', ''脑脊液白细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液单核细胞百分比'', ''脑脊液单核细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液红细胞计数'', ''脑脊液红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液淋巴细胞百分比'', ''脑脊液淋巴细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液腺苷脱氨酶'', ''脑脊液腺苷脱氨酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液中性粒细胞百分比'', ''脑脊液中性粒细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖定量'', ''葡萄糖定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''2.500000'', ''4.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸'', ''乳酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.000000'', ''2.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''7.310000'', ''7.340000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''透明度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''压力'', ''压力'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''kPa'', ''0.780000'', ''1.760000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2-巨球蛋白'', ''β2-巨球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''1.150000'', ''4.850000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白A'', ''免疫球蛋白A'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G'', ''免疫球蛋白G'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''10.000000'', ''40.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白M'', ''免疫球蛋白M'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''0.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''髓鞘碱性蛋白'', ''髓鞘碱性蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''6.950000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌'', ''A群链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''B群链球菌'', ''B群链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白色念珠菌'', ''白色念珠菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌'', ''肺炎链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假单胞菌属菌种'', ''假单胞菌属菌种'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''结核分枝杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡他莫拉菌'', ''卡他莫拉菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌'', ''流感嗜血杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液培养'', ''脑脊液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜败血黄杆菌'', ''脑膜败血黄杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎奈瑟菌'', ''脑膜炎奈瑟菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌属菌种'', ''葡萄球菌属菌种'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(脑脊液)'', ''一般细菌培养(脑脊液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定量试验'', ''内毒素鲎定量试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内毒素鲎定性试验'', ''内毒素鲎定性试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿NAG'', ''尿NAG'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''11.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定量'', ''尿卟啉定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿卟啉定性'', ''尿卟啉定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞脂酶(LEU)'', ''白细胞脂酶(LEU)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重(SG-U)'', ''比重(SG-U)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.003000'', ''1.030000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆红素(BIL-U)'', ''胆红素(BIL-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿胆原(URO-U)'', ''尿胆原(URO-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白(PRO-U)'', ''尿蛋白(PRO-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酮体(KET-U)'', ''尿酮体(KET-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖(GLU-U)'', ''葡萄糖(GLU-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''5.400000'', ''8.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素C(VC)'', ''维生素C(VC)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''亚硝酸盐(NIT-U)'', ''亚硝酸盐(NIT-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血(BLD-U)'', ''隐血(BLD-U)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(计数板法)'', ''白细胞(计数板法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^4/小时'', ''7.000000'', ''14.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(仪器法)'', ''白细胞(仪器法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''15.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''管型(仪器法)'', ''管型(仪器法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''0.620000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(计数板法)'', ''红细胞(计数板法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^4/小时'', ''3.000000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(仪器法)'', ''红细胞(仪器法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''17.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞(仪器法)'', ''上皮细胞(仪器法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''8.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌(仪器法)'', ''细菌(仪器法)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ul'', ''0.000000'', ''3324.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白测定'', ''尿蛋白测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/24h'', ''0.000000'', ''150.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白定量(24h)'', ''尿蛋白定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/24h'', ''0.000000'', ''150.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-FDP'', ''尿蛋白电泳-FDP'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/ml'', ''0.000000'', ''0.450000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-NAG酶'', ''尿蛋白电泳-NAG酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''11.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-RBP'', ''尿蛋白电泳-RBP'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''0.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-α1微量球蛋白'', ''尿蛋白电泳-α1微量球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-α2巨球蛋白'', ''尿蛋白电泳-α2巨球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''1.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-β2微球蛋白'', ''尿蛋白电泳-β2微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''0.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-β3微球蛋白'', ''尿蛋白电泳-β3微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''0.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-蛋白定性'', ''尿蛋白电泳-蛋白定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-尿IgG'', ''尿蛋白电泳-尿IgG'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''17.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-轻链KAPPA定量'', ''尿蛋白电泳-轻链KAPPA定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''19.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-轻链LAMBDA定量'', ''尿蛋白电泳-轻链LAMBDA定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''26.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-微量白蛋白'', ''尿蛋白电泳-微量白蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白电泳-中分子带'', ''尿蛋白电泳-中分子带'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿转铁蛋白'', ''尿转铁蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿儿茶酚胺(24h)'', ''尿儿茶酚胺(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/24h'', ''0.000000'', ''650.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钙测定(24h)'', ''尿钙测定(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''25.000000'', ''38.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿高香草酸'', ''尿高香草酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.200000'', ''4.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''含铁血黄素定性试验'', ''含铁血黄素定性试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畸形红细胞计数'', ''畸形红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿红细胞计数'', ''尿红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/ml'', ''0.000000'', ''8000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正形红细胞计数'', ''正形红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐'', ''尿肌酐'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌酐定量(24h)'', ''尿肌酐定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/d'', ''7.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肌红蛋白定性试验'', ''尿肌红蛋白定性试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧基去甲肾上腺素(NMN)'', ''甲氧基去甲肾上腺素(NMN)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/24h'', ''0.100000'', ''1.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲氧基肾上腺素(MN)'', ''甲氧基肾上腺素(MN)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/24h'', ''0.500000'', ''8.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钾定量(24h)'', ''尿钾定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''25.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞(WBC)'', ''白细胞(WBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/高倍镜视野'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞管型'', ''白细胞管型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞(RBC)'', ''红细胞(RBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/高倍镜视野'', ''0.000000'', ''3.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞管型'', ''红细胞管型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结晶'', ''结晶'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''颗粒管型'', ''颗粒管型'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他'', ''其他'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他管型'', ''其他管型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞'', ''上皮细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明管型'', ''透明管型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''个/低倍镜视野'', ''0.000000'', ''1.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液丝'', ''粘液丝'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿可的松定量(24h)'', ''尿可的松定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''磷'', ''磷'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''9.700000'', ''42.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿磷测定(24h)'', ''尿磷测定(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''9.700000'', ''42.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯'', ''氯'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''170.000000'', ''250.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿氯定量(24h)'', ''尿氯定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''170.000000'', ''250.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镁'', ''镁'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/d'', ''0.210000'', ''8.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿镁定量(24h)'', ''尿镁定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/d'', ''0.210000'', ''8.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿免疫固定电泳'', ''尿免疫固定电泳'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''钠'', ''钠'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''130.000000'', ''260.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿钠定量(24h)'', ''尿钠定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''130.000000'', ''260.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿尿酸定量(24h)'', ''尿尿酸定量(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''2.400000'', ''5.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸(UA)'', ''尿酸(UA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/24h'', ''2.400000'', ''5.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''KAP'', ''KAP'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''0.000000'', ''5.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LAM'', ''LAM'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素'', ''尿去甲肾上腺素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/24h'', ''16.690000'', ''40.650000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿去甲肾上腺素(24h)'', ''尿去甲肾上腺素(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/24h'', ''16.690000'', ''40.650000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿醛固酮'', ''尿醛固酮'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/24h'', ''2.700000'', ''44.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿肾上腺素(24h)'', ''尿肾上腺素(24h)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/24h'', ''1.740000'', ''6.420000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定量'', ''尿糖定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿糖定性'', ''尿糖定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量白蛋白(mAlb)'', ''微量白蛋白(mAlb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''微量白蛋白(mAlb)'', ''微量白蛋白(mAlb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/24h'', ''0.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总钙(Ca)'', ''总钙(Ca)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''部分活化凝血活酶时间(APTT)'', ''部分活化凝血活酶时间(APTT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''s'', ''31.500000'', ''53.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''国际标准化比值(INR)'', ''国际标准化比值(INR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.800000'', ''1.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''活化凝血时间(ACT)'', ''活化凝血时间(ACT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''4.000000'', ''12.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶时间(TT)'', ''凝血酶时间(TT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''s'', ''16.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间(PT)'', ''凝血酶原时间(PT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''s'', ''11.000000'', ''14.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血酶原时间活动度'', ''凝血酶原时间活动度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''75.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血时间(CT)'', ''凝血时间(CT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''4.000000'', ''12.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白原(FG)'', ''纤维蛋白原(FG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''2.000000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅱ(FⅡ:C)'', ''凝血因子Ⅱ(FⅡ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''79.000000'', ''114.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅴ(FⅤ:C)'', ''凝血因子Ⅴ(FⅤ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''71.500000'', ''133.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅶ(FⅦ:C)'', ''凝血因子Ⅶ(FⅦ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''85.700000'', ''120.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅷ(FⅧ:C)'', ''凝血因子Ⅷ(FⅧ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''77.260000'', ''128.660000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅸ(FⅨ:C)'', ''凝血因子Ⅸ(FⅨ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''67.710000'', ''128.450000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅹ(FⅩ:C)'', ''凝血因子Ⅹ(FⅩ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''84.000000'', ''122.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅺ(FⅪ:C)'', ''凝血因子Ⅺ(FⅪ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''71.600000'', ''118.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝血因子Ⅻ(FⅫ:C)'', ''凝血因子Ⅻ(FⅫ:C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''71.700000'', ''113.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌抗酸菌检测'', ''浓缩集菌抗酸菌检测'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''浓缩集菌涂片抗酸染色镜检'', ''浓缩集菌涂片抗酸染色镜检'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠杆菌科细菌培养'', ''肠杆菌科细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''化脓性链球菌培养'', ''化脓性链球菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌培养'', ''金黄色葡萄球菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脓液培养'', ''脓液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺卡菌培养'', ''诺卡菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌培养'', ''铜绿假单胞菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''厌氧菌培养'', ''厌氧菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(脓液)'', ''一般细菌培养(脓液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''疟原虫'', ''疟原虫'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠杆菌菌落数计数'', ''大肠杆菌菌落数计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''培养细菌菌落计数'', ''培养细菌菌落计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆皮质醇测定'', ''血浆皮质醇测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''210.000000'', ''342.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前白蛋白(PA)'', ''前白蛋白(PA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''280.000000'', ''360.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数'', ''白细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/HP'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淀粉样体'', ''淀粉样体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞计数'', ''红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/HP'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵磷脂小体'', ''卵磷脂小体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)'', ''其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘液'', ''粘液'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''缺血修饰白蛋白(IMA)'', ''缺血修饰白蛋白(IMA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体分析'', ''染色体分析'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''染色体荧光原位杂交分析'', ''染色体荧光原位杂交分析'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''附睾蛋白(HE4)'', ''附睾蛋白(HE4)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/ml'', ''1.000000'', ''3.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HIV抗体'', ''HIV抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''P24抗原'', ''P24抗原'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艾滋病HIV-1型抗体'', ''艾滋病HIV-1型抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液人类免疫缺陷病毒测定'', ''尿液人类免疫缺陷病毒测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗人乳头瘤病毒抗体(HPV-Ab)'', ''抗人乳头瘤病毒抗体(HPV-Ab)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒分型'', ''人乳头瘤病毒分型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒脱氧核糖核酸非扩增定性检测'', ''人乳头瘤病毒脱氧核糖核酸非扩增定性检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人乳头瘤病毒脱氧核糖核酸扩增检测'', ''人乳头瘤病毒脱氧核糖核酸扩增检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''PAPP'', ''PAPP'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹水乳糜试验'', ''腹水乳糜试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿乳糜定性试验'', ''尿乳糜定性试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳糜试验'', ''乳糜试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体液乳糜试验'', ''体液乳糜试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水乳糜试验'', ''胸水乳糜试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酚红排泄试验(PSP)'', ''酚红排泄试验(PSP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''/15min'', ''0.250000'', ''0.510000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胱抑素(Cys-C)'', ''胱抑素(Cys-C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.590000'', ''1.030000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酐(Cr)'', ''肌酐(Cr)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol/L'', ''45.000000'', ''104.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''内生肌酐清除率(CCr)'', ''内生肌酐清除率(CCr)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ml•s'', ''0.800000'', ''1.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α1微球蛋白'', ''尿α1微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.480000'', ''4.240000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α2微球蛋白'', ''尿α2微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α3微球蛋白'', ''尿α3微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α4微球蛋白'', ''尿α4微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿α5微球蛋白'', ''尿α5微球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿β2-微球蛋白（β2-MG）'', ''尿β2-微球蛋白（β2-MG）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''0.650000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿蛋白定性试验'', ''尿蛋白定性试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素(Urea)'', ''尿素(Urea)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''2.900000'', ''8.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮(BUN)'', ''尿素氮(BUN)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''3.200000'', ''7.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素氮/肌酐'', ''尿素氮/肌酐'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.500694'', ''0.834028'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿素清除率'', ''尿素清除率'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ml•s'', ''0.700000'', ''1.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿酸(UA)'', ''尿酸(UA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol/L'', ''155.000000'', ''428.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾小球滤过率(GFR)'', ''肾小球滤过率(GFR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ml/min'', ''80.000000'', ''120.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''选择性蛋白尿指数(SPI)'', ''选择性蛋白尿指数(SPI)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''0.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α1微球蛋白(α1-MG)'', ''血α1微球蛋白(α1-MG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''10.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血β2-微球蛋白（β2-MG）'', ''血β2-微球蛋白（β2-MG）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/ mL'', ''0.000000'', ''4.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肾上腺素(AD)'', ''血清肾上腺素(AD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)(立位)'', ''醛固酮(ALD)(立位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''醛固酮(ALD)(卧位)'', ''醛固酮(ALD)(卧位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''50.000000'', ''250.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素(立位)'', ''肾素(立位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾素(卧位)'', ''肾素(卧位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素(立位)'', ''血管紧张素(立位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素(卧位)'', ''血管紧张素(卧位)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''精液渗透压'', ''精液渗透压'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液渗透压'', ''尿液渗透压'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液渗透压'', ''血液渗透压'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C抵抗(APCR)'', ''蛋白C抵抗(APCR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''1.960000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C活性(PC)'', ''蛋白C活性(PC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''87.060000'', ''113.420000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白C抗原(PC:Ag)'', ''蛋白C抗原(PC:Ag)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''82.400000'', ''122.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白S含量(PS:Ag)'', ''蛋白S含量(PS:Ag)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''86.800000'', ''106.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶复合物(TAT)'', ''抗凝血酶复合物(TAT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''1.000000'', ''4.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶活性(AT:A)'', ''抗凝血酶活性(AT:A)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''103.200000'', ''113.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗凝血酶抗原(AT:Ag)'', ''抗凝血酶抗原(AT:Ag)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''259.800000'', ''320.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生长激素(GH)'', ''生长激素(GH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视黄醇结合蛋白(RBP)'', ''视黄醇结合蛋白(RBP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''瘦素(LP)'', ''瘦素(LP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.500000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苏丹黑染色检查'', ''苏丹黑染色检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌培养'', ''A群链球菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白喉棒状杆菌培养'', ''白喉棒状杆菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳鲍特菌培养'', ''百日咳鲍特菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯菌培养'', ''肺炎克雷伯菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎链球菌培养'', ''肺炎链球菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''假单胞菌属培养'', ''假单胞菌属培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母样真菌培养'', ''酵母样真菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌培养'', ''结核分枝杆菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌培养'', ''金黄色葡萄球菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡他莫拉菌培养'', ''卡他莫拉菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌培养'', ''流感嗜血杆菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''诺卡菌培养'', ''诺卡菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰培养'', ''痰培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(痰)'', ''一般细菌培养(痰)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''痰涂片'', ''痰涂片'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰染色'', ''革兰染色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''寄生虫'', ''寄生虫'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结晶'', ''结晶'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酸染色'', ''抗酸染色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''其他'', ''其他'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''色、性状、血液'', ''色、性状、血液'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞'', ''细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后1h血糖(Glu)'', ''餐后1h血糖(Glu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''6.700000'', ''9.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2h血糖(Glu)'', ''餐后2h血糖(Glu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.000000'', ''7.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹血糖(Glu)'', ''空腹血糖(Glu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''36.000000'', ''5.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''随机血糖(Glu)'', ''随机血糖(Glu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''3.900000'', ''6.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化白蛋白(GA)'', ''糖化白蛋白(GA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血红蛋白(GHb)'', ''糖化血红蛋白(GHb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''4.000000'', ''6.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖化血清蛋白(GSP)'', ''糖化血清蛋白(GSP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''1.180000'', ''2.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨髓铁染色'', ''骨髓铁染色'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液铁染色'', ''血液铁染色'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同型半胱氨酸(Hcy)'', ''同型半胱氨酸(Hcy)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''5.000000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜蓝蛋白(CER)'', ''铜蓝蛋白(CER)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''150.000000'', ''600.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外周血细胞形态学分析'', ''外周血细胞形态学分析'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碘(I)'', ''碘(I)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''镉(Cd)'', ''镉(Cd)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''0.320000'', ''2.720000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铬(Cr)'', ''铬(Cr)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''0.000000'', ''13.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''汞(Hg)'', ''汞(Hg)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''0.000000'', ''0.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锂(Li)'', ''锂(Li)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.500000'', ''1.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铅(Pb)'', ''铅(Pb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''0.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁(Fe)'', ''铁(Fe)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''13.430000'', ''31.340000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜(Cu)'', ''铜(Cu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''10.990000'', ''21.980000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''硒(Se)'', ''硒(Se)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''1.270000'', ''2.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''锌(Zn)'', ''锌(Zn)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''10.700000'', ''17.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素A(VitA)测定'', ''血清维生素A(VitA)测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''1.120000'', ''3.140000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素B1(VitB1)测定'', ''血清维生素B1(VitB1)测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.000000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清维生素B12'', ''血清维生素B12'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''103.000000'', ''516.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆维生素C(VitC)测定'', ''血浆维生素C(VitC)测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1,25-羟维生素D3'', ''1,25-羟维生素D3'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''62.000000'', ''156.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25羟基维生素D3[25(OH)D]'', ''25羟基维生素D3[25(OH)D]'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''8.000000'', ''30.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''维生素D2'', ''维生素D2'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原I'', ''胃蛋白酶原I'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''70.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原II'', ''胃蛋白酶原II'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''0.000000'', ''20.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃蛋白酶原PGI/II比值'', ''胃蛋白酶原PGI/II比值'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''3.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素'', ''胃泌素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''20.000000'', ''160.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''BAO/MAO'', ''BAO/MAO'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''0.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高峰泌酸量(PAO)'', ''高峰泌酸量(PAO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/h'', ''12.200000'', ''29.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''基础泌酸量(BAO)'', ''基础泌酸量(BAO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/h'', ''1.900000'', ''5.900000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''最大泌酸量(MAO)'', ''最大泌酸量(MAO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/h'', ''3.000000'', ''23.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌细胞'', ''癌细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞'', ''白细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胆汁测定'', ''胆汁测定'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞'', ''红细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量'', ''量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏液'', ''黏液'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞'', ''上皮细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.900000'', ''1.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌'', ''细菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑脊液细菌培养'', ''脑脊液细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无菌体液细菌培养'', ''无菌体液细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸腔积液细菌培养'', ''胸腔积液细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝DNA定量'', ''戊肝DNA定量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝DNA定性'', ''戊肝DNA定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝抗体(Anti-HEV)IgG'', ''戊肝抗体(Anti-HEV)IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''戊肝抗体(Anti-HEV)IgM'', ''戊肝抗体(Anti-HEV)IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''百日咳杆菌抗体'', ''百日咳杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞增多性李斯特菌抗体'', ''单核细胞增多性李斯特菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯杆菌抗体'', ''肺炎克雷伯杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''副百日咳杆菌抗体'', ''副百日咳杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结肠弯曲菌抗体'', ''结肠弯曲菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌抗体'', ''结核杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌抗体抗体'', ''军团菌抗体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空肠弯曲菌抗体'', ''空肠弯曲菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流感嗜血杆菌抗体'', ''流感嗜血杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑膜炎奈瑟菌抗体'', ''脑膜炎奈瑟菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''破伤风杆菌抗体'', ''破伤风杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗体测定'', ''细菌抗体测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小肠结肠炎耶尔森氏菌抗体'', ''小肠结肠炎耶尔森氏菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗体'', ''幽门螺杆菌抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌抗原检测'', ''细菌抗原检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''H2O2'', ''H2O2'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''umol'', ''2.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞酯酶'', ''白细胞酯酶'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''唾液酸酐酶活性'', ''唾液酸酐酶活性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细菌性阴道炎快速检测'', ''细菌性阴道炎快速检测'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''D-二聚体'', ''D-二聚体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗纤溶酶复合物'', ''抗纤溶酶复合物'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''纤维蛋白降解产物(FDP)'', ''纤维蛋白降解产物(FDP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性'', ''血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽BP15-42'', ''血浆纤维蛋白肽BP15-42'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽Bβ1-42'', ''血浆纤维蛋白肽Bβ1-42'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆纤维蛋白肽B检测'', ''血浆纤维蛋白肽B检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆鱼精蛋白副凝(3P)试验'', ''血浆鱼精蛋白副凝(3P)试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优球蛋白溶解时间'', ''优球蛋白溶解时间'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''89.000000'', ''171.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''优球蛋白溶解时间(ELT)测定'', ''优球蛋白溶解时间(ELT)测定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''min'', ''120.000000'', ''10000.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗腺病毒抗体IgG(ADV-IgG)'', ''抗腺病毒抗体IgG(ADV-IgG)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗腺病毒抗体IgM(ADV-IgM)'', ''抗腺病毒抗体IgM(ADV-IgM)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''香草苦杏仁酸'', ''香草苦杏仁酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/24h'', ''24.980000'', ''70.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞'', ''白细胞'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重'', ''比重'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖定量'', ''葡萄糖定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)'', ''乳酸脱氢酶(LD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''透明度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液培养'', ''心包积液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(心包积液)'', ''一般细菌培养(心包积液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)'', ''白蛋白(Alb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)'', ''腺苷脱氨酶(ADA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心包积液生化'', ''心包积液生化'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白Ⅰ(TnI)'', ''肌钙蛋白Ⅰ(TnI)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.000000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白T(TnT)'', ''肌钙蛋白T(TnT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶CK-MB'', ''肌酸激酶同工酶CK-MB'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''23.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清肌红蛋白(Mb)'', ''血清肌红蛋白(Mb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''6.300000'', ''70.900000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CK-MB/CK'', ''CK-MB/CK'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''0.120000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-羟丁酸脱氢酶(α-HBD)'', ''α-羟丁酸脱氢酶(α-HBD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''90.000000'', ''182.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α羟基丁酸脱氢酶(α-HBD)'', ''α羟基丁酸脱氢酶(α-HBD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''90.000000'', ''182.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶(CK)'', ''肌酸激酶(CK)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''18.000000'', ''198.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶'', ''肌酸激酶同工酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌酸激酶同工酶CK-MB'', ''肌酸激酶同工酶CK-MB'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''0.000000'', ''23.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶(LD)'', ''乳酸脱氢酶(LD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''135.000000'', ''215.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ABO血型系统抗体致新生儿溶血病检测'', ''ABO血型系统抗体致新生儿溶血病检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''Rh血型系统抗体致新生儿溶血病检测'', ''Rh血型系统抗体致新生儿溶血病检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''性激素结合球蛋白(SHBG)'', ''性激素结合球蛋白(SHBG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''60.000000'', ''68.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雌二醇(E2)'', ''雌二醇(E2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''50.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''促黄体生成素(LH)'', ''促黄体生成素(LH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''IU/L'', ''1.500000'', ''9.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮(T)'', ''睾酮(T)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''14.000000'', ''25.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卵泡刺激素(FSH)'', ''卵泡刺激素(FSH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''4.000000'', ''20.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''泌乳素(PRL)'', ''泌乳素(PRL)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mIU/L'', ''1.200000'', ''29.930000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''孕酮(P)'', ''孕酮(P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''0.000000'', ''3.200000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''比重'', ''比重'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''1.015000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白定量'', ''蛋白定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''结核分枝杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌'', ''军团菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黏蛋白定性'', ''黏蛋白定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''凝固性'', ''凝固性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖定量'', ''葡萄糖定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸脱氢酶'', ''乳酸脱氢酶'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''透明度'', ''透明度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''外观'', ''外观'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞计数'', ''细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水结核分枝杆菌核酸'', ''胸水结核分枝杆菌核酸'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''异型细胞'', ''异型细胞'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白(Alb)'', ''白蛋白(Alb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''蛋白质'', ''蛋白质'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氯化物'', ''氯化物'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄糖'', ''葡萄糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腺苷脱氨酶(ADA)'', ''腺苷脱氨酶(ADA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''A群链球菌'', ''A群链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大肠埃希菌'', ''大肠埃希菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯菌'', ''肺炎克雷伯菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''结核分枝杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌'', ''金黄色葡萄球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铜绿假单胞菌'', ''铜绿假单胞菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水培养'', ''胸水培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸水一般细菌培养'', ''胸水一般细菌培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌'', ''真菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自定义'', ''自定义'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''睾酮(T)'', ''睾酮(T)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''14.000000'', ''25.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''双氢睾酮(DHT)'', ''双氢睾酮(DHT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''1.030000'', ''2.920000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''雄烯二酮(A2)'', ''雄烯二酮(A2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''3.500000'', ''10.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清去氢表雄酮'', ''血清去氢表雄酮'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''2.600000'', ''8.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血α2巨球蛋白'', ''血α2巨球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''150.000000'', ''350.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氨'', ''血氨'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''18.000000'', ''72.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''HGB*3/HCT'', ''HGB*3/HCT'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数(WBC)'', ''白细胞计数(WBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''4.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''大型血小板比例(P-LCR)'', ''大型血小板比例(P-LCR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''10.000000'', ''50.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞比例(MONO%)'', ''单核细胞比例(MONO%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''3.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单核细胞计数(MONO)'', ''单核细胞计数(MONO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''0.300000'', ''0.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞分布宽度(RDW)'', ''红细胞分布宽度(RDW)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''10.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞计数(RBC)'', ''红细胞计数(RBC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^12/L'', ''4.000000'', ''5.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞压积(HCT)'', ''红细胞压积(HCT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''36.000000'', ''50.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞比例(LY%)'', ''淋巴细胞比例(LY%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''17.000000'', ''50.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋巴细胞计数(LY)'', ''淋巴细胞计数(LY)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''0.800000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞体积(MCV)'', ''平均红细胞体积(MCV)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''FL'', ''80.000000'', ''105.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白含量(MCH)'', ''平均红细胞血红蛋白含量(MCH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pg'', ''26.000000'', ''38.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均红细胞血红蛋白浓度(MCHC)'', ''平均红细胞血红蛋白浓度(MCHC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''300.000000'', ''360.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''平均血小板体积(MPV）'', ''平均血小板体积(MPV）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''FL'', ''7.000000'', ''13.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞百分比'', ''嗜碱性粒细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.030000'', ''0.080000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜碱性粒细胞计数'', ''嗜碱性粒细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''0.120000'', ''0.800000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞百分比'', ''嗜酸性粒细胞百分比'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.004000'', ''0.080000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜酸性粒细胞计数'', ''嗜酸性粒细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''0.050000'', ''0.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''网织红细胞分布宽度(RDW-SD)'', ''网织红细胞分布宽度(RDW-SD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白浓度(HGB)'', ''血红蛋白浓度(HGB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''110.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板计数(PLT)'', ''血小板计数(PLT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''100.000000'', ''300.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板体积分布宽度(PDW)'', ''血小板体积分布宽度(PDW)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''10.000000'', ''18.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板压积(PCT)'', ''血小板压积(PCT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''0.100000'', ''0.350000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞比例(NEUT%)'', ''中性粒细胞比例(NEUT%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''50.000000'', ''70.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞计数(NEUT%)'', ''中性粒细胞计数(NEUT%)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''*10^9/L'', ''2.000000'', ''7.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞沉降率(ESR)'', ''红细胞沉降率(ESR)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mm/1h'', ''0.000000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血管紧张素转化酶(ACE)'', ''血管紧张素转化酶(ACE)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''kU/L'', ''26.100000'', ''56.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''埃肯菌'', ''埃肯菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''草绿色链球菌'', ''草绿色链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肠球菌'', ''肠球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''放线杆菌'', ''放线杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''艰难梭状杆菌'', ''艰难梭状杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核分枝杆菌'', ''结核分枝杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌'', ''结核杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金黄色葡萄球菌'', ''金黄色葡萄球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''金氏菌'', ''金氏菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌'', ''军团菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''立克次体'', ''立克次体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牛链球菌'', ''牛链球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''伤寒杆菌'', ''伤寒杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''嗜血杆菌'', ''嗜血杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心杆菌'', ''心杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血培养'', ''血培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(血)'', ''一般细菌培养(血)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙酮酸(PA)'', ''丙酮酸(PA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.030000'', ''0.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血二氧化碳分压(PCO2)'', ''动脉血二氧化碳分压(PCO2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmHg'', ''35.000000'', ''45.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''动脉血氧分压(PaO2)'', ''动脉血氧分压(PaO2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmHg'', ''80.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''二氧化碳结合力(CO2CP)'', ''二氧化碳结合力(CO2CP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''20.000000'', ''30.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''全血缓冲碱(BB)'', ''全血缓冲碱(BB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''45.000000'', ''55.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸(LA)'', ''乳酸(LA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/L'', ''109.000000'', ''245.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乳酸/丙酮酸'', ''乳酸/丙酮酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''剩余碱(BE,BD)'', ''剩余碱(BE,BD)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''-3.000000'', ''3.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''7.350000'', ''7.450000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碳酸氢根(HCO3)'', ''碳酸氢根(HCO3)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''22.000000'', ''27.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血红蛋白(Hb)'', ''血红蛋白(Hb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''120.000000'', ''160.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆渗透压(POP)'', ''血浆渗透压(POP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''280.000000'', ''310.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血氧饱和度(SpO2)'', ''血氧饱和度(SpO2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''95.500000'', ''98.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阴离子间隙(AG)'', ''阴离子间隙(AG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''8.000000'', ''16.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''KAP'', ''KAP'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''598.000000'', ''1329.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''LAM'', ''LAM'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''280.000000'', ''665.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙氨酸(PKU)'', ''苯丙氨酸(PKU)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/dl'', ''0.000000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清丙酮酸'', ''血清丙酮酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.030000'', ''0.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α1球蛋白'', ''α1球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''2.500000'', ''5.400000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α2球蛋白'', ''α2球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''8.300000'', ''14.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β2球蛋白'', ''β2球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''8.700000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''γ球蛋白'', ''γ球蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''12.000000'', ''15.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白蛋白'', ''白蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''%'', ''48.000000'', ''64.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''丙戊酸'', ''丙戊酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''50.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地高辛'', ''地高辛'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.500000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''儿茶酚胺'', ''儿茶酚胺'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环胞霉素(Glu)'', ''环胞霉素(Glu)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''100.000000'', ''450.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''卡马西平'', ''卡马西平'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/L'', ''4.000000'', ''12.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''可的松'', ''可的松'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清游离脂肪酸(FFA)'', ''血清游离脂肪酸(FFA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''400.000000'', ''900.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''粘蛋白'', ''粘蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血栓弹力图试验'', ''血栓弹力图试验'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''β-羟基丁酸(β-HB)'', ''β-羟基丁酸(β-HB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血酮体(KET)'', ''血酮体(KET)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.000000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血吸虫抗体'', ''血吸虫抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血小板抗体'', ''血小板抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''ABO血型'', ''ABO血型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''RH血型'', ''RH血型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血型特异性抗体'', ''血型特异性抗体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌钙蛋白T(TnT)'', ''肌钙蛋白T(TnT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.020000'', ''0.130000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肌红蛋白(Mb)'', ''肌红蛋白(Mb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''50.000000'', ''85.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白A'', ''免疫球蛋白A'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.700000'', ''3.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白D'', ''免疫球蛋白D'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.600000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白E'', ''免疫球蛋白E'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.100000'', ''0.900000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白G'', ''免疫球蛋白G'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''7.000000'', ''16.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''免疫球蛋白M'', ''免疫球蛋白M'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.500000'', ''2.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血液培养'', ''血液培养'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养(血液)'', ''一般细菌培养(血液)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮(NO)'', ''血一氧化氮(NO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血一氧化氮(NO)'', ''血一氧化氮(NO)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''0.020000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低密度脂蛋白胆固醇(LDL-C)'', ''低密度脂蛋白胆固醇(LDL-C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''2.670000'', ''2.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甘油三酯(TG)'', ''甘油三酯(TG)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''1.550000'', ''1.580000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高密度脂蛋白胆固醇(HDL-C)'', ''高密度脂蛋白胆固醇(HDL-C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''1.290000'', ''1.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''极低密度脂蛋白胆固醇(VLDL-C)'', ''极低密度脂蛋白胆固醇(VLDL-C)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''0.210000'', ''0.780000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血清载脂蛋白A/B'', ''血清载脂蛋白A/B'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白A(apoA)'', ''载脂蛋白A(apoA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白A1(apoA1)'', ''载脂蛋白A1(apoA1)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''1.000000'', ''1.760000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白B(apoB)'', ''载脂蛋白B(apoB)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''g/L'', ''0.600000'', ''1.140000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''载脂蛋白E(apoE)'', ''载脂蛋白E(apoE)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''30.000000'', ''60.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂蛋白a(LPa)'', ''脂蛋白a(LPa)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mg/L'', ''0.000000'', ''300.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总胆固醇(TC)'', ''总胆固醇(TC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''mmol/L'', ''2.850000'', ''5.690000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎克雷伯氏菌'', ''肺炎克雷伯氏菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肺炎双球菌'', ''肺炎双球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酵母菌'', ''酵母菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核杆菌'', ''结核杆菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''军团菌'', ''军团菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''葡萄球菌'', ''葡萄球菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞叶酸'', ''红细胞叶酸'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叶酸(FA)'', ''叶酸(FA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/L'', ''4.300000'', ''31.700000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养+鉴定+药敏'', ''一般细菌培养+鉴定+药敏'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌培养及鉴定'', ''一般细菌培养及鉴定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''一般细菌涂片检查'', ''一般细菌涂片检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎衣原体抗体(CP)'', ''抗肺炎衣原体抗体(CP)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgA'', ''抗沙眼衣原体抗体-IgA'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgG'', ''抗沙眼衣原体抗体-IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗沙眼衣原体抗体-IgM'', ''抗沙眼衣原体抗体-IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体核酸测定(CT DNA)'', ''沙眼衣原体核酸测定(CT DNA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''沙眼衣原体脱氧核糖核酸扩增检测'', ''沙眼衣原体脱氧核糖核酸扩增检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体'', ''衣原体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''衣原体培养+鉴定'', ''衣原体培养+鉴定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C肽（C-PR）'', ''C肽（C-PR）'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmoL/mL'', ''0.300000'', ''0.600000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后2h胰岛素(Ins)'', ''餐后2h胰岛素(Ins)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmoL/mL'', ''9.930000'', ''124.900000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''餐后胰岛素(Ins)'', ''餐后胰岛素(Ins)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmoL/mL'', ''5.060000'', ''25.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗谷氨酸脱羧酶抗体(GAD)'', ''抗谷氨酸脱羧酶抗体(GAD)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗酪氨酸磷酸酶抗体(IA2)'', ''抗酪氨酸磷酸酶抗体(IA2)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛素抗体(IAB)'', ''抗胰岛素抗体(IAB)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗胰岛细胞抗体(IAA)'', ''抗胰岛细胞抗体(IAA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''空腹胰岛素(Ins)'', ''空腹胰岛素(Ins)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''29.000000'', ''172.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰岛素(Ins)'', ''胰岛素(Ins)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''pmol/L'', ''29.000000'', ''172.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120min胰岛素'', ''120min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180min胰岛素'', ''180min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240min胰岛素'', ''240min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300min胰岛素'', ''300min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30min胰岛素'', ''30min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60min胰岛素'', ''60min胰岛素'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120minC肽(C-P)'', ''120minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''180minC肽(C-P)'', ''180minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''240minC肽(C-P)'', ''240minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''300minC肽(C-P)'', ''300minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''30minC肽(C-P)'', ''30minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''60minC肽(C-P)'', ''60minC肽(C-P)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血浆胰多肽(PP)'', ''血浆胰多肽(PP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''102.000000'', ''178.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胰高血糖素(Ins)'', ''胰高血糖素(Ins)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''0.000000'', ''400.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝DNA定量'', ''乙肝DNA定量'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝DNA定性'', ''乙肝DNA定性'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗体定量(HBeAb)'', ''乙肝e抗体定量(HBeAb)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗体定性(HBeAb)'', ''乙肝e抗体定性(HBeAb)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗原定量(HBeAg)'', ''乙肝e抗原定量(HBeAg)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝e抗原定性(HBeAg)'', ''乙肝e抗原定性(HBeAg)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S1抗体定性'', ''乙肝S1抗体定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S1抗原定性'', ''乙肝S1抗原定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S2抗体定性'', ''乙肝S2抗体定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝S2抗原定性'', ''乙肝S2抗原定性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗体定量(抗HBs)'', ''乙肝表面抗体定量(抗HBs)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗体定性(抗HBs)'', ''乙肝表面抗体定性(抗HBs)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原定量(HBsAg)'', ''乙肝表面抗原定量(HBsAg)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝表面抗原定性(HBsAg)'', ''乙肝表面抗原定性(HBsAg)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗体定量(抗HBc)'', ''乙肝核心抗体定量(抗HBc)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗体定性(抗HBc)'', ''乙肝核心抗体定性(抗HBc)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗原定量(HBcAg)'', ''乙肝核心抗原定量(HBcAg)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙肝核心抗原定性(HBcAg)'', ''乙肝核心抗原定性(HBcAg)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乙型肝炎耐药基因检测'', ''乙型肝炎耐药基因检测'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胺试验'', ''胺试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''白细胞计数'', ''白细胞计数'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''滴虫'', ''滴虫'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰氏阳性菌'', ''革兰氏阳性菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''革兰氏阴性菌'', ''革兰氏阴性菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红细胞计数'', ''红细胞计数'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''淋菌'', ''淋菌'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霉菌孢子'', ''霉菌孢子'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''霉菌菌丝'', ''霉菌菌丝'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''清洁度'', ''清洁度'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''度'', ''1.000000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''上皮细胞计数'', ''上皮细胞计数'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''4.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酸碱度(PH)'', ''酸碱度(PH)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''4.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''线索细胞'', ''线索细胞'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃液隐血试验'', ''胃液隐血试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验(各种标本)'', ''隐血试验(各种标本)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''隐血试验（自定义）'', ''隐血试验（自定义）'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒II型抗体IgM'', ''单纯疱疹病毒II型抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''单纯疱疹病毒I型抗体IgM'', ''单纯疱疹病毒I型抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体IgG'', ''风疹病毒抗体IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''风疹病毒抗体IgM'', ''风疹病毒抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形虫抗体IgG'', ''弓形虫抗体IgG'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弓形虫抗体IgM'', ''弓形虫抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''巨细胞病毒抗体IgM'', ''巨细胞病毒抗体IgM'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C13-尿素呼吸试验'', ''C13-尿素呼吸试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''C14-尿素呼吸试验'', ''C14-尿素呼吸试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''N15-尿素呼吸试验'', ''N15-尿素呼吸试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''快速尿素酶试验'', ''快速尿素酶试验'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''幽门螺杆菌抗原(HP-Ag)'', ''幽门螺杆菌抗原(HP-Ag)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离皮质醇'', ''游离皮质醇'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''nmol/24h'', ''69.000000'', ''345.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''D-葡聚糖'', ''D-葡聚糖'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', ''0.000000'', ''20.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''真菌直接涂片镜检'', ''真菌直接涂片镜检'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体'', ''抗肺炎支原体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgA)'', ''抗肺炎支原体抗体(MP-IgA)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgG)'', ''抗肺炎支原体抗体(MP-IgG)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''35999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抗肺炎支原体抗体(MP-IgM)'', ''抗肺炎支原体抗体(MP-IgM)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人型支原体抗体'', ''人型支原体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''生殖道支原体抗体'', ''生殖道支原体抗体'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养'', ''支原体培养'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养+鉴定'', ''支原体培养+鉴定'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''支原体培养+药敏'', ''支原体培养+药敏'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''阿奇霉素'', ''阿奇霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''红霉素'', ''红霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''环丙沙星'', ''环丙沙星'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''交沙霉素'', ''交沙霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''克拉霉素'', ''克拉霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''罗红霉素'', ''罗红霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''米诺环素'', ''米诺环素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''强力霉素'', ''强力霉素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''司巴沙星'', ''司巴沙星'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''四环素'', ''四环素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''氧氟沙星'', ''氧氟沙星'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''左氧沙星'', ''左氧沙星'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶(LPS)'', ''脂肪酶(LPS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.200000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直接涂片抗酸染色镜检'', ''直接涂片抗酸染色镜检'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''酯酶染色检查'', ''酯酶染色检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''中性粒细胞碱性磷酸酶染色检查'', ''中性粒细胞碱性磷酸酶染色检查'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''α-L-岩藻糖苷酶(AFU)'', ''α-L-岩藻糖苷酶(AFU)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μmol/L'', ''234.000000'', ''414.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''癌胚抗原(CEA)'', ''癌胚抗原(CEA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.000000'', ''10.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''端粒酶活性'', ''端粒酶活性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''复合前列腺特异性抗原(CPSA)'', ''复合前列腺特异性抗原(CPSA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨胶素(CY211)'', ''骨胶素(CY211)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''甲胎蛋白(AFP)'', ''甲胎蛋白(AFP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''20.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''碱性胎儿蛋白(BFP)'', ''碱性胎儿蛋白(BFP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''80.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''降钙素(CT)'', ''降钙素(CT)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鳞状细胞癌相关抗原(SCC)'', ''鳞状细胞癌相关抗原(SCC)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''2.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''前列腺酸性磷酸酶(PAP)'', ''前列腺酸性磷酸酶(PAP)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''0.000000'', ''2.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神经元特异性烯醇化酶(NSE)'', ''神经元特异性烯醇化酶(NSE)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml '', ''0.000000'', ''16.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-125'', ''糖类抗原CA-125'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''35.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-130'', ''糖类抗原CA-130'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-153'', ''糖类抗原CA-153'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-199'', ''糖类抗原CA-199'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''kU/L'', ''0.000000'', ''37.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-242'', ''糖类抗原CA-242'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''25.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-27'', ''糖类抗原CA-27'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''27.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-29'', ''糖类抗原CA-29'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-50'', ''糖类抗原CA-50'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''40.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-549'', ''糖类抗原CA-549'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''11.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖类抗原CA-724'', ''糖类抗原CA-724'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.000000'', ''5.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''铁蛋白(Fer)'', ''铁蛋白(Fer)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''μg/L'', ''15.000000'', ''200.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃泌素释放肽前体'', ''胃泌素释放肽前体'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/L'', ''0.000000'', ''46.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白18片段'', ''细胞角蛋白18片段'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''细胞角蛋白19片段(CYFRA21-1)'', ''细胞角蛋白19片段(CYFRA21-1)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.000000'', ''3.300000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''游离前列腺特异性抗原(FPSA)'', ''游离前列腺特异性抗原(FPSA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ug/ml'', ''0.000000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脂肪酶(LPS)'', ''脂肪酶(LPS)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''0.200000'', ''1.500000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子(TNF)'', ''肿瘤坏死因子(TNF)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''1.500000'', ''7.100000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤坏死因子α(TNF-α)'', ''肿瘤坏死因子α(TNF-α)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(MG-Ags)'', ''肿瘤相关抗原(MG-Ags)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肿瘤相关抗原(TA-2)'', ''肿瘤相关抗原(TA-2)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总前列腺特异性抗原(TPSA)'', ''总前列腺特异性抗原(TPSA)'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''ng/ml'', ''0.000000'', ''4.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原II类(HLA－II)分型'', ''人组织相容性抗原II类(HLA－II)分型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''人组织相容性抗原I类(HLA－I)分型'', ''人组织相容性抗原I类(HLA－I)分型'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''转铁蛋白'', ''转铁蛋白'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''总IgE'', ''总IgE'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''KU/L.'', ''0.000000'', ''85.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''36057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''CH50'', ''CH50'', ''3'', ''0'', ''200'', ''1'', ''6'', ''5'', ''1'', ''0'', '''', ''U/ml'', ''50.000000'', ''100.000000'', ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿-间隔'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每'', ''小时'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿-频次'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''排尿'', ''次'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿-单次量'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每次'', ''ml'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''少尿-量/天'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''每天尿量'', ''ml'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛描述'', ''描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛缓解描述'', ''缓解描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛发作规律'', ''发作规律'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛持续时间'', ''持续时间'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''无食物及药物过敏史'', ''无食物及药物过敏史'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛描述-频率'', ''频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛描述-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛描述-程度'', ''程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛描述-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛缓解描述1'', ''头痛缓解描述1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛缓解描述2'', ''头痛缓解描述2'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛缓解描述3'', ''头痛缓解描述3'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛缓解描述4'', ''头痛缓解描述4'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族相关传染病'', ''家族相关传染病'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛发作规律-疼痛发作'', ''疼痛发作'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛发作规律-规律'', ''规律'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头痛发作规律-发作描述'', ''发作描述'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40123'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族相关传染病史'', ''家族相关传染病史'', ''3'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患有'', ''患有'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕发作描述'', ''发作描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕伴随症状描述'', ''伴随症状描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕发作描述-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕发作描述-频率'', ''频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕发作描述-发作时感'', ''发作时感'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕发作描述-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕伴随症状描述-能否'', ''能否'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕伴随症状描述-直立行走'', ''直立行走'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕伴随症状描述-伴'', ''伴'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''眩晕伴随症状描述-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥时间'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''晕厥持续'', ''分钟'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥伴随症状-伴'', ''伴'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''晕厥伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐时间'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''抽搐持续'', ''分钟'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐伴随症状-伴'', ''伴'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''抽搐伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-加重'', ''加重'', ''3'', ''0'', ''200'', ''2'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-缓解方式'', ''缓解方式'', ''3'', ''0'', ''200'', ''2'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-加重因素'', ''加重因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-加重特征'', ''加重特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''否认家族性传染病史'', ''否认家族性传染病史'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-缓解方式-因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-缓解方式-能否'', ''能否'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹胀-缓解方式-程度'', ''缓解程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''[ 直系亲属 ] 患有 [ 家族相关传染病 ]'', ''[ 直系亲属 ] 患有 [ 家族相关传染病 ]'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族相关传染病史-第一列'', ''家族相关传染病史-第一列'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''否认家族性传染病史'', ''否认家族性传染病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族中无结核等传染病史'', ''家族中无结核等传染病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族中无结核等传染病史'', ''家族中无结核等传染病史'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族遗传病'', ''家族遗传病'', ''3'', ''0'', ''200'', ''1'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''否认家族遗传病史'', ''否认家族遗传病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''否认家族遗传病史'', ''否认家族遗传病史'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传病-第一列'', ''遗传病-第一列'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''[ 直系亲属 ] 患有 [ 家族遗传病 ]'', ''[ 直系亲属 ] 患有 [ 家族遗传病 ]'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健康状况'', ''健康状况'', ''3'', ''0'', ''200'', ''6'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健康状况-第一列'', ''健康状况-第一列'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母体健'', ''父母体健'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父母体健'', ''父母体健'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母体健，家族无遗传病及特殊疾病史'', ''父母体健，家族无遗传病及特殊疾病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父母体健，家族无遗传病及特殊疾病史'', ''父母体健，家族无遗传病及特殊疾病史'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母兄弟姐妹无同样疾病'', ''父母兄弟姐妹无同样疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父母兄弟姐妹无同样疾病'', ''父母兄弟姐妹无同样疾病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''[ 直系亲属 ] 患有同样疾病'', ''[ 直系亲属 ] 患有同样疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''[ 直系亲属 ] 患有糖尿病'', ''[ 直系亲属 ] 患有糖尿病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患有同样疾病'', ''患有同样疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患有糖尿病'', ''患有糖尿病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, ''【直系亲属】患有【家族相关传染病】'');
INSERT INTO `icss_question_info` VALUES (''40175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族史'', ''家族史'', ''3'', ''0'', ''200'', ''2'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母'', ''父母'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''健康状况外层-第一列'', ''健康状况外层-第一列'', ''3'', ''0'', ''200'', ''10'', ''0'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母'', ''父母'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父母兄弟姐妹无同样疾病'', ''父母兄弟姐妹无同样疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''父亲'', ''父亲'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''母亲'', ''母亲'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''哥哥'', ''哥哥'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''姐姐'', ''姐姐'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''弟弟'', ''弟弟'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''妹妹'', ''妹妹'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''直系亲属中'', ''直系亲属中'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父母'', ''父母'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父母兄弟姐妹无同样疾病'', ''父母兄弟姐妹无同样疾病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''父亲'', ''父亲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''母亲'', ''母亲'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''哥哥'', ''哥哥'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''姐姐'', ''姐姐'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''弟弟'', ''弟弟'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''妹妹'', ''妹妹'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''直系亲属中'', ''直系亲属中'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体健'', ''体健'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体健'', ''体健'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''均体健'', ''均体健'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''体健'', ''体健'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''均体健'', ''均体健'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有'', ''有'', ''3'', ''0'', ''200'', ''1'', ''1'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族遗传病及特殊疾病史'', ''家族遗传病及特殊疾病史'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''患有糖尿病'', ''患有糖尿病'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有'', ''有'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''无'', ''无'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''家族无遗传病及特殊疾病史'', ''家族无遗传病及特殊疾病史'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''同样疾病'', ''同样疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''患有糖尿病'', ''患有糖尿病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''血友病'', ''血友病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''遗传性多囊肾'', ''遗传性多囊肾'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性聋哑'', ''先天性聋哑'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21三体综合征 '', ''21三体综合征 '', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''苯丙酮尿症'', ''苯丙酮尿症'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''地中海贫血'', ''地中海贫血'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''先天性心脏病'', ''先天性心脏病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病'', ''糖尿病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''原发性高血压'', ''原发性高血压'', ''3'', ''0'', ''200'', ''8'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''有'', ''有'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''无'', ''无'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族无遗传病及特殊疾病史'', ''家族无遗传病及特殊疾病史'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''同样疾病'', ''同样疾病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患有糖尿病'', ''患有糖尿病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血友病'', ''血友病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''遗传性多囊肾'', ''遗传性多囊肾'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''先天性聋哑'', ''先天性聋哑'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''21三体综合征 '', ''21三体综合征 '', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''苯丙酮尿症'', ''苯丙酮尿症'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''地中海贫血'', ''地中海贫血'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''先天性心脏病'', ''先天性心脏病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''糖尿病'', ''糖尿病'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''原发性高血压'', ''原发性高血压'', ''3'', ''0'', ''200'', ''4'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作因素'', ''发作因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-其他情况-伴'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-其他情况-症状1'', ''症状1'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-其他情况-症状2'', ''症状2'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作因素-发作因素'', ''发作因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作因素-发作'', ''发作'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊-症状描述'', ''症状描述'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊-发作特征-程度'', ''程度'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''视物模糊-发作特征-结果'', ''结果'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作因素'', ''发作因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作因素-发作因素'', ''发作因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作因素-易发'', ''易发'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作因素-缓解因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-发作因素-缓解'', ''缓解'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-其他情况-症状1'', ''症状1'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''心悸-其他情况-症状2'', ''症状2'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位'', ''部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位-方向'', ''方向'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位-大部位'', ''大部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位-小部位'', ''小部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位-远近'', ''远近'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-部位-麻木'', ''麻木'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体麻木-其他情况-症状描述'', ''症状描述'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-部位特征'', ''部位特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-肌力/肌张力'', ''肌力/肌张力'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-部位特征-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-部位特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-部位特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-伴随症状-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-肌力/肌张力-左右'', ''左右'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-肌力/肌张力-选项'', ''肌力/肌张力选项'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''偏瘫-肌力/肌张力-等级'', ''等级'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-类型'', ''类型'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-特征'', ''特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-呼吸频率'', ''呼吸频率'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-缓解因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-类型-表现为'', ''表现为'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-类型-类型1'', ''呼吸困难类型1'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-类型-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-类型-类型2'', ''呼吸困难类型2'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-特征-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-特征-三凹征'', ''三凹征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-呼吸频率-频率'', ''呼吸频率-频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-呼吸频率-填写'', ''呼吸频率-填写'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-缓解因素-因素'', ''缓解因素-因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-缓解因素-结果'', ''缓解因素-结果'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-伴随症状-伴/无'', ''伴随症状-伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''呼吸困难-伴随症状-症状'', ''伴随症状-症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-伴随症状-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽痛-伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-发作特征-左右'', ''左右'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-发作特征-季节'', ''季节'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-伴随症状-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-伴随症状-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻塞-伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕-发作特征-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''流涕-发作特征-量'', ''量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作部位'', ''发作部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作部位-性状'', ''性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作特征-形状'', ''形状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作特征-局部'', ''局部'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-伴随症状-疹间皮肤正常'', ''疹间皮肤正常'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-伴随症状-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮疹-伴随症状-症状'', ''症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-耳鸣声音描述'', ''耳鸣声音描述'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-发作特征-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-耳鸣声音描述-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-耳鸣声音描述-声音'', ''声音'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''耳鸣-耳鸣声音描述-音量'', ''音量'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''家族相关传染病史'', ''家族相关传染病史'', ''3'', ''0'', ''200'', ''2'', ''0'', ''3'', ''0'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''否认家族性传染病史'', ''否认家族性传染病史'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''结核'', ''结核'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-瞳孔情况'', ''瞳孔情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-基本情况-面容情况'', ''面容情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-基本情况-疼痛刺激'', ''疼痛刺激'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-基本情况-呼吸节奏'', ''呼吸节奏'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-基本情况-血压情况'', ''血压情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-瞳孔情况-角膜反射'', ''角膜发射'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-瞳孔情况-瞳孔黄染'', ''瞳孔黄染'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-瞳孔情况-瞳孔形状'', ''瞳孔形状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-瞳孔情况-瞳孔大小(填写）'', ''瞳孔大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''昏迷-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-基本情况-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-基本情况-表现为'', ''表现为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''声音嘶哑-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况-表现为'', ''表现为'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况-食物性状'', ''食物性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-基本情况-吞咽困难'', ''吞咽困难'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''吞咽障碍-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-发作特征-表现为'', ''表现为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''咽喉痛-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-发作特征-表现为'', ''表现为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-诱发因素-因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-诱发因素-连接词'', ''连接词'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-诱发因素-休息后'', ''休息后'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头晕-诱发因素-结果'', ''结果'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩呈清音-部位'', ''叩呈清音-部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''叩呈清音-选项'', ''叩呈清音-选项'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-发作特征-发作因素'', ''发作因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-发作特征-程度'', ''程度'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''干咳-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未闻及明显干湿啰音-部位'', ''未闻及明显干湿啰音-部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未闻及明显干湿啰音-选项'', ''未闻及明显干湿啰音-选项'', ''3'', ''0'', ''200'', ''1'', ''1'', ''4'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''恶心-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-发作特征-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-发作特征-因素'', ''发作因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-发作特征-结果'', ''结果'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烧心-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-排便频率'', ''排便频率'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-发作特征-大便'', ''大便'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-发作特征-性状'', ''性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-发作特征-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-排便频率-频率'', ''排便频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-排便频率-排气'', ''排气'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑便-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况-大小(填写)'', ''大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况-触感'', ''触感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况-性状'', ''性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况-肤色'', ''肤色'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-基本情况-压痛'', ''压痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-其他情况-伴/无'', ''伴/无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腹部包块-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-基本情况-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-基本情况-皮肤发黄'', ''皮肤发黄'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤发黄-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-发作部位'', ''发作部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-发作部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-发作部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-发作部位-出现'', ''出现'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-发作部位-大小(填写)'', ''大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-基本情况-瘀斑大小(填写)'', ''瘀斑大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-基本情况-按压'', ''按压'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-基本情况-有无'', ''有无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-基本情况-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮下瘀斑-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-发作部位'', ''发作部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-发作部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-发作部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-发作部位-出现'', ''出现'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-发作部位-大小(填写)'', ''大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-基本情况-瘀点大小(填写)'', ''瘀点大小(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-基本情况-按压'', ''按压'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-基本情况-有无'', ''有无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-基本情况-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤瘀点-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-发作部位'', ''发作部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-发作部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-发作部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-发作部位-出现'', ''出现'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-发作部位-大小'', ''大小'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-基本情况-紫癜大小'', ''紫癜大小'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-基本情况-按压'', ''按压'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-基本情况-有无'', ''有无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-基本情况-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''紫癜-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-基本情况-发作'', ''发作'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-基本情况-视物'', ''视物'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-基本情况-恢复时间'', ''恢复时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-诱发因素-因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-诱发因素-发作频率'', ''发作频率'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-诱发因素-姿势'', ''姿势'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-诱发因素-恢复情况'', ''恢复情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''黑矇-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-疼痛部位-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-诱发因素-因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-诱发因素-缓解'', ''缓解'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-诱发因素-按压'', ''按压'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''背痛-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-部位'', ''部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-部位-肢体'', ''肢体'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-部位-乏力'', ''乏力'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况-感否'', ''感否'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况-精神'', ''精神'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况-能否'', ''能否'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况-活动'', ''活动'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''乏力-其他情况-休息'', ''休息'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-其他情况-喜'', ''喜'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-其他情况-饮料'', ''饮料'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-基本情况-时间'', ''时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-基本情况-口干感'', ''口干感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-基本情况-饮水'', ''饮水'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''口干-基本情况-无明显变化'', ''无明显变化'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作因素-缓解因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胸闷-发作因素-缓解'', ''缓解'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮-基本情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮-基本情况-喜'', ''喜'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多饮-基本情况-饮料'', ''饮料'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多尿-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多尿-基本情况-填写'', ''填写'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多尿-基本情况-时间'', ''时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''等传染病史'', ''等传染病史'', ''3'', ''0'', ''200'', ''1'', ''2'', ''3'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '','', null, null);
INSERT INTO `icss_question_info` VALUES (''40557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况-BMI'', ''BMI'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况-既往情况'', ''既往情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况-营养'', ''营养'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况-饮食偏好'', ''口味'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''消瘦-基本情况-饮食规律'', ''饮食规律'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降-基本情况-体重变化'', ''体重变化'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降-基本情况-营养'', ''营养'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降-基本情况-饮食偏好'', ''饮食偏好'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''体重下降-基本情况-饮食规律'', ''饮食规律'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''畏寒-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-部位'', ''部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-部位-多汗'', ''多汗'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-部位-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-部位-发作特性'', ''发作特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-诱发因素-时间'', ''时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-诱发因素-伴'', ''伴'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''多汗-诱发因素-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲亢进-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲亢进-基本情况-味觉'', ''味觉'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲亢进-基本情况-口味偏好'', ''口味偏好'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-生长部位'', ''生长部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-毛发性质'', ''毛发性质'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-生长部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-生长部位-均有毛发'', ''均有毛发'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-生长部位-分布情况'', ''分布情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-毛发性质-质地'', ''质地'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-毛发性质-发量'', ''发量'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-毛发性质-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''毛发异常-毛发性质-深浅'', ''深浅'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲减退-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲减退-基本情况-口淡无味'', ''口淡无味'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''食欲减退-基本情况-进食情况'', ''进食情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛性质'', ''疼痛性质'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-放射部位'', ''放射部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-缓解加重因素'', ''缓解加重因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位-腰椎位置'', ''腰椎位置'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位-填写'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位-诱因'', ''诱因'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛部位-疼痛'', ''疼痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛性质-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛性质-特性'', ''特性'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-疼痛性质-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-放射部位-可放射至'', ''可放射至'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-放射部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-放射部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-缓解加重因素-因素'', ''因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-缓解加重因素-疼痛变化'', ''疼痛变化'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''腰痛-缓解加重因素-按压'', ''按压'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断-基本情况-费力'', ''费力'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿中断-基本情况-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''排尿困难-发作特征-用力'', ''用力'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况-频率'', ''频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况-单次排尿量'', ''单次排尿量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况-尿量'', ''尿量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''小便次数少-基本情况-不适感'', ''不适感'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿频-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''夜尿频-基本情况-频率'', ''频率'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿失禁-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况-有无'', ''有无'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况-性状'', ''性状'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''尿液混浊-基本情况-泡沫'', ''泡沫'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况-颜色'', ''颜色'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况-血量'', ''血量'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况-填写'', ''填写'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-基本情况-止血情况'', ''止血情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''鼻出血-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况-出血量'', ''出血量'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况-易发'', ''易发'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况-晨起痰'', ''晨起痰'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-基本情况-痰中是否带血'', ''痰中是否带血'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''牙龈出血-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-缓解因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位-填写'', ''填写'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-疼痛部位-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-缓解因素-因素'', ''因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''骨痛-缓解因素-结果'', ''结果'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-诱发因素'', ''诱发因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-基本情况-呼吸深浅'', ''呼吸深浅'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-基本情况-填写'', ''填写'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-诱发因素-因素'', ''因素'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-诱发因素-易发'', ''易发'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-诱发因素-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''气促-诱发因素-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征'', ''发作特征'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征-为'', ''为'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-发作特征-发作时间'', ''发作时间'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-其他情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''手脚麻木-其他情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清-其他情况'', ''其他情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清-其他情况-呼之反应'', ''呼之反应'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清-其他情况-谵语'', ''谵语'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''神志不清-其他情况-对答情况'', ''对答情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''0'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位-关节扭伤'', ''关节扭伤'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位-当即伤处肿痛'', ''当即伤处肿痛'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位-无法活动'', ''无法活动'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节扭伤-疼痛部位'', ''疼痛部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤-受伤情况'', ''受伤情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤-受伤情况-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤-受伤情况-伤口大小'', ''伤口大小'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤-受伤情况-伤口边缘'', ''伤口边缘'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''头部外伤-受伤情况-皮肤缺损'', ''皮肤缺损'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-烫伤部位'', ''烫伤部位'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-烫伤部位-方位'', ''方位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-烫伤部位-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-烫伤部位-烫伤'', ''烫伤'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-基本情况-创部红肿'', ''创部红肿'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-基本情况-疼痛感'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-基本情况-伤口性状'', ''伤口性状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''烫伤-基本情况-皮肤撕脱情况'', ''皮肤撕脱情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调-基本情况-时长'', ''时长'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调-基本情况-有无血块'', ''有无血块'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调-基本情况-伴无'', ''伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''月经失调-基本情况-伴随症状'', ''伴随症状'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛-基本情况-为'', ''为'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛-基本情况-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛-基本情况-疼痛刚'', ''疼痛感'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肛门疼痛-基本情况-皮肤红肿情况'', ''皮肤红肿情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐-基本情况-部位'', ''部位'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肢体抽搐-基本情况-持续时间'', ''持续时间'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''发绀按摩热敷'', ''按摩热敷情况'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常-基本情况-渐行性加重'', ''渐行性加重'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''皮肤感觉异常-基本情况-特征'', ''特征'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降-基本情况'', ''基本情况'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降-基本情况-呈'', ''呈'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降-基本情况-渐行性加重'', ''渐行性加重'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降-基本情况-外耳道是否看见'', ''外耳道是否可见'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''听力下降-基本情况-分泌物'', ''分泌物'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛-缓解因素'', ''缓解因素'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛-缓解因素-因素'', ''因素'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''关节疼痛-缓解因素-结果'', ''结果'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量表1'', ''量表1'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量表2'', ''量表2'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量表3'', ''量表3'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量表4'', ''量表4'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''量表5'', ''量表5'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病周围神经病变'', ''糖尿病周围神经病变'', ''3'', ''0'', ''200'', ''0'', ''0'', ''22'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''脑血管疾病'', ''脑血管疾病'', ''3'', ''0'', ''200'', ''0'', ''0'', ''22'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''肾功能不全'', ''肾功能不全'', ''3'', ''0'', ''200'', ''0'', ''0'', ''22'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血脂'', ''高血脂'', ''3'', ''0'', ''200'', ''0'', ''0'', ''22'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''高血压'', ''高血压'', ''3'', ''0'', ''200'', ''0'', ''0'', ''22'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''密西根糖尿病周围神经病筛查表'', ''密西根糖尿病周围神经病筛查表'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''密西根糖尿病周围神经病筛查表（MNSI）'', ''密西根糖尿病周围神经病筛查表（MNSI）'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''危重病人APACHEII评分表'', ''危重病人APACHEII评分表'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''密西根糖尿病周围神经病评分（MDNS）'', ''密西根糖尿病周围神经病评分（MDNS）'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病足TEXAS'', ''糖尿病足TEXAS'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''糖尿病足WAGNER'', ''糖尿病足WAGNER'', ''3'', ''0'', ''200'', ''12'', ''0'', ''21'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患者疾病'', ''患者疾病'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''疾病'', ''疾病'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''期间'', ''期间'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''给药途径'', ''给药途径'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''药物'', ''药物'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''治疗'', ''治疗'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''用量'', ''(填写)'', ''3'', ''0'', ''200'', ''1'', ''7'', ''1'', ''1'', ''1'', ''用量'', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''(单位)'', ''(单位)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', ''['', '''', null, null, ''0'', ''0'', ''0'', ''0'', ''/'', null, null);
INSERT INTO `icss_question_info` VALUES (''40755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''(频次)'', ''(频次)'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '']'', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''患者本次就诊前'', ''患者本次就诊前'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''血糖监测情况'', ''血糖监测情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''平饮素食'', ''平饮素食'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''控制情况'', ''控制情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''运动情况'', ''运动情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''体重'', ''体重'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''体重变化情况'', ''体重变化情况'', ''3'', ''0'', ''200'', ''1'', ''1'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''此次复诊'', ''此次复诊'', ''3'', ''0'', ''200'', ''8'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''不适症状'', ''不适症状'', ''3'', ''0'', ''200'', ''2'', ''0'', ''1'', ''1'', ''1'', '''', '''', null, null, ''2'', ''1'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''1'', ''不适症状-伴无'', ''不适症状-伴无'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''未感不适'', ''未感不适'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有视力模糊'', ''有视力模糊'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''有乏力'', ''有乏力'', ''3'', ''0'', ''200'', ''1'', ''2'', ''1'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''步入病史'', ''步入病史'', ''3'', ''0'', ''200'', ''4'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''自动体位'', ''自动体位'', ''3'', ''0'', ''200'', ''4'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''正常面容'', ''正常面容'', ''3'', ''0'', ''200'', ''4'', ''1'', ''1'', ''1'', ''1'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''低血糖反应'', ''低血糖反应'', ''3'', ''0'', ''200'', ''9'', ''0'', ''10'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);
INSERT INTO `icss_question_info` VALUES (''40773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''胃肠道不良反应'', ''胃肠道不良反应'', ''3'', ''0'', ''200'', ''9'', ''0'', ''10'', ''1'', ''0'', '''', '''', null, null, ''0'', ''0'', ''0'', ''0'', '''', null, null);

-- ----------------------------
-- Table structure for icss_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `icss_question_mapping`;
CREATE TABLE `icss_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `parent_question` bigint(20) DEFAULT NULL COMMENT ''上级question'',
  `son_question` bigint(20) DEFAULT NULL COMMENT ''下级question'',
  `order_no` int(11) NOT NULL DEFAULT ''0'' COMMENT ''排序号'',
  `position` int(11) NOT NULL DEFAULT ''0'' COMMENT ''标签显示位置(0：在标签后，1：在标签前)'',
  `form_position` int(11) NOT NULL DEFAULT ''0'' COMMENT ''填写单显示位置(0：左， 1：上)'',
  `exclusion_type` int(11) NOT NULL DEFAULT ''0'' COMMENT ''互斥类型（0：不互斥， 1：互斥 主要用在组合项：例如既往史无殊）'',
  `symptom_type` int(11) NOT NULL DEFAULT ''0'' COMMENT ''主症状和伴随症状对应的question类型（0：默认值 1：主症状特有 2：伴随症状特有 ）'',
  `remark` varchar(300) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`),
  KEY `parent_question` (`parent_question`)
) ENGINE=InnoDB AUTO_INCREMENT=3591 DEFAULT CHARSET=utf8 COMMENT=''标签映射表'';

-- ----------------------------
-- Records of icss_question_mapping
-- ----------------------------
INSERT INTO `icss_question_mapping` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''2'', ''10'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''3'', ''50'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''5'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''4'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''6'', ''5'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''5'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''9'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''6'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''8'', ''10'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''7'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''14'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''8'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''15'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''16'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''10'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''17'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''11'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''7'', ''18'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''13'', ''10'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''13'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21'', ''22'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''14'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''21'', ''10'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''15'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23'', ''24'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''17'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23'', ''25'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''18'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23'', ''26'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''20'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28'', ''29'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''21'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28'', ''30'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''22'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28'', ''31'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''23'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''34'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''24'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''35'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''25'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''36'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''26'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''37'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''27'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''38'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''28'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''454'', ''39'', ''1'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''32'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''33'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''34'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''45'', ''71'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''35'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''45'', ''52'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''36'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''45'', ''51'', ''1'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''37'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''53'', ''54'', ''1'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''38'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''53'', ''55'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''39'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''20'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''40'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''11'', ''56'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''41'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''7'', ''1'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''42'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''8'', ''2'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''43'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''11'', ''4'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''46'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''46'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''47'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''48'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''75'', ''76'', ''1'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''49'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''75'', ''77'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''50'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''75'', ''78'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''51'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''79'', ''97'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''52'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''79'', ''81'', ''1'', ''1'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''53'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''82'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''54'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''83'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''55'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''84'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''56'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''85'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''57'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''86'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''58'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''87'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''59'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''88'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''60'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''89'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''61'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''90'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''62'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 15:47:40'', ''0'', ''modifier'', ''91'', ''0'', ''0'', ''0'', ''0'', ''0'', ''0'', ''测试'');
INSERT INTO `icss_question_mapping` VALUES (''63'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 15:47:40'', ''0'', ''modifier'', ''92'', ''0'', ''0'', ''0'', ''0'', ''0'', ''0'', ''测试'');
INSERT INTO `icss_question_mapping` VALUES (''64'', ''Y'', ''1970-01-01 12:00:00'', ''2018-12-03 15:47:40'', ''0'', ''modifier'', ''0'', ''93'', ''0'', ''0'', ''0'', ''0'', ''0'', ''测试'');
INSERT INTO `icss_question_mapping` VALUES (''65'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''97'', ''80'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''66'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''107'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''67'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''107'', ''108'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''68'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''107'', ''109'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''69'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''107'', ''110'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''70'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''404'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''75'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''119'', ''3'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''76'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''12'', ''119'', ''5'', ''1'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''77'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120'', ''121'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''78'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''120'', ''122'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''79'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23'', ''120'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''80'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''107'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''81'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''186'', ''47'', ''2'', ''0'', ''0'', ''0'', ''0'', '''');
INSERT INTO `icss_question_mapping` VALUES (''82'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''186'', ''48'', ''3'', ''0'', ''0'', ''0'', ''0'', '''');
INSERT INTO `icss_question_mapping` VALUES (''83'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''186'', ''49'', ''4'', ''0'', ''0'', ''0'', ''0'', '''');
INSERT INTO `icss_question_mapping` VALUES (''84'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''186'', ''50'', ''5'', ''0'', ''0'', ''0'', ''0'', '''');
INSERT INTO `icss_question_mapping` VALUES (''85'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''186'', ''74'', ''1'', ''0'', ''0'', ''0'', ''0'', '''');
INSERT INTO `icss_question_mapping` VALUES (''86'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''212'', ''214'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''87'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''214'', ''216'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''88'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''216'', ''217'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''89'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''216'', ''218'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''90'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''91'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''92'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''15'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''93'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''94'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''95'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''55'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''96'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''97'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''119'', ''15'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''98'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''99'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''199'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''222'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''224'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''74'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''226'', ''227'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''226'', ''229'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''226'', ''231'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''226'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''233'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''234'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''236'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''237'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''111'', ''238'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''239'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''3'', ''240'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''126'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''111'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''127'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''119'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''3'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''106'', ''119'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''241'', ''242'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''241'', ''245'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''241'', ''246'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''241'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''247'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''250'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''119'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''248'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''140'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''202'', ''119'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''248'', ''249'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''248'', ''251'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''253'', ''254'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''253'', ''255'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''253'', ''10'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''4'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''264'', ''256'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''264'', ''257'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''264'', ''261'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''264'', ''262'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''264'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''266'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''267'', ''30'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''119'', ''35'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''269'', ''40'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''265'', ''119'', ''45'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''276'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''276'', ''271'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''276'', ''272'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''276'', ''274'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''276'', ''275'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''282'', ''283'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''282'', ''284'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''282'', ''285'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''282'', ''286'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''292'', ''293'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''292'', ''294'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''292'', ''295'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''292'', ''296'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''292'', ''297'', ''5'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''378'', ''373'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''379'', ''375'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''380'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''203'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''384'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''385'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''387'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''388'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''207'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''389'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''208'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''376'', ''389'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''390'', ''391'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''390'', ''392'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''390'', ''393'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''390'', ''394'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''63'', ''400'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''63'', ''401'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''282'', ''416'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''417'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''418'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''419'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''420'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''421'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''422'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''423'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''424'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''425'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''50'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''406'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''408'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''409'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''410'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''411'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''412'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''413'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''414'', ''100'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''71'', ''415'', ''110'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''472'', ''473'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''472'', ''474'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''472'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''295'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''475'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''296'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''476'', ''477'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''476'', ''478'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''476'', ''479'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''476'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''2'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''482'', ''480'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''482'', ''481'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''482'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''483'', ''484'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''483'', ''485'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''483'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''119'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''483'', ''477'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''486'', ''480'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''486'', ''481'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''486'', ''477'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''482'', ''477'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''470'', ''2'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''119'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''486'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''119'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''2'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''469'', ''119'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''489'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''119'', ''12'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''490'', ''13'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''467'', ''119'', ''14'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''489'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''490'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''471'', ''119'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''46'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''222'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''406'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''408'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''409'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''410'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''411'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''412'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''413'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''414'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''415'', ''225'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''55'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''65'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''75'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''85'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''354'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''80'', ''225'', ''95'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''442'', ''491'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''442'', ''492'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''442'', ''493'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''442'', ''494'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''453'', ''495'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''453'', ''496'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''361'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''453'', ''225'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''456'', ''498'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''456'', ''499'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''456'', ''500'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''456'', ''501'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''456'', ''502'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''457'', ''503'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''457'', ''504'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''457'', ''505'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''457'', ''506'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''460'', ''515'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''460'', ''516'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''460'', ''517'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''374'', ''Y'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''28'', ''518'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29627'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29628'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29629'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29630'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29631'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''436'', ''29632'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''437'', ''29633'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''437'', ''29634'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''437'', ''29635'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''439'', ''29636'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''439'', ''29637'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''439'', ''29638'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29639'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29640'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29641'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29642'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29643'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''440'', ''29644'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29647'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29648'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29649'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29650'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29651'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''441'', ''29652'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''45'', ''29646'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29645'', ''29653'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29645'', ''29654'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29645'', ''29655'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29645'', ''29656'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29657'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29658'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29659'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29660'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29661'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''445'', ''29662'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''29663'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29665'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29666'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29667'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29668'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29669'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''446'', ''29670'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29671'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24306'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''452'', ''29677'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''452'', ''29679'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''452'', ''29680'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29672'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''29682'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''29683'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''29684'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''29685'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29674'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29675'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29676'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29678'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29646'', ''29681'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24306'', ''29673'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24306'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''29645'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24997'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''447'', ''29686'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''447'', ''29687'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''447'', ''29688'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''447'', ''29689'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''29664'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24435'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''451'', ''29690'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''451'', ''29691'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''451'', ''29692'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''451'', ''29693'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''451'', ''29694'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''29698'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''277'', ''119'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29698'', ''29703'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29698'', ''29704'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29698'', ''29705'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29698'', ''29706'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''29707'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''29708'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24777'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29707'', ''29709'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29707'', ''29710'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29707'', ''29711'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29707'', ''29712'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''29714'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''29715'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''29716'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''29717'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29708'', ''29718'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''29695'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29671'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''29696'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29672'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''29697'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29674'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''29699'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29675'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''29700'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29676'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''29701'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29678'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''29702'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''220'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''49'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''225'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''50'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29681'', ''225'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''458'', ''29719'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''458'', ''29720'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''458'', ''29721'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''458'', ''29722'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''461'', ''29723'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''461'', ''29724'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''461'', ''29725'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29726'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29727'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29728'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29729'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29730'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''462'', ''29731'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''455'', ''29733'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''455'', ''29734'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''455'', ''29735'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''464'', ''29736'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''464'', ''29737'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''464'', ''29738'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''464'', ''29739'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''465'', ''29744'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''465'', ''29745'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''465'', ''29746'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''466'', ''29747'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''466'', ''29748'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''466'', ''29749'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''466'', ''29750'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29754'', ''10'', ''0'', ''1'', ''1'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29755'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29756'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29757'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29758'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''463'', ''29737'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''455'', ''29768'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''465'', ''29737'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24235'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29771'', ''29772'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29771'', ''29773'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''29775'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''29776'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''29777'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''29778'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29774'', ''29779'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''29774'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24527'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24235'', ''29771'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24235'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25284'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25284'', ''29791'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25284'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29791'', ''29792'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29791'', ''29793'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29791'', ''29794'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''29795'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''29796'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24774'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''29797'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''29798'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''29799'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''29800'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29795'', ''29801'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''29802'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''29803'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''29804'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''29805'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29796'', ''29806'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''29807'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''29808'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''29809'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''29810'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''29811'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29807'', ''29812'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''119'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''29814'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''119'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''29815'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24802'', ''119'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''29816'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24786'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29816'', ''29817'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29816'', ''29818'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29816'', ''29819'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29816'', ''29820'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''40102'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''40103'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''119'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''40104'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''119'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''40105'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24758'', ''119'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''40106'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''40107'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''40108'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''119'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''40109'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''195'', ''119'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''53'', ''40110'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40106'', ''40111'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40106'', ''40112'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40106'', ''40113'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40106'', ''40114'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40107'', ''40115'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40107'', ''40116'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40107'', ''40117'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40107'', ''40118'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40108'', ''40120'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40108'', ''40121'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40108'', ''40122'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''40125'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''40126'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24960'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40125'', ''40127'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40125'', ''40128'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40125'', ''40129'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40125'', ''40130'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40126'', ''40131'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40126'', ''40132'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40126'', ''40133'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40126'', ''40134'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''40135'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''40136'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25293'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40136'', ''40137'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40136'', ''40138'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''40139'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''40140'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24174'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40140'', ''40141'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40140'', ''40142'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40154'', ''40147'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''40143'', ''30'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''1706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''40144'', ''40'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''1707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''119'', ''35'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''1708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''468'', ''119'', ''45'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''1709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40143'', ''40145'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40143'', ''40146'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40144'', ''40148'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40144'', ''40149'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40144'', ''40150'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40154'', ''40153'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40153'', ''24055'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40153'', ''40124'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40153'', ''40119'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40123'', ''40154'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40147'', ''40155'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40147'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40153'', ''225'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40154'', ''40157'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40157'', ''40156'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40157'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40161'', ''40160'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40161'', ''40162'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40160'', ''40159'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40160'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40162'', ''24055'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40162'', ''40124'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40162'', ''40158'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23754'', ''35000'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23755'', ''35001'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23756'', ''35002'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23757'', ''35003'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23758'', ''35004'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23759'', ''35005'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23760'', ''35006'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''377'', ''35007'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''377'', ''35008'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35009'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35010'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35011'', ''12'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35012'', ''13'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35013'', ''14'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35014'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23761'', ''35015'', ''16'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35016'', ''17'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35017'', ''18'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35018'', ''19'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35019'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35020'', ''21'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23762'', ''35021'', ''22'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23763'', ''35022'', ''23'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23764'', ''35023'', ''24'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23765'', ''35024'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23766'', ''35025'', ''26'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23766'', ''35026'', ''27'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23766'', ''35027'', ''28'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23766'', ''35028'', ''29'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23767'', ''35029'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23768'', ''35030'', ''31'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23769'', ''35031'', ''32'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23769'', ''35032'', ''33'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23770'', ''35033'', ''34'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23771'', ''35034'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23771'', ''35035'', ''36'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35036'', ''37'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35037'', ''38'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35038'', ''39'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35039'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35040'', ''41'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35041'', ''42'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35042'', ''43'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35043'', ''44'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35044'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35045'', ''46'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35046'', ''47'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35047'', ''48'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35048'', ''49'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35049'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35050'', ''51'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35051'', ''52'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35052'', ''53'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35053'', ''54'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35054'', ''55'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35055'', ''56'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23772'', ''35056'', ''57'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''35057'', ''58'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''35058'', ''59'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''35059'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''35060'', ''61'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23773'', ''35061'', ''62'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''35062'', ''63'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''35063'', ''64'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''35064'', ''65'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''35065'', ''66'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23774'', ''35066'', ''67'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35067'', ''68'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35068'', ''69'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35069'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35070'', ''71'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35071'', ''72'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35072'', ''73'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35073'', ''74'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35074'', ''75'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35075'', ''76'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35076'', ''77'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35077'', ''78'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23775'', ''35078'', ''79'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23776'', ''35079'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1814'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23777'', ''35080'', ''81'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1815'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35081'', ''82'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1816'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35082'', ''83'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1817'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35083'', ''84'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1818'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35084'', ''85'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1819'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35085'', ''86'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1820'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35086'', ''87'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1821'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35087'', ''88'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1822'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35088'', ''89'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1823'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23778'', ''35089'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1824'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23779'', ''35090'', ''91'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1825'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23780'', ''35091'', ''92'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1826'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23781'', ''35092'', ''93'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1827'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''35093'', ''94'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1828'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''35094'', ''95'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''35095'', ''96'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1830'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''35096'', ''97'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23782'', ''35097'', ''98'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1832'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23783'', ''35098'', ''99'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35099'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1834'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35100'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35101'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1836'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35102'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35103'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1838'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35104'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35105'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1840'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35106'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23784'', ''35107'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1842'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23785'', ''35108'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23785'', ''35109'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1844'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35110'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35111'', ''12'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1846'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35112'', ''13'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35113'', ''14'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35114'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35115'', ''16'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35116'', ''17'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35117'', ''18'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35118'', ''19'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35119'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35120'', ''21'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23786'', ''35121'', ''22'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23787'', ''35122'', ''23'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23787'', ''35123'', ''24'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23788'', ''35124'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1859'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23788'', ''35125'', ''26'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1860'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23789'', ''35126'', ''27'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23790'', ''35127'', ''28'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35128'', ''29'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35129'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35130'', ''31'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35131'', ''32'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35132'', ''33'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35133'', ''34'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35134'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35135'', ''36'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''147'', ''35136'', ''37'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35137'', ''38'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35138'', ''39'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35139'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35140'', ''41'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35141'', ''42'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23791'', ''35142'', ''43'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23792'', ''35143'', ''44'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23793'', ''35144'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23794'', ''35145'', ''46'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23794'', ''35146'', ''47'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''35147'', ''48'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''35148'', ''49'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1883'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''35149'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1884'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''35150'', ''51'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1885'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23795'', ''35151'', ''52'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1886'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23796'', ''35152'', ''53'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1887'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35153'', ''54'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1888'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35154'', ''55'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1889'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35155'', ''56'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1890'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35156'', ''57'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1891'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35157'', ''58'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1892'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35158'', ''59'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1893'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35159'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1894'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35160'', ''61'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1895'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35161'', ''62'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1896'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23797'', ''35162'', ''63'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23798'', ''35163'', ''64'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23798'', ''35164'', ''65'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23798'', ''35165'', ''66'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23798'', ''35166'', ''67'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23799'', ''35167'', ''68'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23800'', ''35168'', ''69'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23801'', ''35169'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23801'', ''35170'', ''71'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23802'', ''35171'', ''72'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35172'', ''73'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1907'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35173'', ''74'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1908'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35174'', ''75'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1909'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35175'', ''76'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1910'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35176'', ''77'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1911'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35177'', ''78'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1912'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35178'', ''79'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1913'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23803'', ''35179'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1914'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35180'', ''81'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35181'', ''82'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35182'', ''83'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35183'', ''84'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35184'', ''85'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35185'', ''86'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35186'', ''87'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35187'', ''88'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35188'', ''89'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1923'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23804'', ''35189'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35190'', ''91'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35191'', ''92'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35192'', ''93'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35193'', ''94'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35194'', ''95'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23805'', ''35195'', ''96'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23806'', ''35196'', ''97'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35197'', ''98'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35198'', ''99'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35199'', ''100'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35200'', ''101'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35201'', ''102'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35202'', ''103'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35203'', ''104'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35204'', ''105'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35205'', ''106'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35206'', ''107'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35207'', ''108'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35208'', ''109'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35209'', ''110'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35210'', ''111'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35211'', ''112'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35212'', ''113'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23807'', ''35213'', ''114'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''35214'', ''115'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''35215'', ''116'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''35216'', ''117'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''35217'', ''118'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23808'', ''35218'', ''119'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23809'', ''35219'', ''120'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23809'', ''35220'', ''121'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23809'', ''35221'', ''122'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23809'', ''35222'', ''123'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23810'', ''35223'', ''124'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23810'', ''35224'', ''125'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23810'', ''35225'', ''126'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23811'', ''35226'', ''127'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23812'', ''35227'', ''128'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23813'', ''35228'', ''129'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23814'', ''35229'', ''130'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23814'', ''35230'', ''131'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23814'', ''35231'', ''132'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23814'', ''35232'', ''133'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23815'', ''35233'', ''134'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23816'', ''35234'', ''135'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23816'', ''35235'', ''136'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23816'', ''35236'', ''137'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35237'', ''138'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35238'', ''139'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35239'', ''140'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35240'', ''141'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35241'', ''142'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35242'', ''143'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35243'', ''144'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35244'', ''145'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35245'', ''146'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23817'', ''35246'', ''147'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23818'', ''35247'', ''148'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23819'', ''35248'', ''149'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35249'', ''150'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35250'', ''151'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35251'', ''152'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35252'', ''153'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35253'', ''154'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35254'', ''155'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35255'', ''156'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35256'', ''157'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23820'', ''35257'', ''158'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23821'', ''35258'', ''159'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23822'', ''35259'', ''160'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23823'', ''35260'', ''161'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23824'', ''35261'', ''162'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23825'', ''35262'', ''163'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23826'', ''35263'', ''164'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23826'', ''35264'', ''165'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''1999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''35265'', ''166'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''35266'', ''167'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''35267'', ''168'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''35268'', ''169'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23827'', ''35269'', ''170'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23828'', ''35270'', ''171'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23828'', ''35271'', ''172'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35272'', ''173'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35273'', ''174'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35274'', ''175'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35275'', ''176'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35276'', ''177'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23829'', ''35277'', ''178'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23830'', ''35278'', ''179'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23831'', ''35279'', ''180'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23831'', ''35280'', ''181'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23832'', ''35281'', ''182'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23832'', ''35282'', ''183'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23832'', ''35283'', ''184'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23832'', ''35284'', ''185'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35285'', ''186'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35286'', ''187'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35287'', ''188'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35288'', ''189'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35289'', ''190'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35290'', ''191'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35291'', ''192'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35292'', ''193'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23833'', ''35293'', ''194'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35294'', ''195'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35295'', ''196'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35296'', ''197'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35297'', ''198'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35298'', ''199'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35299'', ''200'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23834'', ''35300'', ''201'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23835'', ''35301'', ''202'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23835'', ''35302'', ''203'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23835'', ''35303'', ''204'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23836'', ''35304'', ''205'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23836'', ''35305'', ''206'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23836'', ''35306'', ''207'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23837'', ''35307'', ''208'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35308'', ''209'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35309'', ''210'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35310'', ''211'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35311'', ''212'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35312'', ''213'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35313'', ''214'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35314'', ''215'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35315'', ''216'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35316'', ''217'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35317'', ''218'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35318'', ''219'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35319'', ''220'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35320'', ''221'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35321'', ''222'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35322'', ''223'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35323'', ''224'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35324'', ''225'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35325'', ''226'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23838'', ''35326'', ''227'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23839'', ''35327'', ''228'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23840'', ''35328'', ''229'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23841'', ''35329'', ''230'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23842'', ''35330'', ''231'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23843'', ''35331'', ''232'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23843'', ''35332'', ''233'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23844'', ''35333'', ''234'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23845'', ''35334'', ''235'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23846'', ''35335'', ''236'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23847'', ''35336'', ''237'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23848'', ''35337'', ''238'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23848'', ''35338'', ''239'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23849'', ''35339'', ''240'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23850'', ''35340'', ''241'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23851'', ''35341'', ''242'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23851'', ''35342'', ''243'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23852'', ''35343'', ''244'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23853'', ''35344'', ''245'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23854'', ''35345'', ''246'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23854'', ''35346'', ''247'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23854'', ''35347'', ''248'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23855'', ''35348'', ''249'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23856'', ''35349'', ''250'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23857'', ''35350'', ''251'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23858'', ''35351'', ''252'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23858'', ''35352'', ''253'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35353'', ''254'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35354'', ''255'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35355'', ''256'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35356'', ''257'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35357'', ''258'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23859'', ''35358'', ''259'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23860'', ''35359'', ''260'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23861'', ''35360'', ''261'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23862'', ''35361'', ''262'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2096'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23862'', ''35362'', ''263'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2097'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23862'', ''35363'', ''264'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2098'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23862'', ''35364'', ''265'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2099'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23862'', ''35365'', ''266'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2100'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23863'', ''35366'', ''267'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2101'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23863'', ''35367'', ''268'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23864'', ''35368'', ''269'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23865'', ''35369'', ''270'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23865'', ''35370'', ''271'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23865'', ''35371'', ''272'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23865'', ''35372'', ''273'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23866'', ''35373'', ''274'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23867'', ''35374'', ''275'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23868'', ''35375'', ''276'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23869'', ''35376'', ''277'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23870'', ''35377'', ''278'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23871'', ''35378'', ''279'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23871'', ''35379'', ''280'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35380'', ''281'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35381'', ''282'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35382'', ''283'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35383'', ''284'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35384'', ''285'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23872'', ''35385'', ''286'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''35386'', ''287'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''35387'', ''288'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''35388'', ''289'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''35389'', ''290'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23873'', ''35390'', ''291'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35391'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35392'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35393'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35394'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35395'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23874'', ''35396'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23875'', ''35397'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23876'', ''35398'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23877'', ''35399'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23877'', ''35400'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23878'', ''35401'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35402'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35403'', ''12'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35404'', ''13'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35405'', ''14'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35406'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35407'', ''16'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35408'', ''17'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35409'', ''18'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35410'', ''19'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35411'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35412'', ''21'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35413'', ''22'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35414'', ''23'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35415'', ''24'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35416'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35417'', ''26'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35418'', ''27'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23879'', ''35419'', ''28'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2154'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''35420'', ''29'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2155'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''35421'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''35422'', ''31'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''35423'', ''32'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23880'', ''35424'', ''33'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35425'', ''34'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35426'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35427'', ''36'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35428'', ''37'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35429'', ''38'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35430'', ''39'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35431'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35432'', ''41'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35433'', ''42'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35434'', ''43'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35435'', ''44'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35436'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35437'', ''46'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23881'', ''35438'', ''47'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23882'', ''35439'', ''48'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23883'', ''35440'', ''49'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23884'', ''35441'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23885'', ''35442'', ''51'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23885'', ''35443'', ''52'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35444'', ''53'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35445'', ''54'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35446'', ''55'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35447'', ''56'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35448'', ''57'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35449'', ''58'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35450'', ''59'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35451'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35452'', ''61'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35453'', ''62'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''116'', ''35454'', ''63'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35455'', ''64'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35456'', ''65'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35457'', ''66'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35458'', ''67'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35459'', ''68'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35460'', ''69'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23886'', ''35461'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23887'', ''35462'', ''71'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23887'', ''35463'', ''72'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35464'', ''73'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35465'', ''74'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35466'', ''75'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35467'', ''76'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35468'', ''77'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35469'', ''78'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35470'', ''79'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35471'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35472'', ''81'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35473'', ''82'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35474'', ''83'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35475'', ''84'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35476'', ''85'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23888'', ''35477'', ''86'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23889'', ''35478'', ''87'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23890'', ''35479'', ''88'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23891'', ''35480'', ''89'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23892'', ''35481'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23893'', ''35482'', ''91'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23893'', ''35483'', ''92'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23893'', ''35484'', ''93'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23894'', ''35485'', ''94'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23894'', ''35486'', ''95'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23895'', ''35487'', ''96'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23896'', ''35488'', ''97'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23897'', ''35489'', ''98'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23898'', ''35490'', ''99'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35491'', ''100'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35492'', ''101'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35493'', ''102'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35494'', ''103'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35495'', ''104'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35496'', ''105'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35497'', ''106'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35498'', ''107'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35499'', ''108'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35500'', ''109'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23899'', ''35501'', ''110'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23900'', ''35502'', ''111'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23901'', ''35503'', ''112'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23901'', ''35504'', ''113'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23902'', ''35505'', ''114'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23902'', ''35506'', ''115'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23903'', ''35507'', ''116'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23903'', ''35508'', ''117'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23904'', ''35509'', ''118'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23905'', ''35510'', ''119'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23905'', ''35511'', ''120'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23906'', ''35512'', ''121'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23906'', ''35513'', ''122'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23907'', ''35514'', ''123'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23907'', ''35515'', ''124'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23908'', ''35516'', ''125'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23908'', ''35517'', ''126'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23909'', ''35518'', ''127'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23910'', ''35519'', ''128'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23911'', ''35520'', ''129'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23911'', ''35521'', ''130'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23912'', ''35522'', ''131'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23913'', ''35523'', ''132'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23914'', ''35524'', ''133'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35525'', ''134'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35526'', ''135'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35527'', ''136'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35528'', ''137'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35529'', ''138'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35530'', ''139'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35531'', ''140'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23915'', ''35532'', ''141'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35533'', ''142'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35534'', ''143'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35535'', ''144'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35536'', ''145'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35537'', ''146'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35538'', ''147'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35539'', ''148'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23916'', ''35540'', ''149'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23917'', ''35541'', ''150'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23917'', ''35542'', ''151'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35543'', ''152'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35544'', ''153'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35545'', ''154'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35546'', ''155'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35547'', ''156'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35548'', ''157'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35549'', ''158'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35550'', ''159'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23918'', ''35551'', ''160'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23919'', ''35552'', ''161'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23920'', ''35553'', ''162'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23920'', ''35554'', ''163'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23921'', ''35555'', ''164'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23922'', ''35556'', ''165'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35557'', ''166'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35558'', ''167'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35559'', ''168'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35560'', ''169'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35561'', ''170'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23923'', ''35562'', ''171'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23924'', ''35563'', ''172'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23925'', ''35564'', ''173'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23926'', ''35565'', ''174'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23927'', ''35566'', ''175'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23928'', ''35567'', ''176'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23928'', ''35568'', ''177'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23928'', ''35569'', ''178'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23928'', ''35570'', ''179'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23929'', ''35571'', ''180'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23929'', ''35572'', ''181'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23929'', ''35573'', ''182'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23929'', ''35574'', ''183'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23930'', ''35575'', ''184'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''35576'', ''185'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''35577'', ''186'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''35578'', ''187'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''35579'', ''188'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23931'', ''35580'', ''189'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35581'', ''190'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35582'', ''191'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35583'', ''192'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35584'', ''193'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35585'', ''194'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35586'', ''195'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35587'', ''196'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35588'', ''197'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35589'', ''198'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35590'', ''199'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35591'', ''200'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35592'', ''201'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35593'', ''202'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35594'', ''203'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35595'', ''204'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35596'', ''205'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35597'', ''206'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35598'', ''207'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35599'', ''208'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23932'', ''35600'', ''209'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23933'', ''35601'', ''210'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35602'', ''211'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35603'', ''212'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35604'', ''213'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35605'', ''214'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35606'', ''215'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23934'', ''35607'', ''216'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23935'', ''35608'', ''217'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23935'', ''35609'', ''218'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23935'', ''35610'', ''219'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35611'', ''220'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35612'', ''221'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35613'', ''222'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35614'', ''223'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35615'', ''224'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35616'', ''225'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23936'', ''35617'', ''226'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23937'', ''35618'', ''227'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23938'', ''35619'', ''228'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23939'', ''35620'', ''229'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23940'', ''35621'', ''230'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35622'', ''231'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35623'', ''232'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35624'', ''233'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35625'', ''234'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35626'', ''235'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35627'', ''236'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35628'', ''237'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35629'', ''238'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35630'', ''239'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35631'', ''240'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35632'', ''241'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35633'', ''242'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35634'', ''243'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35635'', ''244'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23941'', ''35636'', ''245'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23942'', ''35637'', ''246'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35638'', ''247'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35639'', ''248'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35640'', ''249'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35641'', ''250'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35642'', ''251'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35643'', ''252'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23943'', ''35644'', ''253'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35645'', ''254'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35646'', ''255'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35647'', ''256'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35648'', ''257'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35649'', ''258'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35650'', ''259'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23944'', ''35651'', ''260'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23945'', ''35652'', ''261'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23945'', ''35653'', ''262'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23946'', ''35654'', ''263'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23947'', ''35655'', ''264'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23948'', ''35656'', ''265'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35657'', ''266'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35658'', ''267'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35659'', ''268'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35660'', ''269'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35661'', ''270'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35662'', ''271'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35663'', ''272'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35664'', ''273'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35665'', ''274'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23949'', ''35666'', ''275'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23950'', ''35667'', ''276'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23951'', ''35668'', ''277'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23952'', ''35669'', ''278'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23953'', ''35670'', ''279'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23954'', ''35671'', ''280'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23954'', ''35672'', ''281'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23954'', ''35673'', ''282'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23955'', ''35674'', ''283'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23955'', ''35675'', ''284'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23955'', ''35676'', ''285'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23956'', ''35677'', ''286'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23957'', ''35678'', ''287'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23957'', ''35679'', ''288'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23957'', ''35680'', ''289'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23957'', ''35681'', ''290'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35682'', ''291'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35683'', ''292'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35684'', ''293'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35685'', ''294'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35686'', ''295'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2421'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35687'', ''296'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35688'', ''297'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35689'', ''298'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35690'', ''299'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23958'', ''35691'', ''300'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23959'', ''35692'', ''301'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23959'', ''35693'', ''302'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23959'', ''35694'', ''303'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23960'', ''35695'', ''304'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23960'', ''35696'', ''305'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23960'', ''35697'', ''306'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23960'', ''35698'', ''307'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35699'', ''308'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35700'', ''309'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35701'', ''310'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35702'', ''311'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35703'', ''312'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35704'', ''313'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35705'', ''314'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35706'', ''315'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35707'', ''316'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35708'', ''317'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35709'', ''318'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35710'', ''319'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35711'', ''320'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23961'', ''35712'', ''321'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23962'', ''35713'', ''322'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23963'', ''35714'', ''323'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23963'', ''35715'', ''324'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23963'', ''35716'', ''325'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23963'', ''35717'', ''326'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35718'', ''327'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35719'', ''328'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35720'', ''329'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35721'', ''330'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35722'', ''331'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35723'', ''332'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35724'', ''333'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35725'', ''334'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35726'', ''335'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23964'', ''35727'', ''336'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23965'', ''35728'', ''337'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23965'', ''35729'', ''338'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23966'', ''35730'', ''339'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35731'', ''340'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35732'', ''341'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35733'', ''342'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35734'', ''343'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35735'', ''344'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35736'', ''345'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23967'', ''35737'', ''346'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23968'', ''35738'', ''347'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23968'', ''35739'', ''348'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2474'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23968'', ''35740'', ''349'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2475'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23969'', ''35741'', ''350'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2476'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23969'', ''35742'', ''351'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2477'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23969'', ''35743'', ''352'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23970'', ''35744'', ''353'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23970'', ''35745'', ''354'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23970'', ''35746'', ''355'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23970'', ''35747'', ''356'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35748'', ''357'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35749'', ''358'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35750'', ''359'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35751'', ''360'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35752'', ''361'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35753'', ''362'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23971'', ''35754'', ''363'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23972'', ''35755'', ''364'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23972'', ''35756'', ''365'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23973'', ''35757'', ''366'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35758'', ''367'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35759'', ''368'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35760'', ''369'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35761'', ''370'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35762'', ''371'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23974'', ''35763'', ''372'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35764'', ''373'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35765'', ''374'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35766'', ''375'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35767'', ''376'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35768'', ''377'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35769'', ''378'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35770'', ''379'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35771'', ''380'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35772'', ''381'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35773'', ''382'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35774'', ''383'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35775'', ''384'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35776'', ''385'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23975'', ''35777'', ''386'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''35778'', ''387'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''35779'', ''388'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''35780'', ''389'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''35781'', ''390'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23976'', ''35782'', ''391'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35783'', ''392'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35784'', ''393'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35785'', ''394'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35786'', ''395'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35787'', ''396'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35788'', ''397'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35789'', ''398'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35790'', ''399'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35791'', ''400'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23977'', ''35792'', ''401'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23978'', ''35793'', ''402'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23978'', ''35794'', ''403'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23978'', ''35795'', ''404'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23978'', ''35796'', ''405'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23979'', ''35797'', ''406'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23980'', ''35798'', ''407'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35799'', ''408'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35800'', ''409'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35801'', ''410'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35802'', ''411'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35803'', ''412'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35804'', ''413'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35805'', ''414'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35806'', ''415'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35807'', ''416'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35808'', ''417'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35809'', ''418'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35810'', ''419'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35811'', ''420'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35812'', ''421'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35813'', ''422'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35814'', ''423'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35815'', ''424'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35816'', ''425'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35817'', ''426'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35818'', ''427'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35819'', ''428'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35820'', ''429'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35821'', ''430'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35822'', ''431'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''69'', ''35823'', ''432'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23981'', ''35824'', ''433'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23982'', ''35825'', ''434'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35826'', ''435'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35827'', ''436'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35828'', ''437'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35829'', ''438'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35830'', ''439'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35831'', ''440'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35832'', ''441'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35833'', ''442'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35834'', ''443'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35835'', ''444'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35836'', ''445'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35837'', ''446'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35838'', ''447'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35839'', ''448'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35840'', ''449'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35841'', ''450'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23983'', ''35842'', ''451'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35843'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35844'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35845'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35846'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35847'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35848'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35849'', ''6'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35850'', ''7'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35851'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35852'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35853'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35854'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35855'', ''12'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2590'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23984'', ''35856'', ''13'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2591'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23985'', ''35857'', ''14'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2592'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23985'', ''35858'', ''15'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2593'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23986'', ''35859'', ''16'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2594'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23987'', ''35860'', ''17'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2595'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''35861'', ''18'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2596'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''35862'', ''19'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2597'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''35863'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2598'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''35864'', ''21'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2599'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23988'', ''35865'', ''22'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2600'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35866'', ''23'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2601'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35867'', ''24'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2602'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35868'', ''25'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2603'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35869'', ''26'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2604'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35870'', ''27'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2605'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23989'', ''35871'', ''28'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2606'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23990'', ''35872'', ''29'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2607'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23991'', ''35873'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2608'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23992'', ''35874'', ''31'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2609'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23993'', ''35875'', ''32'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2610'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23993'', ''35876'', ''33'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2611'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23994'', ''35877'', ''34'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2612'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23995'', ''35878'', ''35'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2613'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23996'', ''35879'', ''36'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2614'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23996'', ''35880'', ''37'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2615'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23996'', ''35881'', ''38'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2616'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35882'', ''39'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2617'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35883'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2618'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35884'', ''41'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2619'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35885'', ''42'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2620'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35886'', ''43'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2621'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35887'', ''44'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2622'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23997'', ''35888'', ''45'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2623'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23998'', ''35889'', ''46'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2624'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23998'', ''35890'', ''47'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2625'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''23999'', ''35891'', ''48'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2626'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24000'', ''35892'', ''49'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2627'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35893'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2628'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35894'', ''51'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2629'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35895'', ''52'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2630'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35896'', ''53'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2631'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35897'', ''54'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2632'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35898'', ''55'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2633'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35899'', ''56'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2634'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35900'', ''57'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2635'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35901'', ''58'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2636'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35902'', ''59'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2637'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24001'', ''35903'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2638'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35904'', ''61'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2639'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35905'', ''62'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2640'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35906'', ''63'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2641'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35907'', ''64'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2642'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35908'', ''65'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2643'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24002'', ''35909'', ''66'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2644'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24003'', ''35910'', ''67'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2645'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24003'', ''35911'', ''68'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2646'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24004'', ''35912'', ''69'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2647'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24004'', ''35913'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2648'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24005'', ''35914'', ''71'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2649'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35915'', ''72'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2650'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35916'', ''73'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2651'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35917'', ''74'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2652'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35918'', ''75'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2653'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35919'', ''76'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2654'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35920'', ''77'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2655'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35921'', ''78'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2656'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24006'', ''35922'', ''79'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2657'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24007'', ''35923'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2658'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35924'', ''81'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2659'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35925'', ''82'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2660'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35926'', ''83'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2661'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35927'', ''84'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2662'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35928'', ''85'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2663'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35929'', ''86'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2664'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35930'', ''87'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2665'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24008'', ''35931'', ''88'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2666'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35932'', ''89'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2667'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35933'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2668'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35934'', ''91'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2669'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35935'', ''92'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2670'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35936'', ''93'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2671'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24009'', ''35937'', ''94'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2672'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35938'', ''95'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2673'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35939'', ''96'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2674'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35940'', ''97'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2675'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35941'', ''98'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2676'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35942'', ''99'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2677'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24010'', ''35943'', ''100'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2678'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24011'', ''35944'', ''101'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2679'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24012'', ''35945'', ''102'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2680'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35946'', ''103'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2681'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35947'', ''104'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2682'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35948'', ''105'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2683'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35949'', ''106'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2684'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35950'', ''107'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2685'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35951'', ''108'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2686'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35952'', ''109'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2687'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35953'', ''110'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2688'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35954'', ''111'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2689'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35955'', ''112'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2690'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35956'', ''113'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2691'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35957'', ''114'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2692'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35958'', ''115'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2693'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35959'', ''116'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2694'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35960'', ''117'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2695'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35961'', ''118'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2696'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35962'', ''119'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2697'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35963'', ''120'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2698'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24013'', ''35964'', ''121'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2699'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35965'', ''122'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2700'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35966'', ''123'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2701'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35967'', ''124'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2702'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35968'', ''125'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2703'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35969'', ''126'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2704'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35970'', ''127'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2705'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35971'', ''128'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2706'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35972'', ''129'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2707'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35973'', ''130'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2708'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35974'', ''131'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2709'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35975'', ''132'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2710'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35976'', ''133'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2711'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24014'', ''35977'', ''134'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2712'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24015'', ''35978'', ''135'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2713'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24015'', ''35979'', ''136'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2714'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24015'', ''35980'', ''137'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2715'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35981'', ''138'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2716'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35982'', ''139'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2717'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35983'', ''140'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2718'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35984'', ''141'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2719'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35985'', ''142'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2720'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35986'', ''143'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2721'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24016'', ''35987'', ''144'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2722'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''35988'', ''145'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2723'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''35989'', ''146'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2724'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''35990'', ''147'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2725'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''35991'', ''148'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2726'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24017'', ''35992'', ''149'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2727'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24018'', ''35993'', ''150'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2728'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24019'', ''35994'', ''151'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2729'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24020'', ''35995'', ''152'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2730'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''35996'', ''153'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2731'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''35997'', ''154'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2732'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''35998'', ''155'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2733'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''35999'', ''156'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2734'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''36000'', ''157'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2735'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''36001'', ''158'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2736'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''36002'', ''159'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2737'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''36003'', ''160'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2738'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24021'', ''36004'', ''161'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2739'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36005'', ''162'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2740'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36006'', ''163'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2741'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36007'', ''164'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2742'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36008'', ''165'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2743'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36009'', ''166'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2744'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36010'', ''167'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2745'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36011'', ''168'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2746'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36012'', ''169'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2747'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36013'', ''170'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2748'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36014'', ''171'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2749'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36015'', ''172'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2750'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24022'', ''36016'', ''173'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2751'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''427'', ''36017'', ''174'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2752'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24023'', ''36018'', ''175'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2753'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24024'', ''36019'', ''176'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2754'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24025'', ''36020'', ''177'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2755'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36021'', ''178'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2756'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36022'', ''179'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2757'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36023'', ''180'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2758'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36024'', ''181'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2759'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36025'', ''182'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2760'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36026'', ''183'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2761'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36027'', ''184'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2762'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36028'', ''185'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2763'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36029'', ''186'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2764'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36030'', ''187'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2765'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36031'', ''188'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2766'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36032'', ''189'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2767'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36033'', ''190'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2768'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36034'', ''191'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2769'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36035'', ''192'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2770'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36036'', ''193'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2771'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36037'', ''194'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2772'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36038'', ''195'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2773'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36039'', ''196'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2774'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36040'', ''197'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2775'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36041'', ''198'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2776'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36042'', ''199'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2777'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36043'', ''200'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2778'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36044'', ''201'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2779'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36045'', ''202'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2780'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36046'', ''203'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2781'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36047'', ''204'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2782'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36048'', ''205'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2783'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36049'', ''206'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2784'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36050'', ''207'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2785'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36051'', ''208'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2786'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24026'', ''36052'', ''209'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2787'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24027'', ''36053'', ''210'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2788'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24027'', ''36054'', ''211'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2789'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24028'', ''36055'', ''212'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2790'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24029'', ''36056'', ''213'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2791'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24030'', ''36057'', ''214'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2792'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24057'', ''40161'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2793'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40162'', ''225'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2794'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40163'', ''40164'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2795'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''40166'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2796'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', null, null, ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2797'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''40168'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2798'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''40170'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2799'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40166'', ''40165'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2800'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40166'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2801'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40168'', ''40167'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2802'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40168'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2803'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40170'', ''40169'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2804'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40170'', ''225'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2805'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''40171'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2806'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40164'', ''40172'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2807'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40171'', ''24055'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2808'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40171'', ''40173'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2809'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40171'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2810'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40172'', ''24055'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2811'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40172'', ''40174'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2812'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40172'', ''225'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2813'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''40179'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2829'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40191'', ''40181'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2831'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40192'', ''40182'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2833'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40193'', ''40183'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2835'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40194'', ''40184'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2837'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40195'', ''40185'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2839'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40196'', ''40186'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2841'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40197'', ''40187'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2843'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40198'', ''40188'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2845'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40199'', ''40189'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2847'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40191'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2848'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40192'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2849'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40193'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2850'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40194'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2851'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40195'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2852'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40196'', ''60'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2853'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40197'', ''70'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2854'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40198'', ''80'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2855'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40179'', ''40199'', ''90'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2856'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''40201'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2857'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40204'', ''40202'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2858'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40205'', ''40203'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2861'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''40204'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2862'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40201'', ''40205'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2863'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40224'', ''40209'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2864'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40225'', ''40210'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2865'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40226'', ''40211'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2866'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40227'', ''40212'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2867'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40228'', ''40214'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2868'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40229'', ''40215'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2869'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40230'', ''40216'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2870'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40231'', ''40217'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2871'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40232'', ''40218'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2872'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40233'', ''40219'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2873'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40234'', ''40220'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2874'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40235'', ''40221'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2875'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40236'', ''40222'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2876'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40237'', ''40223'', ''0'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2877'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''40239'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2878'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2879'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''40241'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2880'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2881'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''40240'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2882'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''201'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2897'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40239'', ''40242'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2898'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40239'', ''40243'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2899'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''40206'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2900'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''40207'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2901'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40175'', ''40208'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2902'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40240'', ''40244'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2903'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40240'', ''40245'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2904'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40240'', ''40246'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2905'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40241'', ''40247'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2906'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40241'', ''40248'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2915'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2916'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''40249'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2917'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2918'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''40250'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2919'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25220'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2920'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40250'', ''40251'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2921'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40250'', ''40252'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2922'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40250'', ''40253'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2924'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2925'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''40255'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2926'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2927'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''40256'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2928'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2929'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''40257'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2930'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25124'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2931'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40255'', ''40258'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2932'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40255'', ''40259'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2933'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40256'', ''40260'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2934'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40256'', ''40261'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2935'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40256'', ''40262'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2936'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40256'', ''40263'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2937'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40257'', ''40264'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2938'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40257'', ''40265'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2939'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40257'', ''40266'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2940'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2941'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''40267'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2942'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2943'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''40268'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2944'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25339'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2945'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''40269'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2946'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''40270'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2947'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''40271'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2948'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''40272'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2949'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40267'', ''40273'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2950'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40268'', ''40274'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2951'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40268'', ''40275'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2952'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''119'', ''1'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2953'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''40276'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2954'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2955'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''40277'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2956'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2957'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''40278'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2958'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24940'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2959'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40276'', ''40279'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2960'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40276'', ''40280'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2961'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40276'', ''40281'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2962'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40277'', ''40282'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2963'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40277'', ''40283'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2964'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40278'', ''40284'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2965'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40278'', ''40285'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2966'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40278'', ''40286'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2967'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2968'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''40287'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2969'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2970'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''40288'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2971'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2972'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''40289'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2973'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2974'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''40290'', ''8'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2975'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''9'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2976'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''40291'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2977'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24500'', ''119'', ''11'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2978'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40287'', ''40292'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2979'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40287'', ''40293'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2980'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40287'', ''40294'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2981'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40287'', ''40295'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2982'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40288'', ''40296'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2983'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40288'', ''40297'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2984'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40288'', ''40298'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2985'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40289'', ''40299'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2986'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40289'', ''40300'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2987'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40290'', ''40301'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2988'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40290'', ''40302'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2989'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40291'', ''40303'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2990'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40291'', ''40304'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2991'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2992'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''40305'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2993'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24794'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''2994'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40305'', ''40306'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2995'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40305'', ''40307'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2996'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40305'', ''40308'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2997'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40305'', ''40309'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2998'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''2999'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''40310'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3000'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3001'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''40311'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3002'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25195'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3003'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40310'', ''40312'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3004'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40310'', ''40313'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3005'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40310'', ''40314'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3006'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40311'', ''40315'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3007'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40311'', ''40316'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3008'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''40317'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3009'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3010'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''40318'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3011'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''203'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3012'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40317'', ''40319'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3013'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40317'', ''40320'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3014'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40317'', ''40321'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3015'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40317'', ''40322'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3016'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40318'', ''40323'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3017'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40318'', ''40324'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3018'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40318'', ''40325'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3019'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3020'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''40326'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3021'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24148'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3022'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40326'', ''40327'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3023'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40326'', ''40328'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3024'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40326'', ''40329'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3025'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40326'', ''40330'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3026'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3027'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''40331'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3028'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3029'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''40332'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3030'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3031'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''40333'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3032'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24864'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3033'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40331'', ''40334'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3034'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40331'', ''40335'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3035'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40332'', ''40336'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3036'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40332'', ''40337'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3037'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40332'', ''40338'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3038'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40332'', ''40339'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3039'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40333'', ''40340'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3040'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40333'', ''40341'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3041'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40333'', ''40342'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3042'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3043'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''40343'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3044'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3045'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''40344'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3046'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25013'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3047'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40343'', ''40345'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3048'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40343'', ''40346'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3049'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40344'', ''40347'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3050'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40344'', ''40348'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3051'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40344'', ''40349'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3052'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''40179'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3053'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''40351'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3054'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''40206'', ''30'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3055'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''40352'', ''40'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3056'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3057'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''40353'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3058'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3059'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''40354'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3060'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3061'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''40355'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3062'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24065'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3063'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40353'', ''40356'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3064'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40353'', ''40357'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3065'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40353'', ''40358'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3066'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40353'', ''40359'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3067'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40354'', ''40360'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3068'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40354'', ''40361'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3069'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40354'', ''40362'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3070'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40354'', ''40363'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3071'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40355'', ''40364'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3072'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40355'', ''40365'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3073'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3074'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''40366'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3075'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3076'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''40367'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3077'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25199'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3078'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40366'', ''40368'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3079'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40366'', ''40369'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3080'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40366'', ''40370'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3081'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40366'', ''40371'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3082'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40367'', ''40372'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3083'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40367'', ''40373'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3084'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3085'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''40374'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3086'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3087'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''40375'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3088'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25062'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3089'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''40376'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3090'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''40377'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3091'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''40378'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3092'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''40379'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3093'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40374'', ''40380'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3094'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40375'', ''40381'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3095'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40375'', ''40382'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3102'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40383'', ''40385'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3103'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40383'', ''40386'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3104'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40383'', ''40387'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3105'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40383'', ''40388'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3106'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40384'', ''40389'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3107'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40384'', ''40390'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3108'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3109'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''40383'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3110'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3111'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''40384'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3112'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''72'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3113'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''40391'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3114'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3115'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''40392'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3116'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3117'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''40393'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3118'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''197'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3119'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40391'', ''40394'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3120'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40391'', ''40395'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3121'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40391'', ''40396'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3122'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40391'', ''40397'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3123'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40392'', ''40398'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3124'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40392'', ''40399'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3125'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40393'', ''40400'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3126'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40393'', ''40401'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3127'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40393'', ''40402'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3128'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40393'', ''40403'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3129'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3130'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''40404'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3131'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3132'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''40405'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3133'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24629'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3134'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''449'', ''40406'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3135'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''449'', ''40407'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3136'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40404'', ''40408'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3137'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40404'', ''40409'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3138'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40404'', ''40410'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3139'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40404'', ''40411'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3140'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40405'', ''40412'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3141'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40405'', ''40413'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3142'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''450'', ''40414'', ''10'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3143'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''450'', ''40415'', ''20'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3144'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3145'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''40416'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3146'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3147'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''40417'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3148'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24280'', ''119'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3149'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40416'', ''40418'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3150'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40416'', ''40419'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3151'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40416'', ''40420'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3152'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40417'', ''40421'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3153'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40417'', ''40422'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3156'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3157'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''40423'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3158'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3159'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''40424'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3160'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25078'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3161'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40423'', ''40425'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3162'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40423'', ''40426'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3163'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40423'', ''40427'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3164'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40423'', ''40428'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3165'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40424'', ''40429'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3166'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40424'', ''40430'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3167'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3168'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''40431'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3169'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3170'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''40432'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3171'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3172'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''40433'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3173'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24221'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3174'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40431'', ''40434'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3175'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40431'', ''40435'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3176'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40431'', ''40436'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3177'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40431'', ''40437'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3178'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40432'', ''40438'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3179'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40432'', ''40439'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3180'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40433'', ''40440'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3181'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40433'', ''40441'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3182'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3183'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''40442'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3184'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3185'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''40443'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3186'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24357'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3187'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''40444'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3188'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''40445'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3189'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''40446'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3190'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''40447'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3191'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40442'', ''40448'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3192'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40443'', ''40449'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3193'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40443'', ''40450'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3194'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3195'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''40451'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3196'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3197'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''40452'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3198'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24822'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3199'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40451'', ''40453'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3200'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40451'', ''40454'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3201'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40452'', ''40455'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3202'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40452'', ''40456'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3203'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3204'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''40457'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3205'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3206'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''40458'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3207'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3208'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''40459'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3209'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24854'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3210'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40457'', ''40460'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3211'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40457'', ''40461'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3212'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40457'', ''40462'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3213'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40457'', ''40463'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3214'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40458'', ''40464'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3215'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40458'', ''40465'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3216'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40458'', ''40466'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3217'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40458'', ''40467'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3218'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40459'', ''40468'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3219'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40459'', ''40469'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3220'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3221'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''40470'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3222'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3223'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''40471'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3224'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3225'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''40472'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3226'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24844'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3227'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40470'', ''40473'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3228'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40470'', ''40474'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3229'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40470'', ''40475'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3230'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40470'', ''40476'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3231'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40471'', ''40477'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3232'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40471'', ''40478'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3233'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40471'', ''40479'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3234'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40471'', ''40480'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3235'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40472'', ''40481'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3236'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40472'', ''40482'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3237'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3238'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''40483'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3239'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''119'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3240'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''40484'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3241'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3242'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''40485'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3243'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24858'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3244'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40483'', ''40486'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3245'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40483'', ''40487'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3246'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40483'', ''40488'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3247'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40483'', ''40489'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3248'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40484'', ''40490'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3249'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40484'', ''40491'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3250'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40484'', ''40492'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3251'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40484'', ''40493'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3252'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40485'', ''40494'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3253'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40485'', ''40495'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3254'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3255'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''40496'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3256'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3257'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''40497'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3258'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3259'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''40498'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3260'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3261'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''40499'', ''8'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3262'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24921'', ''119'', ''9'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3263'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40496'', ''40500'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3264'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40496'', ''40501'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3265'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40497'', ''40502'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3266'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40497'', ''40503'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3267'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40497'', ''40504'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3268'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40498'', ''40505'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3269'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40498'', ''40506'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3270'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40498'', ''40507'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3271'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40498'', ''40508'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3272'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40499'', ''40509'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3273'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40499'', ''40510'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3274'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3275'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''40511'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3276'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3277'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''40512'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3278'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3279'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''40513'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3280'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24132'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3281'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''40514'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3282'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''40515'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3283'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''40516'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3284'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''40517'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3285'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40511'', ''40518'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3286'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40512'', ''40519'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3287'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40512'', ''40520'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3288'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40512'', ''40521'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3289'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40513'', ''40522'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3290'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40513'', ''40523'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3291'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''40524'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3292'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3293'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''40525'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3294'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''198'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3295'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40524'', ''40526'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3296'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40524'', ''40527'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3297'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40524'', ''40528'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3298'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''40529'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3299'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''40530'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3300'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''40531'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3301'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''40532'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3302'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40525'', ''40533'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3303'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3304'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''40534'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3305'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3306'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''40535'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3307'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24669'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3308'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40534'', ''40536'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3309'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40534'', ''40537'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3310'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40534'', ''40538'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3311'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40534'', ''40539'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3312'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40535'', ''40540'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3313'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40535'', ''40541'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3314'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40535'', ''40542'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3315'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40535'', ''40543'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3316'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3317'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''40534'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3318'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3319'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''40535'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3320'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24659'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3321'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40241'', ''40546'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3322'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40241'', ''40547'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3323'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24274'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3324'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24274'', ''40548'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3325'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24274'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3326'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40548'', ''40549'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3327'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40548'', ''40550'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3328'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40548'', ''40551'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3329'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40548'', ''40552'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3330'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3331'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''40553'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3332'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24756'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3333'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40553'', ''40554'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3334'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40553'', ''40555'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3335'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40350'', ''40556'', ''50'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3336'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25117'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3337'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25117'', ''40557'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3338'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25117'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3339'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''40558'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3340'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''40559'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3341'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''40560'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3342'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''40561'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3343'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40557'', ''40562'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3344'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40563'', ''40564'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3345'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40563'', ''40565'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3346'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40563'', ''40566'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3347'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40563'', ''40567'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3348'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25009'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3349'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25009'', ''40563'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3350'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25009'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3351'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''196'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3352'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''196'', ''40568'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3353'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''196'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3354'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3355'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''40569'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3356'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3357'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''40570'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3358'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24180'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3359'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40569'', ''40571'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3360'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40569'', ''40572'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3361'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40569'', ''40573'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3362'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40569'', ''40574'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3363'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40570'', ''40575'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3364'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40570'', ''40576'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3365'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40570'', ''40577'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3366'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24983'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3367'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24983'', ''40578'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3368'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24983'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3369'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40578'', ''40579'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3370'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40578'', ''40580'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3371'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3372'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''40581'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3373'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3374'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''40582'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3375'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24702'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3376'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40581'', ''40583'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3377'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40581'', ''40584'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3378'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40581'', ''40585'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3379'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40582'', ''40586'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3380'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40582'', ''40587'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3381'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40582'', ''40588'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3382'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40582'', ''40589'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3383'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3384'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''40590'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3385'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24982'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3386'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40590'', ''40591'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3387'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40590'', ''40592'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3388'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3389'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''40593'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3390'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3391'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''40594'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3392'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3393'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''40595'', ''6'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3394'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''119'', ''7'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3395'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''40596'', ''8'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3396'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25290'', ''119'', ''9'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3397'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''40597'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3398'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''40598'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3399'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''40599'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3400'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''40600'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3401'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40593'', ''40601'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3402'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40594'', ''40602'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3403'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40594'', ''40603'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3404'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40594'', ''40604'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3405'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40605'', ''40605'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3406'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40605'', ''40606'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3407'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40605'', ''40607'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3408'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40596'', ''40608'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3409'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40596'', ''40609'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3410'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40596'', ''40610'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3411'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40595'', ''40605'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3412'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40595'', ''40606'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3413'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40595'', ''40607'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3414'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3415'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''40611'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3416'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24808'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3417'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40611'', ''40612'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3418'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40611'', ''40613'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3419'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40611'', ''40614'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3420'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40611'', ''40615'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3422'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40305'', ''40616'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3423'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25119'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3424'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25119'', ''40617'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3425'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25119'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3426'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''40618'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3427'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''40619'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3428'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''40620'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3429'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''40621'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3430'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40617'', ''40622'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3431'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''40624'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3432'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''40619'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3433'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''40620'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3434'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''40621'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3435'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40623'', ''40622'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3436'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24809'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3437'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24809'', ''40623'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3438'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24809'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3439'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24717'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3440'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24717'', ''40625'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3441'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24717'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3442'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24766'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3443'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24766'', ''40626'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3444'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24766'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3445'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40626'', ''40627'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3446'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40626'', ''40628'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3447'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40626'', ''40629'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3448'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40626'', ''40630'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3449'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40626'', ''40631'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3450'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3451'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''40632'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3452'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3453'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''40633'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3454'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''40634'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3455'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''40635'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3456'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''40636'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3457'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40632'', ''40637'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3458'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''40638'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3459'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24133'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3460'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40638'', ''40639'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3461'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40638'', ''40640'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3462'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3463'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''40641'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3464'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3465'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''40642'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3466'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24691'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3467'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''40643'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3468'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''40644'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3469'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''40645'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3470'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''40646'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3471'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40641'', ''40647'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3472'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40642'', ''40648'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3473'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40642'', ''40649'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3478'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3479'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''40650'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3480'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3481'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''40651'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3482'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24448'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3483'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''40652'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3484'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''40653'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3485'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''40654'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3486'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''40655'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3487'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40650'', ''40656'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3488'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40651'', ''40657'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3489'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40651'', ''40658'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3490'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''40659'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3491'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3492'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''40660'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3493'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''200'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3494'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40659'', ''40661'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3495'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40659'', ''40662'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3496'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40659'', ''40663'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3497'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40659'', ''40664'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3498'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40660'', ''40665'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3499'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40660'', ''40666'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3500'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40660'', ''40667'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3501'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40660'', ''40668'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3502'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3503'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''40669'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3504'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3505'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''40670'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3506'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25335'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3507'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''40671'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3508'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''40672'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3509'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''40673'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3510'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''40674'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3511'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40669'', ''40675'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3512'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40670'', ''40676'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3513'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40670'', ''40677'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3514'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24070'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3515'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24070'', ''40678'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3516'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24070'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3517'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40678'', ''40679'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3518'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40678'', ''40680'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3519'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40678'', ''40681'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3520'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24475'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3521'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24475'', ''40688'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3522'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24475'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3523'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''40683'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3524'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''40684'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3525'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''40685'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3526'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''40686'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3527'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40688'', ''40687'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3528'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25067'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3529'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25067'', ''40689'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3530'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25067'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3531'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40689'', ''40690'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3532'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40689'', ''40691'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3533'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40689'', ''40692'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3534'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40689'', ''40693'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3535'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3536'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''40694'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3537'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3538'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''40695'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3539'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25007'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3540'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40694'', ''40696'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3541'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40694'', ''40697'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3542'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40694'', ''40698'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3543'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40695'', ''40699'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3544'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40695'', ''40700'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3545'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40695'', ''40701'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3546'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40695'', ''40702'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3547'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25311'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3548'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25311'', ''40703'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3549'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25311'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3550'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40703'', ''40704'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3551'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40703'', ''40705'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3552'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40703'', ''40706'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3553'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40703'', ''40707'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3554'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24422'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3555'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24422'', ''40708'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3556'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24422'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3557'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40708'', ''40709'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3558'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40708'', ''40710'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3559'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40708'', ''40711'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3560'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40708'', ''40712'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3561'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25321'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3562'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25321'', ''40713'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3563'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25321'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3564'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40713'', ''40714'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3565'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40713'', ''40715'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3566'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40713'', ''40716'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3567'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40713'', ''40717'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3568'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''29673'', ''40718'', ''5'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3569'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24824'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3570'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24824'', ''40719'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3571'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24824'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3572'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40719'', ''40720'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3573'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40719'', ''40721'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3574'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40719'', ''40722'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3575'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25022'', ''119'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3576'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25022'', ''40723'', ''2'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3577'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''25022'', ''119'', ''3'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3578'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''40724'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3579'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''40725'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3580'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''40726'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3581'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40723'', ''40727'', ''4'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3582'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''40728'', ''4'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3583'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''24480'', ''119'', ''5'', ''0'', ''0'', ''0'', ''1'', null);
INSERT INTO `icss_question_mapping` VALUES (''3584'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40728'', ''40729'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3585'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40728'', ''40730'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3586'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40764'', ''40765'', ''1'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3587'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40764'', ''40766'', ''2'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3588'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40764'', ''40767'', ''3'', ''0'', ''0'', ''0'', ''0'', null);
INSERT INTO `icss_question_mapping` VALUES (''3589'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''40764'', ''40768'', ''4'', ''0'', ''0'', ''0'', ''0'', null);

-- ----------------------------
-- Table structure for icss_template_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_template_info`;
CREATE TABLE `icss_template_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT ''主键'',
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(300) DEFAULT NULL COMMENT ''名称'',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT ''医院id'',
  `hospital_dept_id` bigint(20) DEFAULT NULL COMMENT ''医生科室id'',
  `doctor_id` bigint(20) DEFAULT NULL COMMENT ''医生id'',
  `sex` int(11) DEFAULT NULL COMMENT ''性别'',
  `type` varchar(10) DEFAULT NULL COMMENT ''分类(0:结构化模板,1:文本输入模板)'',
  `preview` longtext COMMENT ''预览文字'',
  `data_json` longtext COMMENT ''内容JSON字符串(模板内容)'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 COMMENT=''模板表'';

-- ----------------------------
-- Records of icss_template_info
-- ----------------------------
INSERT INTO `icss_template_info` VALUES (''1'', ''N'', ''2019-03-25 17:53:18'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''123123'', ''1'', ''1'', ''1'', ''1'', ''0'', ''{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null}]}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[],\"currentIds\":[]}'', null);
INSERT INTO `icss_template_info` VALUES (''2'', ''N'', ''2019-03-25 17:53:45'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''12312365345324'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":\"\",\"remark\":null}]}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[],\"currentIds\":[]}'', null);
INSERT INTO `icss_template_info` VALUES (''3'', ''N'', ''2019-03-25 22:52:51'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''asasas'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、胸闷\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"胸闷\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\"]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"，\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(初诊); \",\"advice\":\"1.禁食、胃肠减压，\\u003cbr/\\u003e2.营养支持治疗。\\u003cbr/\\u003e3.纠正水、电解质紊乱，防止局部及全身并发症。\\u003cbr/\\u003e4.抑制胰液分泌，\\u003cbr/\\u003e5.镇痛和解痉治疗，预防和治疗感染。\\u003cbr/\\u003e\\u003cbr/\\u003e; ; aaaaaaaaaqqqqq\"}'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":201,\"name\":\"、胸闷\",\"value\":\"、胸闷\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":210,\"flag\":\"\",\"relationModule\":null},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":201,\"name\":\"胸闷\",\"value\":\"胸闷\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40239,\"name\":\"发作特征\",\"tagName\":\"胸闷-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40242,\"name\":\"呈\",\"tagName\":\"胸闷-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43340,\"name\":\"呈\",\"questionId\":40242,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40243,\"name\":\"特征\",\"tagName\":\"胸闷-发作特征-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43341,\"name\":\"突发性发作\",\"questionId\":40243,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43342,\"name\":\"一过性发作\",\"questionId\":40243,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44151,\"name\":\"阵发性发作\",\"questionId\":40243,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44152,\"name\":\"持续性发作\",\"questionId\":40243,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44153,\"name\":\"反复性发作\",\"questionId\":40243,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44154,\"name\":\"突发突止\",\"questionId\":40243,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40241,\"name\":\"发作因素\",\"tagName\":\"胸闷-发作因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40247,\"name\":\"发作因素\",\"tagName\":\"胸闷-发作因素-发作因素\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43384,\"name\":\"运动后\",\"questionId\":40247,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43385,\"name\":\"饱食后\",\"questionId\":40247,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43386,\"name\":\"受惊后\",\"questionId\":40247,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43387,\"name\":\"劳累后\",\"questionId\":40247,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43388,\"name\":\"饥饿后\",\"questionId\":40247,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40248,\"name\":\"发作\",\"tagName\":\"胸闷-发作因素-发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43392,\"name\":\"易发\",\"questionId\":40248,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40546,\"name\":\"缓解因素\",\"tagName\":\"胸闷-发作因素-缓解因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44203,\"name\":\"休息后\",\"questionId\":40546,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44204,\"name\":\"饱食后\",\"questionId\":40546,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40547,\"name\":\"缓解\",\"tagName\":\"胸闷-发作因素-缓解\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44205,\"name\":\"缓解\",\"questionId\":40547,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40240,\"name\":\"其他情况\",\"tagName\":\"胸闷-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40244,\"name\":\"伴/无\",\"tagName\":\"胸闷-其他情况-伴\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43368,\"name\":\"伴\",\"questionId\":40244,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43369,\"name\":\"无\",\"questionId\":40244,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40245,\"name\":\"症状1\",\"tagName\":\"胸闷-其他情况-症状1\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43370,\"name\":\"心前区痛\",\"questionId\":40245,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43371,\"name\":\"发热\",\"questionId\":40245,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43372,\"name\":\"血压下降\",\"questionId\":40245,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43373,\"name\":\"出汗\",\"questionId\":40245,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43374,\"name\":\"呼吸困难\",\"questionId\":40245,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43375,\"name\":\"抽搐\",\"questionId\":40245,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40246,\"name\":\"症状2\",\"tagName\":\"胸闷-其他情况-症状2\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43377,\"name\":\"胸痛\",\"questionId\":40246,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43379,\"name\":\"无力\",\"questionId\":40246,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43380,\"name\":\"头晕\",\"questionId\":40246,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43381,\"name\":\"耳鸣\",\"questionId\":40246,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":45,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":53,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":75,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":4,\"questionId\":225,\"flag\":\"\",\"relationModule\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体轻度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体中度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体重度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"双肺呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"( )可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"( )可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"text\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\"},\"surgeryTreatment\":{\"content\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\",\"text\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\"},\"treatment\":[]},\"treatIndex\":0}],\"advice\":{\"commontreatment\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"adviceInput\":\"aaaaaaaaaqqqqq\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"formulaCode\":null,\"remark\":null}],\"formulaCode\":null,\"remark\":null}},\"mainsuitIds\":[4,201],\"currentIds\":[4,201]}'', null);
INSERT INTO `icss_template_info` VALUES (''4'', ''Y'', ''2019-03-26 09:21:36'', ''2019-03-26 09:21:46'', ''1'', ''0'', ''dsfsd'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''5'', ''N'', ''2019-03-26 16:05:05'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''adasfasf'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaabaqbyyyyy\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaabaqbyyyyy\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''6'', ''N'', ''2019-03-26 16:05:10'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''sadfsaf'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaabaqbyyyyy\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaabaqbyyyyy\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''7'', ''N'', ''2019-03-27 15:38:25'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''12'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。1\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaabaqbyyyyy\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"value\":\"。1\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaabaqbyyyyy\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''8'', ''N'', ''2019-03-28 11:22:45'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''3666'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaa\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"},{\"questionId\":69,\"name\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}]},{\"name\":\"血常规\",\"questionId\":69,\"showType\":1,\"retrievalName\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}]}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaa\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''9'', ''Y'', ''2019-04-02 15:30:42'', ''2019-04-02 15:30:53'', ''1'', ''0'', ''5'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,5.6mmol/L;血常规,白细胞,20mg/L;血常规,红细胞,80mg/L;血常规,白蛋白,15mg/L;血常规,血色,黑色;血常规,红细胞计数,110^12/L;血常规,白细胞计数,1510^9/L;血常规,红细胞压积,1%;血常规,平均红细胞体积,1FL;血常规,红细胞分布宽度,80%;血常规,血红蛋白,1g/L;血常规,血红蛋白平均含量,1pg;血常规,血红蛋白平均浓度,1g/L;血常规,单核细胞计数,110^9/L;血常规,单核细胞百分比,1%;血常规,中性粒细胞计数,110^9/L;血常规,中性粒细胞百分比,1%;血常规,嗜酸性粒细胞计数,110^9/L;血常规,嗜酸性粒细胞百分比,1%;血常规,嗜碱性粒细胞计数,110^9/L;血常规,嗜碱性粒细胞百分比,1%;血常规,淋巴细胞计数,110^9/L;血常规,淋巴细胞百分比,1%;血常规,血小板计数,110^9/L;血常规,血小板体积分布宽度,1%;血常规,血小板平均体积,1fl;血常规,大型血小板比例,1%;血常规,血小板压积,1%;血酮,血酮,10.2mg/L;空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"腹部B超:实打实, 报告日期:2019-04-02;\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaa\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[{\"lisExcelRes\":[{\"menus\":\"空腹血糖\",\"lisExcelItem\":[{\"mealName\":\"空腹血糖\",\"itemName\":\"空腹血糖\",\"unit\":\"mmol/L\",\"value\":\"5.6\",\"max\":\"6.4\",\"min\":\"3.9\",\"time\":\"43,111\",\"type\":\"0\"}]},{\"menus\":\"血常规\",\"lisExcelItem\":[{\"mealName\":\"血常规\",\"itemName\":\"白细胞\",\"unit\":\"mg/L\",\"value\":\"20\",\"max\":\"5\",\"min\":\"3\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞\",\"unit\":\"mg/L\",\"value\":\"80\",\"max\":\"16\",\"min\":\"1\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白蛋白\",\"unit\":\"mg/L\",\"value\":\"15\",\"max\":\"20\",\"min\":\"12\",\"time\":\"2018-11-28\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"血色\",\"unit\":\"\",\"value\":\"黑色\",\"max\":\"\",\"min\":\"\",\"time\":\"2018-11-28\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞计数\",\"unit\":\"10^12/L\",\"value\":\"1\",\"max\":\"5.5\",\"min\":\"3.5\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"白细胞计数\",\"unit\":\"10^9/L\",\"value\":\"15\",\"max\":\"10\",\"min\":\"4\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"36\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"平均红细胞体积\",\"unit\":\"FL\",\"value\":\"1\",\"max\":\"100\",\"min\":\"80\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"红细胞分布宽度\",\"unit\":\"%\",\"value\":\"80\",\"max\":\"16\",\"min\":\"10\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"160\",\"min\":\"110\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均含量\",\"unit\":\"pg\",\"value\":\"1\",\"max\":\"38\",\"min\":\"26\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血红蛋白平均浓度\",\"unit\":\"g/L\",\"value\":\"1\",\"max\":\"360\",\"min\":\"300\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.8\",\"min\":\"0.3\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"单核细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"10\",\"min\":\"3\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"7.5\",\"min\":\"2\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"中性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"70\",\"min\":\"50\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞计数\",\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.5\",\"min\":\"0.05\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜酸性粒细胞百分比\",\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"5\",\"min\":\"0.5\",\"time\":\"2018-12-25\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞计数\",\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"0.1\",\"min\":\"0\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"嗜碱性粒细胞百分比\",\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"1\",\"min\":\"0\",\"time\":\"2018-12-25\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"4\",\"min\":\"0.8\",\"time\":\"2018-12-25\",\"type\":\"0\"},{\"mealName\":\"血常规\",\"itemName\":\"淋巴细胞百分比\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"17\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板计数\",\"unit\":\"10^9/L\",\"value\":\"1\",\"max\":\"300\",\"min\":\"100\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板体积分布宽度\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"18\",\"min\":\"10\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板平均体积\",\"unit\":\"fl\",\"value\":\"1\",\"max\":\"13\",\"min\":\"7\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"大型血小板比例\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"50\",\"min\":\"10\",\"time\":\"2018-12-25\",\"type\":\"1\"},{\"mealName\":\"血常规\",\"itemName\":\"血小板压积\",\"unit\":\"%\",\"value\":\"1\",\"max\":\"0.35\",\"min\":\"0.1\",\"time\":\"2018-12-25\",\"type\":\"1\"}]},{\"menus\":\"血酮\",\"lisExcelItem\":[{\"mealName\":\"血酮\",\"itemName\":\"血酮\",\"unit\":\"mg/L\",\"value\":\"10.2\",\"max\":\"2\",\"min\":\"1.3\",\"time\":\"\",\"type\":\"1\"}]}],\"messages\":[\"第4行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第5行数据不规范,套餐名、项目名、结果、是否异常四项必填;\",\"第7行数据不规范,套餐名、项目名、结果、是否异常四项必填;\"]}]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"questionId\":112,\"name\":\"腹部B超\",\"time\":\"2019-04-02\",\"value\":\"实打实\"}],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaa\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''10'', ''N'', ''2019-04-03 11:12:48'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''111'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"血常规,HGB*3/HCT,1;血常规,白细胞计数(WBC),1*10^9/L;血常规,大型血小板比例(P-LCR),1%;血常规,单核细胞比例(MONO%),1%;血常规,单核细胞计数(MONO),1*10^9/L;血常规,红细胞分布宽度(RDW),1%;血常规,红细胞计数(RBC),1*10^12/L;血常规,红细胞压积(HCT),1%;血常规,淋巴细胞比例(LY%),1%;血常规,淋巴细胞计数(LY),1*10^9/L;血常规,平均红细胞体积(MCV),1FL;血常规,平均红细胞血红蛋白含量(MCH),1pg;血常规,平均红细胞血红蛋白浓度(MCHC),1g/L;血常规,平均血小板体积(MPV）,1FL;\",\"pacs\":\"\",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"questionId\":69,\"name\":\"血常规\",\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null,\"value\":\"1\"},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"show\":true,\"time\":\"2019-04-03\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[4],\"currentIds\":[]}'', null);
INSERT INTO `icss_template_info` VALUES (''11'', ''N'', ''2019-04-08 10:19:04'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''11'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"血管PICCO: 报告日期:2019-04-08;\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaa\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"血管PICCO\",\"questionId\":23562,\"showType\":1,\"retrievalName\":\"血管PICCO\",\"time\":\"2019-04-08\"}],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaa\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''12'', ''N'', ''2019-04-12 16:17:23'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''aaa '', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"、咳嗽\\\",\\\"\\\",\\\"\\\",\\\"5690\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[\\\"患者\\\",\\\"5690\\\",\\\"前\\\",\\\"\\\",\\\"出现\\\",\\\"发热\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"咳嗽\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"遂来就诊\\\",\\\"。\\\",\\\"自病以来\\\",\\\"神清\\\",\\\",\\\",\\\"精神可\\\",\\\",\\\",\\\"胃纳可\\\",\\\",\\\",\\\"睡眠一般\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重无明显减轻\\\",\\\"。\\\"]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"体温5 (填写)℃\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"巩膜黄染\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"空腹血糖,空腹血糖,10mmol/L;\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"; aaaaaaaaaaa\"}'', ''{\"lis\":{\"labelList\":[{\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1,\"retrievalName\":\"空腹血糖\",\"details\":[{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"\",\"value\":\"10\"}],\"show\":true,\"time\":\"2019-03-13\"}],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":1,\"name\":\"、咳嗽\",\"value\":\"、咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":72,\"name\":\"咽喉痛\",\"tagName\":\"咽喉痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40383,\"name\":\"发作特征\",\"tagName\":\"咽喉痛-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40385,\"name\":\"呈\",\"tagName\":\"咽喉痛-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43763,\"name\":\"呈\",\"questionId\":40385,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40386,\"name\":\"特性\",\"tagName\":\"咽喉痛-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43764,\"name\":\"持续性发作\",\"questionId\":40386,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43765,\"name\":\"进行性加重\",\"questionId\":40386,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43766,\"name\":\"阵发性发作\",\"questionId\":40386,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40387,\"name\":\"表现为\",\"tagName\":\"咽喉痛-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43767,\"name\":\"表现为\",\"questionId\":40387,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40388,\"name\":\"特征\",\"tagName\":\"咽喉痛-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43768,\"name\":\"刺痛\",\"questionId\":40388,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43769,\"name\":\"钝痛\",\"questionId\":40388,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43770,\"name\":\"烧灼痛\",\"questionId\":40388,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43771,\"name\":\"隐痛\",\"questionId\":40388,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43772,\"name\":\"胀痛\",\"questionId\":40388,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43773,\"name\":\"跳痛\",\"questionId\":40388,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40384,\"name\":\"其他情况\",\"tagName\":\"咽喉痛-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40389,\"name\":\"伴/无\",\"tagName\":\"咽喉痛-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43774,\"name\":\"伴\",\"questionId\":40389,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43775,\"name\":\"无\",\"questionId\":40389,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40390,\"name\":\"伴随症状\",\"tagName\":\"咽喉痛-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43776,\"name\":\"发热\",\"questionId\":40390,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43777,\"name\":\"恶心\",\"questionId\":40390,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43778,\"name\":\"咳嗽\",\"questionId\":40390,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43779,\"name\":\"咳痰\",\"questionId\":40390,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43780,\"name\":\"痰中带血\",\"questionId\":40390,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43781,\"name\":\"口干\",\"questionId\":40390,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43782,\"name\":\"咽痒\",\"questionId\":40390,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43783,\"name\":\"咽部灼热感\",\"questionId\":40390,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"tagName\":\"咳嗽\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":1,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":195,\"name\":\"头痛\",\"tagName\":\"头痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40106,\"name\":\"描述\",\"tagName\":\"头痛描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40111,\"name\":\"频率\",\"tagName\":\"头痛描述-频率\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41659,\"name\":\"阵发性\",\"questionId\":40111,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41660,\"name\":\"持续性\",\"questionId\":40111,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41661,\"name\":\"阵发性加重\",\"questionId\":40111,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41662,\"name\":\"反复发作\",\"questionId\":40111,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41663,\"name\":\"间行性\",\"questionId\":40111,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41664,\"name\":\"慢性进行性\",\"questionId\":40111,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40112,\"name\":\"部位\",\"tagName\":\"头痛描述-部位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41665,\"name\":\"前额\",\"questionId\":40112,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41666,\"name\":\"头顶\",\"questionId\":40112,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41667,\"name\":\"后枕\",\"questionId\":40112,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41668,\"name\":\"右侧颈部\",\"questionId\":40112,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41669,\"name\":\"左侧颈部\",\"questionId\":40112,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41670,\"name\":\"右侧颞部\",\"questionId\":40112,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41671,\"name\":\"左侧颞部\",\"questionId\":40112,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41672,\"name\":\"右侧眼眶\",\"questionId\":40112,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41673,\"name\":\"左侧眼眶\",\"questionId\":40112,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41674,\"name\":\"游走不固定\",\"questionId\":40112,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41675,\"name\":\"全头部\",\"questionId\":40112,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40113,\"name\":\"程度\",\"tagName\":\"头痛描述-程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41676,\"name\":\"轻度\",\"questionId\":40113,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41677,\"name\":\"中度\",\"questionId\":40113,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41678,\"name\":\"重度\",\"questionId\":40113,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40114,\"name\":\"特征\",\"tagName\":\"头痛描述-特征\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41679,\"name\":\"跳痛\",\"questionId\":40114,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41680,\"name\":\"紧箍痛\",\"questionId\":40114,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41681,\"name\":\"胀痛\",\"questionId\":40114,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41682,\"name\":\"爆裂样痛\",\"questionId\":40114,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41683,\"name\":\"针刺样痛\",\"questionId\":40114,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41684,\"name\":\"昏痛\",\"questionId\":40114,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41685,\"name\":\"牵扯样痛\",\"questionId\":40114,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41686,\"name\":\"压迫样痛\",\"questionId\":40114,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41687,\"name\":\"钝痛\",\"questionId\":40114,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41688,\"name\":\"带帽痛\",\"questionId\":40114,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41689,\"name\":\"锐痛\",\"questionId\":40114,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41690,\"name\":\"钻痛\",\"questionId\":40114,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41691,\"name\":\"隐痛\",\"questionId\":40114,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41692,\"name\":\"电击样痛\",\"questionId\":40114,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40107,\"name\":\"缓解描述\",\"tagName\":\"头痛缓解描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40115,\"name\":\"头痛缓解描述1\",\"tagName\":\"头痛缓解描述1\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41693,\"name\":\"脑力活动后\",\"questionId\":40115,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41694,\"name\":\"体力活动后\",\"questionId\":40115,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41695,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41696,\"name\":\"按摩后\",\"questionId\":40115,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41697,\"name\":\"冷敷后\",\"questionId\":40115,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41698,\"name\":\"热敷后\",\"questionId\":40115,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41699,\"name\":\"睡眠后\",\"questionId\":40115,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41700,\"name\":\"四处活动后\",\"questionId\":40115,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41701,\"name\":\"分散注意力后\",\"questionId\":40115,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40116,\"name\":\"头痛缓解描述2\",\"tagName\":\"头痛缓解描述2\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41702,\"name\":\"疼痛好转\",\"questionId\":40116,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41703,\"name\":\"疼痛加重\",\"questionId\":40116,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41704,\"name\":\"疼痛不变\",\"questionId\":40116,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40117,\"name\":\"头痛缓解描述3\",\"tagName\":\"头痛缓解描述3\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41708,\"name\":\"伴\",\"questionId\":40117,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40118,\"name\":\"头痛缓解描述4\",\"tagName\":\"头痛缓解描述4\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41710,\"name\":\"恶心感\",\"questionId\":40118,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41711,\"name\":\"呕吐\",\"questionId\":40118,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41712,\"name\":\"对声音感觉不适\",\"questionId\":40118,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41713,\"name\":\"对光线感觉不适\",\"questionId\":40118,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41714,\"name\":\"头昏\",\"questionId\":40118,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41715,\"name\":\"眼睛发红\",\"questionId\":40118,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41716,\"name\":\"流泪\",\"questionId\":40118,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41717,\"name\":\"面部出汗\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41718,\"name\":\"眩晕\",\"questionId\":40118,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41719,\"name\":\"视觉症状\",\"questionId\":40118,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41720,\"name\":\"耳鸣\",\"questionId\":40118,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41721,\"name\":\"畏臭（香水、汽油、烟味等）\",\"questionId\":40118,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40108,\"name\":\"发作规律\",\"tagName\":\"头痛发作规律\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40120,\"name\":\"疼痛发作\",\"tagName\":\"头痛发作规律-疼痛发作\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41722,\"name\":\"疼痛发作\",\"questionId\":40120,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40121,\"name\":\"规律\",\"tagName\":\"头痛发作规律-规律\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41723,\"name\":\"呈季节性\",\"questionId\":40121,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41724,\"name\":\"呈周期性\",\"questionId\":40121,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41726,\"name\":\"无规律\",\"questionId\":40121,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41728,\"name\":\"每天定时\",\"questionId\":40121,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40122,\"name\":\"发作描述\",\"tagName\":\"头痛发作规律-发作描述\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41732,\"name\":\"春季频发\",\"questionId\":40122,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41734,\"name\":\"夏季频发\\t\",\"questionId\":40122,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41738,\"name\":\"秋季频发\",\"questionId\":40122,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41739,\"name\":\"冬季频发\",\"questionId\":40122,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41740,\"name\":\"()am\",\"questionId\":40122,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41741,\"name\":\"()pm\",\"questionId\":40122,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40109,\"name\":\"持续时间\",\"tagName\":\"头痛持续时间\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41742,\"name\":\"每次发作持续时间()到()分钟\",\"questionId\":40109,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41743,\"name\":\"每次发作持续时间()到()小时\",\"questionId\":40109,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":467,\"name\":\"腹泻\",\"tagName\":\"腹泻\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":489,\"name\":\"(填写)\",\"tagName\":\"一天次\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"一天\",\"labelSuffix\":\"次\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":490,\"name\":\"(填写)\",\"tagName\":\"每次ml\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"每次\",\"labelSuffix\":\"ml\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":472,\"name\":\"腹泻大便性状\",\"tagName\":\"腹泻-腹泻大便性状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":473,\"name\":\"呈\",\"tagName\":\"症状-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":370,\"name\":\"呈\",\"questionId\":473,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":474,\"name\":\"腹泻-腹泻大便性状-性状\",\"tagName\":\"腹泻-腹泻大便性状-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":371,\"name\":\"洗肉水样便\",\"questionId\":474,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":372,\"name\":\"水样便\",\"questionId\":474,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":373,\"name\":\"脓血样便\",\"questionId\":474,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":374,\"name\":\"糊状便\",\"questionId\":474,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":375,\"name\":\"果酱样便\",\"questionId\":474,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":376,\"name\":\"米泔水样便\",\"questionId\":474,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":377,\"name\":\"蛋花汤样便\",\"questionId\":474,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":378,\"name\":\"粘液脓血便\",\"questionId\":474,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":379,\"name\":\"黏液便\",\"questionId\":474,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":380,\"name\":\"黄稀便\",\"questionId\":474,\"orderNo\":100,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25328,\"name\":\"肢体酸痛\",\"tagName\":\"肢体酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":196,\"name\":\"畏寒\",\"tagName\":\"畏寒\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40568,\"name\":\"基本情况\",\"tagName\":\"畏寒-基本情况\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44250,\"name\":\"手足冰凉\",\"questionId\":40568,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44251,\"name\":\"手脚冰凉\",\"questionId\":40568,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44252,\"name\":\"四肢冰凉\",\"questionId\":40568,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44253,\"name\":\"手足冰冷\",\"questionId\":40568,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44254,\"name\":\"手脚冰冷\",\"questionId\":40568,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44255,\"name\":\"四肢冰冷\",\"questionId\":40568,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44256,\"name\":\"小腹冰冷\",\"questionId\":40568,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44257,\"name\":\"手足发凉\",\"questionId\":40568,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44258,\"name\":\"腰膝酸软\",\"questionId\":40568,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44259,\"name\":\"关节僵硬\",\"questionId\":40568,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44260,\"name\":\"关节活动不利\",\"questionId\":40568,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":199,\"name\":\"全身酸痛\",\"tagName\":\"全身酸痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":197,\"name\":\"头晕\",\"tagName\":\"头晕\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40391,\"name\":\"发作特征\",\"tagName\":\"头晕-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40394,\"name\":\"呈\",\"tagName\":\"头晕-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43784,\"name\":\"呈\",\"questionId\":40394,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40395,\"name\":\"特性\",\"tagName\":\"头晕-发作特征-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43785,\"name\":\"持续性发作\",\"questionId\":40395,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43786,\"name\":\"进行性加重\",\"questionId\":40395,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43787,\"name\":\"阵发性发作\",\"questionId\":40395,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40396,\"name\":\"表现为\",\"tagName\":\"头晕-发作特征-表现为\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43788,\"name\":\"表现为\",\"questionId\":40396,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40397,\"name\":\"特征\",\"tagName\":\"头晕-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43789,\"name\":\"头重脚轻\",\"questionId\":40397,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43790,\"name\":\"视物旋转\",\"questionId\":40397,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43791,\"name\":\"自身倾倒感\",\"questionId\":40397,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43792,\"name\":\"旋转性眩晕\",\"questionId\":40397,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43793,\"name\":\"站立不稳\",\"questionId\":40397,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43794,\"name\":\"指物偏斜\",\"questionId\":40397,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43795,\"name\":\"平衡失调\",\"questionId\":40397,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40392,\"name\":\"其他情况\",\"tagName\":\"头晕-其他情况\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40398,\"name\":\"伴/无\",\"tagName\":\"头晕-其他情况-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43796,\"name\":\"伴\",\"questionId\":40398,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43797,\"name\":\"无\",\"questionId\":40398,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40399,\"name\":\"伴随症状\",\"tagName\":\"头晕-其他情况-伴随症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43798,\"name\":\"恶心\",\"questionId\":40399,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43799,\"name\":\"呕吐\",\"questionId\":40399,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43800,\"name\":\"面色苍白\",\"questionId\":40399,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43801,\"name\":\"出汗\",\"questionId\":40399,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43802,\"name\":\"头疼\",\"questionId\":40399,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43803,\"name\":\"乏力\",\"questionId\":40399,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43804,\"name\":\"胸闷\",\"questionId\":40399,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43805,\"name\":\"呼吸困难\",\"questionId\":40399,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40393,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40400,\"name\":\"诱发因素\",\"tagName\":\"头晕-诱发因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40401,\"name\":\"连接词\",\"tagName\":\"头晕-诱发因素-连接词\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43812,\"name\":\"易发\",\"questionId\":40401,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43813,\"name\":\"发作症状加重\",\"questionId\":40401,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40402,\"name\":\"休息后\",\"tagName\":\"头晕-诱发因素-休息后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43814,\"name\":\"休息后\",\"questionId\":40402,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40403,\"name\":\"结果\",\"tagName\":\"头晕-诱发因素-结果\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43815,\"name\":\"症状缓解\",\"questionId\":40403,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43816,\"name\":\"症状无改善\",\"questionId\":40403,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":203,\"name\":\"鼻塞\",\"tagName\":\"鼻塞\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40317,\"name\":\"发作特征\",\"tagName\":\"鼻塞-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40319,\"name\":\"呈\",\"tagName\":\"鼻塞-发作特征-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43587,\"name\":\"呈\",\"questionId\":40319,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40320,\"name\":\"左右\",\"tagName\":\"鼻塞-发作特征-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43588,\"name\":\"右侧\",\"questionId\":40320,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43589,\"name\":\"左侧\",\"questionId\":40320,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43590,\"name\":\"双侧\",\"questionId\":40320,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40321,\"name\":\"特征\",\"tagName\":\"鼻塞-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43591,\"name\":\"阵发性发作\",\"questionId\":40321,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43592,\"name\":\"交替性发作\",\"questionId\":40321,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43593,\"name\":\"持续性发作\",\"questionId\":40321,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43594,\"name\":\"季节性发作\",\"questionId\":40321,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43595,\"name\":\"进行性加重\",\"questionId\":40321,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40322,\"name\":\"季节\",\"tagName\":\"鼻塞-发作特征-季节\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43596,\"name\":\"春季多发\",\"questionId\":40322,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43597,\"name\":\"夏季多发\",\"questionId\":40322,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43598,\"name\":\"秋季多发\",\"questionId\":40322,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43599,\"name\":\"冬季多发\",\"questionId\":40322,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40318,\"name\":\"伴随症状\",\"tagName\":\"鼻塞-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40323,\"name\":\"伴/无\",\"tagName\":\"鼻塞-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43600,\"name\":\"伴\",\"questionId\":40323,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43601,\"name\":\"无\",\"questionId\":40323,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40324,\"name\":\"特征\",\"tagName\":\"鼻塞-伴随症状-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43602,\"name\":\"黄水样分泌物\",\"questionId\":40324,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43603,\"name\":\"鼻涕带血\",\"questionId\":40324,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43604,\"name\":\"黄脓鼻涕\",\"questionId\":40324,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43605,\"name\":\"鼻出血\",\"questionId\":40324,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43606,\"name\":\"鼻痒\",\"questionId\":40324,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43607,\"name\":\"打喷嚏\",\"questionId\":40324,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40325,\"name\":\"症状\",\"tagName\":\"鼻塞-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43608,\"name\":\"头昏\",\"questionId\":40325,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43609,\"name\":\"头痛\",\"questionId\":40325,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43610,\"name\":\"头晕\",\"questionId\":40325,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43611,\"name\":\"记忆力下降\",\"questionId\":40325,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43612,\"name\":\"气喘\",\"questionId\":40325,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43613,\"name\":\"发热\",\"questionId\":40325,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":25290,\"name\":\"腰痛\",\"tagName\":\"腰痛\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40593,\"name\":\"疼痛部位\",\"tagName\":\"腰痛-疼痛部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40597,\"name\":\"腰椎位置\",\"tagName\":\"腰痛-疼痛部位-腰椎位置\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44318,\"name\":\"第一腰椎\",\"questionId\":40597,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44319,\"name\":\"第二腰椎\",\"questionId\":40597,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44320,\"name\":\"第三腰椎\",\"questionId\":40597,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44321,\"name\":\"第四腰椎\",\"questionId\":40597,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44322,\"name\":\"第五腰椎\",\"questionId\":40597,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40598,\"name\":\"(填写)\",\"tagName\":\"腰痛-疼痛部位-填写\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44323,\"name\":\"左()cm\",\"questionId\":40598,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44324,\"name\":\"右()cm\",\"questionId\":40598,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40599,\"name\":\"方位\",\"tagName\":\"腰痛-疼痛部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44325,\"name\":\"处\",\"questionId\":40599,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44326,\"name\":\"双侧\",\"questionId\":40599,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44327,\"name\":\"左侧\",\"questionId\":40599,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44328,\"name\":\"右侧\",\"questionId\":40599,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40600,\"name\":\"诱因\",\"tagName\":\"腰痛-疼痛部位-诱因\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44329,\"name\":\"弯腰时\",\"questionId\":40600,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44330,\"name\":\"上楼时\",\"questionId\":40600,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44331,\"name\":\"下楼时\",\"questionId\":40600,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44332,\"name\":\"挑东西时\",\"questionId\":40600,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44333,\"name\":\"转身时\",\"questionId\":40600,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44334,\"name\":\"走路时\",\"questionId\":40600,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40601,\"name\":\"疼痛\",\"tagName\":\"腰痛-疼痛部位-疼痛\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44335,\"name\":\"疼痛\",\"questionId\":40601,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40594,\"name\":\"疼痛性质\",\"tagName\":\"腰痛-疼痛性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40602,\"name\":\"呈\",\"tagName\":\"腰痛-疼痛性质-呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44336,\"name\":\"呈\",\"questionId\":40602,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40603,\"name\":\"特性\",\"tagName\":\"腰痛-疼痛性质-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44337,\"name\":\"持续性\",\"questionId\":40603,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44338,\"name\":\"反复发作性\",\"questionId\":40603,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44339,\"name\":\"阵发性发作\",\"questionId\":40603,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40604,\"name\":\"特征\",\"tagName\":\"腰痛-疼痛性质-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44340,\"name\":\"撕裂样痛\",\"questionId\":40604,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44341,\"name\":\"钝痛\",\"questionId\":40604,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44342,\"name\":\"绞痛\",\"questionId\":40604,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44343,\"name\":\"酸痛\",\"questionId\":40604,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44344,\"name\":\"挤压痛\",\"questionId\":40604,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44345,\"name\":\"咳嗽痛\",\"questionId\":40604,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44346,\"name\":\"放射性疼痛\",\"questionId\":40604,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44347,\"name\":\"牵拉痛\",\"questionId\":40604,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44348,\"name\":\"痉挛性疼痛\",\"questionId\":40604,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44349,\"name\":\"胀痛\",\"questionId\":40604,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44350,\"name\":\"叩痛\",\"questionId\":40604,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44351,\"name\":\"刺痛\",\"questionId\":40604,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44352,\"name\":\"反射痛\",\"questionId\":40604,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44353,\"name\":\"坠痛\",\"questionId\":40604,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44354,\"name\":\"跳痛\",\"questionId\":40604,\"orderNo\":15,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44355,\"name\":\"抽掣样痛\",\"questionId\":40604,\"orderNo\":16,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44356,\"name\":\"刀割样痛\",\"questionId\":40604,\"orderNo\":17,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40595,\"name\":\"放射部位\",\"tagName\":\"腰痛-放射部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40605,\"name\":\"可放射至\",\"tagName\":\"腰痛-放射部位-可放射至\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44357,\"name\":\"可放射至\",\"questionId\":40605,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40606,\"name\":\"方位\",\"tagName\":\"腰痛-放射部位-方位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44358,\"name\":\"双侧\",\"questionId\":40606,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44359,\"name\":\"左侧\",\"questionId\":40606,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44360,\"name\":\"右侧\",\"questionId\":40606,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40607,\"name\":\"部位\",\"tagName\":\"腰痛-放射部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44361,\"name\":\"臀部\",\"questionId\":40607,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44362,\"name\":\"下肢\",\"questionId\":40607,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44363,\"name\":\"小腿外侧\",\"questionId\":40607,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44364,\"name\":\"大腿后方\",\"questionId\":40607,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44365,\"name\":\"足背外侧\",\"questionId\":40607,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44366,\"name\":\"足底\",\"questionId\":40607,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":40596,\"name\":\"缓解加重因素\",\"tagName\":\"腰痛-缓解加重因素\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40608,\"name\":\"因素\",\"tagName\":\"腰痛-缓解加重因素-因素\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44367,\"name\":\"热敷后\",\"questionId\":40608,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44368,\"name\":\"冷敷后\",\"questionId\":40608,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44369,\"name\":\"蹲下后\",\"questionId\":40608,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44370,\"name\":\"按摩后\",\"questionId\":40608,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44371,\"name\":\"平躺后\",\"questionId\":40608,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44372,\"name\":\"体位改变后\",\"questionId\":40608,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44373,\"name\":\"咳嗽时\",\"questionId\":40608,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40609,\"name\":\"疼痛变化\",\"tagName\":\"腰痛-缓解加重因素-疼痛变化\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44374,\"name\":\"疼痛缓解\",\"questionId\":40609,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44375,\"name\":\"疼痛加剧\",\"questionId\":40609,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44376,\"name\":\"疼痛无明显变化\",\"questionId\":40609,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40610,\"name\":\"按压\",\"tagName\":\"腰痛-缓解加重因素-按压\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44377,\"name\":\"拒按\",\"questionId\":40610,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44378,\"name\":\"喜按\",\"questionId\":40610,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"value\":\"5690\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[{\"id\":123,\"name\":\"患者\",\"tagName\":\"患者\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":123,\"flag\":\"\",\"relationModule\":null},{\"id\":210,\"name\":\"5690\",\"value\":\"5690\",\"tagType\":\"8\"},{\"id\":124,\"name\":\"前\",\"tagName\":\"前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":124,\"flag\":\"\",\"relationModule\":null},{\"id\":57,\"name\":\"诱因\",\"tagName\":\"诱因\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":74,\"name\":\"无明显诱因下\",\"questionId\":57,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":75,\"name\":\"因淋雨后\",\"questionId\":57,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":76,\"name\":\"因受凉后\",\"questionId\":57,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":77,\"name\":\"接触类似病人后\",\"questionId\":57,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":78,\"name\":\"接触刺激性气体后\",\"questionId\":57,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":79,\"name\":\"运动劳累后\",\"questionId\":57,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":80,\"name\":\"于季节变化时\",\"questionId\":57,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":57,\"flag\":\"\",\"relationModule\":null},{\"id\":125,\"name\":\"出现\",\"tagName\":\"出现\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":125,\"flag\":\"\",\"relationModule\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":253,\"name\":\"程度特点\",\"tagName\":\"程度特点\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":254,\"name\":\"程度特点-性质\",\"tagName\":\"程度特点-性质\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":212,\"name\":\"呈持续性\",\"questionId\":254,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":213,\"name\":\"呈间歇性\",\"questionId\":254,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":214,\"name\":\"呈不规则波动\",\"questionId\":254,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":255,\"name\":\"程度特点-热度\",\"tagName\":\"程度特点-热度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":215,\"name\":\"以低热为主\",\"questionId\":255,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":216,\"name\":\"为中度热\",\"questionId\":255,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":217,\"name\":\"为高热\",\"questionId\":255,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":218,\"name\":\"为急性高热\",\"questionId\":255,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":5,\"name\":\"(填写)\",\"tagName\":\"最高温度\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"最高温度\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":1,\"name\":\"咳嗽\",\"value\":\"咳嗽\",\"tagType\":\"8\",\"exist\":1},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":226,\"name\":\"咳嗽性质\",\"tagName\":\"咳嗽性质\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":227,\"name\":\"咳嗽性质-为呈\",\"tagName\":\"咳嗽性质-为呈\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":139,\"name\":\"为\",\"questionId\":227,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":140,\"name\":\"呈\",\"questionId\":227,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":229,\"name\":\"咳嗽性质-性质\",\"tagName\":\"咳嗽性质-性质\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":141,\"name\":\"刺激性\",\"questionId\":229,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":142,\"name\":\"阵发性\",\"questionId\":229,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":143,\"name\":\"持续性\",\"questionId\":229,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":144,\"name\":\"慢性\",\"questionId\":229,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":145,\"name\":\",夜间咳嗽为主\",\"questionId\":229,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":231,\"name\":\"咳嗽性质-咳类型\",\"tagName\":\"咳嗽性质-咳类型\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":146,\"name\":\"干咳\",\"questionId\":231,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":147,\"name\":\"咳\",\"questionId\":231,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":148,\"name\":\"呛咳\",\"questionId\":231,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":149,\"name\":\"湿性咳嗽\",\"questionId\":231,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":2,\"name\":\"程度\",\"tagName\":\"程度\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":1,\"name\":\"程度较轻\",\"questionId\":2,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":2,\"name\":\"程度较重\",\"questionId\":2,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":3,\"name\":\"程度剧烈\",\"questionId\":2,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":21,\"name\":\"添加其他症状\",\"tagName\":\"添加其他症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":22,\"name\":\"添加其他症状-伴无\",\"tagName\":\"添加其他症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":20,\"name\":\"伴\",\"questionId\":22,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":21,\"name\":\"无\",\"questionId\":22,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":21,\"flag\":\"4\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":402,\"name\":\"有无治疗\",\"tagName\":\"有无治疗\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":352,\"name\":\"未经治疗\",\"questionId\":402,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":353,\"name\":\"使用( )后好转\",\"questionId\":402,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":354,\"name\":\"使用( )后未见明显好转\",\"questionId\":402,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":355,\"name\":\"于( )诊治( ),未见明显好转\",\"questionId\":402,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":356,\"name\":\"于( )诊治,经( )后未见明显好转\",\"questionId\":402,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":362,\"name\":\"于( ),经( )后好转,未痊愈\",\"questionId\":402,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":402,\"flag\":\"2\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":14,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":\"病程变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":null,\"flag\":\"3\",\"relationModule\":3},{\"id\":126,\"name\":\"遂来就诊\",\"tagName\":\"遂来就诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":126,\"flag\":\"\",\"relationModule\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null},{\"id\":127,\"name\":\"自病以来\",\"tagName\":\"自病以来\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":127,\"flag\":\"\",\"relationModule\":null},{\"id\":60,\"name\":\"意识情况\",\"tagName\":\"意识情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":81,\"name\":\"神清\",\"questionId\":60,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":321,\"name\":\"意识模糊\",\"questionId\":60,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":332,\"name\":\"嗜睡\",\"questionId\":60,\"orderNo\":21,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":333,\"name\":\"昏睡\",\"questionId\":60,\"orderNo\":22,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":322,\"name\":\"意识丧失\",\"questionId\":60,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":60,\"flag\":\"\",\"relationModule\":null,\"value\":\"神清\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":32,\"name\":\"精神状态\",\"tagName\":\"精神状态\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":30,\"name\":\"精神可\",\"questionId\":32,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":31,\"name\":\"精神一般\",\"questionId\":32,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":319,\"name\":\"精神欠佳\",\"questionId\":32,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":320,\"name\":\"精神差\",\"questionId\":32,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":334,\"name\":\"精神亢奋\",\"questionId\":32,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":32,\"flag\":\"\",\"relationModule\":null,\"value\":\"精神可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":61,\"name\":\"食欲\",\"tagName\":\"食欲\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":82,\"name\":\"胃纳可\",\"questionId\":61,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":323,\"name\":\"胃纳差\",\"questionId\":61,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":324,\"name\":\"食欲欠佳\",\"questionId\":61,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":325,\"name\":\"食欲较好\",\"questionId\":61,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":326,\"name\":\"食欲亢进\",\"questionId\":61,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":327,\"name\":\"拒食\",\"questionId\":61,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":335,\"name\":\"厌食\",\"questionId\":61,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":61,\"flag\":\"\",\"relationModule\":null,\"value\":\"胃纳可\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":62,\"name\":\"睡眠\",\"tagName\":\"睡眠\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":83,\"name\":\"睡眠一般\",\"questionId\":62,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":328,\"name\":\"睡眠可\",\"questionId\":62,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":329,\"name\":\"睡眠质量欠佳\",\"questionId\":62,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":330,\"name\":\"失眠\",\"questionId\":62,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":331,\"name\":\"白天嗜睡\",\"questionId\":62,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":62,\"flag\":\"\",\"relationModule\":null,\"value\":\"睡眠一般\"},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":63,\"name\":\"二便情况\",\"tagName\":\"二便情况\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":400,\"name\":\"二便情况-大便\",\"tagName\":\"二便情况-大便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":336,\"name\":\"二便无殊\",\"questionId\":400,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":337,\"name\":\"大便无殊\",\"questionId\":400,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":338,\"name\":\"大便不规律\",\"questionId\":400,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":339,\"name\":\"大便稀\",\"questionId\":400,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":340,\"name\":\"大便硬\",\"questionId\":400,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":341,\"name\":\"大便干结\",\"questionId\":400,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":401,\"name\":\"二便情况-小便\",\"tagName\":\"二便情况-小便\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":342,\"name\":\"小便无殊\",\"questionId\":401,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":343,\"name\":\"小便黄\",\"questionId\":401,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":344,\"name\":\"小便困难\",\"questionId\":401,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":345,\"name\":\"遗尿\",\"questionId\":401,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":346,\"name\":\"小便带血\",\"questionId\":401,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":63,\"flag\":\"\",\"relationModule\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":119,\"flag\":\"\",\"relationModule\":null},{\"id\":64,\"name\":\"体重情况\",\"tagName\":\"体重情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":87,\"name\":\"体重无明显减轻\",\"questionId\":64,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"1\",\"remark\":null,\"abnormal\":0,\"selected\":true},{\"id\":347,\"name\":\"肥胖\",\"questionId\":64,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":348,\"name\":\"偏瘦\",\"questionId\":64,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":349,\"name\":\"体重增加\",\"questionId\":64,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":350,\"name\":\"营养不良\",\"questionId\":64,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":351,\"name\":\"恶病质\",\"questionId\":64,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false}],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":64,\"flag\":\"\",\"relationModule\":null,\"value\":\"体重无明显减轻\"},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":2,\"questionId\":128,\"flag\":\"\",\"relationModule\":null}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"value\":\"\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null,\"value\":\"5 (填写)\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":false},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0,\"selected\":true}],\"questionMapping\":[],\"remark\":null,\"value\":\"巩膜黄染\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体I度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体II度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体III度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏斗胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44628,\"name\":\"可闻及哮鸣音\",\"questionId\":40415,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"可闻及干湿性罗音\",\"questionId\":40415,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\",\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null}],\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":null}],\"advice\":{\"adviceInput\":\"aaaaaaaaaaa\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[null,null,null],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[4,1],\"currentIds\":[4,1]}'', null);
INSERT INTO `icss_template_info` VALUES (''13'', ''N'', ''2019-04-22 11:46:57'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''789789'', ''1'', ''1'', ''1'', ''1'', ''0'', ''{\"chief\":\"[\\\"肺结核(复诊); \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"尿常规,白细胞脂酶(LEU),阴性;尿常规,胆红素(BIL-U),阳性;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;\",\"pacs\":\"心电图: 报告日期:2019-04-18;胸部X线: 报告日期:2019-04-18;心脏彩超(CDFI): 报告日期:2019-04-18;腹部彩超: 报告日期:2019-04-18;四肢多普勒血流图: 报告日期:2019-04-18;下肢彩超: 报告日期:2019-04-18;肌电图: 报告日期:2019-04-18;眼底照相: 报告日期:2019-04-18;血压监测: 报告日期:2019-04-18;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-18;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-18;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-18;泌尿系统彩超: 报告日期:2019-04-18;颈部淋巴结彩超(CDFI): 报告日期:2019-04-18;子宫附件彩超(CDFI): 报告日期:2019-04-18;颈椎MRI: 报告日期:2019-04-18;\",\"diag\":\"急性胰腺炎(初诊); \",\"advice\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。; \"}'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null,\"value\":\"阴性\"},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null,\"value\":\"阳性\"},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1,\"show\":true,\"time\":\"2019-04-22\"},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40,\"name\":\"(填写)\",\"tagName\":\"体温\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"体温\",\"labelSuffix\":\"℃\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":278,\"name\":\"(填写)\",\"tagName\":\"脉搏\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"脉搏\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":279,\"name\":\"(填写)\",\"tagName\":\"呼吸\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"呼吸\",\"labelSuffix\":\"次/分\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"血压\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"左上肢\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"右上肢\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":430,\"name\":\"神志清\",\"tagName\":\"神志清\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":458,\"name\":\"神志清\",\"questionId\":430,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":459,\"name\":\"神志模糊\",\"questionId\":430,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":460,\"name\":\"昏睡\",\"questionId\":430,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":461,\"name\":\"昏迷\",\"questionId\":430,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":462,\"name\":\"谵妄\",\"questionId\":430,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":436,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29627,\"name\":\"全身浅表淋巴结未触及\",\"tagName\":\"全身浅表淋巴结未触及-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":476,\"name\":\"全身浅表淋巴结未触及\",\"questionId\":29627,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29628,\"name\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"tagName\":\"全身浅表淋巴结未触及-可触及肿大淋巴结\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":477,\"name\":\"( )可触及肿大淋巴结\",\"questionId\":29628,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29629,\"name\":\"全身浅表淋巴结未触及-质硬\",\"tagName\":\"全身浅表淋巴结未触及-质硬\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":478,\"name\":\"质硬\",\"questionId\":29629,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":479,\"name\":\"质软\",\"questionId\":29629,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29630,\"name\":\"全身浅表淋巴结未触及-大小\",\"tagName\":\"全身浅表淋巴结未触及-大小\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":480,\"name\":\"( )大小约( )cm\",\"questionId\":29630,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29631,\"name\":\"全身浅表淋巴结未触及-活动\",\"tagName\":\"全身浅表淋巴结未触及-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":481,\"name\":\"可活动\",\"questionId\":29631,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":482,\"name\":\"不可活动\",\"questionId\":29631,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29632,\"name\":\"全身浅表淋巴结未触及-粘连\",\"tagName\":\"全身浅表淋巴结未触及-粘连\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":483,\"name\":\"有粘连\",\"questionId\":29632,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":484,\"name\":\"无粘连\",\"questionId\":29632,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":442,\"name\":\"口唇无发绀\",\"tagName\":\"口唇无发绀\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":491,\"name\":\"口唇无发绀-有无发绀\",\"tagName\":\"口唇无发绀-有无发绀\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":410,\"name\":\"口唇无发绀\",\"questionId\":491,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":411,\"name\":\"口唇发绀\",\"questionId\":491,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":492,\"name\":\"口唇无发绀-有无疱疹\",\"tagName\":\"口唇无发绀-有无疱疹\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":412,\"name\":\"口周无疱疹\",\"questionId\":492,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":413,\"name\":\"口周可见疱疹\",\"questionId\":492,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":493,\"name\":\"口唇无发绀-有无皲裂\",\"tagName\":\"口唇无发绀-有无皲裂\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":414,\"name\":\"皮肤无皲裂\",\"questionId\":493,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":415,\"name\":\"表面可见皲裂\",\"questionId\":493,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":494,\"name\":\"口唇无发绀-有无溃疡\",\"tagName\":\"口唇无发绀-有无溃疡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":416,\"name\":\"皮肤无溃疡\",\"questionId\":494,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":417,\"name\":\"表面可见溃疡\",\"questionId\":494,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":24031,\"name\":\"咽无充血\",\"tagName\":\"咽无充血\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":288,\"name\":\"咽无充血\",\"questionId\":24031,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":289,\"name\":\"咽红\",\"questionId\":24031,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":290,\"name\":\"咽稍充血\",\"questionId\":24031,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":291,\"name\":\"咽部充血\",\"questionId\":24031,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":292,\"name\":\"扁桃体无肿大\",\"tagName\":\"扁桃体无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":297,\"name\":\"扁桃体无肿大-正常\",\"tagName\":\"扁桃体无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":301,\"name\":\"扁桃体无肿大\",\"questionId\":297,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":293,\"name\":\"扁桃体无肿大-程度\",\"tagName\":\"扁桃体无肿大-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":292,\"name\":\"扁桃体轻度肿大\",\"questionId\":293,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":293,\"name\":\"扁桃体中度肿大\",\"questionId\":293,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":294,\"name\":\"扁桃体重度肿大\",\"questionId\":293,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":294,\"name\":\"扁桃体无肿大-充血\",\"tagName\":\"扁桃体无肿大-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":295,\"name\":\"无充血\",\"questionId\":294,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":296,\"name\":\"有充血\",\"questionId\":294,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":295,\"name\":\"扁桃体无肿大-分泌物\",\"tagName\":\"扁桃体无肿大-分泌物\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":297,\"name\":\"扁桃体表面有白色分泌物\",\"questionId\":295,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":298,\"name\":\"扁桃体表面有黄色分泌物\",\"questionId\":295,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":296,\"name\":\"扁桃体无肿大-其他\",\"tagName\":\"扁桃体无肿大-其他\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":299,\"name\":\"有假膜\",\"questionId\":296,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":300,\"name\":\"有脓点\",\"questionId\":296,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":444,\"name\":\"气管居中\",\"tagName\":\"气管居中\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":532,\"name\":\"气管居中\",\"questionId\":444,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":533,\"name\":\"气管偏右\",\"questionId\":444,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":534,\"name\":\"气管偏左\",\"questionId\":444,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":447,\"name\":\"双侧呼吸动度一致\",\"tagName\":\"双侧呼吸动度一致\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29686,\"name\":\"双侧呼吸动度一致-正常\",\"tagName\":\"双侧呼吸动度一致-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":636,\"name\":\"双侧呼吸动度一致\",\"questionId\":29686,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29687,\"name\":\"双侧呼吸动度一致-节律\",\"tagName\":\"双侧呼吸动度一致-节律\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":637,\"name\":\"呼吸节律规整\",\"questionId\":29687,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":638,\"name\":\"呼吸节律不规整\",\"questionId\":29687,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29688,\"name\":\"双侧呼吸动度一致-方向\",\"tagName\":\"双侧呼吸动度一致-方向\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":639,\"name\":\"右侧\",\"questionId\":29688,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":640,\"name\":\"左侧\",\"questionId\":29688,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":641,\"name\":\"双侧\",\"questionId\":29688,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29689,\"name\":\"双侧呼吸动度一致-增强减弱\",\"tagName\":\"双侧呼吸动度一致-增强减弱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":642,\"name\":\"呼吸增强\",\"questionId\":29689,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":643,\"name\":\"呼吸减弱\",\"questionId\":29689,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":448,\"name\":\"未触及胸膜摩擦感\",\"tagName\":\"未触及胸膜摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":558,\"name\":\"未触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":560,\"name\":\"可触及胸膜摩擦感\",\"questionId\":448,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":449,\"name\":\"叩呈清音\",\"tagName\":\"叩呈清音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40407,\"name\":\"叩呈清音-选项\",\"tagName\":\"叩呈清音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":418,\"name\":\"叩诊呈清音\",\"questionId\":40407,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":419,\"name\":\"叩诊呈过清音\",\"questionId\":40407,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":420,\"name\":\"叩诊呈浊音\",\"questionId\":40407,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":421,\"name\":\"叩诊呈实音\",\"questionId\":40407,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":450,\"name\":\"未闻及明显干湿啰音\",\"tagName\":\"未闻及明显干湿啰音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40415,\"name\":\"未闻及明显干湿啰音-选项\",\"tagName\":\"未闻及明显干湿啰音-选项\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":423,\"name\":\"未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":424,\"name\":\"双肺呼吸音粗，未闻及明显干湿啰音\",\"questionId\":40415,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":425,\"name\":\"( )可闻及湿啰音\",\"questionId\":40415,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":426,\"name\":\"( )可闻及干性啰音\",\"questionId\":40415,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\",\"showInCheck\":true},{\"id\":453,\"name\":\"心率（##）次/分,律齐\",\"tagName\":\"心率（##）次/分,律齐\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":495,\"name\":\"(填写)\",\"tagName\":\"心率-心率\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"心率\",\"labelSuffix\":\"次/分,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":496,\"name\":\"律齐\",\"tagName\":\"心率-律齐\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":427,\"name\":\"律齐\",\"questionId\":496,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":428,\"name\":\"律不齐\",\"questionId\":496,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":454,\"name\":\"各瓣膜区未闻及病理性杂音\",\"tagName\":\"各瓣膜区未闻及病理性杂音\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":39,\"name\":\"杂音-正常\",\"tagName\":\"杂音-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":52,\"name\":\"各瓣膜听诊区未闻及明显心脏杂音\",\"questionId\":39,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":34,\"name\":\"杂音-部位\",\"tagName\":\"杂音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"1\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":676,\"name\":\"各瓣膜听诊区\",\"questionId\":34,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":32,\"name\":\"心尖区\",\"questionId\":34,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":33,\"name\":\"肺动脉瓣区\",\"questionId\":34,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":34,\"name\":\"主动脉瓣区\",\"questionId\":34,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":35,\"name\":\"主动脉瓣第二听诊区\",\"questionId\":34,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":36,\"name\":\"三尖瓣区\",\"questionId\":34,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":35,\"name\":\"杂音-闻及\",\"tagName\":\"杂音-闻及\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":38,\"name\":\"未闻及\",\"questionId\":35,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":37,\"name\":\"可闻及\",\"questionId\":35,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":36,\"name\":\"杂音-级别\",\"tagName\":\"杂音-级别\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":677,\"name\":\"病理性\",\"questionId\":36,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":39,\"name\":\"2/6\",\"questionId\":36,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":40,\"name\":\"3/6\",\"questionId\":36,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41,\"name\":\"4/6\",\"questionId\":36,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42,\"name\":\"5/6\",\"questionId\":36,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43,\"name\":\"6/6\",\"questionId\":36,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":37,\"name\":\"杂音-期别类型\",\"tagName\":\"杂音-期别类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44,\"name\":\"收缩期\",\"questionId\":37,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":45,\"name\":\"舒张期\",\"questionId\":37,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":46,\"name\":\"全期\",\"questionId\":37,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":38,\"name\":\"杂音-样类型\",\"tagName\":\"杂音-样类型\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47,\"name\":\"吹风样杂音\",\"questionId\":38,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":48,\"name\":\"隆隆样杂音\",\"questionId\":38,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":49,\"name\":\"喷射样杂音\",\"questionId\":38,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":50,\"name\":\"叹气样杂音\",\"questionId\":38,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":51,\"name\":\"机器样杂音\",\"questionId\":38,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41488,\"name\":\"杂音\",\"questionId\":38,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":457,\"name\":\"肝脾肋下未及\",\"tagName\":\"肝脾肋下未及\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":503,\"name\":\"肝脾肋下未及-正常\",\"tagName\":\"肝脾肋下未及-正常\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":438,\"name\":\"肝脾肋下未及\",\"questionId\":503,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":504,\"name\":\"肝脾肋下未及-肋下\",\"tagName\":\"肝脾肋下未及-肋下\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":439,\"name\":\"肝肋下( )cm触及\",\"questionId\":504,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":440,\"name\":\"脾肋下( )cm触及\",\"questionId\":504,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":505,\"name\":\"肝脾肋下未及-质地/表面/压痛\",\"tagName\":\"肝脾肋下未及-质地/表面/压痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":441,\"name\":\"质软\",\"questionId\":505,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":442,\"name\":\"质硬\",\"questionId\":505,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":443,\"name\":\"质韧\",\"questionId\":505,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":444,\"name\":\"光滑\",\"questionId\":505,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":445,\"name\":\"有结节\",\"questionId\":505,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":446,\"name\":\"无压痛\",\"questionId\":505,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":447,\"name\":\"有压痛\",\"questionId\":505,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":506,\"name\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"tagName\":\"肝脾肋下未及-Murphy征/肝区叩痛\",\"type\":4,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":448,\"name\":\"Murphy征阴性\",\"questionId\":506,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":449,\"name\":\"Murphy征阳性\",\"questionId\":506,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":450,\"name\":\"肝区叩击痛阴性\",\"questionId\":506,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":451,\"name\":\"肝区叩击痛阳性\",\"questionId\":506,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":390,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":391,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-正常\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":312,\"name\":\"颈静脉无怒张，肝颈静脉回流征阴性\",\"questionId\":391,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":392,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-程度\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":313,\"name\":\"颈静脉轻度充盈\",\"questionId\":392,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":314,\"name\":\"颈静脉怒张\",\"questionId\":392,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":393,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-回流征\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":315,\"name\":\"肝颈静脉回流征阴性\",\"questionId\":393,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":316,\"name\":\"肝颈静脉回流征阳性\",\"questionId\":393,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":394,\"name\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"tagName\":\"颈静脉无怒张,肝颈静脉回流征阴性-搏动\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":317,\"name\":\"颈动脉无异常搏动\",\"questionId\":394,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":318,\"name\":\"颈动脉异常搏动\",\"questionId\":394,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":451,\"name\":\"心前区无异常隆起\",\"tagName\":\"心前区无异常隆起\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29692,\"name\":\"心前区无异常隆起-位置\",\"tagName\":\"心前区无异常隆起-位置\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":647,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧0.5cm\",\"questionId\":29692,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":648,\"name\":\"心尖搏动位于左第5肋间，左锁骨中线内侧 cm\",\"questionId\":29692,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":452,\"name\":\"心界无扩大\",\"tagName\":\"心界无扩大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29679,\"name\":\"心界无扩大-增大\",\"tagName\":\"心界无扩大-增大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":598,\"name\":\"心界增大\",\"questionId\":29679,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":599,\"name\":\"心界向左下增大\",\"questionId\":29679,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":600,\"name\":\"心界向左右两侧增大\",\"questionId\":29679,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29680,\"name\":\"心界无扩大-形态\",\"tagName\":\"心界无扩大-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":601,\"name\":\"呈普大型\",\"questionId\":29680,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":602,\"name\":\"呈靴型\",\"questionId\":29680,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":603,\"name\":\"呈梨型\",\"questionId\":29680,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":461,\"name\":\"肛门及外生殖器未查\",\"tagName\":\"肛门及外生殖器未查\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29723,\"name\":\"肛门及外生殖器未查-正常\",\"tagName\":\"肛门及外生殖器未查-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":687,\"name\":\"肛门及外生殖器未查\",\"questionId\":29723,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29724,\"name\":\"肛门及外生殖器未查-第一列\",\"tagName\":\"肛门及外生殖器未查-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":688,\"name\":\"肛门未见异常\",\"questionId\":29724,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":689,\"name\":\"无肿块\",\"questionId\":29724,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":690,\"name\":\"无肛裂、肛瘘\",\"questionId\":29724,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":691,\"name\":\"肛门未查\",\"questionId\":29724,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29725,\"name\":\"肛门及外生殖器未查-第二列\",\"tagName\":\"肛门及外生殖器未查-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":692,\"name\":\"外生殖器无畸形\",\"questionId\":29725,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":693,\"name\":\"无溃疡\",\"questionId\":29725,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":694,\"name\":\"无局部肿胀\",\"questionId\":29725,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":695,\"name\":\"外生殖器未查\",\"questionId\":29725,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":463,\"name\":\"四肢无畸形,关节无红肿热痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29754,\"name\":\"四肢无畸形,关节无红肿热痛-正常\",\"tagName\":\"四肢无畸形,关节无红肿热痛-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41418,\"name\":\"四肢无畸形，关节无红肿热痛\",\"questionId\":29754,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29755,\"name\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"tagName\":\"四肢无畸形,关节无红肿热痛-静脉曲张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41419,\"name\":\"无静脉曲张\",\"questionId\":29755,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41420,\"name\":\"可见静脉曲张\",\"questionId\":29755,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29756,\"name\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"tagName\":\"四肢无畸形,关节无红肿热痛-杵状指\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41421,\"name\":\"无\",\"questionId\":29756,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41422,\"name\":\"可见\",\"questionId\":29756,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41423,\"name\":\"杵状指\",\"questionId\":29756,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41424,\"name\":\"畸形\",\"questionId\":29756,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41425,\"name\":\"骨折\",\"questionId\":29756,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29757,\"name\":\"四肢无畸形,关节无红肿热痛-关节\",\"tagName\":\"四肢无畸形,关节无红肿热痛-关节\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41426,\"name\":\"各关节\",\"questionId\":29757,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41427,\"name\":\"肩关节\",\"questionId\":29757,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41428,\"name\":\"肘关节\",\"questionId\":29757,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41429,\"name\":\"腕关节\",\"questionId\":29757,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41430,\"name\":\"髋关节\",\"questionId\":29757,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41431,\"name\":\"膝关节\",\"questionId\":29757,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41432,\"name\":\"踝关节\",\"questionId\":29757,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29758,\"name\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"tagName\":\"四肢无畸形,关节无红肿热痛-红肿疼痛\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41433,\"name\":\"无\",\"questionId\":29758,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41434,\"name\":\"可见\",\"questionId\":29758,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41435,\"name\":\"红肿疼痛\",\"questionId\":29758,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41436,\"name\":\"积液\",\"questionId\":29758,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41437,\"name\":\"肿胀\",\"questionId\":29758,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41438,\"name\":\"强直\",\"questionId\":29758,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41439,\"name\":\"脱臼\",\"questionId\":29758,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"，\"},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-18\",\"value\":\"\"}],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"text\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\"},\"surgeryTreatment\":{\"content\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\",\"text\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；\"},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"抑制胃酸分泌药\",\"subdrugsName\":\"质子泵抑制剂\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"},{\"id\":341,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"},{\"id\":342,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"31%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胃肠解痉药\",\"subdrugsName\":\"抗胆碱药\",\"medicitionsList\":[{\"id\":344,\"medicitionName\":\"山莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"43%\"},{\"id\":345,\"medicitionName\":\"东莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"镇痛药\",\"subdrugsName\":\"阿片类强效镇痛剂\",\"medicitionsList\":[{\"id\":395,\"medicitionName\":\"瑞芬太尼\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"22%\"},{\"id\":347,\"medicitionName\":\"哌替啶\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"19%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"生长抑素制剂\",\"subdrugsName\":\"生长抑素制剂\",\"medicitionsList\":[{\"id\":348,\"medicitionName\":\"奥曲肽\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"60%\"},{\"id\":349,\"medicitionName\":\"生长抑素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"23%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胰酶活性抑制剂\",\"subdrugsName\":\"胰酶活性抑制剂\",\"medicitionsList\":[{\"id\":350,\"medicitionName\":\"乌司他丁\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"41%\"},{\"id\":351,\"medicitionName\":\"加贝酯\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]}]}}],\"advice\":{\"commontreatment\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"28\":{\"id\":28,\"name\":\"血压\",\"tagName\":\"血压\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29,\"name\":\"(部位)\",\"tagName\":\"部位\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"血压\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":26,\"name\":\"(左上肢)\",\"questionId\":29,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":27,\"name\":\"(右上肢)\",\"questionId\":29,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"remark\":null},{\"id\":30,\"name\":\"(收缩压)\",\"tagName\":\"收缩压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null},{\"id\":31,\"name\":\"(舒张压)\",\"tagName\":\"舒张压\",\"type\":4,\"controlType\":7,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"/\",\"labelSuffix\":\"mmHg\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"remark\":null}],\"remark\":null}},\"mainsuitIds\":[],\"currentIds\":[],\"isFirstMainDiag\":false}'', null);
INSERT INTO `icss_template_info` VALUES (''14'', ''N'', ''2019-04-23 18:37:04'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''44'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"\\\",\\\"\\\",\\\"发热\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"\\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"急性胰腺炎(复诊); \",\"advice\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。; , 山莨菪碱, 东莨菪碱\"}'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":7,\"name\":\"主诉通用特征描述\",\"tagName\":\"主诉通用特征描述\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":14,\"name\":\"主诉通用特征描述-上中下\",\"tagName\":\"主诉通用特征描述-上中下\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":11,\"name\":\"上\",\"questionId\":14,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":12,\"name\":\"中\",\"questionId\":14,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":13,\"name\":\"下\",\"questionId\":14,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":15,\"name\":\"主诉通用特征描述-前后\",\"tagName\":\"主诉通用特征描述-前后\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":14,\"name\":\"前\",\"questionId\":15,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":15,\"name\":\"后\",\"questionId\":15,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":16,\"name\":\"主诉通用特征描述-左右\",\"tagName\":\"主诉通用特征描述-左右\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":16,\"name\":\"左\",\"questionId\":16,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":17,\"name\":\"右\",\"questionId\":16,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":18,\"name\":\"主诉通用特征描述-特性\",\"tagName\":\"主诉通用特征描述-特性\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":6,\"name\":\"反复\",\"questionId\":18,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":7,\"name\":\"突发\",\"questionId\":18,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":8,\"name\":\"持续\",\"questionId\":18,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":9,\"name\":\"间断\",\"questionId\":18,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":17,\"name\":\"主诉通用特征描述-加重再发\",\"tagName\":\"主诉通用特征描述-加重再发\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":19,\"name\":\"加重\",\"questionId\":17,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":18,\"name\":\"再发\",\"questionId\":17,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":7,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":4,\"name\":\"发热\",\"value\":\"发热\",\"tagType\":\"8\",\"exist\":1},{\"id\":8,\"name\":\"添加症状\",\"tagName\":\"添加症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":11,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":9,\"name\":\"主诉-伴\",\"tagName\":\"主诉-伴\",\"type\":1,\"controlType\":4,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":10,\"name\":\"伴\",\"questionId\":9,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":10,\"name\":\"症状-推送\",\"tagName\":\"症状-推送\",\"type\":1,\"controlType\":99,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":8,\"flag\":\"1\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":119,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":7,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"添加病情变化\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":1,\"questionId\":null,\"flag\":\"3\",\"relationModule\":6,\"relationModuleName\":\"添加病情变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":280,\"name\":\"急性胰腺炎\",\"showType\":1,\"retrievalName\":\"急性胰腺炎\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.禁食、胃肠减压，<br/>2.营养支持治疗。<br/>3.纠正水、电解质紊乱，防止局部及全身并发症。<br/>4.抑制胰液分泌，<br/>5.镇痛和解痉治疗，预防和治疗感染。<br/><br/>\",\"text\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\"},\"surgeryTreatment\":{\"content\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；<br/>\",\"text\":\"重症胰腺炎、胆道梗阻、胰腺脓肿或假囊肿；\"},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"2\",\"bigdrugsName\":\"抑制胃酸分泌药\",\"subdrugsName\":\"质子泵抑制剂\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"36%\"},{\"id\":341,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"31%\"},{\"id\":342,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"31%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胃肠解痉药\",\"subdrugsName\":\"抗胆碱药\",\"medicitionsList\":[{\"id\":344,\"medicitionName\":\"山莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"43%\"},{\"id\":345,\"medicitionName\":\"东莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"镇痛药\",\"subdrugsName\":\"阿片类强效镇痛剂\",\"medicitionsList\":[{\"id\":395,\"medicitionName\":\"瑞芬太尼\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"22%\"},{\"id\":347,\"medicitionName\":\"哌替啶\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"19%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"生长抑素制剂\",\"subdrugsName\":\"生长抑素制剂\",\"medicitionsList\":[{\"id\":348,\"medicitionName\":\"奥曲肽\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"60%\"},{\"id\":349,\"medicitionName\":\"生长抑素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"23%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胰酶活性抑制剂\",\"subdrugsName\":\"胰酶活性抑制剂\",\"medicitionsList\":[{\"id\":350,\"medicitionName\":\"乌司他丁\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"41%\"},{\"id\":351,\"medicitionName\":\"加贝酯\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}]}]}}],\"advice\":{\"scheme\":[{\"name\":\"急性胰腺炎\",\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"2\",\"bigdrugsName\":\"抑制胃酸分泌药\",\"subdrugsName\":\"质子泵抑制剂\",\"medicitionsList\":[{\"id\":145,\"medicitionName\":\"泮托拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"36%\"},{\"id\":341,\"medicitionName\":\"奥美拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"31%\"},{\"id\":342,\"medicitionName\":\"兰索拉唑\",\"isShow\":\"1\",\"forbidden\":\"2\",\"showInfo\":\"1\",\"rate\":\"31%\"}],\"treatmentStr\":\"\",\"drugList\":[]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胃肠解痉药\",\"subdrugsName\":\"抗胆碱药\",\"medicitionsList\":[{\"id\":344,\"medicitionName\":\"山莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"43%\",\"selected\":true},{\"id\":345,\"medicitionName\":\"东莨菪碱\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\",\"selected\":true}],\"treatmentStr\":\"山莨菪碱, 东莨菪碱\",\"drugList\":[{\"questionId\":344,\"tagName\":\"山莨菪碱\"},{\"questionId\":345,\"tagName\":\"东莨菪碱\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"镇痛药\",\"subdrugsName\":\"阿片类强效镇痛剂\",\"medicitionsList\":[{\"id\":395,\"medicitionName\":\"瑞芬太尼\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"22%\"},{\"id\":347,\"medicitionName\":\"哌替啶\",\"isShow\":\"1\",\"forbidden\":\"1\",\"showInfo\":\"1\",\"rate\":\"19%\"}],\"treatmentStr\":\"\",\"drugList\":[]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"生长抑素制剂\",\"subdrugsName\":\"生长抑素制剂\",\"medicitionsList\":[{\"id\":348,\"medicitionName\":\"奥曲肽\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"60%\"},{\"id\":349,\"medicitionName\":\"生长抑素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"23%\"}],\"treatmentStr\":\"\",\"drugList\":[]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"胰酶活性抑制剂\",\"subdrugsName\":\"胰酶活性抑制剂\",\"medicitionsList\":[{\"id\":350,\"medicitionName\":\"乌司他丁\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"41%\"},{\"id\":351,\"medicitionName\":\"加贝酯\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"36%\"}],\"treatmentStr\":\"\",\"drugList\":[]}]}],\"commontreatment\":\"1.禁食、胃肠减压，2.营养支持治疗。3.纠正水、电解质紊乱，防止局部及全身并发症。4.抑制胰液分泌，5.镇痛和解痉治疗，预防和治疗感染。\"},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{},\"mainsuitIds\":[4],\"currentIds\":[],\"isFirstMainDiag\":false}'', null);
INSERT INTO `icss_template_info` VALUES (''15'', ''N'', ''2019-04-24 14:17:27'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''问问'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"糖尿病复诊\\\"]\",\"present\":\"[\\\"患者疾病\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"期间\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"治疗\\\",\\\",\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"患者本次就诊前\\\",\\\"\\\",\\\"。\\\",\\\"平饮素食\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重\\\",\\\"\\\",\\\"。\\\",\\\"此次复诊\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\"]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"有高脂血症病史\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C\",\"pacs\":\"心电图: 报告日期:2019-04-23;胸部X线: 报告日期:2019-04-23;心脏彩超(CDFI): 报告日期:2019-04-23;腹部彩超: 报告日期:2019-04-23;四肢多普勒血流图: 报告日期:2019-04-23;下肢彩超: 报告日期:2019-04-23;肌电图: 报告日期:2019-04-23;眼底照相: 报告日期:2019-04-23;血压监测: 报告日期:2019-04-23;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-23;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-23;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-23;泌尿系统彩超: 报告日期:2019-04-23;颈部淋巴结彩超(CDFI): 报告日期:2019-04-23;子宫附件彩超(CDFI): 报告日期:2019-04-23;颈椎MRI: 报告日期:2019-04-23;\",\"diag\":\"血管瘤(初诊); 肺结核(初诊); \",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-23\",\"value\":\"\"}],\"diag\":[{\"id\":21973,\"name\":\"血管瘤\",\"showType\":1,\"retrievalName\":\"血管瘤\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":null,\"text\":null},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[]}},{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":1,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_template_info` VALUES (''16'', ''N'', ''2019-04-24 14:54:52'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''11111'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"糖尿病(复诊); \\\"]\",\"present\":\"[]\",\"other\":\"[]\",\"vital\":\"[]\",\"lis\":\"\",\"pacs\":\"\",\"diag\":\"糖尿病(复诊); \",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[],\"getExcelDataList\":[]},\"chief\":[],\"present\":[],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"otherHistoryIsEmpty\":true,\"yjs_1\":\"\",\"yjs_2\":\"\",\"yjs_3\":\"\",\"yjs_4\":\"\",\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"full\":true}],\"checkBodyIsEmpty\":true,\"pacs\":[],\"diag\":[{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{},\"diagChronicMagItem\":{\"id\":21773,\"name\":\"糖尿病\",\"showType\":1,\"retrievalName\":\"糖尿病\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。<br/>2.自我监测血糖。<br/>3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。<br/>4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\",\"text\":\"1.要教育糖尿病患者懂得糖尿病的基本知识，树立战胜疾病的信心，如何控制糖尿病，控制好糖尿病对健康的益处。2.自我监测血糖。3.运动治疗：增加体力活动可改善机体对胰岛素的敏感性，降低体重，减少身体脂肪量，增强体力。4.饮食治疗：控制总热量、合理配餐、少量多餐、高纤维饮食、口味清淡、不吃高糖食物。\"},\"surgeryTreatment\":{\"content\":null,\"text\":null},\"treatment\":[{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"短效胰岛素\",\"medicitionsList\":[{\"id\":27675,\"medicitionName\":\"门冬胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"92%\"},{\"id\":28335,\"medicitionName\":\"生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26753,\"medicitionName\":\"谷赖胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"83%\"},{\"id\":27350,\"medicitionName\":\"赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"82%\"},{\"id\":29199,\"medicitionName\":\"胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"},{\"id\":29511,\"medicitionName\":\"重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"80%\"},{\"id\":29556,\"medicitionName\":\"重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"79%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"中长效胰岛素\",\"medicitionsList\":[{\"id\":27129,\"medicitionName\":\"精蛋白生物合成人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"84%\"},{\"id\":26646,\"medicitionName\":\"甘精胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"74%\"},{\"id\":26038,\"medicitionName\":\"低精蛋白锌胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"72%\"},{\"id\":26039,\"medicitionName\":\"低精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"71%\"},{\"id\":26062,\"medicitionName\":\"地特胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"70%\"},{\"id\":27130,\"medicitionName\":\"精蛋白锌胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"69%\"},{\"id\":27131,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"68%\"},{\"id\":27134,\"medicitionName\":\"精蛋白锌重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"67%\"},{\"id\":27136,\"medicitionName\":\"精蛋白重组人胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"66%\"},{\"id\":29510,\"medicitionName\":\"重组甘精胰岛素\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"65%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"混合胰岛素\",\"medicitionsList\":[{\"id\":25353,\"medicitionName\":\"30/70混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"54%\"},{\"id\":25357,\"medicitionName\":\"50/50混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"53%\"},{\"id\":26941,\"medicitionName\":\"混合重组人胰岛素\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"52%\"},{\"id\":27132,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(25R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"51%\"},{\"id\":27133,\"medicitionName\":\"精蛋白锌重组赖脯胰岛素混和(50R)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"50%\"},{\"id\":27135,\"medicitionName\":\"精蛋白锌重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"49%\"},{\"id\":27137,\"medicitionName\":\"精蛋白重组人胰岛素混合(30/70)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"48%\"},{\"id\":27138,\"medicitionName\":\"精蛋白重组人胰岛素混合(40/60)\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"47%\"},{\"id\":27676,\"medicitionName\":\"门冬胰岛素30\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"0\",\"rate\":\"46%\"},{\"id\":27677,\"medicitionName\":\"门冬胰岛素50\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"45%\"},{\"id\":29557,\"medicitionName\":\"重组人胰岛素混合\",\"isShow\":\"0\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"44%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"双胍类\",\"medicitionsList\":[{\"id\":26188,\"medicitionName\":\"二甲双胍\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"76%\"}]},{\"id\":null,\"showInfo\":\"0\",\"drugsForbidden\":\"0\",\"bigdrugsName\":\"降糖药\",\"subdrugsName\":\"格列奈类\",\"medicitionsList\":[{\"id\":28206,\"medicitionName\":\"瑞格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"85%\"},{\"id\":27728,\"medicitionName\":\"那格列奈\",\"isShow\":\"1\",\"forbidden\":\"0\",\"showInfo\":\"1\",\"rate\":\"81%\"}]}],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);
INSERT INTO `icss_template_info` VALUES (''17'', ''N'', ''2019-04-24 14:56:11'', ''1970-01-01 12:00:00'', ''1'', ''0'', ''22222'', ''1'', ''1'', ''1'', ''3'', ''0'', ''{\"chief\":\"[\\\"糖尿病复诊\\\"]\",\"present\":\"[\\\"患者疾病\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"期间\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\"治疗\\\",\\\",\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\",\\\",\\\"患者本次就诊前\\\",\\\"\\\",\\\"。\\\",\\\"平饮素食\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"体重\\\",\\\"\\\",\\\"。\\\",\\\"此次复诊\\\",\\\"\\\",\\\"。\\\",\\\"\\\",\\\"\\\"]\",\"other\":\"[\\\"\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\",\\\"\\\",\\\",\\\"]\",\"vital\":\"[\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"有高脂血症病史\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\",\\\"\\\"]\",\"lis\":\"血常规;尿常规;血糖;空腹血糖;餐后2h血糖(Glu);电解质测定;肝功能;肾功能;糖化血红蛋白(GHb);糖化白蛋白(GA);血脂;口服葡萄糖耐量试验;C-反应蛋白;粪便常规;粪便红细胞;心肌酶谱;视黄醇结合蛋白;\",\"pacs\":\"心电图: 报告日期:2019-04-24;胸部X线: 报告日期:2019-04-24;心脏彩超(CDFI): 报告日期:2019-04-24;腹部彩超: 报告日期:2019-04-24;四肢多普勒血流图: 报告日期:2019-04-24;下肢彩超: 报告日期:2019-04-24;肌电图: 报告日期:2019-04-24;眼底照相: 报告日期:2019-04-24;血压监测: 报告日期:2019-04-24;下肢动脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢浅静脉彩色多普勒超声检查: 报告日期:2019-04-24;下肢深静脉彩色多普勒超声检查: 报告日期:2019-04-24;泌尿系统彩超: 报告日期:2019-04-24;颈部淋巴结彩超(CDFI): 报告日期:2019-04-24;子宫附件彩超(CDFI): 报告日期:2019-04-24;颈椎MRI: 报告日期:2019-04-24;\",\"diag\":\"肺结核(复诊); \",\"advice\":\"\"}'', ''{\"lis\":{\"labelList\":[{\"details\":[{\"id\":35799,\"name\":\"HGB*3/HCT\",\"tagName\":\"HGB*3/HCT\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-HGB*3/HCT\",\"formulaCode\":null,\"remark\":null},{\"id\":35800,\"name\":\"白细胞计数(WBC)\",\"tagName\":\"白细胞计数(WBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":4,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-白细胞计数(WBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35801,\"name\":\"大型血小板比例(P-LCR)\",\"tagName\":\"大型血小板比例(P-LCR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-大型血小板比例(P-LCR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35802,\"name\":\"单核细胞比例(MONO%)\",\"tagName\":\"单核细胞比例(MONO%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":3,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞比例(MONO%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35803,\"name\":\"单核细胞计数(MONO)\",\"tagName\":\"单核细胞计数(MONO)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.3,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-单核细胞计数(MONO)\",\"formulaCode\":null,\"remark\":null},{\"id\":35804,\"name\":\"红细胞分布宽度(RDW)\",\"tagName\":\"红细胞分布宽度(RDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞分布宽度(RDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35805,\"name\":\"红细胞计数(RBC)\",\"tagName\":\"红细胞计数(RBC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^12/L\",\"minValue\":4,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞计数(RBC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35806,\"name\":\"红细胞压积(HCT)\",\"tagName\":\"红细胞压积(HCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":36,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-红细胞压积(HCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35807,\"name\":\"淋巴细胞比例(LY%)\",\"tagName\":\"淋巴细胞比例(LY%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":17,\"maxValue\":50,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞比例(LY%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35808,\"name\":\"淋巴细胞计数(LY)\",\"tagName\":\"淋巴细胞计数(LY)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.8,\"maxValue\":4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-淋巴细胞计数(LY)\",\"formulaCode\":null,\"remark\":null},{\"id\":35809,\"name\":\"平均红细胞体积(MCV)\",\"tagName\":\"平均红细胞体积(MCV)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":80,\"maxValue\":105,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞体积(MCV)\",\"formulaCode\":null,\"remark\":null},{\"id\":35810,\"name\":\"平均红细胞血红蛋白含量(MCH)\",\"tagName\":\"平均红细胞血红蛋白含量(MCH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"pg\",\"minValue\":26,\"maxValue\":38,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白含量(MCH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35811,\"name\":\"平均红细胞血红蛋白浓度(MCHC)\",\"tagName\":\"平均红细胞血红蛋白浓度(MCHC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":300,\"maxValue\":360,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均红细胞血红蛋白浓度(MCHC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35812,\"name\":\"平均血小板体积(MPV）\",\"tagName\":\"平均血小板体积(MPV）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"FL\",\"minValue\":7,\"maxValue\":13,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-平均血小板体积(MPV）\",\"formulaCode\":null,\"remark\":null},{\"id\":35813,\"name\":\"嗜碱性粒细胞百分比\",\"tagName\":\"嗜碱性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.03,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35814,\"name\":\"嗜碱性粒细胞计数\",\"tagName\":\"嗜碱性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.12,\"maxValue\":0.8,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜碱性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35815,\"name\":\"嗜酸性粒细胞百分比\",\"tagName\":\"嗜酸性粒细胞百分比\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.004,\"maxValue\":0.08,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞百分比\",\"formulaCode\":null,\"remark\":null},{\"id\":35816,\"name\":\"嗜酸性粒细胞计数\",\"tagName\":\"嗜酸性粒细胞计数\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":0.05,\"maxValue\":0.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-嗜酸性粒细胞计数\",\"formulaCode\":null,\"remark\":null},{\"id\":35817,\"name\":\"网织红细胞分布宽度(RDW-SD)\",\"tagName\":\"网织红细胞分布宽度(RDW-SD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-网织红细胞分布宽度(RDW-SD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35818,\"name\":\"血红蛋白浓度(HGB)\",\"tagName\":\"血红蛋白浓度(HGB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":110,\"maxValue\":200,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血红蛋白浓度(HGB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35819,\"name\":\"血小板计数(PLT)\",\"tagName\":\"血小板计数(PLT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":100,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板计数(PLT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35820,\"name\":\"血小板体积分布宽度(PDW)\",\"tagName\":\"血小板体积分布宽度(PDW)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":10,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板体积分布宽度(PDW)\",\"formulaCode\":null,\"remark\":null},{\"id\":35821,\"name\":\"血小板压积(PCT)\",\"tagName\":\"血小板压积(PCT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":0.1,\"maxValue\":0.35,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-血小板压积(PCT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35822,\"name\":\"中性粒细胞比例(NEUT%)\",\"tagName\":\"中性粒细胞比例(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":50,\"maxValue\":70,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞比例(NEUT%)\",\"formulaCode\":null,\"remark\":null},{\"id\":35823,\"name\":\"中性粒细胞计数(NEUT%)\",\"tagName\":\"中性粒细胞计数(NEUT%)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"*10^9/L\",\"minValue\":2,\"maxValue\":7.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血常规-中性粒细胞计数(NEUT%)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血常规\",\"questionId\":69,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"尿常规\",\"questionId\":116,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"血糖\",\"questionId\":208,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"空腹血糖\",\"questionId\":207,\"showType\":1},{\"details\":[{\"id\":35444,\"name\":\"白细胞脂酶(LEU)\",\"tagName\":\"白细胞脂酶(LEU)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43064,\"name\":\"阴性\",\"questionId\":35444,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42727,\"name\":\"阳性\",\"questionId\":35444,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-白细胞脂酶(LEU)\",\"formulaCode\":null,\"remark\":null},{\"id\":35445,\"name\":\"比重(SG-U)\",\"tagName\":\"比重(SG-U)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.003,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-比重(SG-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35446,\"name\":\"胆红素(BIL-U)\",\"tagName\":\"胆红素(BIL-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43065,\"name\":\"阴性\",\"questionId\":35446,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42728,\"name\":\"阳性\",\"questionId\":35446,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-胆红素(BIL-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35447,\"name\":\"尿胆原(URO-U)\",\"tagName\":\"尿胆原(URO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43066,\"name\":\"阴性\",\"questionId\":35447,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42729,\"name\":\"阳性\",\"questionId\":35447,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿胆原(URO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35448,\"name\":\"尿蛋白(PRO-U)\",\"tagName\":\"尿蛋白(PRO-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43067,\"name\":\"阴性\",\"questionId\":35448,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42730,\"name\":\"阳性\",\"questionId\":35448,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿蛋白(PRO-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35449,\"name\":\"尿酮体(KET-U)\",\"tagName\":\"尿酮体(KET-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43068,\"name\":\"阴性\",\"questionId\":35449,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42731,\"name\":\"阳性\",\"questionId\":35449,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-尿酮体(KET-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35450,\"name\":\"葡萄糖(GLU-U)\",\"tagName\":\"葡萄糖(GLU-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43069,\"name\":\"阴性\",\"questionId\":35450,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42732,\"name\":\"阳性\",\"questionId\":35450,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-葡萄糖(GLU-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35451,\"name\":\"酸碱度(PH)\",\"tagName\":\"酸碱度(PH)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":5.4,\"maxValue\":8.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"尿常规-酸碱度(PH)\",\"formulaCode\":null,\"remark\":null},{\"id\":35452,\"name\":\"维生素C(VC)\",\"tagName\":\"维生素C(VC)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43070,\"name\":\"阴性\",\"questionId\":35452,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42733,\"name\":\"阳性\",\"questionId\":35452,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-维生素C(VC)\",\"formulaCode\":null,\"remark\":null},{\"id\":35453,\"name\":\"亚硝酸盐(NIT-U)\",\"tagName\":\"亚硝酸盐(NIT-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43071,\"name\":\"阴性\",\"questionId\":35453,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42734,\"name\":\"阳性\",\"questionId\":35453,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-亚硝酸盐(NIT-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":35454,\"name\":\"隐血(BLD-U)\",\"tagName\":\"隐血(BLD-U)\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43072,\"name\":\"阴性\",\"questionId\":35454,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42735,\"name\":\"阳性\",\"questionId\":35454,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"尿常规-隐血(BLD-U)\",\"formulaCode\":null,\"remark\":null},{\"id\":208,\"name\":\"血糖\",\"tagName\":\"血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":208,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":207,\"name\":\"空腹血糖\",\"tagName\":\"空腹血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":0,\"tagType\":7,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.9,\"maxValue\":6.4,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":207,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35646,\"name\":\"餐后2h血糖(Glu)\",\"tagName\":\"餐后2h血糖(Glu)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0,\"maxValue\":7.8,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35646,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"餐后2h血糖(Glu)\",\"questionId\":35646,\"showType\":1},{\"details\":[{\"id\":35128,\"name\":\"二氧化碳(CO2)\",\"tagName\":\"二氧化碳(CO2)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":21,\"maxValue\":29,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-二氧化碳(CO2)\",\"formulaCode\":null,\"remark\":null},{\"id\":35129,\"name\":\"钾(K)\",\"tagName\":\"钾(K)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.5,\"maxValue\":5.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钾(K)\",\"formulaCode\":null,\"remark\":null},{\"id\":35130,\"name\":\"离子钙(Ca2+)\",\"tagName\":\"离子钙(Ca2+)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-离子钙(Ca2+)\",\"formulaCode\":null,\"remark\":null},{\"id\":35131,\"name\":\"磷(P)\",\"tagName\":\"磷(P)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.97,\"maxValue\":1.62,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-磷(P)\",\"formulaCode\":null,\"remark\":null},{\"id\":35132,\"name\":\"氯(Cl)\",\"tagName\":\"氯(Cl)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":96,\"maxValue\":110,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-氯(Cl)\",\"formulaCode\":null,\"remark\":null},{\"id\":35133,\"name\":\"镁(Mg)\",\"tagName\":\"镁(Mg)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.8,\"maxValue\":1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-镁(Mg)\",\"formulaCode\":null,\"remark\":null},{\"id\":35134,\"name\":\"钠(Na)\",\"tagName\":\"钠(Na)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":135,\"maxValue\":145,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-钠(Na)\",\"formulaCode\":null,\"remark\":null},{\"id\":35135,\"name\":\"阴离子隙(AG)\",\"tagName\":\"阴离子隙(AG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":8,\"maxValue\":16,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-阴离子隙(AG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35136,\"name\":\"总钙(Ca)\",\"tagName\":\"总钙(Ca)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"电解质测定-总钙(Ca)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"电解质测定\",\"questionId\":147,\"showType\":1},{\"details\":[{\"id\":35197,\"name\":\"5′核苷酸酶(5′NT)\",\"tagName\":\"5′核苷酸酶(5′NT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":11,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-5′核苷酸酶(5′NT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35198,\"name\":\"ALB/GLB\",\"tagName\":\"ALB/GLB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":1.5,\"maxValue\":2.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-ALB/GLB\",\"formulaCode\":null,\"remark\":null},{\"id\":35199,\"name\":\"白蛋白(Alb)\",\"tagName\":\"白蛋白(Alb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":35,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-白蛋白(Alb)\",\"formulaCode\":null,\"remark\":null},{\"id\":35200,\"name\":\"胆碱脂酶(ChE)\",\"tagName\":\"胆碱脂酶(ChE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":143,\"maxValue\":460,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-胆碱脂酶(ChE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35201,\"name\":\"谷氨酰基转移酶(GGT)\",\"tagName\":\"谷氨酰基转移酶(GGT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":5,\"maxValue\":55,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷氨酰基转移酶(GGT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35202,\"name\":\"谷丙转氨酶(ALT)\",\"tagName\":\"谷丙转氨酶(ALT)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":9,\"maxValue\":51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷丙转氨酶(ALT)\",\"formulaCode\":null,\"remark\":null},{\"id\":35203,\"name\":\"谷草/谷丙\",\"tagName\":\"谷草/谷丙\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.8,\"maxValue\":1.5,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草/谷丙\",\"formulaCode\":null,\"remark\":null},{\"id\":35204,\"name\":\"谷草转氨酶(AST)\",\"tagName\":\"谷草转氨酶(AST)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":45,\"maxValue\":125,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-谷草转氨酶(AST)\",\"formulaCode\":null,\"remark\":null},{\"id\":35205,\"name\":\"间接胆红素(I-Bil)\",\"tagName\":\"间接胆红素(I-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":1,\"maxValue\":20,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-间接胆红素(I-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35206,\"name\":\"碱性磷酸酶(ALP)\",\"tagName\":\"碱性磷酸酶(ALP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":40,\"maxValue\":150,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-碱性磷酸酶(ALP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35207,\"name\":\"球蛋白(GLB)\",\"tagName\":\"球蛋白(GLB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":20,\"maxValue\":40,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-球蛋白(GLB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35208,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":109,\"maxValue\":245,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35209,\"name\":\"腺苷脱氨酶(ADA)\",\"tagName\":\"腺苷脱氨酶(ADA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-腺苷脱氨酶(ADA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35210,\"name\":\"直接胆红素(D-Bil)\",\"tagName\":\"直接胆红素(D-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":3.4,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-直接胆红素(D-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35211,\"name\":\"总胆红素(T-Bil)\",\"tagName\":\"总胆红素(T-Bil)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μmol/L\",\"minValue\":3.4,\"maxValue\":17.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆红素(T-Bil)\",\"formulaCode\":null,\"remark\":null},{\"id\":35212,\"name\":\"总胆汁酸(TBA)\",\"tagName\":\"总胆汁酸(TBA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总胆汁酸(TBA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35213,\"name\":\"总蛋白(TP)\",\"tagName\":\"总蛋白(TP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":60,\"maxValue\":80,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肝功能-总蛋白(TP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"肝功能\",\"questionId\":23807,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"肾功能\",\"questionId\":23932,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化血红蛋白(GHb)\",\"questionId\":35650,\"showType\":1},{\"details\":[{\"id\":35581,\"name\":\"酚红排泄试验(PSP)\",\"tagName\":\"酚红排泄试验(PSP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"/15min\",\"minValue\":0.25,\"maxValue\":0.51,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-酚红排泄试验(PSP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35582,\"name\":\"胱抑素(Cys-C)\",\"tagName\":\"胱抑素(Cys-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.59,\"maxValue\":1.03,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-胱抑素(Cys-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35583,\"name\":\"肌酐(Cr)\",\"tagName\":\"肌酐(Cr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":45,\"maxValue\":104,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肌酐(Cr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35584,\"name\":\"内生肌酐清除率(CCr)\",\"tagName\":\"内生肌酐清除率(CCr)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.8,\"maxValue\":1.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-内生肌酐清除率(CCr)\",\"formulaCode\":null,\"remark\":null},{\"id\":35585,\"name\":\"尿α1微球蛋白\",\"tagName\":\"尿α1微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.48,\"maxValue\":4.24,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α1微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35586,\"name\":\"尿α2微球蛋白\",\"tagName\":\"尿α2微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α2微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35587,\"name\":\"尿α3微球蛋白\",\"tagName\":\"尿α3微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α3微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35588,\"name\":\"尿α4微球蛋白\",\"tagName\":\"尿α4微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α4微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35589,\"name\":\"尿α5微球蛋白\",\"tagName\":\"尿α5微球蛋白\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":10,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿α5微球蛋白\",\"formulaCode\":null,\"remark\":null},{\"id\":35590,\"name\":\"尿β2-微球蛋白（β2-MG）\",\"tagName\":\"尿β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":0.65,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35591,\"name\":\"尿蛋白定性试验\",\"tagName\":\"尿蛋白定性试验\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43103,\"name\":\"阴性\",\"questionId\":35591,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42767,\"name\":\"阳性\",\"questionId\":35591,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿蛋白定性试验\",\"formulaCode\":null,\"remark\":null},{\"id\":35592,\"name\":\"尿素(Urea)\",\"tagName\":\"尿素(Urea)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.9,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素(Urea)\",\"formulaCode\":null,\"remark\":null},{\"id\":35593,\"name\":\"尿素氮(BUN)\",\"tagName\":\"尿素氮(BUN)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":3.2,\"maxValue\":7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮(BUN)\",\"formulaCode\":null,\"remark\":null},{\"id\":35594,\"name\":\"尿素氮/肌酐\",\"tagName\":\"尿素氮/肌酐\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0.500694,\"maxValue\":0.834028,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素氮/肌酐\",\"formulaCode\":null,\"remark\":null},{\"id\":35595,\"name\":\"尿素清除率\",\"tagName\":\"尿素清除率\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml•s\",\"minValue\":0.7,\"maxValue\":1.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿素清除率\",\"formulaCode\":null,\"remark\":null},{\"id\":35596,\"name\":\"尿酸(UA)\",\"tagName\":\"尿酸(UA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"umol/L\",\"minValue\":155,\"maxValue\":428,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-尿酸(UA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35597,\"name\":\"肾小球滤过率(GFR)\",\"tagName\":\"肾小球滤过率(GFR)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"ml/min\",\"minValue\":80,\"maxValue\":120,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-肾小球滤过率(GFR)\",\"formulaCode\":null,\"remark\":null},{\"id\":35598,\"name\":\"选择性蛋白尿指数(SPI)\",\"tagName\":\"选择性蛋白尿指数(SPI)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.1,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-选择性蛋白尿指数(SPI)\",\"formulaCode\":null,\"remark\":null},{\"id\":35599,\"name\":\"血α1微球蛋白(α1-MG)\",\"tagName\":\"血α1微球蛋白(α1-MG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":10,\"maxValue\":30,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血α1微球蛋白(α1-MG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35600,\"name\":\"血β2-微球蛋白（β2-MG）\",\"tagName\":\"血β2-微球蛋白（β2-MG）\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/ mL\",\"minValue\":0,\"maxValue\":4.6,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"肾功能-血β2-微球蛋白（β2-MG）\",\"formulaCode\":null,\"remark\":null},{\"id\":35650,\"name\":\"糖化血红蛋白(GHb)\",\"tagName\":\"糖化血红蛋白(GHb)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"%\",\"minValue\":4,\"maxValue\":6,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35650,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":35649,\"name\":\"糖化白蛋白(GA)\",\"tagName\":\"糖化白蛋白(GA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35649,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"糖化白蛋白(GA)\",\"questionId\":35649,\"showType\":1},{\"details\":[{\"id\":35893,\"name\":\"低密度脂蛋白胆固醇(LDL-C)\",\"tagName\":\"低密度脂蛋白胆固醇(LDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.67,\"maxValue\":2.7,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-低密度脂蛋白胆固醇(LDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35894,\"name\":\"甘油三酯(TG)\",\"tagName\":\"甘油三酯(TG)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.55,\"maxValue\":1.58,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-甘油三酯(TG)\",\"formulaCode\":null,\"remark\":null},{\"id\":35895,\"name\":\"高密度脂蛋白胆固醇(HDL-C)\",\"tagName\":\"高密度脂蛋白胆固醇(HDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":1.29,\"maxValue\":1.3,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-高密度脂蛋白胆固醇(HDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35896,\"name\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"tagName\":\"极低密度脂蛋白胆固醇(VLDL-C)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":0.21,\"maxValue\":0.78,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-极低密度脂蛋白胆固醇(VLDL-C)\",\"formulaCode\":null,\"remark\":null},{\"id\":35897,\"name\":\"血清载脂蛋白A/B\",\"tagName\":\"血清载脂蛋白A/B\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-血清载脂蛋白A/B\",\"formulaCode\":null,\"remark\":null},{\"id\":35898,\"name\":\"载脂蛋白A(apoA)\",\"tagName\":\"载脂蛋白A(apoA)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A(apoA)\",\"formulaCode\":null,\"remark\":null},{\"id\":35899,\"name\":\"载脂蛋白A1(apoA1)\",\"tagName\":\"载脂蛋白A1(apoA1)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":1,\"maxValue\":1.76,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白A1(apoA1)\",\"formulaCode\":null,\"remark\":null},{\"id\":35900,\"name\":\"载脂蛋白B(apoB)\",\"tagName\":\"载脂蛋白B(apoB)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"g/L\",\"minValue\":0.6,\"maxValue\":1.14,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白B(apoB)\",\"formulaCode\":null,\"remark\":null},{\"id\":35901,\"name\":\"载脂蛋白E(apoE)\",\"tagName\":\"载脂蛋白E(apoE)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":30,\"maxValue\":60,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-载脂蛋白E(apoE)\",\"formulaCode\":null,\"remark\":null},{\"id\":35902,\"name\":\"脂蛋白a(LPa)\",\"tagName\":\"脂蛋白a(LPa)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0,\"maxValue\":300,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-脂蛋白a(LPa)\",\"formulaCode\":null,\"remark\":null},{\"id\":35903,\"name\":\"总胆固醇(TC)\",\"tagName\":\"总胆固醇(TC)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mmol/L\",\"minValue\":2.85,\"maxValue\":5.69,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"血脂-总胆固醇(TC)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"血脂\",\"questionId\":24001,\"showType\":1},{\"details\":[{\"id\":35353,\"name\":\"120min血糖\",\"tagName\":\"120min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-120min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35354,\"name\":\"180min血糖\",\"tagName\":\"180min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-180min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35355,\"name\":\"240min血糖\",\"tagName\":\"240min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-240min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35356,\"name\":\"300min血糖\",\"tagName\":\"300min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-300min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35357,\"name\":\"30min血糖\",\"tagName\":\"30min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-30min血糖\",\"formulaCode\":null,\"remark\":null},{\"id\":35358,\"name\":\"60min血糖\",\"tagName\":\"60min血糖\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"口服葡萄糖耐量试验-60min血糖\",\"formulaCode\":null,\"remark\":null}],\"name\":\"口服葡萄糖耐量试验\",\"questionId\":23859,\"showType\":1},{\"details\":[{\"id\":35007,\"name\":\"C反应蛋白(CRP)\",\"tagName\":\"C反应蛋白(CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"μg/L\",\"minValue\":800,\"maxValue\":8000,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-C反应蛋白(CRP)\",\"formulaCode\":null,\"remark\":null},{\"id\":35008,\"name\":\"超敏C反应蛋白(hs-CRP)\",\"tagName\":\"超敏C反应蛋白(hs-CRP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"mg/L\",\"minValue\":0.068,\"maxValue\":8.2,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"C-反应蛋白-超敏C反应蛋白(hs-CRP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"C-反应蛋白\",\"questionId\":377,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便常规\",\"questionId\":23797,\"showType\":1},{\"details\":[{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便红细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35154,\"name\":\"粪便寄生虫卵\",\"tagName\":\"粪便寄生虫卵\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便寄生虫卵\",\"formulaCode\":null,\"remark\":null},{\"id\":35155,\"name\":\"粪便脓细胞\",\"tagName\":\"粪便脓细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便脓细胞\",\"formulaCode\":null,\"remark\":null},{\"id\":35156,\"name\":\"粪便性状\",\"tagName\":\"粪便性状\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便性状\",\"formulaCode\":null,\"remark\":null},{\"id\":35157,\"name\":\"粪便颜色\",\"tagName\":\"粪便颜色\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便颜色\",\"formulaCode\":null,\"remark\":null},{\"id\":35158,\"name\":\"粪便粘液\",\"tagName\":\"粪便粘液\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42968,\"name\":\"阴性\",\"questionId\":35158,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42620,\"name\":\"阳性\",\"questionId\":35158,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪便粘液\",\"formulaCode\":null,\"remark\":null},{\"id\":35159,\"name\":\"粪寄生虫虫体\",\"tagName\":\"粪寄生虫虫体\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42969,\"name\":\"阴性\",\"questionId\":35159,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42621,\"name\":\"阳性\",\"questionId\":35159,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪寄生虫虫体\",\"formulaCode\":null,\"remark\":null},{\"id\":35160,\"name\":\"粪未消化食物\",\"tagName\":\"粪未消化食物\",\"type\":5,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":42970,\"name\":\"阴性\",\"questionId\":35160,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":42622,\"name\":\"阳性\",\"questionId\":35160,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":1}],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪未消化食物\",\"formulaCode\":null,\"remark\":null},{\"id\":35161,\"name\":\"粪脂肪球\",\"tagName\":\"粪脂肪球\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-粪脂肪球\",\"formulaCode\":null,\"remark\":null},{\"id\":35162,\"name\":\"其他\",\"tagName\":\"其他\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"粪便常规-其他\",\"formulaCode\":null,\"remark\":null},{\"id\":35153,\"name\":\"粪便红细胞\",\"tagName\":\"粪便红细胞\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":33,\"questionId\":35153,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"name\":\"粪便红细胞\",\"questionId\":35153,\"showType\":1},{\"details\":[{\"id\":35748,\"name\":\"CK-MB/CK\",\"tagName\":\"CK-MB/CK\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":0,\"maxValue\":0.12,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-CK-MB/CK\",\"formulaCode\":null,\"remark\":null},{\"id\":35749,\"name\":\"α-羟丁酸脱氢酶(α-HBD)\",\"tagName\":\"α-羟丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α-羟丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35750,\"name\":\"α羟基丁酸脱氢酶(α-HBD)\",\"tagName\":\"α羟基丁酸脱氢酶(α-HBD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":90,\"maxValue\":182,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-α羟基丁酸脱氢酶(α-HBD)\",\"formulaCode\":null,\"remark\":null},{\"id\":35751,\"name\":\"肌酸激酶(CK)\",\"tagName\":\"肌酸激酶(CK)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":18,\"maxValue\":198,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶(CK)\",\"formulaCode\":null,\"remark\":null},{\"id\":35752,\"name\":\"肌酸激酶同工酶\",\"tagName\":\"肌酸激酶同工酶\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":18,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶\",\"formulaCode\":null,\"remark\":null},{\"id\":35753,\"name\":\"肌酸激酶同工酶CK-MB\",\"tagName\":\"肌酸激酶同工酶CK-MB\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":0,\"maxValue\":23,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-肌酸激酶同工酶CK-MB\",\"formulaCode\":null,\"remark\":null},{\"id\":35754,\"name\":\"乳酸脱氢酶(LD)\",\"tagName\":\"乳酸脱氢酶(LD)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"U/L\",\"minValue\":135,\"maxValue\":215,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"心肌酶谱-乳酸脱氢酶(LD)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"心肌酶谱\",\"questionId\":23971,\"showType\":1},{\"details\":[{\"id\":35619,\"name\":\"视黄醇结合蛋白(RBP)\",\"tagName\":\"视黄醇结合蛋白(RBP)\",\"type\":5,\"controlType\":6,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":\"视黄醇结合蛋白-视黄醇结合蛋白(RBP)\",\"formulaCode\":null,\"remark\":null}],\"name\":\"视黄醇结合蛋白\",\"questionId\":23938,\"showType\":1}],\"getExcelDataList\":[]},\"chief\":[],\"present\":[{\"id\":40747,\"name\":\"患者疾病\",\"tagName\":\"患者疾病\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40747,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40748,\"name\":\"疾病\",\"tagName\":\"疾病\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44628,\"name\":\"1型糖尿病\",\"questionId\":40748,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44629,\"name\":\"1.5型糖尿病\",\"questionId\":40748,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44630,\"name\":\"2型糖尿病\",\"questionId\":40748,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44631,\"name\":\"3型糖尿病\",\"questionId\":40748,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44632,\"name\":\"其他型糖尿病\",\"questionId\":40748,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40748,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":210,\"name\":\"时间单位\",\"tagName\":\"时间单位\",\"type\":1,\"controlType\":5,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":210,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40749,\"name\":\"期间\",\"tagName\":\"期间\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40749,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40750,\"name\":\"给药途径\",\"tagName\":\"给药途径\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44633,\"name\":\"口服\",\"questionId\":40750,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44634,\"name\":\"皮下注射\",\"questionId\":40750,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40750,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40751,\"name\":\"药物\",\"tagName\":\"药物\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44635,\"name\":\"格列齐特\",\"questionId\":40751,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44636,\"name\":\"瑞格列奈\",\"questionId\":40751,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44637,\"name\":\"吡格列酮\",\"questionId\":40751,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44638,\"name\":\"阿卡波糖\",\"questionId\":40751,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44639,\"name\":\"西格列汀\",\"questionId\":40751,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44640,\"name\":\"恩格列净\",\"questionId\":40751,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44641,\"name\":\"利拉鲁肽\",\"questionId\":40751,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44642,\"name\":\"艾塞那肽\",\"questionId\":40751,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44643,\"name\":\"达格列净\",\"questionId\":40751,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44644,\"name\":\"沙格列汀\",\"questionId\":40751,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44645,\"name\":\"伏格列波糖\",\"questionId\":40751,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44646,\"name\":\"罗格列酮\",\"questionId\":40751,\"orderNo\":12,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44647,\"name\":\"那格列奈\",\"questionId\":40751,\"orderNo\":13,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44648,\"name\":\"格列美脲\",\"questionId\":40751,\"orderNo\":14,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40751,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40752,\"name\":\"治疗\",\"tagName\":\"治疗\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40752,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40753,\"name\":\"(填写)\",\"tagName\":\"用量\",\"type\":1,\"controlType\":7,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"用量\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40753,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40754,\"name\":\"(单位)\",\"tagName\":\"(单位)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"[\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"/\",\"questionDetailList\":[{\"id\":44650,\"name\":\"g\",\"questionId\":40754,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44651,\"name\":\"mg\",\"questionId\":40754,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44652,\"name\":\"iu\",\"questionId\":40754,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40754,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40755,\"name\":\"(频次)\",\"tagName\":\"(频次)\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"]\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44653,\"name\":\"qd\",\"questionId\":40755,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44654,\"name\":\"bid\",\"questionId\":40755,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44655,\"name\":\"tid\",\"questionId\":40755,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40755,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40756,\"name\":\"患者本次就诊前\",\"tagName\":\"患者本次就诊前\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40756,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40757,\"name\":\"血糖监测情况\",\"tagName\":\"血糖监测情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44656,\"name\":\"未检测血糖\",\"questionId\":40757,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44657,\"name\":\"自测血糖\",\"questionId\":40757,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44658,\"name\":\"偶尔检测血糖\",\"questionId\":40757,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40757,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40758,\"name\":\"平饮素食\",\"tagName\":\"平饮素食\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40758,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40759,\"name\":\"控制情况\",\"tagName\":\"控制情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44659,\"name\":\"未控制\",\"questionId\":40759,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44660,\"name\":\"控制佳\",\"questionId\":40759,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44661,\"name\":\"控制差\",\"questionId\":40759,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40759,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40760,\"name\":\"运动情况\",\"tagName\":\"运动情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44662,\"name\":\"锻炼\",\"questionId\":40760,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44663,\"name\":\"不锻炼\",\"questionId\":40760,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44664,\"name\":\"锻炼少\",\"questionId\":40760,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40760,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40761,\"name\":\"体重\",\"tagName\":\"体重\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40761,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40762,\"name\":\"体重变化情况\",\"tagName\":\"体重变化情况\",\"type\":1,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44665,\"name\":\"无变化\",\"questionId\":40762,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44666,\"name\":\"升高\",\"questionId\":40762,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44667,\"name\":\"下降\",\"questionId\":40762,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40762,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40763,\"name\":\"此次复诊\",\"tagName\":\"此次复诊\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40763,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40764,\"name\":\"不适症状\",\"tagName\":\"不适症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":2,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40765,\"name\":\"不适症状-伴无\",\"tagName\":\"不适症状-伴无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44668,\"name\":\"伴\",\"questionId\":40765,\"orderNo\":1,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44669,\"name\":\"无\",\"questionId\":40765,\"orderNo\":2,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40766,\"name\":\"未感不适\",\"tagName\":\"未感不适\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40767,\"name\":\"有视力模糊\",\"tagName\":\"有视力模糊\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44674,\"name\":\"有视力模糊\",\"questionId\":40767,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44675,\"name\":\"有手脚麻木\",\"questionId\":40767,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44676,\"name\":\"有下肢浮肿\",\"questionId\":40767,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40768,\"name\":\"有乏力\",\"tagName\":\"有乏力\",\"type\":1,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":44677,\"name\":\"有乏力\",\"questionId\":40768,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44678,\"name\":\"有皮肤瘙痒\",\"questionId\":40768,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44679,\"name\":\"有痛觉异常\",\"questionId\":40768,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44680,\"name\":\"有口干\",\"questionId\":40768,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":40764,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":128,\"name\":\"。\",\"tagName\":\"。\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":128,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":303,\"name\":null,\"tagName\":null,\"type\":null,\"controlType\":null,\"subType\":null,\"itemType\":null,\"tagType\":null,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":null,\"formPosition\":null,\"textGenerate\":null,\"symptomType\":null,\"exclusionType\":null,\"copyType\":null,\"showInfo\":null,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":\"病情变化子模板\",\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":29,\"questionId\":null,\"flag\":\"3\",\"relationModule\":35,\"relationModuleName\":\"糖尿病现病史病程变化\"},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"other\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":45,\"name\":\"既往史\",\"tagName\":\"既往史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":6,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":1,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":51,\"name\":\"既往史无殊\",\"tagName\":\"既往史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":64,\"name\":\"既往史无殊\",\"questionId\":51,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":52,\"name\":\"既往史-无\",\"tagName\":\"既往史-无\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":63,\"name\":\"无\",\"questionId\":52,\"orderNo\":1,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":515,\"name\":\"有\",\"questionId\":52,\"orderNo\":2,\"code\":1,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":573,\"name\":\"否认\",\"questionId\":52,\"orderNo\":3,\"code\":2,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":71,\"name\":\"既往史-疾病选项\",\"tagName\":\"既往史-疾病选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":46,\"name\":\"高血压\",\"tagName\":\"高血压\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":222,\"name\":\"糖尿病\",\"tagName\":\"糖尿病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":406,\"name\":\"冠心病\",\"tagName\":\"冠心病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":408,\"name\":\"脑梗死\",\"tagName\":\"脑梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":409,\"name\":\"脑出血\",\"tagName\":\"脑出血\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":410,\"name\":\"消化性溃疡\",\"tagName\":\"消化性溃疡\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":411,\"name\":\"慢性胃炎\",\"tagName\":\"慢性胃炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":412,\"name\":\"心肌梗死\",\"tagName\":\"心肌梗死\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":413,\"name\":\"高脂血症\",\"tagName\":\"高脂血症\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":414,\"name\":\"痛风\",\"tagName\":\"痛风\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":415,\"name\":\"骨折\",\"tagName\":\"骨折\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29646,\"name\":\"既往史-诊断选项\",\"tagName\":\"既往史-诊断选项\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":10,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29671,\"name\":\"乙肝\",\"tagName\":\"乙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29672,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29674,\"name\":\"伤寒\",\"tagName\":\"伤寒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29675,\"name\":\"艾滋病\",\"tagName\":\"艾滋病\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29676,\"name\":\"梅毒\",\"tagName\":\"梅毒\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29678,\"name\":\"丙肝\",\"tagName\":\"丙肝\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29681,\"name\":\"肝炎\",\"tagName\":\"肝炎\",\"type\":3,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":45,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":53,\"name\":\"过敏史\",\"tagName\":\"过敏史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":54,\"name\":\"过敏史-过敏史无殊\",\"tagName\":\"过敏史-过敏史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":65,\"name\":\"过敏史无殊\",\"questionId\":54,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40110,\"name\":\"无食物及药物过敏史\",\"tagName\":\"无食物及药物过敏史\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41658,\"name\":\"无食物及药物过敏史\",\"questionId\":40110,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":55,\"name\":\"过敏史-选项\",\"tagName\":\"过敏史-选项\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":66,\"name\":\"有\\\"青霉素\\\"过敏史\",\"questionId\":55,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":67,\"name\":\"有\\\"磺胺类\\\"过敏史\",\"questionId\":55,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":68,\"name\":\"有\\\"蚕豆\\\"过敏史\",\"questionId\":55,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41535,\"name\":\"有\\\"牛奶\\\"过敏史\",\"questionId\":55,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41536,\"name\":\"有\\\"海鲜\\\"过敏史\",\"questionId\":55,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":69,\"name\":\"有\\\"( )\\\"过敏史\",\"questionId\":55,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":53,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":75,\"name\":\"个人史\",\"tagName\":\"个人史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":76,\"name\":\"个人史无殊\",\"tagName\":\"个人史无殊\",\"type\":3,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":136,\"name\":\"个人史无殊\",\"questionId\":76,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":77,\"name\":\"无烟酒嗜好\",\"tagName\":\"无烟酒嗜好\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":90,\"name\":\"无烟酒嗜好\",\"questionId\":77,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":91,\"name\":\"无饮酒嗜好\",\"questionId\":77,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":92,\"name\":\"无吸烟嗜好\",\"questionId\":77,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":78,\"name\":\"有烟酒习惯\",\"tagName\":\"有烟酒习惯\",\"type\":3,\"controlType\":2,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":93,\"name\":\"有饮酒习惯\",\"questionId\":78,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":94,\"name\":\"有吸烟习惯\",\"questionId\":78,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":95,\"name\":\"饮酒,每天约( )ml,已饮( )年\",\"questionId\":78,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":96,\"name\":\"吸烟,每天约( )支,已吸( )年\",\"questionId\":78,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":75,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40175,\"name\":\"家族史\",\"tagName\":\"家族史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40201,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43352,\"name\":\"体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43353,\"name\":\"均体健\",\"questionId\":40201,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44670,\"name\":\"未感不适\",\"questionId\":40201,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44671,\"name\":\"有多饮\",\"questionId\":40201,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44672,\"name\":\"有多食\",\"questionId\":40201,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44673,\"name\":\"有多尿\",\"questionId\":40201,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40204,\"name\":\"体健\",\"tagName\":\"体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40205,\"name\":\"均体健\",\"tagName\":\"均体健\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40207,\"name\":\"家族遗传病及特殊疾病史\",\"tagName\":\"家族遗传病及特殊疾病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43520,\"name\":\"无家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43521,\"name\":\"无同样疾病\",\"questionId\":40207,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43572,\"name\":\"否认族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43574,\"name\":\"否认样疾病\",\"questionId\":40207,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43356,\"name\":\"有家族遗传病及特殊疾病史\",\"questionId\":40207,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43357,\"name\":\"有同样疾病\",\"questionId\":40207,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40208,\"name\":\"患有糖尿病\",\"tagName\":\"患有糖尿病\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43358,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43359,\"name\":\"血友病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43360,\"name\":\"遗传性多囊肾\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43361,\"name\":\"先天性聋哑\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43362,\"name\":\"21三体综合征\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43363,\"name\":\"苯丙酮尿症\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43364,\"name\":\"地中海贫血\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43365,\"name\":\"先天性心脏病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43366,\"name\":\"糖尿病\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43367,\"name\":\"原发性高血压\",\"questionId\":40208,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40175,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":40350,\"name\":\"家族相关传染病史\",\"tagName\":\"家族相关传染病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40179,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43343,\"name\":\"父母\",\"questionId\":40179,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43344,\"name\":\"父母兄弟姐妹\",\"questionId\":40179,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43345,\"name\":\"父亲\",\"questionId\":40179,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43346,\"name\":\"母亲\",\"questionId\":40179,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43347,\"name\":\"哥哥\",\"questionId\":40179,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43348,\"name\":\"姐姐\",\"questionId\":40179,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43349,\"name\":\"弟弟\",\"questionId\":40179,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43350,\"name\":\"妹妹\",\"questionId\":40179,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43351,\"name\":\"直系亲属中\",\"questionId\":40179,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43691,\"name\":\"家族中\",\"questionId\":40179,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[{\"id\":40191,\"name\":\"父母\",\"tagName\":\"父母\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40192,\"name\":\"父母兄弟姐妹无同样疾病\",\"tagName\":\"父母兄弟姐妹无同样疾病\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40193,\"name\":\"父亲\",\"tagName\":\"父亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40194,\"name\":\"母亲\",\"tagName\":\"母亲\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40195,\"name\":\"哥哥\",\"tagName\":\"哥哥\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40196,\"name\":\"姐姐\",\"tagName\":\"姐姐\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40197,\"name\":\"弟弟\",\"tagName\":\"弟弟\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40198,\"name\":\"妹妹\",\"tagName\":\"妹妹\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40199,\"name\":\"直系亲属中\",\"tagName\":\"直系亲属中\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40351,\"name\":\"否认家族性传染病史\",\"tagName\":\"否认家族性传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43692,\"name\":\"否认家族性传染病史\",\"questionId\":40351,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40206,\"name\":\"有\",\"tagName\":\"有\",\"type\":3,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43355,\"name\":\"无\",\"questionId\":40206,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43586,\"name\":\"否认\",\"questionId\":40206,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43354,\"name\":\"有\",\"questionId\":40206,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43542,\"name\":\"家族有\",\"questionId\":40206,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43519,\"name\":\"患有\",\"questionId\":40206,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40352,\"name\":\"结核\",\"tagName\":\"结核\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43693,\"name\":\"结核\",\"questionId\":40352,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43694,\"name\":\"肝炎\",\"questionId\":40352,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43695,\"name\":\"性病\",\"questionId\":40352,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43696,\"name\":\"艾滋病\",\"questionId\":40352,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40556,\"name\":\"等传染病史\",\"tagName\":\"等传染病史\",\"type\":3,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":44218,\"name\":\"等传染病史\",\"questionId\":40556,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44219,\"name\":\"等病史\",\"questionId\":40556,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":44220,\"name\":\"病史\",\"questionId\":40556,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":40350,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":225,\"name\":\",\",\"tagName\":\",\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":30,\"questionId\":225,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}],\"otherHistoryIsEmpty\":false,\"vital\":[{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":462,\"name\":\"脊柱无畸形,活动自如\",\"tagName\":\"脊柱无畸形,活动自如\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29726,\"name\":\"脊柱无畸形,活动自如-正常\",\"tagName\":\"脊柱无畸形,活动自如-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":697,\"name\":\"脊柱无畸形,活动自如\",\"questionId\":29726,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29727,\"name\":\"脊柱无畸形,活动自如-脊柱\",\"tagName\":\"脊柱无畸形,活动自如-脊柱\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":698,\"name\":\"脊柱\",\"questionId\":29727,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29728,\"name\":\"脊柱无畸形,活动自如-凸\",\"tagName\":\"脊柱无畸形,活动自如-凸\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":699,\"name\":\"前凸\",\"questionId\":29728,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":700,\"name\":\"后凸\",\"questionId\":29728,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":701,\"name\":\"侧凸\",\"questionId\":29728,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29729,\"name\":\"脊柱无畸形,活动自如-压痛\",\"tagName\":\"脊柱无畸形,活动自如-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":703,\"name\":\"无压痛\",\"questionId\":29729,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":702,\"name\":\"有压痛\",\"questionId\":29729,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29730,\"name\":\"脊柱无畸形,活动自如-叩击痛\",\"tagName\":\"脊柱无畸形,活动自如-叩击痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":705,\"name\":\"无叩击痛\",\"questionId\":29730,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":704,\"name\":\"有叩击痛\",\"questionId\":29730,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29731,\"name\":\"脊柱无畸形,活动自如-活动\",\"tagName\":\"脊柱无畸形,活动自如-活动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":707,\"name\":\"活动自如\",\"questionId\":29731,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":706,\"name\":\"活动受限\",\"questionId\":29731,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":708,\"name\":\"僵硬\",\"questionId\":29731,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":462,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29737,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":466,\"name\":\"生理反射存在,病理反射未引出\",\"tagName\":\"生理反射存在,病理反射未引出\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29747,\"name\":\"生理反射存在,病理反射未引出-正常\",\"tagName\":\"生理反射存在,病理反射未引出-正常\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41406,\"name\":\"生理反射存在，病理反射未引出\",\"questionId\":29747,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29748,\"name\":\"生理反射存在,病理反射未引出-第一列\",\"tagName\":\"生理反射存在,病理反射未引出-第一列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41407,\"name\":\"生理反射存在\",\"questionId\":29748,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41408,\"name\":\"生理反射减弱\",\"questionId\":29748,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29749,\"name\":\"生理反射存在,病理反射未引出-第二列\",\"tagName\":\"生理反射存在,病理反射未引出-第二列\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41409,\"name\":\"病理反射未引出\",\"questionId\":29749,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41410,\"name\":\"巴彬斯基征阳性\",\"questionId\":29749,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41411,\"name\":\"奥本海默征阳性\",\"questionId\":29749,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41412,\"name\":\"戈登征阳性\",\"questionId\":29749,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41413,\"name\":\"查多克征阳性\",\"questionId\":29749,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41414,\"name\":\"霍夫曼征阳性\",\"questionId\":29749,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41415,\"name\":\"其他病理反射未引出\",\"questionId\":29749,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29750,\"name\":\"生理反射存在,病理反射未引出-第三列\",\"tagName\":\"生理反射存在,病理反射未引出-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41416,\"name\":\"脑膜刺激征阴性\",\"questionId\":29750,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41417,\"name\":\"脑膜刺激征阳性\",\"questionId\":29750,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":466,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":465,\"name\":\"四肢肌力肌张力正常\",\"tagName\":\"四肢肌力肌张力正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29744,\"name\":\"四肢肌力肌张力正常-正常\",\"tagName\":\"四肢肌力肌张力正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41354,\"name\":\"四肢肌力肌张力正常\",\"questionId\":29744,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29746,\"name\":\"四肢肌力肌张力正常-肌力级别\",\"tagName\":\"四肢肌力肌张力正常-肌力级别\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41533,\"name\":\"肌力减退\",\"questionId\":29746,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41529,\"name\":\"肌力0级\",\"questionId\":29746,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41357,\"name\":\"肌力Ⅰ级\",\"questionId\":29746,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41402,\"name\":\"肌力Ⅱ级\",\"questionId\":29746,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41403,\"name\":\"肌力Ⅲ级\",\"questionId\":29746,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41404,\"name\":\"肌力Ⅳ级\",\"questionId\":29746,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41405,\"name\":\"肌力Ⅴ级\",\"questionId\":29746,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29745,\"name\":\"四肢肌力肌张力正常-肌张力减退\",\"tagName\":\"四肢肌力肌张力正常-肌张力减退\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"，\",\"questionDetailList\":[{\"id\":41355,\"name\":\"肌张力减退\",\"questionId\":29745,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41356,\"name\":\"肌张力增高\",\"questionId\":29745,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":465,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":428,\"name\":\"发育正常\",\"tagName\":\"发育正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":628,\"name\":\"发育正常\",\"questionId\":428,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":629,\"name\":\"发育异常\",\"questionId\":428,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":630,\"name\":\"发育延迟\",\"questionId\":428,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":631,\"name\":\"发育迟滞\",\"questionId\":428,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":428,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":429,\"name\":\"营养中等\",\"tagName\":\"营养中等\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":632,\"name\":\"营养中等\",\"questionId\":429,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":633,\"name\":\"营养良好\",\"questionId\":429,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":634,\"name\":\"营养不良\",\"questionId\":429,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":635,\"name\":\"营养肥胖\",\"questionId\":429,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":429,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\",\"showInCheck\":true},{\"id\":40769,\"name\":\"步入病史\",\"tagName\":\"步入病史\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47807,\"name\":\"步入病史\",\"questionId\":40769,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47808,\"name\":\"推入病史\",\"questionId\":40769,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40769,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null,\"showInCheck\":true},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40770,\"name\":\"自动体位\",\"tagName\":\"自动体位\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47809,\"name\":\"自动体位\",\"questionId\":40770,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47810,\"name\":\"角弓反张强迫体位\",\"questionId\":40770,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40770,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40771,\"name\":\"正常面容\",\"tagName\":\"正常面容\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":47811,\"name\":\"正常面容\",\"questionId\":40771,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47812,\"name\":\"急性病容\",\"questionId\":40771,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":47813,\"name\":\"慢性病容\",\"questionId\":40771,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40771,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":423,\"name\":\"有高脂血症病史\",\"tagName\":\"有高脂血症病史\",\"type\":3,\"controlType\":0,\"subType\":1,\"itemType\":0,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":423,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"id\":434,\"name\":\"查体合作\",\"tagName\":\"查体合作\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":474,\"name\":\"查体合作\",\"questionId\":434,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":475,\"name\":\"查体不合作\",\"questionId\":434,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":434,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":435,\"name\":\"皮肤粘膜无黄染\",\"tagName\":\"皮肤粘膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41440,\"name\":\"皮肤粘膜无黄染\",\"questionId\":435,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41441,\"name\":\"皮肤粘膜黄染\",\"questionId\":435,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41442,\"name\":\"面色苍白\",\"questionId\":435,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41443,\"name\":\"嘴唇发绀\",\"questionId\":435,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41444,\"name\":\"皮肤潮红\",\"questionId\":435,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41445,\"name\":\"皮肤黝黑\",\"questionId\":435,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41446,\"name\":\"可见色素沉着\",\"questionId\":435,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":435,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24864,\"name\":\"皮疹\",\"tagName\":\"皮疹\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40331,\"name\":\"发作部位\",\"tagName\":\"皮疹-发作部位\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40334,\"name\":\"部位\",\"tagName\":\"皮疹-发作部位-部位\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43627,\"name\":\"面部\",\"questionId\":40334,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43628,\"name\":\"耳后\",\"questionId\":40334,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43629,\"name\":\"发际\",\"questionId\":40334,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43630,\"name\":\"胸背\",\"questionId\":40334,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43631,\"name\":\"颈\",\"questionId\":40334,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43632,\"name\":\"口腔内\",\"questionId\":40334,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43633,\"name\":\"四肢\",\"questionId\":40334,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43634,\"name\":\"咽峡\",\"questionId\":40334,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43635,\"name\":\"全身\",\"questionId\":40334,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43636,\"name\":\"鼻梁\",\"questionId\":40334,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43637,\"name\":\"双颊\",\"questionId\":40334,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40335,\"name\":\"性状\",\"tagName\":\"皮疹-发作部位-性状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43638,\"name\":\"斑疹\",\"questionId\":40335,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43639,\"name\":\"丘疹\",\"questionId\":40335,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43640,\"name\":\"水疱\",\"questionId\":40335,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43641,\"name\":\"脓疱\",\"questionId\":40335,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43642,\"name\":\"风团\",\"questionId\":40335,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43643,\"name\":\"结节\",\"questionId\":40335,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43644,\"name\":\"溃疡\",\"questionId\":40335,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43645,\"name\":\"红斑\",\"questionId\":40335,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43646,\"name\":\"白斑\",\"questionId\":40335,\"orderNo\":9,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43647,\"name\":\"玫瑰疹\",\"questionId\":40335,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43648,\"name\":\"蝶形红斑\",\"questionId\":40335,\"orderNo\":11,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40332,\"name\":\"发作特征\",\"tagName\":\"皮疹-发作特征\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40336,\"name\":\"呈\",\"tagName\":\"皮疹-发作特征-呈\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43649,\"name\":\"呈\",\"questionId\":40336,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40337,\"name\":\"形状\",\"tagName\":\"皮疹-发作特征-形状\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43650,\"name\":\"对称性分布\",\"questionId\":40337,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43651,\"name\":\"全身性\",\"questionId\":40337,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43652,\"name\":\"簇状\",\"questionId\":40337,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43653,\"name\":\"带状排列\",\"questionId\":40337,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43654,\"name\":\"散发\",\"questionId\":40337,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43655,\"name\":\"不对称分布\",\"questionId\":40337,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40338,\"name\":\"局部\",\"tagName\":\"皮疹-发作特征-局部\",\"type\":1,\"controlType\":1,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43656,\"name\":\"局部\",\"questionId\":40338,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40339,\"name\":\"特征\",\"tagName\":\"皮疹-发作特征-特征\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43657,\"name\":\"发红\",\"questionId\":40339,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43658,\"name\":\"瘙痒\",\"questionId\":40339,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43659,\"name\":\"发热\",\"questionId\":40339,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43660,\"name\":\"疼痛\",\"questionId\":40339,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40333,\"name\":\"伴随症状\",\"tagName\":\"皮疹-伴随症状\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":40340,\"name\":\"疹间皮肤正常\",\"tagName\":\"皮疹-伴随症状-疹间皮肤正常\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43661,\"name\":\"疹间皮肤正常\",\"questionId\":40340,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40341,\"name\":\"伴/无\",\"tagName\":\"皮疹-伴随症状-伴/无\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43662,\"name\":\"伴\",\"questionId\":40341,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43663,\"name\":\"无\",\"questionId\":40341,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":40342,\"name\":\"症状\",\"tagName\":\"皮疹-伴随症状-症状\",\"type\":1,\"controlType\":2,\"subType\":1,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43664,\"name\":\"痉痒感\",\"questionId\":40342,\"orderNo\":1,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43665,\"name\":\"头痛\",\"questionId\":40342,\"orderNo\":2,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43666,\"name\":\"心慌\",\"questionId\":40342,\"orderNo\":3,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43667,\"name\":\"灼热感\",\"questionId\":40342,\"orderNo\":4,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43668,\"name\":\"关节痛\",\"questionId\":40342,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43669,\"name\":\"无脱屑及色素沉着\",\"questionId\":40342,\"orderNo\":6,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43670,\"name\":\"咽痛\",\"questionId\":40342,\"orderNo\":7,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43671,\"name\":\"腹泻\",\"questionId\":40342,\"orderNo\":8,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":119,\"name\":\",\",\"tagName\":\",\",\"type\":1,\"controlType\":0,\"subType\":1,\"itemType\":1,\"tagType\":8,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":1,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24864,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":24852,\"name\":\"皮下出血\",\"tagName\":\"皮下出血\",\"type\":1,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":4,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":24852,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":464,\"name\":\"双下肢无水肿\",\"tagName\":\"双下肢无水肿\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29736,\"name\":\"双下肢无水肿-正常\",\"tagName\":\"双下肢无水肿-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41024,\"name\":\"双下肢无水肿\",\"questionId\":29736,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29737,\"name\":\"四肢\",\"tagName\":\"四肢\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41025,\"name\":\"四肢\",\"questionId\":29737,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41026,\"name\":\"双上肢\",\"questionId\":29737,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41027,\"name\":\"双下肢\",\"questionId\":29737,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41028,\"name\":\"左上肢\",\"questionId\":29737,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41029,\"name\":\"右上肢\",\"questionId\":29737,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41030,\"name\":\"左下肢\",\"questionId\":29737,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41031,\"name\":\"右下肢\",\"questionId\":29737,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29738,\"name\":\"双下肢无水肿-凹陷性\",\"tagName\":\"双下肢无水肿-凹陷性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41350,\"name\":\"凹陷性\",\"questionId\":29738,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41351,\"name\":\"非凹陷性\",\"questionId\":29738,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41352,\"name\":\"粘液性\",\"questionId\":29738,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29739,\"name\":\"双下肢无水肿-水肿\",\"tagName\":\"双下肢无水肿-水肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":41353,\"name\":\"水肿\",\"questionId\":29739,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":464,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":437,\"name\":\"头颅五官无畸形\",\"tagName\":\"头颅五官无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29633,\"name\":\"头颅五官无畸形-头颅五官无畸形\",\"tagName\":\"头颅五官无畸形-头颅五官无畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":485,\"name\":\"头颅五官无畸形\",\"questionId\":29633,\"orderNo\":0,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29634,\"name\":\"头颅五官无畸形-畸形\",\"tagName\":\"头颅五官无畸形-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":486,\"name\":\"尖颅畸形\",\"questionId\":29634,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":487,\"name\":\"巨颅畸形\",\"questionId\":29634,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":488,\"name\":\"方颅畸形\",\"questionId\":29634,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29635,\"name\":\"头颅五官无畸形-囟门\",\"tagName\":\"头颅五官无畸形-囟门\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":489,\"name\":\"囟门已闭合\",\"questionId\":29635,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":490,\"name\":\"囟门末闭合\",\"questionId\":29635,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":437,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":282,\"name\":\"结膜无充血\",\"tagName\":\"结膜无充血\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":416,\"name\":\"结膜无充血-眼睑\",\"tagName\":\"结膜无充血-眼睑\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":369,\"name\":\"双眼睑无水肿\",\"questionId\":416,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":368,\"name\":\"双眼睑水肿\",\"questionId\":416,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":283,\"name\":\"结膜无充血-充血\",\"tagName\":\"结膜无充血-充血\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":287,\"name\":\"结膜无充血\",\"questionId\":283,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":302,\"name\":\"结膜有充血\",\"questionId\":283,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":284,\"name\":\"结膜无充血-水肿\",\"tagName\":\"结膜无充血-水肿\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":282,\"name\":\"无水肿\",\"questionId\":284,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":281,\"name\":\"水肿\",\"questionId\":284,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":285,\"name\":\"结膜无充血-苍白\",\"tagName\":\"结膜无充血-苍白\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":284,\"name\":\"无苍白\",\"questionId\":285,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":283,\"name\":\"苍白\",\"questionId\":285,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":286,\"name\":\"结膜无充血-滤泡\",\"tagName\":\"结膜无充血-滤泡\",\"type\":4,\"controlType\":1,\"subType\":1,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":286,\"name\":\"无滤泡\",\"questionId\":286,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":285,\"name\":\"可见滤泡\",\"questionId\":286,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":282,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":438,\"name\":\"巩膜无黄染\",\"tagName\":\"巩膜无黄染\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":491,\"name\":\"巩膜无黄染\",\"questionId\":438,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":492,\"name\":\"巩膜黄染\",\"questionId\":438,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":438,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":439,\"name\":\"角膜透明\",\"tagName\":\"角膜透明\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29636,\"name\":\"角膜透明-角膜透明\",\"tagName\":\"角膜透明-角膜透明\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":493,\"name\":\"角膜透明\",\"questionId\":29636,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29637,\"name\":\"角膜透明-角膜\",\"tagName\":\"角膜透明-角膜\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":494,\"name\":\"角膜\",\"questionId\":29637,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29638,\"name\":\"角膜透明-选项\",\"tagName\":\"角膜透明-选项\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":495,\"name\":\"溃疡\",\"questionId\":29638,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":496,\"name\":\"瘢痕\",\"questionId\":29638,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":497,\"name\":\"色素沉着\",\"questionId\":29638,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":498,\"name\":\"云翳\",\"questionId\":29638,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":499,\"name\":\"白斑\",\"questionId\":29638,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":500,\"name\":\"浑浊\",\"questionId\":29638,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":501,\"name\":\"透明\",\"questionId\":29638,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":439,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":440,\"name\":\"耳廓无畸形,外耳道无溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29639,\"name\":\"耳廓无畸形,外耳道无溢液-正常\",\"tagName\":\"耳廓无畸形,外耳道无溢液-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":502,\"name\":\"耳廓无畸形，外耳道无溢液\",\"questionId\":29639,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29640,\"name\":\"耳廓无畸形,外耳道无溢液-左右双\",\"tagName\":\"耳廓无畸形,外耳道无溢液-左右双\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":503,\"name\":\"双\",\"questionId\":29640,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":504,\"name\":\"左\",\"questionId\":29640,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":505,\"name\":\"右\",\"questionId\":29640,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29641,\"name\":\"耳廓无畸形,外耳道无溢液-畸形\",\"tagName\":\"耳廓无畸形,外耳道无溢液-畸形\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":506,\"name\":\"耳廓无畸形\",\"questionId\":29641,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":507,\"name\":\"耳廓畸形\",\"questionId\":29641,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29642,\"name\":\"耳廓无畸形,外耳道无溢液-溢液\",\"tagName\":\"耳廓无畸形,外耳道无溢液-溢液\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":508,\"name\":\"外耳道无溢液\",\"questionId\":29642,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":509,\"name\":\"外耳道溢液\",\"questionId\":29642,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":510,\"name\":\"溢淡黄色液体\",\"questionId\":29642,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29643,\"name\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-牵拉痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":511,\"name\":\"无牵拉痛\",\"questionId\":29643,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":512,\"name\":\"有牵拉痛\",\"questionId\":29643,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29644,\"name\":\"耳廓无畸形,外耳道无溢液-压痛\",\"tagName\":\"耳廓无畸形,外耳道无溢液-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":513,\"name\":\"乳突区无压痛\",\"questionId\":29644,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":514,\"name\":\"乳突区压痛\",\"questionId\":29644,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":440,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":441,\"name\":\"外鼻无畸形\",\"tagName\":\"外鼻无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29647,\"name\":\"外鼻无畸形-正常\",\"tagName\":\"外鼻无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":516,\"name\":\"外鼻无畸形\",\"questionId\":29647,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29648,\"name\":\"外鼻无畸形-鼻型\",\"tagName\":\"外鼻无畸形-鼻型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":517,\"name\":\"鞍鼻\",\"questionId\":29648,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":518,\"name\":\"酒糟鼻\",\"questionId\":29648,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29649,\"name\":\"外鼻无畸形-煽动\",\"tagName\":\"外鼻无畸形-煽动\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":519,\"name\":\"鼻翼无煽动\",\"questionId\":29649,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":520,\"name\":\"鼻翼煽动\",\"questionId\":29649,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29650,\"name\":\"外鼻无畸形-分泌物\",\"tagName\":\"外鼻无畸形-分泌物\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":521,\"name\":\"鼻腔无异常分泌物\",\"questionId\":29650,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":522,\"name\":\"鼻腔可见黄色分泌物\",\"questionId\":29650,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":523,\"name\":\"鼻腔可见异常分泌物\",\"questionId\":29650,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29651,\"name\":\"外鼻无畸形-偏曲\",\"tagName\":\"外鼻无畸形-偏曲\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":524,\"name\":\"鼻中隔无偏曲\",\"questionId\":29651,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":525,\"name\":\"鼻中隔向左偏曲\",\"questionId\":29651,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":526,\"name\":\"鼻中隔向右偏曲\",\"questionId\":29651,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29652,\"name\":\"外鼻无畸形-压痛\",\"tagName\":\"外鼻无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":527,\"name\":\"鼻窦区无压痛\",\"questionId\":29652,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":528,\"name\":\"鼻窦区有轻度压痛\",\"questionId\":29652,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":441,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":443,\"name\":\"颈软\",\"tagName\":\"颈软\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":529,\"name\":\"颈软\",\"questionId\":443,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":530,\"name\":\"颈强直\",\"questionId\":443,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":531,\"name\":\"颈部僵硬，活动受限\",\"questionId\":443,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":443,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":445,\"name\":\"甲状腺无肿大\",\"tagName\":\"甲状腺无肿大\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29657,\"name\":\"甲状腺无肿大-正常\",\"tagName\":\"甲状腺无肿大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":562,\"name\":\"甲状腺无肿大\",\"questionId\":29657,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29658,\"name\":\"甲状腺无肿大-肿大\",\"tagName\":\"甲状腺无肿大-肿大\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":563,\"name\":\"甲状腺轻度肿大\",\"questionId\":29658,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":564,\"name\":\"甲状腺肿大\",\"questionId\":29658,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29659,\"name\":\"甲状腺无肿大-质地\",\"tagName\":\"甲状腺无肿大-质地\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":565,\"name\":\"质硬\",\"questionId\":29659,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":566,\"name\":\"质软\",\"questionId\":29659,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29660,\"name\":\"甲状腺无肿大-压痛\",\"tagName\":\"甲状腺无肿大-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":567,\"name\":\"有压痛\",\"questionId\":29660,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":568,\"name\":\"无压痛\",\"questionId\":29660,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29661,\"name\":\"甲状腺无肿大-震颤\",\"tagName\":\"甲状腺无肿大-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":569,\"name\":\"有震颤\",\"questionId\":29661,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":570,\"name\":\"无震颤\",\"questionId\":29661,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29662,\"name\":\"甲状腺无肿大-血管杂音\",\"tagName\":\"甲状腺无肿大-血管杂音\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":571,\"name\":\"有血管杂音\",\"questionId\":29662,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":572,\"name\":\"无血管杂音\",\"questionId\":29662,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":445,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":446,\"name\":\"胸廓对称无畸形\",\"tagName\":\"胸廓对称无畸形\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29665,\"name\":\"胸廓对称无畸形-正常\",\"tagName\":\"胸廓对称无畸形-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":584,\"name\":\"胸廓对称无畸形\",\"questionId\":29665,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29666,\"name\":\"胸廓对称无畸形-胸廓对称\",\"tagName\":\"胸廓对称无畸形-胸廓对称\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":585,\"name\":\"胸廓对称\",\"questionId\":29666,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":586,\"name\":\"胸廓不对称\",\"questionId\":29666,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29667,\"name\":\"胸廓对称无畸形-胸型\",\"tagName\":\"胸廓对称无畸形-胸型\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":587,\"name\":\"呈鸡胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":589,\"name\":\"呈桶状胸\",\"questionId\":29667,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":588,\"name\":\"呈漏洞胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":590,\"name\":\"呈扁平胸\",\"questionId\":29667,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29668,\"name\":\"胸廓对称无畸形-隆起塌陷\",\"tagName\":\"胸廓对称无畸形-隆起塌陷\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":591,\"name\":\"可见局部隆起\",\"questionId\":29668,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":592,\"name\":\"可见局部塌陷\",\"questionId\":29668,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29669,\"name\":\"胸廓对称无畸形-皮下气肿\",\"tagName\":\"胸廓对称无畸形-皮下气肿\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":593,\"name\":\"有皮下气肿\",\"questionId\":29669,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":594,\"name\":\"无皮下气肿\",\"questionId\":29669,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29670,\"name\":\"胸廓对称无畸形-压痛\",\"tagName\":\"胸廓对称无畸形-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":595,\"name\":\"胸骨有压痛\",\"questionId\":29670,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":596,\"name\":\"胸骨无压痛\",\"questionId\":29670,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":446,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40414,\"name\":\"未闻及明显干湿啰音-部位\",\"tagName\":\"未闻及明显干湿啰音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43852,\"name\":\"双肺\",\"questionId\":40414,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43853,\"name\":\"左肺\",\"questionId\":40414,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43854,\"name\":\"左上肺\",\"questionId\":40414,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43855,\"name\":\"左下肺\",\"questionId\":40414,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43856,\"name\":\"右肺\",\"questionId\":40414,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43857,\"name\":\"右上肺\",\"questionId\":40414,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43858,\"name\":\"右中肺\",\"questionId\":40414,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43859,\"name\":\"右下肺\",\"questionId\":40414,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43860,\"name\":\"肺底\",\"questionId\":40414,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40414,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":40406,\"name\":\"叩呈清音-部位\",\"tagName\":\"叩呈清音-部位\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":43822,\"name\":\"双肺\",\"questionId\":40406,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43823,\"name\":\"左肺\",\"questionId\":40406,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43824,\"name\":\"左上肺\",\"questionId\":40406,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43825,\"name\":\"左下肺\",\"questionId\":40406,\"orderNo\":40,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43826,\"name\":\"右肺\",\"questionId\":40406,\"orderNo\":50,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43827,\"name\":\"右上肺\",\"questionId\":40406,\"orderNo\":60,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43829,\"name\":\"右中肺\",\"questionId\":40406,\"orderNo\":70,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43830,\"name\":\"右下肺\",\"questionId\":40406,\"orderNo\":80,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43831,\"name\":\"肺底\",\"questionId\":40406,\"orderNo\":90,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":40406,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29690,\"name\":\"心前区无异常隆起-隆起\",\"tagName\":\"心前区无异常隆起-隆起\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":644,\"name\":\"心前区无异常隆起\",\"questionId\":29690,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43394,\"name\":\"心前区异常隆起\",\"questionId\":29690,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29690,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29691,\"name\":\"心前区无异常隆起-搏动\",\"tagName\":\"心前区无异常隆起-搏动\",\"type\":4,\"controlType\":2,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":645,\"name\":\"未见心尖异常搏动\",\"questionId\":29691,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43395,\"name\":\"可见心尖异常搏动\",\"questionId\":29691,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":646,\"name\":\"心尖搏动强度和范围异常偏大\",\"questionId\":29691,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29691,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29693,\"name\":\"心前区无异常隆起-震颤\",\"tagName\":\"心前区无异常隆起-震颤\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":649,\"name\":\"无震颤\",\"questionId\":29693,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":650,\"name\":\"可扪及震颤\",\"questionId\":29693,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29693,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29694,\"name\":\"心前区无异常隆起-摩擦感\",\"tagName\":\"心前区无异常隆起-摩擦感\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":651,\"name\":\"无心包摩擦感\",\"questionId\":29694,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":652,\"name\":\"可扪及心膜摩擦感\",\"questionId\":29694,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29694,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":29677,\"name\":\"心界无扩大-正常\",\"tagName\":\"心界无扩大-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":597,\"name\":\"心界无扩大\",\"questionId\":29677,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":29677,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":455,\"name\":\"腹部平坦\",\"tagName\":\"腹部平坦\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29733,\"name\":\"腹部平坦-第一列\",\"tagName\":\"腹部平坦-第一列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":710,\"name\":\"腹部\",\"questionId\":29733,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43407,\"name\":\"全腹\",\"questionId\":29733,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29734,\"name\":\"腹部平坦-第二列\",\"tagName\":\"腹部平坦-第二列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":43408,\"name\":\"平坦\",\"questionId\":29734,\"orderNo\":5,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":713,\"name\":\"膨隆\",\"questionId\":29734,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":714,\"name\":\"呈舟状腹\",\"questionId\":29734,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29735,\"name\":\"腹部平坦-第三列\",\"tagName\":\"腹部平坦-第三列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":715,\"name\":\"可见局部凹陷\",\"questionId\":29735,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41518,\"name\":\"可见局部隆起\",\"questionId\":29735,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29768,\"name\":\"腹部平坦-第四列\",\"tagName\":\"腹部平坦-第四列\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41523,\"name\":\"未见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":43409,\"name\":\"可见胃肠型和蠕动波\",\"questionId\":29768,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":455,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":456,\"name\":\"全腹软,无压痛、反跳痛及肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":498,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":429,\"name\":\"全腹软，无压痛、反跳痛及肌紧张\",\"questionId\":498,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":499,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-部位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":430,\"name\":\"全腹软\",\"questionId\":499,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":500,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":431,\"name\":\"无压痛\",\"questionId\":500,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":432,\"name\":\"有压痛\",\"questionId\":500,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":501,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无反跳痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":433,\"name\":\"无反跳痛\",\"questionId\":501,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":434,\"name\":\"有反跳痛\",\"questionId\":501,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":502,\"name\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"tagName\":\"全腹软,无压痛、反跳痛及肌紧张-有无肌紧张\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":435,\"name\":\"无肌紧张\",\"questionId\":502,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":436,\"name\":\"有肌紧张\",\"questionId\":502,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":456,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":459,\"name\":\"移动性浊音阴性\",\"tagName\":\"移动性浊音阴性\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":685,\"name\":\"移动性浊音阴性\",\"questionId\":459,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":686,\"name\":\"移动性浊音阳性\",\"questionId\":459,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":459,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":458,\"name\":\"肾区无叩痛\",\"tagName\":\"肾区无叩痛\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":29720,\"name\":\"肾区无叩痛-方位\",\"tagName\":\"肾区无叩痛-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":679,\"name\":\"左侧\",\"questionId\":29720,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":680,\"name\":\"右侧\",\"questionId\":29720,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":681,\"name\":\"双侧\",\"questionId\":29720,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29719,\"name\":\"肾区无叩痛-肾区\",\"tagName\":\"肾区无叩痛-肾区\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":678,\"name\":\"肾区\",\"questionId\":29719,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29721,\"name\":\"肾区无叩痛-叩痛\",\"tagName\":\"肾区无叩痛-叩痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":41527,\"name\":\"无叩痛\",\"questionId\":29721,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":682,\"name\":\"有叩痛\",\"questionId\":29721,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":29722,\"name\":\"肾区无叩痛-压痛\",\"tagName\":\"肾区无叩痛-压痛\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":1,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":683,\"name\":\"无压痛\",\"questionId\":29722,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":41528,\"name\":\"有压痛\",\"questionId\":29722,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":458,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"},{\"id\":460,\"name\":\"肠鸣音正常\",\"tagName\":\"肠鸣音正常\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":2,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"0\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":515,\"name\":\"肠鸣音正常-正常\",\"tagName\":\"肠鸣音正常-正常\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":1,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":1,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":455,\"name\":\"肠鸣音正常\",\"questionId\":515,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":516,\"name\":\"肠鸣音正常-输入\",\"tagName\":\"肠鸣音正常-输入\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":456,\"name\":\"肠鸣音( )次/分\",\"questionId\":516,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":517,\"name\":\"肠鸣音正常-性质\",\"tagName\":\"肠鸣音正常-性质\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\",\",\"questionDetailList\":[{\"id\":452,\"name\":\"肠鸣音亢进\",\"questionId\":517,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":453,\"name\":\"肠鸣音减弱\",\"questionId\":517,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":454,\"name\":\"肠鸣音消失\",\"questionId\":517,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":460,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null},{\"tagType\":\"8\",\"id\":\"\",\"name\":\"\"}],\"checkBodyIsEmpty\":false,\"pacs\":[{\"name\":\"心电图\",\"questionId\":23488,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"胸部X线\",\"questionId\":369,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"心脏彩超(CDFI)\",\"questionId\":23495,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"腹部彩超\",\"questionId\":22494,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"四肢多普勒血流图\",\"questionId\":23296,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢彩超\",\"questionId\":23421,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"肌电图\",\"questionId\":22642,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"眼底照相\",\"questionId\":23595,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"血压监测\",\"questionId\":23566,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢动脉彩色多普勒超声检查\",\"questionId\":23423,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢浅静脉彩色多普勒超声检查\",\"questionId\":23442,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"下肢深静脉彩色多普勒超声检查\",\"questionId\":23444,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"泌尿系统彩超\",\"questionId\":22939,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"颈部淋巴结彩超(CDFI)\",\"questionId\":22789,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"子宫附件彩超(CDFI)\",\"questionId\":23722,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"},{\"name\":\"颈椎MRI\",\"questionId\":22829,\"showType\":1,\"time\":\"2019-04-24\",\"value\":\"\"}],\"diag\":[{\"id\":20718,\"name\":\"肺结核\",\"showType\":3,\"retrievalName\":\"血行播散型肺结核\",\"type\":2,\"treat\":{\"commonTreatment\":{\"content\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。<br/>2.保护易感人群，接种卡介苗是预防结核病最有效的办法。<br/>3.切断传播途径，保持室内通风，不随地吐痰。<br/>4.宜食用高热量、高蛋白、高脂肪、高维生素食物。<br/><br/>\",\"text\":\"1.消灭传染源，建立结核病监测网络，及时发现病人，积极彻底治疗。2.保护易感人群，接种卡介苗是预防结核病最有效的办法。3.切断传播途径，保持室内通风，不随地吐痰。4.宜食用高热量、高蛋白、高脂肪、高维生素食物。\"},\"surgeryTreatment\":{\"content\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\",\"text\":\"对大于3厘米的结核球与肺癌难以鉴别时，复治的单侧纤维厚壁空洞、长期内科治疗未能使痰菌转阴者，或单侧的毁损肺伴支气管扩张、已丧失功能并有反复咯血或继发感染者。\"},\"treatment\":[],\"followUp\":null,\"drugHistory\":null,\"adverseReactions\":[{\"id\":40772,\"name\":\"低血糖反应\",\"tagName\":\"低血糖反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]},{\"id\":40773,\"name\":\"胃肠道不良反应\",\"tagName\":\"胃肠道不良反应\",\"showInfo\":\"0\",\"controlType\":2,\"details\":[{\"name\":\"否\",\"value\":0},{\"name\":\"是\",\"value\":0},{\"name\":\"轻度\",\"value\":0},{\"name\":\"中度\",\"value\":0},{\"name\":\"重度\",\"value\":0},{\"name\":\"偶尔\",\"value\":0},{\"name\":\"频繁\",\"value\":0}]}]}}],\"advice\":{},\"mainSuitSelecteds\":[],\"currentIllSelecteds\":[],\"otherHistorySelecteds\":[],\"checkBodySelecteds\":[],\"addItems\":{\"376\":{\"id\":376,\"name\":\"瞳孔\",\"tagName\":\"瞳孔\",\"type\":4,\"controlType\":0,\"subType\":0,\"itemType\":0,\"tagType\":3,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":null,\"showAdd\":\"1\",\"formPosition\":null,\"textGenerate\":0,\"symptomType\":null,\"exclusionType\":null,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[{\"id\":380,\"name\":\"双侧瞳孔\",\"tagName\":\"瞳孔-方位\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":303,\"name\":\"双侧瞳孔\",\"questionId\":380,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":304,\"name\":\"左侧瞳孔\",\"questionId\":380,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":305,\"name\":\"右侧瞳孔\",\"questionId\":380,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":385,\"name\":\"等大等圆\",\"tagName\":\"瞳孔-形态\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\",\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":306,\"name\":\"等大等圆\",\"questionId\":385,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":307,\"name\":\"散大\",\"questionId\":385,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":308,\"name\":\"呈针尖样\",\"questionId\":385,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":387,\"name\":\"(填写)\",\"tagName\":\"瞳孔-直径\",\"type\":4,\"controlType\":7,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"直径约\",\"labelSuffix\":\"mm,\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null},{\"id\":388,\"name\":\"光反射灵敏\",\"tagName\":\"瞳孔-反应\",\"type\":4,\"controlType\":1,\"subType\":0,\"itemType\":0,\"tagType\":1,\"labelPrefix\":\"\",\"labelSuffix\":\"\",\"minValue\":null,\"maxValue\":null,\"position\":0,\"showAdd\":\"0\",\"formPosition\":0,\"textGenerate\":0,\"symptomType\":0,\"exclusionType\":0,\"copyType\":0,\"showInfo\":0,\"joint\":\"\",\"questionDetailList\":[{\"id\":309,\"name\":\"对光反射灵敏\",\"questionId\":388,\"orderNo\":10,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":310,\"name\":\"对光反射迟钝\",\"questionId\":388,\"orderNo\":20,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0},{\"id\":311,\"name\":\"对光反射消失\",\"questionId\":388,\"orderNo\":30,\"code\":0,\"defaultSelect\":\"0\",\"remark\":null,\"abnormal\":0}],\"questionMapping\":[],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null}],\"uniqueName\":null,\"formulaCode\":null,\"remark\":null,\"prefix\":\"\",\"suffix\":\"\",\"moduleId\":32,\"questionId\":376,\"flag\":\"\",\"relationModule\":null,\"relationModuleName\":null}},\"mainsuitIds\":[],\"mainChronicDesease\":{\"name\":\"糖尿病\",\"id\":21773},\"diagChronicMagItem\":{},\"currentIds\":[],\"isFirstMainDiag\":true}'', null);

-- ----------------------------
-- Table structure for icss_version_detail
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_detail`;
CREATE TABLE `icss_version_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `version_id` bigint(30) DEFAULT NULL COMMENT ''版本主表id'',
  `title` varchar(200) DEFAULT NULL COMMENT ''标题'',
  `description` text COMMENT ''描述'',
  `order_no` varchar(5) DEFAULT NULL COMMENT ''排序号'',
  `status` varchar(5) DEFAULT NULL COMMENT ''1：启动，0：不启用'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT=''版本详情(关于)'';

-- ----------------------------
-- Records of icss_version_detail
-- ----------------------------
INSERT INTO `icss_version_detail` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''4'', ''4'', ''2'', ''即将发布'', ''测试测试测试测试测试测试测试测试'', ''1'', ''1'', null);
INSERT INTO `icss_version_detail` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''2018-12-04 14:11:26'', ''5'', ''5'', ''3'', ''1.即将发布'', ''即将发布'', ''1'', ''1'', ''string'');
INSERT INTO `icss_version_detail` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''5'', ''5'', ''3'', ''2.医学数据更新'', ''2.1 部分基础元素库数据修改<br />\r\n\r\n2.2 部分疾病诊断依据修改<br />'', ''2'', ''1'', null);
INSERT INTO `icss_version_detail` VALUES (''8'', ''N'', ''2018-12-04 14:24:46'', ''1970-01-01 12:00:00'', ''4'', ''4'', ''2'', ''3.发布信息'', ''string'', ''99'', ''1'', ''string'');
INSERT INTO `icss_version_detail` VALUES (''9'', ''N'', ''2018-12-04 14:40:22'', ''2018-12-11 14:56:32'', ''1'', ''1'', ''1'', ''1.系统设置管理'', ''1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />1.1).	设置病历输入方式<br />\r\n1.2).	版本信息：当前系统版本及更新内容的文字描述<br />\r\n1.3).	免责声明：展示免责条款和内容<br />\r\n1.4).	使用帮助：<br />\r\n1.5).	意见反馈：<br />\r\n1.6).	字体调整：<br />'', ''1'', ''1'', ''string'');
INSERT INTO `icss_version_detail` VALUES (''12'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''0'', ''0'', ''1'', ''2.电子病历模块'', ''2.1) 电子病历管理模块主要包括患者信息的获取和历史就诊记录信息展示以及患者病情信息采集和病历模板管理。'', ''2'', ''1'', null);

-- ----------------------------
-- Table structure for icss_version_info
-- ----------------------------
DROP TABLE IF EXISTS `icss_version_info`;
CREATE TABLE `icss_version_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT ''N'' COMMENT ''是否删除,N:未删除，Y:删除'',
  `gmt_create` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录创建时间'',
  `gmt_modified` datetime NOT NULL DEFAULT ''1970-01-01 12:00:00'' COMMENT ''记录修改时间,如果时间是1970年则表示纪录未修改'',
  `creator` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''创建人，0表示无创建人值'',
  `modifier` varchar(20) NOT NULL DEFAULT ''0'' COMMENT ''修改人,如果为0则表示纪录未修改'',
  `name` varchar(200) DEFAULT NULL COMMENT ''名称'',
  `refresh_time` date DEFAULT NULL,
  `status` varchar(5) DEFAULT NULL COMMENT ''1：启动，0：不启用'',
  `remark` varchar(128) DEFAULT NULL COMMENT ''备注'',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT=''版本信息(关于)'';

-- ----------------------------
-- Records of icss_version_info
-- ----------------------------
INSERT INTO `icss_version_info` VALUES (''1'', ''N'', ''1970-01-01 12:00:00'', ''2018-12-03 15:45:18'', ''1'', ''1'', ''ICSS 5.0'', ''2018-12-24'', ''1'', ''string'');
INSERT INTO `icss_version_info` VALUES (''2'', ''N'', ''1970-01-01 12:00:00'', ''1970-01-01 12:00:00'', ''4'', ''4'', ''ICSS 1.1'', ''2018-11-07'', ''1'', null);
INSERT INTO `icss_version_info` VALUES (''3'', ''N'', ''1970-01-01 12:00:00'', ''2018-11-29 15:58:13'', ''5'', ''5'', ''ICSS 1.2'', ''2018-12-20'', ''1'', ''string'');
INSERT INTO `icss_version_info` VALUES (''9'', ''N'', ''1970-01-01 12:00:00'', ''2018-12-11 14:55:27'', ''0'', ''1'', ''ICSS 1.3'', ''2018-09-04'', ''1'', null);

-- ----------------------------
-- Function structure for fnStripTags
-- ----------------------------
DROP FUNCTION IF EXISTS `fnStripTags`;
DELIMITER ;;
CREATE DEFINER=`root`@`%` FUNCTION `fnStripTags`( Dirty mediumtext ) RETURNS mediumtext CHARSET utf8
    DETERMINISTIC
BEGIN
  DECLARE iStart, iEnd, iLength int;
    WHILE Locate( ''<'', Dirty ) > 0 And Locate( ''>'', Dirty, Locate( ''<'', Dirty )) > 0 DO
      BEGIN
        SET iStart = Locate( ''<'', Dirty ), iEnd = Locate( ''>'', Dirty, Locate(''<'', Dirty ));
        SET iLength = ( iEnd - iStart) + 1;
        IF iLength > 0 THEN
          BEGIN
            SET Dirty = Insert( Dirty, iStart, iLength, '''');
          END;
        END IF;
      END;
    END WHILE;
    RETURN Dirty;
END
;;
DELIMITER ;




drop database if exists `sys-tran`;
CREATE DATABASE `sys-tran`  DEFAULT CHARSET utf8 COLLATE utf8_general_ci;
use `sys-tran`;

-- ----------------------------
-- Table structure for tran_disease_icd
-- ----------------------------
DROP TABLE IF EXISTS `tran_disease_icd`;
CREATE TABLE `tran_disease_icd` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(30) DEFAULT NULL COMMENT '医院编码',
  `disease_name` varchar(200) DEFAULT NULL COMMENT 'HIS疾病名称',
  `icd` varchar(30) DEFAULT NULL COMMENT 'icd编码',
  `status` varchar(5) NOT NULL DEFAULT '1' COMMENT '状态(1:有效)',
  `concept_dis_name` varchar(200) DEFAULT NULL COMMENT '朗通疾病名称',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='各医院对应的诊断icd';

-- ----------------------------
-- Records of tran_disease_icd
-- ----------------------------
INSERT INTO `tran_disease_icd` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_高血压', 'ICD_1', '1', '高血压', null);
INSERT INTO `tran_disease_icd` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_糖尿病', 'ICD_2', '1', '糖尿病', null);
INSERT INTO `tran_disease_icd` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_呼吸道感染', 'ICD_3', '1', '呼吸道感染', null);

-- ----------------------------
-- Table structure for tran_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_doctor_info`;
CREATE TABLE `tran_doctor_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_dept_code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院医生编码',
  `name` varchar(32) DEFAULT NULL COMMENT '医生姓名',
  `sex` int(1) DEFAULT NULL COMMENT '医生性别:1男2女',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='医生信息表';

-- ----------------------------
-- Records of tran_doctor_info
-- ----------------------------
INSERT INTO `tran_doctor_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS001', '付', '2', null, '1551515', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS002', '王', '1', null, '22424242', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D01', 'YS003', '顾医生', '1', null, '123456', null, null, null);
INSERT INTO `tran_doctor_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D02', 'YS004', '顾testjdy', '1', '', '123457', '', '', '');
INSERT INTO `tran_doctor_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'D04', 'YS005', '李', '1', null, '12313', null, null, null);

-- ----------------------------
-- Table structure for tran_field_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_field_info`;
CREATE TABLE `tran_field_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `uuid` varchar(60) DEFAULT NULL COMMENT '唯一主键(通常是医院编码:hospitalId)',
  `icss_field` varchar(60) DEFAULT NULL COMMENT 'icss需要的字段',
  `his_field` varchar(60) DEFAULT NULL COMMENT '医院个性化字段',
  `status` varchar(5) DEFAULT NULL COMMENT '状态',
  `remark` varchar(120) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='字段对应表';

-- ----------------------------
-- Records of tran_field_info
-- ----------------------------
INSERT INTO `tran_field_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'patientNo', 'patientNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'doctorNo', 'doctorNo', '1', null);
INSERT INTO `tran_field_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'recordId', 'recordId', '1', null);
INSERT INTO `tran_field_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'hospitalId', 'hospitalId', '1', null);
INSERT INTO `tran_field_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'deptNo', 'deptId', '1', null);
INSERT INTO `tran_field_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'deptNo', 'dep', '1', null);
INSERT INTO `tran_field_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'patientNo', 'pno', '1', null);
INSERT INTO `tran_field_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'doctorNo', 'dno', '1', null);
INSERT INTO `tran_field_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'hospitalId', 'hospitalId', '1', null);
INSERT INTO `tran_field_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', 'recordId', 'recordId', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_dept
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_dept`;
CREATE TABLE `tran_hospital_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) DEFAULT NULL COMMENT '医院科室编码',
  `name` varchar(32) NOT NULL COMMENT '医院科室名称',
  `hospital_code` varchar(16) DEFAULT NULL COMMENT '医院编码',
  `hospital_name` varchar(32) DEFAULT NULL COMMENT '医院名称',
  `concept_dept_name` varchar(200) DEFAULT NULL COMMENT '朗通科室名称',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='医院科室信息表';

-- ----------------------------
-- Records of tran_hospital_dept
-- ----------------------------
INSERT INTO `tran_hospital_dept` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D01', '全科', 'A001', '浙江大学医学院附属邵逸夫医院', '全科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D02', '儿科', 'A001', '浙江大学医学院附属邵逸夫医院', '儿科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D03', '全科', 'A002', '北京医院', '全科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'N016', '妇科', 'A001', '浙江大学医学院附属邵逸夫医院', '妇科', '1', null);
INSERT INTO `tran_hospital_dept` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'D04', '呼吸内科', 'A001', '浙江大学医学院附属邵逸夫医院', '呼吸内科', '1', null);

-- ----------------------------
-- Table structure for tran_hospital_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_info`;
CREATE TABLE `tran_hospital_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `code` varchar(16) NOT NULL COMMENT '医院编码',
  `name` varchar(32) NOT NULL COMMENT '医院名称',
  `address` varchar(128) DEFAULT NULL COMMENT '医院地址',
  `spell` varchar(32) DEFAULT NULL COMMENT '医院名称拼音',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `order_no` int(5) DEFAULT NULL COMMENT '排序号',
  `connect` int(1) DEFAULT '0' COMMENT '是否对接（0-不对接，1-对接）',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='医院信息表';

-- ----------------------------
-- Records of tran_hospital_info
-- ----------------------------
INSERT INTO `tran_hospital_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浙江大学医学院附属邵逸夫医院', null, null, '1', null, '1', null);
INSERT INTO `tran_hospital_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A002', '北京医院', null, null, '1', null, '0', null);

-- ----------------------------
-- Table structure for tran_index_data
-- ----------------------------
DROP TABLE IF EXISTS `tran_index_data`;
CREATE TABLE `tran_index_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `concept_id` bigint(20) DEFAULT NULL COMMENT '指标公表名概念id',
  `lib_name` varchar(200) DEFAULT NULL COMMENT '指标公表名',
  `index_value` varchar(200) DEFAULT NULL COMMENT '指标值',
  `index_unit` varchar(200) DEFAULT NULL COMMENT '指标单位',
  `is_abnormal` int(11) DEFAULT NULL COMMENT '是否异常',
  `creat_time` datetime DEFAULT NULL COMMENT '化验时间',
  `patient_id` bigint(20) DEFAULT NULL COMMENT '患者id',
  `inquiry_code` varchar(50) DEFAULT NULL COMMENT '就诊号',
  `remark` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COMMENT='指标数据表';

-- ----------------------------
-- Records of tran_index_data
-- ----------------------------
INSERT INTO `tran_index_data` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '4', 'mmol/L', '1', '2019-05-01 09:42:49', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '随机血糖', '2', 'mmol/L', '1', '2019-05-01 10:01:06', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '餐后2小时血糖', '3', 'mmol/L', '1', '2019-05-06 10:01:10', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '糖化血清蛋白', '4', 'mmol/L', '1', '2019-04-04 10:01:13', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '随机血糖', '5', 'mmol/L', '1', '2019-05-02 10:01:18', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '餐后2小时血糖', '6', 'mmol/L', '0', '2019-05-03 10:01:31', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '糖化血清蛋白', '7', 'mmol/L', '1', '2019-05-05 10:01:34', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '8', 'mmol/L', '1', '2019-01-18 10:01:36', '1001', null, null);
INSERT INTO `tran_index_data` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '空腹血糖', '9', 'mmol/L', '1', '2019-04-30 10:01:43', '1002', null, null);
INSERT INTO `tran_index_data` VALUES ('10', 'N', '2019-05-05 00:00:00', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '10', 'mmol / L', '1', '2019-05-05 00:00:00', '1001', '5297', null);
INSERT INTO `tran_index_data` VALUES ('11', 'N', '2019-05-05 00:00:00', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '10', 'mmol/L', '1', '2019-05-05 00:00:00', '1002', '5297', null);
INSERT INTO `tran_index_data` VALUES ('12', 'Y', '2019-05-07 13:42:32', '2019-05-07 13:42:44', '10', '0', '6', '空腹血糖', '10', 'string', '1', '2019-05-07 00:00:00', '11', '297', null);
INSERT INTO `tran_index_data` VALUES ('13', 'N', '2019-05-07 13:42:44', '1970-01-01 12:00:00', '10', '0', '6', '空腹血糖', '10', 'string', '1', '2019-05-07 00:00:00', '11', '297', null);
INSERT INTO `tran_index_data` VALUES ('14', 'Y', '2019-05-09 09:05:53', '2019-05-09 09:07:57', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('15', 'Y', '2019-05-09 09:07:57', '2019-05-09 10:12:22', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('16', 'Y', '2019-05-09 10:12:23', '2019-05-09 10:13:03', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('17', 'Y', '2019-05-09 10:13:03', '2019-05-09 10:13:46', '1', '0', '6', '空腹血糖', '18', 'string', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('18', 'N', '2019-05-09 10:13:46', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '52', 'mo/L', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('19', 'N', '2019-05-09 10:13:46', '1970-01-01 12:00:00', '1', '0', '8', '随机血糖', '52', 'mo/L', '1', '2019-05-08 00:00:00', '1002', '297', null);
INSERT INTO `tran_index_data` VALUES ('20', 'Y', '2019-05-10 17:07:10', '2019-05-10 17:12:26', '2', '0', '8', '随机血糖', '999', 'ml', '1', '2019-05-10 10:10:00', '1', '333', null);
INSERT INTO `tran_index_data` VALUES ('21', 'N', '2019-05-10 17:12:26', '1970-01-01 12:00:00', '2', '0', '8', '随机血糖', '999', 'ml', '1', '2019-05-10 10:10:00', '1', '333', null);
INSERT INTO `tran_index_data` VALUES ('22', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('23', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('24', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('25', 'Y', '2019-05-13 13:52:40', '2019-05-13 13:53:09', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('26', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('27', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('28', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('29', 'Y', '2019-05-13 13:53:09', '2019-05-13 13:58:19', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('30', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('31', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('32', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('33', 'Y', '2019-05-13 13:58:19', '2019-05-13 14:45:28', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('34', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('35', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('36', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('37', 'Y', '2019-05-13 14:45:28', '2019-05-13 14:45:39', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('38', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '17', 'mo/l', '1', '2019-01-01 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('39', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '16', 'mo/l', '1', '2019-01-04 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('40', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '15', 'mo/l', '1', '2019-01-03 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('41', 'N', '2019-05-13 14:45:39', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '14', 'mo/l', '1', '2019-01-02 00:00:00', '1001', '13', null);
INSERT INTO `tran_index_data` VALUES ('42', 'N', '2019-05-15 10:24:40', '1970-01-01 12:00:00', '1', '0', '6', '空腹血糖', '3', 'mo/l', '0', '2019-05-15 09:00:00', '1', '3', null);

-- ----------------------------
-- Table structure for tran_introduce_title_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_introduce_title_config`;
CREATE TABLE `tran_introduce_title_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='提示信息标签映射表';

-- ----------------------------
-- Records of tran_introduce_title_config
-- ----------------------------
INSERT INTO `tran_introduce_title_config` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '摘要', '摘要');
INSERT INTO `tran_introduce_title_config` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般治疗', '一般治疗');
INSERT INTO `tran_introduce_title_config` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '诊断依据1', '诊断依据');
INSERT INTO `tran_introduce_title_config` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '概述', '概述');
INSERT INTO `tran_introduce_title_config` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '描述', '描述');
INSERT INTO `tran_introduce_title_config` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '基本信息', '基本信息');
INSERT INTO `tran_introduce_title_config` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '正常值', '正常值');
INSERT INTO `tran_introduce_title_config` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '临场意义', '临场意义');
INSERT INTO `tran_introduce_title_config` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '注意事项', '注意事项');
INSERT INTO `tran_introduce_title_config` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '检查过程', '检查过程');
INSERT INTO `tran_introduce_title_config` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '样本要求', '样本要求');
INSERT INTO `tran_introduce_title_config` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不适宜人群', '不适宜人群');
INSERT INTO `tran_introduce_title_config` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '不良反应与风险', '不良反应与风险');

-- ----------------------------
-- Table structure for tran_lis_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_lis_config`;
CREATE TABLE `tran_lis_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `item_name` varchar(100) DEFAULT NULL COMMENT '项目名',
  `unique_id` varchar(100) DEFAULT NULL COMMENT '公表id',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2796 DEFAULT CHARSET=utf8 COMMENT='套餐字段映射公表';

-- ----------------------------
-- Records of tran_lis_config
-- ----------------------------
INSERT INTO `tran_lis_config` VALUES ('1455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17α-羟孕酮', '17α-羟孕酮(17α-OHP)', null, '17α-羟孕酮-17α-羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('1456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17-羟皮质类固醇', '尿17-羟皮质类固醇(24h)', null, '17-羟皮质类固醇-尿17-羟皮质类固醇(24h)');
INSERT INTO `tran_lis_config` VALUES ('1457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17-酮皮质类固醇', '尿17-酮皮质类固醇', null, '17-酮皮质类固醇-尿17-酮皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('1458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '24小时尿比重渗透压试验', '24小时尿比重渗透压试验', null, '24小时尿比重渗透压试验-24小时尿比重渗透压试验');
INSERT INTO `tran_lis_config` VALUES ('1459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原羧基端前肽', 'Ⅰ型胶原羧基端前肽(PICP)', null, 'Ⅰ型胶原羧基端前肽-Ⅰ型胶原羧基端前肽(PICP)');
INSERT INTO `tran_lis_config` VALUES ('1460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'B因子测定', 'B因子', null, 'B因子测定-B因子');
INSERT INTO `tran_lis_config` VALUES ('1461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Coombs试验', '直接抗人球蛋白试验(Coombs)', null, 'Coombs试验-直接抗人球蛋白试验(Coombs)');
INSERT INTO `tran_lis_config` VALUES ('1462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C-反应蛋白', 'C反应蛋白(CRP)', null, 'C-反应蛋白-C反应蛋白(CRP)');
INSERT INTO `tran_lis_config` VALUES ('1463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C-反应蛋白', '超敏C反应蛋白(hs-CRP)', null, 'C-反应蛋白-超敏C反应蛋白(hs-CRP)');
INSERT INTO `tran_lis_config` VALUES ('1464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', 'EB病毒DNA检测', null, 'EB病毒检测-EB病毒DNA检测');
INSERT INTO `tran_lis_config` VALUES ('1465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', 'EB病毒脱氧核糖核酸扩增定量', null, 'EB病毒检测-EB病毒脱氧核糖核酸扩增定量');
INSERT INTO `tran_lis_config` VALUES ('1466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', 'EB病毒脱氧核糖核酸扩增定性', null, 'EB病毒检测-EB病毒脱氧核糖核酸扩增定性');
INSERT INTO `tran_lis_config` VALUES ('1467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', 'EB病毒早期抗原(EA-IgA)', null, 'EB病毒检测-EB病毒早期抗原(EA-IgA)');
INSERT INTO `tran_lis_config` VALUES ('1468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', '抗EBV抗体(VCA-IgG)IgG', null, 'EB病毒检测-抗EBV抗体(VCA-IgG)IgG');
INSERT INTO `tran_lis_config` VALUES ('1469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', '抗EBV抗体(VCA-IgM)IgA', null, 'EB病毒检测-抗EBV抗体(VCA-IgM)IgA');
INSERT INTO `tran_lis_config` VALUES ('1470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', '抗EB病毒抗体测定', null, 'EB病毒检测-抗EB病毒抗体测定');
INSERT INTO `tran_lis_config` VALUES ('1471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Jo-1', null, 'ENA抗体谱六项测定-抗Jo-1');
INSERT INTO `tran_lis_config` VALUES ('1472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗nRNP', null, 'ENA抗体谱六项测定-抗nRNP');
INSERT INTO `tran_lis_config` VALUES ('1473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Scl-70', null, 'ENA抗体谱六项测定-抗Scl-70');
INSERT INTO `tran_lis_config` VALUES ('1474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗Sm', null, 'ENA抗体谱六项测定-抗Sm');
INSERT INTO `tran_lis_config` VALUES ('1475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗SS-A', null, 'ENA抗体谱六项测定-抗SS-A');
INSERT INTO `tran_lis_config` VALUES ('1476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', '抗SS-B', null, 'ENA抗体谱六项测定-抗SS-B');
INSERT INTO `tran_lis_config` VALUES ('1477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'N端-B型钠尿肽前体(NT-ProBNP)', 'N端-B型钠尿肽前体(NT-ProBNP)', null, 'N端-B型钠尿肽前体(NT-ProBNP)-N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `tran_lis_config` VALUES ('1478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'O—129试验', 'O—129试验', null, 'O—129试验-O—129试验');
INSERT INTO `tran_lis_config` VALUES ('1479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-胶原特殊系列', 'β-Crosslaps', null, 'β-胶原特殊系列-β-Crosslaps');
INSERT INTO `tran_lis_config` VALUES ('1480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人绒毛膜促性腺激素', '尿人绒毛膜促性腺激素(HCG)定性', null, 'β人绒毛膜促性腺激素-尿人绒毛膜促性腺激素(HCG)定性');
INSERT INTO `tran_lis_config` VALUES ('1481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人绒毛膜促性腺激素', '尿人绒毛膜促性腺激素定量', null, 'β人绒毛膜促性腺激素-尿人绒毛膜促性腺激素定量');
INSERT INTO `tran_lis_config` VALUES ('1482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人绒毛膜促性腺激素', '血β人绒毛膜促性腺激素(β-HCG)', null, 'β人绒毛膜促性腺激素-血β人绒毛膜促性腺激素(β-HCG)');
INSERT INTO `tran_lis_config` VALUES ('1483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人绒毛膜促性腺激素', '血β人游离绒毛膜促性腺激素(freeβ-HCG)', null, 'β人绒毛膜促性腺激素-血β人游离绒毛膜促性腺激素(freeβ-HCG)');
INSERT INTO `tran_lis_config` VALUES ('1484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白喉棒状杆菌涂片', '白喉棒状杆菌涂片', null, '白喉棒状杆菌涂片-白喉棒状杆菌涂片');
INSERT INTO `tran_lis_config` VALUES ('1485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白陶土部分凝血活酶时间(KPTT)测定', '白陶土部分凝血活酶时间(KPTT)', null, '白陶土部分凝血活酶时间(KPTT)测定-白陶土部分凝血活酶时间(KPTT)');
INSERT INTO `tran_lis_config` VALUES ('1486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白血病融合基因检测', '白血病融合基因分型', null, '白血病融合基因检测-白血病融合基因分型');
INSERT INTO `tran_lis_config` VALUES ('1487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白血病融合基因检测', '白血病融合基因检测', null, '白血病融合基因检测-白血病融合基因检测');
INSERT INTO `tran_lis_config` VALUES ('1488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '本丙氨酸', '尿苯丙氨酸', null, '本丙氨酸-尿苯丙氨酸');
INSERT INTO `tran_lis_config` VALUES ('1489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '本丙酮酸', '尿苯丙酮酸', null, '本丙酮酸-尿苯丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('1490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '本丙酮酸', '血清苯丙酮酸', null, '本丙酮酸-血清苯丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('1491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：矮豚草', null, '变应原特异性IgE测定-过敏原：矮豚草');
INSERT INTO `tran_lis_config` VALUES ('1492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：点青霉、烟曲霉', null, '变应原特异性IgE测定-过敏原：点青霉、烟曲霉');
INSERT INTO `tran_lis_config` VALUES ('1493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：狗毛皮屑', null, '变应原特异性IgE测定-过敏原：狗毛皮屑');
INSERT INTO `tran_lis_config` VALUES ('1494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：鸡蛋白', null, '变应原特异性IgE测定-过敏原：鸡蛋白');
INSERT INTO `tran_lis_config` VALUES ('1495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：芒果', null, '变应原特异性IgE测定-过敏原：芒果');
INSERT INTO `tran_lis_config` VALUES ('1496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：猫毛皮屑', null, '变应原特异性IgE测定-过敏原：猫毛皮屑');
INSERT INTO `tran_lis_config` VALUES ('1497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：牛奶', null, '变应原特异性IgE测定-过敏原：牛奶');
INSERT INTO `tran_lis_config` VALUES ('1498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：牛肉', null, '变应原特异性IgE测定-过敏原：牛肉');
INSERT INTO `tran_lis_config` VALUES ('1499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：青贝', null, '变应原特异性IgE测定-过敏原：青贝');
INSERT INTO `tran_lis_config` VALUES ('1500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：沙尘螨', null, '变应原特异性IgE测定-过敏原：沙尘螨');
INSERT INTO `tran_lis_config` VALUES ('1501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：屋尘螨', null, '变应原特异性IgE测定-过敏原：屋尘螨');
INSERT INTO `tran_lis_config` VALUES ('1502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：梧、桐、柳、杨、榆树', null, '变应原特异性IgE测定-过敏原：梧、桐、柳、杨、榆树');
INSERT INTO `tran_lis_config` VALUES ('1503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：西瓜', null, '变应原特异性IgE测定-过敏原：西瓜');
INSERT INTO `tran_lis_config` VALUES ('1504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：虾', null, '变应原特异性IgE测定-过敏原：虾');
INSERT INTO `tran_lis_config` VALUES ('1505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：蟹', null, '变应原特异性IgE测定-过敏原：蟹');
INSERT INTO `tran_lis_config` VALUES ('1506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：羊肉', null, '变应原特异性IgE测定-过敏原：羊肉');
INSERT INTO `tran_lis_config` VALUES ('1507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：腰果', null, '变应原特异性IgE测定-过敏原：腰果');
INSERT INTO `tran_lis_config` VALUES ('1508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：鱼', null, '变应原特异性IgE测定-过敏原：鱼');
INSERT INTO `tran_lis_config` VALUES ('1509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：蟑螂', null, '变应原特异性IgE测定-过敏原：蟑螂');
INSERT INTO `tran_lis_config` VALUES ('1510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原：自定义', null, '变应原特异性IgE测定-过敏原：自定义');
INSERT INTO `tran_lis_config` VALUES ('1511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', '过敏原特异IgE', null, '变应原特异性IgE测定-过敏原特异IgE');
INSERT INTO `tran_lis_config` VALUES ('1512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', '丙肝(HCV)RNA定量', null, '丙肝测定-丙肝(HCV)RNA定量');
INSERT INTO `tran_lis_config` VALUES ('1513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', '丙肝(HCV)RNA定性', null, '丙肝测定-丙肝(HCV)RNA定性');
INSERT INTO `tran_lis_config` VALUES ('1514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', '丙肝病毒(HCV)基因分型', null, '丙肝测定-丙肝病毒(HCV)基因分型');
INSERT INTO `tran_lis_config` VALUES ('1515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', '丙肝核心抗原', null, '丙肝测定-丙肝核心抗原');
INSERT INTO `tran_lis_config` VALUES ('1516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', '丙肝抗体(抗HCV)', null, '丙肝测定-丙肝抗体(抗HCV)');
INSERT INTO `tran_lis_config` VALUES ('1517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', '复钙交叉时间(CRT)', null, '病理抗凝因子检测-复钙交叉时间(CRT)');
INSERT INTO `tran_lis_config` VALUES ('1518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', '肝素', null, '病理抗凝因子检测-肝素');
INSERT INTO `tran_lis_config` VALUES ('1519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', '狼疮抗凝物质(LAC)', null, '病理抗凝因子检测-狼疮抗凝物质(LAC)');
INSERT INTO `tran_lis_config` VALUES ('1520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', '凝血酶原时间纠正试验', null, '病理抗凝因子检测-凝血酶原时间纠正试验');
INSERT INTO `tran_lis_config` VALUES ('1521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', '凝血因子Ⅷ抑制物检测', null, '病理抗凝因子检测-凝血因子Ⅷ抑制物检测');
INSERT INTO `tran_lis_config` VALUES ('1522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C1q', null, '补体测定-C1q');
INSERT INTO `tran_lis_config` VALUES ('1523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C1r', null, '补体测定-C1r');
INSERT INTO `tran_lis_config` VALUES ('1524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C1s', null, '补体测定-C1s');
INSERT INTO `tran_lis_config` VALUES ('1525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C2', null, '补体测定-C2');
INSERT INTO `tran_lis_config` VALUES ('1526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C3', null, '补体测定-C3');
INSERT INTO `tran_lis_config` VALUES ('1527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C4', null, '补体测定-C4');
INSERT INTO `tran_lis_config` VALUES ('1528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C5', null, '补体测定-C5');
INSERT INTO `tran_lis_config` VALUES ('1529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C6', null, '补体测定-C6');
INSERT INTO `tran_lis_config` VALUES ('1530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C7', null, '补体测定-C7');
INSERT INTO `tran_lis_config` VALUES ('1531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C8', null, '补体测定-C8');
INSERT INTO `tran_lis_config` VALUES ('1532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', 'C9', null, '补体测定-C9');
INSERT INTO `tran_lis_config` VALUES ('1533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', '补体旁路B因子', null, '补体测定-补体旁路B因子');
INSERT INTO `tran_lis_config` VALUES ('1534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '布氏杆菌测定', '布氏杆菌测定', null, '布氏杆菌测定-布氏杆菌测定');
INSERT INTO `tran_lis_config` VALUES ('1535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出血时间', '出血时间(BT)', null, '出血时间-出血时间(BT)');
INSERT INTO `tran_lis_config` VALUES ('1536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '肠杆菌科细菌', null, '创面分泌物培养-肠杆菌科细菌');
INSERT INTO `tran_lis_config` VALUES ('1537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '创面分泌物培养', null, '创面分泌物培养-创面分泌物培养');
INSERT INTO `tran_lis_config` VALUES ('1538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '化脓性链球菌', null, '创面分泌物培养-化脓性链球菌');
INSERT INTO `tran_lis_config` VALUES ('1539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '金黄色葡萄球菌', null, '创面分泌物培养-金黄色葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('1540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '诺卡菌', null, '创面分泌物培养-诺卡菌');
INSERT INTO `tran_lis_config` VALUES ('1541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '铜绿假单胞菌', null, '创面分泌物培养-铜绿假单胞菌');
INSERT INTO `tran_lis_config` VALUES ('1542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '厌氧菌', null, '创面分泌物培养-厌氧菌');
INSERT INTO `tran_lis_config` VALUES ('1543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '一般细菌培养(创面分泌物)', null, '创面分泌物培养-一般细菌培养(创面分泌物)');
INSERT INTO `tran_lis_config` VALUES ('1544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', '自定义', null, '创面分泌物培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('1545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌三醇', '雌三醇(E3)', null, '雌三醇-雌三醇(E3)');
INSERT INTO `tran_lis_config` VALUES ('1546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌酮测定', '雌酮(E1)', null, '雌酮测定-雌酮(E1)');
INSERT INTO `tran_lis_config` VALUES ('1547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促红细胞生成素', '促红细胞生成素(EPO)', null, '促红细胞生成素-促红细胞生成素(EPO)');
INSERT INTO `tran_lis_config` VALUES ('1548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', '0minTSH', null, '促甲状腺释放激素兴奋试验-0minTSH');
INSERT INTO `tran_lis_config` VALUES ('1549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', '120minTSH', null, '促甲状腺释放激素兴奋试验-120minTSH');
INSERT INTO `tran_lis_config` VALUES ('1550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', '15minTSH', null, '促甲状腺释放激素兴奋试验-15minTSH');
INSERT INTO `tran_lis_config` VALUES ('1551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', '30minTSH', null, '促甲状腺释放激素兴奋试验-30minTSH');
INSERT INTO `tran_lis_config` VALUES ('1552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', '60minTSH', null, '促甲状腺释放激素兴奋试验-60minTSH');
INSERT INTO `tran_lis_config` VALUES ('1553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素', '促肾上腺皮质激素(ACTH)', null, '促肾上腺皮质激素-促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('1554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '0min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-0min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '120min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-120min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '150min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-150min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '15min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-15min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '-15min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验--15min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '180min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-180min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '30min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-30min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '60min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-60min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', '90min促肾上腺皮质激素', null, '促肾上腺皮质激素释放激素(CRF)兴奋试验-90min促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('1563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验1', '20min皮质醇', null, '促肾上腺皮质激素兴奋试验1-20min皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验1', '60min皮质醇', null, '促肾上腺皮质激素兴奋试验1-60min皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第二天24小时尿17—羟皮质类固醇(17-OH-CS)', null, '促肾上腺皮质激素兴奋试验2-第二天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('1566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第二天24小时尿17—酮皮质类固醇(17-KS)', null, '促肾上腺皮质激素兴奋试验2-第二天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('1567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第二天24小时尿游离皮质醇', null, '促肾上腺皮质激素兴奋试验2-第二天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第三天24小时尿17—羟皮质类固醇(17-OH-CS)', null, '促肾上腺皮质激素兴奋试验2-第三天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('1569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第三天24小时尿17—酮皮质类固醇(17-KS)', null, '促肾上腺皮质激素兴奋试验2-第三天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('1570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第三天24小时尿游离皮质醇', null, '促肾上腺皮质激素兴奋试验2-第三天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第四天24小时尿17—羟皮质类固醇(17-OH-CS)', null, '促肾上腺皮质激素兴奋试验2-第四天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('1572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第四天24小时尿17—酮皮质类固醇(17-KS)', null, '促肾上腺皮质激素兴奋试验2-第四天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('1573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第四天24小时尿游离皮质醇', null, '促肾上腺皮质激素兴奋试验2-第四天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第一天24小时尿17—羟皮质类固醇(17-OH-CS)', null, '促肾上腺皮质激素兴奋试验2-第一天24小时尿17—羟皮质类固醇(17-OH-CS)');
INSERT INTO `tran_lis_config` VALUES ('1575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第一天24小时尿17—酮皮质类固醇(17-KS)', null, '促肾上腺皮质激素兴奋试验2-第一天24小时尿17—酮皮质类固醇(17-KS)');
INSERT INTO `tran_lis_config` VALUES ('1576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', '第一天24小时尿游离皮质醇', null, '促肾上腺皮质激素兴奋试验2-第一天24小时尿游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒II型抗体测定', 'IgG', null, '单纯疱疹病毒II型抗体测定-IgG');
INSERT INTO `tran_lis_config` VALUES ('1578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒II型抗体测定', 'IgM', null, '单纯疱疹病毒II型抗体测定-IgM');
INSERT INTO `tran_lis_config` VALUES ('1579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒I型抗体测定', 'IgG', null, '单纯疱疹病毒I型抗体测定-IgG');
INSERT INTO `tran_lis_config` VALUES ('1580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒I型抗体测定', 'IgM', null, '单纯疱疹病毒I型抗体测定-IgM');
INSERT INTO `tran_lis_config` VALUES ('1581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胆囊收缩素', '胆囊收缩素(CCK)', null, '胆囊收缩素-胆囊收缩素(CCK)');
INSERT INTO `tran_lis_config` VALUES ('1582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滴虫直接涂片镜检', '滴虫直接涂片镜检', null, '滴虫直接涂片镜检-滴虫直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('1583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '二氧化碳(CO2)', null, '电解质测定-二氧化碳(CO2)');
INSERT INTO `tran_lis_config` VALUES ('1584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '钾(K)', null, '电解质测定-钾(K)');
INSERT INTO `tran_lis_config` VALUES ('1585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '离子钙(Ca2+)', null, '电解质测定-离子钙(Ca2+)');
INSERT INTO `tran_lis_config` VALUES ('1586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '磷(P)', null, '电解质测定-磷(P)');
INSERT INTO `tran_lis_config` VALUES ('1587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '氯(Cl)', null, '电解质测定-氯(Cl)');
INSERT INTO `tran_lis_config` VALUES ('1588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '镁(Mg)', null, '电解质测定-镁(Mg)');
INSERT INTO `tran_lis_config` VALUES ('1589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '钠(Na)', null, '电解质测定-钠(Na)');
INSERT INTO `tran_lis_config` VALUES ('1590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '阴离子隙(AG)', null, '电解质测定-阴离子隙(AG)');
INSERT INTO `tran_lis_config` VALUES ('1591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', '总钙(Ca)', null, '电解质测定-总钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('1592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '尿淀粉酶(AMY)', null, '淀粉酶-尿淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('1593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '尿液胰淀粉酶(AMS)', null, '淀粉酶-尿液胰淀粉酶(AMS)');
INSERT INTO `tran_lis_config` VALUES ('1594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '体液淀粉酶(AMY)', null, '淀粉酶-体液淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('1595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '胸腔积液淀粉酶', null, '淀粉酶-胸腔积液淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('1596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '血淀粉酶(AMY)', null, '淀粉酶-血淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('1597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', '血胰淀粉酶(AMS)', null, '淀粉酶-血胰淀粉酶(AMS)');
INSERT INTO `tran_lis_config` VALUES ('1598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉样蛋白', '淀粉样蛋白', null, '淀粉样蛋白-淀粉样蛋白');
INSERT INTO `tran_lis_config` VALUES ('1599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丁肝测定', '丁肝抗体(Anti-HDV)', null, '丁肝测定-丁肝抗体(Anti-HDV)');
INSERT INTO `tran_lis_config` VALUES ('1600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '非妇科脱落细胞学检查与诊断', '非妇科脱落细胞学检查与诊断', null, '非妇科脱落细胞学检查与诊断-非妇科脱落细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('1601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '非妇科脱落细胞学检查与诊断', '非妇科液基薄层细胞学检查与诊断', null, '非妇科脱落细胞学检查与诊断-非妇科液基薄层细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('1602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PA', null, '肥达氏反应-PA');
INSERT INTO `tran_lis_config` VALUES ('1603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PB', null, '肥达氏反应-PB');
INSERT INTO `tran_lis_config` VALUES ('1604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'PC', null, '肥达氏反应-PC');
INSERT INTO `tran_lis_config` VALUES ('1605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'TH', null, '肥达氏反应-TH');
INSERT INTO `tran_lis_config` VALUES ('1606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', 'TO', null, '肥达氏反应-TO');
INSERT INTO `tran_lis_config` VALUES ('1607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体免疫学试验', '冷凝集试验', null, '肺炎支原体免疫学试验-冷凝集试验');
INSERT INTO `tran_lis_config` VALUES ('1608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便红细胞', null, '粪便常规-粪便红细胞');
INSERT INTO `tran_lis_config` VALUES ('1609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便寄生虫卵', null, '粪便常规-粪便寄生虫卵');
INSERT INTO `tran_lis_config` VALUES ('1610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便脓细胞', null, '粪便常规-粪便脓细胞');
INSERT INTO `tran_lis_config` VALUES ('1611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便性状', null, '粪便常规-粪便性状');
INSERT INTO `tran_lis_config` VALUES ('1612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便颜色', null, '粪便常规-粪便颜色');
INSERT INTO `tran_lis_config` VALUES ('1613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪便粘液', null, '粪便常规-粪便粘液');
INSERT INTO `tran_lis_config` VALUES ('1614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪寄生虫虫体', null, '粪便常规-粪寄生虫虫体');
INSERT INTO `tran_lis_config` VALUES ('1615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪未消化食物', null, '粪便常规-粪未消化食物');
INSERT INTO `tran_lis_config` VALUES ('1616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '粪脂肪球', null, '粪便常规-粪脂肪球');
INSERT INTO `tran_lis_config` VALUES ('1617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', '其他', null, '粪便常规-其他');
INSERT INTO `tran_lis_config` VALUES ('1618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '霍乱弧菌', null, '粪便培养-霍乱弧菌');
INSERT INTO `tran_lis_config` VALUES ('1619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '艰难梭状杆菌', null, '粪便培养-艰难梭状杆菌');
INSERT INTO `tran_lis_config` VALUES ('1620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '结核杆菌', null, '粪便培养-结核杆菌');
INSERT INTO `tran_lis_config` VALUES ('1621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', '志贺氏菌', null, '粪便培养-志贺氏菌');
INSERT INTO `tran_lis_config` VALUES ('1622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便隐血', '隐血', null, '粪便隐血-隐血');
INSERT INTO `tran_lis_config` VALUES ('1623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪胆素检查', '粪胆素', null, '粪胆素检查-粪胆素');
INSERT INTO `tran_lis_config` VALUES ('1624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妇科脱落细胞学检查与诊断', '妇科脱落细胞学检查与诊断', null, '妇科脱落细胞学检查与诊断-妇科脱落细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('1625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妇科脱落细胞学检查与诊断', '妇科液基薄层细胞学检查与诊断', null, '妇科脱落细胞学检查与诊断-妇科液基薄层细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('1626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜平衡试验', '腹膜平衡试验(PET)', null, '腹膜平衡试验-腹膜平衡试验(PET)');
INSERT INTO `tran_lis_config` VALUES ('1627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '白蛋白', null, '腹膜透析液检查-白蛋白');
INSERT INTO `tran_lis_config` VALUES ('1628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '钙', null, '腹膜透析液检查-钙');
INSERT INTO `tran_lis_config` VALUES ('1629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '肌酐(Cr)', null, '腹膜透析液检查-肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('1630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '钾', null, '腹膜透析液检查-钾');
INSERT INTO `tran_lis_config` VALUES ('1631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '氯', null, '腹膜透析液检查-氯');
INSERT INTO `tran_lis_config` VALUES ('1632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '钠', null, '腹膜透析液检查-钠');
INSERT INTO `tran_lis_config` VALUES ('1633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '尿素(Urea)', null, '腹膜透析液检查-尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('1634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', '葡萄糖', null, '腹膜透析液检查-葡萄糖');
INSERT INTO `tran_lis_config` VALUES ('1635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '白蛋白(Alb)定量', null, '腹腔积液检查-白蛋白(Alb)定量');
INSERT INTO `tran_lis_config` VALUES ('1636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '淀粉酶(AMY)', null, '腹腔积液检查-淀粉酶(AMY)');
INSERT INTO `tran_lis_config` VALUES ('1637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '氯化物定量', null, '腹腔积液检查-氯化物定量');
INSERT INTO `tran_lis_config` VALUES ('1638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '黏蛋白定性', null, '腹腔积液检查-黏蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('1639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '葡萄糖', null, '腹腔积液检查-葡萄糖');
INSERT INTO `tran_lis_config` VALUES ('1640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '乳酸脱氢酶(LD)', null, '腹腔积液检查-乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('1641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '透明度', null, '腹腔积液检查-透明度');
INSERT INTO `tran_lis_config` VALUES ('1642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '外观', null, '腹腔积液检查-外观');
INSERT INTO `tran_lis_config` VALUES ('1643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '细胞计数', null, '腹腔积液检查-细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', '总蛋白（定量）', null, '腹腔积液检查-总蛋白（定量）');
INSERT INTO `tran_lis_config` VALUES ('1645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '大肠埃希菌', null, '腹水培养-大肠埃希菌');
INSERT INTO `tran_lis_config` VALUES ('1646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '粪肠球菌', null, '腹水培养-粪肠球菌');
INSERT INTO `tran_lis_config` VALUES ('1647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '腹水培养', null, '腹水培养-腹水培养');
INSERT INTO `tran_lis_config` VALUES ('1648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '结核分枝杆菌', null, '腹水培养-结核分枝杆菌');
INSERT INTO `tran_lis_config` VALUES ('1649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '一般细菌培养(腹水)', null, '腹水培养-一般细菌培养(腹水)');
INSERT INTO `tran_lis_config` VALUES ('1650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', '自定义', null, '腹水培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('1651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甘胆酸', '甘胆酸(CG)', null, '甘胆酸-甘胆酸(CG)');
INSERT INTO `tran_lis_config` VALUES ('1652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '5′核苷酸酶(5′NT)', null, '肝功能-5′核苷酸酶(5′NT)');
INSERT INTO `tran_lis_config` VALUES ('1653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', 'ALB/GLB', null, '肝功能-ALB/GLB');
INSERT INTO `tran_lis_config` VALUES ('1654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '白蛋白(Alb)', null, '肝功能-白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('1655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '胆碱脂酶(ChE)', null, '肝功能-胆碱脂酶(ChE)');
INSERT INTO `tran_lis_config` VALUES ('1656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷氨酰基转移酶(GGT)', null, '肝功能-谷氨酰基转移酶(GGT)');
INSERT INTO `tran_lis_config` VALUES ('1657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷丙转氨酶(ALT)', null, '肝功能-谷丙转氨酶(ALT)');
INSERT INTO `tran_lis_config` VALUES ('1658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷草/谷丙', null, '肝功能-谷草/谷丙');
INSERT INTO `tran_lis_config` VALUES ('1659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '谷草转氨酶(AST)', null, '肝功能-谷草转氨酶(AST)');
INSERT INTO `tran_lis_config` VALUES ('1660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '间接胆红素(I-Bil)', null, '肝功能-间接胆红素(I-Bil)');
INSERT INTO `tran_lis_config` VALUES ('1661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '碱性磷酸酶(ALP)', null, '肝功能-碱性磷酸酶(ALP)');
INSERT INTO `tran_lis_config` VALUES ('1662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '球蛋白(GLB)', null, '肝功能-球蛋白(GLB)');
INSERT INTO `tran_lis_config` VALUES ('1663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '乳酸脱氢酶(LD)', null, '肝功能-乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('1664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '腺苷脱氨酶(ADA)', null, '肝功能-腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('1665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '直接胆红素(D-Bil)', null, '肝功能-直接胆红素(D-Bil)');
INSERT INTO `tran_lis_config` VALUES ('1666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总胆红素(T-Bil)', null, '肝功能-总胆红素(T-Bil)');
INSERT INTO `tran_lis_config` VALUES ('1667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总胆汁酸(TBA)', null, '肝功能-总胆汁酸(TBA)');
INSERT INTO `tran_lis_config` VALUES ('1668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '总蛋白(TP)', null, '肝功能-总蛋白(TP)');
INSERT INTO `tran_lis_config` VALUES ('1669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', 'Ⅲ型胶原(CGⅢ)', null, '肝纤维化-Ⅲ型胶原(CGⅢ)');
INSERT INTO `tran_lis_config` VALUES ('1670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', 'Ⅳ型胶原(CGⅣ)', null, '肝纤维化-Ⅳ型胶原(CGⅣ)');
INSERT INTO `tran_lis_config` VALUES ('1671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '层粘连蛋白(LN)', null, '肝纤维化-层粘连蛋白(LN)');
INSERT INTO `tran_lis_config` VALUES ('1672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '单胺氧化酶(MAO)', null, '肝纤维化-单胺氧化酶(MAO)');
INSERT INTO `tran_lis_config` VALUES ('1673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', '透明质酸(HA)', null, '肝纤维化-透明质酸(HA)');
INSERT INTO `tran_lis_config` VALUES ('1674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压四项', '醛固酮(ALD)', null, '高血压四项-醛固酮(ALD)');
INSERT INTO `tran_lis_config` VALUES ('1675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压四项', '肾素', null, '高血压四项-肾素');
INSERT INTO `tran_lis_config` VALUES ('1676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压四项', '血管紧张素Ⅰ(AngⅠ)', null, '高血压四项-血管紧张素Ⅰ(AngⅠ)');
INSERT INTO `tran_lis_config` VALUES ('1677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压四项', '血管紧张素Ⅱ(AngⅡ)', null, '高血压四项-血管紧张素Ⅱ(AngⅡ)');
INSERT INTO `tran_lis_config` VALUES ('1678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '各种穿刺液引流液培养', '穿刺液引流液培养', null, '各种穿刺液引流液培养-穿刺液引流液培养');
INSERT INTO `tran_lis_config` VALUES ('1679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '各种穿刺液引流液培养', '一般细菌培养(各种穿刺液引流液)', null, '各种穿刺液引流液培养-一般细菌培养(各种穿刺液引流液)');
INSERT INTO `tran_lis_config` VALUES ('1680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '各种穿刺液引流液培养', '自定义', null, '各种穿刺液引流液培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('1681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '庚肝测定', '庚肝抗体(Anti-HGVIgG)', null, '庚肝测定-庚肝抗体(Anti-HGVIgG)');
INSERT INTO `tran_lis_config` VALUES ('1682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈涂片', '宫颈涂片', null, '宫颈涂片-宫颈涂片');
INSERT INTO `tran_lis_config` VALUES ('1683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨钙素', '骨钙素(OC)', null, '骨钙素-骨钙素(OC)');
INSERT INTO `tran_lis_config` VALUES ('1684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓检查', '骨髓NAP染色', null, '骨髓检查-骨髓NAP染色');
INSERT INTO `tran_lis_config` VALUES ('1685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓检查', '骨髓培养', null, '骨髓检查-骨髓培养');
INSERT INTO `tran_lis_config` VALUES ('1686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓检查', '骨髓染色体检查', null, '骨髓检查-骨髓染色体检查');
INSERT INTO `tran_lis_config` VALUES ('1687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓检查', '一般细菌培养(骨髓)', null, '骨髓检查-一般细菌培养(骨髓)');
INSERT INTO `tran_lis_config` VALUES ('1688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨型碱性磷酸酶', '骨型碱性磷酸酶(NBAP)', null, '骨型碱性磷酸酶-骨型碱性磷酸酶(NBAP)');
INSERT INTO `tran_lis_config` VALUES ('1689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液培养', '关节液培养', null, '关节液培养-关节液培养');
INSERT INTO `tran_lis_config` VALUES ('1690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液培养', '一般细菌培养(关节液)', null, '关节液培养-一般细菌培养(关节液)');
INSERT INTO `tran_lis_config` VALUES ('1691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液培养', '自定义', null, '关节液培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('1692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后17α-羟孕酮(17α-OHP)', null, '过夜地塞米松抑制试验-服药后17α-羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('1693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后促肾上腺皮质激素(ACTH)', null, '过夜地塞米松抑制试验-服药后促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('1694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后睾酮(T)', null, '过夜地塞米松抑制试验-服药后睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('1695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后硫酸去氢表雄酮', null, '过夜地塞米松抑制试验-服药后硫酸去氢表雄酮');
INSERT INTO `tran_lis_config` VALUES ('1696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药后皮质醇', null, '过夜地塞米松抑制试验-服药后皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前17α-羟孕酮(17α-OHP)', null, '过夜地塞米松抑制试验-服药前17α-羟孕酮(17α-OHP)');
INSERT INTO `tran_lis_config` VALUES ('1698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前促肾上腺皮质激素(ACTH)', null, '过夜地塞米松抑制试验-服药前促肾上腺皮质激素(ACTH)');
INSERT INTO `tran_lis_config` VALUES ('1699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前睾酮(T)', null, '过夜地塞米松抑制试验-服药前睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('1700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前硫酸去氢表雄酮', null, '过夜地塞米松抑制试验-服药前硫酸去氢表雄酮');
INSERT INTO `tran_lis_config` VALUES ('1701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', '服药前皮质醇', null, '过夜地塞米松抑制试验-服药前皮质醇');
INSERT INTO `tran_lis_config` VALUES ('1702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红斑狼疮细胞(LEC)检查', '红斑狼疮细胞(LEC)检查', null, '红斑狼疮细胞(LEC)检查-红斑狼疮细胞(LEC)检查');
INSERT INTO `tran_lis_config` VALUES ('1703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞丙酮酸激酶(PK)检测', '丙酮酸激酶(PK)', null, '红细胞丙酮酸激酶(PK)检测-丙酮酸激酶(PK)');
INSERT INTO `tran_lis_config` VALUES ('1704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '白细胞计数', null, '滑膜液常规-白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '镜检晶体', null, '滑膜液常规-镜检晶体');
INSERT INTO `tran_lis_config` VALUES ('1706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '量', null, '滑膜液常规-量');
INSERT INTO `tran_lis_config` VALUES ('1707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '黏稠性', null, '滑膜液常规-黏稠性');
INSERT INTO `tran_lis_config` VALUES ('1708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '透明度', null, '滑膜液常规-透明度');
INSERT INTO `tran_lis_config` VALUES ('1709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '外观', null, '滑膜液常规-外观');
INSERT INTO `tran_lis_config` VALUES ('1710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '细菌培养', null, '滑膜液常规-细菌培养');
INSERT INTO `tran_lis_config` VALUES ('1711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '血浆葡萄糖与积液葡萄糖差值', null, '滑膜液常规-血浆葡萄糖与积液葡萄糖差值');
INSERT INTO `tran_lis_config` VALUES ('1712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', '中性粒细胞', null, '滑膜液常规-中性粒细胞');
INSERT INTO `tran_lis_config` VALUES ('1713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '活化蛋白C抵抗(APCR)试验', '活化蛋白C抵抗(APCR)试验', null, '活化蛋白C抵抗(APCR)试验-活化蛋白C抵抗(APCR)试验');
INSERT INTO `tran_lis_config` VALUES ('1714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '霍乱弧菌直接涂片镜检', '霍乱弧菌直接涂片镜检', null, '霍乱弧菌直接涂片镜检-霍乱弧菌直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('1715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶活性测定', '肌酸激酶同工酶(CK-MB)活性', null, '肌酸激酶同工酶活性测定-肌酸激酶同工酶(CK-MB)活性');
INSERT INTO `tran_lis_config` VALUES ('1716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲肝测定', '甲肝抗体(Anti-HAV)', null, '甲肝测定-甲肝抗体(Anti-HAV)');
INSERT INTO `tran_lis_config` VALUES ('1717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状旁腺激素', '甲状旁腺激素(PTH)', null, '甲状旁腺激素-甲状旁腺激素(PTH)');
INSERT INTO `tran_lis_config` VALUES ('1718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能', '反三碘甲腺原氨酸(r T3)', null, '甲状腺功能-反三碘甲腺原氨酸(r T3)');
INSERT INTO `tran_lis_config` VALUES ('1719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能', '三碘甲腺原氨酸摄取率', null, '甲状腺功能-三碘甲腺原氨酸摄取率');
INSERT INTO `tran_lis_config` VALUES ('1720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', '促甲状腺激素(TSH)', null, '甲状腺功能（5项）-促甲状腺激素(TSH)');
INSERT INTO `tran_lis_config` VALUES ('1721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', '甲状腺素(T4)', null, '甲状腺功能（5项）-甲状腺素(T4)');
INSERT INTO `tran_lis_config` VALUES ('1722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', '三碘甲状原氨酸(T3)', null, '甲状腺功能（5项）-三碘甲状原氨酸(T3)');
INSERT INTO `tran_lis_config` VALUES ('1723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', '游离甲状腺素(FT4)', null, '甲状腺功能（5项）-游离甲状腺素(FT4)');
INSERT INTO `tran_lis_config` VALUES ('1724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', '游离三碘甲状原氨酸(FT3)', null, '甲状腺功能（5项）-游离三碘甲状原氨酸(FT3)');
INSERT INTO `tran_lis_config` VALUES ('1725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺摄碘试验', '24h摄取率', null, '甲状腺摄碘试验-24h摄取率');
INSERT INTO `tran_lis_config` VALUES ('1726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺摄碘试验', '3h摄取率', null, '甲状腺摄碘试验-3h摄取率');
INSERT INTO `tran_lis_config` VALUES ('1727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '促甲状腺素受体抗体(TRAb)', null, '甲状腺自身抗体检测-促甲状腺素受体抗体(TRAb)');
INSERT INTO `tran_lis_config` VALUES ('1728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '甲状腺结合球蛋白(TBG)', null, '甲状腺自身抗体检测-甲状腺结合球蛋白(TBG)');
INSERT INTO `tran_lis_config` VALUES ('1729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '甲状腺球蛋白(TG)', null, '甲状腺自身抗体检测-甲状腺球蛋白(TG)');
INSERT INTO `tran_lis_config` VALUES ('1730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺过氧化物酶抗体(TPOAb)', null, '甲状腺自身抗体检测-抗甲状腺过氧化物酶抗体(TPOAb)');
INSERT INTO `tran_lis_config` VALUES ('1731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺球蛋白抗体(TGAb)', null, '甲状腺自身抗体检测-抗甲状腺球蛋白抗体(TGAb)');
INSERT INTO `tran_lis_config` VALUES ('1732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', '抗甲状腺微粒体抗体(TMAb)', null, '甲状腺自身抗体检测-抗甲状腺微粒体抗体(TMAb)');
INSERT INTO `tran_lis_config` VALUES ('1733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素原', '降钙素原(PCT)', null, '降钙素原-降钙素原(PCT)');
INSERT INTO `tran_lis_config` VALUES ('1734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核检查', '分枝杆菌培养', null, '结核检查-分枝杆菌培养');
INSERT INTO `tran_lis_config` VALUES ('1735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核检查', '抗结核抗体', null, '结核检查-抗结核抗体');
INSERT INTO `tran_lis_config` VALUES ('1736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体检查', '解脲脲原体基因鉴别', null, '解脲支原体检查-解脲脲原体基因鉴别');
INSERT INTO `tran_lis_config` VALUES ('1737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体检查', '解脲脲原体检查培养', null, '解脲支原体检查-解脲脲原体检查培养');
INSERT INTO `tran_lis_config` VALUES ('1738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体检查', '解脲脲原体抗体', null, '解脲支原体检查-解脲脲原体抗体');
INSERT INTO `tran_lis_config` VALUES ('1739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体检查', '解脲支原体核酸测定(UU DNA)', null, '解脲支原体检查-解脲支原体核酸测定(UU DNA)');
INSERT INTO `tran_lis_config` VALUES ('1740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精液量', null, '精液常规-精液量');
INSERT INTO `tran_lis_config` VALUES ('1741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子存活率', null, '精液常规-精子存活率');
INSERT INTO `tran_lis_config` VALUES ('1742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子活动力', null, '精液常规-精子活动力');
INSERT INTO `tran_lis_config` VALUES ('1743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子计数', null, '精液常规-精子计数');
INSERT INTO `tran_lis_config` VALUES ('1744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子密度', null, '精液常规-精子密度');
INSERT INTO `tran_lis_config` VALUES ('1745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '精子正常形态', null, '精液常规-精子正常形态');
INSERT INTO `tran_lis_config` VALUES ('1746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '酸碱度(PH)', null, '精液常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('1747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '外观', null, '精液常规-外观');
INSERT INTO `tran_lis_config` VALUES ('1748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', '液化时间', null, '精液常规-液化时间');
INSERT INTO `tran_lis_config` VALUES ('1749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '蛋白质', null, '精液生化-蛋白质');
INSERT INTO `tran_lis_config` VALUES ('1750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '果糖', null, '精液生化-果糖');
INSERT INTO `tran_lis_config` VALUES ('1751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '柠檬酸', null, '精液生化-柠檬酸');
INSERT INTO `tran_lis_config` VALUES ('1752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '酸性磷酸酶(ACP)', null, '精液生化-酸性磷酸酶(ACP)');
INSERT INTO `tran_lis_config` VALUES ('1753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '铁(Fe)', null, '精液生化-铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('1754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '铜(Cu)', null, '精液生化-铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('1755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', '锌(Zn)', null, '精液生化-锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('1756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子其他检查', '精子顶体酶活性定量测定', null, '精子其他检查-精子顶体酶活性定量测定');
INSERT INTO `tran_lis_config` VALUES ('1757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子其他检查', '精子尾部低渗肿胀试验', null, '精子其他检查-精子尾部低渗肿胀试验');
INSERT INTO `tran_lis_config` VALUES ('1758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子其他检查', '抗精子抗体测定', null, '精子其他检查-抗精子抗体测定');
INSERT INTO `tran_lis_config` VALUES ('1759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒检测', '巨细胞病毒抗体IgG', null, '巨细胞病毒检测-巨细胞病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒检测', '巨细胞病毒抗体IgM', null, '巨细胞病毒检测-巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒检测', '血清巨细胞病毒抗原测定', null, '巨细胞病毒检测-血清巨细胞病毒抗原测定');
INSERT INTO `tran_lis_config` VALUES ('1762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗β2-糖蛋白1抗体测定', '抗β2-糖蛋白1抗体', null, '抗β2-糖蛋白1抗体测定-抗β2-糖蛋白1抗体');
INSERT INTO `tran_lis_config` VALUES ('1763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗Jo-1', null, '抗核抗体谱测定-抗Jo-1');
INSERT INTO `tran_lis_config` VALUES ('1764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗nRNP', null, '抗核抗体谱测定-抗nRNP');
INSERT INTO `tran_lis_config` VALUES ('1765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗PM-Scl抗体(抗PM-1抗体)', null, '抗核抗体谱测定-抗PM-Scl抗体(抗PM-1抗体)');
INSERT INTO `tran_lis_config` VALUES ('1766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗RNP', null, '抗核抗体谱测定-抗RNP');
INSERT INTO `tran_lis_config` VALUES ('1767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗Scl-70', null, '抗核抗体谱测定-抗Scl-70');
INSERT INTO `tran_lis_config` VALUES ('1768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗Sm', null, '抗核抗体谱测定-抗Sm');
INSERT INTO `tran_lis_config` VALUES ('1769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗SS-A', null, '抗核抗体谱测定-抗SS-A');
INSERT INTO `tran_lis_config` VALUES ('1770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗SSA52', null, '抗核抗体谱测定-抗SSA52');
INSERT INTO `tran_lis_config` VALUES ('1771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗SSA60', null, '抗核抗体谱测定-抗SSA60');
INSERT INTO `tran_lis_config` VALUES ('1772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗SS-B', null, '抗核抗体谱测定-抗SS-B');
INSERT INTO `tran_lis_config` VALUES ('1773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗单链DNA', null, '抗核抗体谱测定-抗单链DNA');
INSERT INTO `tran_lis_config` VALUES ('1774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗核抗体(ANA)总谱', null, '抗核抗体谱测定-抗核抗体(ANA)总谱');
INSERT INTO `tran_lis_config` VALUES ('1775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗核糖体P蛋白(rRNP)', null, '抗核抗体谱测定-抗核糖体P蛋白(rRNP)');
INSERT INTO `tran_lis_config` VALUES ('1776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗核小体抗体(AnuA)', null, '抗核抗体谱测定-抗核小体抗体(AnuA)');
INSERT INTO `tran_lis_config` VALUES ('1777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗双链DNA(抗dsDNA)测定', null, '抗核抗体谱测定-抗双链DNA(抗dsDNA)测定');
INSERT INTO `tran_lis_config` VALUES ('1778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗线粒体M2亚型抗体(AMA-M2)', null, '抗核抗体谱测定-抗线粒体M2亚型抗体(AMA-M2)');
INSERT INTO `tran_lis_config` VALUES ('1779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗增殖细胞核抗原抗体(抗PCNA)', null, '抗核抗体谱测定-抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `tran_lis_config` VALUES ('1780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗着丝点抗体', null, '抗核抗体谱测定-抗着丝点抗体');
INSERT INTO `tran_lis_config` VALUES ('1781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', '抗组蛋白抗体(AHA)', null, '抗核抗体谱测定-抗组蛋白抗体(AHA)');
INSERT INTO `tran_lis_config` VALUES ('1782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗红细胞抗体测定', '抗红细胞抗体测定', null, '抗红细胞抗体测定-抗红细胞抗体测定');
INSERT INTO `tran_lis_config` VALUES ('1783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗环瓜氨酸肽抗体(抗CCP)测定', '抗环瓜氨酸肽抗体(抗CCP)', null, '抗环瓜氨酸肽抗体(抗CCP)测定-抗环瓜氨酸肽抗体(抗CCP)');
INSERT INTO `tran_lis_config` VALUES ('1784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗利尿激素', '抗利尿激素(ADH)', null, '抗利尿激素-抗利尿激素(ADH)');
INSERT INTO `tran_lis_config` VALUES ('1785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌激酶抗体', '抗链球菌激酶抗体', null, '抗链球菌激酶抗体-抗链球菌激酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O', '抗链球菌溶血素O(定量)', null, '抗链球菌溶血素O-抗链球菌溶血素O(定量)');
INSERT INTO `tran_lis_config` VALUES ('1787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O', '抗链球菌溶血素O(定性)', null, '抗链球菌溶血素O-抗链球菌溶血素O(定性)');
INSERT INTO `tran_lis_config` VALUES ('1788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌透明质酸酶', '抗链球菌透明质酸酶', null, '抗链球菌透明质酸酶-抗链球菌透明质酸酶');
INSERT INTO `tran_lis_config` VALUES ('1789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗淋巴细胞抗体试验', '抗淋巴细胞抗体试验', null, '抗淋巴细胞抗体试验-抗淋巴细胞抗体试验');
INSERT INTO `tran_lis_config` VALUES ('1790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脑组织抗体测定', '抗脑组织抗体测定', null, '抗脑组织抗体测定-抗脑组织抗体测定');
INSERT INTO `tran_lis_config` VALUES ('1791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗平滑肌抗体', '抗平滑肌抗体', null, '抗平滑肌抗体-抗平滑肌抗体');
INSERT INTO `tran_lis_config` VALUES ('1792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经节苷脂抗体测定', 'IgG', null, '抗神经节苷脂抗体测定-IgG');
INSERT INTO `tran_lis_config` VALUES ('1793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经节苷脂抗体测定', 'IgM', null, '抗神经节苷脂抗体测定-IgM');
INSERT INTO `tran_lis_config` VALUES ('1794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾上腺抗体测定', '抗肾上腺抗体', null, '抗肾上腺抗体测定-抗肾上腺抗体');
INSERT INTO `tran_lis_config` VALUES ('1795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾小球基底膜抗体测定', '抗肾小球基底膜抗体', null, '抗肾小球基底膜抗体测定-抗肾小球基底膜抗体');
INSERT INTO `tran_lis_config` VALUES ('1796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脱氧核糖核酸酶', '抗脱氧核糖核酸酶B抗体', null, '抗脱氧核糖核酸酶-抗脱氧核糖核酸酶B抗体');
INSERT INTO `tran_lis_config` VALUES ('1797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脱氧核糖核酸酶', '抗脱氧核糖核酸酶抗体', null, '抗脱氧核糖核酸酶-抗脱氧核糖核酸酶抗体');
INSERT INTO `tran_lis_config` VALUES ('1798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胃壁细胞抗体检测', '抗胃壁细胞抗体', null, '抗胃壁细胞抗体检测-抗胃壁细胞抗体');
INSERT INTO `tran_lis_config` VALUES ('1799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗线粒体抗体(AMA)测定', '抗线粒体抗体(AMA)', null, '抗线粒体抗体(AMA)测定-抗线粒体抗体(AMA)');
INSERT INTO `tran_lis_config` VALUES ('1800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心磷脂抗体(ACA)测定', 'IgA', null, '抗心磷脂抗体(ACA)测定-IgA');
INSERT INTO `tran_lis_config` VALUES ('1801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心磷脂抗体(ACA)测定', 'IgG', null, '抗心磷脂抗体(ACA)测定-IgG');
INSERT INTO `tran_lis_config` VALUES ('1802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心磷脂抗体(ACA)测定', 'IgM', null, '抗心磷脂抗体(ACA)测定-IgM');
INSERT INTO `tran_lis_config` VALUES ('1803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗乙酰胆碱受体抗体', '抗乙酰胆碱受体抗体', null, '抗乙酰胆碱受体抗体-抗乙酰胆碱受体抗体');
INSERT INTO `tran_lis_config` VALUES ('1804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗增殖细胞核抗原抗体(抗PCNA)测定', '抗增殖细胞核抗原抗体(抗PCNA)', null, '抗增殖细胞核抗原抗体(抗PCNA)测定-抗增殖细胞核抗原抗体(抗PCNA)');
INSERT INTO `tran_lis_config` VALUES ('1805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗子宫内膜抗体', '抗子宫内膜抗体(EMAb)', null, '抗子宫内膜抗体-抗子宫内膜抗体(EMAb)');
INSERT INTO `tran_lis_config` VALUES ('1806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒', '柯萨奇病毒IgG', null, '柯萨奇病毒-柯萨奇病毒IgG');
INSERT INTO `tran_lis_config` VALUES ('1807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒', '柯萨奇病毒IgM', null, '柯萨奇病毒-柯萨奇病毒IgM');
INSERT INTO `tran_lis_config` VALUES ('1808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '120min血糖', null, '口服葡萄糖耐量试验-120min血糖');
INSERT INTO `tran_lis_config` VALUES ('1809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '180min血糖', null, '口服葡萄糖耐量试验-180min血糖');
INSERT INTO `tran_lis_config` VALUES ('1810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '240min血糖', null, '口服葡萄糖耐量试验-240min血糖');
INSERT INTO `tran_lis_config` VALUES ('1811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '300min血糖', null, '口服葡萄糖耐量试验-300min血糖');
INSERT INTO `tran_lis_config` VALUES ('1812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '30min血糖', null, '口服葡萄糖耐量试验-30min血糖');
INSERT INTO `tran_lis_config` VALUES ('1813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', '60min血糖', null, '口服葡萄糖耐量试验-60min血糖');
INSERT INTO `tran_lis_config` VALUES ('1814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '狂犬病毒抗体测定', '狂犬病毒抗体', null, '狂犬病毒抗体测定-狂犬病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '拉网细胞学检查与诊断', '拉网细胞学检查与诊断', null, '拉网细胞学检查与诊断-拉网细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('1816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', '类风湿因子(RF)IgA', null, '类风湿因子测定-类风湿因子(RF)IgA');
INSERT INTO `tran_lis_config` VALUES ('1817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', '类风湿因子(RF)IgD', null, '类风湿因子测定-类风湿因子(RF)IgD');
INSERT INTO `tran_lis_config` VALUES ('1818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', '类风湿因子(RF)IgE', null, '类风湿因子测定-类风湿因子(RF)IgE');
INSERT INTO `tran_lis_config` VALUES ('1819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', '类风湿因子(RF)IgG', null, '类风湿因子测定-类风湿因子(RF)IgG');
INSERT INTO `tran_lis_config` VALUES ('1820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', '类风湿因子(RF)IgM', null, '类风湿因子测定-类风湿因子(RF)IgM');
INSERT INTO `tran_lis_config` VALUES ('1821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子', '类胰岛素样生长因子-1(IGF)', null, '类胰岛素样生长因子-类胰岛素样生长因子-1(IGF)');
INSERT INTO `tran_lis_config` VALUES ('1822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子', '类胰岛素样生长因子结合蛋白-3(IGF-BP3)', null, '类胰岛素样生长因子-类胰岛素样生长因子结合蛋白-3(IGF-BP3)');
INSERT INTO `tran_lis_config` VALUES ('1823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '立克次体免疫学试验', '立克次体免疫学试验', null, '立克次体免疫学试验-立克次体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('1824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD3+', null, '淋巴细胞亚群计数-CD3+');
INSERT INTO `tran_lis_config` VALUES ('1825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD4+', null, '淋巴细胞亚群计数-CD4+');
INSERT INTO `tran_lis_config` VALUES ('1826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD4+/CD8+', null, '淋巴细胞亚群计数-CD4+/CD8+');
INSERT INTO `tran_lis_config` VALUES ('1827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', 'CD8+', null, '淋巴细胞亚群计数-CD8+');
INSERT INTO `tran_lis_config` VALUES ('1828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋球菌涂片', '淋球菌涂片', null, '淋球菌涂片-淋球菌涂片');
INSERT INTO `tran_lis_config` VALUES ('1829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流感病毒核糖核酸检测', '流感病毒核糖核酸', null, '流感病毒核糖核酸检测-流感病毒核糖核酸');
INSERT INTO `tran_lis_config` VALUES ('1830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热抗体测定', '流行性出血热病毒抗体', null, '流行性出血热抗体测定-流行性出血热病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性乙型脑炎病毒抗体测定', '乙型脑炎病毒抗体', null, '流行性乙型脑炎病毒抗体测定-乙型脑炎病毒抗体');
INSERT INTO `tran_lis_config` VALUES ('1832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒检测', '轮状病毒抗原(RV)', null, '轮状病毒检测-轮状病毒抗原(RV)');
INSERT INTO `tran_lis_config` VALUES ('1833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '麻疹病毒', '麻疹病毒抗体IgG', null, '麻疹病毒-麻疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('1834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '麻疹病毒', '麻疹病毒抗体IgM', null, '麻疹病毒-麻疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('1835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '120min血糖', null, '馒头餐糖耐量试验-120min血糖');
INSERT INTO `tran_lis_config` VALUES ('1836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '180min血糖', null, '馒头餐糖耐量试验-180min血糖');
INSERT INTO `tran_lis_config` VALUES ('1837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '240min血糖', null, '馒头餐糖耐量试验-240min血糖');
INSERT INTO `tran_lis_config` VALUES ('1838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '300min血糖', null, '馒头餐糖耐量试验-300min血糖');
INSERT INTO `tran_lis_config` VALUES ('1839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '30min血糖', null, '馒头餐糖耐量试验-30min血糖');
INSERT INTO `tran_lis_config` VALUES ('1840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', '60min血糖', null, '馒头餐糖耐量试验-60min血糖');
INSERT INTO `tran_lis_config` VALUES ('1841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '甲苯胺红不加热血清试验(TRUST)', null, '梅毒检测-甲苯胺红不加热血清试验(TRUST)');
INSERT INTO `tran_lis_config` VALUES ('1842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '抗梅毒螺旋抗体(TP-Ab)', null, '梅毒检测-抗梅毒螺旋抗体(TP-Ab)');
INSERT INTO `tran_lis_config` VALUES ('1843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '梅毒螺旋体涂片', null, '梅毒检测-梅毒螺旋体涂片');
INSERT INTO `tran_lis_config` VALUES ('1844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '密螺旋体颗粒凝集(TPPA)试验', null, '梅毒检测-密螺旋体颗粒凝集(TPPA)试验');
INSERT INTO `tran_lis_config` VALUES ('1845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', '血浆反应素(RPR)试验', null, '梅毒检测-血浆反应素(RPR)试验');
INSERT INTO `tran_lis_config` VALUES ('1846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgA1', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgA1');
INSERT INTO `tran_lis_config` VALUES ('1847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgA2', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgA2');
INSERT INTO `tran_lis_config` VALUES ('1848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgG1', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG1');
INSERT INTO `tran_lis_config` VALUES ('1849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgG2', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG2');
INSERT INTO `tran_lis_config` VALUES ('1850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgG3', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG3');
INSERT INTO `tran_lis_config` VALUES ('1851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', '免疫球蛋白亚类定量测定IgG4', null, '免疫球蛋白亚类定量测定-免疫球蛋白亚类定量测定IgG4');
INSERT INTO `tran_lis_config` VALUES ('1852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫组织化学染色诊断', '免疫组织化学染色诊断', null, '免疫组织化学染色诊断-免疫组织化学染色诊断');
INSERT INTO `tran_lis_config` VALUES ('1853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '墨汁染色', '新型隐球菌墨汁染色镜检', null, '墨汁染色-新型隐球菌墨汁染色镜检');
INSERT INTO `tran_lis_config` VALUES ('1854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钠尿肽', 'A型钠尿肽(ANP)', null, '钠尿肽-A型钠尿肽(ANP)');
INSERT INTO `tran_lis_config` VALUES ('1855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钠尿肽', 'B型钠尿肽(BNP)', null, '钠尿肽-B型钠尿肽(BNP)');
INSERT INTO `tran_lis_config` VALUES ('1856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耐甲氧西林葡萄球菌检测(定量试验)', '耐甲氧西林葡萄球菌检测(定量试验)', null, '耐甲氧西林葡萄球菌检测(定量试验)-耐甲氧西林葡萄球菌检测(定量试验)');
INSERT INTO `tran_lis_config` VALUES ('1857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '比重', null, '脑脊液常规+生化-比重');
INSERT INTO `tran_lis_config` VALUES ('1858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '蛋白质定量', null, '脑脊液常规+生化-蛋白质定量');
INSERT INTO `tran_lis_config` VALUES ('1859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '革兰染色', null, '脑脊液常规+生化-革兰染色');
INSERT INTO `tran_lis_config` VALUES ('1860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '抗酸染色', null, '脑脊液常规+生化-抗酸染色');
INSERT INTO `tran_lis_config` VALUES ('1861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '氯化物定量', null, '脑脊液常规+生化-氯化物定量');
INSERT INTO `tran_lis_config` VALUES ('1862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '白蛋白', null, '脑脊液常规+生化-白蛋白');
INSERT INTO `tran_lis_config` VALUES ('1863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液白细胞计数', null, '脑脊液常规+生化-脑脊液白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液单核细胞百分比', null, '脑脊液常规+生化-脑脊液单核细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液红细胞计数', null, '脑脊液常规+生化-脑脊液红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液淋巴细胞百分比', null, '脑脊液常规+生化-脑脊液淋巴细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液腺苷脱氨酶', null, '脑脊液常规+生化-脑脊液腺苷脱氨酶');
INSERT INTO `tran_lis_config` VALUES ('1868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '脑脊液中性粒细胞百分比', null, '脑脊液常规+生化-脑脊液中性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('1869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '葡萄糖定量', null, '脑脊液常规+生化-葡萄糖定量');
INSERT INTO `tran_lis_config` VALUES ('1870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '乳酸', null, '脑脊液常规+生化-乳酸');
INSERT INTO `tran_lis_config` VALUES ('1871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '酸碱度(PH)', null, '脑脊液常规+生化-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('1872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '透明度', null, '脑脊液常规+生化-透明度');
INSERT INTO `tran_lis_config` VALUES ('1873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '压力', null, '脑脊液常规+生化-压力');
INSERT INTO `tran_lis_config` VALUES ('1874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', '颜色', null, '脑脊液常规+生化-颜色');
INSERT INTO `tran_lis_config` VALUES ('1875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', 'β2-巨球蛋白', null, '脑脊液免疫球蛋白测定-β2-巨球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白A', null, '脑脊液免疫球蛋白测定-免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('1877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白G', null, '脑脊液免疫球蛋白测定-免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('1878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '免疫球蛋白M', null, '脑脊液免疫球蛋白测定-免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('1879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', '髓鞘碱性蛋白', null, '脑脊液免疫球蛋白测定-髓鞘碱性蛋白');
INSERT INTO `tran_lis_config` VALUES ('1880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', 'A群链球菌', null, '脑脊液培养-A群链球菌');
INSERT INTO `tran_lis_config` VALUES ('1881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', 'B群链球菌', null, '脑脊液培养-B群链球菌');
INSERT INTO `tran_lis_config` VALUES ('1882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '白色念珠菌', null, '脑脊液培养-白色念珠菌');
INSERT INTO `tran_lis_config` VALUES ('1883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '肺炎链球菌', null, '脑脊液培养-肺炎链球菌');
INSERT INTO `tran_lis_config` VALUES ('1884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '假单胞菌属菌种', null, '脑脊液培养-假单胞菌属菌种');
INSERT INTO `tran_lis_config` VALUES ('1885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '结核分枝杆菌', null, '脑脊液培养-结核分枝杆菌');
INSERT INTO `tran_lis_config` VALUES ('1886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '卡他莫拉菌', null, '脑脊液培养-卡他莫拉菌');
INSERT INTO `tran_lis_config` VALUES ('1887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '流感嗜血杆菌', null, '脑脊液培养-流感嗜血杆菌');
INSERT INTO `tran_lis_config` VALUES ('1888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '脑脊液培养', null, '脑脊液培养-脑脊液培养');
INSERT INTO `tran_lis_config` VALUES ('1889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '脑膜败血黄杆菌', null, '脑脊液培养-脑膜败血黄杆菌');
INSERT INTO `tran_lis_config` VALUES ('1890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '脑膜炎奈瑟菌', null, '脑脊液培养-脑膜炎奈瑟菌');
INSERT INTO `tran_lis_config` VALUES ('1891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '葡萄球菌属菌种', null, '脑脊液培养-葡萄球菌属菌种');
INSERT INTO `tran_lis_config` VALUES ('1892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '一般细菌培养(脑脊液)', null, '脑脊液培养-一般细菌培养(脑脊液)');
INSERT INTO `tran_lis_config` VALUES ('1893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', '自定义', null, '脑脊液培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('1894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定量试验', '内毒素鲎定量试验', null, '内毒素鲎定量试验-内毒素鲎定量试验');
INSERT INTO `tran_lis_config` VALUES ('1895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定性试验', '内毒素鲎定性试验', null, '内毒素鲎定性试验-内毒素鲎定性试验');
INSERT INTO `tran_lis_config` VALUES ('1896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿NAG', '尿NAG', null, '尿NAG-尿NAG');
INSERT INTO `tran_lis_config` VALUES ('1897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿卟啉检测', '尿卟啉定量', null, '尿卟啉检测-尿卟啉定量');
INSERT INTO `tran_lis_config` VALUES ('1898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿卟啉检测', '尿卟啉定性', null, '尿卟啉检测-尿卟啉定性');
INSERT INTO `tran_lis_config` VALUES ('1899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '白细胞脂酶(LEU)', null, '尿常规-白细胞脂酶(LEU)');
INSERT INTO `tran_lis_config` VALUES ('1900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '比重(SG-U)', null, '尿常规-比重(SG-U)');
INSERT INTO `tran_lis_config` VALUES ('1901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '胆红素(BIL-U)', null, '尿常规-胆红素(BIL-U)');
INSERT INTO `tran_lis_config` VALUES ('1902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿胆原(URO-U)', null, '尿常规-尿胆原(URO-U)');
INSERT INTO `tran_lis_config` VALUES ('1903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿蛋白(PRO-U)', null, '尿常规-尿蛋白(PRO-U)');
INSERT INTO `tran_lis_config` VALUES ('1904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '尿酮体(KET-U)', null, '尿常规-尿酮体(KET-U)');
INSERT INTO `tran_lis_config` VALUES ('1905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '葡萄糖(GLU-U)', null, '尿常规-葡萄糖(GLU-U)');
INSERT INTO `tran_lis_config` VALUES ('1906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '酸碱度(PH)', null, '尿常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('1907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '维生素C(VC)', null, '尿常规-维生素C(VC)');
INSERT INTO `tran_lis_config` VALUES ('1908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '亚硝酸盐(NIT-U)', null, '尿常规-亚硝酸盐(NIT-U)');
INSERT INTO `tran_lis_config` VALUES ('1909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', '隐血(BLD-U)', null, '尿常规-隐血(BLD-U)');
INSERT INTO `tran_lis_config` VALUES ('1910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '白细胞(计数板法)', null, '尿沉渣镜检-白细胞(计数板法)');
INSERT INTO `tran_lis_config` VALUES ('1911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '白细胞(仪器法)', null, '尿沉渣镜检-白细胞(仪器法)');
INSERT INTO `tran_lis_config` VALUES ('1912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '管型(仪器法)', null, '尿沉渣镜检-管型(仪器法)');
INSERT INTO `tran_lis_config` VALUES ('1913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '红细胞(计数板法)', null, '尿沉渣镜检-红细胞(计数板法)');
INSERT INTO `tran_lis_config` VALUES ('1914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '红细胞(仪器法)', null, '尿沉渣镜检-红细胞(仪器法)');
INSERT INTO `tran_lis_config` VALUES ('1915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '上皮细胞(仪器法)', null, '尿沉渣镜检-上皮细胞(仪器法)');
INSERT INTO `tran_lis_config` VALUES ('1916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', '细菌(仪器法)', null, '尿沉渣镜检-细菌(仪器法)');
INSERT INTO `tran_lis_config` VALUES ('1917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白测定', '尿蛋白测定', null, '尿蛋白测定-尿蛋白测定');
INSERT INTO `tran_lis_config` VALUES ('1918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白测定', '尿蛋白定量(24h)', null, '尿蛋白测定-尿蛋白定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-FDP', null, '尿蛋白电泳分析-尿蛋白电泳-FDP');
INSERT INTO `tran_lis_config` VALUES ('1920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-NAG酶', null, '尿蛋白电泳分析-尿蛋白电泳-NAG酶');
INSERT INTO `tran_lis_config` VALUES ('1921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-RBP', null, '尿蛋白电泳分析-尿蛋白电泳-RBP');
INSERT INTO `tran_lis_config` VALUES ('1922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-α1微量球蛋白', null, '尿蛋白电泳分析-尿蛋白电泳-α1微量球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-α2巨球蛋白', null, '尿蛋白电泳分析-尿蛋白电泳-α2巨球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-β2微球蛋白', null, '尿蛋白电泳分析-尿蛋白电泳-β2微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-β3微球蛋白', null, '尿蛋白电泳分析-尿蛋白电泳-β3微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('1926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-蛋白定性', null, '尿蛋白电泳分析-尿蛋白电泳-蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('1927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-尿IgG', null, '尿蛋白电泳分析-尿蛋白电泳-尿IgG');
INSERT INTO `tran_lis_config` VALUES ('1928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-轻链KAPPA定量', null, '尿蛋白电泳分析-尿蛋白电泳-轻链KAPPA定量');
INSERT INTO `tran_lis_config` VALUES ('1929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-轻链LAMBDA定量', null, '尿蛋白电泳分析-尿蛋白电泳-轻链LAMBDA定量');
INSERT INTO `tran_lis_config` VALUES ('1930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-微量白蛋白', null, '尿蛋白电泳分析-尿蛋白电泳-微量白蛋白');
INSERT INTO `tran_lis_config` VALUES ('1931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿蛋白电泳-中分子带', null, '尿蛋白电泳分析-尿蛋白电泳-中分子带');
INSERT INTO `tran_lis_config` VALUES ('1932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', '尿转铁蛋白', null, '尿蛋白电泳分析-尿转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('1933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺测定', '尿儿茶酚胺(24h)', null, '尿儿茶酚胺测定-尿儿茶酚胺(24h)');
INSERT INTO `tran_lis_config` VALUES ('1934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钙测定(24h)', '尿钙测定(24h)', null, '尿钙测定(24h)-尿钙测定(24h)');
INSERT INTO `tran_lis_config` VALUES ('1935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿高香草酸', '尿高香草酸', null, '尿高香草酸-尿高香草酸');
INSERT INTO `tran_lis_config` VALUES ('1936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿含铁血黄素定性试验', '含铁血黄素定性试验', null, '尿含铁血黄素定性试验-含铁血黄素定性试验');
INSERT INTO `tran_lis_config` VALUES ('1937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞形态检查', '畸形红细胞计数', null, '尿红细胞形态检查-畸形红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞形态检查', '尿红细胞计数', null, '尿红细胞形态检查-尿红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞形态检查', '正形红细胞计数', null, '尿红细胞形态检查-正形红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('1940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌酐测定', '尿肌酐', null, '尿肌酐测定-尿肌酐');
INSERT INTO `tran_lis_config` VALUES ('1941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌酐测定', '尿肌酐定量(24h)', null, '尿肌酐测定-尿肌酐定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌红蛋白定性试验', '尿肌红蛋白定性试验', null, '尿肌红蛋白定性试验-尿肌红蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('1943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基去甲肾上腺素(NMN)(24h)', '甲氧基去甲肾上腺素(NMN)', null, '尿甲氧基去甲肾上腺素(NMN)(24h)-甲氧基去甲肾上腺素(NMN)');
INSERT INTO `tran_lis_config` VALUES ('1944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基肾上腺素(MN)(24h)', '甲氧基肾上腺素(MN)', null, '尿甲氧基肾上腺素(MN)(24h)-甲氧基肾上腺素(MN)');
INSERT INTO `tran_lis_config` VALUES ('1945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钾测定', '尿钾定量(24h)', null, '尿钾测定-尿钾定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '白细胞(WBC)', null, '尿镜检-白细胞(WBC)');
INSERT INTO `tran_lis_config` VALUES ('1947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '白细胞管型', null, '尿镜检-白细胞管型');
INSERT INTO `tran_lis_config` VALUES ('1948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '红细胞(RBC)', null, '尿镜检-红细胞(RBC)');
INSERT INTO `tran_lis_config` VALUES ('1949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '红细胞管型', null, '尿镜检-红细胞管型');
INSERT INTO `tran_lis_config` VALUES ('1950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '结晶', null, '尿镜检-结晶');
INSERT INTO `tran_lis_config` VALUES ('1951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '颗粒管型', null, '尿镜检-颗粒管型');
INSERT INTO `tran_lis_config` VALUES ('1952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '其他', null, '尿镜检-其他');
INSERT INTO `tran_lis_config` VALUES ('1953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '其他管型', null, '尿镜检-其他管型');
INSERT INTO `tran_lis_config` VALUES ('1954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '上皮细胞', null, '尿镜检-上皮细胞');
INSERT INTO `tran_lis_config` VALUES ('1955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '透明管型', null, '尿镜检-透明管型');
INSERT INTO `tran_lis_config` VALUES ('1956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', '粘液丝', null, '尿镜检-粘液丝');
INSERT INTO `tran_lis_config` VALUES ('1957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿可的松定量(24h)', '尿可的松定量(24h)', null, '尿可的松定量(24h)-尿可的松定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷测定', '磷', null, '尿磷测定-磷');
INSERT INTO `tran_lis_config` VALUES ('1959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷测定', '尿磷测定(24h)', null, '尿磷测定-尿磷测定(24h)');
INSERT INTO `tran_lis_config` VALUES ('1960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氯测定', '氯', null, '尿氯测定-氯');
INSERT INTO `tran_lis_config` VALUES ('1961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氯测定', '尿氯定量(24h)', null, '尿氯测定-尿氯定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镁测定', '镁', null, '尿镁测定-镁');
INSERT INTO `tran_lis_config` VALUES ('1963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镁测定', '尿镁定量(24h)', null, '尿镁测定-尿镁定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿免疫固定电泳', '尿免疫固定电泳', null, '尿免疫固定电泳-尿免疫固定电泳');
INSERT INTO `tran_lis_config` VALUES ('1965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钠测定', '钠', null, '尿钠测定-钠');
INSERT INTO `tran_lis_config` VALUES ('1966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钠测定', '尿钠定量(24h)', null, '尿钠测定-尿钠定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿酸定量', '尿尿酸定量(24h)', null, '尿尿酸定量-尿尿酸定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('1968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿酸定量', '尿酸(UA)', null, '尿尿酸定量-尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('1969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿轻链测定', 'KAP', null, '尿轻链测定-KAP');
INSERT INTO `tran_lis_config` VALUES ('1970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿轻链测定', 'LAM', null, '尿轻链测定-LAM');
INSERT INTO `tran_lis_config` VALUES ('1971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿去甲肾上腺素', '尿去甲肾上腺素', null, '尿去甲肾上腺素-尿去甲肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('1972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿去甲肾上腺素', '尿去甲肾上腺素(24h)', null, '尿去甲肾上腺素-尿去甲肾上腺素(24h)');
INSERT INTO `tran_lis_config` VALUES ('1973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿醛固酮定量(24h)', '尿醛固酮', null, '尿醛固酮定量(24h)-尿醛固酮');
INSERT INTO `tran_lis_config` VALUES ('1974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肾上腺素(24h)', '尿肾上腺素(24h)', null, '尿肾上腺素(24h)-尿肾上腺素(24h)');
INSERT INTO `tran_lis_config` VALUES ('1975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿糖测定', '尿糖定量', null, '尿糖测定-尿糖定量');
INSERT INTO `tran_lis_config` VALUES ('1976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿糖测定', '尿糖定性', null, '尿糖测定-尿糖定性');
INSERT INTO `tran_lis_config` VALUES ('1977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量白蛋白测定', '微量白蛋白(mAlb)', null, '尿微量白蛋白测定-微量白蛋白(mAlb)');
INSERT INTO `tran_lis_config` VALUES ('1978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量白蛋白定量(24h)', '微量白蛋白(mAlb)', null, '尿微量白蛋白定量(24h)-微量白蛋白(mAlb)');
INSERT INTO `tran_lis_config` VALUES ('1979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液总钙测定', '总钙(Ca)', null, '尿液总钙测定-总钙(Ca)');
INSERT INTO `tran_lis_config` VALUES ('1980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '部分活化凝血活酶时间(APTT)', null, '凝血功能测定-部分活化凝血活酶时间(APTT)');
INSERT INTO `tran_lis_config` VALUES ('1981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '国际标准化比值(INR)', null, '凝血功能测定-国际标准化比值(INR)');
INSERT INTO `tran_lis_config` VALUES ('1982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '活化凝血时间(ACT)', null, '凝血功能测定-活化凝血时间(ACT)');
INSERT INTO `tran_lis_config` VALUES ('1983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '凝血酶时间(TT)', null, '凝血功能测定-凝血酶时间(TT)');
INSERT INTO `tran_lis_config` VALUES ('1984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '凝血酶原时间(PT)', null, '凝血功能测定-凝血酶原时间(PT)');
INSERT INTO `tran_lis_config` VALUES ('1985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '凝血酶原时间活动度', null, '凝血功能测定-凝血酶原时间活动度');
INSERT INTO `tran_lis_config` VALUES ('1986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '凝血时间(CT)', null, '凝血功能测定-凝血时间(CT)');
INSERT INTO `tran_lis_config` VALUES ('1987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', '纤维蛋白原(FG)', null, '凝血功能测定-纤维蛋白原(FG)');
INSERT INTO `tran_lis_config` VALUES ('1988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅱ(FⅡ:C)', null, '凝血因子测定-凝血因子Ⅱ(FⅡ:C)');
INSERT INTO `tran_lis_config` VALUES ('1989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅴ(FⅤ:C)', null, '凝血因子测定-凝血因子Ⅴ(FⅤ:C)');
INSERT INTO `tran_lis_config` VALUES ('1990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅶ(FⅦ:C)', null, '凝血因子测定-凝血因子Ⅶ(FⅦ:C)');
INSERT INTO `tran_lis_config` VALUES ('1991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅷ(FⅧ:C)', null, '凝血因子测定-凝血因子Ⅷ(FⅧ:C)');
INSERT INTO `tran_lis_config` VALUES ('1992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅸ(FⅨ:C)', null, '凝血因子测定-凝血因子Ⅸ(FⅨ:C)');
INSERT INTO `tran_lis_config` VALUES ('1993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅹ(FⅩ:C)', null, '凝血因子测定-凝血因子Ⅹ(FⅩ:C)');
INSERT INTO `tran_lis_config` VALUES ('1994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅺ(FⅪ:C)', null, '凝血因子测定-凝血因子Ⅺ(FⅪ:C)');
INSERT INTO `tran_lis_config` VALUES ('1995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', '凝血因子Ⅻ(FⅫ:C)', null, '凝血因子测定-凝血因子Ⅻ(FⅫ:C)');
INSERT INTO `tran_lis_config` VALUES ('1996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浓缩集菌抗酸菌', '浓缩集菌抗酸菌检测', null, '浓缩集菌抗酸菌-浓缩集菌抗酸菌检测');
INSERT INTO `tran_lis_config` VALUES ('1997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浓缩集菌抗酸菌', '浓缩集菌涂片抗酸染色镜检', null, '浓缩集菌抗酸菌-浓缩集菌涂片抗酸染色镜检');
INSERT INTO `tran_lis_config` VALUES ('1998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '肠杆菌科细菌培养', null, '脓液培养-肠杆菌科细菌培养');
INSERT INTO `tran_lis_config` VALUES ('1999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '化脓性链球菌培养', null, '脓液培养-化脓性链球菌培养');
INSERT INTO `tran_lis_config` VALUES ('2000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '金黄色葡萄球菌培养', null, '脓液培养-金黄色葡萄球菌培养');
INSERT INTO `tran_lis_config` VALUES ('2001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '脓液培养', null, '脓液培养-脓液培养');
INSERT INTO `tran_lis_config` VALUES ('2002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '诺卡菌培养', null, '脓液培养-诺卡菌培养');
INSERT INTO `tran_lis_config` VALUES ('2003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '铜绿假单胞菌培养', null, '脓液培养-铜绿假单胞菌培养');
INSERT INTO `tran_lis_config` VALUES ('2004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '厌氧菌培养', null, '脓液培养-厌氧菌培养');
INSERT INTO `tran_lis_config` VALUES ('2005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '一般细菌培养(脓液)', null, '脓液培养-一般细菌培养(脓液)');
INSERT INTO `tran_lis_config` VALUES ('2006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', '自定义', null, '脓液培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('2007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫检查', '疟原虫', null, '疟原虫检查-疟原虫');
INSERT INTO `tran_lis_config` VALUES ('2008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '培养细菌菌落计数', '大肠杆菌菌落数计数', null, '培养细菌菌落计数-大肠杆菌菌落数计数');
INSERT INTO `tran_lis_config` VALUES ('2009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '培养细菌菌落计数', '培养细菌菌落计数', null, '培养细菌菌落计数-培养细菌菌落计数');
INSERT INTO `tran_lis_config` VALUES ('2010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '皮质醇', '血浆皮质醇测定', null, '皮质醇-血浆皮质醇测定');
INSERT INTO `tran_lis_config` VALUES ('2011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前白蛋白', '前白蛋白(PA)', null, '前白蛋白-前白蛋白(PA)');
INSERT INTO `tran_lis_config` VALUES ('2012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '白细胞计数', null, '前列腺液常规检查-白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '淀粉样体', null, '前列腺液常规检查-淀粉样体');
INSERT INTO `tran_lis_config` VALUES ('2014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '红细胞计数', null, '前列腺液常规检查-红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '卵磷脂小体', null, '前列腺液常规检查-卵磷脂小体');
INSERT INTO `tran_lis_config` VALUES ('2016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)', null, '前列腺液常规检查-其他(精子、滴虫、细菌、癌细胞、颗粒细胞、脓细胞)');
INSERT INTO `tran_lis_config` VALUES ('2017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', '粘液', null, '前列腺液常规检查-粘液');
INSERT INTO `tran_lis_config` VALUES ('2018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '缺血修饰白蛋白测定', '缺血修饰白蛋白(IMA)', null, '缺血修饰白蛋白测定-缺血修饰白蛋白(IMA)');
INSERT INTO `tran_lis_config` VALUES ('2019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '染色体分析', '染色体分析', null, '染色体分析-染色体分析');
INSERT INTO `tran_lis_config` VALUES ('2020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '染色体荧光原位杂交分析', '染色体荧光原位杂交分析', null, '染色体荧光原位杂交分析-染色体荧光原位杂交分析');
INSERT INTO `tran_lis_config` VALUES ('2021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人附睾蛋白', '附睾蛋白(HE4)', null, '人附睾蛋白-附睾蛋白(HE4)');
INSERT INTO `tran_lis_config` VALUES ('2022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒检测', 'HIV抗体', null, '人类免疫缺陷病毒检测-HIV抗体');
INSERT INTO `tran_lis_config` VALUES ('2023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒检测', 'P24抗原', null, '人类免疫缺陷病毒检测-P24抗原');
INSERT INTO `tran_lis_config` VALUES ('2024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒检测', '艾滋病HIV-1型抗体', null, '人类免疫缺陷病毒检测-艾滋病HIV-1型抗体');
INSERT INTO `tran_lis_config` VALUES ('2025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒检测', '尿液人类免疫缺陷病毒测定', null, '人类免疫缺陷病毒检测-尿液人类免疫缺陷病毒测定');
INSERT INTO `tran_lis_config` VALUES ('2026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒检测', '抗人乳头瘤病毒抗体(HPV-Ab)', null, '人乳头瘤病毒检测-抗人乳头瘤病毒抗体(HPV-Ab)');
INSERT INTO `tran_lis_config` VALUES ('2027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒检测', '人乳头瘤病毒分型', null, '人乳头瘤病毒检测-人乳头瘤病毒分型');
INSERT INTO `tran_lis_config` VALUES ('2028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒检测', '人乳头瘤病毒脱氧核糖核酸非扩增定性检测', null, '人乳头瘤病毒检测-人乳头瘤病毒脱氧核糖核酸非扩增定性检测');
INSERT INTO `tran_lis_config` VALUES ('2029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒检测', '人乳头瘤病毒脱氧核糖核酸扩增检测', null, '人乳头瘤病毒检测-人乳头瘤病毒脱氧核糖核酸扩增检测');
INSERT INTO `tran_lis_config` VALUES ('2030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妊娠相关蛋白A(PAPP)测定', 'PAPP', null, '妊娠相关蛋白A(PAPP)测定-PAPP');
INSERT INTO `tran_lis_config` VALUES ('2031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', '腹水乳糜试验', null, '乳糜试验-腹水乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('2032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', '尿乳糜定性试验', null, '乳糜试验-尿乳糜定性试验');
INSERT INTO `tran_lis_config` VALUES ('2033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', '乳糜试验', null, '乳糜试验-乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('2034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', '体液乳糜试验', null, '乳糜试验-体液乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('2035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', '胸水乳糜试验', null, '乳糜试验-胸水乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('2036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '酚红排泄试验(PSP)', null, '肾功能-酚红排泄试验(PSP)');
INSERT INTO `tran_lis_config` VALUES ('2037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '胱抑素(Cys-C)', null, '肾功能-胱抑素(Cys-C)');
INSERT INTO `tran_lis_config` VALUES ('2038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '肌酐(Cr)', null, '肾功能-肌酐(Cr)');
INSERT INTO `tran_lis_config` VALUES ('2039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '内生肌酐清除率(CCr)', null, '肾功能-内生肌酐清除率(CCr)');
INSERT INTO `tran_lis_config` VALUES ('2040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α1微球蛋白', null, '肾功能-尿α1微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α2微球蛋白', null, '肾功能-尿α2微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α3微球蛋白', null, '肾功能-尿α3微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α4微球蛋白', null, '肾功能-尿α4微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿α5微球蛋白', null, '肾功能-尿α5微球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿β2-微球蛋白（β2-MG）', null, '肾功能-尿β2-微球蛋白（β2-MG）');
INSERT INTO `tran_lis_config` VALUES ('2046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿蛋白定性试验', null, '肾功能-尿蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('2047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿素(Urea)', null, '肾功能-尿素(Urea)');
INSERT INTO `tran_lis_config` VALUES ('2048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿素氮(BUN)', null, '肾功能-尿素氮(BUN)');
INSERT INTO `tran_lis_config` VALUES ('2049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿素氮/肌酐', null, '肾功能-尿素氮/肌酐');
INSERT INTO `tran_lis_config` VALUES ('2050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿素清除率', null, '肾功能-尿素清除率');
INSERT INTO `tran_lis_config` VALUES ('2051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '尿酸(UA)', null, '肾功能-尿酸(UA)');
INSERT INTO `tran_lis_config` VALUES ('2052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '肾小球滤过率(GFR)', null, '肾功能-肾小球滤过率(GFR)');
INSERT INTO `tran_lis_config` VALUES ('2053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '选择性蛋白尿指数(SPI)', null, '肾功能-选择性蛋白尿指数(SPI)');
INSERT INTO `tran_lis_config` VALUES ('2054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '血α1微球蛋白(α1-MG)', null, '肾功能-血α1微球蛋白(α1-MG)');
INSERT INTO `tran_lis_config` VALUES ('2055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', '血β2-微球蛋白（β2-MG）', null, '肾功能-血β2-微球蛋白（β2-MG）');
INSERT INTO `tran_lis_config` VALUES ('2056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾上腺素', '血清肾上腺素(AD)', null, '肾上腺素-血清肾上腺素(AD)');
INSERT INTO `tran_lis_config` VALUES ('2057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '醛固酮(ALD)(立位)', null, '肾素卧立位试验-醛固酮(ALD)(立位)');
INSERT INTO `tran_lis_config` VALUES ('2058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '醛固酮(ALD)(卧位)', null, '肾素卧立位试验-醛固酮(ALD)(卧位)');
INSERT INTO `tran_lis_config` VALUES ('2059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '肾素(立位)', null, '肾素卧立位试验-肾素(立位)');
INSERT INTO `tran_lis_config` VALUES ('2060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '肾素(卧位)', null, '肾素卧立位试验-肾素(卧位)');
INSERT INTO `tran_lis_config` VALUES ('2061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '血管紧张素(立位)', null, '肾素卧立位试验-血管紧张素(立位)');
INSERT INTO `tran_lis_config` VALUES ('2062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', '血管紧张素(卧位)', null, '肾素卧立位试验-血管紧张素(卧位)');
INSERT INTO `tran_lis_config` VALUES ('2063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '渗透压检查', '精液渗透压', null, '渗透压检查-精液渗透压');
INSERT INTO `tran_lis_config` VALUES ('2064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '渗透压检查', '尿液渗透压', null, '渗透压检查-尿液渗透压');
INSERT INTO `tran_lis_config` VALUES ('2065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '渗透压检查', '血液渗透压', null, '渗透压检查-血液渗透压');
INSERT INTO `tran_lis_config` VALUES ('2066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '蛋白C抵抗(APCR)', null, '生理抗凝因子检测-蛋白C抵抗(APCR)');
INSERT INTO `tran_lis_config` VALUES ('2067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '蛋白C活性(PC)', null, '生理抗凝因子检测-蛋白C活性(PC)');
INSERT INTO `tran_lis_config` VALUES ('2068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '蛋白C抗原(PC:Ag)', null, '生理抗凝因子检测-蛋白C抗原(PC:Ag)');
INSERT INTO `tran_lis_config` VALUES ('2069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '蛋白S含量(PS:Ag)', null, '生理抗凝因子检测-蛋白S含量(PS:Ag)');
INSERT INTO `tran_lis_config` VALUES ('2070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '抗凝血酶复合物(TAT)', null, '生理抗凝因子检测-抗凝血酶复合物(TAT)');
INSERT INTO `tran_lis_config` VALUES ('2071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '抗凝血酶活性(AT:A)', null, '生理抗凝因子检测-抗凝血酶活性(AT:A)');
INSERT INTO `tran_lis_config` VALUES ('2072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', '抗凝血酶抗原(AT:Ag)', null, '生理抗凝因子检测-抗凝血酶抗原(AT:Ag)');
INSERT INTO `tran_lis_config` VALUES ('2073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生长激素', '生长激素(GH)', null, '生长激素-生长激素(GH)');
INSERT INTO `tran_lis_config` VALUES ('2074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '视黄醇结合蛋白', '视黄醇结合蛋白(RBP)', null, '视黄醇结合蛋白-视黄醇结合蛋白(RBP)');
INSERT INTO `tran_lis_config` VALUES ('2075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瘦素', '瘦素(LP)', null, '瘦素-瘦素(LP)');
INSERT INTO `tran_lis_config` VALUES ('2076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '苏丹黑染色检查', '苏丹黑染色检查', null, '苏丹黑染色检查-苏丹黑染色检查');
INSERT INTO `tran_lis_config` VALUES ('2077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', 'A群链球菌培养', null, '痰培养-A群链球菌培养');
INSERT INTO `tran_lis_config` VALUES ('2078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '白喉棒状杆菌培养', null, '痰培养-白喉棒状杆菌培养');
INSERT INTO `tran_lis_config` VALUES ('2079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '百日咳鲍特菌培养', null, '痰培养-百日咳鲍特菌培养');
INSERT INTO `tran_lis_config` VALUES ('2080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '肺炎克雷伯菌培养', null, '痰培养-肺炎克雷伯菌培养');
INSERT INTO `tran_lis_config` VALUES ('2081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '肺炎链球菌培养', null, '痰培养-肺炎链球菌培养');
INSERT INTO `tran_lis_config` VALUES ('2082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '假单胞菌属培养', null, '痰培养-假单胞菌属培养');
INSERT INTO `tran_lis_config` VALUES ('2083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '酵母样真菌培养', null, '痰培养-酵母样真菌培养');
INSERT INTO `tran_lis_config` VALUES ('2084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '结核分枝杆菌培养', null, '痰培养-结核分枝杆菌培养');
INSERT INTO `tran_lis_config` VALUES ('2085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '金黄色葡萄球菌培养', null, '痰培养-金黄色葡萄球菌培养');
INSERT INTO `tran_lis_config` VALUES ('2086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '卡他莫拉菌培养', null, '痰培养-卡他莫拉菌培养');
INSERT INTO `tran_lis_config` VALUES ('2087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '流感嗜血杆菌培养', null, '痰培养-流感嗜血杆菌培养');
INSERT INTO `tran_lis_config` VALUES ('2088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '诺卡菌培养', null, '痰培养-诺卡菌培养');
INSERT INTO `tran_lis_config` VALUES ('2089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '痰培养', null, '痰培养-痰培养');
INSERT INTO `tran_lis_config` VALUES ('2090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '一般细菌培养(痰)', null, '痰培养-一般细菌培养(痰)');
INSERT INTO `tran_lis_config` VALUES ('2091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', '自定义', null, '痰培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('2092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰涂片', '痰涂片', null, '痰涂片-痰涂片');
INSERT INTO `tran_lis_config` VALUES ('2093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '革兰染色', null, '痰液常规-革兰染色');
INSERT INTO `tran_lis_config` VALUES ('2094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '寄生虫', null, '痰液常规-寄生虫');
INSERT INTO `tran_lis_config` VALUES ('2095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '结晶', null, '痰液常规-结晶');
INSERT INTO `tran_lis_config` VALUES ('2096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '抗酸染色', null, '痰液常规-抗酸染色');
INSERT INTO `tran_lis_config` VALUES ('2097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '其他', null, '痰液常规-其他');
INSERT INTO `tran_lis_config` VALUES ('2098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '色、性状、血液', null, '痰液常规-色、性状、血液');
INSERT INTO `tran_lis_config` VALUES ('2099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', '细胞', null, '痰液常规-细胞');
INSERT INTO `tran_lis_config` VALUES ('2100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '餐后1h血糖(Glu)', null, '糖代谢检查-餐后1h血糖(Glu)');
INSERT INTO `tran_lis_config` VALUES ('2101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '餐后2h血糖(Glu)', null, '糖代谢检查-餐后2h血糖(Glu)');
INSERT INTO `tran_lis_config` VALUES ('2102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '空腹血糖(Glu)', null, '糖代谢检查-空腹血糖(Glu)');
INSERT INTO `tran_lis_config` VALUES ('2103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '随机血糖(Glu)', null, '糖代谢检查-随机血糖(Glu)');
INSERT INTO `tran_lis_config` VALUES ('2104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '糖化白蛋白(GA)', null, '糖代谢检查-糖化白蛋白(GA)');
INSERT INTO `tran_lis_config` VALUES ('2105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '糖化血红蛋白(GHb)', null, '糖代谢检查-糖化血红蛋白(GHb)');
INSERT INTO `tran_lis_config` VALUES ('2106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', '糖化血清蛋白(GSP)', null, '糖代谢检查-糖化血清蛋白(GSP)');
INSERT INTO `tran_lis_config` VALUES ('2107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁染色检查', '骨髓铁染色', null, '铁染色检查-骨髓铁染色');
INSERT INTO `tran_lis_config` VALUES ('2108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁染色检查', '血液铁染色', null, '铁染色检查-血液铁染色');
INSERT INTO `tran_lis_config` VALUES ('2109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '同型半胱氨酸', '同型半胱氨酸(Hcy)', null, '同型半胱氨酸-同型半胱氨酸(Hcy)');
INSERT INTO `tran_lis_config` VALUES ('2110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铜蓝蛋白CER', '铜蓝蛋白(CER)', null, '铜蓝蛋白CER-铜蓝蛋白(CER)');
INSERT INTO `tran_lis_config` VALUES ('2111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血细胞形态学分析', '外周血细胞形态学分析', null, '外周血细胞形态学分析-外周血细胞形态学分析');
INSERT INTO `tran_lis_config` VALUES ('2112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '碘(I)', null, '微量元素测定-碘(I)');
INSERT INTO `tran_lis_config` VALUES ('2113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '镉(Cd)', null, '微量元素测定-镉(Cd)');
INSERT INTO `tran_lis_config` VALUES ('2114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '铬(Cr)', null, '微量元素测定-铬(Cr)');
INSERT INTO `tran_lis_config` VALUES ('2115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '汞(Hg)', null, '微量元素测定-汞(Hg)');
INSERT INTO `tran_lis_config` VALUES ('2116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '锂(Li)', null, '微量元素测定-锂(Li)');
INSERT INTO `tran_lis_config` VALUES ('2117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '铅(Pb)', null, '微量元素测定-铅(Pb)');
INSERT INTO `tran_lis_config` VALUES ('2118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '铁(Fe)', null, '微量元素测定-铁(Fe)');
INSERT INTO `tran_lis_config` VALUES ('2119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '铜(Cu)', null, '微量元素测定-铜(Cu)');
INSERT INTO `tran_lis_config` VALUES ('2120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '硒(Se)', null, '微量元素测定-硒(Se)');
INSERT INTO `tran_lis_config` VALUES ('2121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', '锌(Zn)', null, '微量元素测定-锌(Zn)');
INSERT INTO `tran_lis_config` VALUES ('2122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素A(VitA)测定', '血清维生素A(VitA)测定', null, '维生素A(VitA)测定-血清维生素A(VitA)测定');
INSERT INTO `tran_lis_config` VALUES ('2123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素B1', '血清维生素B1(VitB1)测定', null, '维生素B1-血清维生素B1(VitB1)测定');
INSERT INTO `tran_lis_config` VALUES ('2124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素B12', '血清维生素B12', null, '维生素B12-血清维生素B12');
INSERT INTO `tran_lis_config` VALUES ('2125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素C', '血浆维生素C(VitC)测定', null, '维生素C-血浆维生素C(VitC)测定');
INSERT INTO `tran_lis_config` VALUES ('2126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素D测定', '1,25-羟维生素D3', null, '维生素D测定-1,25-羟维生素D3');
INSERT INTO `tran_lis_config` VALUES ('2127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素D测定', '25羟基维生素D3[25(OH)D]', null, '维生素D测定-25羟基维生素D3[25(OH)D]');
INSERT INTO `tran_lis_config` VALUES ('2128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素D测定', '维生素D2', null, '维生素D测定-维生素D2');
INSERT INTO `tran_lis_config` VALUES ('2129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', '胃蛋白酶原I', null, '胃蛋白酶原检测(PG)-胃蛋白酶原I');
INSERT INTO `tran_lis_config` VALUES ('2130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', '胃蛋白酶原II', null, '胃蛋白酶原检测(PG)-胃蛋白酶原II');
INSERT INTO `tran_lis_config` VALUES ('2131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', '胃蛋白酶原PGI/II比值', null, '胃蛋白酶原检测(PG)-胃蛋白酶原PGI/II比值');
INSERT INTO `tran_lis_config` VALUES ('2132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃泌素测定', '胃泌素', null, '胃泌素测定-胃泌素');
INSERT INTO `tran_lis_config` VALUES ('2133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', 'BAO/MAO', null, '胃酸分泌试验-BAO/MAO');
INSERT INTO `tran_lis_config` VALUES ('2134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '高峰泌酸量(PAO)', null, '胃酸分泌试验-高峰泌酸量(PAO)');
INSERT INTO `tran_lis_config` VALUES ('2135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '基础泌酸量(BAO)', null, '胃酸分泌试验-基础泌酸量(BAO)');
INSERT INTO `tran_lis_config` VALUES ('2136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', '最大泌酸量(MAO)', null, '胃酸分泌试验-最大泌酸量(MAO)');
INSERT INTO `tran_lis_config` VALUES ('2137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '癌细胞', null, '胃液常规-癌细胞');
INSERT INTO `tran_lis_config` VALUES ('2138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '白细胞', null, '胃液常规-白细胞');
INSERT INTO `tran_lis_config` VALUES ('2139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '胆汁测定', null, '胃液常规-胆汁测定');
INSERT INTO `tran_lis_config` VALUES ('2140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '红细胞', null, '胃液常规-红细胞');
INSERT INTO `tran_lis_config` VALUES ('2141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '量', null, '胃液常规-量');
INSERT INTO `tran_lis_config` VALUES ('2142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '黏液', null, '胃液常规-黏液');
INSERT INTO `tran_lis_config` VALUES ('2143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '上皮细胞', null, '胃液常规-上皮细胞');
INSERT INTO `tran_lis_config` VALUES ('2144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '酸碱度(PH)', null, '胃液常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('2145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '外观', null, '胃液常规-外观');
INSERT INTO `tran_lis_config` VALUES ('2146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', '细菌', null, '胃液常规-细菌');
INSERT INTO `tran_lis_config` VALUES ('2147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '无菌体液细菌培养', '脑脊液细菌培养', null, '无菌体液细菌培养-脑脊液细菌培养');
INSERT INTO `tran_lis_config` VALUES ('2148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '无菌体液细菌培养', '无菌体液细菌培养', null, '无菌体液细菌培养-无菌体液细菌培养');
INSERT INTO `tran_lis_config` VALUES ('2149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '无菌体液细菌培养', '胸腔积液细菌培养', null, '无菌体液细菌培养-胸腔积液细菌培养');
INSERT INTO `tran_lis_config` VALUES ('2150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝测定', '戊肝DNA定量', null, '戊肝测定-戊肝DNA定量');
INSERT INTO `tran_lis_config` VALUES ('2151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝测定', '戊肝DNA定性', null, '戊肝测定-戊肝DNA定性');
INSERT INTO `tran_lis_config` VALUES ('2152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝测定', '戊肝抗体(Anti-HEV)IgG', null, '戊肝测定-戊肝抗体(Anti-HEV)IgG');
INSERT INTO `tran_lis_config` VALUES ('2153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝测定', '戊肝抗体(Anti-HEV)IgM', null, '戊肝测定-戊肝抗体(Anti-HEV)IgM');
INSERT INTO `tran_lis_config` VALUES ('2154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '百日咳杆菌抗体', null, '细菌抗体测定-百日咳杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '单核细胞增多性李斯特菌抗体', null, '细菌抗体测定-单核细胞增多性李斯特菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '肺炎克雷伯杆菌抗体', null, '细菌抗体测定-肺炎克雷伯杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '副百日咳杆菌抗体', null, '细菌抗体测定-副百日咳杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '结肠弯曲菌抗体', null, '细菌抗体测定-结肠弯曲菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '结核杆菌抗体', null, '细菌抗体测定-结核杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '军团菌抗体抗体', null, '细菌抗体测定-军团菌抗体抗体');
INSERT INTO `tran_lis_config` VALUES ('2161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '空肠弯曲菌抗体', null, '细菌抗体测定-空肠弯曲菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '流感嗜血杆菌抗体', null, '细菌抗体测定-流感嗜血杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '脑膜炎奈瑟菌抗体', null, '细菌抗体测定-脑膜炎奈瑟菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '破伤风杆菌抗体', null, '细菌抗体测定-破伤风杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '细菌抗体测定', null, '细菌抗体测定-细菌抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '小肠结肠炎耶尔森氏菌抗体', null, '细菌抗体测定-小肠结肠炎耶尔森氏菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', '幽门螺杆菌抗体', null, '细菌抗体测定-幽门螺杆菌抗体');
INSERT INTO `tran_lis_config` VALUES ('2168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗原检测', '细菌抗原检测', null, '细菌抗原检测-细菌抗原检测');
INSERT INTO `tran_lis_config` VALUES ('2169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎检测', 'H2O2', null, '细菌性阴道炎检测-H2O2');
INSERT INTO `tran_lis_config` VALUES ('2170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎检测', '白细胞酯酶', null, '细菌性阴道炎检测-白细胞酯酶');
INSERT INTO `tran_lis_config` VALUES ('2171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎检测', '唾液酸酐酶活性', null, '细菌性阴道炎检测-唾液酸酐酶活性');
INSERT INTO `tran_lis_config` VALUES ('2172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎检测', '细菌性阴道炎快速检测', null, '细菌性阴道炎检测-细菌性阴道炎快速检测');
INSERT INTO `tran_lis_config` VALUES ('2173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', 'D-二聚体', null, '纤溶系统检测-D-二聚体');
INSERT INTO `tran_lis_config` VALUES ('2174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '抗纤溶酶复合物', null, '纤溶系统检测-抗纤溶酶复合物');
INSERT INTO `tran_lis_config` VALUES ('2175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '纤维蛋白降解产物(FDP)', null, '纤溶系统检测-纤维蛋白降解产物(FDP)');
INSERT INTO `tran_lis_config` VALUES ('2176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性', null, '纤溶系统检测-血浆α2纤溶酶抑制物活性(α2-PI:A)测定α2纤溶酶抑制物活性');
INSERT INTO `tran_lis_config` VALUES ('2177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '血浆纤维蛋白肽BP15-42', null, '纤溶系统检测-血浆纤维蛋白肽BP15-42');
INSERT INTO `tran_lis_config` VALUES ('2178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '血浆纤维蛋白肽Bβ1-42', null, '纤溶系统检测-血浆纤维蛋白肽Bβ1-42');
INSERT INTO `tran_lis_config` VALUES ('2179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '血浆纤维蛋白肽B检测', null, '纤溶系统检测-血浆纤维蛋白肽B检测');
INSERT INTO `tran_lis_config` VALUES ('2180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '血浆鱼精蛋白副凝(3P)试验', null, '纤溶系统检测-血浆鱼精蛋白副凝(3P)试验');
INSERT INTO `tran_lis_config` VALUES ('2181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '优球蛋白溶解时间', null, '纤溶系统检测-优球蛋白溶解时间');
INSERT INTO `tran_lis_config` VALUES ('2182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', '优球蛋白溶解时间(ELT)测定', null, '纤溶系统检测-优球蛋白溶解时间(ELT)测定');
INSERT INTO `tran_lis_config` VALUES ('2183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腺病毒抗体测定', '抗腺病毒抗体IgG(ADV-IgG)', null, '腺病毒抗体测定-抗腺病毒抗体IgG(ADV-IgG)');
INSERT INTO `tran_lis_config` VALUES ('2184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腺病毒抗体测定', '抗腺病毒抗体IgM(ADV-IgM)', null, '腺病毒抗体测定-抗腺病毒抗体IgM(ADV-IgM)');
INSERT INTO `tran_lis_config` VALUES ('2185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '香草扁桃酸', '香草苦杏仁酸', null, '香草扁桃酸-香草苦杏仁酸');
INSERT INTO `tran_lis_config` VALUES ('2186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '白细胞', null, '心包积液常规-白细胞');
INSERT INTO `tran_lis_config` VALUES ('2187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '比重', null, '心包积液常规-比重');
INSERT INTO `tran_lis_config` VALUES ('2188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '葡萄糖定量', null, '心包积液常规-葡萄糖定量');
INSERT INTO `tran_lis_config` VALUES ('2189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '乳酸脱氢酶(LD)', null, '心包积液常规-乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('2190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '酸碱度(PH)', null, '心包积液常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('2191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '透明度', null, '心包积液常规-透明度');
INSERT INTO `tran_lis_config` VALUES ('2192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', '外观', null, '心包积液常规-外观');
INSERT INTO `tran_lis_config` VALUES ('2193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液培养', '心包积液培养', null, '心包积液培养-心包积液培养');
INSERT INTO `tran_lis_config` VALUES ('2194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液培养', '一般细菌培养(心包积液)', null, '心包积液培养-一般细菌培养(心包积液)');
INSERT INTO `tran_lis_config` VALUES ('2195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液培养', '自定义', null, '心包积液培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('2196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液生化', '白蛋白(Alb)', null, '心包积液生化-白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('2197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液生化', '腺苷脱氨酶(ADA)', null, '心包积液生化-腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('2198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液生化', '心包积液生化', null, '心包积液生化-心包积液生化');
INSERT INTO `tran_lis_config` VALUES ('2199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物', '肌钙蛋白Ⅰ(TnI)', null, '心肌梗死标志物-肌钙蛋白Ⅰ(TnI)');
INSERT INTO `tran_lis_config` VALUES ('2200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物', '肌钙蛋白T(TnT)', null, '心肌梗死标志物-肌钙蛋白T(TnT)');
INSERT INTO `tran_lis_config` VALUES ('2201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物', '肌酸激酶同工酶CK-MB', null, '心肌梗死标志物-肌酸激酶同工酶CK-MB');
INSERT INTO `tran_lis_config` VALUES ('2202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物', '血清肌红蛋白(Mb)', null, '心肌梗死标志物-血清肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('2203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', 'CK-MB/CK', null, '心肌酶谱-CK-MB/CK');
INSERT INTO `tran_lis_config` VALUES ('2204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', 'α-羟丁酸脱氢酶(α-HBD)', null, '心肌酶谱-α-羟丁酸脱氢酶(α-HBD)');
INSERT INTO `tran_lis_config` VALUES ('2205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', 'α羟基丁酸脱氢酶(α-HBD)', null, '心肌酶谱-α羟基丁酸脱氢酶(α-HBD)');
INSERT INTO `tran_lis_config` VALUES ('2206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶(CK)', null, '心肌酶谱-肌酸激酶(CK)');
INSERT INTO `tran_lis_config` VALUES ('2207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶同工酶', null, '心肌酶谱-肌酸激酶同工酶');
INSERT INTO `tran_lis_config` VALUES ('2208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '肌酸激酶同工酶CK-MB', null, '心肌酶谱-肌酸激酶同工酶CK-MB');
INSERT INTO `tran_lis_config` VALUES ('2209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', '乳酸脱氢酶(LD)', null, '心肌酶谱-乳酸脱氢酶(LD)');
INSERT INTO `tran_lis_config` VALUES ('2210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新生儿溶血病检测', 'ABO血型系统抗体致新生儿溶血病检测', null, '新生儿溶血病检测-ABO血型系统抗体致新生儿溶血病检测');
INSERT INTO `tran_lis_config` VALUES ('2211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新生儿溶血病检测', 'Rh血型系统抗体致新生儿溶血病检测', null, '新生儿溶血病检测-Rh血型系统抗体致新生儿溶血病检测');
INSERT INTO `tran_lis_config` VALUES ('2212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素结合球蛋白(SHBG)', '性激素结合球蛋白(SHBG)', null, '性激素结合球蛋白(SHBG)-性激素结合球蛋白(SHBG)');
INSERT INTO `tran_lis_config` VALUES ('2213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '雌二醇(E2)', null, '性激素六项-雌二醇(E2)');
INSERT INTO `tran_lis_config` VALUES ('2214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '促黄体生成素(LH)', null, '性激素六项-促黄体生成素(LH)');
INSERT INTO `tran_lis_config` VALUES ('2215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '睾酮(T)', null, '性激素六项-睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('2216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '卵泡刺激素(FSH)', null, '性激素六项-卵泡刺激素(FSH)');
INSERT INTO `tran_lis_config` VALUES ('2217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '泌乳素(PRL)', null, '性激素六项-泌乳素(PRL)');
INSERT INTO `tran_lis_config` VALUES ('2218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', '孕酮(P)', null, '性激素六项-孕酮(P)');
INSERT INTO `tran_lis_config` VALUES ('2219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '比重', null, '胸腔积液常规-比重');
INSERT INTO `tran_lis_config` VALUES ('2220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '蛋白定量', null, '胸腔积液常规-蛋白定量');
INSERT INTO `tran_lis_config` VALUES ('2221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '结核分枝杆菌', null, '胸腔积液常规-结核分枝杆菌');
INSERT INTO `tran_lis_config` VALUES ('2222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '军团菌', null, '胸腔积液常规-军团菌');
INSERT INTO `tran_lis_config` VALUES ('2223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '黏蛋白定性', null, '胸腔积液常规-黏蛋白定性');
INSERT INTO `tran_lis_config` VALUES ('2224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '凝固性', null, '胸腔积液常规-凝固性');
INSERT INTO `tran_lis_config` VALUES ('2225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '葡萄糖定量', null, '胸腔积液常规-葡萄糖定量');
INSERT INTO `tran_lis_config` VALUES ('2226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '乳酸脱氢酶', null, '胸腔积液常规-乳酸脱氢酶');
INSERT INTO `tran_lis_config` VALUES ('2227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '酸碱度(PH)', null, '胸腔积液常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('2228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '透明度', null, '胸腔积液常规-透明度');
INSERT INTO `tran_lis_config` VALUES ('2229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '外观', null, '胸腔积液常规-外观');
INSERT INTO `tran_lis_config` VALUES ('2230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '细胞计数', null, '胸腔积液常规-细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '胸水结核分枝杆菌核酸', null, '胸腔积液常规-胸水结核分枝杆菌核酸');
INSERT INTO `tran_lis_config` VALUES ('2232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', '异型细胞', null, '胸腔积液常规-异型细胞');
INSERT INTO `tran_lis_config` VALUES ('2233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', '白蛋白(Alb)', null, '胸腔积液生化-白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('2234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', '蛋白质', null, '胸腔积液生化-蛋白质');
INSERT INTO `tran_lis_config` VALUES ('2235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', '氯化物', null, '胸腔积液生化-氯化物');
INSERT INTO `tran_lis_config` VALUES ('2236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', '葡萄糖', null, '胸腔积液生化-葡萄糖');
INSERT INTO `tran_lis_config` VALUES ('2237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', '腺苷脱氨酶(ADA)', null, '胸腔积液生化-腺苷脱氨酶(ADA)');
INSERT INTO `tran_lis_config` VALUES ('2238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', 'A群链球菌', null, '胸水培养-A群链球菌');
INSERT INTO `tran_lis_config` VALUES ('2239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '大肠埃希菌', null, '胸水培养-大肠埃希菌');
INSERT INTO `tran_lis_config` VALUES ('2240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '肺炎克雷伯菌', null, '胸水培养-肺炎克雷伯菌');
INSERT INTO `tran_lis_config` VALUES ('2241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '结核分枝杆菌', null, '胸水培养-结核分枝杆菌');
INSERT INTO `tran_lis_config` VALUES ('2242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '金黄色葡萄球菌', null, '胸水培养-金黄色葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('2243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '铜绿假单胞菌', null, '胸水培养-铜绿假单胞菌');
INSERT INTO `tran_lis_config` VALUES ('2244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '胸水培养', null, '胸水培养-胸水培养');
INSERT INTO `tran_lis_config` VALUES ('2245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '胸水一般细菌培养', null, '胸水培养-胸水一般细菌培养');
INSERT INTO `tran_lis_config` VALUES ('2246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '真菌', null, '胸水培养-真菌');
INSERT INTO `tran_lis_config` VALUES ('2247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', '自定义', null, '胸水培养-自定义');
INSERT INTO `tran_lis_config` VALUES ('2248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素', '睾酮(T)', null, '雄性激素-睾酮(T)');
INSERT INTO `tran_lis_config` VALUES ('2249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素', '双氢睾酮(DHT)', null, '雄性激素-双氢睾酮(DHT)');
INSERT INTO `tran_lis_config` VALUES ('2250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素', '雄烯二酮(A2)', null, '雄性激素-雄烯二酮(A2)');
INSERT INTO `tran_lis_config` VALUES ('2251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素', '血清去氢表雄酮', null, '雄性激素-血清去氢表雄酮');
INSERT INTO `tran_lis_config` VALUES ('2252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血α2巨球蛋白', '血α2巨球蛋白', null, '血α2巨球蛋白-血α2巨球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血氨测定', '血氨', null, '血氨测定-血氨');
INSERT INTO `tran_lis_config` VALUES ('2254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', 'HGB*3/HCT', null, '血常规-HGB*3/HCT');
INSERT INTO `tran_lis_config` VALUES ('2255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '白细胞计数(WBC)', null, '血常规-白细胞计数(WBC)');
INSERT INTO `tran_lis_config` VALUES ('2256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '大型血小板比例(P-LCR)', null, '血常规-大型血小板比例(P-LCR)');
INSERT INTO `tran_lis_config` VALUES ('2257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞比例(MONO%)', null, '血常规-单核细胞比例(MONO%)');
INSERT INTO `tran_lis_config` VALUES ('2258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '单核细胞计数(MONO)', null, '血常规-单核细胞计数(MONO)');
INSERT INTO `tran_lis_config` VALUES ('2259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞分布宽度(RDW)', null, '血常规-红细胞分布宽度(RDW)');
INSERT INTO `tran_lis_config` VALUES ('2260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞计数(RBC)', null, '血常规-红细胞计数(RBC)');
INSERT INTO `tran_lis_config` VALUES ('2261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '红细胞压积(HCT)', null, '血常规-红细胞压积(HCT)');
INSERT INTO `tran_lis_config` VALUES ('2262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞比例(LY%)', null, '血常规-淋巴细胞比例(LY%)');
INSERT INTO `tran_lis_config` VALUES ('2263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '淋巴细胞计数(LY)', null, '血常规-淋巴细胞计数(LY)');
INSERT INTO `tran_lis_config` VALUES ('2264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均红细胞体积(MCV)', null, '血常规-平均红细胞体积(MCV)');
INSERT INTO `tran_lis_config` VALUES ('2265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均红细胞血红蛋白含量(MCH)', null, '血常规-平均红细胞血红蛋白含量(MCH)');
INSERT INTO `tran_lis_config` VALUES ('2266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均红细胞血红蛋白浓度(MCHC)', null, '血常规-平均红细胞血红蛋白浓度(MCHC)');
INSERT INTO `tran_lis_config` VALUES ('2267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '平均血小板体积(MPV）', null, '血常规-平均血小板体积(MPV）');
INSERT INTO `tran_lis_config` VALUES ('2268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞百分比', null, '血常规-嗜碱性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('2269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜碱性粒细胞计数', null, '血常规-嗜碱性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞百分比', null, '血常规-嗜酸性粒细胞百分比');
INSERT INTO `tran_lis_config` VALUES ('2271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '嗜酸性粒细胞计数', null, '血常规-嗜酸性粒细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '网织红细胞分布宽度(RDW-SD)', null, '血常规-网织红细胞分布宽度(RDW-SD)');
INSERT INTO `tran_lis_config` VALUES ('2273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血红蛋白浓度(HGB)', null, '血常规-血红蛋白浓度(HGB)');
INSERT INTO `tran_lis_config` VALUES ('2274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板计数(PLT)', null, '血常规-血小板计数(PLT)');
INSERT INTO `tran_lis_config` VALUES ('2275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板体积分布宽度(PDW)', null, '血常规-血小板体积分布宽度(PDW)');
INSERT INTO `tran_lis_config` VALUES ('2276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '血小板压积(PCT)', null, '血常规-血小板压积(PCT)');
INSERT INTO `tran_lis_config` VALUES ('2277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞比例(NEUT%)', null, '血常规-中性粒细胞比例(NEUT%)');
INSERT INTO `tran_lis_config` VALUES ('2278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', '中性粒细胞计数(NEUT%)', null, '血常规-中性粒细胞计数(NEUT%)');
INSERT INTO `tran_lis_config` VALUES ('2279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血沉', '红细胞沉降率(ESR)', null, '血沉-红细胞沉降率(ESR)');
INSERT INTO `tran_lis_config` VALUES ('2280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素转化酶(ACE)', '血管紧张素转化酶(ACE)', null, '血管紧张素转化酶(ACE)-血管紧张素转化酶(ACE)');
INSERT INTO `tran_lis_config` VALUES ('2281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '埃肯菌', null, '血培养及鉴定-埃肯菌');
INSERT INTO `tran_lis_config` VALUES ('2282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '草绿色链球菌', null, '血培养及鉴定-草绿色链球菌');
INSERT INTO `tran_lis_config` VALUES ('2283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '肠球菌', null, '血培养及鉴定-肠球菌');
INSERT INTO `tran_lis_config` VALUES ('2284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '放线杆菌', null, '血培养及鉴定-放线杆菌');
INSERT INTO `tran_lis_config` VALUES ('2285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '艰难梭状杆菌', null, '血培养及鉴定-艰难梭状杆菌');
INSERT INTO `tran_lis_config` VALUES ('2286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '结核分枝杆菌', null, '血培养及鉴定-结核分枝杆菌');
INSERT INTO `tran_lis_config` VALUES ('2287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '结核杆菌', null, '血培养及鉴定-结核杆菌');
INSERT INTO `tran_lis_config` VALUES ('2288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '金黄色葡萄球菌', null, '血培养及鉴定-金黄色葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('2289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '金氏菌', null, '血培养及鉴定-金氏菌');
INSERT INTO `tran_lis_config` VALUES ('2290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '军团菌', null, '血培养及鉴定-军团菌');
INSERT INTO `tran_lis_config` VALUES ('2291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '立克次体', null, '血培养及鉴定-立克次体');
INSERT INTO `tran_lis_config` VALUES ('2292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '牛链球菌', null, '血培养及鉴定-牛链球菌');
INSERT INTO `tran_lis_config` VALUES ('2293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '伤寒杆菌', null, '血培养及鉴定-伤寒杆菌');
INSERT INTO `tran_lis_config` VALUES ('2294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '嗜血杆菌', null, '血培养及鉴定-嗜血杆菌');
INSERT INTO `tran_lis_config` VALUES ('2295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '心杆菌', null, '血培养及鉴定-心杆菌');
INSERT INTO `tran_lis_config` VALUES ('2296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '血培养', null, '血培养及鉴定-血培养');
INSERT INTO `tran_lis_config` VALUES ('2297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', '一般细菌培养(血)', null, '血培养及鉴定-一般细菌培养(血)');
INSERT INTO `tran_lis_config` VALUES ('2298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '丙酮酸(PA)', null, '血气分析-丙酮酸(PA)');
INSERT INTO `tran_lis_config` VALUES ('2299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '动脉血二氧化碳分压(PCO2)', null, '血气分析-动脉血二氧化碳分压(PCO2)');
INSERT INTO `tran_lis_config` VALUES ('2300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '动脉血氧分压(PaO2)', null, '血气分析-动脉血氧分压(PaO2)');
INSERT INTO `tran_lis_config` VALUES ('2301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '二氧化碳结合力(CO2CP)', null, '血气分析-二氧化碳结合力(CO2CP)');
INSERT INTO `tran_lis_config` VALUES ('2302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '全血缓冲碱(BB)', null, '血气分析-全血缓冲碱(BB)');
INSERT INTO `tran_lis_config` VALUES ('2303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '乳酸(LA)', null, '血气分析-乳酸(LA)');
INSERT INTO `tran_lis_config` VALUES ('2304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '乳酸/丙酮酸', null, '血气分析-乳酸/丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('2305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '剩余碱(BE,BD)', null, '血气分析-剩余碱(BE,BD)');
INSERT INTO `tran_lis_config` VALUES ('2306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '酸碱度(PH)', null, '血气分析-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('2307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '碳酸氢根(HCO3)', null, '血气分析-碳酸氢根(HCO3)');
INSERT INTO `tran_lis_config` VALUES ('2308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血红蛋白(Hb)', null, '血气分析-血红蛋白(Hb)');
INSERT INTO `tran_lis_config` VALUES ('2309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血浆渗透压(POP)', null, '血气分析-血浆渗透压(POP)');
INSERT INTO `tran_lis_config` VALUES ('2310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '血氧饱和度(SpO2)', null, '血气分析-血氧饱和度(SpO2)');
INSERT INTO `tran_lis_config` VALUES ('2311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', '阴离子间隙(AG)', null, '血气分析-阴离子间隙(AG)');
INSERT INTO `tran_lis_config` VALUES ('2312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血轻链测定', 'KAP', null, '血轻链测定-KAP');
INSERT INTO `tran_lis_config` VALUES ('2313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血轻链测定', 'LAM', null, '血轻链测定-LAM');
INSERT INTO `tran_lis_config` VALUES ('2314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清苯丙氨酸', '苯丙氨酸(PKU)', null, '血清苯丙氨酸-苯丙氨酸(PKU)');
INSERT INTO `tran_lis_config` VALUES ('2315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清丙酮酸', '血清丙酮酸', null, '血清丙酮酸-血清丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('2316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', 'α1球蛋白', null, '血清蛋白电泳-α1球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', 'α2球蛋白', null, '血清蛋白电泳-α2球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', 'β2球蛋白', null, '血清蛋白电泳-β2球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', 'γ球蛋白', null, '血清蛋白电泳-γ球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', '白蛋白', null, '血清蛋白电泳-白蛋白');
INSERT INTO `tran_lis_config` VALUES ('2321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '丙戊酸', null, '血清药物浓度测定-丙戊酸');
INSERT INTO `tran_lis_config` VALUES ('2322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '地高辛', null, '血清药物浓度测定-地高辛');
INSERT INTO `tran_lis_config` VALUES ('2323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '儿茶酚胺', null, '血清药物浓度测定-儿茶酚胺');
INSERT INTO `tran_lis_config` VALUES ('2324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '环胞霉素(Glu)', null, '血清药物浓度测定-环胞霉素(Glu)');
INSERT INTO `tran_lis_config` VALUES ('2325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '卡马西平', null, '血清药物浓度测定-卡马西平');
INSERT INTO `tran_lis_config` VALUES ('2326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', '可的松', null, '血清药物浓度测定-可的松');
INSERT INTO `tran_lis_config` VALUES ('2327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清游离脂肪酸', '血清游离脂肪酸(FFA)', null, '血清游离脂肪酸-血清游离脂肪酸(FFA)');
INSERT INTO `tran_lis_config` VALUES ('2328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清粘蛋白', '粘蛋白', null, '血清粘蛋白-粘蛋白');
INSERT INTO `tran_lis_config` VALUES ('2329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血栓弹力图试验', '血栓弹力图试验', null, '血栓弹力图试验-血栓弹力图试验');
INSERT INTO `tran_lis_config` VALUES ('2330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血酮体', 'β-羟基丁酸(β-HB)', null, '血酮体-β-羟基丁酸(β-HB)');
INSERT INTO `tran_lis_config` VALUES ('2331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血酮体', '血酮体(KET)', null, '血酮体-血酮体(KET)');
INSERT INTO `tran_lis_config` VALUES ('2332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血吸虫检查', '血吸虫抗体', null, '血吸虫检查-血吸虫抗体');
INSERT INTO `tran_lis_config` VALUES ('2333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能及抗体检测', '血小板抗体', null, '血小板功能及抗体检测-血小板抗体');
INSERT INTO `tran_lis_config` VALUES ('2334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', 'ABO血型', null, '血型-ABO血型');
INSERT INTO `tran_lis_config` VALUES ('2335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', 'RH血型', null, '血型-RH血型');
INSERT INTO `tran_lis_config` VALUES ('2336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', '血型特异性抗体', null, '血型-血型特异性抗体');
INSERT INTO `tran_lis_config` VALUES ('2337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '肌钙蛋白T(TnT)', null, '血液免疫学检查-肌钙蛋白T(TnT)');
INSERT INTO `tran_lis_config` VALUES ('2338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '肌红蛋白(Mb)', null, '血液免疫学检查-肌红蛋白(Mb)');
INSERT INTO `tran_lis_config` VALUES ('2339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '免疫球蛋白A', null, '血液免疫学检查-免疫球蛋白A');
INSERT INTO `tran_lis_config` VALUES ('2340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '免疫球蛋白D', null, '血液免疫学检查-免疫球蛋白D');
INSERT INTO `tran_lis_config` VALUES ('2341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '免疫球蛋白E', null, '血液免疫学检查-免疫球蛋白E');
INSERT INTO `tran_lis_config` VALUES ('2342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '免疫球蛋白G', null, '血液免疫学检查-免疫球蛋白G');
INSERT INTO `tran_lis_config` VALUES ('2343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', '免疫球蛋白M', null, '血液免疫学检查-免疫球蛋白M');
INSERT INTO `tran_lis_config` VALUES ('2344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液培养', '血液培养', null, '血液培养-血液培养');
INSERT INTO `tran_lis_config` VALUES ('2345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液培养', '一般细菌培养(血液)', null, '血液培养-一般细菌培养(血液)');
INSERT INTO `tran_lis_config` VALUES ('2346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血一氧化氮分析', '血一氧化氮(NO)', null, '血一氧化氮分析-血一氧化氮(NO)');
INSERT INTO `tran_lis_config` VALUES ('2347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血一氧化碳分析', '血一氧化氮(NO)', null, '血一氧化碳分析-血一氧化氮(NO)');
INSERT INTO `tran_lis_config` VALUES ('2348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '低密度脂蛋白胆固醇(LDL-C)', null, '血脂-低密度脂蛋白胆固醇(LDL-C)');
INSERT INTO `tran_lis_config` VALUES ('2349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '甘油三酯(TG)', null, '血脂-甘油三酯(TG)');
INSERT INTO `tran_lis_config` VALUES ('2350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '高密度脂蛋白胆固醇(HDL-C)', null, '血脂-高密度脂蛋白胆固醇(HDL-C)');
INSERT INTO `tran_lis_config` VALUES ('2351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '极低密度脂蛋白胆固醇(VLDL-C)', null, '血脂-极低密度脂蛋白胆固醇(VLDL-C)');
INSERT INTO `tran_lis_config` VALUES ('2352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '血清载脂蛋白A/B', null, '血脂-血清载脂蛋白A/B');
INSERT INTO `tran_lis_config` VALUES ('2353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白A(apoA)', null, '血脂-载脂蛋白A(apoA)');
INSERT INTO `tran_lis_config` VALUES ('2354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白A1(apoA1)', null, '血脂-载脂蛋白A1(apoA1)');
INSERT INTO `tran_lis_config` VALUES ('2355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白B(apoB)', null, '血脂-载脂蛋白B(apoB)');
INSERT INTO `tran_lis_config` VALUES ('2356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '载脂蛋白E(apoE)', null, '血脂-载脂蛋白E(apoE)');
INSERT INTO `tran_lis_config` VALUES ('2357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '脂蛋白a(LPa)', null, '血脂-脂蛋白a(LPa)');
INSERT INTO `tran_lis_config` VALUES ('2358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', '总胆固醇(TC)', null, '血脂-总胆固醇(TC)');
INSERT INTO `tran_lis_config` VALUES ('2359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '肺炎克雷伯氏菌', null, '咽拭子培养-肺炎克雷伯氏菌');
INSERT INTO `tran_lis_config` VALUES ('2360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '肺炎双球菌', null, '咽拭子培养-肺炎双球菌');
INSERT INTO `tran_lis_config` VALUES ('2361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '酵母菌', null, '咽拭子培养-酵母菌');
INSERT INTO `tran_lis_config` VALUES ('2362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '结核杆菌', null, '咽拭子培养-结核杆菌');
INSERT INTO `tran_lis_config` VALUES ('2363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '军团菌', null, '咽拭子培养-军团菌');
INSERT INTO `tran_lis_config` VALUES ('2364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', '葡萄球菌', null, '咽拭子培养-葡萄球菌');
INSERT INTO `tran_lis_config` VALUES ('2365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '叶酸', '红细胞叶酸', null, '叶酸-红细胞叶酸');
INSERT INTO `tran_lis_config` VALUES ('2366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '叶酸', '叶酸(FA)', null, '叶酸-叶酸(FA)');
INSERT INTO `tran_lis_config` VALUES ('2367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般细菌培养及鉴定', '一般细菌培养+鉴定+药敏', null, '一般细菌培养及鉴定-一般细菌培养+鉴定+药敏');
INSERT INTO `tran_lis_config` VALUES ('2368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般细菌培养及鉴定', '一般细菌培养及鉴定', null, '一般细菌培养及鉴定-一般细菌培养及鉴定');
INSERT INTO `tran_lis_config` VALUES ('2369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般细菌涂片检查', '一般细菌涂片检查', null, '一般细菌涂片检查-一般细菌涂片检查');
INSERT INTO `tran_lis_config` VALUES ('2370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '抗肺炎衣原体抗体(CP)', null, '衣原体检测-抗肺炎衣原体抗体(CP)');
INSERT INTO `tran_lis_config` VALUES ('2371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '抗沙眼衣原体抗体-IgA', null, '衣原体检测-抗沙眼衣原体抗体-IgA');
INSERT INTO `tran_lis_config` VALUES ('2372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '抗沙眼衣原体抗体-IgG', null, '衣原体检测-抗沙眼衣原体抗体-IgG');
INSERT INTO `tran_lis_config` VALUES ('2373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '抗沙眼衣原体抗体-IgM', null, '衣原体检测-抗沙眼衣原体抗体-IgM');
INSERT INTO `tran_lis_config` VALUES ('2374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '沙眼衣原体核酸测定(CT DNA)', null, '衣原体检测-沙眼衣原体核酸测定(CT DNA)');
INSERT INTO `tran_lis_config` VALUES ('2375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '沙眼衣原体脱氧核糖核酸扩增检测', null, '衣原体检测-沙眼衣原体脱氧核糖核酸扩增检测');
INSERT INTO `tran_lis_config` VALUES ('2376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '衣原体', null, '衣原体检测-衣原体');
INSERT INTO `tran_lis_config` VALUES ('2377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', '衣原体培养+鉴定', null, '衣原体检测-衣原体培养+鉴定');
INSERT INTO `tran_lis_config` VALUES ('2378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物检查', 'C肽（C-PR）', null, '胰岛素及代谢物检查-C肽（C-PR）');
INSERT INTO `tran_lis_config` VALUES ('2379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '餐后2h胰岛素(Ins)', null, '胰岛素及代谢物相关检查-餐后2h胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('2380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '餐后胰岛素(Ins)', null, '胰岛素及代谢物相关检查-餐后胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('2381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '抗谷氨酸脱羧酶抗体(GAD)', null, '胰岛素及代谢物相关检查-抗谷氨酸脱羧酶抗体(GAD)');
INSERT INTO `tran_lis_config` VALUES ('2382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '抗酪氨酸磷酸酶抗体(IA2)', null, '胰岛素及代谢物相关检查-抗酪氨酸磷酸酶抗体(IA2)');
INSERT INTO `tran_lis_config` VALUES ('2383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '抗胰岛素抗体(IAB)', null, '胰岛素及代谢物相关检查-抗胰岛素抗体(IAB)');
INSERT INTO `tran_lis_config` VALUES ('2384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '抗胰岛细胞抗体(IAA)', null, '胰岛素及代谢物相关检查-抗胰岛细胞抗体(IAA)');
INSERT INTO `tran_lis_config` VALUES ('2385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '空腹胰岛素(Ins)', null, '胰岛素及代谢物相关检查-空腹胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('2386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', '胰岛素(Ins)', null, '胰岛素及代谢物相关检查-胰岛素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('2387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '120min胰岛素', null, '胰岛素释放试验1-120min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '180min胰岛素', null, '胰岛素释放试验1-180min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '240min胰岛素', null, '胰岛素释放试验1-240min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '300min胰岛素', null, '胰岛素释放试验1-300min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '30min胰岛素', null, '胰岛素释放试验1-30min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', '60min胰岛素', null, '胰岛素释放试验1-60min胰岛素');
INSERT INTO `tran_lis_config` VALUES ('2393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '120minC肽(C-P)', null, '胰岛素释放试验2-120minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '180minC肽(C-P)', null, '胰岛素释放试验2-180minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '240minC肽(C-P)', null, '胰岛素释放试验2-240minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '300minC肽(C-P)', null, '胰岛素释放试验2-300minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '30minC肽(C-P)', null, '胰岛素释放试验2-30minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', '60minC肽(C-P)', null, '胰岛素释放试验2-60minC肽(C-P)');
INSERT INTO `tran_lis_config` VALUES ('2399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰多肽', '血浆胰多肽(PP)', null, '胰多肽-血浆胰多肽(PP)');
INSERT INTO `tran_lis_config` VALUES ('2400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素', '胰高血糖素(Ins)', null, '胰高血糖素-胰高血糖素(Ins)');
INSERT INTO `tran_lis_config` VALUES ('2401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝DNA定量', null, '乙肝测定-乙肝DNA定量');
INSERT INTO `tran_lis_config` VALUES ('2402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝DNA定性', null, '乙肝测定-乙肝DNA定性');
INSERT INTO `tran_lis_config` VALUES ('2403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝e抗体定量(HBeAb)', null, '乙肝测定-乙肝e抗体定量(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('2404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝e抗体定性(HBeAb)', null, '乙肝测定-乙肝e抗体定性(HBeAb)');
INSERT INTO `tran_lis_config` VALUES ('2405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝e抗原定量(HBeAg)', null, '乙肝测定-乙肝e抗原定量(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('2406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝e抗原定性(HBeAg)', null, '乙肝测定-乙肝e抗原定性(HBeAg)');
INSERT INTO `tran_lis_config` VALUES ('2407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝S1抗体定性', null, '乙肝测定-乙肝S1抗体定性');
INSERT INTO `tran_lis_config` VALUES ('2408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝S1抗原定性', null, '乙肝测定-乙肝S1抗原定性');
INSERT INTO `tran_lis_config` VALUES ('2409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝S2抗体定性', null, '乙肝测定-乙肝S2抗体定性');
INSERT INTO `tran_lis_config` VALUES ('2410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝S2抗原定性', null, '乙肝测定-乙肝S2抗原定性');
INSERT INTO `tran_lis_config` VALUES ('2411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝表面抗体定量(抗HBs)', null, '乙肝测定-乙肝表面抗体定量(抗HBs)');
INSERT INTO `tran_lis_config` VALUES ('2412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝表面抗体定性(抗HBs)', null, '乙肝测定-乙肝表面抗体定性(抗HBs)');
INSERT INTO `tran_lis_config` VALUES ('2413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝表面抗原定量(HBsAg)', null, '乙肝测定-乙肝表面抗原定量(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('2414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝表面抗原定性(HBsAg)', null, '乙肝测定-乙肝表面抗原定性(HBsAg)');
INSERT INTO `tran_lis_config` VALUES ('2415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝核心抗体定量(抗HBc)', null, '乙肝测定-乙肝核心抗体定量(抗HBc)');
INSERT INTO `tran_lis_config` VALUES ('2416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝核心抗体定性(抗HBc)', null, '乙肝测定-乙肝核心抗体定性(抗HBc)');
INSERT INTO `tran_lis_config` VALUES ('2417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝核心抗原定量(HBcAg)', null, '乙肝测定-乙肝核心抗原定量(HBcAg)');
INSERT INTO `tran_lis_config` VALUES ('2418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙肝核心抗原定性(HBcAg)', null, '乙肝测定-乙肝核心抗原定性(HBcAg)');
INSERT INTO `tran_lis_config` VALUES ('2419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', '乙型肝炎耐药基因检测', null, '乙肝测定-乙型肝炎耐药基因检测');
INSERT INTO `tran_lis_config` VALUES ('2420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '胺试验', null, '阴道分泌物常规-胺试验');
INSERT INTO `tran_lis_config` VALUES ('2421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '白细胞计数', null, '阴道分泌物常规-白细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '滴虫', null, '阴道分泌物常规-滴虫');
INSERT INTO `tran_lis_config` VALUES ('2423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '革兰氏阳性菌', null, '阴道分泌物常规-革兰氏阳性菌');
INSERT INTO `tran_lis_config` VALUES ('2424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '革兰氏阴性菌', null, '阴道分泌物常规-革兰氏阴性菌');
INSERT INTO `tran_lis_config` VALUES ('2425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '红细胞计数', null, '阴道分泌物常规-红细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '淋菌', null, '阴道分泌物常规-淋菌');
INSERT INTO `tran_lis_config` VALUES ('2427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '霉菌孢子', null, '阴道分泌物常规-霉菌孢子');
INSERT INTO `tran_lis_config` VALUES ('2428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '霉菌菌丝', null, '阴道分泌物常规-霉菌菌丝');
INSERT INTO `tran_lis_config` VALUES ('2429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '清洁度', null, '阴道分泌物常规-清洁度');
INSERT INTO `tran_lis_config` VALUES ('2430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '上皮细胞计数', null, '阴道分泌物常规-上皮细胞计数');
INSERT INTO `tran_lis_config` VALUES ('2431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '酸碱度(PH)', null, '阴道分泌物常规-酸碱度(PH)');
INSERT INTO `tran_lis_config` VALUES ('2432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', '线索细胞', null, '阴道分泌物常规-线索细胞');
INSERT INTO `tran_lis_config` VALUES ('2433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐血试验', '胃液隐血试验', null, '隐血试验-胃液隐血试验');
INSERT INTO `tran_lis_config` VALUES ('2434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐血试验', '隐血试验(各种标本)', null, '隐血试验-隐血试验(各种标本)');
INSERT INTO `tran_lis_config` VALUES ('2435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐血试验', '隐血试验（自定义）', null, '隐血试验-隐血试验（自定义）');
INSERT INTO `tran_lis_config` VALUES ('2436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒II型抗体IgM', null, '优生优育-单纯疱疹病毒II型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('2437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '单纯疱疹病毒I型抗体IgM', null, '优生优育-单纯疱疹病毒I型抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('2438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '风疹病毒抗体IgG', null, '优生优育-风疹病毒抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('2439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '风疹病毒抗体IgM', null, '优生优育-风疹病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('2440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '弓形虫抗体IgG', null, '优生优育-弓形虫抗体IgG');
INSERT INTO `tran_lis_config` VALUES ('2441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '弓形虫抗体IgM', null, '优生优育-弓形虫抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('2442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', '巨细胞病毒抗体IgM', null, '优生优育-巨细胞病毒抗体IgM');
INSERT INTO `tran_lis_config` VALUES ('2443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', 'C13-尿素呼吸试验', null, '幽门螺杆菌抗原检测-C13-尿素呼吸试验');
INSERT INTO `tran_lis_config` VALUES ('2444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', 'C14-尿素呼吸试验', null, '幽门螺杆菌抗原检测-C14-尿素呼吸试验');
INSERT INTO `tran_lis_config` VALUES ('2445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', 'N15-尿素呼吸试验', null, '幽门螺杆菌抗原检测-N15-尿素呼吸试验');
INSERT INTO `tran_lis_config` VALUES ('2446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', '快速尿素酶试验', null, '幽门螺杆菌抗原检测-快速尿素酶试验');
INSERT INTO `tran_lis_config` VALUES ('2447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', '幽门螺杆菌抗原(HP-Ag)', null, '幽门螺杆菌抗原检测-幽门螺杆菌抗原(HP-Ag)');
INSERT INTO `tran_lis_config` VALUES ('2448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离皮质醇', '游离皮质醇', null, '游离皮质醇-游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('2449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '真菌D-葡聚糖检测', 'D-葡聚糖', null, '真菌D-葡聚糖检测-D-葡聚糖');
INSERT INTO `tran_lis_config` VALUES ('2450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '真菌直接涂片镜检', '真菌直接涂片镜检', null, '真菌直接涂片镜检-真菌直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('2451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '抗肺炎支原体抗体', null, '支原体检测-抗肺炎支原体抗体');
INSERT INTO `tran_lis_config` VALUES ('2452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '抗肺炎支原体抗体(MP-IgA)', null, '支原体检测-抗肺炎支原体抗体(MP-IgA)');
INSERT INTO `tran_lis_config` VALUES ('2453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '抗肺炎支原体抗体(MP-IgG)', null, '支原体检测-抗肺炎支原体抗体(MP-IgG)');
INSERT INTO `tran_lis_config` VALUES ('2454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '抗肺炎支原体抗体(MP-IgM)', null, '支原体检测-抗肺炎支原体抗体(MP-IgM)');
INSERT INTO `tran_lis_config` VALUES ('2455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '人型支原体抗体', null, '支原体检测-人型支原体抗体');
INSERT INTO `tran_lis_config` VALUES ('2456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '生殖道支原体抗体', null, '支原体检测-生殖道支原体抗体');
INSERT INTO `tran_lis_config` VALUES ('2457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '支原体培养', null, '支原体检测-支原体培养');
INSERT INTO `tran_lis_config` VALUES ('2458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '支原体培养+鉴定', null, '支原体检测-支原体培养+鉴定');
INSERT INTO `tran_lis_config` VALUES ('2459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', '支原体培养+药敏', null, '支原体检测-支原体培养+药敏');
INSERT INTO `tran_lis_config` VALUES ('2460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '阿奇霉素', null, '支原体药敏试验-阿奇霉素');
INSERT INTO `tran_lis_config` VALUES ('2461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '红霉素', null, '支原体药敏试验-红霉素');
INSERT INTO `tran_lis_config` VALUES ('2462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '环丙沙星', null, '支原体药敏试验-环丙沙星');
INSERT INTO `tran_lis_config` VALUES ('2463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '交沙霉素', null, '支原体药敏试验-交沙霉素');
INSERT INTO `tran_lis_config` VALUES ('2464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '克拉霉素', null, '支原体药敏试验-克拉霉素');
INSERT INTO `tran_lis_config` VALUES ('2465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '罗红霉素', null, '支原体药敏试验-罗红霉素');
INSERT INTO `tran_lis_config` VALUES ('2466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '米诺环素', null, '支原体药敏试验-米诺环素');
INSERT INTO `tran_lis_config` VALUES ('2467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '强力霉素', null, '支原体药敏试验-强力霉素');
INSERT INTO `tran_lis_config` VALUES ('2468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '司巴沙星', null, '支原体药敏试验-司巴沙星');
INSERT INTO `tran_lis_config` VALUES ('2469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '四环素', null, '支原体药敏试验-四环素');
INSERT INTO `tran_lis_config` VALUES ('2470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '氧氟沙星', null, '支原体药敏试验-氧氟沙星');
INSERT INTO `tran_lis_config` VALUES ('2471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', '左氧沙星', null, '支原体药敏试验-左氧沙星');
INSERT INTO `tran_lis_config` VALUES ('2472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脂肪酶测定', '脂肪酶(LPS)', null, '脂肪酶测定-脂肪酶(LPS)');
INSERT INTO `tran_lis_config` VALUES ('2473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直接涂片抗酸染色镜检', '直接涂片抗酸染色镜检', null, '直接涂片抗酸染色镜检-直接涂片抗酸染色镜检');
INSERT INTO `tran_lis_config` VALUES ('2474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酯酶染色检查', '酯酶染色检查', null, '酯酶染色检查-酯酶染色检查');
INSERT INTO `tran_lis_config` VALUES ('2475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '中性粒细胞碱性磷酸酶染色检查', '中性粒细胞碱性磷酸酶染色检查', null, '中性粒细胞碱性磷酸酶染色检查-中性粒细胞碱性磷酸酶染色检查');
INSERT INTO `tran_lis_config` VALUES ('2476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', 'α-L-岩藻糖苷酶(AFU)', null, '肿瘤标志物-α-L-岩藻糖苷酶(AFU)');
INSERT INTO `tran_lis_config` VALUES ('2477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '癌胚抗原(CEA)', null, '肿瘤标志物-癌胚抗原(CEA)');
INSERT INTO `tran_lis_config` VALUES ('2478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '端粒酶活性', null, '肿瘤标志物-端粒酶活性');
INSERT INTO `tran_lis_config` VALUES ('2479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '复合前列腺特异性抗原(CPSA)', null, '肿瘤标志物-复合前列腺特异性抗原(CPSA)');
INSERT INTO `tran_lis_config` VALUES ('2480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '骨胶素(CY211)', null, '肿瘤标志物-骨胶素(CY211)');
INSERT INTO `tran_lis_config` VALUES ('2481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '甲胎蛋白(AFP)', null, '肿瘤标志物-甲胎蛋白(AFP)');
INSERT INTO `tran_lis_config` VALUES ('2482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '碱性胎儿蛋白(BFP)', null, '肿瘤标志物-碱性胎儿蛋白(BFP)');
INSERT INTO `tran_lis_config` VALUES ('2483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '降钙素(CT)', null, '肿瘤标志物-降钙素(CT)');
INSERT INTO `tran_lis_config` VALUES ('2484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '鳞状细胞癌相关抗原(SCC)', null, '肿瘤标志物-鳞状细胞癌相关抗原(SCC)');
INSERT INTO `tran_lis_config` VALUES ('2485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '前列腺酸性磷酸酶(PAP)', null, '肿瘤标志物-前列腺酸性磷酸酶(PAP)');
INSERT INTO `tran_lis_config` VALUES ('2486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '神经元特异性烯醇化酶(NSE)', null, '肿瘤标志物-神经元特异性烯醇化酶(NSE)');
INSERT INTO `tran_lis_config` VALUES ('2487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-125', null, '肿瘤标志物-糖类抗原CA-125');
INSERT INTO `tran_lis_config` VALUES ('2488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-130', null, '肿瘤标志物-糖类抗原CA-130');
INSERT INTO `tran_lis_config` VALUES ('2489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-153', null, '肿瘤标志物-糖类抗原CA-153');
INSERT INTO `tran_lis_config` VALUES ('2490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-199', null, '肿瘤标志物-糖类抗原CA-199');
INSERT INTO `tran_lis_config` VALUES ('2491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-242', null, '肿瘤标志物-糖类抗原CA-242');
INSERT INTO `tran_lis_config` VALUES ('2492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-27', null, '肿瘤标志物-糖类抗原CA-27');
INSERT INTO `tran_lis_config` VALUES ('2493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-29', null, '肿瘤标志物-糖类抗原CA-29');
INSERT INTO `tran_lis_config` VALUES ('2494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-50', null, '肿瘤标志物-糖类抗原CA-50');
INSERT INTO `tran_lis_config` VALUES ('2495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-549', null, '肿瘤标志物-糖类抗原CA-549');
INSERT INTO `tran_lis_config` VALUES ('2496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '糖类抗原CA-724', null, '肿瘤标志物-糖类抗原CA-724');
INSERT INTO `tran_lis_config` VALUES ('2497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '铁蛋白(Fer)', null, '肿瘤标志物-铁蛋白(Fer)');
INSERT INTO `tran_lis_config` VALUES ('2498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '胃泌素释放肽前体', null, '肿瘤标志物-胃泌素释放肽前体');
INSERT INTO `tran_lis_config` VALUES ('2499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '细胞角蛋白18片段', null, '肿瘤标志物-细胞角蛋白18片段');
INSERT INTO `tran_lis_config` VALUES ('2500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '细胞角蛋白19片段(CYFRA21-1)', null, '肿瘤标志物-细胞角蛋白19片段(CYFRA21-1)');
INSERT INTO `tran_lis_config` VALUES ('2501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '游离前列腺特异性抗原(FPSA)', null, '肿瘤标志物-游离前列腺特异性抗原(FPSA)');
INSERT INTO `tran_lis_config` VALUES ('2502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '脂肪酶(LPS)', null, '肿瘤标志物-脂肪酶(LPS)');
INSERT INTO `tran_lis_config` VALUES ('2503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '肿瘤坏死因子(TNF)', null, '肿瘤标志物-肿瘤坏死因子(TNF)');
INSERT INTO `tran_lis_config` VALUES ('2504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '肿瘤坏死因子α(TNF-α)', null, '肿瘤标志物-肿瘤坏死因子α(TNF-α)');
INSERT INTO `tran_lis_config` VALUES ('2505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '肿瘤相关抗原(MG-Ags)', null, '肿瘤标志物-肿瘤相关抗原(MG-Ags)');
INSERT INTO `tran_lis_config` VALUES ('2506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '肿瘤相关抗原(TA-2)', null, '肿瘤标志物-肿瘤相关抗原(TA-2)');
INSERT INTO `tran_lis_config` VALUES ('2507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', '总前列腺特异性抗原(TPSA)', null, '肿瘤标志物-总前列腺特异性抗原(TPSA)');
INSERT INTO `tran_lis_config` VALUES ('2508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '主要组织相容性抗原测定', '人组织相容性抗原II类(HLA－II)分型', null, '主要组织相容性抗原测定-人组织相容性抗原II类(HLA－II)分型');
INSERT INTO `tran_lis_config` VALUES ('2509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '主要组织相容性抗原测定', '人组织相容性抗原I类(HLA－I)分型', null, '主要组织相容性抗原测定-人组织相容性抗原I类(HLA－I)分型');
INSERT INTO `tran_lis_config` VALUES ('2510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '转铁蛋白', '转铁蛋白', null, '转铁蛋白-转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('2511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总IgE', '总IgE', null, '总IgE-总IgE');
INSERT INTO `tran_lis_config` VALUES ('2512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总补体(CH50)测定', 'CH50', null, '总补体(CH50)测定-CH50');
INSERT INTO `tran_lis_config` VALUES ('2513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', '白蛋白(A,Alb)', '', '肝功能-白蛋白(Alb)');
INSERT INTO `tran_lis_config` VALUES ('2514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17α-羟孕酮', null, null, '17α-羟孕酮');
INSERT INTO `tran_lis_config` VALUES ('2515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17-羟皮质类固醇', null, null, '17-羟皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('2516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '17-酮皮质类固醇', null, null, '17-酮皮质类固醇');
INSERT INTO `tran_lis_config` VALUES ('2517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '24小时尿比重渗透压试验', null, null, '24小时尿比重渗透压试验');
INSERT INTO `tran_lis_config` VALUES ('2518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Ⅰ型胶原羧基端前肽', null, null, 'Ⅰ型胶原羧基端前肽');
INSERT INTO `tran_lis_config` VALUES ('2519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'B因子测定', null, null, 'B因子测定');
INSERT INTO `tran_lis_config` VALUES ('2520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'Coombs试验', null, null, 'Coombs试验');
INSERT INTO `tran_lis_config` VALUES ('2521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'C-反应蛋白', null, null, 'C-反应蛋白');
INSERT INTO `tran_lis_config` VALUES ('2522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'EB病毒检测', null, null, 'EB病毒检测');
INSERT INTO `tran_lis_config` VALUES ('2523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'ENA抗体谱六项测定', null, null, 'ENA抗体谱六项测定');
INSERT INTO `tran_lis_config` VALUES ('2524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'N端-B型钠尿肽前体(NT-ProBNP)', null, null, 'N端-B型钠尿肽前体(NT-ProBNP)');
INSERT INTO `tran_lis_config` VALUES ('2525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'O—129试验', null, null, 'O—129试验');
INSERT INTO `tran_lis_config` VALUES ('2526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β-胶原特殊系列', null, null, 'β-胶原特殊系列');
INSERT INTO `tran_lis_config` VALUES ('2527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'β人绒毛膜促性腺激素', null, null, 'β人绒毛膜促性腺激素');
INSERT INTO `tran_lis_config` VALUES ('2528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白喉棒状杆菌涂片', null, null, '白喉棒状杆菌涂片');
INSERT INTO `tran_lis_config` VALUES ('2529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白陶土部分凝血活酶时间(KPTT)测定', null, null, '白陶土部分凝血活酶时间(KPTT)测定');
INSERT INTO `tran_lis_config` VALUES ('2530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '白血病融合基因检测', null, null, '白血病融合基因检测');
INSERT INTO `tran_lis_config` VALUES ('2531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '本丙氨酸', null, null, '本丙氨酸');
INSERT INTO `tran_lis_config` VALUES ('2532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '本丙酮酸', null, null, '本丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('2533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '变应原特异性IgE测定', null, null, '变应原特异性IgE测定');
INSERT INTO `tran_lis_config` VALUES ('2534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丙肝测定', null, null, '丙肝测定');
INSERT INTO `tran_lis_config` VALUES ('2535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '病理抗凝因子检测', null, null, '病理抗凝因子检测');
INSERT INTO `tran_lis_config` VALUES ('2536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '补体测定', null, null, '补体测定');
INSERT INTO `tran_lis_config` VALUES ('2537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '布氏杆菌测定', null, null, '布氏杆菌测定');
INSERT INTO `tran_lis_config` VALUES ('2538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '出血时间', null, null, '出血时间');
INSERT INTO `tran_lis_config` VALUES ('2539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '创面分泌物培养', null, null, '创面分泌物培养');
INSERT INTO `tran_lis_config` VALUES ('2540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌三醇', null, null, '雌三醇');
INSERT INTO `tran_lis_config` VALUES ('2541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雌酮测定', null, null, '雌酮测定');
INSERT INTO `tran_lis_config` VALUES ('2542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促红细胞生成素', null, null, '促红细胞生成素');
INSERT INTO `tran_lis_config` VALUES ('2543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促甲状腺释放激素兴奋试验', null, null, '促甲状腺释放激素兴奋试验');
INSERT INTO `tran_lis_config` VALUES ('2544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素', null, null, '促肾上腺皮质激素');
INSERT INTO `tran_lis_config` VALUES ('2545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素释放激素(CRF)兴奋试验', null, null, '促肾上腺皮质激素释放激素(CRF)兴奋试验');
INSERT INTO `tran_lis_config` VALUES ('2546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验1', null, null, '促肾上腺皮质激素兴奋试验1');
INSERT INTO `tran_lis_config` VALUES ('2547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '促肾上腺皮质激素兴奋试验2', null, null, '促肾上腺皮质激素兴奋试验2');
INSERT INTO `tran_lis_config` VALUES ('2548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒II型抗体测定', null, null, '单纯疱疹病毒II型抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '单纯疱疹病毒I型抗体测定', null, null, '单纯疱疹病毒I型抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胆囊收缩素', null, null, '胆囊收缩素');
INSERT INTO `tran_lis_config` VALUES ('2551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滴虫直接涂片镜检', null, null, '滴虫直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('2552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '电解质测定', null, null, '电解质测定');
INSERT INTO `tran_lis_config` VALUES ('2553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉酶', null, null, '淀粉酶');
INSERT INTO `tran_lis_config` VALUES ('2554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淀粉样蛋白', null, null, '淀粉样蛋白');
INSERT INTO `tran_lis_config` VALUES ('2555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '丁肝测定', null, null, '丁肝测定');
INSERT INTO `tran_lis_config` VALUES ('2556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '非妇科脱落细胞学检查与诊断', null, null, '非妇科脱落细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('2557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肥达氏反应', null, null, '肥达氏反应');
INSERT INTO `tran_lis_config` VALUES ('2558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肺炎支原体免疫学试验', null, null, '肺炎支原体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('2559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便常规', null, null, '粪便常规');
INSERT INTO `tran_lis_config` VALUES ('2560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便培养', null, null, '粪便培养');
INSERT INTO `tran_lis_config` VALUES ('2561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪便隐血', null, null, '粪便隐血');
INSERT INTO `tran_lis_config` VALUES ('2562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '粪胆素检查', null, null, '粪胆素检查');
INSERT INTO `tran_lis_config` VALUES ('2563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妇科脱落细胞学检查与诊断', null, null, '妇科脱落细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('2564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜平衡试验', null, null, '腹膜平衡试验');
INSERT INTO `tran_lis_config` VALUES ('2565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹膜透析液检查', null, null, '腹膜透析液检查');
INSERT INTO `tran_lis_config` VALUES ('2566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹腔积液检查', null, null, '腹腔积液检查');
INSERT INTO `tran_lis_config` VALUES ('2567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腹水培养', null, null, '腹水培养');
INSERT INTO `tran_lis_config` VALUES ('2568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甘胆酸', null, null, '甘胆酸');
INSERT INTO `tran_lis_config` VALUES ('2569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝功能', null, null, '肝功能');
INSERT INTO `tran_lis_config` VALUES ('2570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肝纤维化', null, null, '肝纤维化');
INSERT INTO `tran_lis_config` VALUES ('2571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '高血压四项', null, null, '高血压四项');
INSERT INTO `tran_lis_config` VALUES ('2572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '各种穿刺液引流液培养', null, null, '各种穿刺液引流液培养');
INSERT INTO `tran_lis_config` VALUES ('2573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '庚肝测定', null, null, '庚肝测定');
INSERT INTO `tran_lis_config` VALUES ('2574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '宫颈涂片', null, null, '宫颈涂片');
INSERT INTO `tran_lis_config` VALUES ('2575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨钙素', null, null, '骨钙素');
INSERT INTO `tran_lis_config` VALUES ('2576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨髓检查', null, null, '骨髓检查');
INSERT INTO `tran_lis_config` VALUES ('2577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '骨型碱性磷酸酶', null, null, '骨型碱性磷酸酶');
INSERT INTO `tran_lis_config` VALUES ('2578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '关节液培养', null, null, '关节液培养');
INSERT INTO `tran_lis_config` VALUES ('2579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '过夜地塞米松抑制试验', null, null, '过夜地塞米松抑制试验');
INSERT INTO `tran_lis_config` VALUES ('2580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红斑狼疮细胞(LEC)检查', null, null, '红斑狼疮细胞(LEC)检查');
INSERT INTO `tran_lis_config` VALUES ('2581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '红细胞丙酮酸激酶(PK)检测', null, null, '红细胞丙酮酸激酶(PK)检测');
INSERT INTO `tran_lis_config` VALUES ('2582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '滑膜液常规', null, null, '滑膜液常规');
INSERT INTO `tran_lis_config` VALUES ('2583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '活化蛋白C抵抗(APCR)试验', null, null, '活化蛋白C抵抗(APCR)试验');
INSERT INTO `tran_lis_config` VALUES ('2584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '霍乱弧菌直接涂片镜检', null, null, '霍乱弧菌直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('2585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肌酸激酶同工酶活性测定', null, null, '肌酸激酶同工酶活性测定');
INSERT INTO `tran_lis_config` VALUES ('2586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲肝测定', null, null, '甲肝测定');
INSERT INTO `tran_lis_config` VALUES ('2587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状旁腺激素', null, null, '甲状旁腺激素');
INSERT INTO `tran_lis_config` VALUES ('2588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能', null, null, '甲状腺功能');
INSERT INTO `tran_lis_config` VALUES ('2589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺功能（5项）', null, null, '甲状腺功能（5项）');
INSERT INTO `tran_lis_config` VALUES ('2590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺摄碘试验', null, null, '甲状腺摄碘试验');
INSERT INTO `tran_lis_config` VALUES ('2591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '甲状腺自身抗体检测', null, null, '甲状腺自身抗体检测');
INSERT INTO `tran_lis_config` VALUES ('2592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '降钙素原', null, null, '降钙素原');
INSERT INTO `tran_lis_config` VALUES ('2593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '结核检查', null, null, '结核检查');
INSERT INTO `tran_lis_config` VALUES ('2594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '解脲支原体检查', null, null, '解脲支原体检查');
INSERT INTO `tran_lis_config` VALUES ('2595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液常规', null, null, '精液常规');
INSERT INTO `tran_lis_config` VALUES ('2596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精液生化', null, null, '精液生化');
INSERT INTO `tran_lis_config` VALUES ('2597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '精子其他检查', null, null, '精子其他检查');
INSERT INTO `tran_lis_config` VALUES ('2598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '巨细胞病毒检测', null, null, '巨细胞病毒检测');
INSERT INTO `tran_lis_config` VALUES ('2599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗β2-糖蛋白1抗体测定', null, null, '抗β2-糖蛋白1抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗核抗体谱测定', null, null, '抗核抗体谱测定');
INSERT INTO `tran_lis_config` VALUES ('2601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗红细胞抗体测定', null, null, '抗红细胞抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗环瓜氨酸肽抗体(抗CCP)测定', null, null, '抗环瓜氨酸肽抗体(抗CCP)测定');
INSERT INTO `tran_lis_config` VALUES ('2603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗利尿激素', null, null, '抗利尿激素');
INSERT INTO `tran_lis_config` VALUES ('2604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌激酶抗体', null, null, '抗链球菌激酶抗体');
INSERT INTO `tran_lis_config` VALUES ('2605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌溶血素O', null, null, '抗链球菌溶血素O');
INSERT INTO `tran_lis_config` VALUES ('2606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗链球菌透明质酸酶', null, null, '抗链球菌透明质酸酶');
INSERT INTO `tran_lis_config` VALUES ('2607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗淋巴细胞抗体试验', null, null, '抗淋巴细胞抗体试验');
INSERT INTO `tran_lis_config` VALUES ('2608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脑组织抗体测定', null, null, '抗脑组织抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗平滑肌抗体', null, null, '抗平滑肌抗体');
INSERT INTO `tran_lis_config` VALUES ('2610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗神经节苷脂抗体测定', null, null, '抗神经节苷脂抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾上腺抗体测定', null, null, '抗肾上腺抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗肾小球基底膜抗体测定', null, null, '抗肾小球基底膜抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗脱氧核糖核酸酶', null, null, '抗脱氧核糖核酸酶');
INSERT INTO `tran_lis_config` VALUES ('2614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗胃壁细胞抗体检测', null, null, '抗胃壁细胞抗体检测');
INSERT INTO `tran_lis_config` VALUES ('2615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗线粒体抗体(AMA)测定', null, null, '抗线粒体抗体(AMA)测定');
INSERT INTO `tran_lis_config` VALUES ('2616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗心磷脂抗体(ACA)测定', null, null, '抗心磷脂抗体(ACA)测定');
INSERT INTO `tran_lis_config` VALUES ('2617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗乙酰胆碱受体抗体', null, null, '抗乙酰胆碱受体抗体');
INSERT INTO `tran_lis_config` VALUES ('2618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗增殖细胞核抗原抗体(抗PCNA)测定', null, null, '抗增殖细胞核抗原抗体(抗PCNA)测定');
INSERT INTO `tran_lis_config` VALUES ('2619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '抗子宫内膜抗体', null, null, '抗子宫内膜抗体');
INSERT INTO `tran_lis_config` VALUES ('2620', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '柯萨奇病毒', null, null, '柯萨奇病毒');
INSERT INTO `tran_lis_config` VALUES ('2621', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '口服葡萄糖耐量试验', null, null, '口服葡萄糖耐量试验');
INSERT INTO `tran_lis_config` VALUES ('2622', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '狂犬病毒抗体测定', null, null, '狂犬病毒抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2623', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '拉网细胞学检查与诊断', null, null, '拉网细胞学检查与诊断');
INSERT INTO `tran_lis_config` VALUES ('2624', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类风湿因子测定', null, null, '类风湿因子测定');
INSERT INTO `tran_lis_config` VALUES ('2625', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '类胰岛素样生长因子', null, null, '类胰岛素样生长因子');
INSERT INTO `tran_lis_config` VALUES ('2626', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '立克次体免疫学试验', null, null, '立克次体免疫学试验');
INSERT INTO `tran_lis_config` VALUES ('2627', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋巴细胞亚群计数', null, null, '淋巴细胞亚群计数');
INSERT INTO `tran_lis_config` VALUES ('2628', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '淋球菌涂片', null, null, '淋球菌涂片');
INSERT INTO `tran_lis_config` VALUES ('2629', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流感病毒核糖核酸检测', null, null, '流感病毒核糖核酸检测');
INSERT INTO `tran_lis_config` VALUES ('2630', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性出血热抗体测定', null, null, '流行性出血热抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2631', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '流行性乙型脑炎病毒抗体测定', null, null, '流行性乙型脑炎病毒抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2632', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '轮状病毒检测', null, null, '轮状病毒检测');
INSERT INTO `tran_lis_config` VALUES ('2633', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '麻疹病毒', null, null, '麻疹病毒');
INSERT INTO `tran_lis_config` VALUES ('2634', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '馒头餐糖耐量试验', null, null, '馒头餐糖耐量试验');
INSERT INTO `tran_lis_config` VALUES ('2635', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '梅毒检测', null, null, '梅毒检测');
INSERT INTO `tran_lis_config` VALUES ('2636', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫球蛋白亚类定量测定', null, null, '免疫球蛋白亚类定量测定');
INSERT INTO `tran_lis_config` VALUES ('2637', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '免疫组织化学染色诊断', null, null, '免疫组织化学染色诊断');
INSERT INTO `tran_lis_config` VALUES ('2638', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '墨汁染色', null, null, '墨汁染色');
INSERT INTO `tran_lis_config` VALUES ('2639', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '钠尿肽', null, null, '钠尿肽');
INSERT INTO `tran_lis_config` VALUES ('2640', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '耐甲氧西林葡萄球菌检测(定量试验)', null, null, '耐甲氧西林葡萄球菌检测(定量试验)');
INSERT INTO `tran_lis_config` VALUES ('2641', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液常规+生化', null, null, '脑脊液常规+生化');
INSERT INTO `tran_lis_config` VALUES ('2642', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液免疫球蛋白测定', null, null, '脑脊液免疫球蛋白测定');
INSERT INTO `tran_lis_config` VALUES ('2643', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脑脊液培养', null, null, '脑脊液培养');
INSERT INTO `tran_lis_config` VALUES ('2644', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定量试验', null, null, '内毒素鲎定量试验');
INSERT INTO `tran_lis_config` VALUES ('2645', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '内毒素鲎定性试验', null, null, '内毒素鲎定性试验');
INSERT INTO `tran_lis_config` VALUES ('2646', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿NAG', null, null, '尿NAG');
INSERT INTO `tran_lis_config` VALUES ('2647', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿卟啉检测', null, null, '尿卟啉检测');
INSERT INTO `tran_lis_config` VALUES ('2648', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿常规', null, null, '尿常规');
INSERT INTO `tran_lis_config` VALUES ('2649', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿沉渣镜检', null, null, '尿沉渣镜检');
INSERT INTO `tran_lis_config` VALUES ('2650', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白测定', null, null, '尿蛋白测定');
INSERT INTO `tran_lis_config` VALUES ('2651', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿蛋白电泳分析', null, null, '尿蛋白电泳分析');
INSERT INTO `tran_lis_config` VALUES ('2652', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿儿茶酚胺测定', null, null, '尿儿茶酚胺测定');
INSERT INTO `tran_lis_config` VALUES ('2653', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钙测定(24h)', null, null, '尿钙测定(24h)');
INSERT INTO `tran_lis_config` VALUES ('2654', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿高香草酸', null, null, '尿高香草酸');
INSERT INTO `tran_lis_config` VALUES ('2655', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿含铁血黄素定性试验', null, null, '尿含铁血黄素定性试验');
INSERT INTO `tran_lis_config` VALUES ('2656', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿红细胞形态检查', null, null, '尿红细胞形态检查');
INSERT INTO `tran_lis_config` VALUES ('2657', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌酐测定', null, null, '尿肌酐测定');
INSERT INTO `tran_lis_config` VALUES ('2658', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肌红蛋白定性试验', null, null, '尿肌红蛋白定性试验');
INSERT INTO `tran_lis_config` VALUES ('2659', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基去甲肾上腺素(NMN)(24h)', null, null, '尿甲氧基去甲肾上腺素(NMN)(24h)');
INSERT INTO `tran_lis_config` VALUES ('2660', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿甲氧基肾上腺素(MN)(24h)', null, null, '尿甲氧基肾上腺素(MN)(24h)');
INSERT INTO `tran_lis_config` VALUES ('2661', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钾测定', null, null, '尿钾测定');
INSERT INTO `tran_lis_config` VALUES ('2662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镜检', null, null, '尿镜检');
INSERT INTO `tran_lis_config` VALUES ('2663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿可的松定量(24h)', null, null, '尿可的松定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('2664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿磷测定', null, null, '尿磷测定');
INSERT INTO `tran_lis_config` VALUES ('2665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿氯测定', null, null, '尿氯测定');
INSERT INTO `tran_lis_config` VALUES ('2666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿镁测定', null, null, '尿镁测定');
INSERT INTO `tran_lis_config` VALUES ('2667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿免疫固定电泳', null, null, '尿免疫固定电泳');
INSERT INTO `tran_lis_config` VALUES ('2668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿钠测定', null, null, '尿钠测定');
INSERT INTO `tran_lis_config` VALUES ('2669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿尿酸定量', null, null, '尿尿酸定量');
INSERT INTO `tran_lis_config` VALUES ('2670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿轻链测定', null, null, '尿轻链测定');
INSERT INTO `tran_lis_config` VALUES ('2671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿去甲肾上腺素', null, null, '尿去甲肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('2672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿醛固酮定量(24h)', null, null, '尿醛固酮定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('2673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿肾上腺素(24h)', null, null, '尿肾上腺素(24h)');
INSERT INTO `tran_lis_config` VALUES ('2674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿糖测定', null, null, '尿糖测定');
INSERT INTO `tran_lis_config` VALUES ('2675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量白蛋白测定', null, null, '尿微量白蛋白测定');
INSERT INTO `tran_lis_config` VALUES ('2676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿微量白蛋白定量(24h)', null, null, '尿微量白蛋白定量(24h)');
INSERT INTO `tran_lis_config` VALUES ('2677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '尿液总钙测定', null, null, '尿液总钙测定');
INSERT INTO `tran_lis_config` VALUES ('2678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血功能测定', null, null, '凝血功能测定');
INSERT INTO `tran_lis_config` VALUES ('2679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '凝血因子测定', null, null, '凝血因子测定');
INSERT INTO `tran_lis_config` VALUES ('2680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '浓缩集菌抗酸菌', null, null, '浓缩集菌抗酸菌');
INSERT INTO `tran_lis_config` VALUES ('2681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脓液培养', null, null, '脓液培养');
INSERT INTO `tran_lis_config` VALUES ('2682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '疟原虫检查', null, null, '疟原虫检查');
INSERT INTO `tran_lis_config` VALUES ('2683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '培养细菌菌落计数', null, null, '培养细菌菌落计数');
INSERT INTO `tran_lis_config` VALUES ('2684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '皮质醇', null, null, '皮质醇');
INSERT INTO `tran_lis_config` VALUES ('2685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前白蛋白', null, null, '前白蛋白');
INSERT INTO `tran_lis_config` VALUES ('2686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '前列腺液常规检查', null, null, '前列腺液常规检查');
INSERT INTO `tran_lis_config` VALUES ('2687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '缺血修饰白蛋白测定', null, null, '缺血修饰白蛋白测定');
INSERT INTO `tran_lis_config` VALUES ('2688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '染色体分析', null, null, '染色体分析');
INSERT INTO `tran_lis_config` VALUES ('2689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '染色体荧光原位杂交分析', null, null, '染色体荧光原位杂交分析');
INSERT INTO `tran_lis_config` VALUES ('2690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人附睾蛋白', null, null, '人附睾蛋白');
INSERT INTO `tran_lis_config` VALUES ('2691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人类免疫缺陷病毒检测', null, null, '人类免疫缺陷病毒检测');
INSERT INTO `tran_lis_config` VALUES ('2692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '人乳头瘤病毒检测', null, null, '人乳头瘤病毒检测');
INSERT INTO `tran_lis_config` VALUES ('2693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '妊娠相关蛋白A(PAPP)测定', null, null, '妊娠相关蛋白A(PAPP)测定');
INSERT INTO `tran_lis_config` VALUES ('2694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乳糜试验', null, null, '乳糜试验');
INSERT INTO `tran_lis_config` VALUES ('2695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾功能', null, null, '肾功能');
INSERT INTO `tran_lis_config` VALUES ('2696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾上腺素', null, null, '肾上腺素');
INSERT INTO `tran_lis_config` VALUES ('2697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肾素卧立位试验', null, null, '肾素卧立位试验');
INSERT INTO `tran_lis_config` VALUES ('2698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '渗透压检查', null, null, '渗透压检查');
INSERT INTO `tran_lis_config` VALUES ('2699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生理抗凝因子检测', null, null, '生理抗凝因子检测');
INSERT INTO `tran_lis_config` VALUES ('2700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '生长激素', null, null, '生长激素');
INSERT INTO `tran_lis_config` VALUES ('2701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '视黄醇结合蛋白', null, null, '视黄醇结合蛋白');
INSERT INTO `tran_lis_config` VALUES ('2702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '瘦素', null, null, '瘦素');
INSERT INTO `tran_lis_config` VALUES ('2703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '苏丹黑染色检查', null, null, '苏丹黑染色检查');
INSERT INTO `tran_lis_config` VALUES ('2704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰培养', null, null, '痰培养');
INSERT INTO `tran_lis_config` VALUES ('2705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰涂片', null, null, '痰涂片');
INSERT INTO `tran_lis_config` VALUES ('2706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '痰液常规', null, null, '痰液常规');
INSERT INTO `tran_lis_config` VALUES ('2707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '糖代谢检查', null, null, '糖代谢检查');
INSERT INTO `tran_lis_config` VALUES ('2708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铁染色检查', null, null, '铁染色检查');
INSERT INTO `tran_lis_config` VALUES ('2709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '同型半胱氨酸', null, null, '同型半胱氨酸');
INSERT INTO `tran_lis_config` VALUES ('2710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '铜蓝蛋白CER', null, null, '铜蓝蛋白CER');
INSERT INTO `tran_lis_config` VALUES ('2711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '外周血细胞形态学分析', null, null, '外周血细胞形态学分析');
INSERT INTO `tran_lis_config` VALUES ('2712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '微量元素测定', null, null, '微量元素测定');
INSERT INTO `tran_lis_config` VALUES ('2713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素A(VitA)测定', null, null, '维生素A(VitA)测定');
INSERT INTO `tran_lis_config` VALUES ('2714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素B1', null, null, '维生素B1');
INSERT INTO `tran_lis_config` VALUES ('2715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素B12', null, null, '维生素B12');
INSERT INTO `tran_lis_config` VALUES ('2716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素C', null, null, '维生素C');
INSERT INTO `tran_lis_config` VALUES ('2717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '维生素D测定', null, null, '维生素D测定');
INSERT INTO `tran_lis_config` VALUES ('2718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃蛋白酶原检测(PG)', null, null, '胃蛋白酶原检测(PG)');
INSERT INTO `tran_lis_config` VALUES ('2719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃泌素测定', null, null, '胃泌素测定');
INSERT INTO `tran_lis_config` VALUES ('2720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃酸分泌试验', null, null, '胃酸分泌试验');
INSERT INTO `tran_lis_config` VALUES ('2721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胃液常规', null, null, '胃液常规');
INSERT INTO `tran_lis_config` VALUES ('2722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '无菌体液细菌培养', null, null, '无菌体液细菌培养');
INSERT INTO `tran_lis_config` VALUES ('2723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '戊肝测定', null, null, '戊肝测定');
INSERT INTO `tran_lis_config` VALUES ('2724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗体测定', null, null, '细菌抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌抗原检测', null, null, '细菌抗原检测');
INSERT INTO `tran_lis_config` VALUES ('2726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '细菌性阴道炎检测', null, null, '细菌性阴道炎检测');
INSERT INTO `tran_lis_config` VALUES ('2727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '纤溶系统检测', null, null, '纤溶系统检测');
INSERT INTO `tran_lis_config` VALUES ('2728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '腺病毒抗体测定', null, null, '腺病毒抗体测定');
INSERT INTO `tran_lis_config` VALUES ('2729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '香草扁桃酸', null, null, '香草扁桃酸');
INSERT INTO `tran_lis_config` VALUES ('2730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液常规', null, null, '心包积液常规');
INSERT INTO `tran_lis_config` VALUES ('2731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液培养', null, null, '心包积液培养');
INSERT INTO `tran_lis_config` VALUES ('2732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心包积液生化', null, null, '心包积液生化');
INSERT INTO `tran_lis_config` VALUES ('2733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌梗死标志物', null, null, '心肌梗死标志物');
INSERT INTO `tran_lis_config` VALUES ('2734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '心肌酶谱', null, null, '心肌酶谱');
INSERT INTO `tran_lis_config` VALUES ('2735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '新生儿溶血病检测', null, null, '新生儿溶血病检测');
INSERT INTO `tran_lis_config` VALUES ('2736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素结合球蛋白(SHBG)', null, null, '性激素结合球蛋白(SHBG)');
INSERT INTO `tran_lis_config` VALUES ('2737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '性激素六项', null, null, '性激素六项');
INSERT INTO `tran_lis_config` VALUES ('2738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液常规', null, null, '胸腔积液常规');
INSERT INTO `tran_lis_config` VALUES ('2739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸腔积液生化', null, null, '胸腔积液生化');
INSERT INTO `tran_lis_config` VALUES ('2740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胸水培养', null, null, '胸水培养');
INSERT INTO `tran_lis_config` VALUES ('2741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '雄性激素', null, null, '雄性激素');
INSERT INTO `tran_lis_config` VALUES ('2742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血α2巨球蛋白', null, null, '血α2巨球蛋白');
INSERT INTO `tran_lis_config` VALUES ('2743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血氨测定', null, null, '血氨测定');
INSERT INTO `tran_lis_config` VALUES ('2744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血常规', null, null, '血常规');
INSERT INTO `tran_lis_config` VALUES ('2745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血沉', null, null, '血沉');
INSERT INTO `tran_lis_config` VALUES ('2746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血管紧张素转化酶(ACE)', null, null, '血管紧张素转化酶(ACE)');
INSERT INTO `tran_lis_config` VALUES ('2747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血培养及鉴定', null, null, '血培养及鉴定');
INSERT INTO `tran_lis_config` VALUES ('2748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血气分析', null, null, '血气分析');
INSERT INTO `tran_lis_config` VALUES ('2749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血轻链测定', null, null, '血轻链测定');
INSERT INTO `tran_lis_config` VALUES ('2750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清苯丙氨酸', null, null, '血清苯丙氨酸');
INSERT INTO `tran_lis_config` VALUES ('2751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清丙酮酸', null, null, '血清丙酮酸');
INSERT INTO `tran_lis_config` VALUES ('2752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清蛋白电泳', null, null, '血清蛋白电泳');
INSERT INTO `tran_lis_config` VALUES ('2753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清药物浓度测定', null, null, '血清药物浓度测定');
INSERT INTO `tran_lis_config` VALUES ('2754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清游离脂肪酸', null, null, '血清游离脂肪酸');
INSERT INTO `tran_lis_config` VALUES ('2755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血清粘蛋白', null, null, '血清粘蛋白');
INSERT INTO `tran_lis_config` VALUES ('2756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血栓弹力图试验', null, null, '血栓弹力图试验');
INSERT INTO `tran_lis_config` VALUES ('2757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血酮体', null, null, '血酮体');
INSERT INTO `tran_lis_config` VALUES ('2758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血吸虫检查', null, null, '血吸虫检查');
INSERT INTO `tran_lis_config` VALUES ('2759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血小板功能及抗体检测', null, null, '血小板功能及抗体检测');
INSERT INTO `tran_lis_config` VALUES ('2760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血型', null, null, '血型');
INSERT INTO `tran_lis_config` VALUES ('2761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液免疫学检查', null, null, '血液免疫学检查');
INSERT INTO `tran_lis_config` VALUES ('2762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血液培养', null, null, '血液培养');
INSERT INTO `tran_lis_config` VALUES ('2763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血一氧化氮分析', null, null, '血一氧化氮分析');
INSERT INTO `tran_lis_config` VALUES ('2764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血一氧化碳分析', null, null, '血一氧化碳分析');
INSERT INTO `tran_lis_config` VALUES ('2765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '血脂', null, null, '血脂');
INSERT INTO `tran_lis_config` VALUES ('2766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '咽拭子培养', null, null, '咽拭子培养');
INSERT INTO `tran_lis_config` VALUES ('2767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '叶酸', null, null, '叶酸');
INSERT INTO `tran_lis_config` VALUES ('2768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般细菌培养及鉴定', null, null, '一般细菌培养及鉴定');
INSERT INTO `tran_lis_config` VALUES ('2769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '一般细菌涂片检查', null, null, '一般细菌涂片检查');
INSERT INTO `tran_lis_config` VALUES ('2770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '衣原体检测', null, null, '衣原体检测');
INSERT INTO `tran_lis_config` VALUES ('2771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物检查', null, null, '胰岛素及代谢物检查');
INSERT INTO `tran_lis_config` VALUES ('2772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素及代谢物相关检查', null, null, '胰岛素及代谢物相关检查');
INSERT INTO `tran_lis_config` VALUES ('2773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验1', null, null, '胰岛素释放试验1');
INSERT INTO `tran_lis_config` VALUES ('2774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰岛素释放试验2', null, null, '胰岛素释放试验2');
INSERT INTO `tran_lis_config` VALUES ('2775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰多肽', null, null, '胰多肽');
INSERT INTO `tran_lis_config` VALUES ('2776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '胰高血糖素', null, null, '胰高血糖素');
INSERT INTO `tran_lis_config` VALUES ('2777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '乙肝测定', null, null, '乙肝测定');
INSERT INTO `tran_lis_config` VALUES ('2778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '阴道分泌物常规', null, null, '阴道分泌物常规');
INSERT INTO `tran_lis_config` VALUES ('2779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '隐血试验', null, null, '隐血试验');
INSERT INTO `tran_lis_config` VALUES ('2780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '优生优育', null, null, '优生优育');
INSERT INTO `tran_lis_config` VALUES ('2781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '幽门螺杆菌抗原检测', null, null, '幽门螺杆菌抗原检测');
INSERT INTO `tran_lis_config` VALUES ('2782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '游离皮质醇', null, null, '游离皮质醇');
INSERT INTO `tran_lis_config` VALUES ('2783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '真菌D-葡聚糖检测', null, null, '真菌D-葡聚糖检测');
INSERT INTO `tran_lis_config` VALUES ('2784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '真菌直接涂片镜检', null, null, '真菌直接涂片镜检');
INSERT INTO `tran_lis_config` VALUES ('2785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体检测', null, null, '支原体检测');
INSERT INTO `tran_lis_config` VALUES ('2786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '支原体药敏试验', null, null, '支原体药敏试验');
INSERT INTO `tran_lis_config` VALUES ('2787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '脂肪酶测定', null, null, '脂肪酶测定');
INSERT INTO `tran_lis_config` VALUES ('2788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '直接涂片抗酸染色镜检', null, null, '直接涂片抗酸染色镜检');
INSERT INTO `tran_lis_config` VALUES ('2789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '酯酶染色检查', null, null, '酯酶染色检查');
INSERT INTO `tran_lis_config` VALUES ('2790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '中性粒细胞碱性磷酸酶染色检查', null, null, '中性粒细胞碱性磷酸酶染色检查');
INSERT INTO `tran_lis_config` VALUES ('2791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '肿瘤标志物', null, null, '肿瘤标志物');
INSERT INTO `tran_lis_config` VALUES ('2792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '主要组织相容性抗原测定', null, null, '主要组织相容性抗原测定');
INSERT INTO `tran_lis_config` VALUES ('2793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '转铁蛋白', null, null, '转铁蛋白');
INSERT INTO `tran_lis_config` VALUES ('2794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总IgE', null, null, '总IgE');
INSERT INTO `tran_lis_config` VALUES ('2795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '总补体(CH50)测定', null, null, '总补体(CH50)测定');

-- ----------------------------
-- Table structure for tran_pacs_config
-- ----------------------------
DROP TABLE IF EXISTS `tran_pacs_config`;
CREATE TABLE `tran_pacs_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(60) DEFAULT NULL COMMENT '医院编码',
  `meal_name` varchar(100) DEFAULT NULL COMMENT '套餐名',
  `unique_name` varchar(100) DEFAULT NULL COMMENT '公表名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='辅检项目公表映射配置表';

-- ----------------------------
-- Records of tran_pacs_config
-- ----------------------------
INSERT INTO `tran_pacs_config` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_胸部CT', '胸部CT');
INSERT INTO `tran_pacs_config` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', 'HIS_心电图', '心电图');

-- ----------------------------
-- Table structure for tran_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `tran_patient_info`;
CREATE TABLE `tran_patient_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_code` varchar(16) NOT NULL COMMENT '医院编码',
  `code` varchar(16) DEFAULT NULL COMMENT '医院患者编号',
  `name` varchar(32) DEFAULT NULL COMMENT '患者姓名',
  `sex` int(1) DEFAULT NULL COMMENT '性别1男2女',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `id_type` varchar(2) DEFAULT NULL COMMENT '证件类型',
  `id_no` varchar(30) DEFAULT NULL COMMENT '证件号码',
  `address` varchar(128) DEFAULT NULL COMMENT '家庭住址',
  `phone` varchar(20) DEFAULT NULL COMMENT '联系电话',
  `identity_num` varchar(18) DEFAULT NULL COMMENT '身份证号',
  `postcode` varchar(10) DEFAULT NULL COMMENT '家庭邮编',
  `contacts` varchar(32) DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(12) DEFAULT NULL COMMENT '联系人电话',
  `work_unit` varchar(32) DEFAULT NULL COMMENT '就职单位名称',
  `operation` varchar(32) DEFAULT NULL COMMENT '职业',
  `country` varchar(8) DEFAULT NULL COMMENT '国籍',
  `nationality` varchar(8) DEFAULT NULL COMMENT '民族',
  `matrimony` int(2) DEFAULT NULL COMMENT '婚姻状况：0未婚，1已婚，2未知',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='患者信息表';

-- ----------------------------
-- Records of tran_patient_info
-- ----------------------------
INSERT INTO `tran_patient_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1600', '沈强', '1', '1991-01-01 20:04:03', null, '9696969', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1601', '张三', '1', '2016-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1602', '白烨', '2', '2000-06-13 14:02:01', '', '987654', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1603', '测试jdy', '2', '2000-12-30 14:02:01', '', '2100009', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1604', '测试yjs', '1', '2000-12-08 14:02:01', '', '2100009', '', '', '', '', '', '', '', '', '', '', null, '');
INSERT INTO `tran_patient_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1', '周男', '1', '1979-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '2', '周女', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '1605', '测试lzg', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '3', '周男', '1', '1960-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
INSERT INTO `tran_patient_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 'A001', '4', '周女', '2', '1990-01-01 14:02:01', null, '24224242', null, null, null, null, null, null, null, null, null, null, null, null);
